About

About this manual

This chapter describes the intended audience, scope, conventions, and formats of this manual. Kindly ensure you familiarize this section before using this manual.

Audience, Scope, Conventions, and Formats

This manual assumes that the reader possess basic to intermediate computer and Internet skills.

This manual uses the following typographical conventions:

Bold | User Input
Fixed font | Screen text, file and server names, extensions, running text.

This manual uses the following format to highlight special messages.

NOTE:

This format is used to highlight information of importance or special interest.

This manual uses the expandable paragraph format for making the content more presentable.

In this format the content will appear hidden and will be displayed when you click the + sign.

In addition the following terminologies are used in the manual

Menu bar | Menu bar refers to the tool bar displayed in the intermediary windows.
Drop-down menu (list) | Drop-down list is the list of items displayed when the down-arrow next to a field is clicked.
Date picker | Date picker is the calendar displayed when the down-arrow next to a date field is clicked.
Browse button ( [image] ) | This is the button displayed next to a field. Clicking on this button navigate the control to another user interface from where user can select a value.


Copyright

© 2021-22 by WRENCH Solutions (P) Ltd, All rights reserved

Trademarks

WRENCH Enterprise is the registered trademarks of WRENCH Solutions.

Other brand and product names are registered trademarks or trademarks of their respective holders.

This manual is protected by copyright laws. Hence any attempt to copy, or reproduce this manual without prior permission from WRENCH Solutions will be treated as violation of copyright laws.

Statement of Conditions

In the interest of improving internal design, operational function, and/or reliability, WRENCH Solutions reserves the right to make changes to the products described in this document without notice. WRENCH Solutions does not assume any liability that may occur due to the use or application of the product(s) described herein.

Product and Publication Details

Product Name | User Manual - WRENCH ENTERPRISE
Publication Date | 24-08-2022
Language | English
Publication Version Number | 2022.3.0
Publication Revision Date |


Introducting Wrench Enterpirse

Introducing Wrench Enterprise

Wrench Enterprise

Wrench Enterprise is a software solution built for the Engineering, Procurement and Construction industry for efficiently managing turnkey projects. The software integrates Project Management, Quality Management and Engineering Data Management.

The system provides facility to manage and track all engineering deliverables including engineering drawings, worksheets, specification etc. Broadly speaking, Wrench Enterprise enables to execute projects efficiently by monitoring the deliverables of a project and giving users easy access to all project-related deliverables and related documentation. It brings in complete accountability for "Tasks" by providing a "To-Do-List" to the resources of a project. Tasks can be routed through predefined work flows processes as specified by the organizations quality management system. Progress of each deliverable can be consistently monitored in a collaborative environment.

With Wrench Enterprise, you can create, manage, store and easily retrieve all project-related documents from anywhere in the world, at anytime. In addition, it duly enforces the change management processes and permits access only to the latest information to the end-user. Older versions of all Engineering data are archived. Engineering data/documents of past projects can also be stored and this can be reused for future projects. The system meticulously enforces regulatory compliance with organization's procedures, controls the access to the stored data and eliminates the delay and error caused by human resources.

The product provides the user with the following modules.

  • Projects.
  • Work Breakdown Structures.
  • Document, Transmittals, Document Search, X-Ref Handling, Submittals.
  • Workspace (“ To Do List”).
  • Personal Folders.
  • Document and Task Work flows.
  • Change Management which includes Change Note.
  • Time Sheet and Minutes of Meeting.
  • Print Manager and Scan Manager.
  • Mail.

In case you have opted for the following components during server installation then they will be available in Wrench. (Refer Plug In Manual for more information)

  • Completion Records Management System(CRMS)
  • Part
  • Product Structure
  • Content Search
  • Ideation
  • Dashboard


Wrench Documentation

Wrench Documentation

Wrench Documentation consists of online help, integrated into the Wrench Modules, Wrench Self Learning System which can be accessed from the Wrench web site and Setup and Administrators manual which can be accessed from our documentation center. The following list of documents describes available Wrench documentation and recommended readers by role.

  • Wrench Setup Manual: This manual explains the procedures in setting up Wrench server and database and Wrench components. Also backup and restore operations which are critical and a preview of the Wrench components is also available in this manual.
  • Wrench Administrator’s Manual: The Administrator's guide is intended to provide a comprehensive set of instructions and information's about how to configure Wrench for optimum performance without any security flaws. With the help of this manual seemingly endless configuration combinations which will help in attaining optimum performance, creating and administering n number of users and user groups and assigning appropriate security rights are defined by the Wrench administrator.


Customer Support

Where to get support

To submit a request for maintenance support, training services, implementation service and solution support for your product go to

http://www.wrenchsolutions.com/wrench-support.php

or mail to us support@wrenchsolutions.com


Using Wrench Enterprise

Opening Wrench

Double-click the Wrench icon [image] on your desktop to display the Wrench Login screen.

Logging In to Wrench

Prior to logging in to Wrench, a user name and password is to be obtained from the Wrench administrator. After the first log on session user can change the password.

  1. In the login screen, you can enter the following details:
  • Login Name: Enter the unique login name created for you by the administrator.

NOTE: It is possible to login using Email Address or Mobile Number of the user, provided necessary settings are configured in Control Panel Settings.

  • Password: Enter your password to authenticate and access the network.
  • Server: Select the browse button to select your server.
  2. Click the arrow button to log in to Wrench Desktop.

Figure: Wrench Login Screen

Resetting user passwords

In case you forget your password or your password is leaked to users who may pose a threat to your data, there is an option to change your password. This option is available in the login window.

To reset password

  1. In the Login window enter your login name.

Figure: Resetting password

  1. Click the hyperlink Forgot Password.

A mail is sent to your email id configured in the system.

  2. Open the mail that contains the temporary password.
  3. In the Login window, enter the temporary Password in the Password field.
  4. Click the arrow button to login.
  5. Change Password window is displayed. Enter values for the following fields.

Figure: Change Password window

Existing Password: Enter the password sent to you through mail.

New Password: Enter your new password

Confirm Password: Enter your new password again for confirmation.

  1. Click OK to continue.

Next time you sign in to the system, only your new password will be accepted by the system.

Wrench Desktop

The Wrench desktop comprises of the left navigation bar, tool bar and the display pane on the right.

Figure: Wrench Desktop

The navigation bar provides centralized navigation. The large buttons in the navigation bar helps the user in switching to Folders, Search and Reports, Workspace, Dashboard, Transmittals and Recent Items. These buttons are detailed in the following sections.

The left navigation bar of the Desktop has a hierarchical view (“Folders”) of the standard Wrench items for quicker access. In the folder structure, if the user selects a “View”, the next time the user logs in, the same view is displayed by default. Items such as “Documents” are classified hierarchically. This helps in better management of large volumes of documents. When the “Documents” node on the folder tree is expanded, child level folders are displayed, as per the system configuration. When the last level node is selected, documents found under the selected type are displayed on the right hand side. Right-clicking on a document will display a pop up menu, hosting a number of document management functions.

NOTE: Only folders for which a user has View permission are displayed in the navigation bar as displayed in the preceding figure.

Different options available in the WRENCH desktop are explained in the following section. Use the navigation table to navigate to the different options.

Navigation Table

To | See
Work with Wrench Navigation Bar | Exploring the Wrench Navigation bar
Hide and Unhide modules in explorer | Hiding and showing modules in explorer
Create Wrench Objects from desktop | Creating Objects from Wrench explorer
Search for Objects | Searching objects from desktop
Manage the navigation bar folder buttons | Managing Navigation bar folder buttons
Configure different views in Wrench explorer | Different Views in Wrench Explorer
Display contents of a folder | Facility to Display Contents of a Folder
Search for an object, item or a specific module in Wrench | Search Operations from Wrench Desktop
Log In to wrench using different log in options | Logging In to Wrench
Set an Idle time interval for a user | Setting an Idle time Interval for a User
Implement Licensing | Licensing Implementation
Explore Wrench Interactive Notification Device | Wrench Interactive Notification Device (WIND)
Customize the login screen | Customizing the Login Screen
Integrate External applications with Wrench | Integrating with External Applications
Change Wrench Background colour for systems with Windows 7 | Changing Wrench background colour
Configure the right-click menu | Configuring the right click menu
Export selected items from WRENCH desktop | Exporting selected items from desktop to excel
Define windows authentication settings | Windows authentication settings
Log In using LDAP | Logging In to Wrench using LDAP

Exploring the Wrench Navigation bar

Navigation bar is a command center from where navigating to different Wrench modules and utilities is possible on a single mouse click. Items in the navigation bar are explained in the following sections.

Folder

The folder button houses the main modules in Wrench. This includes

  • Project and Enquiry
  • Work Breakdown Structure (WBS)
  • Documents
  • Change Note

If you have opted to install the additional Components during installation then the following modules will also be displayed

  • Completion Records Management System(CRMS)
  • Part
  • Product Structure
  • Content Search
  • Wrench Interactive Notification Device (WIND)
  • Ideation
  • Dashboard
  • Factory Order

NOTE: Place the mouse pointer over each object to view the tool tip describing respective object functionalities.

Smart Folders

Personalized folders created by the user are housed here. The folders displayed under the button vary with the logged in user.

For more information on Smart Folders refer Creating and Managing Smart Folders

Items on the desktop can be accessed by double-clicking the required item. Another important use of the hierarchical view is to set properties for each hierarchy. For Example: Properties such as security, custom characteristics etc. can be assigned at any level of the hierarchy so that the settings are assigned to the next level automatically. On the hierarchical view, right-click any of the levels to access the “Properties” menu.

Under each of the parent folder, respective objects can be created.

For Example: Under the folder “Projects/Enquiry”, list of existing projects can be viewed, accessed and new projects can be created. Similarly under the “WBS” folder, existing WBS can be seen, accessed and new WBS can be created.

  1. Select a folder and in the desktop right -click
  2. A pop up menu will be displayed with the following menu items.
  • Send To: Select this option to create a short cut for the selected item on the desktop or to send the object to the respective Smart Folder
  • Refresh: Refresh the contents of selected folder
  • New: Display a user interface for creating a new item in the selected folder. This is applicable while creating a new item.
  • Open: Display the selected item’s details
  • Arrange Icons By: User can arrange the icons based on icon name and the last modified date

Workspace

Workspace, one of the most frequently used module, where user can manage his to-do-list can be accessed by clicking this folder button

Document Search

Document search modules is available under this folder button. You can carry out searches based on different criteria.

Dashboard

A dashboard is a user interface that, somewhat resembles an automobile's dashboard. Dashboard helps in

Organizing and Presenting information in a way that is easy to read.

Custom Reports

Wrench Enterprise enables efficient Project Management and Data management by ensuring that all the processes are translated into a management perspective. This is achieved through "Custom Reports" module from which a number of reports that are critical to project management and data management can be derived.

Transmittal

Transmittals are the face sheets generated during release of a Document. In an engineering process before any Document is released for approval internally, to customers or to any External Agency, the Documents are attached to the Transmittal and sent, so that this information can be retained for future reference.

Adding and Removing the folder buttons

The folder buttons in the navigation bar can be removed one after the other by clicking Show More Buttons. The removed buttons are restored on clicking Show More Buttons.

Figure: Adding and Removing folder buttons in the navigation bar

You can also remove a specific folder button.

To remove a specific folder button

  1. Select Add or Remove Buttons.
  2. From the ensuing menu select the folders which are to be removed. You can also restore the removed buttons.

WRENCH Menu button

WRENCH menu button located in the task bar houses various options. On clicking the WRENCH button a menu pop-up is displayed as shown in the following figure. Various options in the menu are described in the following section.

Figure: WRENCH Menu button

Show Desktop

On clicking Show Desktop the items in the desktop are refreshed and the entire Wrench modules are displayed on the desktop.

Control Panel

Wrench Enterprise has a number of configuration settings, which can influence the operating procedures. These configuration settings are to be defined properly, before the product can be put to use. Wrench administrators can use this facility to appropriately define the configurations.

Genealogy

Genealogy is an orderly arrangement of Documents, Projects, Tasks or Parts. This helps in proper grouping and retrieval of documents. You can define document or task genealogies depending on functioning of the organization.

Personal Preferences

You can define personalised settings for various operations and functions here.

Search

Entire Search utilities that assists in easy and search and retrieval of selected objects are housed here.

Utilities

Wrench utilities that can influence the document management, work flow and personal planning are available here

Recent Items

Items opened lately are displayed here. These items include Project, WBS, Documents, CR, CN and Transmittal

About Wrench Enterprise

"About Wrench Enterprise" provides detailed information on current version, licensing, technical support and other product related information.

Help

"Help" provides the user with comprehensive information on performing different operations with WRENCH

Log Off

Select this option to terminate the existing session of Wrench. Wrench log in window is displayed, where user can start a fresh session or exit from Wrench.

Exit

Select this option to exit from Wrench

Pinning items to WRENCH menu

Items grouped under utilities can be pinned to the Wrench start menu so you can quickly get to the items that you use every day. You can also unpin these items, which means you can remove the items from the start menu.

To Pin items from Utilities to Wrench Start menu

  1. Select an item under Utilities and in the right click menu select Pin to Wrench Menu

The pinned item will be displayed in the Wrench Start menu

To unpin the item

  1. Select the item from the start menu and right click.
  2. In the right click menu select Unpin From Wrench Menu.

Hiding and Un-hiding modules in explorer

You can decide the modules that are to be displayed in Wrench explorer. You can hide the modules which are not used by you frequently so that your explorer looks clean and uncluttered. The hidden modules can also be made visible. The modules hidden from Wrench desktop will be hidden in corresponding user's Workspace also.

To hide a module

  1. In the desktop navigation bar select the module that you want to hide and right-click.
  2. In the right-click menu select Hide Module. The selected module will be hidden.

Figure: Hiding a module

The number of hidden modules are displayed at the top

To unhide a module

  1. Select the item Wrench in the explorer and right-click.
  2. In the right-click menu select Unhide Module.
  3. List of hidden modules are displayed.

  4. If you want to unhide a module from the list, select the check box next to the module.
  5. Click OK.

NOTE: The hidden modules in the workspace will be displayed once a work corresponding to that module is sent to the user.

For Example: If Change Request module is hidden for a user, that module will be displayed once Change Request is sent to the user.

Creating objects from Wrench explorer

You can create Wrench objects from the desktop. An option is provided in the tool bar to add new Wrench objects.

To create a Wrench object

  1. In the Wrench desktop select the respective object folder.
  2. In the toolbar click Add. Corresponding object creation window is displayed.

For Example: Suppose you need to add a new document, you can follow these steps:

STEP 1: In the desktop navigation bar select Documents. You can select a document folder (Genealogy) if you want to add the document to a folder.

STEP 2: In the toolbar select Add.

STEP 3: Select Single Document or Multiple Documents. Respective document addition window is displayed.

NOTE: In the list of documents displayed in the desktop, when a document folder is selected; if there is a specter file attached to the document, it is indicated by displaying Yes under the column Specter Attached.

Searching for objects

The Search tool bar helps you in carrying out specific targeted searches for Wrench objects like Project, WBS, Documents, CR and CN from the desktop.

To carry out a search operation from the desktop

  1. Select a module and click Search button. Corresponding search window is displayed.

Figure: Desktop Search operation

For Example: If you select documents and click the Search button in the toolbar, Document Search window is displayed

Managing the navigation bar folder buttons

The navigation bar can be minimized and expanded by clicking the arrow in the upper corner.

Figure: Managing the navigation bar folder buttons

  • The navigation bar can be minimized and expanded by toggling the arrow button at the top of the navigation bar.

This arrow is also available in the navigation bar header in other views such as Folders, My Wrench etc.

Setting an Idle Time Interval for a User

While configuring Wrench server an idle time interval can be set for a user. The idle time interval is set in minutes. If a user is found inactive beyond this set interval:

  • The system assigns the user as logged out.
  • When the user is active again, this is assigned as a new session and the systems asks for a valid password.

NOTE: If the check box next to Remember me is selected the next time your system get locked, you can login without entering the password.

Figure: Wrench Timeout window

If an unexpected closing of an application occurs, this event is also captured. All these events are displayed in the log reports.

Licensing Implementation

Wrench licensing policy permits the usage of wrench based on the number of licenses issued.

For Example: If an organization purchases 10 licenses of wrench, only 10 users can use wrench concurrently.

If a user is found inactive beyond the idle time set for him by the administrator in the server, the system automatically disconnects the login session of the user. If another user log in now, the logged out user is restricted from accessing the system until an existing user logs out. An equivalent ratio between the number of users logged in and the number of licenses issued is always maintained by the system.

When the same user log in again the system asks for the password. On providing the correct password user can resume working with the task discontinued in the earlier login.

Wrench Interactive Notification Device (WIND).

WIND is a system tray application that alerts the users about the newly arrived Mails in their In box. WIND checks the user Inbox for new mails and a notification is issued even if the user is not logged in to Wrench. The following main actions are performed by WIND.

  • A pop-up when a user receives a new mail.
  • A pop-up when a new upgrade is available.

The user can click the pop-up to login to Wrench and access the Mail window. The new mail is highlighted in the mail window. Clicking Go To Object will redirect the user to corresponding object in workspace.

Logging In to WIND

User can log in to WIND by using the Wrench login details and Windows login details.

Logging In using the Windows login name is possible only if the Windows login details of the user are specified in the User Advanced details.

(Refer. Control Panel>>User Accounts)

Once WIND is enabled a notification as show in the following figure will pop-up in your desktop.

Mail Alert Window

If new mails are found the WIND pop-up is displayed.

The following details are displayed in the window.

  • Mail from: Information on Sender of the mail.
  • Mail subject: Subject of the mail.
  • Mail body: Content of the mail.
  • Priority: Priority assigned to the mail.
  • Mail date: Date the mail was sent.

User can click the Previous and Next buttons to move between mails. When Mark this email as Read is checked the currently displayed mail is marked as read.

NOTE: This option will be available only if you have opted for the WIND Component during Wrench Installation. WIND Upgrades (if any) will be available along with the WRENCH Upgrade.

WIND Notification can be set in Personal preference>> Notifications

Customizing the Login Screen

Wrench permits the customization of the login screen. Selection of an image of smaller size results in faster loading of the login screen. In order to customize the login screen user can alter the file “WrenchLoinImage.BMP ” located in the Wrench folder.

Changing Wrench background colour in Windows 7

Follow the procedure mentioned in the following figures to change the Wrench background colour.

Step 1

Step 2

Step 3

Windows 7 desktop with the changed colour scheme is displayed in the following figure.

NOTE: This is only applicable in computers with Windows 7 operating system installed.

Exporting selected items from desktop to excel

Selected items from the desktop explorer can be exported to MS Excel file.

To export selected items

  1. In the desktop select the items that you want to export.
  2. In the desktop explorer window toolbar click the excel icon.

Save As window is displayed with a default file name.

  3. Click Save to save the file.

Do you want to export selected results only? message is displayed.

  4. In the message box click Yes button. Selected items are exported to an excel file.

Windows authentication settings

Defining windows authentication settings permits a user to

  • Access the network externally with a valid windows login and MAC ID
  • Access wrench from an external domain without a valid user name and MAC ID in the host domain
  • Access wrench internally if windows authentication is enabled in the server
  • Restrict unauthorized usage of other user's wrench login details

To define windows authentication settings refer User Accounts>>Users>>User Advanced details in the Administrator's Manual.

For more information on configuring these options refer Performance and Utilities>>General in the Administrator's manual.

The tedious task of maintaining multiple passwords; one for windows login and another for logging in to wrench is avoided by making use of this facility

Logging In to Wrench using LDAP (Lightweight Directory Access Protocol) user credentials

LDAP is based on a client-server model. LDAP servers make information about people, organizations, and resources accessible to LDAP clients. The LDAP protocol defines operations that clients use to search and update the directory.

Making use of this facility user can log in to Wrench using LDAP User Id and password. In the Wrench Log In window user can provide the Login Name in the following formats.

username@Domain - For Example: achauhan@wrenchad

Domain\Username - For Example: wrenchad\achauhan

Wrench Enterprise has been developed to ensure the user with maximum ease of working. Wrench desktop, in line with the Microsoft Windows desktop is a convenient location where “Shortcuts” can be created for frequently accessed items.


Different Views in Wrench Explorer

Explorer View

By default explorer will be displayed with "Large Icons." You can set default Explorer views for all the modules from here. User can select the required views corresponding to each module. A default view can be defined from the control panel or personal preferences.

View defined in Control panel will be available by default. How ever user can customize the view for all modules in explorer in his Personal Preference . Customized views can be created and saved.

Configuring Views in Wrench Explorer

Different views are available for folders in desktop. They are:

  • Default View
  • Genealogy Default View
  • Custom View

Figure: Desktop Views

Saving a view

A view created in the explorer can be saved.

To save a view

  1. In the toolbar click Views and in the menu click Custom View.

Figure: Configuring a details view

  2. Select / Save View window is displayed.

Figure: Select/Save view

  3. Enter a name for your view.
  4. Save the view as Public or Private. Private view can be accessed only by the administrator.
  5. The saved views are displayed in the Views menu. Select a view name and the corresponding view is loaded.

Figure: Saved Views

Arrangement of Icons in the Desktop

Wrench provides the user with an option to arrange icons grouped under each module.

To arrange the icons

  1. Open any module to avail the list of objects in that module.
  2. Right-click the screen and select " Arrange icons by" from the ensuing menu.
  3. Click a command on the submenu.
# | Menu Item | Description
1 | Name | Arrange Icons in alphabetical Order.
2 | Modified | Arrange icons in the order it was last modified.

Facility to display contents of a folder

  1. Select a module in Wrench.
  2. All the folders grouped under a module is listed on the desktop.
  3. Select a specific folder in Wrench. The title of the folder, its description as well as the last edited on date is displayed along with the total number of items in the particular folder.
  4. You can search for the contents of a specific folder in Wrench. Click "Next" to get the successive set of search results.


Search operations from Wrench Desktop

Searching for an Object, Item or a specific module in Wrench

The drop-down menu of the Address field in the tool bar displays all the modules in Wrench namely; Project, WBS, Documents, CR, CN, Part and Product Structure.

Figure: Searching for Objects

You can search for a specific object, item or a module in Wrench by manually entering the name of the object or module in the Address bar.

To carry out a search operation

Step 1: In the Address field select an object from the drop-down list.

Step 2: Select the Search button.

Now if the object selected is WBS, 'Search Work Breakdown Structure' window is displayed.

For Example: As illustrated in the preceding figure WBS Name is selected as the object property. In the Look For field on entering character "Add" entire WBS having reference number starting with Add are displayed.

NOTE: In order to provide information to the user, tool tip has been provided which displays the respective object functionalities. When the cursor is placed on a specific module, a message is displayed denoting the functionality of the module.

Figure: Tool tip denoting the module function

Search using shortcut key

If you want to carry out a search operation from the Wrench Explorer, select the respective module and press CTRL + F. Corresponding search window is displayed.

NOTE: If you press CTRL + F without selecting any of the modules, then Document search window will be displayed.

Auto-complete option in explorer address bar

Auto-complete or Auto fill in feature involves Wrench predicting a word or phrase that the user wants to type in without the user actually typing it in completely. This feature is effective when it is easy to predict the word being typed based on those already typed.

For Example: If you type the letter D in the address bar a list of words starting with D are listed. If you select the next letter more precise search result will be displayed.


Integrating with External applications

Integrating with External Applications

Wrench Extensibility Integration (WEI) permits adding of documents directly to Wrench from an external application.

Adding Documents to Wrench

User can add MS Word documents to Wrench without starting the Wrench application, if WEI plug-in module is installed in the system. The sign in request is accepted if licenses are available in Wrench and Wrench login window pops up. Once a user logs in, the active connection is maintained unless the session is closed by the user.

To add a document to Wrench

  1. In the MS Word tool bar select Add-In's.

NOTE: The option Wrench is displayed in the menu if WEI plug-in is installed.

Figure: MS Word Tool bar

  2. Click Wrench.

  3. From the ensuing menu select Configure.
  4. 'Configure Connection to Wrench Server' dialog box is displayed.

Figure: Configure Connection to Wrench Server dialog box

  5. Enter appropriate values and click Save to complete the configuration (These values can be obtained from the administrator.)
  6. Select Add to Wrench in the add in menu in the MS Word tool bar.
  7. In the Wrench Login dialog box enter a login name and a password.

Figure: Wrench Login dialog box

  8. Click the browse button next to Server to select a login server.
  9. Click Login.
  10. 'Add to Wrench' window is displayed.

Figure: Add to Wrench window

  11. Enter appropriate values in the window.
  12. Click Add to confirm the addition of the document to Wrench.

Logging Off from Wrench

  1. To disconnect from the server, from the Add In menu in the MS Word toolbar, select Wrench.
  2. From the ensuing menu select Log Off.

  3. On successful log off a message is displayed indicating the same.


Wrench Plug In

Wrench plug-In allows MS Word, MS Excel, Microstation and Auto CAD files to be stored, opened and managed in Wrench without leaving your familiar environment. This solves the problem of users hesitant to switch between systems.

Wrench Plug-in permits you to:

  • Login to Wrench from the native application.
  • Check Out the drawing or document, edit the document and Check In or Replace the document.
  • Send the document to different users.

Prerequisites

Prior to installing Wrench plug-in the following steps has to be performed.

    1. Install 'vstor40_x86.exe' available in the folder 'Pre_Plugin'.
    2. Save setup files available in 'Plug in' folder in Wrench client folder.

Installing Wrench Plug in

To setup Wrench Plug in

    1. Select Performance and Utilities in Control Panel.
    2. In General tab, click Install to start installing Wrench Plug in into the system.

Figure: General tab in Performance and Utilities

  3. On starting the installation, 'Wrench Plug in Wizard' is displayed.

Figure: Wrench Plug in Wizard

  4. Select the Next option to continue the operation and select Cancel option to abort the operation.
  5. On the ensuing 'Wrench Plugin wizard' window, select the check box against the applications for which you need to setup the Wrench Plug in.

The following options are available for selection:

  1. Microsoft Excel Add-On: On selecting this option, files that make possible Wrench operations from an MS Excel file are installed in your system.
  2. Microsoft Word Add-On: On selecting this option, files that make possible Wrench operations from an MS Word file are installed in your system.
  3. AutoCad Add-On: On selecting this option, files that make possible Wrench operations from AutoCad drawings are installed in your system.
  4. Windows Right Click Add-On: On selecting this option, the Wrench Plug in operations can be availed from right clicking MS Word, MS Excel and AutoCad application documents from windows desktop.

Figure: Selecting the Plugin

  6. Select the Next option to continue to the 'Wrench Plugin wizard' window as displayed. On clicking Browse option, you can specify the path to which the Wrench Plug in folder is to be installed. You can also choose whether the plug in is to be viewed by everyone who logs in to this system or only the user who installs the Plug in.

Figure: Selecting Installation folder

  7. On selecting the Next option, Confirm Installation window is displayed.

Figure: Confirming installation

  8. Select the Next option to continue installing the Wrench Plug in. A status bar indicating the progress of installation is displayed.

Figure: Installing Wrench Plugin

  9. Once the installation is completed successfully the following window is displayed. Select Close to exit from the plug in installation wizard.

Figure: Installation complete

Working with Wrench Plug in

Once Wrench plug in is installed, basic Wrench document operations can be performed from the application without switching to Wrench. The Wrench Plug in options will be available in the Add-In's tab, located in the toolbar of the windows application. These options are explained in the following table.

Sl. No.

Item

Descriptions

1

Log-In

This option helps the user to login to the wrench, whenever the user tries to do any operations through WRENCH Plug in.

2.

Add to Wrench

This option helps you to add a document into Wrench. On clicking Add to Wrench, the ‘Save as’ dialogue box will be displayed to save the document to the system before adding it to Wrench. After saving the document, the Add Document window in Wrench is displayed, where you can add the document into Wrench.

For more details in adding a document in Wrench refer Adding a Single document

3

Open

This option helps you to open up a document available in Wrench.

For more details in opening a document available in Wrench, from the windows application refer Opening a Document

4

Check Out

You may check out drawings and documents for editing from Wrench. On clicking Check Out, the 'Check Out Manager' window in Wrench is displayed.

For more details in checking out a document refer Document Operations >> Check Out.

5

Check In

Checked out documents may be edited and checked in back to the system. On clicking Check In, the 'Check In Manager' window in Wrench is displayed. You may make appropriate entries in this window. The Check-in option is enabled only for checked out documents or drawings.

For more details in checking in a document refer Document Operations >> Check In.

6

Replace

Select this option to replace the selected document in Wrench with the document opened in Windows.

For more details in replacing a document refer Document Operations >> Replace.

7

Send

Select Send to send the document to the next stage of the workflow. Only documents added to Wrench can be send using this option.

If a workflow is not attached to the document, system will prompt you to assign a workflow. You can assign a workflow and continue with the send operation.

For more details refer Sending a document.

8

Add As Comment

Select this option to add the document opened in windows as comments to the document selected from Wrench.

For more details refer Adding a document as Comments.

9

Add As Attachment

Select this option to add the document opened in windows as attachments to the document selected from Wrench.

For more details refer Adding a document as Attachment.

10

Undo Checkout

On selecting Undo Checkout the check out operation performed for the document is canceled.

For more details refer Document Operations >> Document Details >> Document Options >> Undo Check Out.

11

Log Out

Once the operations are completed, select this option to exit from Wrench.

12

Import from Wrench

This option is used to import WBS from the Wrench to MS Excel. This option will be available only for an MS Excel file.

For more details refer Import WBS from Wrench to MS Excel.

13

Import to Wrench

This option is used to import WBS from MS Excel to Wrench.

14

Update to Wrench

This option is used to update the WBS in Wrench from MS Excel.

For more details refer WBS >> Import or Export >> Import New Tasks>> Excel >>Update Existing Tasks .

15

Update Selected Task

This option is used to update the selected task from MS Excel to Wrench. This option will be available only for MS Excel Window Application.

For more details refer WBS >> Import or Export >> Import New Tasks>> Excel >>Update Existing Tasks .

For Example: In Microsoft Excel, the following Add-In's tab is displayed.

Figure: Add-In's tab of MS Excel

Opening a document

To open a document in Wrench from the Windows application

  1. In the tool bar of the application, select Add Ins.

Figure: Add Ins tool bar

  2. From the Add Ins tool bar select Open.

Figure: Open Window

  3. The 'Open' window is displayed. You can select a document from the Wrench folder, System drives, Task Workspace or Document Workspace.
  4. On selecting the Wrench folder, the document genealogy available with Wrench will be displayed. On selecting a particular genealogy, the documents available in that genealogy will be displayed in the right side of the ‘Open’ window. You can select the document and click Open to open up the selected document.

Adding a document as attachment

To add a document as an attachment to an existing Wrench document

  1. In the tool bar of the application, select Add Ins.
  2. From the Add Ins tool bar select Add as Attachment.

Figure: Add As Attachment menu

  3. The 'Open' dialog-box is displayed. Select a document in Wrench to which you need to attach a document.
  4. On selecting the document, the 'Add Associated Document' window is displayed. You can enter the association purpose and descriptions for the document to be attached.

Figure: Add Associated Document window

  5. Click Ok to complete the process of adding attachment to documents.

Adding a document as comments

To add a document as a comment to existing Wrench document

  1. In the tool bar of the application, select Add Ins.
  2. From the Add Ins tool bar select Add as Comment.

Figure: Add Ins tool bar

  3. The 'Open' dialog-box is displayed. You can select the document to which the comments are to be added.
  4. On selecting the document, the 'Add Associated Document' window is displayed. You can enter the association purpose and descriptions for the comments attached.
  5. Click Ok to complete addition of comment files to the document.

Sending a document

To send a document to a stage user in Wrench,

  1. In the tool bar of the application, select Add Ins.
  2. From the Add Ins tool bar select Send.
  3. The 'List of Documents' window is displayed. Click Select to continue sending of the selected document to the next stage user.

Figure: List of Documents window

  4. If the selected document does not have a workflow assigned to it, then a message box is displayed asking whether you need to assign a workflow to the selected document.
  5. On clicking Yes, 'Assign Workflow' window in Wrench is displayed. You can select a Pre-defined or Manual Workflow and assign the resources.
  6. If the selected document is already been assigned with a workflow, then Send window is displayed.

Follow the usual procedure for sending documents to send the selected document.

Import WBS from Wrench to MS Excel

To import WBS from Wrench to MS Excel

  1. Open MS Excel windows application.
  2. Select the Import from Wrench option from the Add-Ins tab of MS Excel.
  3. The 'Bulk Export Wizard' is displayed. Click Next to continue importing data from Wrench to MS Excel.

Figure: Bulk Export wizard

  4. You can select the Project ID available with Wrench for importing the tasks to MS Excel. On clicking the Browse button next to Project ID for importing task option, 'Project Search' window is displayed. On selecting the Project ID, the related tasks for the selected project will be available in the left side Task Name column. Using the right arrow buttons you can select the tasks to be imported to MS Excel, the selected task names will be displayed in the right-side Task Name column.

Figure: Importing Tasks

  5. On clicking Next you can select the task column names to be imported for the selected tasks. Using the right arrow buttons you can select the tasks columns names from the left side Task Column Name option to be imported to MS Excel. Now, the task column names selected in the right-side Selected Columns will be imported to MS Excel.

Figure: Columns for exporting

  6. On clicking Next, the selected tasks for the selected Project ID from Wrench will be successfully imported to MS Excel. Click Finish to complete the operation.

Right-Click menu options

Once Wrench Plug-in is installed in your system, selected options are available in the right-click menu.

  1. In the windows desktop, select an MS Word or MS Excel file icon and right-click.
  2. In the right-click menu the following options are displayed.

Figure: Right click menu

  1. Add as Attachment - Select this option to add the selected document as attachment to the document in Wrench.
  2. Add as Comment - Select this option to add the selected document as comments to the document in Wrench.
  3. Add as Document - Select this option to add the selected document in to Wrench.


Configuring the right click menu

The right click menu displayed from the following locations can be configured.

  • Document and Task Workspace
  • Document Search window
  • WBS

This means the items that has to be displayed in the menu can be decided by the user. You can add items to the menu or remove items from the menu. Using this option only items required for a user can be displayed on the right-click menu. Now let us see how the workspace right click menu is configured.

To configure the right click menu

  1. In the right-click menu select Configure Menu.

Configure Menu window is displayed.

Figure: Configure Menu window

  2. In the Configure Menu window select the Customise Operations tab. Different options that has to be displayed in the right-click menu is listed here.
  3. You can select the check box next to each menu item for displaying them on the right-click menu.
  4. You can clear the check box if you want to remove that item from the right-click menu.
  5. Click the up and down arrows to rearrange the position of the menu items in the right-click menu.

NOTE: An Administrator user can configure the options that has to be displayed by default in the right-click menu.

For defining the items that has to be displayed by default in the right-click menu

  1. Select the Default Settings tab.

Figure: Configuring default settings

  2. Select the check box below the column Visibility to display the corresponding options in the right-click menu. If the option has to be hidden in the right-click menu, clear the check box next to the option.
  3. If the check box under the column Deny is selected, a user will not be able to configure this item in the right-click menu.

For Example: For the option Forward for Information if the check box under Deny is selected but Visibility is enabled by the administrator, user will not be able to remove this option from the right-click menu.


Folders

Folders houses the main modules in Wrench. These modules are mentioned in the following navigation table.

Navigation Table

To | See
Create and Manage Projects and Enquiries | Project and Enquiry
Create and Manage Tasks | Work Breakdown Structure
Manage Document related to the Project | Documents
Revise objects for minor changes | Change Note
Manage your To Do List | Workspace

If additional components have been incorporated during Wrench Enterprise installation the following modules will also be available in the desktop.

To | See
Create and Manage Part | Part
Create and Manage Product Structure | Product Structure
Capture innovative ideas from various sources and to create an idea-funnel where ideas are systematically filtered and assessed against various criteria | Ideation
Capture snapshots of the organizational data at set intervals and represent real time project status graphically | Dashboard


Projects and Enquiry

What is a Project ?

A project is a work or an activity that is planned to be completed within a specific time period and on its successful completion achieves a particular aim. A project from its start to completion involves various activities which should be properly planned and monitored.

Project Handling in Wrench

Usually the customers or clients invite tenders for their work. Organizations which undertake large scale complex projects respond to this by submitting their bid. The project is awarded to the most competitive bidder.

The receipt of an order triggers a chain of activities in the organization. Processing of the order involves bulk volumes of inbound and outbound correspondences in the form of email messages and fax messages which has to be maintained and monitored from the initial stage of the project.

Further a project resource team has to be constituted which is a crucial task in the initial stage of the project. The project team is constituted from the available pool of resources. Once the project resources are finalized a project manager is identified from among the project resources. A project manager plays a vital role in a project. It is the project manager who co-ordinates between the different departments involved in the project and between the top level management and the project team.

Since all the activities related to commencement of a project involves laborious tasks, a flawless mechanism for planning and monitoring the initial stages in a project can reduce the risks faced by the project manager to a great extent. Wrench Enterprise is capable of managing multiple Projects across the enterprise. The project module in Wrench takes care of all these activities.

All data such as documents, drawings, Project schedule, Task, Action items etc, that are managed by Wrench Enterprise are related to a Project. A Project is identified by a Project Id. Against a Project Id all project related information such as Project team, Project Deliverables, Transmittal details, Approval status code, Revision series, Life cycle statuses, Templates etc. can be defined for a Project. This will be enforced on all downstream activities.

What is an Enquiry?

Usually a number of enquiries takes place prior to the award of a project. This may include enquires related to technical feasibilities, deliverables of the project etc.

The enquiry module helps in maintaining a proper record of these enquires for future analysis.

See Also:

Creating a Project

Project Search

Project Operations

Creating an Enquiry

Enquiry Search


Creating a Project

Project can be defined as a series of activities with a specified start and finish date to complete a clearly defined deliverable at a specified quality. WRENCH provides a complete set of tools for Project management. Wrench integrates entire relevant information into one single interface so that all information related to a project is available to the project team in a single window.

Prerequisites

A user can be assigned appropriate security rights to Create/Edit/View/Delete projects by selecting Project module and assigning User or User group based Security Rights for the same.

For more details refer section Security Center in the Administrator's manual. It is usually a Project manager with appropriate rights in the Project module that creates a Project.

If any mandatory custom characteristics are linked to the Project; only those users with Security Rights to View/Edit the data will be able complete the function. The rights may be assigned in the Characteristics Security module. For more information see section Control Panel>>Performance and Utilities>>Custom Characteristics in Administrator's manual.

Opening New Project window

Figure: Opening New Project window

STEP 1: Select Folders button in the navigation bar. From the folder items select Project/Enquiry. Select the leaf level folder.

STEP 2: Right-Click on the desktop.

STEP 3: In the right-click menu select Add.

STEP 4: In the ensuing menu select Project.

New Project window is displayed.

Figure: New Project

Another method for creating a project is by clicking Add>>Project from the tab strip.

Creating a Project

In the project details area the basic information related to the project can be provided. A unique project identification number based on a numbering logic is necessary for an organization undertaking multiple projects simultaneously, for easier identification of their projects. A description of what the project is and a short description of the project for internal references are specified. Usually project description is the clients description of the project and short description is the description provided by the company for internal references. The client for the project is also specified. The client is the organization which awarded the project to the company. A project manager is defined for this particular project from a list of resources. Only those users belonging to project managers group can be added as a project manager. A project manager can also have other roles in the project. Project start date is the day on which the project has started and the day on which the project should end is the project end date. All the fields marked with an asterisk (*) are mandatory for the successful creation of a project.

NOTE: For creating a project the basic project details mentioned in the following table are to be specified. Additional project details are specified after a project is created.

#

Field

Description

1

Project ID

The unique code using which a Project is identified. Project number can be entered manually or auto generated.

For more information on auto generating number refer Masters>>Number Generation in the Administrator's manual.

2

Project Description

Enter a name to describe the Project.

3

Genealogy

The genealogy defined in the Project genealogy default properties is displayed here. Click the browse button to select a new genealogy from a list.

4

Project Short Description

Enter short description of the Project when referred in reports. This is mainly used for internal purposes.

5

Client

Select the client for this project. For more information on creating a list of clients refer Masters>>Resources in the Administrator's manual.

6

Project Manager

Select the Project Manager for this project (Only users in the Project Manager's Group" are displayed in list of "Users").

7

Designation

Specify the designation of Project Manager in the Company.

8

Start Date

Enter Project Start Date.

9

End Date

Enter Expected project Finish Date. Project end date is not a mandatory information that has to be provided for all projects. For Example: An R & D project might not have a specific end date. Hence a check box is provided to enable or disable an end date for the project.

10

Percentage Completion

The Project completed percentage will be displayed here. The total percentage, i.e. sum of percentages calculated from all the summary tasks of the WBS (from the Percentage Completion based on work flow field) will be displayed in this field.

If no WBS is available for the project then the percentage completion field on the project module can be manually updated by a user with appropriate rights in the module. Project will be completed on providing a value of 100 in the percentage completion field.

NOTE: On clicking Hide Header Details hyperlink, you can only view the basic details of selected project such as Project ID, Project Description, Percentage Completed, Start Date and End Date.

Project Types and Site

Standard projects will have similar set of internal and external deliverables. So a level/hierarchy is defined on top of projects, called Project Types, to define templates and common parameters and to define standard set of internal tasks . While selecting project types user can assign a site and document numbering template for each project type.

Site or location is the area where the deliverables of the project are built or installed. All the major activities related to the project are carried out in the site. While adding documents to a project, document numbers can be generated automatically based on the numbering templates assigned to each project type. Documents are added to the respective project types based on the numbering template selected.

For more information on defining a Project type and Site refer Project Types

Fore more information on Project View Resources refer Project View Resources

Additional Project Details

Wrench provides a complete set of tools for Project management. Wrench integrates all the relevant information into one single interface so that all information related to a project is available to the project team in a single window.

To enter additional project details click Edit button provided on the tool bar and enter the required information. Additional Project that are to be entered are mentioned in the following navigation table.

To | See
Manage Resources for a project | Project Resources
Mange the general Details of a project such as WBS details, revision series etc | General Details
Manage the list of systems to be delivered for the projects | Systems
Define the list of document transmittals to be used in the project and assign numbering templates the selected types | Transmittals
Manage the Approval codes to be used in project | Approval Status code Mapping
Manage the list of Expert Decision Committees details in this projects | Boards
Manage the list of documents associated with the project | Documents
Manage the correspondences related to the project | Correspondence
Manage the referenced projects | References
Enter notes related to project | Notes
Manage the list of areas assigned for the projects | Areas
Monitor the list milestone stages assigned for the project | Rule of Credit
Define a Life Cycle Revision Series | Life Cycle Revision Series Mapping
Manage the list of templates assigned to the project | Templates
Assign and Manage Line Items | Assigning Line Items to a Project
Assign Project Types | Assigning Project Types
Assign Custom Characteristics | Assigning Custom Characteristics


Project Resources

Project Resources

Resources are specifically the people who may be allocated to the respective project and whose time is allocated accordingly. Identifying and deploying the correct project resources is a crucial factor that decides the timely and successful completion of a project.

Wrench captures the name of employees as Users and their functional roles in the organization as User Groups. Every user will have at least one user group whereas a user can belong to multiple user groups also. Every user will belong to a department in the organization, called his Discipline. Project team is formed by picking users from different user groups, termed as Resource Pool of the project. The team members may assume different discipline in a project based on the expertise/skills required in project. Resources may represent only selected user groups in a project, called his Roles in the project. Also, each of these resources may be assuming different designation in the project, called as his Position in the project. Every project will have a single point contact/co-ordinator. This person is identified separately in the project definition in Wrench ENT as Project Manager. His role in the project is also captures separately as the Designation of Project Manager.

In Project Resources the total list of resources that are assigned or working on the project for various roles are specified. Resources from this pool with various roles are assigned to the tasks specified in the WBS(Work Breakdown Structure) . The name of the user who created the project and the name of project manager are automatically included in the project resources.

To Manage Project Resources

Figure: Project resources

The window displays the following details

#

Item

Description

1

User Name

The Name of the Resource as defined in the user master.

2

Login Name

The unique name using which the user login to the system.

3

User's Groups

The group to which the user is assigned to.

4

Position

The position of the user in this project.

5

Budgeted Duration (Threshold)

A project resource may be a member of multiple tasks in a WBS. Usually duration is specified against the resource for each task.

Budgeted duration is the maximum number of man hours that can be planned for a particular resource for the project. Sum of duration for entire resources for the project are also displayed along in column header. User may edit this column.

6

Budgeted Duration (Planned)

This column displays the total man hours assigned to each resource. The values in the columns budgeted duration (threshold) and budgeted duration (planned) are identical by default. Sum of duration for the entire resources are also displayed in the column header. This field is non-editable.

7

Actual Duration

Actual Duration is the cumulative of the planned man hours for a resource across all tasks in the WBS. When the planned man hours exceeds the threshold, a warning is automatically displayed by wrench.

To make a selection user may select the corresponding radio button at the bottom of the window.

On selecting WBS tasks only sum of duration entered in the time sheet for a user against WBS tasks are displayed. On selecting Project and WBS tasks sum of duration entered in the time sheet for a user against a specific project and against WBS tasks are displayed. Sum of duration for the entire resources are also displayed in the column header.

  1. To enter Project Resources click Edit button provided on the tool bar and enter the required information.
  2. Click the Add button to display the 'User List' window using which the required users can be selected.
  3. Select a user and choose the Remove button to remove the selected user from the Project Resource team.
  4. In the User List window facility is provided to search for a user from a list using User group, Origin, Discipline and Login name.

Figure: User list

  5. Select the users and double-click the user name or click > button to add the user to the 'Selected users' list and click < to remove the user from the list. Multiple user's may be selected simultaneously by selecting with CTRL tab. Click >> button to select all the users and << to delete all the users from the selection.
  6. On clicking the Ok button the list of users selected gets added to the Project resources.
  7. On selecting Edit WBS (under Project Resources tab in the 'Projects Properties' window) against a user's name will grant permission for that user to edit or modify the WBS.
  8. Selecting Edit Project against a resource permits the user to edit or modify the project details. These rights are assigned by default to project manager and the creator of the project. Users who can edit a project may be defined using this option.
  9. Selecting Allow Time Logs next to a user permits the user to enter the time log details in this project. If the check box is not selected user will not be able to enter time log details in the project.

NOTE: Admin users are exempted from this right to edit a project. Edit right in the project module will serve this purpose.The user must also have Manage permission.

Roles

A user may be a member in multiple groups. The role the user have to handle in a project can be defined. In order to define the role of a resource, click Roles from the Project Resource tab in the project properties window. The role of a user is defined by selecting the check box against the corresponding group. Budgeted duration (in hours) for each role can also be defined here.

NOTE: A resource may be a member of multiple groups, but their roles in different project may vary. Rights are distributed to project resources based on their roles in the project.

Figure: User's Group

  1. Choose the Resource Pool button to assign the users of a particular role to the Project Resources.
  2. Add Position is provided to the user to enter the designation of the resource for the Project.
  3. Click the Add Position button and select a position from the list. The user may also remove a user from the list.
  4. Enter a value for Budgeted Duration (Hours) for each user. If Budgeted duration has been defined in roles, it cannot be over written from the Project Resources tab.

Assigning Approver to a Project Resource

Approvers are users with rights to approve a Time sheet. Approvers can be defined for a Project Resources.

To assign an approver to a specific Project Resource

  1. Click the Approver tab to avail the 'Approver Settings' window.

Figure: Approver Settings

  2. In the 'Approver Settings' window, select the Approver from the available List of Approvers.
  3. Click the 'Browse' button against the List of Project Resources to avail the 'Select Users' interface.

Figure: Select Users window

  4. Select the required Users from the available list for the specified approver. The list of users against each approver are defined in Control Panel>>Masters>>Others>>Timesheet Approvers. For more information refer the Administrator's manual.
  5. Click OK.
  6. In the Approves Settings window tool bar click Save to store the changes made. The selected users for the specified approver would be displayed in the 'List of Project Resources' grid.
  7. To read more on Approver please refer Time sheet approval

Refresh Work flow option

If a Resource is removed from one of the roles assigned, the system will check whether the resource is a member of any of the active workflows for this project and remove the resource from the stages for which the removed role is assigned and refresh workflow while removing user from a role. Also if a Resource is added to any role, workflow assignment will be done again. The system will check all the stages inside the Workflow and add the resource to the stages for which the added role is assigned.

On selecting a new user in Project Resources, you may mention if you want to refresh the existing Work flows with the corresponding users or not. When you choose the Refresh Work flow option, the new user gets automatically assigned to all the Work flows in the selected Project’s Tasks and Documents based on the user’s role. The Refresh Work flow option is applicable only for those Projects that are in 'Work-In-Progress' status.

NOTE: Resources removed from the project resources tab are not removed from the workflows automatically.

Click Save button on the menu to save all the details.

Specifying Multiple Disciplines for Project Resources

The user may define multiple disciplines for a specific resource in Project Resources. In the typical engineering scenario, a resource can have multi-disciplinary for a particular Project.

For Example: In certain projects, a draftsman could be part of various disciplines such as Mechanical, Civil etc. By default, a user will belong to the primary discipline defined in the user master. The secondary disciplines applicable for the Project are specified here. By specifying multiple disciplines for Project resources, WRENCH helps to effectively categorize and make an accurate assessment of the cost according to the specified discipline.

To specify multiple disciplines for project resources

  1. Select a specific User/Resource in 'Project Resources' grid.
  2. Click Disciplines tab to avail the 'Project Discipline' window.

Figure: Project Discipline window

The discipline of the selected resource will be displayed in the ‘Project Discipline' window.

  1. Click Add to avail the 'Discipline Selection' interface.
  2. Select the required discipline for the specified resource from the 'Discipline selection' interface.

Figure: Select Discipline window

  3. The selected discipline will be available in the ‘Project Discipline’ window.
  4. You can remove a selected discipline by clicking Remove.
  5. Click Cancel to close the window.

Assigning calendar to resources

A work calendar can be assigned to a project resource. Time sheet related operations and sending notifications will be based on the assigned calendar.

To assign a work calendar

  1. In the Project Properties window click Project Resources tab.
  2. Click the browse button corresponding to a resource under the column Calendar Name.

Figure: Assigning a calendar

List of calendars is displayed.

  3. Choose a calendar from the list and in the tool bar click Select.

Selected calendar is displayed in the column.


General

General

General properties related to a project are defined here.

Figure: General tab

Sl No

Field

Description

1

WBS Code

When a new Project is created WRENCH automatically creates a WBS with a unique code if Auto generate WBS check box is selected in Control Panel.

2

WBS Description

When a new Project is created WRENCH automatically creates a WBS with a unique Description.

3

Revision Series

The revision number indicates the number of times a document is revised. Different series, like 0,1,2,3,4, and A, B, C, D etc. can be assigned as revision number. If there are no client revising options then revision number is only used.

The revision series to be used for documents in a project can be restricted by selecting the series in project.

To enter the revision series

  1. Click the 'Browse' button.
  2. Select a Revision Series from the ensuing window.
  3. Click the link Customize revision series settings to customise the revision number series according to your requirement.

For Project wise setting for Revision series Please refer to Control Panel>>Performance and Utilities>>Document in the Administrator's manual.

4

Block File Replication

On selecting the check box next to this, manual replication of documents and drawings related to this project is restricted.

5

Assign Satellite Server for Replication

In this project if documents have to be replicated to another server, click the hyperlink Assign Satellite server for Replication.

  • 'Assign Satellite Server for Replication' window is displayed.
  • Select the replication server from the list of servers .

If a Satellite server is assigned, on performing Copy, View, Check Out operations the document is replicated to the satellite server.

For more information on replication refer Document Operations>>Replication.

6

Calculate project progress in terms of customer weightage factor

On selecting the check box next to this option project progress is calculated in terms of customer weightage factor.

7

Retain manually added resources on refresh workflow

If this option is selected, when workflow is refreshed manually added resources are not removed. Or else they will be removed.

8

Enable X-ref

Select the check box next to this option to enable X-ref handling for this project. Click the configure button to define link file types.

9

Package based progress measurement

Package based progress measurement will be enabled for the project only if the check box next to this option is selected. Weightage for an area can be defined and saved only if this option is selected.

10

Allow Duplicate File Name

When adding documents or drawings to Wrench drive, adding documents with filename already existing in Wrench drive is restricted. This usually occur when templates are used to add documents. This option permits the user in adding documents with the same file name to Wrench drive.

11

Restrict time log entry to only project resources

If the check box next to this option is selected only project resources are permitted to make a time sheet entry. If this option is not selected all users can make a time log entry for the project even if they are not a project resource.

12

Complete task on completion of workflow of linked document

If this option is selected, when workflow of document linked to the task is completed, task is also completed.

13

Allow document revision number duplication

When a transmittal is released and client comment is updated, internal revision number is not incremented and the document remains still in released status. Now when the document is checked out for the first time after transmittal release an option to select revision number is enabled and you can select a revision number.

If the check box next to this option is not selected, when you select the current revision number of the document from the drop-down list a warning message is displayed informing the user selection of duplicate revision number is restricted. You have to select a different revision number and continue. Internal revision number incremented and status of the document will be work in progress.

14

Calendar

Click the browse button to select a calendar for the project. All time sheet calculations and notifications would be based on this calendar.

15

Person Hour Rate

In some cases billing of the project may be done against man hours spent on the project.

"Person Hour rate" is the cost spent on a person per hour for execution of the tasks assigned to him. Person hour rate field is useful to mention the rate of billing of man hour in the project.This is used internally to calculate the costs of the tasks based on the resources which in turn can be used to gauge the progress of the Project.

Enter a value for Person hour rate here.

16

Ageing Days

During the initial stage of a Project, a mutual agreement is made between the company and the client on the number of days the client will take to respond to the submitted documents. This period can be defined as 'Ageing Days' of the project.

Enter an appropriate value here.

17

Currency Symbol

Though the currency used by an organization is configured in control panel, each project may have a different currency. Hence it is required to use the organization’s currency in each project and allow it to be changed if required. This will help maintain the actual cost of the resource to the organization and the cost to project as well.

Here the currency used in the project that is configured in the masters is displayed. This can be overridden.

18

Select Personal Folder

Select a personal folder from the list. All the documents related to this project will be available under the selected personal folder.

19

Configure personal folder view

Click this hyperlink to select a view for the personal folder assigned to this project.

20

Numbering Template

Click this hyperlink to select a numbering template for the project. On selecting this option Search Template window is displayed. List of numbering templates configured in the masters will be available here. In the list, select the check box next to the required numbering template. Selected numbering templates will be available for the project.

Project wise settings for Revision Series

While creating a Project user can assign a Revision Series from the General tab. This revision series is assigned to the documents added to this Project.

Case 1

If a revision series is not specified while creating the project, the revision series assigned in the document genealogy default properties is assigned to the documents.

Case 2

In case a revision series is not specified in the Project and document genealogy default properties, the revision series assigned in Performance and Utilities>>Documents is assigned to the documents.

NOTE: User can alter the revision series assigned to a Project, even if documents have been added to the Project with the currently defined revision series assigned to the documents.

To define revision series

  1. Click the browse button or cross button corresponding to Revision series.
  2. If a Revision series is already assigned system returns the following message.

Figure: Warning dialog box

  3. On clicking Show Details, Help window appears listing all the documents using the currently defined series.

Figure: Revision Series usage

  4. Select Yes to continue.
  5. Revision Series List window is displayed.

Figure: Revision Series List

  6. Select the required revision series.
  7. Select No to cancel the operation.

NOTE: The new Revision series is assigned only to the newly added documents. Documents added prior to the change in revision series will retain the old revision series.


Systems

Systems

Some of the engineering deliverables may be independent assemblies. Those are identified separately as Systems in Wrench ENT so that tasks associated with those systems could be managed more efficiently. The systems can either be procured or manufactured. List of such deliverables can be maintained using this facility.

To define a system

Figure: Systems

  1. Select System tab.
  2. Select Add button to add a new list of items in Systems.

System Details dialog box is displayed.

Figure: System Details

The information provided in the following table can be entered here.

# | Field | Description
1 | System code | Select the System code by clicking the button next to it.
2 | System description | The System description will be displayed here.
3 | System Identifier | Enter the System identifier here.
4 | Quantity | Enter the quantity here.
5 | UOM | Specify the unit of measure.
6 | Part Genealogy | The description for selected Part genecology will be displayed here.
7 | Part Number | Click the Button and select the Part Number from the drop down box.
8 | Part Description | The description for selected Part Number will be displayed here.

  4. Click OK to save the System Details.
  5. Click Save to store the details.
  6. Enter the vendor details and the system resources by clicking Vendor List and System Resources respectively.

Workflow Team

A workflow can be assigned to a system or package and the progress of the package can be monitored independently. If a package with a workflow is assigned to a tasks with a workflow, then the system returns a warning message whether the package workflow has to be assigned to the task. You can assign the package workflow to the task or retain the same workflow for the task . If the workflow for the task is already started then any warning messages are not displayed.

Figure: Assigning a workflow for the package

To assign a workflow to the system

  1. In the System Details window select the Workflow Team tab.
  2. Select the browse button next to Workflow Team. Search Workflow window is displayed and you can select a workflow from this window.
  3. Click the hyperlink Show Workflow for a preview of the workflow.
  4. Once the workflow is selected click OK to save the workflow and continue.

Vendor List

You can define a vendor corresponding to a system. Once user creates a system, in the System Details window select Apply to save changes. Now the Add button in the Vendor List window is enabled.

To add vendors

  1. In the Vendor List window select Add.

Figure: Vendor List window

  2. Search Vendors window is displayed from where user can select a vendor.
  3. The Code and Name of the selected vendor is displayed in the Vendor List window.
  4. Click Apply to save changes.

System Resources

You can assign a set of resources to a system.

To assign system resources

  1. Click the System Resources tab in the 'System Details' interface.
  2. Select the required users/resources from the list of available user groups.

Figure: System Details

Filter task resources based on systems

If the 'System Resources' have been specified and if the check box Filter task resources based on System is selected, then later on when this system is added to a particular task, the resources available in the system can be used as a filter for assigning resources for the various work flow stages in the task in addition to the project resources. In other words, certain common resources who belong to both the project and system will be taken as work flow resources.

NOTE: When resources are added or removed from an area or system the changes are to be incorporated to the corresponding workflow. Clicking Refresh workflow the changes are updated to the workflow.

Systems-If the Product module plug-in has been incorporated

If the Product module plug-in has been incorporated during installation of Wrench then System Details interface will be displayed as shown in the following figure

Figure: Part and Systems

Here select a part only if part genealogy is defined in the system master (Control panel>Master>Project>System master).

Part Genealogy: In the System Master entry (Control panel>Master>Project>System Master) a part genealogy level is assigned for a specific system code. Only those parts which come under this part genealogy level can be selected as a part for the system.


Type Master

Defining transmittal details for a project

Transmittals are face sheets generated during release of a Document. In an engineering process before any Document is released for approval internally or to the customers the Document information is retained for future reference as transmittals. Refer Transmittals for more details.

To define transmittal details

  1. In the Project Properties window toolbar click Edit, click Type Master tab.
  2. Click Add.

Figure: Defining transmittal details

  3. 'Type Series Details' window is displayed. Enter the transmittal details mentioned in the following window here.

Figure: Type Series Details

#

Field

Description

1

Type

Click the browse button to select a type from a list.

2

Category

Based on the type selected this field is populated

3

Numbering Template

Enter the Transmittal template to be used for Transmittal Number generation.

4

Starting Serial Number

Enter a starting serial number for the project. If the serial number entered exceeds the range specified in the auto generated blocks defined for the templates, a warning message is displayed.

For templates with multiple auto generated blocks, starting serial number entered is applicable for all the auto generated blocks.

5

Last Generated Number

The last transmittal number generated using the selected numbering template is displayed here.

6

Distribution Option

Click the browse button to select the type of files to be send through transmittal. Distribution Option window is displayed.

Figure: Distribution Option window

You can select from the following options.

Documents: On selecting this option document is sent.

Document Attachments: On selecting this option specter. files (PDF version of the file), attachments of the document, comment files, client comment files and squad check comment files are sent.

Reference Documents:On selecting this option reference documents of the file are also sent.

Transmittal Attachments: On selecting this option transmittal attachments like report are attached to the transmittal.

7

Ageing Days

During the initial stage of a Project, a mutual agreement is made between the company and the client on the number of days the client will take to respond to the submitted documents.Value defined in Transmittal Type master is displayed here. This value can be overridden here.

8

Allow multiple transmittal for a document revision

On selecting this option multiple transmittals can be generated for a document with same revision number.

9

Revision required for external agency documents

This option will trigger the vendor Document handling in the system. If this field is selected then while releasing a general transmittal for this project then the user cannot proceed without updating the "Document details interface"

10

Client Document Number Mandatory on Transmittal Release

On selecting this check box a Transmittal without Client Document Number specified cannot be released.

11

Attach Transmittal Report in PDF format

On selecting the check box next to this option documents that are released through transmittals can be automatically converted to PDF. These converted files are attached as specter files in the attachments area of the document details window.

12

Life Cycle Status Mandatory

On selecting the check box next to this option, while creating a transmittal, a mandatory value for Life Cycle Status has to be provided.

13

Override distribution option in transmittal

On selecting the check box next to this option the distribution option in transmittal can be overridden.

14

Send Attachments for Distribution Users as well

On selecting this option while sending a transmittal, attachments in the transmittal are sent to users in the distribution list also.

15

Send on Release

On selecting this option while releasing the transmittal, document is send automatically to the next stage.

16

Send mail to recipients in Bcc

Once this option is selected all the recipients in the To..field of the transmittal window will receive individual mails. A recipient will not be able to identify other recipients to whom the mail is sent.

17

Life Cycle Status / Issue Purpose

lt is possible to link one or many LCS to each submittal type. By linking Issue Purpose to a transmittal type, selecting the Issue Purpose in the Transmittal window is eliminated. On selecting the transmittal type, issue purpose assigned to the transmittal type are displayed, under each transmittal type.

To select LCS / Issue Purpose

  1. Click the browse button.

LCS/Issue Purpose selection window is displayed.

  2. Select the check box next to the Issue Purpose that are to be assigned to the Transmittal Type and click OK.

Selected LCS types are displayed here.

18

Mail Template Configuration

When transmittals are released, emails are sent in templates assigned to the respective transmittal types. However, different projects may also require different templates for each transmittal types if clients insist on using their prescribed templates for communications. Here you can configure mail templates for the project.

To configure template

  1. Click the hyperlink Mail Template Configuration.

Mail Template Configuration window is displayed.

  2. Select a template from the drop-down list and click OK to assign template to the project.

19

Distribution List

In normal cases drawings and documents that have undergone internal review are send by the document controller to the clients for approval through a transmittal. If a group of resources are to be intimated on the release of a specific type of transmittal it can be configured in WRENCH. The group of users in the distribution list will receive a mail once the transmittal is released. For more information on this topic see Defining the Distribution List .

Tip: While selecting transmittal type consider the following scenarios.

Scenario 1: Consider a Project with a user group, GROUP 1 assigned to it. LCS or Issue Purpose is not mandatory for the transmittal type and there is only one transmittal type assigned to the project. When a user from the group, GROUP 1 creates a transmittal, transmittal type is filled automatically.

Scenario 2: Consider a Project with a user group, GROUP 2 assigned to it. Only one transmittal type is assigned to GROUP 2 and one issue purpose or LCS is linked to it. Issue Purpose is mandatory for the transmittal type. Now when a user from the group, GROUP 2 creates a transmittal, Issue Purpose and Transmittal Type is filled automatically.

Scenario 3: Consider a Project with a user group, GROUP 3 assigned to it. Only one transmittal type is assigned to GROUP 3 and no Issue Purpose is linked. Issue Purpose is mandatory for the transmittal type. Now when a user from the group, GROUP 3 creates a transmittal, Transmittal Type and Issue Purpose are not selected automatically.

Defining starting serial number

While using the same transmittal numbering template for multiple projects there are chances of the transmittal serial numbers getting duplicated. To avoid this, a facility to define a starting serial number is provided.

To define a starting serial number

  1. In the 'Type Series Details' dialog box select Details tab against starting serial number.

'List of Auto generated Blocks' window is displayed.

Figure: List of Auto generated blocks

  3. A list of auto generated blocks assigned to this template are displayed here.

The following columns are displayed in the grid:

# | Item | Description
1 | Block Code | The code specified in the master is displayed here.
2 | Block Description | The name assigned to the auto generated blocks is displayed here.
3 | Start Number | The starting number of the auto generated block.
4 | Finish Number | The ending number of the auto generated block.
5 | Starting Number | Enter a starting serial number here. The value entered in 'Transmittal Series Details' window is displayed here.
  4. Specify the above details and click Add button to create a new transmittal series.
  5. Starting serial number and Last generated number are displayed in the grid.
  6. Click Properties in the Project >>Transmittal tab.
  7. Type Series Details' window is displayed.
  8. The values assigned to the different fields are displayed in the window.
  9. Specify a value for the starting serial number.

The new number defined is assigned when a transmittal is generated next time using the selected template.

NOTE: If transmittals are created under the selected transmittal series, such a series cannot be deleted.

Defining the Distribution List

If a group of resources are to be intimated on the release of a specific type of transmittal it can be configured in wrench. The group of users in the distribution list will receive a mail once the transmittal is released. Distribution list can be defined while entering type master details or after entering type master details and saving the type master.

For Example: If the release of transmittal type Release to Consortium has to be intimated to a set of resources, you can add them to the distribution list.

To define distribution list

    1. In the Type Series Details window click Distribution List button.

Or

    2. In the Project Properties window select Type Master Tab. Set of transmittal types are listed.
    3. Select a transmittal type and click the Properties button.

Figure: Project Properties window

Type Series Details window is displayed.

Figure: Transmittal Series Details window

  4. Click Distribution List button.

'Transmittal Distribution Configuration' window is displayed. In the window two tabs Wrench Resources and External Resources will be available. Wrench Resources tab is selected by default.

  1. Enter a Code if a code is not specified. Click the browse button to select a code. Selected code can be removed by clicking the X button.

Figure: Transmittal Distribution Configuration window

  2. To add resources click the browse button in the section Users, User List window is displayed.
  3. Select the recipients from the User List window and click OK.
  4. Select the User Type from a drop-down list. You can select from To, Cc and User List.
  5. Click OK to save changes and continue.

Similarly you can add User Groups also.

To add external resources

  1. Select the tab External Resources.
  2. In the window click the Add button. User List window is displayed.

Figure: Selecting External Resources

  3. External Resources defined in the Project is displayed here. Select the check box next to the users who are to be included in the list.
  4. Click OK to continue. Selected resources are added to the transmittal type.

Defining submittal details for a project

In construction management documents like shop drawings, material data, samples, and product data are referred to as Submittals. Submittals are used, when stake holders who are not using Wrench want to submit documents to stake holders using Wrench. For more details see Submittals .

To define submittal details

  1. In the Project Properties window toolbar click Edit, click Type Master tab.
  2. Click Add.
  3. 'Type Series Details' window is displayed. Enter the submittal details mentioned in the following table here.

Figure: Type Details window

#

Field

Description

1

Type

Click the browse button to select a submittal type from a list.

2

Numbering Template

Enter the Transmittal template to be used for Transmittal Number generation.

3

Starting Serial Number

User can provide a starting serial number for the project. If the serial number entered exceeds the range specified in the auto generated blocks defined for the templates, a warning message is displayed.

For templates with multiple auto generated blocks, starting serial number entered is applicable for all the auto generated blocks. For more information on this topic see Defining Starting Serial Number .

4

Distribution List

If a group of resources are to be intimated on the submission of a specific type of submittal it can be configured in wrench. The group of users in the distribution list will receive a mail once the submittal is submitted. For more information on the topic see Defining Distribution List .

5

Life Cycle Status/Issue Purpose Code

lt is possible to link one or many LCS to each submittal type. By linking Issue Purpose to a transmittal type, selecting the Issue Purpose in the Transmittal window is eliminated. On selecting the transmittal type, issue purpose assigned to the transmittal type are displayed, under each transmittal type.

To select LCS / Issue Purpose

  1. Click the browse button.

LCS/Issue Purpose selection window is displayed.

  2. Select the check box next to the Issue Purpose that are to be assigned to the Transmittal Type and click OK.

Selected LCS types are displayed here.

Linking transmittal types to user groups

Since all transmittal types are not applicable to a user, transmittal type has to be filtered based on the user’s primary user group. Facility to assign transmittal types to user groups in the project addresses this need.

To link transmittal type to user groups

  1. In the Project Properties window click Type Master tab.
  2. Click User Groups button.

User Group - Transmittal Type mapping window is displayed. Here User Group and available transmittal types are displayed.

Figure: User Group - Transmittal Type mapping

  3. For a user group select the transmittal type.
  4. Click OK to continue.


Approval Code Mapping

Most of the project documents will need final approval from the client. Approvals are generally done after different submissions and reviews. Since it takes multiple reviews the project players will define different stages of approval (like Approved with Comments, Approved for construction, Rejected etc). These approval stages are captured to the system along with client definition, as Approval Codes. For defaulting and reporting purposes the system will also capture the First Anticipated approval code also. Approval codes and first anticipated code can be different for different projects done with the same client. So there are provisions to override it in the project module.

To define approval codes

  1. The Approval Code Mapping Details is dependent on the client. These details are mapped to the client in the client module. Click Edit button in the 'Project properties' window and click Approval Code Mapping tab .

Figure: Approval Code Mapping

# | Field | Description
1 | Approval Code | Displays the Approval Code.
2 | Description | Displays the nature of Approval.
3 | Client Approval Code | Displays the Client Approval code.
4 | Percentage Progress | Enter the percentage of work completed corresponding to an approval code.
5 | First Anticipated | During the initial stage of a Project, a mutual agreement is made between the company and the client on the number of days the client will take to respond to the submitted documents. This is the Ageing Days in Wrench. But if the client does not respond before the stipulated time, in order to prevent the work getting held up the First Anticipated is taken up as the response (Approval Status Code) for the submitted documents.
6 | Revision Required | If Revision Required is selected for a particular Approval code, When the particular Approval code is received for a Document/ task, the revision number is incremented.

Editing Approval Code Mapping

You can edit the approval code mapping.

To edit the approval code mapping

  1. Select an approval code and click Edit button.
  2. 'Approval Code Mapping' window is displayed.

Figure: Approval Code Mapping window

  3. You can edit the following fields in the window.

-Description

-Percentage Completion

  4. You can also select or clear the check box against Revision Required and First Anticipated. On selecting the check box against First Anticipated, any other approval codes selected as first anticipated is cleared.
  5. On clicking OK the changes are updated in the respective areas in Tasks Properties and Project Properties window.
  6. On clicking Restore a warning message which indicates restoring of approval code details from the masters is displayed.
  7. Click Yes to confirm the operation.

Importing Approval Codes

Approval Codes defined in the Masters can be imported to the Project.

To import approval code

  1. Click the Import button.
  2. Select Approval Code window is displayed.
  3. Select the checkbox next to the Approval Code that you want to import.
  4. Click Select to complete the import process.


Internal Code Mapping

Internal Codes are approval codes maintained by an organization for internal purpose. While drawings are sent between departments for review and approval these codes are used. Internal Codes are defined in the masters and can be assigned to a Project.

To define approval codes

  1. In the Project Properties window select Internal Code Mapping tab.

  2. Internal Codes defined in the Masters are displayed here.

Importing Internal Codes

Internal Codes defined in the masters can be imported to this project. You can select the codes that are to be imported.

To import internal codes

  1. In the Internal Code Mapping window click Import.
  2. In the Select Internal Status Code window select the check box next to the codes which you want to import.
  3. Click Select.

The selected codes are displayed in the window.

Editing Internal Codes

It is possible to edit the Internal Codes.

To edit internal codes

  1. Select an internal code and click the Edit button in the window.

A window for editing Internal Status Code is displayed.

  3. You can edit the fields shown in the preceding figure.
  4. Click OK to save changes.

Restoring Internal Codes

You can replace the edited internal codes with the original values entered in the Masters.

To restore internal codes

  1. In the 'Internal Code Mapping' window select Restore.
  2. The values entered in the Masters will be restored.


Meeting Boards

Before a project is started an expert committee is constituted to take various crucial decisions related to the project. This committee mainly consists of the high level decision makers in an organization. These decision making committees are termed as "Boards". Each board is identified by its unique name.

Decisions made by board are documented using " Minutes of meetings" (MOM)

To define a board

  1. Select the Meeting Boards tab.

Figure: Boards

  2. On clicking Add, 'Board Details' window is displayed.

Figure: Board Details

  3. Select a board by clicking on the browse button corresponding to Board Name.
  4. 'Search Board' window is displayed.

Figure: Search Board dialog box

  5. Select a board from the 'Search Board' window.
  6. The selected board is displayed in the 'Board Details' window.


Documents

The term document refers to the specific item which provide with all specific information regarding a project. The purpose of these documents is to provide a permanent record of all of these happenings with regard to a project.

In a project usually bulk volumes of documents of various contexts, ranging from contract to legal are usually handled. Manually managing these documents is a complicated process. The document tab serves as an automated mechanism for maintaining all such documents connected to the initial stages of the project. Documents that are created during project execution are maintained in the WBS.

To add documents

Figure: Documents

  1. Right-click on the Document tab grid.
  2. Click Add.
  3. In the submenu select from the following options.
  • Single Documents: On selecting Single Document, 'Add Document' window is displayed.
  • Multiple Documents: On selecting Multiple Documents, 'Multiple Document selection' window is displayed.
  • Existing Documents: On selecting this option document search window is displayed. You can search and select the documents you need from the document search window. For more information on searching and selecting documents refer Search>>Document Search .

NOTE: For more information on Adding Single or Multiple documents refer Documents>>Creating and Adding Documents section of the Help file.

Refer Existing Documents

You can refer documents currently available in Wrench.

To refer existing documents

  1. On selecting Existing Documents, 'Document Search' window is displayed.
  2. Select the required Document from the Document search window.
  3. You can also select multiple documents.
  4. The selected Documents would be added as a Project Document and will get displayed in “Documents” tab area of the Project properties.

NOTE: If there are any attachments made to the documents they are indicated by legends. Attachments may include specter files, comment files, client comments, squad check comments, external reference files (X-ref). Refer the Document Search module for comprehensive information on the topic.

Document Operations

You can select a document and perform a number of option from the right-click menu.

To perform document operation

  1. Select a document and right-click to avail a menu as displayed in the following figure.

Figure: Adding Documents

The following operations can be performed on a selected document.

Show Details

Clicking this, 'Document Details' window is displayed.

Update Document Details

On clicking Update Document Details, the Document Details window is displayed so that the user can update the document details.

If this option is selected for multiple documents, 'Edit Multiple Documents' window is displayed.

For more information on updating document details refer to Document Search>>Operations Possible in Document Search.

Add

Click Add to add documents to the project.

Detach

Click Detach to remove the document from the project.

Check Out

Click Check Out to check out the document to the local server for editing.

Replace

Instead of checking out, editing the document and checking in user can replace a document with another document.

Check In

Click Check In to check in a checked out document after editing.

Copy Out

User can copy out the selected document to any location.

If a single file is copied the following dialog box is displayed.

Figure: Copy Complete dialog box

  1. Click Open to open the copied file.
  2. Click Open Folder to open the folder where the file is copied.
  3. Click Close to close the message box.
  4. On selecting the check box against Do not show this message again the dialog box is not displayed for further copy out operations.

View

  1. Click View to open and view the selected document in the native application. You can also double-click on a document to view the document. On double clicking the document the following message is displayed.

  2. Select View to open the document.
  3. Select Show Details to display the Document Details window.

Open With

Click Open With to open the selected application using the program of user's choice.

Show Work flow

Click Show Workflow to display the work flow assigned to the task.

Assign Work flow

Click Assign Workflow to assign work flow to the selected document.

Multiple documents can be selected with the CTRL key. User can Delete, Detach and Remove the selected multiple Documents. This operation is possible from Documents added in Project, Document Search window, WBS, Folder Structure and Workspace.

See Also:

Adding a Single Document

Adding Multiple Documents

NOTE: If the user does not enter a Document number while adding a Document then the system will generate a Document number based on the Numbering template that is selected in "Manage Item Details". Different sites will have different templates, select the appropriate number generation template.


Correspondence

Correspondences can include mail, fax or documents. Correspondences can be added by dragging it to the system if those are available in MS Outlook in the client PC. Otherwise it can be added like a document addition.

All these correspondences are handled through the correspondence tab. Wrench provides facility for automated handling of the correspondence documents. Automated handling involves storage and retrieval of project related correspondences. Fetch mail facility serves as a mechanism for automated storage and retrieval of project related correspondences. The correspondence Documents can neither be edited nor released through a work flow with a transmittal stage.

To add a correspondence

  1. Right-click in the Correspondence tab area. The menu displayed in the following figure is displayed.

Figure: Adding a Correspondence

  2. In the right-click menu select Add.
  3. Select between three options from the ensuing menu.

-Single Correspondence

-Multiple Correspondences

-Refer Existing Correspondences

  4. On selecting Single Correspondence, 'Add Document' window is displayed. For more information adding a single correspondence refer Adding a Correspondence Document.
  5. On selecting Multiple Correspondence, 'Add Multiple Documents' window is displayed. For more information on adding multiple correspondences refer Add Multiple Documents .
  6. On selecting Existing Correspondences, Document Search window is displayed.
  7. On initiating a search only correspondence documents are returned.
  8. Select single or multiple correspondences from this window.
  9. The selected files are added to the correspondence tab area and are grouped separately.

Automatic storage of Project-related Correspondences

In the typical engineering scenario, the Project Manager receives thousands of Project-related internal mails as well as sends numerous external mails as part of the business processes. After a certain stage of the Project, all these mails are archived into a Compact Disc. This procedure is, in fact, risk-prone as there are greater chances of certain vital information getting lost during conversion. Moreover, it becomes impossible to urgently retrieve any particular mail. In order to enhance the user-friendliness of Wrench for customers, a new facility has been evolved by which the Project Manager can send copies (Cc) of the particular internal mail /external mail in Outlook to an Incoming/Outgoing Mail ID defined by Wrench. In this way, all the outgoing mails could be stored as well as archived in Wrench. Similarly, all the incoming mails could be retrieved later and could be used for future reference.

For each Project, default Project correspondence path is previously defined in Wrench as well as integrated to Outlook mail id's (for incoming and outgoing mails). Let's take an example. If the incoming mail Id configured in Wrench is ProjectName@wrench.com, then each time a mail is sent from Outlook, the Project manager would also mention a Cc (forward the mail)to the above given incoming id. The incoming mail would then get stored in the Project default correspondence path. In this way, project-related correspondences could be stored in Wrench and retrieved at any point of time. Further, all the Project-related mails would be available and readily accessible for all the team members involved in the specific Project.

To Configure Incoming/Outgoing mail Id in Wrench

Figure: Project-Correspondence window

  1. Select the Correspondence tab .
  2. Click Configure Mail button. The 'Configure Mails' window is displayed.

Figure: Configure Mail dialog box

  3. Specify the Incoming Mail ID, a Password and a correspondence genealogy.
  4. Select the check box against Delete server copy after fetching the mails to prevent the receipt of mails in other mail clients.
  5. If the check box corresponding to "Fetch mails automatically" is selected, mails from server are fetched and are added to Wrench based on the duration specified in the scheduler. Document numbers for the fetched mails will be auto generated based on the "Project Number or Serial Number" logic.

Fetch Mail operations

Wrench fetches Project-related correspondences from the MS Outlook, from the Incoming/Outgoing Mail Id (s) configured for a specific Project.

  1. Click Fetch Mail.
  2. Fetch Mail dialog box is displayed.
  3. The selected Project Id is displayed.

Figure: Fetch Mail dialog box

  4. User can specify a From and To date.
  5. Click Fetch Mail.
  6. All mails in the mail server based on the incoming/outgoing mail Id specified in the Project are fetched.

NOTE: If mails are being fetched from an MS Exchange Server, ensure that POP 3 Email account is enabled. Or else the fetching operation will fail.

The following information's are available in the task bar notification area.

  1. The progress of the fetch mail operation is displayed.
  2. Information on total mails available and mails fetched are displayed.
  3. On successful completion of the operation a message "Fetching Mails Completed" is displayed. If any error occurs during the operation an error message is displayed. User is provided with a facility to view the error details.

The lists of correspondences fetched are displayed in the Mail window.

Figure: Select Mail window

  1. Select the required mails .
  2. The details of the selected mails are displayed in the bottom half. If any files are attached, the attached file details are also displayed.
  3. The attached Documents are stored with the mail in the specified genealogy.
  4. On the tool bar click Add to Wrench.

Figure: Mail window

  • If the mails are added successfully 'Mail added successfully' dialog box is displayed as shown above.
  • The mails added are stored under the configured genealogy.

NOTE: While a Fetch mail operation is performed the settings defined in the project will have precedence over the settings in the genealogy. If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

Update Correspondence Details

User can select multiple correspondences and from the right-click menu select Update Document Details.

For more information on updating correspondence document details refer to Document Search>>Operations Possible in Document Search>>Update Document Details .


Reference

Usually a project is referred to other similar projects. The drawings and designs used in the referred projects can be made use of if similarity exists between the projects. Also the experience gained in executing the referred project can be made use of in similar projects. Using a project as a reference helps in reviewing the progress of similar projects.

Listed in the Reference tab are two sets of reference details where the first one is a list of Other Projects referenced by the current Project. The second is a list of other Projects to which the current Project is referred.

Figure: References

To add references

  1. To add a new Project to the first list, click the Add Projects button.
  2. Clicking Add button will open the 'Project search' window, using which the Project can be located.
  3. Clicking Add Line Item will open the Enquiry search window. The entire list of enquiry projects are displayed. Accepted line items in the completed enquiries are displayed as a separate row.
  4. On selecting the check box against All Line items the entire details irrespective of the enquiry status are displayed.
  5. Clicking Remove button will delete a reference.
  6. To open the selected referenced Project, click Go To button.

Project created from the line items in an enquiry are added to "Other Projects into which this enquiry is referenced" section.


Notes

Any general information related to the project can be entered here.

  1. Type in details as required.
  2. Click Save button to save changes.

Figure: Notes


Area

Projects are generally complex with thousands of tasks, dozens of deliverables, multitude of software tools (ERP's, Primavera, MS Project, 3D Modelling, Excel), Locations (sites, time zones and countries) or number of players (project team members, client, consultant, project management organizations, contractors and suppliers). The sites are often split into multiple Areas for easier delegation or sub-contracting.

Defining areas for your project

By segregating a project to different areas the process of monitoring the project progress is simplified and also helps in resource optimization.

In addition areas defined in a different project can be imported and reused for the current project.

Workflow resources can be assigned and filtered for a specific task on the basis of resources previously assigned in Area, System and Project if the area or system is assigned for the task. The system provides users the facility to assign resources for a particular Project area.

Figure: Creating a New Project-Area tab

To add Areas for your project

  1. In the Project Properties window select Area tab.
  2. Select Add button. Project Area window is displayed.
  3. Select Area Details tab.

Figure: Project Area

  4. Enter an Area Code. Corresponding Area Description is displayed.
  5. Enter a Weightage for the area.
  6. Select the Workflow Team tab to assign a Workflow for an Area.
  6. Click OK to save changes.

To assign area resources

  1. Select the Area.
  2. Click the Properties button.

Project Area window is displayed. An additional tab Area Resources will be available in the window.

  3. Click the Area Resources tab.

Figure: Assigning Area Resources

User Groups and users under a selected group is displayed in this window.

  4. Select a group and select the checkbox next to the users that you want to add to the Area.
  5. Click OK.

Selected Resources will be added to Area.

If an area with a workflow is assigned to a task with a workflow, then the system returns a warning message whether the area workflow has to be assigned to the task. You can assign the area workflow to the task or retain the same workflow for the task. If the workflow for the task is already started then any warning messages are not displayed.

Adding Sub Areas

Areas defined for a project can be further divided to sub areas. This makes the project progress monitoring process easier.

To add sub areas

  1. Select the area defined for the project and right-click.
  2. In the right-click menu select Add Sub Area. Project Area window is displayed.

Figure: Adding sub area

  3. Enter values for the sub area. For more information on entering values refer the section Defining areas for your project .

Sub Area added will be displayed under the main area as shown in the preceding figure.

Importing areas

Areas defined for a different project can be reused, if the properties match for the current project. Areas can be imported from another project and MS Excel file. In the Import Area window the following options are available:

Import from other projects: Using this option areas defined in a different project can be imported.

Import from MS Excel: Using this option area details entered in an MS Excel template can be imported.

Areas can be imported at selected area levels also. During the start of a project for procurement /construction only the higher level activities are defined. The detailing comes at a later stage. So this option to import areas at any level will be helpful in such cases. When user select an area level and import, area is imported against that level.

To import areas from another project

  1. In the Project Properties window select Area tab.
  2. Click the Import button. Import Area window is displayed.

Figure: Import Area window

  3. Select the radio button next to Import from Other Projects.

Import Area Resources: When areas are imported from a project if this option is selected, then Area Resources from the source project will be imported to the target project. While importing the Area resources from a project, and if the same resources are not available as project resources in the target Project, then such resources will not to be imported. This option will be selected by default.

  4. Click the browse button next to Project ID. Areas defined for the project are displayed in the window.

Figure: Importing from other projects

  5. Click Import to start the import procedure.

Entire Areas defined for the selected project will be imported to your current project.

To import areas from MS Excel

For importing areas using an MS Excel template, you have to generate an MS Excel template.

To generate an MS Excel template

  1. Click Generate Template to create the export template.
  2. Save As window is displayed. Save the excel template in a specific location.
  3. Enter the area details in the template and save the template.

Figure: Area Template

To import from MS Excel template

  1. Select the radio button next to Import from Excel.

  2. Click the browse button next to Select Excel File.
  3. Select the MS Excel template that contains the area details.
  4. Click Import button to start the import procedure.

Project resource pool

A project has set of resources called project Resource Pool. Resources can be assigned to an area from the project pool (normally project teams are split into multiple sub teams according to areas). An area can be specified in a task. User or User groups is also specified in the workflow stages assigned to a task.

While scheduling a task, Wrench will filter and allocate the task resources in the workflow stages. If the check box Filter task resources based on Area is selected and if this area is added to a particular task, then later on, the resources available in the Project area can be used as a filter for assigning resources for the various work flow stages of the specific task in addition to the Project resources. In other words, common resources belonging to Project and Area will be taken as work flow resources.

When resources are added or removed from an area or system the changes are to be incorporated to the corresponding workflow. Clicking refresh workflow the changes are updated to the workflow.

NOTE: If the check boxes in both system and area are selected, then task work flow resources are filtered based on Project resources, while taking both system and area resources into consideration. In this case, those users/resources who belong to a specific user group in a work flow stage that is available in either System or Area and belong to Project resources would be considered as a stage resource in the work flow.

Releasing and Revoking Areas

Once the areas are defined for your project, the areas can be released.

To release the area

  1. Select the area that you want to release.
  2. Click Release button.

NOTE: Areas can be released only if the sum of area weightage is 100.

To revoke the released area

  1. Select the released area.
  2. Click Revoke button.

Moving areas between levels

Using the up and down arrows, a selected area can be moved between the areas listed here. Area can be only moved between same levels.

To move the areas

  1. Select the area level that you want to move.

Figure: Moving areas

  2. Click the Up arrow to move the area up.
  3. Click the Down arrow to move the area down.


Rule of Credit

While stringent monitoring of the milestone tasks are necessary for the timely completion of the project, the project manager needs to be informed of any delay in the Project well in advance so that appropriate preventive measures can be taken. The important milestone stages related to the progress in the deliverables are mentioned in the Rule of Credit module.

In the usual engineering scenario, the tasks in WBS are delivered to the client several times for review and approval. The progress of the tasks is constantly monitored through reports with the help of the Rule of Credit. The Rule of Credit provides the Planned and Actual dates for intermediate stages in the work flow.

User may select the appropriate life cycle status, approval status codes and internal status codes for the various work flow stages while creating rule of credit. By linking the life cycle status, approval status codes and internal status codes to the rules of credit actual dates for multiple issues to the client can be monitored.

Figure: Rule of Credit

Navigation Table

To | See
Create Rule Set | Creating Rule Set
Create Rule of Credit | Creating Rule of Credit in Project
Assign Rule Set | Assigning Rule Set to Task
Apply rule set properties to task | Applying rule set properties to task
Link Issue Purpose and Approval Status Code to Rule | Linking Life Cycle Status and Approval Status Code to Rule of Credit
Import Rule of Credit from Project | Importing Rule of Credit from Project
Create Rule of Credit in bulk | Bulk Creation of Rule of Credit
Schedule the rules | Microscheduling

Creating Rule Set

Rule set can be defined for a particular group of tasks, documents, etc for which the same rule of credits are to be monitored.

For Example: A rule set called Design Milestones can be defined, which can be set for a group of designing tasks in the genealogy.

To create a Rule Set for a project

    1. In the Project Properties window select Rule of Credit tab.
    2. From the list of buttons of available in the grid Select Add Rule Set.

New Rule Set Creation window is displayed.

Figure: New Rule Set Creation window

The information that is mentioned in the following table is used to define a new rule set.

#

Item

Description

1

Rule Set Name

Name for the Rule set to be defined.

2

Sequential

When a Rule Set is created there are three options to choose from. If the radio button next to Sequential is selected work on the second rule or any succeeding rule cannot start unless the work on the first rule is over. This rule set can be termed as a sequential rule set.

3

Parallel

In most of the construction projects actual work is done in parallel. This means work can happen in parallel, and there is no any need to follow a sequence.

If the radio button next to Parallel is selected, the second rule or any succeeding rule can start even though the first rule is incomplete. This rule set can be termed as parallel rule set.

4

Quantity

Majority of the construction projects are planned for timeframes and not milestones. Planning is done for the completion of works for each time period which could be a day, a week or month.

If the radio button next to Quantity is selected it will be possible to define a quantity based or week based rule set that can hold the plan for weeks as well as accept actuals data for weeks.

5

Hybrid

The Rule set type Hybrid is a combination of Sequential (Date based) and quantity Rule set. In this type of Rule set, user has the facility to update the progress of a rule by updating date against the rule or by updating quantity against the rule. The actuals updated are created as a sub rule under each rule.

6

Copy From

You can define a new rule set with all the details related to the existing rule. Select the existing rule set by clicking the down arrow next to 'Copy From' box.

7

Properties

On clicking Properties you may set the properties for the rule set defined. For more details see Applying Properties of a Rule set with Task.

    3. On clicking OK, a new group with the name of the rule set defined will be added to the grid.

Creating Rules of Credit in Project

For the Rule set defined we can create rules of credit based on which the progress of deliverables related to the project is being monitored.

To create rule of credit

    1. In the Project Properties window select Rule of Credit tab.
    2. From the list of buttons of available in the grid select Add Rule.

'Rule of Credit' window is displayed.

Figure: Rule of Credit

The information that is mentioned in the following table is used to define a new rule of credit.

# | Item | Description
1 | Rule Set Name | Select the rule set for which the rule of credit is to be defined.
2 | Rule Name | Name for the rule of credit.
3 | Percentage | Enter the percentage of progress that will be achieved on completion of the rule .
4 | Customer Percentage | Here specify the progress that has to be displayed in reports.

After entering the Rule Set basic details next step is to add properties for Rules.

To add properties for rules

  1. Click the Add button

Select Rule Properties window is displayed.

Figure: Rule properties window

In the rule properties window different objects and object properties that can be added to rules are available. In the preceding figure properties are grouped based on Object Type and Property Type. Basic object properties and custom properties can be selected from this window. Custom Properties defined in the masters for documents and tasks are available here. Different object types and basic properties available under them are mentioned in the following table.

#

Object Type

Properties

1

Document

Basic document properties available for object type document is displayed in the following figure. Select the checkbox next to the property that you want to add to the rule.

The selected properties will be available in the Rule of Credit window. Select values for the selected properties.

Approval Status Code: Select the Approval status code for the rule of credit.

Document Genealogy: Click the browse button to select the document genealogy. Once you select a genealogy, percentage progress for the rule is updated based on Type of Host Document and the selected genealogy.

For Example: If you select the Type of Host Document as "Link" and Document Genealogy as "Civil" then the task will be credited with the percentage defined for the selected rule, only when a document is linked to task from this genealogy in the selected stage.

NOTE: This option will not be enabled, if Type of Host Document is not selected. i.e, This option will be applicable only when the tasks are to be credited with a percentage progress on linking or referring documents from a particular genealogy.

Internal Status Code: Click the browse button to select the internal status code. For more information refer Selecting Internal Status Code .

Life Cycle Status: Select a life cycle status for the rule of credit. For more information see Selecting Life Cycle Status and Approval Status Code.

Revision Number: Enter the user revision number of the document.

Type of Host Document: Define whether the defined percentage is to be credited when the attachment is linked, referred or both .

Type of Attachment to Document: In some cases progress is achieved when a related file is added to a document. The rule would be active when any related file is linked or referred to a task and based on the rule specified progress will be captured.

Select the type of attachment based on which the task progress has to be captured. The options available are:

  • Specter
  • Related Files
  • Comments
  • Markups
  • Client Comments
  • Squad check comments
  • Referenced documents

NOTE: When the property Attachment Type is selected, property Attached To is automatically selected.

2

Task

Basic task property available for object type task is displayed in the following figure. Only a single property Document Attachment Mode is available here.

Select whether the defined percentage is to be credited when the attachment is linked, referred or both, document is linked with physical file, document is referred with physical file or both. Once this property is selected in the rule window, the options displayed in the following figure are available in the drop-down.

3

Task / Document

Here workflow related properties are available. The available properties are displayed in the following figure.

The selected properties will be available in the Rule of Credit window. Select values for the selected properties.

Evaluate Rule only during workflow SEND operation: If the check box next to this option is selected, the properties selected for this object will be applicable only during the sending operation.

Workflow Team: Click the browse button to select a workflow team. Search Workflow window is displayed. Search and select your workflow.

Stage Mode: Select the stage mode as 'Entry' or 'Exit' . i.e, while entering or exiting from the selected stage, the defined percentage will be credited for the rule.

Stage Name: Select the stage name for which the rule is to be defined.

NOTE: If the property Stage Name is removed, properties Stage Mode and Evaluate Rule only during workflow SEND operation are also removed.

After entering values for different object properties selected, the Rule of Credit window will appear as displayed in the following figure.

Figure: Rule of Credit window

Save the project to store the properties.

Selecting a Life Cycle Status and Approval Status Code

  1. Select the Life Cycle Status grid.
  2. Click the 'Browse' button. Life Cycle Status window is displayed.
  3. You can select Multiple values for Life Cycle Status.
  4. Select the Approval Status Code grid. Click the 'Browse' button.

Select Approval Code window is displayed.

Figure: Select Approval Code window

  6. You can select multiple values from this window.

If the values specified in the Stage name, Life Cycle Status and Approval Code matches, the actual dates are automatically captured by the system.

NOTE: The scheduled completion date, Percentage completion, Life cycle status and Approval codes mentioned in the rule of credit tab are inherited by the associated task. However, you have the provision in the specific task to override the schedule percentage given in the Rule of Credit.

Selecting an Internal Status Code

  1. Click browse button to select the internal status code.

Select Internal Status Code window is displayed.

  2. Click OK to incorporate the details defined, in the grid for the Rule Of Credit tab.

Assigning Rule set to Task

There are two ways by which you can assign a rule set property.

  1. In the Project Properties window select Rule of Credit tab.
  2. From the list of buttons of available in the grid select Properties.

'Rule Set Properties' window is displayed. This window helps you to define the properties of a rule set.

Or

  1. Double click the rule set in the grid and 'Rule Set Properties' window is displayed.

Figure: Rule Set Properties

# | Item | Descriptions
1 | Rule Set Name | Name for the Rule set to be defined.
2 | Properties | You can apply the defined rule set to tasks and based on these rule sets you can set rules of credit for these tasks. For more details see Applying Properties of a Rule Set with Task.

Applying properties of a Rule set to Task

  1. Select the hyperlink Enter a Value. A drop-down list is displayed with task properties.
  2. Select a property from the drop-down list displayed.
  3. Click Begins With to define a condition. A list of conditions is displayed. Select a condition.
  4. You can type in or select a value to complete the process of applying properties.
  5. Click Apply To Task to apply the defined property to all the tasks.
  6. Click OK.

Linking the Life Cycle Status and Approval Status Code to the Rule of Credit

In the usual engineering scenario, tasks in WBS are delivered to the client several times for review and approval. The progress of the tasks is constantly monitored through reports with the help of the Rule of Credit. The Rule of Credit provides the Planned, Forecasted and Actual dates for intermediate stages in the work flow.

Let's assume that the stages defined in the Rule of Credit for a particular task is:

  • Draft
  • Squad Check
  • Client Issue & Client Comments (Issue for Review)
  • Client Issue and Client comments (Issue for Approval).

Now here, please note that there are two stages named "Client Issue and Client comments" in the Rule of Credit. This means that, the Document is initially submitted to the client for review (Here, the Life cycle status is IFR) and the second submission of the Document is for client approval (Life cycle status is Issue For Approval -IFA). This helps to monitor the actual dates for multiple issues to the client.

Wrench facilitates users to link the life cycle status and approval status code to the Rule of Credit in the Project module. The user may select the appropriate life cycle status and approval Status Codes for the various work flow stages in the Rule of Credit. The values specified here are inherited by the tasks in the WBS.

Figure: Project-Rules of Credit

When the specific task completes a stage in the rule of credit, the Actual completion date and Percentage completion will only get updated under three conditions:

  1. If both Life cycle status, approval status code and Internal status code are specified in the rule of credit.
  2. If both life cycle status and approval status code specified in the WBS task properties is in coherence (matching) with the Life cycle status and approval status code of the linked Document.
  3. If either of the options, i.e. Life cycle status or Approval status code is already specified in the rule of credit and if the life cycle status or approval status code specified in the task properties is in coherence with those in the linked Document.

Importing Rule of Credit from Project

Import of rule of credit helps in reusing of rules of credit data from similar projects. The project from which the rules of credit values are imported is defined as the Source project. The project to which the values are imported is defined as the Destination project.

To import rule of credit details

  1. In the Project Properties window select Rule of Credit tab.
  2. From the list of buttons of available in the grid Select Import.

Import Rules of Credit dialog box is displayed. Rule of Credit can be imported from other projects or from an MS Excel template.

Figure: Import Rules of Credit dialog box

To import rule of credit from project

  1. Select the radio button next to Import from Other Projects.
  2. Click the browse button to select a project.

If rules of credit values are not defined against the selected project, system returns a warning message indicating the same.

  3. Once the project is selected click Import.

NOTE: If any errors occur during the import process, the reason for errors are also displayed in this window. In order to perform the import operation successfully, you can correct the errors and repeat the validation process.

The following columns are displayed on selecting Show Details option.

# | Field | Description
1 | Errors | Errors that occurred during the validation process are displayed here.
2 | Warnings | Warnings related to validation process are displayed here .
3 | Serial Number | Imported items are displayed in the same order as in the sources Rules of Credit tab.
4 | Rule Name | The rule name is displayed here.
5 | WF Team | The Workflow team name is displayed here.
6 | Stage Name | The stage name is displayed here.
7 | Life Cycle Status | Clicking the browse button life cycle status search window is displayed which lists the life cycle status defined in the destination project.
8 | Approval Status Code | Clicking the browse button approval status code search window is displayed which lists the approval status code defined in the destination project.
9 | Internal Status Code | The internal status code is displayed here.
10 | User Revision No | The user revision number is displayed here.
11 | Planned Completion Date | You may select a planned completion date.
12 | Forecasted Completion Date | You may select a forecasted completion date.
13 | Scheduled Completion Date | You may select a scheduled completion date.
14 | Scheduled Percentage | You may define a scheduled percentage.

To import rule of credit from an MS Excel template

Rule of Credit values can be entered in an MS Excel template and the details are imported to your project. The MS Excel template is generated from the Import Rule of Credit window.

To generate a template and import from template

  1. Click Generate Template in the Import Rule of Credit window.

Figure: Import from Excel

Select Rule Properties window is displayed.

Figure: Select Properties window

  3. In the window select different document and task properties. In addition custom properties assigned to tasks or documents can also be selected.
  4. Click OK after selecting the properties.
  5. An MS Excel template is generated. Enter values in the template and save the template.

To import from template

  1. In the 'Import Rule of Credit' window select the radio button next to Import to Excel.
  2. Click the browse button to select the saved MS Excel template.
  3. Once the template is selected click Import to continue with the import operation.

F Information:

The following scenarios might result in an error or warning message being displayed by the system.

An error message is displayed

  • If Planned completion date from the source project is not within the Project start and Project finish dates of the destination project.
  • If the Scheduled completion date from the source project is not within the Project start and Project finish dates of the destination project.

A warning message is displayed

  • If any of the life cycle statuses which are to be imported from the source project are not defined in the destination project.
  • If any of the approval status codes which are to be imported from the source project are not defined in the destination project.

Creating Rule of Credit in Bulk

Rule of Credit can also be created in bulk.

To create rule of credit in bulk

    1. In the Project Properties window select Rule of Credit tab.
    2. From the list of buttons of available in the grid select Bulk Create.

'Bulk Create Rule of Credit' window is displayed.

Figure: Bulk Rule of Credit creation window

    3. You can enter the following values in the window.
      • Number of Entries: Number of rules that is to be created can be mentioned.
      • Rule Name Start with: The rule name will be labeled based on the value entered here.
    4. On clicking OK, the rules of credits based on the selected number in the Number of Entries box will be created.

For Example: If you select number of entries as 3 and rule name start with value as Task, rule sets Task 1, Task 2 and Task 3 will be created.

Micro-Scheduling

Here you can specify the duration from one milestone to another, and based on the duration other milestone planned dates can be automatically calculated. Rule of Credit dates are generated automatically based on; a single input, Schedule Start Date, Client Submission Date etc. This process is referred to as Micro Scheduling.

A calendar can be assigned to a milestone based on which the calculation can be carried out. In case a calendar is not assigned calculation is carried out based on the normal Wrench working calendar.

NOTE: Micro Scheduling duration is based on days not on hours.

To generate rule of credit dates automatically

  1. In the Project Properties window select Rule of Credit.
  2. Select a Rule Set and click Micro-Scheduling.

Figure: Generating Rule of Credit automatically

Formulate Micro-Scheduling window is displayed.

Figure: Formulate Micro scheduling window

In the window the selected Rule set is displayed. The following selections can be made before defining the condition for generating a rule of credit date automatically.

Calendar: Select a calendar from the drop-down list. Calculations are made based on the selected calendar.

Set Forecast Dates as equal to Planned Date: Select the check box if you want to set the forecast dates the same as the planned dates.

  3. Next step is to define the formula for generating the Rule of Credit dates.
  4. Specify the Milestone, the Reference milestone, and the Duration in days from the reference milestone . The reference milestone can be Start date, Finish date or any other milestone. The duration could be plus or minus.

In case the values for calculating rule of credit dates are defined as in the following table.

Rule | To | Reference | +/- | Duration in Days
CHECK | equal to | Draw | + | 2

The dates for activity CHECK will start 2 days after the activity Draw has started. This means if the activity Draw was started on May 25th 2013, then the activity CHECK will start on May 27th 2013, provided there are no holidays in between.

  5. Once the formula is defined click Apply to Tasks.

Dates are updated successfully and the formula is applied to the tasks in WBS.


Life Cycle Revision Series Mapping

Revision series defines the style of document revision number. Each series may be defined against a serial numeric sequence. Revision (change) is a critical event in any project. Various organizations may have different methodology of identifying revisions. Some may use numeric serial numbers, may be some other organization follow alpha numeric revision series such as "A", "B", "C" etc. Some organizations follow different revision series for minor and major changes.

In the 'Projects' module, the user may define a different revision series to be attached to the specific Life Cycle Status (LCS) of the Project. In case, there is no revision series attached to the Life Cycle Status (LCS) in the Project, then the revision series already attached to the Life Cycle Status (LCS) in Masters would be taken into account as the default revision series for the Life Cycle Status (LCS). Each time a document is issued through a particular Life Cycle Status (LCS) , say IFR, the Revision series mapped to that Life Cycle Status (LCS) (IFR) will be incremented, if the document is revised for any reason.

To attach a revision series to Life Cycle Status in 'Project'

  1. Click the Life Cycle Revision Series Mapping tab in the Projects interface. The list of the available Life cycle Status and the existing revision series associated with the Project would be displayed in the grid.

Figure: Life Cycle Revision Series mapping

Specifying the Life Cycle Status with a different revision series other than the one assigned in the Master

  1. Click Add button to avail the 'LCS Revision Series link' properties box.

Figure: LCS Revision Series Link dialog box

  2. Click browse button against Life cycle status code to avail the 'Life cycle Status Search' window.

The grid displays a list of Life Cycle Status (LCS) entries for the Project defined in 'Masters' with the revision series assigned to it.

  3. In the toolbar click the Select button to select the required Life Cycle Status (LCS) entry from those displayed in the grid.

Figure: Life Cycle Status Search

  5. Click Search to search for a specific Life Cycle Status (LCS) entry for the Project on the basis of the Life Cycle Status Code or Life cycle Status description. Select the required Life Cycle Status Code or Life cycle Status description. User can edit the Life Cycle Status Description displayed in the 'Life Cycle Status (LCS) Revision Series Link' window.
  6. All the details regarding the selected Life Cycle Status (LCS) would be displayed in the corresponding fields in the 'Life Cycle Status (LCS) Revision Series Link' Window.
  7. Select the check box against the appropriate field namely, WIP, Release or Use existing Revision Series to specify the type of Life Cycle Status (LCS) for the Project. Check the WIP option if the Document is Work-in-Progress. Check Release if the Document is to be released to the Client.
  8. To assign a different revision series for the selected (Life Cycle Status (LCS)) of the Project, click the browse button against Revision Series to avail the 'Revision Series list' window.

Figure: Revision Series List

  9. Click the link Show definition of the selected series to view details of the revision series. On clicking this option Revision Series Definition window is displayed with information on Internal Revision Series and External Revision Series.
  10. Select a specific revision series to be assigned for the selected Life Cycle Status (LCS) for the Project. The revision series assigned for the Life Cycle Status (LCS) here is used for the Project.

NOTE: If the Life Cycle Status (LCS) is not defined in the Project, the revision series already assigned to the Life Cycle Status (LCS) in Masters is taken into consideration. When "Remove" button is clicked on the "Life cycle revision series mapping" tab on project, system checks whether the LCS is being used in any of the rules. If it is being used, a warning message is displayed.

Assigning distribution lists for LCS / Issue Purpose

Distribution lists can be assigned to a life cycle status or issue purpose in a project where LCS is linked to the Project.

To assign distribution list

  1. In the LCS / Issue Purpose window click the button Distribution List.

Figure: LCS/Issue Purpose window

Life Cycle Status/Issue Purpose Distribution Configuration window is displayed.

Figure: Life Cycle Status/Issue Purpose Distribution Configuration

  2. Click the browse button to select a Code. Select Distribution List window is displayed.
  3. Select the Distribution Code and click the Select button. Corresponding description is selected and displayed automatically.
  4. Select users or user groups for the distribution list.
  5. Click OK.

NOTE: When a user is releasing a transmittal, if there is an LCS defined for the transmittal and there is a distribution list assigned for the LCS, transmittal recipient field i.e. To.. field is filled automatically using this.

Filtering issue purpose based on user groups

In some projects multiple consultants work in the same environment, and they would have different sets of Issue Purpose for their documents. Instead of users seeing all the issue purposes defined for the project and getting confused, issue purpose that is displayed can be filtered based on user groups, so that users in a group can only view the Issue Purpose assigned to that group.

To filter issue purpose based on groups

  1. In the Life Cycle Revision Series Mapping window click User Groups. User Group-Issue Purpose Mapping window is displayed.

Figure: User Group-Issue Purpose mapping

  2. In the User Group - Issue Purpose Mapping window click a group name.
  3. Select a group and select the checkbox next to an issue purpose. The selected issue purpose is assigned to the group. Only issue purpose assigned to the group will be displayed for the users in the group.
  4. Click OK to continue.

Monitoring Budget or "Efforts" Consumption

Wrench facilitates you to monitor the budget or rather "Efforts" consumption involved in the various stages in the life cycle of a Task. The Project Manager may define the percentage of consumption of budget at various phases of Task life cycle at the Project level. This facility could be used to compute the estimated consumption of budget for each stage in the Task life cycle. When a Task is progressing through each of the stages in the life cycle, the cumulative consumption would get computed automatically. The Project managers may specify the percentage of effort involved in each life cycle of the specific Task.

Figure: LCS Revision Series Link dialog box

NOTE : If the estimates are accurate, the cumulative percentage of efforts consumption at different stages of the Task life cycle would be ideally hundred percent.

For Example:

Code | Description | Rev.Series | Type | Estimated Effort (%)
P | Preliminary | Rev i | WIP | 25%
R | Release | Rev i | WIP | 50%
C | Construction | Rev A | Release | 25%

Defining a transmittal type for the Life Cycle Status (Issue Purpose)

For an issue purpose a transmittal type can be defined. So when you select a transmittal type, the issue purpose column in the transmittal window is automatically filled in based on the issue purpose for the selected transmittal type.


Templates

Assigning Templates to a Project

A standard format can be created for certain documents and these formats can be used accordingly while adding new documents. These standard formats are referred to as templates. These formats are saved under different template names. The templates are created in the template master. User can define the templates as project dependent or independent. For project dependant templates the projects can be assigned in the template master. The templates assigned to a project are available with the respective projects.

To assign templates

  1. From Project Properties window select Templates tab.
  2. A list of templates (if any) added to this Project are displayed.

Figure: Templates Tab

Adding a Template

Templates are standard pattern for some documents. For Example: Purchase Order, Invoice etc. User can create these Templates from the Template master. The user can use these standard templates while adding a new document.

To add a template

  1. Select Add button. Template Master window is displayed.

Figure: Template Master window

  2. A set of templates are listed here. Project dependency and Project number of the particular project is displayed here.
  3. Templates already added in other projects are indicated by a mark in their corresponding check box.
  4. A Template which is to be added to the project is selected from the tree list by selecting corresponding check box.
  5. A user with appropriate rights can Add/Select templates. In the toolbar click Select to complete the template selection.
  6. The template added is displayed in the Template master and in the templates tab of the Project properties window.

Removing a Template

You can remove a template available in the templates tab of the project properties window

NOTE: A User with Remove rights in Document Template Master can carry out the remove operation.

To remove a template

  1. Select Remove button.
  2. If any templates are selected the system asks for confirmation.
  3. If the templates are unused, a confirmation message Are you sure you want to remove the selected template? is displayed.
  4. If the template selected is used, a confirmation message This operation cannot be undone. The template is being used in. Do you want to continue? is displayed.
  5. Make an appropriate selection.
  6. If you confirm the selection the selected template is deleted.

To view properties

  1. Click Properties button.
  2. The properties of the selected template will be displayed.


Line Items

Assigning Line Items to a Project

Line items are almost similar to systems in a project. This may include motors, transformers, generators etc. An enquiry may contain multiple line items.

To add a Line Item

  1. Select the Add button.

'Line Item details' window is displayed .

Figure: Line Items details window

  3. Enter values for the following items while adding an line item.
Sl. No | Item | Description
1 | Part Number | Click the browse button to select a part number.
2 | Part Description | If any description is assigned to a part it is displayed. User may also enter a part description.
3 | Customer Part Number | Enter a customer part number.
4 | Part Genealogy | The genealogy assigned to the part is displayed here.
5 | Quantity | Specify a quantity.
6 | UOM | Click the browse button to select a unit of measurement from the drop-down list.
7 | Response Date | Date on which a response was made may be selected.
8 | Required Delivery Date | Date on which delivery is to be made may be selected.
9 | Completed By | Select the user who completed the enquiry from a user list.
10 | Completed On | Enter The date on which the item was completed .
  4. Click OK to complete addition of the line item.


View Resources

Editing of a project is usually governed by security rights and only users with adequate rights can edit a project. Viewing of project details is also controlled by security rights. It is possible to define a set of users who will be able to view the project. These users need not be a part of project resource team.

NOTE: Users with View rights in the genealogy only will be able to view the project details.

To manage view resources

  1. In the Project Properties window select View Resources tab.

Figure: View Resources tab

  2. Click the Add button to add project view resources.
  3. User List window is displayed. You can select a list of users.

The selected users will be able to view the details of this project.

  4. Click the Remove button to delete the resources.

NOTE: If the checkbox next to Select All Resources is selected all the resources in the organization will be assigned as View resources.


Wrench Drive

Configuring Wrench Drive

Wrench Drive provides the functionality of publishing/storing documents in a shared network location, outside the regular vault, but with security settings configured in Wrench.

Configuration related to Wrench Drive can be carried out here. This tab will be displayed in the Project Properties window only if the drive component is installed in the server.

Figure: Configuring Wrench drive

The following settings can be defined.

Root Path: Click the browse button to create the root path for Wrench Drive.

Configure Wrench Drive: Click the button to configure Wrench drive for project documents.

To configure wrench drive

  1. Click the Configure/Edit button. Wrench Drive wizard is displayed.
  2. Click Next to continue.

Folder Configuration window is displayed

Figure: Folder Configuration wizard

Here select a folder configuration method from available two methods. The two available methods are discussed in the following sections.

  • Dynamic (By defining logic)
  • Static (By defining path)

Configuring folders using dynamic method

In this method, based on a defined logic, system creates a folder in the root directory. The folder thus created will contain all the document genealogy levels. Folders are created with defined logic while adding document.

To configure folders using dynamic method

  1. In the drop-down box select the folder configuration method as Dynamic.
  2. Click Next to continue.

Select Document Genealogy window is displayed. In this window genealogies for which Wrench drive is enabled will be listed.

Figure: Selecting document genealogy

  1. Select the genealogies by clicking the right arrow in the window.
  2. Once the selection is completed click Next to continue.

Select Custom Properties window is displayed and custom properties assigned to the genealogy is listed here.

Figure: Selecting custom properties

  3. Select the custom properties and click Next to continue.

Logic Definition window is displayed. Here you can define the sequence of properties with which path would be created.

Figure: Defining Logic

Folder can be created using Code or Code and Description.

A folder can be also created with the selected custom properties included in the logic. Custom properties can be inserted between genealogy levels.

  1. Click Next to continue.
  2. In the next window click Finish to complete the process of creating the drive path.

The paths which are thus logically created will not be physically created on disk until documents are added to it. When documents are added, if the path does not exist, it will be created and appropriate security will be assigned to it.

Configuring folders using static method

In this method administrator creates the folder inside the root directory and later it is mapped to the genealogies for which Wrench drive is enabled. The folder shall be created and stored against the combination of document genealogy and document custom property values. Here the document gets added only if there is a defined folder.

To configure folders using static method

  1. In the drop-down box select the folder configuration method as Static.
  2. Click Next to continue.

Select Document Genealogy window is displayed. In this window genealogies for which Wrench drive is enabled will be listed.

Figure: Selecting document genealogy

  3. Select the genealogies by clicking the right arrow in the window.
  4. Once the selection is completed click Next to continue.

Select Custom Properties window is displayed and custom properties assigned to the genealogy is listed here.

Figure: Selecting custom properties

  5. Select the custom properties and click Next to continue. Select Value for Custom Property window is displayed.

Figure: Selecting values for custom property

  6. Click the browse button to select values for the custom property.
  7. Select LOV window is displayed.

Figure: Select LOV window

  8. Select the LOV from the list of values and click OK to continue.
  9. After selecting the values for the custom properties, click Next to continue.

Define Static Path window is displayed. Here different genealogies, custom properties and the values assigned to the custom properties are displayed. A path can be defined using different combinations displayed here.

Figure: Defining Static paths

To select a path

Corresponding to a genealogy, click the browse button under the column Path, and select the folder that is already created.

To create a path

  1. Click Create Path.

Define Path window is displayed. All document genealogy levels and the document custom properties selected are listed here.

Figure: Define Path window

  2. Custom properties can be moved up and down by clicking the arrow.
  3. Click Create to generate the folders .

NOTE: Paths created cannot be deleted once documents are added under the path.

  4. Click Next to continue. If the procedure is completed successfully click Finish to complete.

Once the Wrench drive is configured successfully it will be displayed as in the following figure.


Project Types

Assigning Project Types

Project type is a categorization of the project. A project may include multiple project types.

Figure: Project Type window

To choose a Project Type

  1. Click the browse button next to Project type.
  2. 'Select Enquiry/Project Type' window is displayed.

Figure: Select Enquiry/Project Type

  3. Choose a Project Type and click Select in the tool bar.

Site/ location

A project may have to be executed at multiple sites/locations.

For Example: An oil pipeline across a state will have multiple project sites (which may act as design and approval office, site offices and warehouses for that area). This field helps in finding a solution to the following scenario faced at some sites.

A normal user (like draftsman) who actually creates and adds document to Wrench may not know which numbering template is to be selected while adding documents into Wrench. A numbering template can be assigned to different sites. While adding documents to a project a unique number is defined for each document. In the document number generation window Project, Site or Location and the corresponding template description is displayed.

This helps the user in identifying the numbering template defined for the site or location on which he is.

  1. Type in the location by clicking under Site/Location.

Item Name

Item details are specified for the purpose of creating document numbers for project documents automatically. For those documents that are to be created at various stages of delivering the item (design, procurement or construction) the numbering template specified for the particular project type will be used.

Custom Properties: Click this button to edit custom properties assigned to the project type.


Custom Properties

Assigning Custom Characteristics

Each object in wrench such as Documents, Tasks etc. may have a number of characteristics associated with it. In typical situations the parameters available in Wrench ENT may not be sufficient to capture basic information of the project. In such cases additional characteristics are defined on the project types, called Custom Characteristics.

Wrench has a scalable characteristics management system, using which additional characteristics can be created as required, for any of these items. Custom characteristics address these requirements.

If Project is linked to any Class in Custom Characteristics-Object-Class Link (For more information see Control Panel>>Masters>>Custom Characteristics in the Administrator's manual) ,then while saving the project the Custom Characteristics window is displayed where the user can update the mandatory values. For mandatory information the system will have Mandatory check boxes selected. The user can click the Value field and directly enter the data.

Figure: Custom Properties

For custom characteristics defined as LOV, multiple values can be assigned.

  1. If the values selected are LOV’s, click the down-arrow in the column Value.

'Select LOV' window is displayed.

Figure: Select LOV window

  2. Select the required LOV values by selecting the corresponding check box.
  3. Check Select all to select the entire set of LOV’s.
  4. In the tool bar click Select.

The selected LOV’s when displayed are separated by commas.

Figure: Selected LOV's


External Resources

In some Projects, there may be external users (Non-Wrench users) who are to be notified for a set of documents while releasing transmittal/correspondence etc. Entering each email id separately is very difficult as for some transmittals the Cc recipients will go up to 100. Hence a provision to define email address based distribution list is provided in WRENCH.

To add external resources

  1. In the Project Properties window click the tab External Resources.

Add External Resource window is displayed.

  2. Enter a Name and Email ID. These fields are mandatory.
  3. Enter Designation and name of Company. These fields are optional.

Figure: Adding External Resources

  4. Click OK to continue.

Added external resources are displayed as shown in the following figure.

Figure: Added external resources

After selecting the external resource information click Edit to change the entered details, click Remove to delete the selected details.


Project Operations

This topic describes the various operations possible in a project. The operations includes

- Maintaining Project Details.

- Removing a specific Project.

- Assigning a Project as Default.

- Archiving a Project.

NOTE: These operations are possible only if appropriate security rights are assigned to the user

Navigation Table

To | See
Edit Project details | Editing Project details
Complete a Project | Completing a Project
Remove a Project | Removing a Project
View Work Breakdown Structure | Show WBS
Transfer Project Data to a specific location | Project Archival

Editing Project details

A Project created and saved earlier can be edited.

To edit a project

  1. Click the Edit button shown in the Project module.
  2. Make the required changes.
  3. Click Save button to update the changes.

Completing a Project

Completion is the closure of the Project after all tasks are completed. This declares that all activities in the Project are completed.

To complete a Project

  1. Click the Complete button to update this Project status. The pre-requisite for a Project to get completed is completion of all WBS tasks.
  2. If there are tasks that are not completed (Progress percentage below hundred), the Project status cannot be set to Completed.
  3. On completing a project, percentage completion field is automatically updated as hundred.
  4. If a WBS is not available for the project then the percentage completion filed on the project module is updated by the user with appropriate rights in the Project Module by specifying a value of hundred.

Removing a Project

The Complete information about a Project can be removed by clicking the Delete button.

Show WBS

Clicking Show WBS will load the corresponding WBS in the same Project description.

See Also:

Creating a Project

Project Search

Creating an Enquiry

Enquiry Search


Project Archival

Archiving a Project

In the past hand over of project documents on completion of the project used to be a messy issue for all parties involved. With the introduction of Project Archival facility in Wrench, the entire project data which is of relevance to the customer can be transferred to a digital storage device.

Prerequisites

Users with Release or Close permission in the Project and Enquiry genealogy are permitted to perform this operation. For users without appropriate security rights trying to perform this operation, a warning message is displayed, requesting the user to contact the administrator to obtain the necessary security rights.

Archiving your project

First step is to open the project for archiving.

To open a project

  1. On the Wrench desktop select Project and Enquiry icon and double-click. Entire list of genealogies are displayed.
  2. Select the genealogy under which your project is grouped and double-click. Entire list of projects grouped under the selected genealogy is displayed, and you can choose the project which is to be archived.

Or

  1. Select the genealogy under which your project is grouped and double-click. Entire list of projects are listed.
  2. In the right-click menu select Open Project.
  3. Project Search window is displayed. You can initiate a search providing specific search criteria.
  4. Once a project is retrieved through search operation, on the Project Search window toolbar click Select. For the selected project, Project properties window is displayed.

NOTE: Archive is only possible for projects with documents attached to it.

To archive a project

  1. In the Project properties window navigation bar select Archive.

Export Wizard, which assists in smooth and error free archival of documents is displayed.

Figure: Export Wizard

  3. Select the Next button to continue the operation and select Cancel to abort the operation. Assistance in performing the archival operation can be obtained by clicking the Help button.
  4. On the ensuing 'Export Wizard' window, user can select between Advanced Export and Basic Export option. Select Back button to navigate to the previous screen.

Figure: Export Wizard - Select type of Export

Basic Option and Advanced Option

  • Basic Option: On selecting Basic option, entire Project and WBS related documents along with transmittal reports are exported. File names for these exported files are generated based on default file naming logic defined in Wrench. Basic option is selected by default.
  • Advanced Option: On selecting Advanced Options, entire Project and WBS related documents along with specters, attachments, client comments, markups and squad check comments are exported. In addition to this correspondence documents and transmittal reports are also exported.
  1. Select the Basic Export option button and click Next to continue.

On the ensuing Export Wizard window, you can select the document types which you want to export. The following types of documents can be selected for export.

Figure: Export Wizard - Basic Options

  • Enquiry/Project related documents: On selecting this option, entire documents related to the selected project or enquiry are exported.
  • WBS task linked documents: On selecting this option, documents linked to tasks in the WBS of the selected project or enquiry is exported.
  • WBS task referred documents: On selecting this option, documents referred to tasks in the WBS of the selected project or enquiry is exported.
  • Transmittal reports : On selecting this option reports of transmittals generated for this project are exported.
  • Filter based on document genealogy: Option to filter the documents based on a specific genealogy is available. Click the browse button to select a genealogy.

Entire check boxes are selected by default. You can select or clear the check boxes against the document types which are to be exported. Only document types for which the check boxes next to them are selected will be exported.

  1. On selecting the Advanced Export option button and clicking Next, a detailed categorization of the types of documents are listed.

Figure: Export Wizard - Advanced Options

  1. Select the check boxes against document types which are to be included in the archival list. Entire documents with the check boxes against them selected are exported.
  2. Once the document types are selected, click Next to continue.

If the project selected does not have any WBS linked to it, then the documents linked to the project are exported.

To proceed to the next step selection of at least on check box is mandatory.

  3. After selecting basic or advanced option and clicking Next the following window is displayed. Here you can select an archival mode which you wish to perform. The following modes are available.

Figure: Selecting an archival mode

  • Archive only: On selecting this option the selected files are copied to a specific location. The original files in Wrench vault remains unaffected.
  • Archive and clean vault: On selecting this option entire documents related to the completed projects are moved to a specific location. These files can be accessed from Wrench, provided the archived location is accessible from Wrench.
  1. After selecting an option click Next to proceed to the next window. Here user can select a location.
  2. Click the browse button to select a location. Browse for folder window is displayed. User can select an existing folder or create a new folder to move the files to.

Figure: Export Wizard - Choosing a destination location

  3. To create a new folder, click Make New Folder on the Browse for Folder window.

NOTE: Destination folder name can be typed in or pasted.

  4. Select Next. Export operation will start if the folder path defined is valid. A status bar indicating the progress of the export operation is displayed.

Figure: Archival Operation in progress

Warning: If the destination location does not have enough free space the export operation is terminated. You can either abort the export operation by clicking the Cancel button or create sufficient free space and continue from the stage where the operation was terminated.

  5. Once the export operation is completed successfully, the following window is displayed. The folder where the files are archived to is displayed in the window.

Figure: Archival Operation successfully completed dialog box

  6. On selecting the check box against Open the Exported Folder and on clicking Finish, the folder containing the archived files are opened.

Documents exported by Project Archival operation are exported to a main folder. The main folder is assigned the name of the archive project by default. Each type of documents are grouped under different sub-folders.

The main folder contains sub folders and an MS Excel sheet to navigate to the locations where the different types of documents are stored.

Arranging data in an MS Excel Sheet

The following details are displayed in separate sheets with the sheet labels indicating the document types. In the MS Excel file only sheets corresponding to the selected file types are displayed.

Sheet 1 contains the project details.

Sheet 2 contains Project Documents.

Sheet 3 contains Task Documents.

Sheet 4 contains Transmittal Reports.

Figure: Archival details in an MS Excel sheet

NOTE: If documents related to an Enquiry are exported Sheet 1 will contain the Enquiry details.

Handling X-Ref documents while exporting

If X-Ref documents are attached to tasks in the project, they are handled in the following manner.

  1. If parent drawing is linked with child drawing and task, then entire documents are exported.
  2. For tasks with child drawing linked, only child drawings are exported.


Creating a new project from existing one

Creating a new project from an existing one

When Projects are created in short intervals and there are similarities between already created project and the new one, it would be easy to create a project from the existing project and change the properties that are not common.

To create a new project

  1. In the Advanced Options click Create From.

Figure: Create Project window

Create Project window is displayed.

  2. Click the browse button next to Project ID.

Project Search window is displayed.

  3. Choose the project and in the tool bar click Select to continue.

A new project will be created from the selected project.

  4. In the window enter values for the following fields.
  • New Project ID: Unique ID for the new project.
  • Project Description: A description for the project.
  • Start Date: Project start date.
  • End Date: Project end date

Project properties of the source project can be inherited to the new project.

  4. Select the properties that have to be inherited to the new project.
  5. Click OK.

New Project is created.


Project Search

Project Search is a facility where you can search and retrieve different Projects saved in Wrench. Wrench Enterprise hosts an exclusive search mechanism which allows users to access Projects.

Navigation Table

To | See
Search and Retrieve Projects | Search and Select Projects
Save Search criteria | Saving Search criteria
Export Search results to an MS Excel File | Exporting Search Results

Search and select Projects

To retrieve Project details of a Project that is already existing, use the search and retrieve facility.

  1. In the Project Properties toolbar click Open. Project Search window is displayed.

Figure: Project Search Window

  2. On selecting the checkbox next to Show Only My Projects in the Project Search window, projects in which the user is assigned as a resource are listed on performing a search operation.
  3. Click the Search button to get a list of all open Projects.
  4. The search results may be sorted by clicking the arrow button on the column header.
  5. This list can be further filtered by specifying search criteria. The search criteria can be defined after clicking Advanced button.

For Example: If you specify "W" in the 'Project ID' text box, only those Projects where the Id starts with "W" will be listed. Similarly, you may include other search options for finer and precise search.

  6. Once you identify the required Project Id, select it from Search Results.
  7. Click Select button. The selected Project information will be displayed in the main Project window.

Advanced Search

The advanced search window is displayed as illustrated in the following figure.

Figure: Project Search window

Project Search can be performed for the following fields:

  • Project ID
  • Project Type
  • Project Description
  • Project Short Description
  • Line Item
  • Site/Location
  • Customer
  • Project Manager
  • Start Date Between
  • Finish Date Between
  • Closed Projects

Saving Search criteria

It is possible to save commonly used search criteria for future re-use so that you need not specify the search criteria every time. Searched Project can be saved in two scopes. Private search is available only to the user who has created it and Public searches are available for all.

  1. Click the Save Search button to save the current search criteria. The 'Save Search' window is displayed.
  2. Select Public/Private button to save the search name.
  3. Type in a name for the search in the space labeled Search Name.
  4. Click Save button to save the search.
  5. Click Delete button for removing a saved search.
  6. Click Select button to retrieve the selected saved search.
  7. Click Cancel button to close the window.

Exporting Search Results

User can export the search results to an MS Excel file.

  1. In the Search results grid right-click.
  2. Select Export to Excel.

Figure: Project Search results - Export to Excel

  3. User can specify the location and a file name to export the search results.

See Also:

Creating a Project

Project Operations

Creating an Enquiry

Enquiry Search


Creating an Enquiry

Enquiry module handle the enquiries prior to the award of a project. This may include enquiries related to technical feasibilities, deliverables of the project etc. Projects corresponding to the enquiry can also be viewed.

Navigation Table

To | See
Open the enquiry module | Opening the Enquiry module
Enter basic details required to create an enquiry | Creating an Enquiry
Add a line item | Adding a Line Item
Manage the added line items | Managing Line Items

Prerequisites

You can assign a user appropriate security rights to Create/Edit/View/Delete enquiries by selecting Project/Enquiry module and assigning User or User group based Security Rights for the same.

Opening the Enquiry module

  1. Double-click the Project/Enquiry icon in the wrench desktop.
  2. To create a new enquiry, select click Add>>Enquiry in the toolbar bar Or select Add>>Enquiry from the right-click menu.

Figure: Creating a New Enquiry

  3. Enquiry window is displayed.

Creating an Enquiry

For creating an enquiry the basic enquiry details mentioned in the following table are to be specified. Additional enquiry details are specified after an enquiry is created.

Figure: Enquiry properties window

#

Item

Description

1

Genealogy

Genealogy defined in the Project/Enquiry genealogy default properties is displayed here. Click the browse button to select a new genealogy from a list.

2

Enquiry ID

Specify a unique identification number for the enquiry. You can also generate an ID using the auto generate number option.

3

Enquiry Description

Enter a description for the enquiry.

4

Enquiry Short Description

Enter a short description for the enquiry. This is mainly used for internal purposes.

5

Client

Select the client for this enquiry. Click the browse button to select the client from a list.

6

Enquiry Manager

Select the manager for this enquiry.

7

Designation

Specify the designation of the enquiry manager in the organization.

8

Start Date

Enter the enquiry start date.

9

End Date

Enter the expected enquiry finish date.

10

Enquiry Types and Sites

Select an Enquiry Type by clicking the browse button next to Enquiry type. Enquiry type is a categorization of the enquiry.

"Site/ location" defines the location where the deliverables are to be built. Type in the location by clicking under "Site/Location".

To delete an enquiry type information click "Remove" button .

Once an enquiry is created and saved enter the details mentioned in the following table.

#

Item

Description

1

Enquiry Resources

Assign resources to the enquiry. User creating the enquiry and Enquiry Manager are added by default as enquiry resources. For more information on managing resources refer Creating a Project>>Resources

2

General

For more information on maintaining general details refer Creating a Project>>General

3

Systems

For more information on systems and maintenance of systems refer to Creating a Project>>Systems

4

Documents

For more information on document handling refer to Creating a Project>>Documents

5

Correspondence

For more information on correspondence handling refer to Creating a Project>>Correspondence

6

References

Usually a project is referred to other enquiries. The drawings and designs used in the referred projects can be made use of if similarity exists between the projects.

Listed in the "Reference" tab are two sets of reference details where the first one is a list of Other Projects referenced by this enquiry. The second is a list of other projects to which the current enquiry is referred.

For more information on adding projects as a reference and other related items refer to Creating a Project>>References

7

Notes

Any general information related to the project can be entered here.

For more information on adding notes to a project refer to Creating a Project>>Notes

8

Line Items

There may be single or multiple billable deliverables in a project, called Line Items.

Line items are almost similar to systems in a project. This may include motors, transformers, generators etc. An enquiry may contain multiple line items. For more details on handling line items refer Handling Line items .

9

Project Types

Project type is a categorization of the project. A project may belong to multiple project types. For more information on adding project types refer Managing Project Types .

10

Custom Properties

For more information on custom properties refer Creating a Project>>Custom Properties

Handling Line items

Figure: Handling Line Items

Line items in an enquiry may be rejected or accepted. Documents may be attached to a line item.

  1. Select the Line Items tab. If any line items are already added to the enquiry they are displayed here.
  2. Add a line item to the existing list or remove a line item.

Adding a line item

  1. Click Add to add a line item.
  2. Select Line Item Details tab. Line Items details window is displayed.

Figure: Line Items details window

Specify the following details in the ensuing window.

# | Item | Description
1 | Part Number | Click the browse button to select a part number from the part search window.
2 | Part Description | On selecting a part number, the corresponding description is displayed. The description is non-editable. If a part number is not assigned from the master enter a description here.
3 | Customer Part Number | Enter a value here.
4 | Part Genealogy | If a part is selected from the master, this value is filled in automatically.
5 | Quantity | Enter a value. By default value 1 is displayed.
6 | Unit of Measurement (UOM) | If a part is selected from the master, the value is filled in automatically. Or else browse and select from a list.
7 | Response Date | The date on which a response was made to the enquiry may be specified.
8 | Required Delivery date | The date on which the items are to be delivered may be specified
9 | Completed By | This field is updated automatically when the user accepts or regrets a line item.
10 | Completed On | The date on which the action was completed is displayed.

The status of the line item added will be Open until the item undergoes any operation. The entire details regarding the new line item are displayed in the 'Line Item Details' window.

Document Details

The details of documents grouped under an enquiry are displayed here.

Figure: Documents details tab

You can add documents or detach a document available on the document details tab.

Managing Line Items

Select a line item from the grid. The following operations may be performed from the right-click menu.

  • Accept: Select this option to accept a line item.
  • Accept All: Select this option to accept the entire line items in the grid.
  • Regret: Select this option to regret the selected line item.
  • Add: Select Add to add a line item.
  • Properties: Select this option to view the line item details.
  • Remove: Select this option to remove the line item from the list.

Managing Enquiry Types

Figure: Enquiry Types window

  1. Select an Enquiry Type by clicking the browse button next to Enquiry type. Enquiry type is a categorization of the Enquiry. An Enquiry may belong to multiple enquiry types.
  2. Site/ location defines the location where the deliverables are to be built. You can type in the location by clicking under Site/Location.
  3. To delete a enquiry type information, click Remove button .

Managing Item Details

Item details are specified for the purpose of creating Document numbers for enquiry documents automatically. For those Documents that are to be created at various stages of delivering the item (design, procurement or construction) the numbering template specified for the particular enquiry type will be used.

The following information is to be provided in the Enquiry Properties window window.

Sl. No | Field | Description
1 | Enquiry Type | The entered enquiry type will be displayed here.
2 | Site/Location | Enter the site here.
3 | Item Name | Enter the Item Name here.
4 | Template | Define the numbering templates to be used for the Documents that are added to this project type defined for this particular Project. Click the ellipse button next to Template and select the required numbering template from the list.

See Also:

Creating a Project

Enquiry Search


Enquiry Search

Enquiry search module assists the user in searching and retrieving the saved enquiries.

Figure: Enquiry Search window

The enquiry search module may be accessed in the following ways.

  1. In the 'New Enquiry' window, click Open.
  2. In the Wrench desktop navigation bar, select Open Enquiry.

Enquiry search window is displayed.

User may initiate a search based on the following criteria.

  • Enquiry ID
  • Enquiry Description
  • Enquiry Type
  • Enquiry Short Description
  • Part Description
  • Site/Location
  • Customer
  • Project Manager

See Also:

Creating a Project

Creating an Enquiry


WBS

Work Breakdown Structure (WBS)

Work Breakdown Structure (WBS) refers to a portion of a total project management plan that is used by the project management team to organize a project into manageable parts.

A Work Breakdown Structure (WBS) is used to make complex projects more manageable. The WBS is designed to help break down a project into manageable parts that can be effectively estimated and supervised.

A Work Breakdown Structure (WBS) is an integral part of project management where a task list is created by breaking the main task to smaller and manageable sub-tasks. The tasks are arranged into a hierarchal structure. Each of these smaller tasks are Planned, scheduled and monitored separately which reduces the difficulties in monitoring a large WBS Level or summary task.

It is recommended that the task lists are entered in the WBS master (Scheduling which is contained in the Master Module). Complex projects may have a large number of tasks to handle so defining schedule templates helps creating large schedules in a very short time. Such templates can define common tasks. Defining default characteristics for common tasks is also a practice that will aid easier management of larger schedules.

External Projects Schedules can be imported into Wrench by using "Import Option". WBS can also be exported outside Wrench.

See Also:

Creating a WBS

WBS Search


Creating a WBS

Creating a Work Breakdown Structure (WBS)

This topic is divided into three sections. Refer the Navigation table for more details.

Navigation Table

To | See
Assign Security rights for creating, managing and removing a Work Breakdown Structure. | Prerequisites
Open WBS Module | Opening Work Breakdown Structure
Manage your Project Task List, Assign resources to each task, schedule activities and monitor it in this module. | Creating a Work Breakdown Structure

Prerequisites

A user can be assigned appropriate security rights to Create, Manage and Remove WBS by selecting WBS and assigning User or User group based security rights for the WBS module in the Security Center. For more information on Security Center refer Control Panel>>Settings>>Security Center in the administrator's manual.

Opening Work Breakdown Structure

  1. Click WBS from the desktop and in the right-click menu, select Add to create a WBS.

Figure: Creating a new WBS

Creating a Work Breakdown Structure

  1. To create a project independent WBS, click Add button.
  2. Specify the mandatory fields.
  3. You can link it to a project by specifying the Project Id.

Figure: WBS Details

  4. The system creates a WBS for every project if Auto generate WBS option (Control Panel--> General) is set in the control setting. Click Open from the menu to get 'Search Work Break Down Structure' window and select the WBS from the list .

Figure: WBS details window

The WBS details window displayed in the preceding (Figure: WBS details) has the following regions.

  • WBS Quick Access Toolbar: Frequently used options in the WBS can be accessed from a Quick access tool bar located on the top left corner of the window. For more details on adding WBS options to this toolbar refer [image] Adding options to Quick access toolbar .

To add an option in the Quick Access Toolbar

  1. Select an option from WBS Tool Bar and right-click.
  2. In the ensuing menu, select Add to Quick Access Toolbar.

The corresponding icon for the selected option will be displayed in the WBS Quick Access Toolbar.

  • WBS Tool Bar: Various options in the WBS are arranged logically under different tabs. On selecting a tab options grouped under a tab is displayed in the tool bar.
  • General Details: Entire Project related details are listed here. In addition to this WBS details, WBS Reference Number, WBS Issue Level and WBS Issue Status are also displayed. The Percentage Completion field displays the total percentage calculated from all the summary tasks of the WBS from the Percentage Completion (based on work flow) field. WBS Revision date indicates the last revision date of the WBS. This field is automatically updated on each WBS revision. Once a WBS undergoes a revision, the revision date is also displayed.
  • WBS Task list: All the tasks added to the WBS are listed here.
  • Clicking the secondary mouse button ("Right" button) on the grid will display a pop up menu which hosts a number of options for executing various actions on the task list as shown in the following figure.

Figure: WBS right-click menu

NOTE: For Example: New, Open, Info and Close.

Work Breakdown Structure window consists of the following tabs.

      1. Home
      2. WBS
      3. Task
      4. Import or Export
      5. View

See Also:

Creating a Task

Attaching a Work Flow to a Task

WBS Search

If additional components are installed refer to:

Attaching a Document/Action Points to a Task

Adding a Part or Bill Of Material (BOM) to a Task


Home

On opening the WBS window, the Home tab will be selected by default.

Figure: WBS Home tab

Under the home tab different WBS Level and Task views can be selected. Following views are available here.

WBS Level View: WBS Level view displays only WBS Level tasks in the WBS and their hierarchy. Creating and editing of WBS Level tasks is only permitted from this view. Grouping of tasks is not possible in this view.

WBS Level and Task View: This view displays WBS Level Tasks and Tasks in tree structure. The WBS Level created in the “WBS Level View” is displayed in this view and user can create Tasks under any WBS Level in this view. Grouping of Tasks is not allowed in this view.

Task View: Task View only displays the task list. Tasks are created in this view and Tasks can be grouped based on any properties.

Combined View: This View contains WBS Level and Tasks list. Tasks can be created in this view and Tasks can be grouped based on any properties.

The following properties are available by default in WBS Level View, WBS Level and Task View and Task View.

  1. Task Name
  2. Reserved Document Number
  3. Planned Start
  4. Planned Finish
  5. Actual Start
  6. Actual Finish
  7. Planned % Completion
  8. Actual % Completion
  9. Weightage
  10. Contribution to Project

Remaining properties are available in the column chooser. Required properties can be selected from the column chooser.

The Home tab is further categorized to different groups and different options are housed beneath these groups.

WBS

Basic WBS operations that you can perform are housed here. These options are mentioned in the following table.

# | Item | Descriptions
1 | New | Select this option to create a new WBS.
2 | Open | Select this option to open an existing WBS.
3 | Close | Select this option to close an opened WBS .
4 | Show Enquiry / Project | If the WBS is Project related, the corresponding Project is displayed or if the WBS is Enquiry related, the corresponding Enquiry is displayed.
5 | WBS Users | On clicking this option list of resources assigned to this WBS are displayed.
6 | EVMS Details | When tasks are grouped in a WBS based on any property, the overall progress percentage of a task is displayed. Click EVMS Details to hide the overall percentage progress. EVMS Details options acts as a toggle using which you can display or hide the overall progress percentage while grouping. Next to EVMS Details, few dots are displayed. On clicking here EVMS options are displayed. Options selected here are displayed when EVMS Options is enabled.

Edit

Options which helps you to remove a task and refresh a WBS are housed under the group Edit. These options are mentioned in the following table.

# | Item | Descriptions
1 | Remove | Select this option to remove a task in the Work Breakdown Structure .
2 | Refresh | Select this option to refresh the current WBS contents and the tasks in it. Each time you click the Refresh option, the tasks displayed on the grid are refreshed. Newly added tasks are displayed and deleted tasks are removed from the WBS.
3 | Clear | Select this option to clear the contents displayed in the WBS window.

Show Fields

The option Info housed under this group acts as a toggle that displays or hides project details of the selected WBS. You can also hide the project details.

Find

Select this option to display the search tool bar. You can initiate a search based on various search criteria for tasks in the WBS.

Partial / Wild card search option in the WBS 'Find' field

Wrench provides the partial/wild card search facility by which you may search for WBS tasks using specific search criteria.

    1. The 'Search In' field displays the parameters on which the search can be based upon.
    2. You may select a specific parameter from the ‘Search In’ drop-down combo. On the basis of this parameter, the ‘Look For’ drop down gets filled with the corresponding values.
    3. In the ‘Look In’ drop down, you may enter full or partial value to search for the task which matches the same.
    4. Click Find next/ Find previous to avail the list of entries in the workspace that match the specified search criteria.

Help

This option provides you with the information how to work with WBS and its operations.

  1. On selecting this option, a Help window is displayed which show various operations with WBS.
  2. On clicking Select, you would get the information for the selected description of help for WBS operation.

Percentage

This option provides you with the information on the percentage completion of WBS .

See Also:


WBS

The WBS tab is further categorized to different groups and different options are housed beneath these groups.

Figure: WBS tab

Arrange

Options which helps to arrange the way in which you choose to display tasks are housed under the group Arrange. These options are mentioned in the following table.

# | Item | Descriptions
1 | Expand All | Select this option to expand the Task Lists. Entire tasks in the WBS will be displayed.
2 | Collapse All | Select this option to display only the main task. Sub-tasks under the main task will remain hidden.

Project Details

Options which helps to set the resources as WBS users are housed under the group Project Details. These options are mentioned in the following table.

# | Item | Descriptions
1 | WBS Users | Usually WBS users are defined while creating a project or enquiry. In case, a WBS is created independent of a project, users are to be defined for this WBS through this option. For defining users refer Defining WBS Users .

Options

Basic operations for the selected tasks such as refresh, schedule & baseline, complete, etc are housed under the group Options. These options are mentioned in the following table.

#

Item

Descriptions

1

Schedule & Baseline

Baseline: Baseline refers typically to the conditions that exist at a given point, usually the start point, of an activity.

You can select this option to set the WBS as the baseline schedule. All the tasks in the WBS will be scheduled instead of selecting task by task and scheduling them.

2

Complete WBS

On selecting this option the you can Complete a WBS.

3

Re-Open

You can reopen the completed WBS.

4

Revise WBS

A scheduled WBS can be changed to 'Created' status using this option. A work in progress task with checked out documents in it cannot be revised.

Fast Track Revision: You can provide fast track revision to a document task if there is no work flow assigned to the specific document.

If fast track revision is carried out on a document task i.e. a document which is linked to a task (task which has a work flow) the work flow for the task is automatically restarted along with revision of the specific document. However, if more than one document is linked to the task, a message “The document successfully revised through fast track but work flow could not be restarted. “Do you want to see details (Y/N)” is displayed.

5

Revision History

Revision history of the WBS is displayed, if the WBS has undergone any revisions.

6

Constraints

Create Constraint: On selecting you can set a constraint date to the tasks.

Remove Constraint: On selecting this option you can remove the constraints set.

Resolve Constraint: On selecting this option you can resolve the constraints set.

For more details refer Operations on Constraints

7

Update Percentage

The percentage completed for the WBS will get updated.

8

Micro-Scheduling

If you need to override the scheduling options defined in the Rule of Credit tab in the Project, this can be carried out here. This facility will be useful when the scheduling options defined for a single task has to be changed. For more information refer Micro Scheduling .

9

Attach Documents

Using this option multiple documents can be attached to single or multiple tasks in the WBS, provided reserved document number, client document number or vendor document number matches the name of the files that has to be attached to tasks. Documents can be attached using the Basic Option and Advanced Option. For more information refer Attaching multiple documents to tasks .

10

Auto Initiation

A task can be initiated automatically based on user defined dates. This selection is applicable to all tasks in the WBS. The following auto initiation options may be selected from the “Auto Initiation” window displayed.

  • None
  • On scheduled start date
  • "---" days before the scheduled start date.

For more details refer Auto Initiation option

11

Beta Distribution

Beta distribution technique helps to overcome the inconveniences and overheads involved in planning activities related to a construction project. Task rules may be automatically created for each week / month between the Start and Finish dates of the task and the estimated progress at each of these week / month can be computed using this technique. For more information on beta distribution refer Beta Distribution .

12

Validate Rules

If rule dates and progress percentage provided are not sequential, a pop-up message is displayed on clicking this option. This option helps the user in correcting rule dates and progress percentage and continue.

View

Options which help you to compare old schedules, view old schedules, filter customer schedule or view deleted tasks are housed under the group View. These options are mentioned in the following table.

#

Item

Descriptions

1

Compare Old Schedule

Revisions of the WBS can be compared.

For more details refer Comparing WBS schedules

2

View Old Schedule

Revisions of the WBS can be viewed.

3

Filter Customer Schedule

All the tasks which are specified as Customer Schedules can be listed using this filter. Such tasks will be displayed in a separate window from where it can be exported to MS Excel.

Tasks that appear in this list are those tasks which are flagged as "Is Customer Schedule" in Task properties.

4

View Deleted Tasks

All the deleted tasks of a WBS are displayed.

5

Send to Personal Folders

Click this option to send the selected task to a personal folder. On clicking this option Folder List window is displayed. Here you can select the folder to which you want to send the selected task.

6

Legends

Legends are graphical representation of the status or properties of the objects in your workspace. Legends that indicate various task properties and status are shown.

For more details refer Information on Legends

Notification

Option which help you to configure the notification mail are housed under the group Notification. This option is mentioned in the following table.

# | Item | Descriptions
1 | Mail Configuration | You can configure the subject and content for the mails generated during various task notifications. For more details refer Configuring Notification mails

See Also:


Arrange

Arrange

Options which makes it possible to arrange the way in which you want to display tasks are housed under the group Arrange. These options are mentioned in the following table.

# | Item | Descriptions
1 | Expand All | Select this option to expand the Task Lists. Entire tasks in the WBS will be displayed.
2 | Collapse All | Select this option to display only the main task. Sub-tasks under the main task will remain hidden.

See Also:

Creating a WBS


Options

Options Group

Basic operations for the selected tasks such as refresh, schedule & baseline, complete, etc are housed under the group Options. These options are mentioned in the following table.

#

Item

Descriptions

1

Schedule & Baseline

Baseline: Baseline refers typically to the conditions that exist at a given point, usually the start point, of an activity.

Once a WBS is baselined the Planned start and Planned Finish dates will be taken as the Base line Start and Baseline Finish dates for all the tasks. On revising a Task which is Base lined, the planned dates will get freezed and only the scheduled dates will become editable. Planned Dates can be edited on revising the WBS.

Select this option to set the WBS as the baseline schedule. All the tasks in the WBS will be scheduled instead of selecting task by task and scheduling them.

2

Complete WBS

On selecting this option you can Complete a WBS.

3

Re-Open

You can reopen the completed WBS.

4

Create Baseline

A WBS after it has been scheduled can be changed to 'Created' status using this option.

While creating a baseline, a message asking whether you are sure to continue with the operation is displayed.

  1. Click Yes to continue with the operation.
  2. Reason for Revision box is displayed. Enter reason for revision or you comments and click OK to continue.

This operation is restricted to the project manager and those with EDIT WBS permission in the project. This operation will create a copy existing copy of the existing WBS.

Fast Track Revision: You can provide fast track revision to a document task if there is no work flow assigned to the specific document.

If fast track revision is executed on a document task i.e. a document which is linked to a task (task which has a work flow) the work flow for the task is automatically restarted along with revision of the specific document. However, if more than one document is linked to the task, a message “The document successfully revised through fast track but work flow could not be restarted. “Do you want to see details (Y/N)” is displayed.

5

Baseline History

Click this option to view the baseline history of the WBS. Baseline history is displayed.

6

Constraints

Create Constraint: On selecting this option you can set a constraint date to the tasks.

Remove Constraint: On selecting this option, you can remove the Constraints set.

Resolve Constraint: On selecting this option, you can resolve the Constraints set.

For more details refer Operations on Constraints

7

Update Percentage

The percentage completed for the WBS will get updated.

8

Micro Scheduling

If you need to override the scheduling options defined in the Rule of Credit tab in the Project, this can be carried out here. This facility will be useful when the scheduling options defined for a single task has to be changed. For more information refer Micro Scheduling .

9

Attach Documents

Earlier while importing tasks from an MS Excel sheet, documents linked to the task were also imported. Currently documents can be linked in bulk to tasks after importing the tasks and scheduling it.

To link documents in bulk to task

  1. In the WBS tool bar in the under WBS>>Options select Attach Document.

Bulk Attach Document window is displayed

  2. In the tool bar select Matching Option. The following matching options are displayed.

Document Number and Sheet Number: Select this option to attach documents based on document number, sheet number combination available in Wrench.

Client Document Number: Select this option to attach documents based on Client Document Number available in Wrench.

Vendor Document Number: Select this option to attach documents based on Client Document Number available in Wrench.

  1. On selecting an option, respective columns in the Bulk Document Attachment window is populated.
  2. Click Attach to link the documents to task.

Click this option to attach multiple documents to multiple tasks in WBS. For more information on attaching documents to tasks refer Attaching multiple documents to tasks in WBS

10

Auto Initiation

A task can be initiated automatically based on user defined dates. This selection is applicable to all tasks in the WBS. The following auto initiation options may be selected from the “Auto Initiation” window displayed.

  • None
  • On scheduled start date
  • "---" days before the scheduled start date.

For more details refer Auto Initiation option

11

Beta Distribution

Beta distribution technique helps to overcome the inconveniences and overheads involved in planning activities related to a construction project. Task rules may be automatically created for each week / month between the Start and Finish dates of the task and the estimated progress at each of this week / month can be computed using this technique. For more information on beta distribution refer Beta Distribution .

12

Validate Rules

When tasks are imported to the WBS, the dates in the ‘Rules of Credit’ may not be entered sequentially in some of the tasks. As WBS may contain large number of tasks user may find it very difficult to identify the tasks whose dates in the Rule of credit are entered wrongly (not in sequence).

Click Validate Rules to display a list of tasks where the dates entered in rule of credit are not sequential. When user click on Validate Rules, the system validate the Planned and Forecast dates in rule of credit.

If the Planned/Forecast dates entered of the rule sets are not in sequential order, system validate and display such tasks in a window, so that user can correct the tasks.

Attaching multiple documents to tasks in WBS

Using this option multiple documents can be attached to single or multiple tasks in the WBS, provided reserved document number, client document number or vendor document number matches the name of the files that has to be attached to tasks. Documents can be attached using the Basic Option and Advanced Option.

To attach multiple files

  1. In the WBS tool bar under Options, select Attach Documents.

Attach Documents window is displayed.

Figure: Add multiple document window

You can carry out the following steps to attach documents to tasks.

STEP 1: Finding the matching documents

The file name of the documents stored in the folder has to match the reserved document number or documents saved in Wrench.

To find matching files (New Documents)

  1. In the 'Add Multiple Documents' window, under Matching Options drop-down list, select New Documents.

  2. Click the Browse button. Advanced Option window is displayed.

Figure: Advanced Option window

  3. Select the Basic Option and in the drop-down list select Document Number.
  4. Click Browse Folder to select the folder in which the files are stored.
  5. Open the folder, select the files and continue.

If the files selected satisfied the matching criteria, it is displayed in the grid as shown in the following figure.

Figure: Matched Files displayed in the grid

STEP 2: Assigning Document properties

  1. Click Document Properties to assign properties to the selected documents.
  2. Document General Properties window is displayed. Here you can enter the document properties. For more information on entering document properties refer Document Properties

STEP 3 Uploading documents to Wrench

Once document properties are entered next step is to upload the documents to Wrench.

  1. Select the check box next to the documents you want to upload or add to Wrench.
  2. In the tool bar click Add.

If the documents are successfully added 'Documents successfully added' dialog box is displayed.

NOTE: For the purpose of demonstration the procedures are carried out for matching the Document Number with the File Name. You can follow the same steps to match file name with other options in the drop-down list.

Attaching documents using the advanced option

Documents can be attached using advanced option. Advanced option allows the user more flexibility in defining matching patterns.

To attach documents to tasks using advanced option

TIP: Initial steps that has to be followed is similar to the Basic option. Refer the preceding section for the initial steps.

  1. Select the radio button next to Advanced Options.
  2. Advanced option area is displayed.
  3. Click the browse button to select a file name, based on which the matching file name is generated.
  4. Click the + button.

For Example: File name selected in the screen shot is LITL-0092.pdf. The reserve document number in the task is LITL-009. Hence to create a matching option the following entries are made in the window.

Property: Select Document Number as property.

Characters: In this case it is left as blank.

Position (From): This is the position of the starting character of the file name. Here it is selected as START.

No. of Characters: Enter the position number from the starting character.

Characters (To): Select this value as . (Dot).

Figure: Generating advanced matching options

  1. Click Refresh button.

The generated value from the selected file name is displayed.

NOTE: The procedure explained here is only for the purpose of demonstration. You can generate different values using the correct combination.

  2. Click Browse Folder to select the file.
  3. Select the file and click OK.

The file name matches with the reserved document number and this is displayed in the window as shown in the following figure.

Figure: Matching successfully completed

For assigning document properties and uploading the documents to Wrench, refer the preceding topic.

Attaching existing documents in Wrench

Documents already existing in Wrench with the same document number as the reserved document number, client document number or vendor document number can be added as attachments to task.

To attach documents existing in Wrench

  1. In the tool bar under group Options click Attach Documents. Add Multiple Documents window is displayed.

  2. In the 'Add Multiple Documents' window select the matching option as Existing Documents.

Figure: Add Multiple Documents window

  3. Click Search button. Advanced Option window is displayed.

Figure: Selecting matching option

  4. Select a matching option from the drop-down list. Here the option Document Number is selected.
  5. After selecting the matching option click Search.

List of tasks with reserved document number matching and un-matching with the matching options is displayed.

Figure: Adding documents to tasks

  6. Select the matching files and in the toolbar click Add.

The documents are attached to the task.

Display Task Properties tabs in WBS

    1. On WBS tool bar, select the WBS tab.
    2. Select Customise Tabs under the group Options.
    3. The Customise Tabs window will be displayed.

Here you can select the task related tabs that are to be displayed below the grid in WBS window for the selected task.

To select a tab,

    1. In the Customise Tabs window under Tab Name, select a tab name
    2. Select the forward arrow and the tab will be available under Selected Tabs section in the window
    3. Click Ok to save tabs selected.

Figure: Customise Tabs

You can view the tabs customised through Customise Tabs window by double clicking the name of the selected task displayed at the bottom of the grid.

Figure: Customise tabs displayed under the grid in WBS window for the selected task

NOTE: A user with appropriate rights, can edit the data for the selected task.

Bulk Revision of Tasks from WBS

You can select multiple tasks from the WBS and perform the Revise operation. When the revise operation is performed on a main task the child tasks also will get revised. In order to perform a bulk revision operation

  1. Select multiple tasks in the WBS. In the right-click menu select “Revise Task”

Figure: Bulk revision of tasks

  2. A dialog box is displayed asking Are you sure to revise the selected task(s)? Y/N. On confirmation the selected tasks are revised. A message indicating the successful completion of the operation is displayed.

If the operation fails, a message indicating the failure is also displayed. Clicking Show details displays the list of tasks, indicating the failure or success of the operation on each task. The reason for failure is also displayed.

See Also:


View

View Group

Options that assists you in comparing and viewing old schedules, filtering customer schedule or view deleted tasks are housed under the group View. These options are mentioned in the following table.

#

Item

Descriptions

1

Compare Old Schedule

Revisions of the WBS can be compared.

For more details refer Comparing WBS schedules

2

View Old Schedule

Revisions of the WBS can be viewed.

3

Filter Customer Schedule

All the tasks which are specified as Customer Schedules can be listed using this filter. Such tasks will be displayed in a separate window from where it can be exported to MS Excel.

Tasks that appear in this list are those tasks which are flagged as "Is Customer Schedule" in Task properties.

4

View Deleted Tasks

All the deleted tasks of a WBS are displayed.

5

Send to Personal Folders

Click this option to send the selected task to a personal folder. On clicking this option Folder List window is displayed. Here you can select the folder to which you want to send the selected task.

6

Legends

Legends are graphical representation of the status or properties of the objects in your workspace. Legends that indicate various task properties and status are shown.

For more details refer Information on Legends

Comparing WBS Schedules

WBS schedules can be compared based on WBS issues and parameters. The results of the comparison can be exported to an MS Excel file.

  1. Select Compare Old Schedules from the group View in WBS tab.
  2. Compare Schedules window is displayed.

Figure. Comparing WBS Schedules

  3. You can generate comparison reports based on WBS Issues or WBS Parameters.

To Generate a comparison report based on WBS Issues

  1. In the Compare Schedules window select Based on WBS Issues tab
  2. Select an Issue Status to compare from a drop-down list
  3. Select also an Issue Status to compare with. Corresponding Revision date is displayed
  4. Click Show to generate a comparison report.

To Generate a comparison dashboard

    1. In the Compare Schedules window click Show Dashboard.
    2. Compare Dashboard window is displayed.

Figure: Compare Dashboard window

    3. Select filter parameters based on which the data is to be filtered and displayed in the dashboard.
    4. Click Show Progress Curve to generate a comparison dashboard.

Figure: Dashboard Details

    5. Click Export To PDF to export the comparison dashboard details as a PDF file.

To Export the results to an MS Excel file

  1. Click Export to Excel
  2. You has to specify a file name for the MS Excel file.

The data in the comparison results are exported to MS Excel data sheet and are grouped under respective columns as in the comparison results.

To Generate a comparison report based on WBS Parameters

  1. In the Compare Schedules window select Based on WBS Parameters tab
  2. Select a Compare Issue Status from a drop-down list
  3. Select Compare With from a drop-down list
  4. To export the results to MS Excel
  5. Click Export to Excel.
  6. The data in the comparison results are exported to an MS Excel data sheet and are grouped under respective columns.

Information on Legends

WBS interface has a list of legends as shown in the following figure

Find: You may search for information specifying the search criteria here. The tool tip will give you an explanation of each of these images.

See Also:


Notification

Notification Group

Option that help you to configure the notification mail is housed under the group Notification. This option is mentioned in the following table.

# | Item | Descriptions
1 | Mail Configuration | You can configure the subject and content for the mails generated during various task notifications. For more details refer Configuring Notification mails

Configuring Notification mails

You may configure the subject and content for the mails generated during various task notifications. To configure notification mails.

  1. From the WBS tab, under the group Notification click Mail Configuration.

Figure: Notification Mail Configuration window

Notification Mail Configuration window is displayed. In this window notification mails can be configured for tasks and rules.

On clicking the radio button next to Task, notifications can be configured for different task events.

Mail Events: Events that triggers the generation of mails can be selected from a drop-down list. The following events are listed in the drop-down list.

  • Scheduling
  • Task Start
  • Task Completion
  • Task Delay
  • Before Schedule Start Date
  • Before Schedule Finish Date
  • After Actual Start Date
  • After Actual Finish Date

To configure notifications for rule events

On clicking radio button next to Rule, notifications can be configured for different Rule events.

The following events are listed in the drop-down list. Events that triggers the generation of mails can be selected from a drop-down list

  • Rule Set
  • Rule Name
  • Percentage
  • Customer Percentage
  • Actual Finish Date
  • Planned Finish Date
  • Forecast Finish Date

After selecting the mail events, values can be entered for the following parameters.

Mail Subject: You may enter a subject or insert one from Wrench properties.

Mail Body: You may enter the mail body or insert one from Wrench properties.

  1. Select the required object from the drop-down combo.
  2. Click Insert button to insert the selected properties in the Subject or Message field.

Properties of Tasks /Rule can be inserted by selecting the Object and then selecting properties from the drop-down list as shown in the following figure. After selecting the property click Insert. Selected property is inserted in the mail body. When notifications are sent, value for this field mapped.

Wrench provides with an option to define mail bodies. For more information on defining mail bodies refer to Configuration Wizard>>Control Panel>>Work Flow>>Work Flow Organizer in the administrator's manual.

See Also:


Task

The Task tab is further categorized to different groups and different options are housed beneath these groups.

Figure: WBS Task tab

Task

Options which helps you to add or create WBS level and Task level are housed under the group Task. These options are mentioned in the following table. For detailed information on this topic refer Task .

# | Item | Descriptions
1 | Create WBS Level | Click this option to add a new independent WBS level. A WBS Level can only be created if WBS Level view is selected and the option Package based progress measurement is not selected in the project.
2 | Create Task | Click this option to add a new task as leaf level task.
3 | Insert | Select this option to insert a task before or after a selected task .

Edit

Basic editing operations on main tasks or sub tasks are housed under the group Edit. These options are mentioned in the following table.

#

Item

Descriptions

1

Move Task

The following options are grouped under Move Task

Indent: Select this option to set the selected task as a sub task for the task above it. This option is applicable only for WBS Level tasks.

Outdent: Select this option to change a sub task from the subtask status. This option is applicable only for WBS Level tasks.

Move Up: A selected task can be changed from its current position to a step above it.

Move Down: A selected task can be changed from its current position to a step below it.

2

Cut

Select this option to cut the selected task.

3

Copy

Select this option to copy the selected task.

4

Paste

Paste and Paste special are two options available for pasting a selected task.

If you wishes to paste the task selected, then the “Paste” can be selected for the same.

On selecting "Paste Special", Paste Options dialog box is displayed. Select the check box against task information's which are to be copied. Select the check box against "Select All" to select entire task information's. The percentage progress is recalculated for both source and target tasks on completion of the operation.

For more details refer Paste Special operations

5

Add Related Item

Select this option to add a document or task to the selected task

6

Revise Task

When the Project manager revises a task the status of the task will change from "Work In progress" to "Created". If the task is currently in the user's workspace the system allows the task to be send but the work flow will not be completed unless the task is re-scheduled.

7

Delete

Select this option to delete the selected task.

Workflow Options

Options which help you to send tasks, show workflow, or flush a workflow are housed under the group Workflow Options. These options are mentioned in the following table.

# | Item | Descriptions
1 | Send | Click "Send" to send the task to the next stage of the workflow. This operation is possible only if the task is in the workspace of the current stage user. Select single or multiple tasks and perform the "Send" operation from the right-click menu or task options in the left navigation bar. If more than one active instance of the selected task is available in the user's workspace, sending operation is possible only from the workspace. System will return a warning message indicating this.
2 | Show Workflow | If a work flow is assigned to a task, this work flow is displayed. For a task scheduled for the first time clicking on this option the "Send" window is displayed. You can view the resources assigned to each stage.
3 | Flush Workflow | You can select single or multiple tasks and reset the active workflow. For more details on flushing workflows refer Flushing workflow for single or multiple tasks .

Schedule Options

Options which help you to schedule or start a workflow for the selected task are housed under the group Schedule Options. These options are mentioned in the following table.

# | Item | Descriptions
1 | Schedule | All the Unscheduled tasks will get scheduled. i.e. the Task dates will get freezed.
2 | Start Workflow | This option will set the task to "Work In Progress" state.
3 | Schedule Start Workflow | A created task can be scheduled to start a task.

Options

Options which help you to generate document numbers, add related item and update approval status codes for the task selected are housed under the group Options. These options are mentioned in the following table.

# | Item | Descriptions
1 | Generate Number | You can select single or multiple tasks and generate document numbers automatically using this option. For more details on Generate number refer Bulk Number Generation .
2 | Auto Initiation | A task can be initiated automatically based on user defined dates. This selection is applicable to the selected task. For more details refer Auto Initiation for tasks
3 | Subscribe for Notification | There are a number of events from WBS, to which you may subscribe so that these events will be notified to the user's selected by mail. This is a desirable function for a Project manager. A user with out the Edit WBS rights can also set notifications for a task. For more details refer Subscribe for notification .
4 | Update Approval status Code | Clicking this option displays the Customer Workspace window. You can provide the appropriate values in this window. Only the current stage user or a user with appropriate rights in the document genealogy can perform this operation.
5 | Constraints | Create Constraint: On selecting this option you can set a constraint date to the tasks. Remove Constraint: On selecting this option you can remove the Constraints set. Resolve Constraint: On selecting this option you can resolve the Constraints set. For more details refer Operations on Constraints
6 | Update Internal Response | On selecting this option Bulk Update Internal Response window is displayed. You can enter the approval code details and receipt details for the selected drawings.

See Also:


Task

Task

Depending on the level at which the task is created, Tasks are classified as WBS Level Tasks and Tasks. WBS Levels are created at the different levels of a WBS and Tasks are created under WBS Level.

NOTE: Users with edit WBS permission can create new WBS Levels in WBS. Those resources assigned to WBS Level with “Manage” permission may create WBS Levels/tasks under such WBS Levels.

Options which helps you to add or insert WBS Levels and Tasjs are housed under the group Task. These options are mentioned in the following table.

#

Item

Descriptions

1

Create WBS Level

Click this option to add a new independent WBS level. A WBS Level can only be created if WBS Level view is selected and the option Package based progress measurement is not selected in the project.

WBS Levels never can be a “Document Task”. Rule of credits may be assigned to WBS Levels so that it can be inherited to the child tasks. But the ROC on WBS Levels cannot be updated with actual dates.

2

Create Task

Select this option to add a task as a leaf level task. A leaf level Tasks cannot be created in “WBS Level View.”

3

Insert

Select this option to insert a task before or after a selected task. On selecting this option a sub menu is displayed.

Insert Before: A task may be inserted before a selected task using this option.

Insert After: A task may be inserted after a selected task using this option.

See Also:

Creating a WBS


Edit

Edit Group

Basic editing operations on main tasks or sub tasks are housed under the group Edit. These options are mentioned in the following table.

NOTE: You can select single or multiple tasks in Completed / Issue status and carry out the editing operations.

#

Item

Descriptions

1

Move Task

Move is the option to change the position of a task vertically and horizontally in a WBS. . On selecting this option a sub menu is displayed.

Indent : Indent is applicable only for WBS Levels. After selecting a WBS Level and clicking “Indent” will make the selected level as Child WBS Level immediately above. If the selected task already has sub tasks under it, the entire hierarchy is indented to the new level.

NOTE: This operation cannot be performed on the first task in WBS, as there are no tasks above and on first task in any level as the task above is already the parent.

Outdent : Out-dent is applicable only for WBS Levels After selecting a task and clicking “Out-dent” will bring the selected task to the same level of its parent, with its task serial number next to the current parent. If the selected task already has sub tasks under it, the entire hierarchy is out-dented to the new level.

NOTE: This operation cannot be performed on the first task in WBS since there are no parent tasks.

Move Up : A selected task can be changed from its current position to a step above it.

Move down : A selected task can be changed from its current position to a step below it.

2

Attach Documents

Earlier while importing tasks from an MS Excel sheet, documents linked to the task were also imported. Currently documents can be linked in bulk to tasks after importing the tasks and scheduling it.

To link documents in bulk to task

  1. In the WBS tool bar in the task tab select Attach Document

Bulk Attach Document window is displayed

  2. In the tool bar select Matching Option. The following matching options are displayed

Document Number and Sheet Number: Select this option to attach documents based on document number, sheet number combination available in Wrench.

Client Document Number: Select this option to attach documents based on Client Document Number available in Wrench

Vendor Document Number: Select this option to attach documents based on Client Document Number available in Wrench.

  1. On selecting an option, respective columns in the Bulk Document Attachment window is populated.
  2. Click Attach to link the documents to task.

3

Cut

Select this option to cut the selected task.

4

Copy

Select this option to copy the selected WBS Level Task and Leaf Level Task.

5

Paste

Paste and Paste special are two options available for pasting a selected WBS Level Task and a Leaf Level Task.

If you want to paste a selected task, then “Paste” option is selected.

Consider the following discussions when copying and pasting a WBS Level task:

  • If a task at leaf level is selected as target, the copied summary (source) gets pasted under the selected task’s (target) parent.
  • If a summary is selected as target, the copied summary gets pasted under the selected target.
  • If the source summary itself is selected as the target, the source gets pasted as a new WBS Level under the target.
  • In all cases, all the child tasks under the source will be available under the pasted task as well.

Consider the following discussions when copying and pasting a leaf level task:

  • If a task at leaf level is selected as target, the copied summary (source) gets pasted under the selected task’s (target) parent.
  • If a summary is selected as target, the copied source gets pasted under the selected target.
  • If the source itself is selected as the target, the source gets pasted as a new task under the target’s parent.

On selecting Paste Special, 'Paste Options' dialog box is displayed. Select the check box against task information's which are to be copied. Select the check box against "Select All" to select entire task information's. The percentage progress is recalculated for both source and target tasks on completion of the operation.

For more details refer Paste Special operations

6

Add Related Item

This option is used add documents or other tasks to the selected task. On clicking this option Related Items to Task window is displayed. For more information on adding related items to a task see Task Operations>>Attaching a Document. Task, Action Item.

7

Revise

When the Project manager revises a task the status of the task will change from "Work In progress" to "Created". If the task is currently in a user's workspace the system allows the task to be send but the work flow will not be completed unless the task is re-scheduled.

8

Delete

Select this option to delete the selected task.

Paste Special options

The Paste Special option is enabled only if Cut or Copy operation is performed on single or multiple tasks.

  1. On clicking Paste Special, Paste Options window is displayed.

Figure: Paste Options window

  2. Details that are to be copied for the newly pasted task can be defined by selecting the check box against them. Details defined by you in the previous instance appears as selected. You can clear the check box against details which does not apply for this instance.
  3. If the option Status is selected, the following items are also selected automatically. You can also clear the selected options.
  • Schedules: On selecting this option the scheduled details assigned to Cut or Copied tasks are pasted while copying tasks.
  • Resources: On selecting this option entire task resources with budgeted duration assigned are pasted while copying tasks.
  • Workflow: On selecting this option workflow assigned to cut or copied tasks are pasted while copying tasks.
  • System: On selecting this option system details assigned to cut or copied tasks are pasted while copying tasks.
  • Area: On selecting this option Area details assigned to cut or copied tasks are pasted while copying tasks.
  • Notes: On selecting this option task notes specified in cut or copied tasks are pasted while copying tasks.
  • If the option "Related Item" is selected the following items are also selected automatically. You can also clear the selected options.
  • Linked: On selecting this option objects linked to cut or copied tasks are pasted while copying tasks..
  • Referred: On selecting this option objects referred to cut or copied tasks are also referred to the copied tasks.

In addition to this, the following items can also selected or cleared.

  • Correspondences: On selecting this option correspondences linked or referred to the task are also linked or referred to the copied task.
  • Custom Properties: On selecting this option task custom properties assigned to cut or copied tasks are applied to the copied tasks also.
  • Rule Set: On selecting this option rule of credit details are also copied along with the task
  • Number of Copies: You can specify the number of copies of tasks that has to be created from the tasks being copied.
  • Select All: On selecting the checkbox against this option entire task information is copied.
  • Remember the selected task information: The properties against the selected check boxes will get cached Including the number of copies selected.

Moving tasks across WBS

You can cut or copy tasks from a WBS and perform a paste and Paste special operation on a different WBS.

  1. On performing a Cut and Paste operation, the selected tasks are moved to the new WBS.
  2. On performing a Copy and Paste operation, the selected tasks are moved to the new WBS and are also retained in the parent WBS.
  3. On performing a Cut or Copy and Paste Special operation, 'Paste Options' window is displayed.

The 'Paste Option' window operations are described in the preceding section.

Information

Prior to performing a Cut or Copy and Paste operation the following discussions can be taken into consideration.

  1. If the objects linked or referred to the selected task are transmittal released, then pasting of the task across WBS is restricted.
  2. For a task with workflow attached to it and an object linked to it, copy and paste operation is restricted.
  3. Scheduled dates shall not exceed Project Dates
  4. Systems and Areas assigned to cut or copied tasks shall be defined in the destination project.
  5. The status and percentage progress of the task is recalculated on completion of the paste operation

NOTE: If you do not wish to start the work flow although there are resources available in all the work flow stages, you may keep the tasks as scheduled.

See Also:


Workflow Options

Workflow Options Group

Options which help you to send the tasks, show workflow, or flush a workflow are housed under the group Workflow Option. These options are mentioned in the following table.

# | Item | Descriptions
1 | Send | Click "Send" to send the task to the next stage of the workflow. This operation is possible only if the task is in the workspace of the current stage user. Select single or multiple tasks and perform the "Send" operation from the right-click menu or task options in the left navigation bar. If more than one active instance of the selected task is available in the user's workspace, sending operation is possible only from the workspace. System will return a warning message indicating this.
2 | Show Workflow | If a work flow is assigned to a task, this work flow is displayed. For a task scheduled for the first time clicking on this option the "Send" window is displayed. You can view the resources assigned to each stage. For more details on showing workflow refer Showing Workflow .
3 | Flush Workflow | You can select single or multiple tasks and reset the active workflow. For more details on flushing workflows refer Flushing workflow for single or multiple tasks .

Showing Workflow

  1. Select Show Work Flow
  2. 'Show Workflow' window is displayed.

For the tasks scheduled for the first time and for the tasks that are in the created status , 'Search Work flow' window is displayed. You can only View the resources assigned to each stage

  • The current stage of the work flow is highlighted and details of the highlighted stage are displayed.

In the 'Resources for the stage' window the following columns are displayed in the following order.

  • User Name
  • Login name
  • Sequence
  • Planned Date
  • Comments
  • Received On
  • Completed On

If the stage is unprocessed the list of User's assigned are displayed with the following columns blank.

  • Planned date
  • Received On
  • Completed On
  • Comments

If the stage is active the following details are displayed

  • Serial number
  • User name
  • Login Name
  • Sequence
  • Planned date
  • Received On
  • Completed On (If available)
  • Comments (If available)

If the stage is processed the following details are displayed

  • Serial number
  • User name
  • Login Name
  • Sequence
  • Planned date
  • Received On
  • Completed On
  • Comments

Schedule: On selecting the Schedule option, all the selected task(s) achieve scheduled status.

Schedule and Start Work Flow: If the Schedule and Start Work Flow option is selected, the tasks you have chosen are set to scheduled status and the work flow would also be started. The task would achieve a 'Work in Progress' state.

NOTE: If the check box against the field Document Number Required for Scheduling Document Task is selected in Task Genealogy>>Task Default Properties, you can schedule and start work flow a task only if a document number is specified in the Task properties. Or else the system returns a warning message.

F Information:

Mails can be sent to selected users while a task is scheduled. The settings can be assigned in Subscribe for Notifications option in the left navigation bar from WBS window. The mail received by the user appears in the format shown below.

PROJECT NUMBER : The unique Project Number

PROJECT DESCRIPTION : Description of the Project

TASK GENEALOGY : Genealogy assigned to the Task

DOCUMENT GENEALOGY : Document Genealogy assigned

DOCUMENT NUMBER : The Document number

The Schedule for the task <<Task Name>> was scheduled by <<User Name>> on <<Date Time>>

Start Work Flow: You can assign work flow manually from the WBS. To assign work flow manually

  1. Select a task in WBS
  2. Select Start Work Flow from right-click menu
  3. Assign window is displayed
  4. Click Select Users to select users from a list.

Select an Object from the drop-down list. The list includes

  • CR
  • Document
  • Project
  • Task
  • Work Flow

Corresponding Object properties are listed in the 'Properties' window.

By defining Mail bodies the corresponding information is assigned in the message box. This helps in avoiding errors while entering information and reduces time consumption.

For Example:If the Object CR is selected, the properties field displays CR Category, CR Reference No. and CR Status.

  1. Click Insert to add the Object and Properties in the Message box.

Flushing workflow for single or multiple tasks

You may select single or multiple tasks and perform the flush work operation. On performing this operation the selected tasks are removed from all the concerned user's workspace. This operation is possible from the right-click menu and from the task options in the navigation bar.

While performing flush workflow operation for multiple documents you may take into consideration the following discussions.

NOTE: A user with Edit WBS right and Assign / Flush workflow right can perform this operation. For tasks without workflow, tasks with documents in transmittal queue and for tasks in issued status Flush workflow option is disabled.

  1. Select multiple tasks and from the right-click menu select Flush workflow.

Figure: Flush Workflow

  2. If one of the selected tasks does not satisfy the conditions mentioned in the preceding discussion, then the operation is suspended for that task. A dialog box is displayed indicating the same.

  3. Click Yes to continue the operation with the tasks that satisfy the criteria's.
  4. On clicking Show Details, tasks for which the flush workflow operation is not possible are listed.

Figure: Multiple Flush Workflow

  5. The Failure Reason displays the cause of failure against each object.
  6. If the entire selected tasks satisfy the conditions for flushing the workflow, on clicking Flush Workflow a dialog box is displayed.

  7. Click Yes to continue with the operation.
  8. On clicking Show Details the list of tasks are displayed in a window.

Figure: Multiple Flush Workflow window

  9. You may select single or multiple tasks from the window.
  10. Click Flush Selected to flush the workflow of the selected tasks.

While flushing already started workflows, a message requesting the confirmation of removal of object from all user's workspace is displayed.

You may make a selection from the following options.

  • Yes
  • Yes to All
  • No
  • No to All

See Also:


Schedule Options

Schedule Options Group

Options which help you to schedule or start a workflow for the selected task are housed under the group Schedule Options. These options are mentioned in the following table.

# | Item | Descriptions
1 | Schedule | All the Unscheduled tasks will get scheduled. i.e. the Task dates will get freezed.
2 | Start Workflow | This option will set the task to "Work In Progress" state.
3 | Schedule and Start Workflow | A created task can be scheduled to start a task.

See Also:

Creating a WBS


Options

Options Group

Options which help you to generate document numbers, add related item and update approval status codes the task selected are housed under the group Options. These options are mentioned in the following table.

# | Item | Descriptions
1 | Generate Number | You can select single or multiple tasks and generate document numbers automatically using this option. For more details on Generate number refer Bulk Number Generation .
2 | Auto Initiation | A task can be initiated automatically based on user defined dates. This selection is applicable to the selected task. For more details refer Auto Initiation for tasks
3 | Subscribe for Notification | There are a number of events from WBS, to which you may subscribe so that these events will be notified to the user's selected by mail. This is a desirable function for a Project manager. A user without the Edit WBS rights can also set notifications for a task. For more details refer Subscribe for notification .
4 | Update Approval status Code | Clicking this option displays the Customer Workspace window. You can provide the appropriate values in this window. Only the current stage user or a user with appropriate rights in the document genealogy can perform this operation.
5 | Constraints | Create Constraint: On selecting this option you can set a constraint date to the tasks. Remove Constraint: On selecting this option, you can remove the Constraints set. Resolve Constraint: On selecting this option, you can resolve the Constraints set. For more details refer Operations on Constraints
6 | Update Internal Response | On selecting this option Bulk Update Internal Response window is displayed. You can enter the approval code details and receipt details for the selected drawings. For more details refer Bulk Update Internal Response

Bulk Number Generation

  1. You may select Generate Number from the Options group of Task Tab in WBS Tool bar.
  2. On selecting Generate Number, the 'Bulk Numbering Options' window is displayed.

Figure: Bulk Numbering Option window

  3. In the navigation bar on selecting the option 'Numbering Options' window with the corresponding tab selected is displayed. For Example: If Document Number is selected numbering options window with document number tab highlighted is displayed.

Figure: Numbering Options window

  4. The ID of the project to which the WBS is associated is displayed here.
  5. On clicking the browse button against Document Numbering Template, the numbering templates assigned to the project are displayed. If templates are not assigned to the project the entire templates defined in the masters are displayed.

NOTE: Generate number option is enabled only when the task is a document task, task status is scheduled, unscheduled or work in progress and when linked document is not attached to a task.

  6. Click Ok. Document Number Generation window is displayed.
  7. You may generate a number or reuse a deleted number.
  8. After providing appropriate values in the number generation window, click OK.
  9. Bulk Numbering Window is displayed where you can click Validate to update the changes.

The WBS is refreshed and reloaded automatically.

Auto Initiation Option

A task may be initiated automatically based on user defined dates.

  1. In Task tab or WBS tab, select Auto Initiation Option.

Figure: Auto Initiation window

The following auto initiation options may be selected from the window. This selection is applicable to the tasks in the WBS.

  • None
  • On scheduled start date
  • "---" days before the scheduled start date

Subscribe for Notifications

There are a number of events from WBS, to which user's can subscribe so that these events will be notified to them by mail. This is a desirable function for a Project manager.

To subscribe for notification

  1. In the tab strip click Tasks.

  2. In the group Options, click Subscribe for Notification. A pop-up menu is displayed.
  3. In the menu click Create Notification.

Configure Notification window is displayed.

Figure: Configuring Notifications

In the Configure Notifications window, notifications can be configured for tasks and rules for the following events.

  • When a task/rule is started (Work started on a task).
  • When a task/rule is completed (Hundred Percent).
  • When a task/rule is delayed (Not hundred percent even after the scheduled finish date).
  • When the actual duration entered by users in the timesheet exceeds the duration specified in the Configure notifications window.
  1. Click the Users button to select the resources who are to be subscribed for notification.
  2. A notification calendar may be assigned to each user. Once a calendar is assigned to a user, notifications are issued based on the calendar settings. System ensures that proper notifications are sent based on the working hours and holidays defined in the notification calendar.

The percentage completion column: A threshold value can be set for task completion percentage. Once this threshold is reached, alerts are sent to the selected users or user groups.

Suppose notification is set “On Event” for Forecast Start Date. User will receive a notification once the forecast start date is set. User will again receive a message when the forecast start date is changed. But notifications are not send when user changes the Forecast Start Date after updating the Actual Finish Date.

  1. Against each of the selected user names, you may specify (select) the notifications as required
  2. Click "Save" button to save changes.

Tip: Wrench provides a facility by which a user without WBS edit rights can also set notifications for tasks. The 'Subscribe for Notifications' window contains a message for the user on how the subscription will work on edit and non-editable mode of WBS. The message is “If you have Edit permission on WBS, you may subscribe notifications for others while the WBS is in Edit mode. While WBS is not in edit mode, you may subscribe notifications only for you.”

NOTE: Configure the subject and content for the mails generated during various task notifications. In order to configure the mail subject and content click the link "Notification Mail Configuration." For more information on configuring the task notification mails refer Configuring Notification Mails .

Inheriting notifications

Using this option notifications configured for the selected task can be replaced by the notification configured in the task genealogy.

To inherit notification

  1. In the tab strip click Tasks.
  2. In the group Options, click Subscribe for Notification. A pop-up menu is displayed.

  3. In the menu click Inherit Notification.

A warning message asking whether the user wishes to proceed with the operation is displayed.

  4. Click Yes to continue.

Constraint Start and Constraint Finish for Tasks

Constraints

In a typical engineering environment, a project manager creates a set of summary tasks and define certain start or finish constraints for each of them. Subsequently, this schedule will be given to various discipline heads for who would prepare comprehensive schedules under each of the summaries. The department heads would further set constraints on summary tasks created by them, followed by the next level of managers to create the final schedule. On creating the final schedule (leaf level tasks in the WBS), if any of the tasks are found violating the constraints set on their summaries, a warning is displayed beside the summary task and the task which violated the constraint.

Wrench provides you the facility to create start/finish constraints for Tasks or WBS. These dates would define the basic constraint period. The constraint is evaluated with the "Scheduled Start" and "Scheduled Finish". i.e. it should be same as or within the constraint start and finish.

Creating Constraints

It would be a tedious process if a Project manager / department head has to identify each task and set individual constraints. To make the process simple and convenient, Wrench facilitates the Project manager to convert the current scheduled start and scheduled finish to constraint start and constraint finish respectively.

  1. Select Constraints from the group Options in WBS tab, to set constraints for the complete tasks in WBS.

or

  2. Select the task and select Constraints from the group Options in Task tab, to set constraints for the individual task in WBS.

  3. Select the "Create Constraints" option to avail the "Constraints" interface.
  1. If the selected option is "Apply only for selected Task(s),

If the option ‘Set Scheduled Start as Constraint Start’ is checked and "Apply Only for Selected Task(s)" is selected,

  • The Scheduled Start Date is set as the Constraint Start Date for the selected task(s) in the selected WBS

If the option ‘Set Scheduled Finish as Constraint Finish’ is checked and "Apply Only for Selected Task(s)" is selected,

  • The schedule Finish Date is set as the constraint Finish Date for the selected tasks in the selected WBS.

NOTE: This option will be enabled only if you create constraints for selected tasks through Constraints from the group Options in Task tab.

  2. If the selected option button is ‘Apply for entire WBS’,
  • If ‘Set Schedule Start as Constraint Start’ option is checked and "Apply for entire WBS" is selected, the Scheduled Start Date is set as the Constraint Start Date for all the task(s) in the selected WBS
  • If ‘Set Schedule Finish as Constraint Finish’ option is checked and "Apply for entire WBS" is selected, the Scheduled Finish Date is set as the Constraint Finish Date for all the task(s) in the selected WBS
  • After setting constraints, click "Cancel" to close the window.

To Create Constraints on an Individual Task

  1. Select and right-click the selected WBS-task.
  2. Select "Show Details" from the list of available options.
  3. The "Task Properties" window is displayed.
  4. Specify the required constraint start and constraint finish dates and save.

To Remove constraints

This facility assists the Project Manager in removing all the constraints.

  1. Select the task and select Constraints from the group Options in WBS tab.
  2. Select the "Remove Constraints" option
  3. A warning message “Are you sure you want to remove the constraints” is displayed
  4. If you select "Yes", all the constraint dates created by the current user would be removed
  5. On removing the constraints, the constraints violation alert of the selected task(s) would be cleared.

To Remove Constraints on an Individual Task

  1. Select and right-click the specific WBS-task.
  2. Select "Show Details" from the list of available options.
  3. The "Task Properties" window displayed.
  4. Clear the values for constraint start and constraint finish dates and save.

Resolving and Resetting constraints

The user who created a constraint can Resolve or Reset the constraint. Resolving the constraint refers to re-defining the constraint start and constraint finish dates to the scheduled start and scheduled finish dates respectively.

  1. Select the task and select Constraints from the group Options in WBS tab.
  2. Select the "Resolve Constraints" option
  3. An alert message “Are you sure to resolve all constraints created by you?” is displayed
  4. If you select "Yes", all the constraint dates created by the current user is be re-set to the respective schedule dates of the tasks ie; the Task Schedule Start Date would be reset as the "Constraint Start Date" and Task Schedule Finish date as the "Constraint Finish Date" of the selected tasks

The constraints violation alert of the selected tasks is cleared after resolving the constraints.

Constraint Violation

If a constraint is found violated, an alert icon is displayed against the WBS and its parent task.

Bulk Update Internal Response

Click this option to update the internal response for the drawings. On selecting this option Bulk Update Internal Response window is displayed.

Figure: Bulk Update Internal Response

  1. Enter the approval code details and receipt details here and click Bulk Update.

Bulk Update Internal Response window is displayed.

  2. Click the browse button to select the approval code.
  3. Select an expected receipt date.
  4. Click OK to continue.

See Also:


Import or Export

The Import or Export tab is further categorized to different groups and different options are housed beneath these groups.

Figure: Import or Export tab

Import New Tasks

Options that helps you in importing tasks or WBS is housed under the group Import New Tasks. These options are mentioned in the following table.

# | Item | Description
1 | Import From | This option is used to import tasks or WBS from MS Excel, MS Project, WBS Master or Existing WBS.

Export Tasks

Option which help you in exporting tasks or WBS is housed under the group Export Tasks. This option is mentioned in the following table.

# | Item | Descriptions
1 | Export To | This option is used to export tasks or WBS to Formatted Excel, Unformatted Excel, MS Project, WBS Master, PDF or HTML.

Templates

Option which help you to generate an MS Excel template is housed under the group Templates. This option is mentioned in the following table.

# | Item | Descriptions
1 | Generate Excel Template for Creating WBS Level and Tasks | The first activity is to generate a template in a Microsoft Excel file in which details for bulk import can be furnished. All the details about Document properties as required for Wrench will be specified in separate columns in this template. For more details refer Template .
2 | WBS Template | You can generate a WBS export/Import template.

Advanced

Options which help you to get the details of tasks imported from MS Project and also to export the percentage completion of tasks imported from MS Project are housed under the group Advanced. These options are mentioned in the following table.

# | Item | Descriptions
1 | MS Project Import Details | This option is used to get the details of tasks imported from MS Project file. For more details refer Import task from MS Project .
2 | Export Percentage to MS Project | This option is used to export the percentage of completion of the tasks which are being imported from MS Project.

See Also:


Import New Tasks

Import New Tasks Group

Option which help you to import tasks or WBS is housed under the group Import New Tasks. This option is mentioned in the following table.

#

Item

Descriptions

1

Import From

This option is used to import and update tasks or WBS from MS Excel, MS Project, WBS Master or Existing WBS.

  1. Excel - This option is used to import and update the tasks from MS Excel file. For more details on importing tasks refer Import tasks from MS Excel and for details on updating existing tasks refer Update WBS from Excel .
  2. MS Project - This option is used to import and update the tasks from MS Project file. For more details on importing tasks refer Import tasks from MS Project and for details on updating existing tasks refer Update WBS from MS Project .
  3. WBS Master - This option is used to import the tasks from WBS master as main tasks or sub tasks. For more details refer Import WBS from WBS Master .
  4. Existing WBS - This option is used to import the tasks from an existing WBS of same project type. For more details refer Import WBS from Existing WBS .

Import Tasks from MS Excel

It is a common practice in many scenarios to prepare the task list outside the system (such as in MS Excel. MS Project, Primavera etc.) Wrench uses an MS Excel as a common medium through which task can be imported. This means, what ever is the initial Project planning system used, if the schedule can be exported to an MS Excel, it can be imported into Wrench. There are a few import options available under the "Import From" menu (in "WBS ").

  1. Click "Import From" option under Import New Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "Excel" option. Options available for importing the tasks from MS Excel are:
    1. Create New WBS Level and Task: This option is used to import task from Excel file as a WBS Level and Task to the WBS.
    3. Update Existing Tasks: This option is used to update the existing tasks from Excel file. For more details refer Update WBS from Excel .

NOTE: . Select any Parent WBS Code and assign to Tasks/WBS Level so that the assigned WBS Level/Tasks will be created as the child of that Parent WBS.

  3. Click 'Create New WBS Level and Task' option and Bulk Import Wizard is displayed for importing tasks.

Figure: Bulk Import Wizard window for Importing WBS

  4. Click 'Next' to continue importing of WBS.

Figure: Bulk Import Wizard window

The selected project ID to which the tasks are to be imported will be displayed automatically .

  1. On selecting 'Generate Template' option you can generate an MS Excel file template, in which the tasks for importing can be added.
  2. Click the browse button to attach the MS Excel file from which the task details are to be imported.
  3. Click 'Next' to continue importing of tasks from the MS Excel file attached.

Figure: Bulk Import Wizard

  5. The tasks imported from the selected excel file into WBS are validated. Click 'Next' to continue.

On successful completion of importing tasks from MS Excel file, the bulk import wizard window will be displayed.

Figure: Bulk Import Wizard

When bulk import operation is carried out with a large volumes of tasks in slow networks, the tasks for import can be split into batched for improving the performance. A setting for this is provided in the Bulk Import Wizard. Here after selecting this option you can enter the number of tasks in each batch.

Figure: Splitting bulk volume of tasks

NOTE: While bulk importing, if document number, sheet number combination found in the import data is similar to the combination found in Wrench the import operation is discarded. If document number, sheet number combination found in the import data is similar to the combination found in Wrench, but with a different revision series; you can import the documents with the old revision number or a new revision number. If the revision number found in the import data exists in Wrench, the operation is discarded.

To Generate an MS Excel template with task characteristics

  1. Create an MS Excel file with a list of tasks and their characteristics. In WBS there are mainly two types of objects such as "Tasks" and "Documents".
  2. You may use a single MS Excel file and list down the tasks vertically down (Row wise), with their characteristics specified in each column (column wise). The first few columns may define task characteristics and a few column after that may specify the characteristics of documents attached to the task.

Import Tasks from MS Project

To Import tasks from a MS Project file, there are a few import options available under the "Import From" group in WBS.

  1. Click "Import From" option under Import New Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "MS Project" option. The three options available for importing the tasks from MS Project are:
    1. Create New Main Tasks: This option is used to import task from MS Project file as a main task to the WBS.
    2. Create New Sub Tasks: This option is used to import task from MS Project file as a sub task to the main task in WBS.
    5. Update Existing Tasks: This option is used to update the existing tasks from MS Project file. For more details refer Update WBS from MS Project .

NOTE: A subtask can only be created under a non document main task.

  3. Click 'Create New Main Tasks' option or 'Create New Sub Tasks' option and the Bulk Import Wizard is displayed for importing tasks.

Figure: Bulk Import Wizard window for Importing WBS

  4. Click 'Next' to continue importing of tasks.

Figure: Bulk Import Wizard window

The selected project ID will be displayed automatically to which the tasks are to be imported.

  1. Click ellipse button to attach the MS Project file from which the task details are to be imported.
  2. Click 'Next' to continue importing of tasks from the MS Project file attached.

Figure: Bulk Import Wizard

  3. The tasks imported from the selected MS Project file into WBS are validated. Click 'Next' to continue.
  4. On successful completion of importing tasks from MS Project file, the bulk import wizard window will be displayed.

Figure: Bulk Import Wizard

WBS Master

Using the WBS master, you may define WBS templates for different types of Projects. A template could be a number of common tasks pre-created in a WBS like format. Such templates can be imported into a new WBS so that a lot of work in creating list of task will be cut down. It is important to have a WBS master with a matching Project type. This means WBS masters are maintained with reference to Project types. If the current Project's project type does not match with the WBS master, an import is not possible.

NOTE: This option will be available only If Package based progress measurement is selected in the Project. If Package based progress is not selected, WBS Master options will not be avaialble in the WBS

To Import tasks from WBS Master, there are a few import options available under the "Import From" group in WBS.

  1. Click "Import From" option under Import New Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "WBS Master" option. The two options available for importing the tasks from WBS Master are:
    1. Create New Main Tasks: This option is used to import task from WBS Master as a main task to the WBS.
    2. Create New Sub Tasks: This option is used to import task from WBS Master as a sub task to the main task in WBS.

NOTE: A subtask can only be created under a non document main task.

  3. Click 'Create New Main Tasks' option or 'Create New Sub Tasks' option and the WBS Master Import window is displayed for importing tasks.

Figure: WBS Master Import window

  4. Select the project type and click Show Tasks option. The tasks for the selected project type will be listed in the grid.
  5. Select the tasks which are to be imported.
  6. You can import the entire tasks or selected tasks by clicking the appropriate buttons.

NOTE: Default properties defined in the WBS Master are also imported with the tasks.

Existing WBS

This is ideal in the event of a repeat order. You may just import the WBS of an old order and make necessary changes. When you opt for the "Existing WBS" option, system will display a set of Project with matching Project types. You may select the desired one from the list and the WBS of selected Project will be imported in to the current WBS.

NOTE: This option will be enabled only for a project related Blank WBS.

Update Existing Tasks from Excel or MS Project

Task details are populated in an MS Excel sheet and these details are imported to Wrench. If any changes are made to the data in the MS Excel sheet, these changes has to be updated to the tasks in Wrench. Using the bulk update option the changes in the MS Excel sheet can be updated in bulk to Wrench.

Wrench offers the facility by which you may update tasks. i.e. you may update the entire WBS as a bulk or selected sub-tasks.

  1. Click "Import From" option under Import New Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.
  2. Select "Excel" option and click 'Update Existing Tasks' option for updating the tasks from MS Excel file. Or Select "MS Project" option and click 'Update Existing Tasks' option for updating the tasks from MS Project file.
  3. The Bulk Update Wizard is displayed. Click 'Next' to continue.

Figure: Update from Excel

  4. The selected project ID will be displayed automatically to which the WBS are to be updated.
  5. On clicking the ellipse button the MS Excel file for updating the WBS from Excel can be attached. Or in case of updating WBS from MS Project attach MS Project File by clicking the ellipse button.

The following options are displayed in the bulk update wizard

Update Task Name in Wrench with the task name in Excel: On selecting the check box next to this option the task names in Wrench are replace with the task names in MS Excel file.

Permanently remove data from Wrench corresponding to blank cells in the MS Excel template: On selecting this option, if any cells in MS Excel template are left blank, while updating data corresponding to these cells will be removed from WRENCH.

For slower networks split the list of tasks in multiple batches of " " tasks in each batch: In case the network is slow update operation may face performance issues. To avoid this tasks can be updated in batches. After selecting this option number of tasks in each batch can be entered here.

  6. Click Next to continue with the Update operation.

NOTE: If any errors occur during the process of bulk update the following window is displayed.

  7. On clicking the hyperlink Write to Excel, the errors are populated to an MS Excel sheet and the sheet is displayed as in the following figure.

  8. Correct the errors indicated in the MS Excel sheet and save the changes
  9. You can perform the next update option using the data from this MS Excel sheet


Export Tasks

Export Tasks Group

Option which help you to export tasks or WBS is housed under the group Export Tasks. This option is mentioned in the following table.

#

Item

Descriptions

1

Export To

This option is used to export tasks or WBS to Formatted Excel, Unformatted Excel, MS Project, WBS Master, PDF or HTML.

  1. Formatted Excel - This option is used to export and update WBS levels, all tasks or selected tasks to excel file. For more details refer Export tasks to MS Excel.
  2. Unformatted Excel - This option is used to export and update WBS levels, all tasks or selected tasks to an excel file in an unformatted way. (i.e. you would get the WBS tasks columns without any list of values). For more details refer Export tasks to MS Excel.
  3. MS Project - This option is used to export all tasks or selected tasks to the MS Project file. For more details refer Export tasks to MS Project .
  4. WBS Master - This option is used to export the entire WBS to WBS master. For more details refer Export WBS to WBS Master .
  5. PDF - This option is used to export the entire WBS to PDF format. For more details refer Export to PDF format .
  6. HTML - This option is used to export the entire WBS to HTML format. For more details refer Export to HTML format .

Export WBS to WBS Master

To export WBS to WBS Master,

  1. Select "Export To" option under Export Tasks group in Import or Export tab.

  2. Click "WBS Master" from the sub menu displayed. The WBS Master window is displayed.

Figure: WBS Master

  3. You can enter a WBS name to create a new WBS master, select a Project Type and tasks list from current WBS will be shown.
  4. Click Save to export to WBS Master, on completion of exporting the entire WBS to WBS master a successful message will be displayed.

Export Tasks to Excel File

To export tasks to MS Excel file, there are a few export options available under the "Export To" group in WBS.

  1. Click "Export To" option under Export Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "Formatted Excel" option. The two options available for exporting the tasks to MS Excel are:

NOTE: For exporting WBS Level select the view as WBS Level View. For exporting tasks select the view as Task View.

All Tasks: This option is used to export all tasks to MS Excel file.

Selected Tasks: This option is used to export the selected tasks to MS Excel file.

NOTE: If the export data exceeds MS Excel permissible limit, a warning message is displayed. Content within the permissible limit will only be exported into the template.

  3. Click 'All Tasks' option or 'Selected Tasks' option and the Bulk Export Wizard is displayed for exporting tasks.

Figure: Bulk Export Wizard

  4. In the bulk import wizard you can make the following selections

All: On selecting the radio button next to this option entire task columns will be selected for WBS

Select Columns: On selecting the radio button next to this option, you can select the columns that you need to export

Select Template: On selecting the radio button next to this option, you can select a template from a pre-defined list

NOTE: The export templates created for a WBS will be available here

  5. On clicking 'Next' the following interface will be displayed if the option Select Columns is selected.

Figure: Bulk Export Wizard

  4. Select the task columns that you want to export.
  5. On clicking 'Next', the following window is displayed where you can select the destination folder for the exported tasks in MS Excel format.

Figure: Bulk Export Wizard

  6. On clicking Browse, the 'Save as' dialogue box will be displayed where you can specify the path for saving the exported excel file.
  7. After selecting the Excel file click Next

A progress bar indicating the progress of export operation is displayed

Figure: Progress bar

Once the operation is completed successfully, the following window is displayed.

Figure:Bulk Export Wizard

  1. On checking against the option "Open the exported file", the exported file gets opened in MS Excel.
  2. Click 'Finish' in the wizard interface, once the export is done successfully.

Export Tasks to MS Project

To export all tasks to MS Project, there are a few export options available under the "Export To" group in WBS.

  1. Click "Export To" option under Export Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "MS Project" option. The two options available for exporting the tasks to MS Project are:
    1. All Tasks: This option is used to export all tasks to MS Excel file.
    2. Selected Tasks: This option is used to export the selected tasks to MS Excel file.
  2. Click 'All Tasks' option or 'Selected Tasks' option, the entire WBS will be exported to MS Project file.
  3. You would be prompted by a message "Do you want to export Task or WBS(Y/N)"
  4. Click "Yes" , the entire WBS or the selected task will be exported to a MS Project file.

Unformatted Export

To export tasks without List of Values (LOV) to MS Excel, there are a few export options available under the "Export To" group in WBS.

  1. Click "Export To" option under Export Tasks group in Import or Export tab. On selecting this option a sub menu is displayed.

  2. Select "Unformatted Excel" option. The two options available for exporting the tasks to MS Excel are:
    1. All Tasks: This option is used to export all tasks to MS Excel file.
    2. Selected Tasks: This option is used to export the selected tasks to MS Excel file.

NOTE: If the export data exceeds limit permitted by MS Excel, a warning message is displayed. Content within the permitted limit will only be exported into the template

  3. Click 'All Tasks' option or 'Selected Tasks' option and the Bulk Export Wizard is displayed for exporting tasks. On clicking 'Next' after choosing the option Selected Tasks the following interface will be displayed.

Figure: Bulk Export Wizard

  4. Select the task columns that you want to export.
  5. On clicking 'Next' to continue, the following window is displayed where you want to select the destination folder for the exported tasks in MS Excel format.

Figure: Bulk Export Wizard

On clicking Browse, the 'Save as' dialogue box will be displayed where you can specify the path for saving the exported excel file. Once the operation is completed successfully, the following wizard window is displayed.

Figure:Bulk Export Wizard

  1. On checking against the option "Open the exported file", the exported file gets opened in MS Excel.
  2. Click 'Finish' in the wizard interface, once the export is done successfully.

Export WBS to PDF

To export tasks to PDF format,

  1. On selecting "PDF" from the Export To option menu housed under Export Tasks group, the WBS details will be exported in PDF format.

  2. The WBS details opened in PDF window is displayed.

Figure: WBS Exported in PDF format

Export WBS to HTML format

To export WBS to HTML format,

  1. On selecting "HTML" from the Export To option menu housed under Export Tasks group, the WBS details will be exported in HTML format.

  2. The WBS details opened in browser is displayed.

Figure: WBS Exported in HTML format

See Also:


Templates

Generating blank excel template for bulk import

While bulk volumes of data are to be imported into Wrench, an MS Excel template serves as the medium of import. This template can be generated automatically using Wrench. This MS Excel template contains the same document and task characteristics that is in Wrench. You can enter the data to be imported into Wrench in this template.

To create an excel template for import

  1. In the WBS ribbon from the group Templates click Generate Excel Template for Creating WBS Level and Tasks.

Generate Template dialog box is displayed.

Figure: Generate Template box

A template is generated using the following options.

Basic Template

Advanced Template

Select Template

Basic Template

The Basic option includes only the mandatory fields required to import tasks to WBS. When you select this option the WBS reference name is used as the default file name in the Save As window. You can change this file name and enter a new file name.

The following columns will be available in the MS Excel template generated

  • Task serial number
  • Task Name
  • Task Genealogy
  • Forecasted start
  • Forecasted Finish
  • Custom property of Task Genealogy

If the option Package based progress measurement is selected in the project, generated template will have the following additional columns.

  • WBS Level Code
  • Parent WBS Level Code
  • Is WBS Level

If any Parent WBS Code is selected and assigned to Tasks/WBS Level the assigned WBS Level/Tasks will be created as the child of that Parent WBS.

In case both Parent WBS Code and Serial Number is specified (say 1.1, 1.1.1) to represent the hierarchy, system gives priority to the Parent WBS Code to decide on the hierarchy.

Advanced Template

The "Advanced" option enables you to generate template with all the task and document properties.

Once a template is generated "Copy Complete" dialog box is displayed.

  1. On selecting "Open" the selected file is opened.
  2. On selecting "Open Folder" the folder where the file is copied will be opened.

Select Template

You can define columns and create a customized import template with the fields used frequently for bulk import operation. The templates you have created will be available in the drop-down list as displayed in the following figure.

The template selected from the drop-down list will be used in bulk import operation.

For more information on creating import templates refer the following section

WBS Template

Here you can create an Export Template and an Import Template . Using the export template you can export the data from Wrench to MS Excel and using the import template you can bulk import of data to Wrench. The import template created here will be available if the Select Template option is selected in the Generate Template window.

To create an Import Template

  1. In the tool bar click WBS Template>>Import
  2. Import Template window is displayed

Figure: Import Template window

  3. In the tool bar click New to create a template
  4. Import Template Columns window is displayed

Figure: Import Template Columns window

  5. Here you can enter a template name next to the field Template Name. Name of the WBS will be displayed next to the column WBS Name.
  6. Once the columns are selected click Ok to continue
  7. The created template will be listed if Select Template option is selected while generating a template for bulk import

In addition to this the following options are also available in the tool bar

Edit: Select this option to make changes to an existing template

Remove: Select this option to delete a template

Create From: Select this option to create a template from another template that has been already created for a WBS

NOTE: The columns Task Name and Task Genealogy will be selected by default

To create an Export Template

  1. In the tool bar click WBS Template>>Export

  2. Export Template window is displayed

Figure: Creating an export template

  3. In the toolbar click New to create a template.
  4. Export Template Columns window is displayed
  5. Enter a template name next to the field Template Name. Name of the WBS will be displayed next to the column WBS Name.
  6. Once the columns are selected click Ok to continue. Created template is listed in Export Template window.

See Also:

Creating a WBS


Advanced

Advanced

Options which help you to get the details of tasks imported from MS Project and also to export the percentage completion of tasks imported from MS Project are housed under the group Advanced. These options are mentioned in the following table.

# | Item | Descriptions
1 | MS Project Import Details | This option is used to get the details of tasks imported from MS Project file. For more details refer Import task from MS Project .
2 | Export Percentage to MS Project | This option is used to export the percentage of completion of the tasks which are being imported from MS Project.

See Also:

Creating a WBS


View

The View tab is further categorized to different groups and different options are housed beneath these groups.

Figure: WBS View tab

Current View

Options which help you to view WBS are housed under the group Current View. These options are mentioned in the following table.

# | Item | Description
1 | Change View | On clicking this option, you can select the type of view such as Normal view, Grouped view, Advanced Normal view, Advanced Grouped view, and Resource Grouped view, etc. For more details refer View Options.
2 | Choose Columns | You may customize the view according to the preferences. To customize the view, you can select 'Choose Columns' to avail a customization window. Drag the unnecessary columns in to the customization window and vice versa to get a view as per your preference. You can sort the WBS columns by clicking the respective columns. The column values are sorted and rearranged.
3 | Save View | Select this option to save your view. You can save the view as a New View or Replace an existing view. For more details refer Saving the current view
4 | Apply Current View to Other WBS | You can apply the current view created to all other WBS.

NOTE: By default, Task Search bar will be displayed for Normal View and Advanced Normal View.

Display

Options which help you to display the task relations are housed under the group Display. These options are mentioned in the following table.

# | Item | Descriptions
1 | Display Task Relations | On selecting this option the task ID for all the tasks in the WBS will be generated and displayed in the grid. Also the predecessors relationship for all the tasks will be displayed, if applicable and displayed in the grid.
2 | Customize Tabs | Click this option to select the tabs that has to be displayed in the Task Properties window. On clicking this option Customize Tabs window is displayed. Figure: Customize Tabs window Select the tabs using the arrow button and click OK to continue.

View

Options which help you to display the progress details view for the tasks are housed under the group View.

Rule of Credit Pivot View: Rule of credit pivot view is a view in WBS that is obtained by pivoting the Rules of Credit assigned for the tasks. You can edit the Planned, Forecasted and Actual dates from this view of WBS. The layout of the Rule of credit pivot view can be rearranged quickly. For the same details different views can be obtained by just rearranging the column headers.

See Also:


Current View

Current View

Options which help you to view WBS are housed under the group Current View. These options are mentioned in the following table.

# | Item | Description
1 | Change View | On clicking this option, you can select the type of view such as Normal view, Grouped view, Advanced Normal view, Advanced Grouped view, and Resource Grouped view, etc. For more details refer View Options.
2 | Choose Columns | You may customize the view according to the preferences. To customize the view, you may select 'Choose Columns' to avail a customization window. Drag the unnecessary columns in to the customization window and vice versa to get a view as per your preference. You can sort the WBS columns by clicking the respective columns. The column values are sorted and rearranged.
3 | Save View | Select this option to save your view. You can save the view as a New View or Replace an existing view For more details refer Saving the current view
4 | Apply Current View to Other WBS | You can apply the current view created to any other WBS. For more details refer Applying the current view to other WBS .
5 | Delete, Rename and hide existing Views | You can delete, rename and hide existing views. For more details refer Deleting, hiding and Renaming views

View Options

Wrench facilitates the display of tasks based on different types of views. On selecting the Change View option, a menu listing the System views, Public views and Private views will be displayed as shown below.

Figure: Change View Option

The System views available for selection are:

  • Default View
  • Grouped View
  • Advanced Grouped View
  • Resource Grouped View
  • Task View
  • WBS Level View
  • WBS Level and Task View

The Public and Private views available for selection are saved by the users. For more details refer Saving the current view .

Default View

You can sort the WBS columns by clicking the respective columns. The column values are sorted and rearranged.

Figure: Sorted Columns in the Normal view

Grouped View

  1. Select 'Change View' from the View tab
  2. Choose 'Grouped View' from the corresponding drop-down menu
  3. You may group the tasks based on the column headers, by drag dropping the required fields on to the sorting grid

Figure: Grouped View

In the grouped view only the following columns are displayed by default.

  • #
  • Task Name
  • Reserved Document Number
  • Forecasted Start Date
  • Forecasted Finish Date
  • Planned Start Date
  • Planned Finish Date

You can add additional columns to the view using the Column Chooser.

To open the column chooser

In the right-click menu from the column header select Column Chooser.

Figure: Adding Columns to a view

Customization window is displayed. From the window you can drag the columns you need .

NOTE: The tasks can also be grouped based on the Custom Properties(if any). If the custom characteristics assigned to different tasks are different, then it is displayed as separate columns.

Advanced Grouped View

You may group the tasks based on the column headers, by drag-dropping the required fields on to the sorting grid. The custom properties assigned to the tasks are also displayed in the grid. In the following figure, the tasks are grouped based on the "Forecasted Start Date." Double-clicking a selected task displays the task properties window.

Figure: Advanced Grouped View

Resource Grouped View

  • On selecting Resource Grouped view tasks and the current stage resources assigned to that task is displayed. Double-clicking on a selected task displays the task properties window.

Task View

Task View only contains Tasks as flat list. User can create Tasks in this view and the Tasks can be grouped based on any properties.

WBS Level View

WBS Level View contains only WBS Level Tasks in the WBS with their hierarchy. WBS Level tasks can be created and edited only from this view. Grouping is not allowed in this view.

WBS Level and Task View

This view contains WBS Level Tasks and Tasks in tree structure. The WBS Level created in the “WBS Level View” will be automatically available in this view and tasks can be created under any WBS Level in this view. Grouping of Tasks are not allowed in this view.

Deleting, Renaming, hiding and un-hiding existing views

WBS views can be deleted, renamed and also can be hided.

To delete or rename WBS views

  1. In the toolbar under Views, select Change View

  2. In the menu click the menu item Click here to delete/rename existing views
  3. Save View window is displayed.

Figure: Save View window

In the Save View window the following tabs are available.

Visible to everyone: Views that are visible to everyone is displayed here. You can click the Delete button to remove a view. Select the checkbox next to the view to display this view in the Change View menu.

Visible only to me: Views created by a user is displayed here. You can click the Delete button to remove a view. Select the checkbox next to the view to display this view in the Change View menu.

To hide/un-hide views

  2. In the toolbar under Views, select Change View

  2. In the menu click the menu item Click here to Hide/Unhide views
  3. Save View window is displayed.

In addition to the tabs in the earlier window, an additional tab System Views is available here. You can select the check box next to a view to make it visible.

Saving the View

In WBS, you can save the current view as a new view or replace the existing view.

To save the current view as a new view,

  1. In the WBS window tool bar, under the Current View group click Save View.

Figure: Create New View

A sub-menu is displayed.

  2. Select "Create New View" to save the current view as a new view. The Save View window is displayed.

Figure: Save View window for creating a new view

Following details are to be entered by you for creating a new view.

# | Item | Descriptions
1 | Name of the new view | Enter the name of the new view to be defined.
2 | Visible to everyone | Choose this option if this view is to be made visible to every one.
3 | Visible only to me | Choose this option if this view is to be made visible only to the user who created this.

  3. Click OK, to save the current view as a new view.

To save the current view by replacing an existing view,

  1. In the WBS window tool bar, under the Current View group of the View tab.

Figure: Replace Existing View

  2. Click "Save View", a sub menu will be displayed.
  3. Select "Replace Existing View", the Save View window is displayed.

Figure: Save View window

  4. In the 'Save View' interface, you may customize the view according to his preferences and save it as 'Visible to everyone' or 'Visible only to me'.
  5. To customize the view, you may select' Choose Columns' to avail a customization window
  6. Drag the unnecessary columns in to the customization window and save the view by clicking 'Replace'.

NOTE: Only the administrator has the privilege to set a public view as default for all users.

Applying the current view to other WBS

In WBS, a facility has been provided which enables you to apply the current view to other WBS.

    1. In the WBS window tool bar, under the Current View group of the View tab.

    2. Select "Apply Current View to Other WBS", the Search Work Breakdown Structure window is displayed.

Figure: Search Work Breakdown Structure window

    3. The Entire WBS names will be available, from where you can select the checkbox against the WBS Reference Number for applying the current view.
    4. Click Ok to apply the current view to the selected WBS.

See Also:


Display

Display

Options which help you to display the task relations are housed under the group Display. These options are mentioned in the following table.

# | Item | Descriptions
1 | Display Task Relations | On selecting this option the task id for all the tasks in the WBS will be generated and displayed in the grid.
2 | Customize Tabs | Click this option to select the tabs that has to be displayed in the Task Properties window. On clicking this option Customize Tabs window is displayed. Figure: Customize Tabs window Select the tabs using the arrow button and click OK to continue.

See Also:

Creating a WBS


View

View

Options which help you to display the details based on the rule of credit for the tasks are housed under the group View.

Rule of Credit Pivot View: Rule of credit pivot view is a view in WBS that is obtained by pivoting the Rules of Credit assigned for the tasks. You can edit the Planned, Forecasted and Actual dates from this view of WBS. The layout of the rule of credit pivot view can be rearranged quickly. For the same details different views can be obtained by just rearranging the column headers.

The following figure displays a sample rule of credit pivot view in WBS.

Figure: Rule of Credit Pivot View

Exporting the values to MS Excel

You can export the fields and values in the rule of credit pivot view to an MS Excel sheet.

To export the values to an MS Excel sheet

  1. In the Rule of Credit Pivot view tool bar select Export to Excel
  2. Save As window is displayed

Figure: Save As window

  4. Enter a file name and click Save.
  5. The saved MS Excel file will be as displayed in the following figure

Figure: Values exported to an MS Excel sheet

View Options

You can configure a view, change an existing view and apply the currently configured view to another WBS. The operations are performed from the item View Options in the tool bar. The following options are available here.

#

Item

Description

1

Change View

Select this option to change the existing view. On selecting this option different views available are displayed in the pop-menu.

2

Save View

You can select this option to save the current view.

On selecting Save View, the following options are displayed in the menu.

Creating New View: Select this option to create a new view. On selecting this option Save View window is displayed.

  1. Here you can enter a name for the new view.
  2. You can decide whether the view is visible to everyone or just for the creator of the view.
  3. Select Ok to save changes.

Replace Existing View: Select this option to replace the existing view with already saved view.

Apply Current view to other WBS: On selecting this option Search Work Breakdown Structure window is displayed. You can select the check box against a WBS to apply the current view.

See Also:

Creating a WBS


WBS Search

WBS Search is a facility where WBS maintained by the system can be searched and retrieved. Wrench Enterprise hosts an exclusive search mechanism to avail access to each WBS.

Navigation Table

To | See
Search for Tasks in a WBS | Searching Tasks in a WBS
Search and select a WBS | Searching and Selecting a WBS
Perform an advanced search | Advanced Search

Searching Tasks in a WBS

Wrench provides search facility in WBS by which Tasks can be searched using specific search criteria in the search toolbar.

Figure: Search Task

  • The 'Search In' field displays the various parameters on which the search can be based upon. This include

-Actual Finish Date

-Actual Start Date

-Approval Requirement Description

-Approval Status Code

-Area Description

-Baseline Finish Date

-Baseline Start Date

-Budgeted Cost

-Budgeted Duration

-Client Document Number

-Customer Received Back Date

-Customer Weightage Factor

-Document Genealogy

-Document Number

-Sheet Number

-Document Origin Type

-Forecast Date

-Internal Finish Date

-Internal Start Date

-Meeting Date

-Origin Name

-Percentage Completed

-Percentage Work

-Priority

-Remarks

-Revision Number

-Scheduled By

-Scheduled Finish Date

-Scheduled Start Date

-Status

-System Group Code

-System Group Description

-Task Code

-Task Genealogy

-Task Name

-Vendor Document Number

-Work Flow Team

  1. Select a specific parameter from the ‘Search In’ drop-down combo. On the basis of this parameter, the ‘Look For’ drop down gets filled with the corresponding values
  2. Click “Find next”/ “Find previous” to avail the list of entries in the WBS that match the specified search criteria.

Searching and Selecting WBS

  1. Click the "Open" button in the WBS menu to display a search screen as shown in the following figure

Figure: Search WBS

  2. Optionally specify the required search criteria (such as Project ID, Project name, WBS code, WBS name etc) for finer and precise search
  3. Click the "Search" button to display search results. Select the required WBS from the list and click "Select" button to display the selected WBS (See Figure: WBS).

Advanced Search

Optionally specify the required search criteria (such as Project, WBS code, WBS name etc) for finer and precise search.

Figure: Search Work Breakdown Structure window

See Also:

Creating a WBS

WBS Operations


WBS Operations

Clicking the secondary mouse button ("Right" button) on the grid will display a pop up menu which hosts a number of options for executing various actions on the task list as shown in the following figure.

Figure: WBS right-click menu

Different options are mentioned in the following table.

#

Menu Item

Description

1

View Related Documents

Select this option to view different types of documents attached to a task. You can select a document type from the menu that is displayed.

Link: On selecting this option drawings or documents linked to the task is displayed.

Refer: On selecting this option drawings or documents referred to the task is displayed.

Correspondences: On selecting this option correspondence attached to the task is displayed.

2

View Specter

Select this option to view specter file attached to documents.

3

Show Details

Select this option to view the properties assigned to the task. On selecting this option task properties window is displayed.

4

Expand

For more information refer WBS>>Arrange

5

Collapse

For more information refer WBS>>Arrange

6

Create Task

Click this option to add a task in a WBS. On selecting this option a sub menu is displayed. For more information refer Task Group

7

Insert

Select this option to insert a task before or after a selected task. For more information refer Task Group .

8

Cut Task

Select this option to cut the selected task.

9

Copy Task

Select this option to copy the selected task.

10

Paste Options

Paste and Paste special are two options available for pasting a selected task.

If you wishes to paste the task selected, then “Paste” can be selected for the same.

On selecting "Paste Special", Paste Options dialog box is displayed. Select the checkbox against task information's which are to be copied. Select the checkbox against "Select All" to select entire task information's. The percentage progress is recalculated for both source and target tasks on completion of the operation. For more details refer Paste Special Operations .

11

Delete

Select this option to delete the selected task.

12

Revise Task

When the Project manager revises a task the status of the task will change from "Work In progress" to "Created". If the task is currently in a user's workspace the system allows the task to be send but the work flow will not be completed unless the task is re-scheduled.

13

Send

Click "Send" to send the task to the next stage of the workflow. This operation is possible only if the task is in the workspace of the current stage user. Select single or multiple tasks and perform the "Send" operation from the right-click menu or task options in the left navigation bar. If more than one active instance of the selected task is available in the user's workspace, sending operation is possible only from the workspace. System will return a warning message indicating this.

NOTE: In case you try to send an object without a workflow attached the following message is displayed.

  • If you want to assign a workflow for that object, then click Yes.
  • Assign Workflow window is displayed.

Here you can assign a predefined or manual workflow and send the object.

  • Click No to cancel the operation.

14

Workflow Options

On selecting this option the following workflow options are displayed.

Show Workflow: If a work flow is assigned to a task, this work flow is displayed. For a task scheduled for the first time clicking on this option the "Send" window is displayed. You can view the resources assigned to each stage. For more details on showing workflow refer Showing Workflow .

Flush Workflow: You can select single or multiple tasks and reset the active workflow. For more details on flushing workflows refer Flushing workflow for single or multiple tasks .

Reassign User: You can select single or multiple tasks and reassign the current stage users with new set of users. For more information on reassigning users refer Reassign User .

NOTE: Reassigning of users is restricted for workflows with parallel stages.

15

Schedule Options

Options which help you to schedule or start a workflow for the selected task are housed here. For more information on schedule options refer Schedule Options .

16

Add Related Item

Select this option to add a task or document to a selected task.

17

Update Approval Status Code

Clicking this option displays the Customer Workspace window. You can provide the appropriate values in this window. Only the current stage user or a user with appropriate rights in the document genealogy can perform this operation.

18

Add to Timesheet

Select this option to enter timesheet details for single or multiple tasks. On selecting this option Time Sheet Details window is displayed with task details filled in automatically. It is possible to edit the values in the timesheet details window. Click OK to continue.


Creating a WBS Level

A WBS Level is an independent task which may or may not have a Task under it. WBS Level can be created and edited only in the “WBS Level View” as well as when “Package based Progress Measurement” configuration is not selected in the Project. WBS Levels will never be a “Document Task”. Rule of credits may be assigned to WBS Levels so that it can be inherited to the child tasks. But the ROC on WBS Levels cannot be updated with actual dates. User cannot create a leaf level Tasks in WBS Level View.

NOTE: Users with Edit WBS permission can add new WBS Levels in a WBS.

To create a WBS Level

  1. In the WBS select Home tab.

  2. In the list of view options click WBS Level View.
  3. Click the Task tab. In the group Task click Create WBS Level.

Task Properties window is displayed.

  4. Enter values for the fields in the task properties window. For more information on entering values refer the section Task Details .
  5. Click OK to save the task created.

Editing schedule date for WBS Levels

In certain planning scenario, the smallest start and highest finish dates of all tasks under a summary forms the start/finish date of the summary. In certain other scenario, the start and finish dates of child tasks are restricted within the start/finish dates of the summary. To manage this facility a new setting Edit Schedule Dates is available in the schedules tab.

Figure: Editing schedule dates disabled

If “Edit Schedule Dates” is not selected, Schedules cannot be specified for WBS Levels. The schedules will be automatically prepared based on the schedules of the child tasks.

Planned and Forecast dates can be entered in any Summary Level Tasks.

Figure: Editing schedule dates enabled

If user changes the date in any leaf level Tasks the changes will not be reflected in the WBS Levels.

NOTE: It is possible to enter or edit Actual Start and Actual Finish Dates based on a setting Edit Actual Dates which is applicable only for summary tasks and only those dates will be considered for calculating progress.

Beta distribution in WBS Levels

Alpha and Beta values can be entered for WBS Levels which are manually scheduled. The values will be distributed along the Planned Start and Planned Finish of the WBS Levels. Since Auto Scheduled WBS Levels do not have schedule dates (dates are inherited from leaf level tasks), Alpha Beta cannot be applied to Auto Scheduled WBS Levels. For more information on Beta Distribution see Operations from task properties window>>Beta Distribution .


Creating a Task

What is a Task?

A task is an assigned piece of work often to be finished within a certain time. Effective task management involves managing all aspects of a task, including its status, priority, time, human and financial resources. All the aspects of a task can be defined in the task properties window. This includes Task Name, Task Genealogy, Document genealogy, Approval Requirement description, Document Number, Sheet Number, Client document number and Vendor document number. Entering tasks in the order in which it will be executed helps in easier monitoring of the tasks.

Tasks in Wrench are grouped under different Task genealogies. Tasks with common features can be grouped in the same genealogy. Grouping tasks under genealogies helps in easier handling of the tasks.

Navigation Table

To | See
Add WBS Level | Adding WBS Level
Add Sub Tasks to a WBS | Adding Sub Tasks to a WBS
Task Operations | Task Operations
Workflow Operations | Workflow Operations
Set notifications for a specific task | Subscribe for Notifications

Adding WBS Levels

A WBS Level is an independent task which may or may not have a Task under it. Users with Edit WBS permission can add new WBS Levels in a WBS. WBS Level can be created and edited only in the “WBS Level View” as well as when “Package based Progress Measurement” configuration is not selected in the Project.

NOTE: User having Edit WBS permission in Project can only Create WBS Levels.

To add WBS Levels

  1. Select the view as WBS Level View.
  2. Select the tab Task.
  3. Click Create WBS Level.

Task Properties window is displayed.

  4. Enter values for the fields in the task properties window. For more information on entering values refer the section Task Details .

  5. Click OK to save the task created.

Adding Tasks

Adding a task creates a new task in the WBS. Tasks are created under the WBS Level.

NOTE: Those resources assigned to WBS Level with “Manage” permission can create Tasks under WBS Levels. Tasks can be created under all views except WBS Level View.

To add a task

    1. In the WBS select the tab Task. Ensure the view selected is not WBS Level View.
    2. In the tab Task, click Create Task.
    3. Task Properties window is displayed.

Figure: Task Properties

    • Enter values for the fields in the task properties window. For more information on entering values refer the section Task Details .
    • Click OK to save the task created.

Navigating through Task Properties window

The Task Properties window comprises of the left navigation bar and tabs under which information are grouped and displayed.

The operations possible in the left navigation bar of task properties window can be classified into Task Options, Schedule Options, and Work flow Options, Update Options and Rule of Credit Options.The task operations are classified into following sections.

    • Task
    • Schedule Options
    • Workflow Options
    • Update Options
    • Rule of Credit
    • Information : Details on the corresponding Project and Help file will be available.
    • Task Details Views : Views created for task details tab, by the users will be available for selection.
    • Advanced Options

The tabs in the Task Properties window are classified into the following sections. You can go into the details of each tab by making appropriate selection in the following list.

NOTE: The logged in user can add or remove tabs from the task properties window by selecting the hyperlink "Customize Tabs" or by selecting the option "Customize Tabs" from left navigation bar under Task group.

    • Task Details
    • Schedules
    • Resources
    • Relationship
    • Related Item
    • Action Item
    • Old Task Revisions
    • Workflow
    • Remarks
    • Correspondence
    • Task Hierarchy
    • Timeline

NOTE: For editing the task properties, select the Task and click “Edit” from the WBS window.

See Also:

Creating a WBS

Attaching Work flow to a Task

WBS Search

If additional components are installed refer to

Attaching a Document/Action Points to a Task

Adding a Part or BOM to a Task


Task Details

All the task related properties will be available in the Task Properties window. The properties can be categorized to Basic Task Details, Document Details, Origin Details, System Details, Advanced Details, Approval Status Code Details, Receipt Details and Custom Details properties.

These properties and their classifications can be defined to a task genealogy according to the need of the organization and specific users. This operation is carried out by the administrator. For more information on defining task properties to the task genealogy refer Administrator's manual >> Defining properties for Task Genealogy.

Task Details tab

Basic properties of a task can be entered through Task Details tab. Each property is classified under different groups. The following classifications are available in this window. Properties under each classification is described in the following sections.

Basic Task Details

Document Details

Origin Details

System Details

Area Details

Budgets

Basic Task Details

#

Item

Description

1

Task Name

Enter a name for the task.

2

Task Genealogy

Click the browse button next to the "Task Genealogy" to choose the desired Task level genealogy. Search Genealogy window is displayed. On selecting a task genealogy system returns a message, whether the default properties of the selected genealogy is to be inherited or not. On selecting "No" the selected genealogy is displayed without applying the properties to the task defined.

NOTE: Based on the task genealogy selected, the saved customised view for the Task Details tab will be displayed.

3

Serial Number

This is created automatically.

4

Project ID

The project to which the task belongs to. Automatically selected when task is created from WBS.

5

Cumulated Quantity

Cumulated quantity is the total achieved quantity with respect to a task.

6

Scheduled Status

Status of the task, whether task is in scheduled status or un-scheduled status is displayed here.

If any of the child task is scheduled, summary get scheduled status. If any of the child task is Work In Progress, summary task will also be work in progress. For Task Completion all the Child tasks has to be completed for the completion of the summary task.

7

Task UOM

Task UOM denotes unit of the quantity of work that is being handled in the leaf or deliverable or activity level.

This value defined in UOM master is populated here. You can also select the values from a drop-down list.

8

Progress Captured As

Within the same project, certain activities are monitored for the actual quantity gained whereas certain activities are monitored for the actual percentage progress. The following example will provide a better understanding of this facility.

For Example: Consider an activity called Cathodic protection of pipeline. Cathodic protection needs to be done for a 50 km long pipeline. Even though there is a quantity of 50 km associated with it, when the plan is set for this activity, it is set as 100% and not 50 km. . So when the actuals are captured for this activity, it has to be captured in terms of percentage.

In the same project, there is another activity called Cable Laying. Cable laying needs to be done for the whole length of 50 km. The plan for this activity is defined in terms of km and the actuals also need to be captured in terms of km.

Therefore, in order to handle such scenarios, there should be an option in the task to specify whether the actuals need to be captured in terms of quantity or percentage.

In procurement scenarios, some items are procured as lots instead of a single purchase. Cement, steel, pipes are examples of such items. The reason for being procured as lots is that, their requirement will be spread over a longer time, so it is economically not viable for contractors to stock the complete material. This means some of the activities occur as a single event but other occurs at different intervals. To handle this progress of rule has to be captured by updating the progress of a rule by updating date against the rule or by updating quantity against the rule using hybrid rules. The actuals updated are created as a sub rule under each rule.

In the drop-down list next to Progress Captured As select an option between Percentage, Date, Quantity and Hybrid.

9

Progress Contribution towards

The progress of a task can contribute to Actual progress, Planned progress or both.

Select the type of task to which the progress of this task will contribute from a drop-down list.

The following options can be selected.

Planned: If value “Planned” is selected, then the task will have contribution towards planned progress only. Meaning, the budgeted duration of this task is taken up for calculating the planned progress.

Actual: If value “Actual” is selected then the task has contribution towards actual progress only.

Planned and Actual: This is selected by default. If value “Planned and Actual” is selected, then the task has contribution to both planned progress as well as actual progress. This is mainly meant for the engineering and procurement tasks.

10

As Built Quantity

As Built Quantity denotes the total quantity of a package or task when it got completed. This is only for an information purpose and can be used in reports.

Enter a value for this field.

11

Contribution towards package

Progress of this task will contribute to the progress of the package by a certain amount. Enter the progress percentage that the package will achieve on completion of this task.

12

Contribution to Project

Progress of this task will contribute to the progress of the project by a certain amount. Enter the progress percentage that the project will achieve on completion of this task.

13

Task Revision

System updates Task Revision Number automatically. Each time a Task is revised the Task Revision Number gets incremented.

14

Task Code

This field is used for integration with other applications like MS Project.

15

Task Status

Task status for that Task will be displayed by default Task statuses are Unscheduled, Scheduled, Work in Progress, Issued, Completed.

16

Task Priority

Enter the priority of the task as medium, low or high.

17

Percentage of Completion

System updates the percentage of completion automatically captured based on workflow or Rule Of Credit progress of the task. While creating tasks which have already gained progress, user can modify this field.

18

Budgeted Duration

The estimated man-hrs for completing the particular task.

19

Budgeted Cost

The estimated cost for the particular task.

20

Customer Weightage

You can enter the weightage factor of the Task which highlights how important this is from the customer's point of view. For Example: Enter a value 90 for a high priority Task.

21

Milestone Task

You can select the box if the Task is a milestone Task and clear if it is otherwise. Tasks that marks completion of a major phase of project can be marked as "Milestone" Tasks so that the Task gets due attention when looking at WBS.

22

Customer Schedule

Tasks that requires interaction with customer (may be for approvals, inspections etc.) can be flagged so that such Tasks can easily be identified.

23

WBS Level Code

This field is auto-created by the System. This is applicable only for WBS Level Code.

24

Parent WBS Level Code

Click the browse button to assign value for this field. This property is applicable for leaf level Tasks and summary tasks.

25

Restrict Weightages in Child WBS Level

Select between Yes and No.

If selected “Yes”, then weightage cannot be assigned to the child WBS Levels.

If selected “No”, then weightage can be assigned to the child WBS Levels.

This property is only applicable for WBS Levels.

26

Checklist

Checklists are a set of conditions that can be assigned to either a document,task, CN, CR or a workflow. It can be used to ensure whether a particular object has gone through the required processes. If a checklist has been assigned to a task then it will be complete only after all the conditions have been checked.

For more details on Checklist refer Control Panel>>Masters>>Checklist in the administrator's manual.

Document Details

Document related properties mentioned in the following table are available under this group.

#

Item

Description

1

Document Genealogy

Click the ellipse button next to "Document Genealogy" to choose a document level from the master list. Select this option only if the Task is a Document Task and also note that documents can be added only to the leaf levels ie, to the child levels. Also note that document Tasks cannot have Sub-tasks attached to it.

The following discussions will be of importance when a task is created.

  • While creating a task, if the genealogy linked to the task has a document genealogy reserved and the document genealogy has a template linked to it, then that template is automatically assigned to the task as a document.
  • When the template is added as a document to the task document number reserved in the task is assigned to the template. If the document number is not reserved in the task, then template addition is not carried out.
  • If the document number reserved in the task already exists in wrench then it is not possible to add a template. A warning message indicating the presence of the same document number is displayed. You can link the template to the task

NOTE: It is possible to create a document task without defining a document genealogy.

2

Document Task

Specify if the task is a Document task or Non Document Task.

Document tasks are defined for governing the process of creation and release of design documents (Such Tasks can be flagged as "Document task".

The other type of Tasks ("Is Document task" option is un-checked) are termed as "Non-Document tasks" where the Task is not related to a specific document (though documents may be involved).

This is not applicable to WBS Levels.

3

Document Number

The document number defined here is preserved by the system. Once a document number is preserved the same document number is assigned to documents attached to the main task. Enter a document number or click the browse button to generate a number from the Document Number Generation window.

This is not applicable to WBS Levels.

4

Sheet Number

A sheet number can be specified. The sheet number field is enabled only if a document number is specified. The sheet number is also preserved.

5

Client Document Number

The Document Number specified by the client. Either enter a number or click the browse button to generate a number from the Document Number Generator window displayed. For more details refer Generating a Client Document Number .

This is not applicable to WBS Levels.

6

Vendor Document Number

The Document Number as specified by the Vendor. Either enter a number of click the browse button to generate a number from the Document Number Generator window. User is provided with an option to generate a new number or reuse a deleted number.

If a duplicate vendor document number exists in the WBS for a different task, the user is alerted. Clicking show details displays the Help window. The window displays the tasks which have the same vendor document number assigned. On clicking "Yes" the specified number is assigned.

This is not applicable to WBS Levels.

7

Approval Requirement Code

Select the ARC Description. Approval Requirement Code is the level of approval or Purpose (for information, for approval, for review etc) for which the Task is being submitted to the client.

This is not applicable to WBS Levels.

Origin Details

Details related to the origin of the document mentioned in the following table will be available here.

# | Item | Description
1 | Origin Type | Click the ellipse button corresponding to "Origin Type" to choose origin of the Task. The origin types available are "Internal", "Customer", "Vendor" etc. The purpose of this data is to define the source of the document that will be eventually attached to the Task.
2 | Origin Name | Click the ellipse button next to "Origin Name" to choose an origin name corresponding to the Origin type selected.

Area Details

Here you can assign areas defined in the project to the task. An area is assigned if progress measurement is captured based on the progress of the Area. If an area is assigned to a task Area Details mentioned in the following table is displayed here.

# | Item | Description
1 | Area Code | An Area code for the particular Task is selected from the list of Project Areas specified ( if any).
2 | Area Description | Area Description corresponding to the area selected is displayed here.

System Details

If any system is assigned to the project, system details mentioned in the following table is displayed here.

# | Item | Description
1 | System Code | The material (part) group code. This defines the group of deliverable equipment or component that is assigned to the project. You need to select one from this list for this Task. This is not applicable to WBS Levels.
2 | System Description | The description of the system is displayed here. This is not applicable to WBS Levels.
3 | System Identifier | The system Identifier is displayed here.
4 | Unit of Measurement | The unit of measure (UOM) specified for the system.
5 | Quantity | The quantity specified for the system is displayed here.
6 | Part Number | The part number specified for the System is displayed here.
7 | Part Description | The part description of the part is displayed.

Budgets

Entire information about budget mentioned in the following table is captured and displayed here.

# | Item | Description
1 | Forecast Cost | Forecasted cost required to complete the task. This is entered by the user.
2 | Forecast Duration | Forecasted duration required to complete the task. This is entered by the user.
3 | Forecast Quantity | Forecasted quantity. This is entered by the user.
4 | Actual Cost | Actual cost for completing the task. This is entered by user. For WBS Levels this is total of all sub tasks.
5 | Actual Duration | Actual duration for completing the task. This is entered by the user or is captured from the time sheet entry for the task. For WBS Levels this is total of all sub tasks.
6 | Actual Quantity | Value for this field is entered by user or is captured from Rule of Credit for quantity. For WBS Levels this is total of all sub tasks.
7 | Budgeted Cost | Estimated cost to complete the task in the currency defined at project level. Value is entered by user.
8 | Budgeted Duration | Estimated time in hours required to complete the task. Value is entered by user.
9 | Budgeted Quantity | This is the estimated quantity and is entered by the user.
10 | Remaining Quantity | While updating the Quantities for Construction Tasks, it is required to see the ‘Remaining Quantity’ so that user gets a complete insight on Activity status. This field is not editable.
11 | Task UOM | Unit of Measurement for the task. Value is selected by the user.

NOTE: Also the custom properties defined for the selected task genealogy through Genealogy >> Task >> Properties will be displayed.

Generating a Document Number

Enter a number or click the browse button to generate a number from the Document Number Generator window displayed in the following figure. The templates defined in the project properties windows are available here.

Figure: Document Number Generator

Select a template and click "Ok." Generate Number window is displayed. User is provided with an option to generate a new number or reuse a deleted number. Provide appropriate values in the number generation window.

If a duplicate client document number exists in the WBS for a different task, the user is alerted. Clicking show details displays the Help window. The window displays the tasks which have the same client document number assigned. On clicking "Yes" the specified number is assigned.

Changing properties in Task details tab

The following properties may be edited in the task properties window by a user with "Edit WBS" rights and "Edit" permission in the task genealogy. This is possible without revising the task.

  • Task Genealogy
  • Document Genealogy
  • Document Number
  • Client Document Number
  • Vendor Document Number
  • Sheet Number

Once the task genealogy is changed newly added tasks are added to the present genealogy. Entire genealogy properties of the newly assigned genealogy are inherited by the newly added task. Only a user with "Add" permission in the newly selected task genealogy can perform this operation.

On changing a task genealogy system returns a warning message, whether the default properties of the new genealogy is to be inherited. On selecting "No" the newly selected genealogy is displayed without applying the custom properties.

While assigning a new genealogy to a task you can take into consideration the following discussions.

  1. If some of the default properties of the newly selected genealogies are not applied a warning message is displayed. You can select the "Show Details" button on the dialog box to view the details.
  2. If the workflow assigned to a task prior to changing the genealogy have already started and is different from the workflow of the newly assigned genealogy, flush the earlier workflow and start the new workflow.
  3. While assigning a genealogy which has "Document Task" option selected in default properties and if objects other than documents are linked to this task, the objects linked to the task other than documents are to be removed.
  4. Default document genealogy assigned to the new task genealogy is not applicable if documents are linked to the task prior to changing the genealogy.


Schedules

A schedule is a list of planned activities or things to be done showing the time or dates when they are intended to happen or be done. The project schedule includes all elements of the project from the pre-planning stages of the project through all ongoing project processes that may take place during the active project period, to any and all project related process that may occur at the conclusion and or closing stages of the project.

Scheduling a task is freezing the schedule dates of the task. A proper scheduling of the tasks are required for the timely completion of a project. Once a task is scheduled the project manager monitors the task to ensure that the activities are carried out as per the schedule defined. Various dates related to the task are defined here. These are explained in the following sections.

Figure: Schedule tab of Task Properties window

NOTE: In the case of leaf level tasks, option Edit Schedule Dates does not have any relevance, since editing of schedule dates is possible.

#

Item

Description

1

Planned Start Date and Planned Finish Date

You can specify a planned start date and planned finish date.

NOTE: First minute of the work day as per calendar is captured as start time. Last minute of the work day as per calendar is captured as finish date.

2

Forecasted Start Date and Forecasted Finish Date

Once an approximate duration of a task is estimated, a forecasted start date and forecasted end date can be specified. By default system assigns current date as the schedule start and schedule end date. You can enter the forecasted start and forecasted end date accordingly. The reports submitted to the client are based on the forecasted date. On scheduling the task these dates are freezed and are only editable when the task is revised. Forecasted start date should be greater than the project start and Forecasted end date should always be less than the project end date. To schedule a sub task main task need not to be scheduled.

NOTE: First minute of the work day as per calendar is captured as start time. Last minute of the work day as per calendar is captured as finish date.

3

Actual Start date

System automatically updates this field when the Task is actually initiated. You can also manually update this date. Here the local time at which the task was scheduled is displayed.

4

Actual Finish date

System automatically updates this field when the Task is actually completed. You can also manually update this date. Here local time at which the task was completed is displayed.

Apart from the above mentioned details, on clicking Show Advanced Details hyperlink, the schedule details row will be shown with the following details.

# | Item | Description
1 | Internal Start Date and Internal Finish Date | Every organization has an internal plan. Internal date is the dates on which the task has started internally. Internal start and end dates need not be necessarily schedule start and end dates. By default system assigns current date as internal start date and end date. Internal start date can also be less the project start date.
2 | Constraint Start Date and Constraint Finish Date | A project manager defines a constraint for the summary tasks created by him. If any of the sub tasks are found violating the constraints set on their summaries, a warning is displayed the summary task and the sub task which violated the constraint. For a task in WBS constraint start and end period can be assigned. These dates define the basic constraint period. You may set the current "Scheduled Start" and "Scheduled Finish" to "Constraint Start" and "Constraint Finish" respectively For more information on how to create, remove or resolve constraints: Refer the section ' Constraint Start and Constraint Finish for Tasks'
3 | Constraint Created by | The name of the user who defined the constraint is displayed here.
4 | Document Created On | The date on which the document was created is displayed here.
5 | Actual Start Date (Auto Captured) | System automatically updates the actual date of the task initiation.
6 | Actual Finish Date (Auto Captured) | System automatically updates the actual date of task completion.

NOTE: Planned/ Forecast dates in ROC should be within the Start/Finish dates of the task. Also none of the actual completion date specified in ROC shall exceed the actual finish date of the task.

You may also edit the rule details set through Project module for the task defined in that Project. You can select the Rule Set from the existing rule set defined for the project, by clicking the down arrow next to the 'Select a Rule Set' box. You can enter the following rule details displayed in the grid.

# | Item | Description
1 | Rule Name | Name of the rule defined for the task.
2 | Percentage | Percentage on completion of the rule defined is displayed.
3 | Planned Finish date | You can enter a planned finish date.
4 | Forecasted Finish Date | You can specify the forecasted finish date. Forecasted finish date should always be less than the project finish date.
5 | Actual Finish date | System automatically updates this field when the Task is actually completed. You can also manually update this date.

Apart from the above mentioned details, on clicking Show Rule Criteria hyperlink, the rule details row will be shown with the following details.

# | Item | Description
1 | Stage Name | Stage name for the rule selected is displayed.
2 | Life Cycle Status (LCS) | Life cycle status for the rule selected is displayed.
3 | Approval Status Code (ASC) | Approval status code for the rule selected is displayed.
4 | Internal Status Code (ISC) | Internal status code for the rule selected is displayed.
5 | Revision No | Revision number of the document set for the task is displayed.

Adding an existing Rule Set to a Task

    1. Click the down arrow displayed next to Select a Rule Set box.
    2. You can select from the existing the rule set defined for the project.

Adding a Rule manually to a task

Apart from the rule sets defined for a specific project you can add additional rules to a task.

    1. Click Add Manual Rule option from the Rule of Credit left navigation bar.
    2. On selecting Add Manual Rule option, a Manual Rule header will be created, and under that you can add rule sets for the task to be defined.

Figure: Adding a Rule manually

Removing a rule manually

    1. Click Remove Manual Rule option from the Rule of Credit left navigation bar, to remove the selected rule set for the task.
    2. Click “OK" to save schedule details.

NOTE: You can select multiple rules and delete them.

Manually Entering actual dates for Rule of Credit when task in Work in progress

Rule of credits are defined and linked to tasks for monitoring the progress of deliverables. And based on the rules achieved, actual dates are captured automatically. You can also manually enter the actual dates for the rules defined for the tasks, even if the tasks are in work in progress. This manual update can be done from Individual Task, Multiple Tasks - Show Details window, Rule of Credit Pivot View and Bulk Import.

a. To manually enter actual dates for rules for Individual task

  1. Open the WBS, for which you want to manually enter the actual dates of rule sets.
  2. Select the task for which the dates are to be entered.
  3. Double-click on the task and Task Properties window is displayed.
  4. Select the Schedules tab and enter the actual dates for rule set defined.
  5. Click Ok to save the manually entered dates.

b. To manually enter actual dates for rules by selecting multiple tasks

  1. Open the WBS, for which you want to manually enter the actual dates of rule sets.
  2. Select multiple tasks which are in same status and same rule sets defined.
  3. Right-click on the tasks and select Show Details.
  4. Task Properties window is displayed.

Figure: Task Properties window

  4. Select the Schedules tab and enter the actual finish dates for rule set defined.
  5. Click Ok to save the manually entered dates.

c. To manually enter actual dates for rules from Rule of Credit Pivot View

  1. Open the WBS, for which you want to manually enter the actual dates of rule sets.
  2. Select Rule of Credit Pivot View, from View tab under View option.
  3. Rule of Credit Pivot View for the selected WBS is displayed.

Figure: Rule of Credit Pivot View

  4. Enter the actual finish dates for rules defined.

d. While Bulk importing tasks to WBS, you can define the actual dates for the rules in MS Excel and can import it to the WBS.

Adding interim Manual Rules

When you achieves one rule of credit and heading to achieve the next rule of credit stage, you might enter and update the progress percentage in between these rule of credits. An interim stage can be defined as a manual rule in order to show the percentage completion as to the actual completion date.

    1. Click 'Update Interim Percentage' option from the Rule of Credit left navigation bar, to add an interim stage in between the rule of credit achieved and the next rule of credit to be achieved. The Update Interim Percentage window will be displayed.

Figure: Update Interim Percentage window

    2. Enter the percentage of interim stage to be defined as a manual rule. You can enter only a percentage value which falls in between the achieved rule of credit and the next rule of credit to be achieved.
    3. Actual finish date is displayed on which the percentage is updating.
    4. Click ‘Add Rule’ to add an interim stage as a manual rule with the percentage and actual finish date entered.

Capturing progress percentage and actual dates based on workflow rules

Progress Percentage and Actual dates for Workflow based rule sets are captured based on the workflow of the task. Sometimes the task will not have a workflow but the linked document will have workflow. In such cases Percentage and Actual dates for Workflow based rule would be captured based on the documents workflow that is linked to task.

Workflow based rule sets first check if the corresponding task has a workflow. If not it checks if the linked document has a workflow and update the actual dates and progress.

NOTE: Workflow based rules are those having “Workflow Team”, “Workflow stage”, “Workflow stage mode” in its rule details .

Figure: Workflow based rule set

See also:

Creating a Task


Resources

Resources are specifically the people who are allocated to the respective project or to the particular work element within the project, and whose time can be allocated accordingly. Identifying and assigning proper resources for a task is very important. The overall progress of a task depends on the effort of the resources assigned to the task. Wrench classifies the resources into two.

  • Task Resources: Task resources are resources readily available for a task selected from various departments in the organization. A task duration can be defined for each resource. The total of the task duration of each resource is displayed as budgeted duration.
  • Task Access Resources: Task access resources are those with "Edit WBS permission." Task access resources are assigned while creating a new project. Only the task access resources are able to edit the WBS.

Resources for the particular Task will be assigned here. If Task Access Resources are defined, only those resources will be able to edit the particular Task.

Figure: WBS Resources

Adding Resources to a Task

  1. Select the Task and right-click to avail of the WBS options menu and select the Resource tab.
  2. Two levels of users are assigned for a particular Task. The Task Resources can be any user in the department while it is a requisite in WRENCH that Task Access Users are those that have been assigned from the Projects interface who have Edit WBS privileges.
  3. Select 'Users' under Task Resources to update the Task resource list. If a resource is assigned under Task Resource but is not selected in the Project module the resource will be not be considered.
  4. Select 'Users' under Task Access Users to update the Task Access Users list.
  5. Once a user is selected click "Apply" to save the changes and the position that is specified for that resource in the project module will be displayed by the system.
  6. Click the "Duration" field and manually enter the expected man hours required. All the man hours of the resources will be added and displayed in the Budgeted Man hour field under General.
  7. Click the "Duration" field and manually enter the expected man hours required . All the man hours of the resources will be added and displayed in the Budgeted Man hour field under General.

NOTE: If Task Access resources are assigned for a task, only those resources are able to edit that particular task. Else all those resources who have " Edit WBS" permission in the Project and " Manage" permission in WBS module can edit tasks in that WBS.


Relationship

In majority of the projects dependencies exists between tasks.

A task can be linked to a predecessor task or a successor task. A task that need to be completed prior to the starting of another task is referred to as a Predecessor task. A successor task is one that cannot start until its predecessor(s) are completed.

The task details imported from MS Project are displayed here. The following columns are displayed in the grid.

#

Item

Description

1

Task Code

The code assigned to the task in Wrench is displayed here.

2

Task Name

The task name assigned in Wrench is displayed here.

3

Type

Values defined in MS Project are inherited and displayed here. The following types are displayed.

  • Finish to Start (FS): Finish of a task results in the start of the dependant task.
  • Start to Start (SS): Commencement of a task results in the starting of the dependant task.
  • Finish to Finish (FF): Completion of a task results in the completion of the dependant task.
  • Start to Finish (SF): Commencement of task results in the completion of the dependant task.

4

Lag

Lag period as defined in MS Project is displayed here. Lag period is the delay between two tasks that have a relationship. For Example: If a task is to be started two days after the completion of the dependant task, the lag period is specified as 2.

On double-clicking a task entry the corresponding task details are displayed.


Related Item

Various items can be linked or referred to a task. Items includes documents, correspondences, tasks, action points, part and BOM.

You can add Documents, Tasks, Action items, Part or/and BOM to the selected Task. These related items can either be linked or referred to the task. For Documents and Tasks there is provision to link or refer single or multiple items. If there are any attachments made to the documents they are indicated by legends. Attachments includes specter files, comment files, client comments, squad check comments or external reference files.

NOTE: While adding documents to the task, if document number, client document number and vendor document number are already defined in the task details tab window, the system automatically assigns the corresponding details to the document. These fields remains non-editable. Each time a document is added define a different sheet number - document number combinations.

For more details refer to "How to Attach a Document/Task/Action Points to a Task."

Active Stage User with appropriate rights can delete a document attached to a task.

  1. In order to delete a document, select the document listed in the related item tab.
  2. In the right-click menu select "Delete."

Figure: Delete Single Document from Related Item tab

  3. A dialog box is displayed warning the user about the implications of removing the document.

Figure: Warning dialog box

  4. In the dialog box click “Show Details” to retrieve a list of objects, to which the document is connected.

Figure: Document where used list

  5. Click “Yes” to continue with the operation.
  6. If the document has a work flow attached to it, flush the work flow prior to deleting the document.

Releasing a document

In the task properties window Related Items tab, you can select a document and release the document. Release option is available in the right-click menu.

To release a document

  1. In the related items tab select a document that you want to release and right-click.

  2. In the right-click menu click Release.

The document is released.

Dragging multiple outlook mails to a task

You can select multiple mails from outlook and drag it to a task. The mails can be added as a task document or mail attachment can be added as a task.

To drag outlook mails

  1. Open the task and select Related Item tab
  2. Select the mails from MS Outlook window and drag them to the Related Item grid

Figure: Dragging outlook mails

  3. Microsoft Outlook dialog box is displayed

  4. In this dialog box select Allow
  5. Add Email to Wrench window is displayed. Here options are provided to add the mail as a task document and add email attachment to task.
  6. Add Email as Task Document is selected by default. On selecting Ok, the mail is added as a document to the task

Figure: Adding E-mail as Task Document

To add mail attachments to task

  1. In the Add Email to Wrench window select the radio button next to Add Email's Attachment (s) to tasks.

Figure: Adding E-mail's attachments to tasks

  2. You can select the mail attachments which are to be added to the task.
  3. You can also select whether the attachments are to be linked or referred to the task.

Once the emails are added to the task it is displayed in the Related Items grid area.


Related Files

In construction projects, the site photographs need to be attached to the construction task to show the progress. User needs to provide the metadata (document number, sheet number etc.) which is not recommended for attaching the site photographs. Files like site photographs can be added as related files without any mandatory metadata .

To add related files

  1. In the task properties window, select the tab Related Files

Figure: Adding Related Files

  2. Click Add. Related File window is displayed.

  3. Click the option Click Here to Select files to select the related file.
  4. Click the browse button next to Purpose to select the attachment purpose.
  5. After selecting the files click OK.

Selected related file will be displayed in the grid.

The following operations can be carried out in the right-click menu after selecting the related file.

Download: Click this option to download the related file.

View: Click this option to view the related file.

Replace: Click this option to replace the related file with a different related file.

Delete: Click this option to remove the related file.


Action Item

Linking an Action Item to a Task

Action item refers to the list of steps to be done to resolve an issue during a MOM. User can add an Action Item to a Task. This option is enabled if the corresponding Project has a MOM assigned.

To Add an Action Item

  1. Select the Action Item tab.
  2. In the right-click menu in the grid select "Attach."

Figure: Task Properties - Action Item

  3. "Relate Action Item To Task" properties box is displayed.

Figure: Relate Action Item to Task

Progress of Task: Select the following options from a drop-down list.

  1. Do not block progress and closure: This option appears selected by default. On selecting this option even though the actionee does not perform close routing, the current stage user of the task will be able to Route, Complete and Close Route the object.
  2. Do not block progress but block closure: On selecting this option Route, Complete and Close Route operations are not possible for the current stage user, until the actionee who received the action item performs close routing.
  3. Block Progress and closure: On selecting this option only "Route" operation is possible for the current stage user, unless the users who received the object performs close routing.

Type of Action Item: While attaching an action item to a task, select between the options New and From Existing Minutes of Meeting.

  • New: On selecting "New", "MOM Point" window is displayed. Specify appropriate entries and "Add" required action items.

Figure: MOM Points window

The selected action items and their details are displayed in the grid.

Figure: Task Properties - Action Items

  • From Existing Minutes of Meeting: Select this option and click "Select", "Search MOM" window is displayed.

Figure: Search MOM window

  1. Select a MOM from the list and click "Select" in the tool bar. Action Items window is displayed.
  2. Select the required items from the list.
  3. Selected items and their details are displayed in the grid.
  4. From the right-click menu in the grid select "Delete" to remove an action item. An action item related to a released MOM cannot be deleted.
  5. From the right-click menu select "View." MOM Points window is displayed. Edit the values and click "Update" to save changes.


Old Task Revisions

Old Task Revisions

This shows the earlier revisions of the Tasks. The field " Objects for Old Revisions" will display the objects in the earlier revisions for the particular task.

Figure: Old Task Revisions


Workflow

Workflow Tab

A workflow that is to be assigned to the task can be specified here. A task from its creation to completion goes through various processes. These processes are defined in a workflow and this workflow is assigned to the task. By monitoring the different stages in the workflow the project manager is kept informed of the latest status of the task.

NOTE: Workflows can be assigned to WBS Levels so that it can be inherited to the child tasks but it cannot be started on WBS Levels.

  1. Click the browse button to select Work flow Team for the particular Task. A preview of the selected workflow is displayed.

Figure: Workflow Tab

NOTE: If a document with a workflow is attached to a task without a workflow, when the Workflow tab is selected the workflow attached to the document is displayed here.


Remarks

Remarks

Remarks are a short additional piece of information or an explanation about the task. This might be useful for future references.

  • Click the Remarks tab and update the details, if any.

Figure: Remarks tab


Correspondence

Correspondence

Once a task is scheduled a lot of communications takes place between the client and the vendors. These communications might be in the form of letters, faxes and emails. All these are added to the correspondence area. These communications can be used as references

All the correspondences related to a specific Task will be added here.

You can also drag and drop attachments in the outlook mail into the correspondence tab.

For more information on Adding Correspondence refer to Adding a Correspondence.

Fetching Mails

Wrench fetches Project-related correspondences from the MS Outlook, based on the Incoming/Outgoing Mail Id (s) configured for a specific Project.

Fetch mail operation is also possible from the correspondence tab in the task properties window.

Figure: Fetch Mail

For more information on fetch mail operations refer to Projects>>Creating a New Project>>Fetch Mail Operations

Operations from the Correspondence tab

You can perform different operations from the right-click menu of the correspondence tab. Of these important operations are mentioned in the following table.

#

Item

Description

1

View

Select this option to view the correspondence

2

Show Details

On selecting this option, document details window is displayed with the correspondence details section expanded by default

3

Add

Select this option to add single or multiple correspondences. On selecting this option the following menu is displayed

For more information on adding single and multiple correspondence refer Adding Single Correspondences and Adding Multiple Correspondences .

Refer Existing Correspondence: Correspondences already added to Wrench earlercan be referred to a task.

To refer a correspondence

  1. In the menu click Refer Existing Correspondence

Document Search window is displayed

  2. In the document search window enter your search criteria, and carry out a search
  3. In the search result window choose the correspondence you want to add and click Select in the tool bar.

Selected correspondence would be now added as a referred correspondence in this task.

4

Check Out

Select this option to check out the correspondence for editing.

5

Check In

Select this option to check in the correspondence after editing.

6

Add Reply

Select this option to add a reply to a correspondence. For more information on adding replies refer Adding Reply to a Correspondence Document .

7

Copy Out

Select this option to copy out the correspondence to a specific location in your system.

8

Detach

Select this option to remove the chosen correspondence from the task, but the correspondence will not be removed from Wrench.

9

Delete

Select this option to permanently delete the correspondence from Wrench.

10

Update Document Details

Refer Update Document Details in the following section for more information.

11

Set Notification

Select this option to define notifications for a correspondence.

12

Set Group Caption

Select this option to define a heading for correspondence of same group.

For Example: I have a set of correspondences related to procurement. Now I need all these correspondences to be grouped under the heading Procurement.

To define a group caption

  1. Select the group and in the right-click menu choose Set Group Caption.
  2. In the Group Caption dialog box enter the group name as Procurement as shown in the following figure.
  3. Click OK.

The title of the group will now be Procurement.

Update Document Details

Update the properties assigned to the correspondences added to a selected task.

In order to perform this select multiple correspondences from a list of correspondences and in the right-click menu select "Update Document Details".

For more information on updating document details refer to Document Search>>Operations Possible in Document Search.

This above operation can also be performed on the documents added under Related Items

Dragging MS Outlook mails to the correspondence tab

You can drag Outlook mails to the correspondence tab of the task and add them as correspondence document.

To add MS Outlook mails to correspondence tab in task properties window

  1. Select the mail from MS Outlook.
  2. Drag the mail to the correspondence tab.
  3. MS Office Outlook dialog box is displayed.
  4. In the dialog box select the check box next to Allow access for. Select a time interval for accessing MS Outlook information.
  5. Click Allow.

Different Mail Options are displayed.

Figure: Mail Options

  6. Select the radio button next to an option and click OK.

Once the mail details are fetched Add Document window is displayed as in the following figure.

  7. Select Ok. The outlook mail is added as a correspondence document.


Task Hierarchy

Task Hierarchy

You can view the hierarchy of the selected Task here i.e. the hierarchy from the root task to the current task.

Figure: Task Hierarchy Tab


Timeline

Timeline tab

An S-curve graph is displayed showing the time line progress of a task. Following is a sample timeline generated for a task selected.

Figure: Timeline tab

The X-axis of the graph is plotted with time.

The starting date of the graph will be the lowest date among Planned Start date, Forecasted Start date and Actual Start date defined for a task. And the finishing date of the graph will be the highest date among Planned Finish date, Forecasted Finish date and Actual Finish date defined for a task.

The Y-axis of the graph is plotted with Percentage Progress, ranging from 0 to 100.

Choose Show Label to show the labels at each point in the timeline.

TIP: Each point in the S curve displays each milestone. If you keeps the mouse pointer in each point, the percentage and date of the corresponding milestone will be displayed.

NOTE: If there are no milestones defined, the graph will be a straight line.


Operations Log

A log of entire operations carried out on a task is displayed here. This helps in tracking different operations carried out on a task and the user who carried out this task. Any undesirable operations can be tracked using this log. Operations carried out on documents attached to a task is not listed here.

Figure: Operations Log

The following details are displayed in the Operations Log tab

Log Date: Date on which the operation was carried out

Operation Description: A short description of the operation that was carried out

User Name: Name of the user who performed this operation


Scheduling and Starting a Task

After entering the mandatory task properties the next step is to schedule the task and start the workflow. The following section explains the procedure in scheduling and starting a task.

To | See
Schedule a Task | Scheduling a Task
Start a Task | Starting a Task


Scheduling a Task

Scheduling a task

Scheduling a task is freezing the schedule dates of the task. A proper scheduling of the tasks is required for the timely completion of a project. Once a task is scheduled, the project manager monitors the task to ensure that the activities are carried out as per the schedule defined.

You can schedule a tasks from the task properties window and WBS.

To schedule a task from the WBS

  1. Open your WBS.
  2. In the WBS select a task and right-click.
  3. In the right-click menu select Schedule Options>>Schedule.

Figure: Scheduling a task from the right-click menu

The task is scheduled successfully.

To schedule a task from the task details window

  1. In the task details window under Task options select Schedule.

Figure: Scheduling a task from the task details window

  2. The selected task will be scheduled successfully.

In addition you can also schedule a task from the tool bar in WBS.

Figure: Scheduling a task from the tool bar

Once the task is scheduled the next step is to start the workflow.

NOTE: It is possible to start the workflow for a task without scheduling the task. This is possible by enabling a setting in the Control Panel>>General.


Starting a Task

Starting the workflow

Starting the workflow is the process of sending the work to the concerned resources. The work is send through workflow. Similar to scheduling a task you can start a workflow from the WBS right-click menu, task details window and the WBS tool bar.

To start the workflow

  1. Choose the task from the WBS and in the right-click menu select Schedule Options>>Start Workflow.

Figure: Scheduling a task from the WBS

  2. 'Assign Workflow' window is displayed. User adding the document is selected as the first stage resource by default.

Figure: Assign Workflow window

  3. Click the browse button next to Workflow team to assign a workflow. If a workflow is assigned to a genealogy, it is displayed here. The workflow assigned to the genealogy can be changed.
  4. In addition it is possible to add resources to each stage of a workflow and remove resources. Click the browse button next to Resources grid to add resources or remove resources.
  5. Click OK to continue.

The task will be sent successfully to the stage resource.

NOTE: On selecting the option Bypass on start workflow the first stage of the workflow is skipped and the next stage is selected.


Task Operations

Wrench Enterprise provides the facility for various task operations.

Navigation Table

To | See
Attach a Document, Task and Action Item | Attaching a Document, Task and Action Item
Attach Workflow to a Task | Attaching Workflow to a Task
Attach a Part or BOM to a Task | Attaching a Part or BOM to a Task
Update Task properties | Updating Task properties
Carry out operations from task properties navigation bar | Operations from Task properties window
View Task and Document details | Viewing task and document details


Attaching a Document,Task and Action Item

Related Objects like tasks, documents and action items may be added to a task. An object can be attached to a Task only if the Task is scheduled. Further a Document Task cannot have an action item attached to it but a non- Document Task can have an action item attached to it.

Navigation Table

To | See
Attach a task, document or action point | Related Objects
Add single or multiple documents to a task | Adding Single or Multiple Documents to an Object
Link single or multiple tasks | Linking single or multiple tasks to a selected task
Refer documents to completed tasks | Referring documents to completed tasks
Define Constraints for linked tasks | Setting constraints for linked tasks
Link an action item | Linking an Action Item to a task
Add Correspondence documents | Correspondence
View Old Task Revision | Old Task Revision
View Relationship between tasks | Relationships
Start Workflow | Starting Workflow

Related Objects

You can attach a Task, Document and Correspondence document to a Task.

To add related objects

  1. From the WBS window, double-click the task for which the user want to relate an object. The Task properties window is displayed which contains Related Items, Relationship, Old Task Revisions, etc.
  2. Select Related Item tab.
  3. Right-click and select Add

Figure: Task Properties Window

Or

  4. From the WBS window, right-click the Task to get the WBS menu and click Add related item.

Figure: WBS Right-Click Menu

NOTE : You can also select Add Related Item from the task properties window navigation bar or select Add Related Item button in the Related Item tab.

  5. The Related Items to Task window is displayed.

Figure: Related Items to Task window

  6. Here, you can add the object (Document, Part, Bill Of Material (BOM) and Task) to Task. For more information on carrying out these operations you can navigate to the corresponding sections using the following table.

NOTE: If there are any reference documents attached to the related objects they are displayed here as shown in the following figure.

Navigation Table

To | See
Add documents to a task | Adding Documents to a Task
Link a task to a task | Linking a Task to a Task
Link an action item to a task | Linking an Action Item to a Task

NOTE: An object, Document, Task or action point could be attached to a Task only if the Task is scheduled. Only those users who have "Edit WBS" privileges can perform this function. Documents with workflow cannot be attached to tasks with workflow. If the task is already having a workflow, the linked documents will follow the task workflow, while referred Documents can have an independent workflow i.e. Documents having an active work flow can only be referred to Tasks with work flow.

Adding Single or Multiple Documents to a Task

Business Scenario: On the commencement of a project a set of deliverables are defined and the Planning Manager maintains a list of this deliverables. The Planning manager provides the document controller with the list of deliverables for the Project. This list of deliverables is called MDL or Master list of drawings. This set of deliverables is transferred in bulk to the WBS. Respective tasks are created in the WBS, task properties are assigned, tasks are scheduled. Now the document controller needs to attach sketches and reference documents to these tasks prior to sending it. The tasks reach the concerned designer. The drawings created by the designer also have to be attached to the task.

In a engineering consulting company the first activity is to create the master list of drawing- called the MDL. This is usually coordinated by the planning engineer in consultation with the project managers and the lead engineers. In Wrench, this MDL is uploaded as WBS tasks for a project. These tasks will have a specific document number, document type and the start and end dates booked for it. The lead then assign resources and start the work in wrench using the assign workflow option. The tasks will be available in the respective designers wrench workspace. The designers adds respective documents to these tasks which is sent through the assigned process flow.

  • Link: Once an object is linked to the Task, the completion of the linked object will determine the completion of the Task.
  • Refer: If an object is referred to a task; its completion status has no impact on the Task completion.
  1. Click Related Objects Tab to avail the 'Relate Object to Task' window
  2. You can either link or refer single/multiple Documents, Tasks, Action Items, Part or BOM to a task.

Figure: Related Item to Task

# | Field | Description
1 | Object Type | Specify the object to be linked to the Task. You can select the object type from a drop-down list.
2 | Relation | Select a relation between Link or Refer. If the option chosen is "Link", the object will be linked to the Task, i.e. the Task will only be completed when all the objects linked to the Task are completed. "Refer" can be opted when the completion status of activities of the Object which is referred to a Task has no impact on the status of the Task
3 | Mode | You can select between New and Existing in Wrench
4 | Weightage | You may enter a value that specifies the relevance of the object specified here
5 | Object | You can specify the number of objects to be attached by selecting between single and multiple
6 | "Select" Button | Click the "Select" button to avail the corresponding window to link or refer the object to the Task

To Link a new Document to a Task

In order to link a new document to a task assign the following values

-Object type - "Document"

-Relation - "Link"

-Mode - "New"

-Object - Single

Figure: Related Item to Task

  1. Click Select to avail the single 'Add Document' window .

Figure: Add Document window

  2. Add the required Document in the 'Add Document' window. If a Document number is specified for the Task, it is displayed in the window.

NOTE: User is restricted from linking objects to tasks that are in issue status and for which an approval code is not specified. An object, Document, Task or action point could be attached to a Task only if the Task is scheduled. Only those users who have "Edit WBS" privileges can perform this function.

For detailed information on how to add a single Document to Wrench, please refer the Creating and Adding a Single Document section in the Documents module

  1. On adding a Document, its path is displayed in the “Object” column of the “Selected Objects” grid
  2. Click Ok to associate the Documents in the “Selected Objects” grid to the specified Task.

NOTE: You can drag documents to a scheduled task and link or refer the document to the task. On dragging a document to a task Related Item To Task dialog box is displayed. In the dialog box the option Existing in Wrench will be disabled. You can follow the steps for adding documents to tasks to continue.

To Link New Multiple Documents to a Task

In order to link a new multiple documents to a task assign the following values

-Object type - "Document"

-Relation - "Link"

-Mode - "New"

-Object - Multiple

  1. Click Select to avail the 'Add Multiple Document' window
  2. Add the required Documents in the 'Add Multiple Document' window. If a Document number is specified for the Task, it is displayed on the 'Add Document' window. For detailed information on how to add multiple Documents in Wrench, please refer the Adding Multiple Documents section in the Documents module
  3. On adding a Document, it is displayed in the “Related Items” column of the Task.

To Refer a New Document to a Task

  • In order to refer new document to a task assign the following values

-Object type - "Document"

-Relation - "Refer"

-Mode - "New"

-Object - "Single""

  1. Click Select to avail the single 'Add Document' window
  2. Add the required Document in the 'Add Document' window. Also specify a work flow for the referred Documents
  3. On adding a Document, it is displayed in the “Related Items” column of the Task
  4. Click Ok.

To Refer New Multiple Documents to a Task

  • In order to refer new document to a task assign the following values

-Object type - "Document"

-Relation - "Refer"

-Mode - "New"

-Object - "Multiple"

  1. Click Select to avail the 'Add Multiple Document' window.
  2. Add the required Document in the 'Add multiple Documents' window. Specify a work flow for the referred Documents.
  3. On adding a Document, it is displayed in the “Related Items” column of the Task.
  4. Click Ok.

NOTE: Multiple Documents that are added can have same or different work flows.

To Link or Refer an existing Single Document in Wrench

  • In order to perform this operation assign the following values in the "Related Item to a Task"

-Object type -Document

-Mode - Existing"

-Relation - "Link" or "Refer"

-Object - Single

  1. Click Select to avail the "Document Search" window
  2. If a Document number has been specified for the Task, it is displayed on the 'Document Search' window as the search criteria. For detailed information on how to search for project-related Documents based on specific Document characteristics, please refer the' Document Search' section in the Documents module

Figure: Document Search Window

  3. Here, select the Document to be added to the Task. Correspondence documents are also included in the search results. Select a single Document from the "Search Results" grid
  4. Click Ok.

To Link or Refer Existing Multiple Documents in Wrench to the Task

  • In order to perform this operation assign the following values in the "Related Item to a Task"

-Object type -Document

-Mode - Existing"

-Relation - "Link" or "Refer"

-Object - Multiple

  1. Click Select to avail the 'Document Search' window
  2. If a Document number has been specified for the Task, it is displayed on the 'Document Search' window as search criteria. For detailed information on how to search for project-related Documents based on specific Document characteristics, please refer the Document Search section in the Documents module.
  3. Here, select the Multiple Documents to be added to the Task. Select Multiple Documents from the "Search Results" grid by using SHIFT+DOWN ARROW to select multiple files
  4. On selecting the Documents, their Document numbers would be displayed in the “Related Objects” column of the Task
  5. Click Ok.

Refer Document Operations to know more about the operations possible on documents added to tasks

Linking Single or Multiple Tasks to a selected Task

Wrench enables users to link or refer one or more Task to another Task. This is applicable in a scenario where there is more than one Project and each of the Projects comprises certain common Tasks having the same deliverables. In this case, the user can do away with the time-consuming job of updating the status of each Task separately. In fact, the completion of one Task will serve the purpose of the other one.

Let's assume that one of the specifications in namely Acid Storage Tanks, is the same for the Projects, 100030 and 100035. As the specification is the same for both, design requires to be executed only once and the procurement of deliverables could be done together. Quite often, when such a situation arises in which both the Projects involve the same designer who is doing the design part, two Tasks will be separately routed to the user's workspace for which the desired output will be exactly the same. The designer will implement the specific design and attach it to the Tasks separately and route it to the next stage.

To make this process user-friendly and convenient, a solution has been devised to link one Task to the other one so that the percentage completion of the linked Task would automatically update the status of the other Task too. Or, in other words, the completion of the selected Task would depend on the status of the linked Task.

  1. Click Related Objects tab in the Task Properties window
  2. Select Add
  3. The 'Related Object to Task' window is displayed where single/multiple Tasks from another WBS can be linked to the selected Task.

To Link a Single Task from another WBS to a Selected Task

In order to link a single Task from an existing WBS to the selected Task,

  1. Select the object type as Task

Figure: Related Item to Task

  2. Select Link as relation
  3. Select the appropriate weightage to be given to each of the linked Tasks
  4. Select Single if you wish to add a single Task
  5. Click Select to avail the 'Task Selection' window.

Figure: Search Task

In the 'Search Task' window,

  1. Browse and select the required Project from the list of available Projects
  2. The various Tasks in the selected Project would be listed in the grid
  3. Select the check boxes to select the required Task in the specified Project
  4. Click Select
  5. The selected Tasks would be available in the "Related Items" grid in the Task
  6. Click Ok.

To Link Multiple Tasks from another WBS to a selected Task

In order to link a multiple Task from an existing WBS to the selected Task,

  1. Select the object type as Task.
  2. Select Link as relation
  3. Select the appropriate weightage to be given to each of the linked Tasks
  4. Select Multiple if you wish to add multiple Tasks

Figure: Related Items to Task

  5. Click Select to avail the 'Search Task' window
  6. Browse and select the required Project from the list of available Projects
  7. The various Tasks in the selected Project are listed in the grid
  8. Select the check boxes to select the required Tasks in the specified Project
  9. Click Select
  10. The selected Tasks are available in the Related Items grid in the Task
  11. Click Ok.

NOTE : The percentage completion of the selected Task depends on the status of the linked Task/Tasks.

You can also refer single or multiple tasks from another WBS to a selected Task. Select another Project in the "Search Task" window and repeat the same procedure to add Tasks from multiple Projects.

Referring documents to completed tasks

A Project plan would include design as well as non-design activities. These non-design activities are mainly on site activities such as Foundation, Erection and Stringing etc. These activities are carried out first and later supporting documents such as Site Visit Reports are attached. Now, ideally such tasks needs to be completed only after the site visit reports are attached to the task. But, in some cases, when the organization has to present reports to the client they would want to show such tasks as completed even if the reports have not been actually attached. In such a situation the need to refer documents to completed tasks arise

Setting Constraints for Linked Tasks

Let's assume that the planning department in the organization has identified that the deliverables of two Tasks (Task 1 and Task 2) are exactly the same. They can schedule Task 1 normally. Task 2 could be scheduled with out assigning a work flow or resources. The planning personnel may link both the Tasks. Once the linked Task is completed, the status of the main Task changes to “completed”.

If the user finds identical tasks in the work space for which the deliverables are exactly the same, then you link one Task to another. The status of a single task is updated after work completion.

Linking an Action Item to a Task

An Action Item can be added to a Task. This option is enabled if the corresponding Project has a MOM assigned.

To Add an Action Item

  1. Select the Action Item tab
  2. From the right-click menu in the grid select Attach

Figure: Task Properties - Action Item

  3. 'Relate Action Item To Task' properties box is displayed.

Figure: Relate Action Item to Task

Progress of Task: Select the following options from a drop-down list.

  1. Do not block progress and closure: This option appears selected by default. On selecting this option even though the actionee does not perform close routing, the current stage user of the task will be able to Route, Complete and Close Route the object
  2. Do not block progress but block closure: On selecting this option Route, Complete and Close Route operations are not possible for the current stage user, until the actionee who received the action item performs close routing.
  3. Block Progress and closure: On selecting this option only "Route" operation is possible for the current stage user, unless the users who received the object performs close routing.

Type of Action Item: While attaching an action item to a task user may select between the options New and From Existing Minutes of Meeting.

  • New: On selecting New, 'MOM Point' window is displayed. Specify appropriate entries and "Add" required action items.

Figure: MOM Points window

The selected action items and their details are displayed in the grid.

Figure: Task Properties - Action Item

  • From Existing Minutes of Meeting: Selecting this option and clicking Select, 'Search MOM' window is displayed.
  1. Select a MOM from the list and click Select in the tool bar. Action Items window is displayed.

Figure: Action Items window

  2. Select the required items from the list
  3. Selected items and their details are displayed in the grid
  4. From the right-click menu in the grid select Delete to remove an action item. An action item related to a released MOM cannot be deleted.
  5. From the right-click menu select View. MOM Points window is displayed. User can edit the values and click Update to save changes.

Correspondence

For more details on adding a correspondence Document to a Task, refer the section How to add a correspondence Document in the Documents module.

Old Task Revision

The details of the revised Tasks and all its related Documents is displayed here.

Relationship

This facility enables the user to view the relationships between Tasks. This tab displays the predecessor and successor tasks on importing WBS from any other application like Primavera, MS Project or MS Excel.

Predecessors

The Tasks preceding the particular Task will be listed here.

Successors

The Tasks succeeding the particular Task will be listed here.

Starting Work Flow

After completion of the above steps trigger the work flow using this option.

  1. Select the Task and right-click, select the Start Work Flow option from the WBS window.
  2. Sometimes the resources assigned in a Project will be different from those in the work flow team then Wrench prompts the user to select resources dynamically ie, the the resources can be selected from the resource list.

In case of multiple scheduled Tasks, select multiple Tasks and click the Start Work flow option to initiate the work flow. The system displays an alert for dynamically assigning resources to the work flow.

  1. Click No to all button so that the dynamic resource allocation alert is not displayed again for further Tasks
  2. Click No to let the work flow of the Task be started with default resources (as available in the work flow team)
  3. Click Yes to display the dynamic resource allocation window to accept resources for each work flow stage and start the work flow of the Task with resources as specified.

See Also:

Creating a WBS

Creating a Task

Attaching Work Flow to a Task

If additional components are installed refer to

Attaching a Document / Action Points to a Task

Adding a Part or BOM to a Task


Attaching Workflow to a Task

You may attach a workflow to a selected task in the Task>>Workflow tab. Tasks are send to corresponding users using the workflows.

Navigation Table

To | See
Attach Workflow to a Task | Attaching workflow to a task
Assign Workflow and Checklists | Advanced
View Workflow assigned to a Task | Viewing Workflow assigned to a task
View the linked tasks workflow | Viewing linked tasks workflow from show workflow

Attaching Work Flow to a Task

  1. Task properties can be availed by double-clicking the task or selecting Properties from the task right-click menu
  2. Select Workflow tab

Figure: Task Properties - Workflow tab

Workflow

This is where the user assigns a work flow to the Task.

  1. Click the browse button next to the Work Flow team to access the 'Search Work flow window'. While searching for a work flow, if a value Document is assigned to the 'Module' field the work flows assigned to documents are listed. If no work flows are assigned to the module all the work flows are listed. Select an existing work flow from the list.
  2. You may assign a Scheduled Completed date to the stage. The Actual Completion date will be updated automatically. If there is any delay for completion of this stage then the icon for 'Delayed' will be displayed next the Task.

NOTE: If the Task is a document task and the document genealogy level has a default work flow assigned to it then this work flow will be selected and displayed. For non document tasks the default work flow assigned to the task will be selected and displayed. Once a task is scheduled wrench does not permit assigning workflow to the task.

Viewing Work Flow assigned to a Task

  1. In the Task details window click Show Work Flow in Work Flow options in the left navigation bar.
  2. The Work Flow assigned to the Task is displayed.

Figure:Search Workflow window

In the Resources for the stage window the following columns are displayed in the following order.

  • User Name
  • Login name
  • Sequence
  • Planned Date
  • Comments
  • Received On
  • Completed On

If the stage is unprocessed the list of user's assigned are displayed with the following columns blank.

  • Planned date
  • Received On
  • Completed On
  • Comments

If the stage is active the following details are displayed

  • Serial number
  • User name
  • Login Name
  • Sequence
  • Planned date
  • Received On
  • Completed On (If available)
  • Comments (If available)

If the stage is processed the following details are displayed

  • Serial number
  • User name
  • Login Name
  • Sequence
  • Planned date
  • Received On
  • Completed On
  • Comments

Viewing the Linked Tasks Work Flow from the Show Work Flow option of the main Task

If a Task is linked to a main Task and the linked sub Task has a Work flow attached to it, this Work Flow can be viewed. Show Work flow option in the main Task is enabled. On clicking this the work flow of the linked task is displayed. If the main Task has more than one Task linked to it the Show Work flow option is disabled.

  1. In the Task details window left pane click Show Work flow.
  2. The Work flow of the linked Task is displayed.

See Also:

Creating a WBS

Creating a Task

WBS Search

If additional components are installed refer to

Attaching a Document / Action Points to a Task

Attaching a Part or BOM to a Task


Attaching a Part or BOM to a Task

Linking a part helps in monitoring the status of the part.

If the part has a document, the status of the linked Task gets updated from the percentage completion of the document work flow. While attaching already released Part or BOM, the Task gets completed at the time of linking itself

  1. Select Related Objects and right-click to avail of the Add option.
  2. Click Add to avail of the 'Related Object To Task' window.

Figure: Relate Object To Task interface

Selecting the Object type

There are two modes of relating the object to the Task. They are Linking and Referring.

  1. Link: Once an object is linked to the Task its mandatory for the completion of the object activity for the completion of the Task.
  2. Refer: If an object is referred, its completion status has no impact on the Task completion of its related Task.

NOTE: Only Part and BOM already existing in Wrench can be attached to a Task

To Link or refer an existing single Part or BOM to a Task

Figure: Referring or Linking documents

  1. Select Object type (Part or BOM)
  2. Create a new Part or select one existing in Wrench. "Existing in Wrench" is selected by default.
  3. Specify Relation either as "Link" or "Refer"
  4. Select "Single" object
  5. Click "Select" to avail the "Part or BOM Search" window.

For Example: If a Part number has been specified for the Task, it is displayed on the “Part Search” window as the search criteria. For detailed information on how to search for parts please refer the " Part Search " section.

Figure: Part Search

  1. If the search is successful then select the part and click "Select" from the Part Search menu and return to the "Relate Object to Task interface."
  2. On selecting a Part, Part number is displayed in the “Object” column of the “Selected objects” grid.
  3. Click "Ok"
  4. If the mode is selected as "New", Add Part window is displayed.
  5. Make appropriate entries in the window. The created part is added to the task

To link or refer existing multiple Parts or BOM in Wrench to the Task

  1. Select Object type
  2. Select mode as "Existing in Wrench" or "New"
  3. Specify Relation either as "Link" or "Refer"
  4. Select "Multiple "

While linking or referring multiple parts to a task the following discussions can be taken into account .

  1. If Parts selected are design driven then both link and refer options are enabled.
  2. If Parts selected are non-design driven only refer option is enabled.
  3. If Parts selected contains both design and non-design documents then only refer option is enabled.

To add multiple BOMs to a Task (If mode selected is "Existing in Wrench")

Figure: Related Items to Task

  1. Click "Select" to avail the "BOM Search window.
  2. Specify the BOM Details to retrieve the specific BOM. For more information, please refer the BOM Search module.
  3. Here select the multiple BOMs to be added to the Task. Select multiple documents from the "Search Results" grid by using SHIFT+DOWN ARROW to select multiple files.
  4. On selecting the BOM, their BOM numbers are be displayed in the “Object” column of the “Selected objects” grid.
  5. Click "Ok."

To link or refer a New Part to a task

  1. Select Object Type as "Part"
  2. Select mode as "New"
  3. Specify relation as either link or refer
  4. Select the objects as "Single" or "Multiple"
  5. Click "Select"
  6. Part creation window is displayed
  7. In the part creation window the genealogy defined for the task is displayed. Make appropriate entries and click "Save."

To link or refer a New BOM to a task

  1. Select Object type as "Product Structure"
  2. Select mode as "New"
  3. Create New BOM window is displayed
  4. In the Create New BOM window genealogy defined for the task is displayed. Make appropriate entries and click "Save."

Operations on Part or BOM attached to a task

BOM operations

Various operations can be carried out on a BOM attached to a task.

  1. Select a BOM and right-click. The following operations can be performed from the right-click menu.

Figure: BOM operations - Right-Click menu

Detach: On selecting this option the BOM attached to the task can be removed

View BOM: On selecting this option Product Structure window is displayed. Entire BOM related information's are available here.

BOM Properties: On selecting this option BOM details window is displayed. User can also access the BOM details window by double clicking a selected BOM.

Part Properties: On selecting this option Part details window is displayed.

Part Operations

  1. Select a Part and right-click. In the right-click menu the following operations can be performed.

Part Properties: On selecting this option Part Details window is displayed. Part related information's are available here. Double-click the selected Part to open Part Details window.

See Also

Attaching a Document/Task/Action Point to a Task


Updating Task properties

For tasks that are in work in progress you can select multiple tasks and update fields in the task properties window.

To bulk update tasks

  1. Select multiple tasks
  2. In the right-click menu, select Show Details.

Figure: Updating multiple tasks

  3. Task properties window is displayed with the entire fields as blank.

  4. Fields that cannot be updated appears as disabled.
  5. Enter values in the enabled fields. The values that are entered here are updated in all the selected tasks.

NOTE: This operation is possible only for tasks with the same status. Custom properties can also be updated

If you click “Show Details” after selecting tasks of different status, a warning message is displayed.

The following task properties can be updated with this option.

  1. Task Name
  2. Task Genealogy
  3. Document Genealogy
  4. Origin Type
  5. Origin Name
  6. ARC
  7. System
  8. Area
  9. Custom Properties

NOTE: For changing the existing task genealogy, when you click the browse button next to task genealogy, Search Genealogy window is displayed with the existing genealogy highlighted. Refer the following figure.


Operations from task properties window

The operations possible in the task properties window can be classified into Task Operations and Work flow Operations and Rule of Credit. Different operations under each group are explained in this section. However the screen shots displayed here may change based on different customer configurations.

Navigation Table

To | See
Perform Task Operations | Task Operations
Perform Schedule Operations | Schedule Options
Perform Workflow Operations | Work Flow Options
Perform Update Operations | Update Options
Perform Rule of Credit Operations | Rule of Credit Operations
Perform Advanced Operations | Advanced Operations
Define Micro-Scheduling option | Micro Scheduling
Configure left navigation pane | Configure Operations
View task and document details | Viewing task and document details

Figure: Task Properties window

Task Operations

#

Item

Description

1

Add Related Item

Select this option to add a document, task, part or BOM to a task. For more details refer Related Item

2

View MOM

On clicking this option details of the MOM created related to the selected task are displayed

3

Revise

On clicking this option the task gets revised and the status of the task is changed to created status.

4

Customise tab

Select this option to add or remove tabs from the task properties window. On selecting this option Customize tabs window is displayed.

Here you can select the tabs that has to be displayed in the task properties window.

NOTE: You can also select the hyperlink Customise Tabs, to add or remove tabs from the task properties window.

5

Send To Personal Folder

Select this option to send the selected task to a personal folder

6

Add to Time Sheet

Select this option to make time sheet entries for this task. The time spent for working with this task can be entered in the Timesheet.

On selecting this option Time Sheet Details window is displayed

  1. In the time sheet details window enter values for properties like Activity, Actual Duration and define whether the time entered is normal time or over time.
  2. Click Ok to continue.

Time Sheet Window is displayed. For more information on entering values in the Time Sheet window refer Utilities>>Time Sheet

7

Beta Distribution

In conventional planning, the planner decides the start and end dates of all project tasks and the project progress is estimated based on the completion of these tasks (when actual end dates are captured). Here the progress of a task between the start and end is not known.

Beta distribution technique helps to overcome the inconveniences and overheads involved in planning activities related to a construction project. Task rules may be automatically created for each week / month between the Start and Finish dates of the task and the estimated progress at each of these week / month can be computed using this technique.

While calculating the beta distribution, the alpha value and beta value will be decided by the user. For Example: For a steady progressing task, both alpha and beta values are defined as 1. For a slow starting but faster finish type of tasks (more work in the beginning) a larger alpha value is assigned. For a task which has quick progress in the beginning, larger beta values is used.

To calculate beta distribution

  1. In the task properties window under Task Operation, click Beta Distribution

Beta Distribution window is displayed.

Figure: Beta Distribution window

  2. Select the radio button to define whether beta distribution has to be calculated using Values available in task or New Values. Selecting "Values from Task" will use the alpha and beta values entered in that Task's details. By default, "Values from-Task" will be selected. If the option "New values" is selected it will be possible to select alpha-beta combinations manually from four pre-defined Distribution Settings namely "Linear Loading", "Front Loading", "Back Loading" and "Bell-Shaped". On selecting a setting, the task/level gets distributed.
  3. Select a value for Distribute On. If the radio button next to Estimated Quantity is selected, then estimated quantity of the task will be distributed. By default Estimated quantity will be selected. If the radio button next to Forecasted Quantity is selected, then Forecasted quantity of the task will be distributed.
  4. Select a Distribution Type from a drop-down list. Values available are Periodic and Cumulative. If the option Periodic is selected, values will be distributed periodically across the interval. If the option Cumulative is selected, values will be distributed cumulative across the interval. By default this option is selected.

The distribution type can be explained with the help of an example. Suppose your activity is laying asphalt for a stretch of 100 kilometers spread for a time period of 10 weeks. Distribution of progress using Periodic and Cumulative methods are displayed in the table.

Week | Periodic | Cumulative
1 | 10 Km | 10 Km
2 | 10 Km | 20 Km
3 | 10 Km | 30 Km
4 | 10 Km | 40 Km
5 | 10 Km | 50 Km
6 | 10 Km | 60 Km
7 | 10 Km | 70 Km
8 | 10 Km | 80 Km
9 | 10 Km | 90 Km
10 | 10 Km | 100 Km
 | 100 Km |
  5. Select a Loading Type from a drop-down list. Values available are Linear Loading, Front Loading, Back Loading and Bell Shaped. Based on the loading type selected alpha and beta values will change. By default Linear Loading is selected.
  6. Enter an Alpha value and a Beta value if the default value requires modification.
  7. Select the interval over which the distribution needs to be done. The interval can be monthly or weekly.

If distribution option selected is monthly , then the interval between the planned start and the planned finish of the task will be split into quantity based manual rules equivalent to the number of months and estimated quantities will be assigned for the same. Period ends on options.

If the option “Month end” is selected , the system will consider last day of the month in the calendar as the end of each distribution interval.

If the option This day each month/week is selected user will be able to select a day of a week so that system will consider the last day of the month as the end of each distribution interval. For example: if “Friday” is selected , then last Friday of every month will be considered as the end of each interval.

If the option “This date each month” is selected user will be able to select a date in a month to consider as the end of each distribution interval.

If distribution option selected is Weekly, then the interval between the planned start and planned finish date of the task will be split into quantity based manual rules equivalent to the number of weeks and estimated quantities will be assigned to them. Option This day each week will be enabled and user will be able to select the day in a week to consider as the end of each distribution interval.

If the checkbox next to the option "Distribute to child level”is selected, then for all the levels and tasks under that level, of quantity-based tasks, beta will be distributed. This setting will be enabled only when beta distribution is carried out for a WBS Level.

Schedule Options

The following scheduling operations are possible.

# | Item | Description
1 | Schedule | Click this option to schedule the task.
2 | Start Work Flow | Click this option to start the work flow assigned to this task.
3 | Schedule and Start Work Flow | Click this option to schedule and start work flow simultaneously

Work Flow Options

The following workflow related operations are possible.

# | Item | Description
1 | Send | On selecting this option the task is sent to the next stage of the workflow. This operation is possible only for the current stage user. If more than one active instance of the selected task is available in the user's workspace, routing operation is possible only from the workspace. System returns a warning message indicating this.
2 | Forward for Information | Select this option to send the deliverable for information purpose only
3 | Show Workflow | On selecting this option the work flow assigned to the selected task is displayed
4 | Reassign User | This option helps in reallocation of resources to Work In Progress work flow. On clicking this option Reassign Resources window is displayed. Select a stage and select resources from a user list. Click reassign button to reassign resources. Only users with Reassign resources in the genealogy can perform this operation.
5 | Flush Workflow | Flush Work Flow" option is for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.

Update Options

The following operations are possible under this group

#

Item

Description

1

Update Approval Status Code

On clicking this option Customer Work space window is displayed. Make appropriate entries and update the Approval Status Code details. Only a user with appropriate rights can perform this operation

2

Update Internal Response

Click this option to update the internal response for the drawings. On selecting this option Bulk Update Internal Response window is displayed. You can enter the approval code details here and click Save to continue.

3

Update Checklist

On selecting this option checklists assigned to the task will be displayed. Only the current stage user can update the checklists.

4

Update Interim Percentage

Select this option to update the interim progress of a task. On selecting this option Update Interim Percentage window is displayed.

Figure: Updating Interim Percentage

For Example: Prepare and Check and Approve are three stages in a workflow. On completing the prepare stage 50 % progress is achieved. If you need to monitor the progress in between 0 and 50 % , select Update Interim Progress. You can enter the interim progress for this task and select an Actual Finish Date. Select Add Rule to insert this new percentage as a rule in your task.

5

Update Earned Quantity

Majority of the construction projects are planned for timeframes and not milestones. Meaning planning is not done for a milestone like Excavation and Digging completion. Rather planning is done for the completion of works for each time period which could be a day, a week or month. In this type of planning , Earned quantity is updated in regular intervals.

To update earned quantity

  1. Select the rule
  2. In the navigation bar under update options click Update Earned Quantity

Update Quantity box is displayed

Figure: Update Quantity window

Elements in Update Quantity box are explained in the following section.

Rule: Select a Rule from the drop-down list. Quantity will be updated for the selected rule.

Task Quantity: Task Quantity defined for the task is displayed here

Estimated Quantity: Estimated quantity for the week against which updating is taking place.

Quantity Achieved: Total quantity achieved for the task till the date on which the quantity is being updated.

Actual Finish Date: Enter the actual finish date. Based on this date the corresponding week will be loaded.

New Quantity: Enter the new quantity achieved.

On clicking Ok a new rule is inserted and the New Quantity is added to the achieved task quantity.

6

Update Earned Percentage

This option is used to update earned percentage for capturing actuals in case parallel rule sets are applied to a task. Updating will be possible only if the task is budgeted towards actual task.

To update earned percentage

  1. Select a rule and click Update Earned Progress

Update Earned Percentage box is displayed

Figure: Update Earned Percentage box

Elements in this box are explained in the following section.

Rule: The selected rule will be displayed here. The selected rule can be changed by selecting a different rule from the drop-down list.

Earned Percentage: Total percentage achieved by the selected rule is displayed here.

New Percentage: Percentage achieved can be entered here.

Actual Finish Date: Specify the actual date on which new quantity is achieved

On clicking Ok, a new manual rule is created with the New Percentage, Earned percentage and Actual Finish Date that was specified at the time of updating earned progress

Rule of Credit options

The following options related to Rule of Credit can be performed here

Add Manual Rule: A manual rule is used usually to monitor tasks without a workflow. Manual rules are also inserted for tasks with unguided workflow. In the case of tasks with guided workflow manual rules can be used to monitor interim progress.

Figure: Adding Manual Rule

Remove Manual Rule: Select this option to rule a manual rule if no more interim progress monitoring is required.

Advanced Options

Personalize View

Select this option to personalize the task properties window. Using this option only the fields you require can be made available in task details tab of task properties window. Through this window you can create a personalized view for the task.

To personalize view

  1. In the Task properties window navigation bar select Personalize View
  2. Task Details Customization window is displayed.

Figure: UI Customization tab - Properties window

  3. In the window you can add or remove fields that are displayed in task details tab of Task Properties window.

For more details on customizing the task details tab refer Administrator's manual >> Defining properties for Task Genealogy >> Customizing the task properties window.

Budget Utilization Alert

Statistics of man hours budgeted for tasks and the actual hours consumed against the same can be conveyed to concerned authorities using this option.

On selecting this option MS Outlook is opened with the text and subject of the mail. The text contains information like Task Name, Budgeted Duration, Consumed Duration and Balance Duration.

Select the recipients of the mail and send the mail.

Micro-Scheduling

If you need to override the scheduling options defined in the Rule of Credit tab in the Project, this can be carried out here. This facility will be useful when the scheduling options defined for a single task has to be changes.

To define scheduling options

  • In the task properties window navigation bar click Micro-Scheduling
  • Formulate Micro-Scheduling window is displayed.

For more information on defining schedule option refer Project>>Rule of Credit>>Scheduling

Configure operations

Configure Operations from the Task Properties window allows you to configure the left navigation pane of the Task Properties Window.

To configure the left navigation bar

  1. In the left navigation pane of Task Properties window , click"Configure".

Configure Operations window is displayed.

Figure: Customise Operations tab - Configure Operations window

  2. Select the Customise Operations tab.

The following columns are available for configuring the left navigation pane of the Task Properties window.

Operations: The entire task related operations are displayed here.

Operation Category: Here you can select the category under which the operations are to be grouped in the left navigation bar of Task Properties window. You can select the following groups from a drop-down list.

      • Task Options
      • Schedule Options
      • Workflow Options
      • Update Options
      • Rule of Credit
      • Advanced Options
      • Information
      • New Group

To create a new operation category,

    1. Click the Operation category column and select “New Group” from the drop-down list.

Customised Navbar window is displayed.

Figure: Customised Navbar window

    2. Enter the category name to be defined in the Group Name option.
    3. Click "Save" to save the operation category defined.

Visible: Under this column select the checkbox against a operation and this operation will be available in the left navigation bar of Task Properties window.

NOTE: Only for Admin users, the "Default Settings tab" in the Configure Operations window will be available for configuration. Default settings can be restored by clicking Reset to Default Settings button.

Figure: Default Settings tab - Configure Operations window

Deny: Select the check box to specify the corresponding operation to be available for configuration or not.

Viewing task and document details

In the WBS you can select a task or activity and double click to view details related to tasks and documents.

To view the details

  1. Select a task in the WBS and double-click
  2. In the dialog box displayed the options described in the following table are available.

# | Item | Description
1 | Show Task Details | On selecting this option Task Details window is displayed. A comprehensive information on the selected task can be obtained from this window.
2 | View Document | On selecting this option task properties window is opened. Related Item tab will be selected by default and documents linked to the task will be listed here.
3 | Show Document Details | On selecting this option document details window is displayed.
4 | Cancel | On selecting this option the operation is cancelled.


Viewing Task and Document details

For a selected task you can view the task details and the details of the document linked to the task. In addition the document attached to the task can also be viewed. Both these operations can be carried out from a single location.

To view task and document details

  1. Select a task and double-click. The following dialog box is displayed

  2. Click Task Details button to open the task properties window that displays entire details related to a task
  3. Click View Document to view the document attached to the task
  4. Click Document Details to open the Document Details window that displays entire details related to a document


Documents

In an organization major portion of the documents includes drawings, correspondences and emails. These documents that are vital for the smooth progress of a project are added to Wrench. Even though adding documents to Wrench is an easy task, there are procedures to follow and vital points to keep in mind which are mentioned in the following Navigation table.

Navigation Table

To | See
Add a Single Document | Adding a Single Document
Add Multiple Documents | Adding Multiple Documents
Perform various operations with documents | Document Operations
Work with Solid Words drawings | Handling Solid Works Drawings
Work with 3D-2D models | Handling 3D-2D Models
Integrate external references | Integrating X-refs from Auto Cad/Microstation into Wrench
Add Correspondence document | Adding a Correspondence Document


Adding a Single Document

Document Addition operation can be performed from:

  • Documents module
  • Documents tab in Projects module
  • Related Objects tab in Task details
  • My Documents in Workspace .

Wrench provides the facility to add single, multiple and correspondence documents to wrench. This topic deals with the addition of single documents.

Prerequisites

Only a user who has been assigned Add Right in the specific Document genealogy can perform this operation. User or User Group Security can be assigned at the Control Panel>>Security Center. For more information on assigning security right refer Control Panel>>Settings>>Security Center in the administrator's manual.

Adding a Single Document

Documents can only be added at the leaf level.

To add a document

  1. From the Wrench desktop navigation bar select Folders. From the list of items displayed select Documents.
  2. Select a Genealogy under which you need to add the document and right-click on the desktop.
  3. In the right-click menu click Add and in the sub-menu click Single Document.

NOTE: Document Addition window can also be opened by clicking Add>>Single Document from the explorer toolbar.

Add Document window is displayed.

Figure: Add Document window

Navigating through the Add Document window

Add document window comprises of the navigation bar where, Genealogy options, View Options, File Option and Notification Options are housed. Based on the selection made in the file options you can add file or folder from a specific location, documents in Wrench, Outlook mails and templates. On the right pane, options to add files or folders, define document properties and define workflow options are available.

To avoid confusions while adding documents you may follow the steps mentioned in the following section.

STEP 1: In the navigation bar from Options>> File, select the type of file that is to be added.

STEP 2: Select a file or folder to be added. This can be a file or folder from a specific location, documents in Wrench, Outlook Mails and templates. For a detailed explanation of selecting files refer Selecting Files and Folders.

STEP 3: Assign the document properties.

STEP 4: Assign a workflow to the document.

From the workflow details the existing workflow can be changed. In addition, Define settings for completing the document without going through various workflow stages or starting the workflow once the document is added.

NOTE: While adding document if a file is not selected a warning message is displayed indicating this. Document will be added to Wrench without a Physical File attached to it. You can attach a file later to this document.

Once the document is successfully added with a file selected, Download / Upload Manager window is displayed as shown in the following figure.

Figure: Download / Upload Manager window

Choosing a genealogy

Leaf level genealogy selected will be displayed here. If you need to change the genealogy, choose the genealogy that you need from the Genealogy Options in the left navigation bar.

The document properties can be defined in genealogy default properties window. While adding documents under this genealogy these properties are inherited by the documents. The genealogy configuration is usually taken care by the administrator and is mentioned in detail in the Administrator's Manual.

Document properties that are to be available in the document addition window can be defined for a genealogy.

Drag and Drop Documents from other genealogies

You can drag and drop Documents from a specific genealogy to another selected genealogy. To perform this function,

  1. User must necessarily have "Copy" permission in the specific genealogy from where it is being dragged to. If the user has been assigned "Copy" permission, the Document can be dragged from the specific genealogy.
  2. User must also have Add right in the Document genealogy where the Document is to be added. If Add right has been specified, then the ‘Add Document’ window is displayed with the details of the dragged documents.

NOTE: You can drag attachments in MS Outlook mails to Wrench and add them as documents in Wrench. You can drag the attachments attachment to the root level Wrench folder or to the document addition window. You can also copy documents from Windows or MS Outlook and paste it to Wrench folders.

See Also

Adding Multiple Documents

Integrating Xrefs from Auto Cad/Microstation into Wrench

Handling Solid Works Drawings

Handling 3D - 2D Models

Document Search

Document Operations

Adding a Correspondence Documents


Selecting Files and Folders

First step in adding documents to Wrench is selecting a file or folder. Different modes are available for selecting files. They are mentioned in the following navigation table.

To | See
Select a file or folder from the disk | File or Folder on Disk
Select an existing document in Wrench | Wrench Document
Select a mail from MS Outlook | Outlook Mail
Select a Template | Templates
Add document to a Personal Folder | Adding documents to personal folders

File/Folder on Disk

Files or folders stored in specific locations can be browsed and added to Wrench. You can select a file and drag it to the box with the caption Drag and Drop file/folder here.

To select a file

  1. In the navigation bar under File options choose Select file/folder from Disk.
  2. Select the browse button against Select File/Folders .
  3. File selection window is displayed with a list of files. You can select a file from the list.

To select a folder

  1. Select the browse button against Select File/Folders .
  2. Folder selection window is displayed where you can browse and select a folder. The selected folder is added in a compressed format.

NOTE : You can drag attachments in an MS Outlook mail and add it as a document to Wrench

Wrench Document

Document already existing in Wrench can be selected and added as a new document. This option is useful if you need to reuse an old document with modifications. New document is created using the copy of the old document.

In the current project a set of piping drawings has to be created by the draftsman. These drawings are almost similar to the drawings created in the earlier project and so they could be reused with slight modifications. The drawings created for the earlier project is available in Wrench and these drawings have to be reused.

To select an existing document in Wrench

  1. In the navigation bar under File options choose Select Wrench Documents
  2. Select the browse button against Select File/Folders
  3. Document Search window is displayed from where you can browse and select the required document. Once the document is selected the Internal Revision Number of the selected document, the file name of the file attached to the document and document description are displayed.

Outlook Mail

A major portion of the project correspondence comprises of mails. Mails in MS Outlook can be added into Wrench

To add a Mail

  1. In the left navigation bar choose Select Outlook Mails
  2. From MS Outlook select a mail and drag it to the area provided for dropping your mails.
  3. Once the mail is dropped to the area mail details like sender of the mail, sent time and date and subject of the mail are displayed.
  4. Attachments to the mail are displayed in the attachments grid. If you need to add an attachment as an associated document along with the mails select the check box against the attachment.

Templates

A standard format can be created for certain documents and these formats can be used accordingly while adding new documents. These standard formats are referred to as templates. These formats are saved under different template names.

For Example: Purchase Order, Invoice etc.

You can create these Templates from the Master>>Documents>>Document Template Master. While creating templates you can link these templates to a genealogy. These standard templates can be used while adding a new document.

To Add a template

  1. In the left navigation bar choose Wrench Templates
  2. The template assigned to the genealogy is displayed here.

To select a different template

  1. Select the browse button against Select Wrench Templates
  2. List of templates linked to the genealogy are displayed.

Figure: Template selection window

If the checkbox next to Show genealogy independent templates is selected entire list of templates are listed.

NOTE: If the genealogy that you have selected does not have any templates linked to it, entire list of templates are displayed. Or else only the templates linked to that genealogy is displayed. If the document is project dependant then templates defined for the project are also displayed here. Project Independent and Project Dependent templates are grouped separately. In addition if the template is linked to a genealogy, the template is selected automatically in the document addition window.

  1. Select a template from the list.
  2. You can select a file name logic from the drop-down list. A file name is generated based on the logic selected.

NOTE: While adding a document using the document template, if a guided work flow is assigned, with the current user as the first stage user, the system returns the following message. “Document successfully added and routed. Do you want to check out the document for modifications”. On selecting “Yes” check out manager is displayed. You can specify a check out path and edit the checked out document.

  3. Select Ok to save the details entered and close the window. Select Save to clear the currently entered details so that another document can be added.

R While adding files to Wrench kindly note the following discussions.

  1. When you add a document to Wrench, if the same document number, sheet number combination already exist in Wrench, but the Internal Revision Number of the added document is latest, then the existing document is replaced by the new document and Internal Revision Number is incremented. The existing document is added to the revision history.
  2. While adding a document with the same document number, sheet number, Internal Revision Number combination of the document that exists in Wrench, adding of the document is not permitted and system displays a warning message.
  3. If you try to add a document with same document number, sheet number but an old Internal Revision Number, system permits the addition of this document into Wrench to the Revision history of that document.

Adding a document to personal folders

When it is required to add documents to personal folders, instead of opening the personal folder and adding documents to it, you can add documents to the personal folder from the document addition window itself.

To add a documents to personal folder

  1. In the document addition window click the browse button next to personal folder.

  2. Folder List window is displayed. Select the personal folder to which you want to add the document.
  3. Click OK to continue.

Inherit Rules :On clicking this button, the properties assigned to the selected personal are applied to the document addition window.

  3. Select OK to save the details entered and close the window. Select Save to clear the currently entered details so that another document can be added.


Assigning Document Properties

Only document properties that you need will be available in the document addition window. The properties can be categorized to Basic and Advanced properties.

These properties can be defined according to the need of the organization and specific users. This operation is carried out by the administrator. More information on defining document properties can be obtained from the Administrator's manual.

Document Properties

The following basic properties can be defined. Each property can be classified into Basic property and Advanced property. This classification is decided by the administrator in the document genealogy.

Document Number

Document number is the key information that denotes the document. It is used for representing the document information.

Enter a unique Document Number.

NOTE: A document number can be generated using automatic number generation facility. For more information on generating numbers automatically refer Automatic Number Generation .

Document Description

Document description describes the information that the document contains. Enter a Document Description

Document Genealogy

Leaf level genealogy selected will be displayed here. If you need to change the genealogy, you can choose one from the Genealogy Options in the left navigation bar. On selecting a genealogy, properties assigned to the genealogy are displayed in document properties grid.

The document properties can be defined in genealogy default properties window. While adding documents under this genealogy these properties are inherited by the documents. The genealogy configuration is usually taken care by the administrator and is mentioned in detail in the Administrator's Manual

Project ID

The projects are often identified by a unique Project ID. If the document you are adding is related to a project, you can select the Project ID.

To select a Project ID

  1. Click the browse button next to Project ID to select a project.
  2. Project Search window is displayed from where you can select the project
  3. Once you select a project the document is related to this project. While searching for documents related to this project, this document will be retrieved

NOTE: This document will not be available in the document tab of the Project Properties window.

Internal Revision Number

Internal Revision Numbers are maintained to indicate the number of times a document is revised or edited after its release. The Internal Revision Numbering sequence maintained by different organisation varies. It can be common across the organisation or even can be project specific. In many cases it is dependent on the Internal Revision Number the client would like to have.

You can select the Internal Revision Number from a drop-down list.

Number of Sheets

A document may contain more than one sheet. Number of sheets in a document can be specified here. The field Number of sheets will be empty by default.

Sheet Number

A number can be specified for each sheet in a document.

NOTE: The value you enter for sheet number should not exceed the number of sheets you have specified.

Sheet Size

A size can be specified for the sheets in the document. The size depends on the type of sheets your organization is using.

End of Life

You can specify an End of Life period for the document. Once the document reaches the end of life period the document is made obsolete automatically. An automated mail is sent to the user indicating this. For more information on obsolete status of a document refer Document Details>>Obsolete

Life Cycle Status

A Document after it's release will go through an entire life cycle where it is referenced by customer, vendors according to engineering process followed by different industrial verticals. A Released Document will have its revision updated for every revision imbibed by it. This helps the Wrench Users to pinpoint on what phase of the life cycle the Document is at any given time.

To enter a life cycle status

  1. Select the browse button next to life cycle status
  2. Life Cycle Status Search window is displayed
  3. You can select a value for the Life Cycle Status

Revision Number

Revision is used mainly to manage the client revision number.

Client Document Number and Vendor Document Number

Enter Client or Vendor Document numbers. Client/ Vendor Document number will be unique for a particular Document Number-Sheet Number combination

External Agency Transmittal Number and External Agency Transmittal Receipt Date

These properties are usually defined for documents that are of vendor origin. For more information refer Documents>>Document Operations>>Document Details window>>Advanced Options>>Update Receipt Details

Correspondence Properties

If the genealogy you have selected is of correspondence type, in the document addition window, a group Correspondence Details with the following fields will be displayed. Enter appropriate values for these fields.

NOTE: The fields that are displayed here are those defined by the administrator in document genealogy properties window

Correspondence Type

A Correspondence can be selected between Incoming and Outgoing from a drop-down list

Correspondence Reference Number

A Reference Number can be provided for the Correspondence.

To search for a number

  1. Select the "Browse" button. Document Search window is displayed.
  2. Select a Document number by initiating a search in Document Search window. For more information on searching for documents refer to Search>>Document Search .

Reply Required

Specify a date on which a reply is expected.

Letter Date

This is the actual date on which the letter was sent.

Expected Reply Date

Specify a date on which a reply is expected.

To be Replied By

You can select the user responsible for sending a reply. Click the browse button to choose a user from the User List window.

Custom Details

Custom Characteristics defined are grouped under this list by default . For more information on custom characteristics refer Project and Enquiry>>Creating a Project>>Custom Properties

NOTE: While adding a document if any mandatory fields are left out system will ask to enter the mandatory fields before proceeding.


Assigning Resources

Assigning resources to your document

The documents in Wrench can flow through different stages before it is released. This flow of the documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in guided workflow or without any definition like in unguided workflow. Guided workflows are used in case of engineering documents as the sequence of work and the stages in which the document will pass is predefined. In the cases like correspondence the sequence of the stages and the persons required are not clearly know, in this case unguided workflows are used. Resources are defined for each stage in a workflow and this workflow is assigned to a document.

To assign workflows

  1. In the Workflow Options pane select link Assign Resources and Configure Mail.

  2. Assign Workflow window is displayed.

Figure: Assign Workflow window

Here you can select a predefined workflow or start a manual workflow. For more information on assigning workflows and configuring mail refer to Workspace>>Working in the Workspace>>My Documents>>Assigning Workflow

Guided Workflow

In an organization a guided workflow is usually created by the administrator in accordance with the organizational requirements. When you need to assign a workflow you can select these workflows from a pre-defined list.

To assign a workflow

  1. Select the browse button against Workflow team. Search Workflow window is displayed.
  2. Workflows defined for the genealogy are listed here. Select a workflow and from the tool bar choose Select
  3. The workflow team name is displayed

Tip: Before choosing a workflow, preview of the selected workflow can be viewed.

Unguided Workflow

You can select the recipients of the document from the User List. The added document is passed to the selected users.

To select recipients for the document

  1. Select the browse button
  2. User List window is displayed from recipients can be selected.
  3. A message for the selected users can also be entered
  4. Select a routing rule from the drop-down list

Add as released document

When documents are registered and files are added into wrench, these are added as work in progress files by default. Prior to release, these documents pass through workflow process. Document like incoming correspondence are added as released documents. These documents do not undergo review processes and thus is in the completed status.

To add a document as released select the checkbox against Add as Released Document.

Start workflow after adding the document

A document added, before its final approval and release, go through various processes in the organization. A work flow is created defining these processes and this work flow is assigned to the document. On selecting the checkbox against Start work flow after adding the document, once the document is successfully added the work flow is started.

NOTE: This option will be selected by default if you have selected a Workflow Team and Start Workflow option for the genealogy through Default properties tab of Document Properties window.

NOTE: If you have defined a Workflow Team and selected the Start Workflow option for the genealogy through default properties tab of Document Properties window; then while adding a single document to the genealogy, the following message is displayed. Click Yes to send the object to the next stage.


Automatic Number Generation

Generating document number automatically

Generating and maintaining reference numbers for bulk volumes of documents manually is a complicated task. Document numbering templates can be defined in the masters and numbers can be generated based on these templates.

Each organization follows a separate numbering pattern for drawings prepared by them. If the numbering format is not predefined and automatically set, users who are preparing the documents might have confusion in the numbering pattern that has to be used for their documents. This might end up in errors in numbering. To avoid this confusion, the document numbering can be predefined and automatically set so that the users can add the documents without any difficulties.

In an organization entire shop drawing submittals have to follow the numbering format ORG/DISC/SD000/. In this format ORG is the organization short name, DISC is the discipline of the document and next comes the serial number which is incremental or needs to be generated in a sequential manner automatically. The different disciplines available are Structural (ST), Architectural (AR), Mechanical, Electrical and Plumbing (MEP).

The field ORG will take the value – XYZ if the company short name is XYZ.

The last serial number will be incremented as SD000, SD001 and so on

To generate numbers automatically

  1. Click the “Browse” button against Document Number.
  2. If the document is related to a Project, Document Number Generator window is displayed. If the document is project independent Generate Number window is displayed.

Figure: Document Number Generator window

NOTE: For project dependent documents, only those templates specified in the project will be available in the Document Number Generator window.

  3. Select a template from the available list and click Ok.

If deleted numbers are available for a selected template a message is displayed indicating this.

You can reuse these deleted numbers while automatically generating a document number. On selecting Yes generate number window is displayed with the Deleted Numbers window selected by default. A list of deleted numbers is displayed in the window.

Tip: To prevent this message box from being displayed again select the checkbox against Do not show this message again.

  4. In the Generate Number window, provide the appropriate values to generate a number. A preview of the generated number is displayed in the window.

Figure: Generate Number window is displayed

  5. Click OK.

NOTE: If a numbering template is assigned in the document genealogy default properties, then the document number will be generated based on that template. If the generated number is already used a message indicating this is displayed.


Notifications

Notifications are automatically generated mails notifying the occurrence of an event. The notifications can happen on events like documents getting added, documents getting revised, documents getting routed to another stage and on delays. Mails can be sent to selected users notifying the addition of a document.

To send a notification

  1. In the Add Document window, under Advanced options click Notification or select Send Notification option from right-click menu of the document.
  2. The Notification window is displayed.

Figure: Notification window

  3. Click Browse button to select a list of users to whom mails are to be send.

  4. Select the required object from the drop-down combo.

  5. Click Insert button to insert the selected properties in the Subject or Message field.

  6. Select Ok to send a notification mail to selected users.

Wrench provides with an option to define mail bodies. For more information on defining mail bodies refer to Configuration Wizard>>Control Panel>>Work Flow>>Work Flow Organizer in the administrator's manual.


Auto Creation of Tasks

While adding documents to Wrench, tasks can be created automatically. Tasks are created based on settings defined in the document default properties.

Prerequisites

In the document default properties the following settings has to be defined

  1. Auto Attach documents to the task: Select between Link or Refer
  2. Task Linking Matching Options: You can select different options for linking documents to tasks. They are
  • Reserved Document Number: On selecting this option a task is created with task name as Reserved Document Number.
  • Reserved Client Document Number: On selecting this option a task is created with task name as Reserved Client Document Number.
  • Reserved Vendor Document Number: On selecting this option a task is created with task name as Reserved Vendor Document Number

NOTE: If a task already exists with the reserved document number, the added document is linked to the task, or else a new task is created with the reserved document number. If a new task is created for the purpose of linking documents, a default task genealogy is not required. Document is linked irrespective of workflow team. Workflow of task is inherited to the document.

Figure: Document Default properties window

Auto creation of tasks

While adding documents to Wrench, tasks can be created automatically with the document linked to the task. The Task Name of the generated task will be same as the Reserved Document Number, Reserved Client Document Number or Reserved Vendor Document Number, whichever is selected. Now let us see how tasks are generated automatically.

Adding Documents

For more information on document addition refer Adding Single Documents .

NOTE: Please ensure that the document is added under the genealogy for which the auto linking option has been enabled .

In the Document addition window that is displayed in the following figure observe the Document Number. When the task is created automatically this document number will be the Task ID.

Figure: Document Addition window

  1. Click Ok to add the document to Wrench
  2. Multiple Task Adding window is displayed

Figure: Multiple Task Adding window

  3. In the Multiple Task Adding window, the Task Name of the generated task and the Reserved Document Number are the same.

NOTE: If a workflow is assigned to the genealogy, the workflow for this task is started automatically and the work is sent to the resources in the first stage of the workflow.

Defining Task properties

  1. Choose the automatically created task and select Task Properties from the navigation bar

  2. Task Properties window is displayed

  3. In the task properties window enter the values accordingly and click OK to continue
  4. In the toolbar click Update Task Details to update the task properties that were edited

Figure: Scheduling and adding task to Wrench

  5. Click Close to exit the window
  6. Document successfully added message is displayed. Click OK to continue

A task will be created and the added document will be linked to this task .


Adding Multiple Documents

Wrench also provides users the facility to Add Multiple Documents.

Business Scenario: Being the DCC of a contracting company you receive a set of design contract drawings from the design consultant based on which the detailed drawings are to be prepared. For this you need to add all these design drawings as bulk to the system so that later on, these documents can be added to each task and sent to the designers to work on.

Multiple Documents could be added into Wrench either by:

  1. Selecting multiple document window, defining Document properties and applying to the selected files and saving them to wrench.
  2. Generating an MS Excel template, specifying all the Document properties and bulk importing into wrench.

Prerequisites

Only a user with rights to add documents to a specific document genealogy can do so. User Security and User Group Security can be assigned at the Configuration Wizard>>Document Genealogy in Control Panel.

Accessing Multiple Document Addition window

Since huge volumes of Documents are to be handled in a project, a facility to handle Documents in bulk is required. Wrench provides the user with an option to add Documents in bulk to Documents Folder, Tasks and Projects.

Figure: Documents

  1. Select the genealogy under which you want to add the documents.
  2. Click Add>>Multiple Documents.

Add Multiple Documents window is displayed.

Figure: Add Multiple Documents window

In the left navigation bar the following options are available.

  1. Document Options
  2. Advanced Options
  3. More Options

Saving views in Multiple Document Addition window

As per the user requirement, they can save different views for the Multiple Document Addition window.

To save a view,

  1. From the Add Multiple Documents window toolbar, select View.
  2. Select Save View, from the drop down list displayed.

Save View window is displayed.

Figure: Save View window

  3. You can enter a name for your view.
  4. You can save the view as Public or Private. Private view can be accessed only by the administrator.
  5. The saved views are displayed in the Views menu. Select a view name and the corresponding view is loaded.

Choose Columns

  1. From the Add Multiple Documents window toolbar, select View.
  2. Select Choose Columns, from the drop down list displayed.
  3. On selecting Customization box is displayed. The edges of the box can be tweaked and the box can be moved to any area in the screen. Select columns in the grid, drag the selected columns and drop them into the box. The columns dropped in the customization box will not be displayed in the grid.

Figure: Customization Box

See Also:

Adding a Single Document

Integrating Xrefs from Auto Cad/Microstation into Wrench

Handling Solid Works Drawings

Handling 3D - 2D Models

Document Search

Document Operations

Adding a Correspondence Documents


Document Options

Following options are grouped under Document Options

Select Files

Wrench Template

Document Properties

Custom Properties

Select Files

Files that are to be added to Wrench can be selected from respective locations.

To Select Files

  1. In the left navigation bar from Document Options click Select Files
  2. Select Files window is displayed
  3. Select the required files
  4. The selected files are displayed in the grid.

Wrench Template

Pre-defined formats or templates can be added and the values for document properties can be mapped.

To select wrench template

  1. In the left navigation bar click Wrench Template.

Templates window is displayed. Templates assigned to the genealogy are displayed here.

Figure: Template selection window

  2. Click the browse button next to Specify Project to select a Project.
  3. Select a Project from the Project Search window. Templates assigned for the project is grouped as Project Dependent templates.
  4. If the checkbox next to Show genealogy independent templates is selected entire list of templates are listed.

NOTE: Project Independent and Project Dependent templates are grouped separately.

  5. Select a template from the list.
  6. Select Number of Files: Here you can enter the number of template files that has to be added. Though same template files are added, later they are modified and saved as different document numbers.
  7. You can select a file name logic from the drop-down list. A file name is generated based on the logic selected.

Document Properties

A document possess various properties. Properties can be assigned to a single document and multiple documents.

To assign document properties

  1. Select the required files from the grid using CTRL key to apply common Document properties to them.
  2. On the Document Options select Document Properties.
  3. Document Properties window is displayed.
  4. Click the Browse button corresponding to Project ID to select a Project.

Figure: Document General Properties

Specify the Document properties here. This include:

-Project ID

-Genealogy

-Document Number

-Document Description

-Client Document Number

-Vendor Document Number

-Area Code

-Area Description

-Internal Revision Number

-Sheet Number

-Sheet Size

-Number of Sheets

-External Agency Transmittal Receipt Date

-External Agency Transmittal Number

NOTE: On selecting a genealogy for which document origin code is defined as "Vendor" the following additional fields "External Agency Transmittal Receipt Date" and "External Agency Transmittal Number" are displayed.

-End of Life

NOTE: Only user's with "Obsolete" right in the document genealogy can add documents to Wrench with end of life period specified. Or else the documents are added without the end of life date specified. Once the document reaches the end of life period it becomes obsolete automatically.

- Workflow

- Number Generation

-Life Cycle Status

-User Rev. Number

  • Specify appropriate values for these fields

The specified values are displayed in the grid corresponding to the selected Documents.

The values for following details are displayed in the grid. The properties may be edited in the grid only for "Referred" Documents.

# | Item | Description
1 | Comments | Comments entered by the user is displayed here.
2 | File Path | The file path of the added Document is displayed here.
3 | Genealogy | You can change the genealogy from the grid in case of Referred Documents.
4 | Document Type | The type of Document is displayed here. Document will be shown as Correspondence if Correspondence genealogy is selected.
5 | Document Number | You can Change the Document Number from the grid.
6 | Document Description | Edit/Specify the Document description from the grid.
7 | Project Number | Select a "Project Number" from the grid.
8 | Client Document Number | Enter an unique number for Client Documents.
9 | Vendor Document Number | Enter a Unique number for Vendor Documents.
10 | Internal Revision Number | Select an Internal Revision Number from a drop-down list.
11 | Life Cycle Status | A Life Cycle Status can be specified.
12 | Revision Number | Select a Revision Number.
13 | Sheet Number | Specify a Sheet Number.
14 | Number of Sheets | Specify the number of sheets.
15 | Sheet Size | A size for the sheets can be specified.
16 | Work Flow Team | A Work Flow team can be selected. For more information on selecting workflow refer Workflow Options.
17 | Add as Released | Selecting this option to add the Document as a released Document.

The selected files with the document properties assigned will be displayed in the grid.

Number generation

Various document number mapping options are available while defining a number generation method for the selected documents.

To define a document Number Generation method

  1. From Document Options click Numbering Options.
  2. Numbering Options window is displayed.

Figure: Mapping Options window

User can select from the following options:

  • Generate New Number for all files: New numbers are generated for selected files.
  • Generate one new number and use it for all files: On selecting this same number is generated for all files.
  • Document Numbering Template: A Document numbering template related the Project can be selected.

For more information on document number generation refer Automatic Number generation

  • Characters of file name + Project Number as Document Number: A Document number is generated based on Project Number and file name. For project independent documents this option is disabled.
  • Characters of file name as Document Number: A Document number is generated based on file name.

Adding Multiple Correspondences

You can Add Multiple Correspondences from the Add Multiple Documents window. For Document types labeled as Correspondence, on Clicking Document Properties in the left navigation bar, the Document General Properties window is displayed.

The following additional details can be entered here.

# | Item | Description
1 | Correspondence Type | Choose between Incoming and Outgoing correspondences.
2 | Reply Required | If a reply is required this select the checkbox against Reply Required.
3 | Expected Reply/Received Back date | If reply required check box is selected these date fields are also enabled. User can specify the dates.
4 | To be Replied by | Click the browse button corresponding to this field to select a user who is responsible for replying to the selected correspondence. This option will be displayed only if the Correspondence Type is selected as Incoming.
5 | Reply to be Received By | Click the browse button corresponding to this field to select a user who is responsible for receiving the reply. This option will be displayed only if the Correspondence Type is selected as Outgoing.
6 | Reply Expected From | Click the browse button corresponding to this field to select a user, from whom the reply is to be expected. This option will be displayed only if the Correspondence Type is selected as Outgoing.
7 | Letter Date | This field is intended to carry the date on which the letter is drafted.
8 | Receipt Date | Documents send to client for their comments, are mostly received by the document controller on hard copy. They scan the comments and also enter the day on which they received it as the 'Received Date.'
9 | Correspondence Reference Number | A unique reference number can be provided for the correspondence.
10 | End of Life | Only user's with "Obsolete" right in the document genealogy can add documents to Wrench with end of life period specified. Or else the documents are added without the end of life date specified. Once the document reaches the end of life period it becomes obsolete automatically.

All these values are displayed in the grid.

Work Flow Options

Documents in Wrench can flow through different stages before it is released. This flow of the documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in Guided Workflow or without any definition like in unguided workflow. Workflow assigned to the genealogy will be usually displayed. You can change the assigned workflow.

To assign a workflow

  1. In the Document General Properties window select the browse button next to Workflow.
  2. Work Flow Options window is displayed. The workflow assigned by default is displayed here.

Figure: Work Flow Options

  3. Click the cross button to remove the existing workflow.
  4. Click the browse button next to Workflow team to select a new workflow.
  5. Workflow Search window is displayed. Here you can search for the workflow and select it.

If a Work Flow is to be added the user can select between Guided Work Flow and Unguided Work Flow.

  1. If Add as released Document is checked browse button corresponding to "Work Flow Team" is disabled.
  2. If Start Work Flow after adding the Document is selected the Document is directed to the first stage automatically.
  3. If Guided Work Flow is selected the user can select a Work Flow Team. While searching for a work flow, if a value "Document" is assigned to the "Module" field the work flows assigned to documents are listed. If no work flows are assigned to the module all the work flows are listed.
  4. Click the “Browse” button to select from a list of Work Flow Team.

For more information on guided and unguided workflow refer Adding a Single Document>>Assigning a Workflow

Custom Properties

Documents have a number of characteristics associated with it. In typical situations the parameters available in Wrench ENT may not be sufficient to capture basic information of the project. In such cases additional characteristics are defined on the project types, called Custom Characteristics. Users can bulk update the custom characteristics of multiple documents grouped based on their genealogy and characteristics class.

To bulk update custom properties

  1. In the Add multiple documents window, select the genealogy header and click Custom Properties .
  2. Bulk update custom properties window is displayed.
  3. For custom properties based on user input, enter the values. For custom properties based on LOV's., browse from the drop- down list .

  4. Select Ok. The custom properties will be updated for the selected files.

Adding documents to Wrench

Documents displayed in the Add Multiple Documents window has to be added to Wrench. Add option helps in carrying out this operation.

To add documents to Wrench

  1. In the Add Multiple Documents window toolbar select Add.
  2. Entire documents are added to Wrench.

Switch to Custom Attributes View

Documents in Wrench will have certain custom attributes. These attributes are different for different kinds of documents. So wrench stores these attributes with respect to different document genealogies. A user adding multiple documents to wrench need to enter all such mandatory custom properties before uploading the documents to wrench. Entering this in the "Normal view" in the multiple document addition window is tedious as there might be documents belonging to different genealogies. So Wrench provides the user two different options for easier entering of custom properties .

Option 1: Switch to custom attributes view

On selecting this view, the grid will get grouped based on document genealogies. In this view the grid will accommodate all the custom characteristics of the document genealogies specified for the items in the grid. User can explode a genealogy group to avail the list of documents under the genealogy. All the custom properties assigned to the genealogy will be active so that user can enter the values for these custom attributes. All the custom properties which are not assigned to the selected genealogy will be inactive and user can identify such fields from a text called "Not Applicable". A user may click on the respective custom property field to enter the value for the property.

NOTE: It is mandatory that all the items in the grid should have a document genealogy.

Figure: Custom Attributes View


Advanced Options

Advanced options that can be performed from the multiple document addition window includes the following

Generate Template

Import

Manage Template

Generate Template

While bulk volumes of documents have to be imported into Wrench, an MS Excel template serves as the medium of import. This template can be generated automatically using Wrench. This MS Excel template contains the same document characteristics that is in Wrench. You can enter the data to be imported into Wrench in this template.

You may generate a template using the following options.

Basic Template

Advanced Template

Select Template

Figure: Generate Template dialog box

To generate a template

  1. In the left pane click Generate Template.
  2. Generate Template window is displayed. Here you can choose an option to generate a template that is discussed in the following section.

Basic Template

The Basic option includes only the mandatory fields required to import documents to Wrench. On selecting this option Save As window is displayed. Here you can enter a file name for the template file being generated. The basic template will be saved in the location you specify.

The following columns will be available in the MS Excel template generated

  • Document Number
  • Document Description
  • Internal Revision Number
  • Sheet Number
  • Number of Sheets
  • File Path
  • Genealogy

Advanced Template

The Advanced option enables you to generate template with all the document properties.

Once a template is generated "Copy Complete" dialog box is displayed.

  1. On selecting Open, the selected file is opened.
  2. On selecting Open Folder, the folder where the file is copied will be opened.

Select Template

You can select user defined templates and use it for bulk import of document. The templates defined using Manage Template option will be available here and will be available in the drop-down list as displayed in the following figure.

The template selected from the drop-down list will be used in bulk import operation.

Importing documents to Wrench

Here you can select the MS Excel file populated with document properties and import it to Wrench.

To import documents to Wrench

  1. In the navigation bar under advanced options select Import.
  2. Open File window is displayed.
  3. Here you can select the MS Excel template from the saved location.
  4. Click Ok to continue. Bulk Import data loaded successfully dialog box is displayed.
  5. Click Ok to continue. In the toolbar click Add to upload the documents to Wrench.

Documents will be uploaded to Wrench.

Managing Templates

You can create different types of templates that can be used for importing documents. In addition existing templates can be edited or removed and a template can be created from an existing template.

To create a templates

  1. In the left navigation bar under advanced options select Manage Template.

Export Template window is displayed.

Figure: Export Template window

  3. In the toolbar click New.
  4. Export Template Columns window is displayed.
  5. Enter a file name for the template.
  6. Select the document properties you want to export.

Figure: Selecting document properties

  7. Click Ok to continue.
  8. The template created is displayed in the Export Template window.

Now when you generate a template using the Select Template option, the templates created are displayed in the drop-down list.


More Options

Here option to add multiple documents without attaching a file and add documents to a personal folder is available. So when adding documents there is no need to attach files, but the files can be attached later. Without attaching the file document properties can be assigned and the document can be saved to Wrench.

To add multiple documents without a file

  1. In the More Options choose the number of files you want to add. You can choose the number of files by clicking the arrow.

Figure: Adding multiple documents without a file

  2. Click OK.

Columns equal to the number specified under More Options is inserted in the grid.

  3. Assign different document properties to the documents. For more information on assigning document properties refer Document Options>>Document Properties .
  4. Click Add to complete adding of documents.

To add files to a personal folder

When it is required to add documents to personal folders, instead of opening the personal folder and adding documents to it, you can add documents to the personal folder from the document addition window itself.

  1. In the multiple document addition window click the browse button next to Select Personal Folder.

  2. Folder List window is displayed. Select the personal folder to which you want to add the document.
  3. Click OK to continue.

Inherit properties from personal folder rules: If this option is selected, and the Assign button is clicked the properties assigned to the selected personal is applied to the document addition window.

Now when you save and upload the documents to WRENCH, the selected documents are saved in the personal folder you selected.


Document Operations

A set of robust document management features provided by Wrench helps in controlling the entire document life cycle in your organization. You can create, review, publish and finally dispose or retain the documents as per your organizational policies. The documents managed by Wrench include Drawing, Contracts, reports, schedules, tenders and bid documents. Information mining and knowledge management are made much easier by these operations. You can perform these document operations from the following areas in Wrench:

-Wrench Desktop

-Workspace

-Document Details window

-Task properties window related items tab

-Document Search window

-Document Personal Folder

Prerequisites

Appropriate security rights have to be defined in the Document genealogy before the user can perform these operations. These permissions are assigned from security center in the control panel. For more information on managing document security refer the Administrator's Manual.

Figure: Assigning permissions for document operations

Document Operations from the desktop

Wrench desktop is a location from where the document you need can be located and various actions can be performed on the selected document.

  1. From the desktop navigation bar select Folders.
  2. From the folder select Documents.
  3. Select the Genealogy under which your document is grouped.
  4. Entire documents under the folder is displayed.
  5. Select the document you need and right-click.

Various options are available in the right click menu.

To obtained a detailed description on these operation use the following navigation table.

Navigation Table

To | See
View a document | View
Open a document using an application of users choice | Open With
View detailed document properties | Show Details
Refresh a folder and its contents | Refresh
Display the properties assigned for a document | Properties
Send documents to personal folders | Send to Personal Folders
Create a shortcut of the selected document | Send to Desktop
Create a document | New
Send documents through mail | Send Mail
Routing documents through workflow | Send
Move the document from the current location | Cut, Copy and Paste
Copy a document to a specific location | Copy Out
Open a file for editing | Check Out
Put back the file after editing | Check In
Replace a document with a selected document | Replace
Generate a print copy of a document | Print
Release a completed document | Release
Edit a released document | Revise
Revise a document in a fast track mode | Fast Track Revision
Delete a document permanently from the system | Remove
Edit the document information | Update Document Details
Creating a Transmittal | Create Transmittal
Sending the notifications | Send Notifications
View Comment files | View Comments
Create Document Links | Create Document Links

View

Select this option to view the contents of the selected document. The select document is opened in the default viewer.

Open With

In wrench the default viewers can be defined for opening and viewing files. If there are no default viewers defined then on viewing the file, wrench will try to open the native application. If users need to open a file using a program of their choice the option open with is used. Select the document and from the right-click menu select Open With. Windows 'Program selection' window will be displayed.

Show Details

A document usually has a large number of properties related to it. Some of these properties keeps changing automatically during the process flow, while other properties are updated manually. Show Details option displays the latest document properties in detail.

To view detail of a document

  1. Select a Document from the root level genealogy and right-click
  2. From the right-click menu select Show Details
  3. Document Details window is displayed. For more information on document details window refer Document Details window

Refresh

Refresh option will refresh the current folder and its contents. Each time you click the Refresh option, the documents displayed on the desktop are refreshed. The most recently added documents in that level are displayed in the desktop and those documents which are deleted are removed from the desktop.

Properties

This option will display the properties (user/user group rights) assigned for the documents. A document is usually grouped under a genealogy . Usually a set of properties are defined for a genealogy and these are applicable for the entire documents grouped under this genealogy. How ever properties can be assigned for the document also. In this case properties assigned at the document level will have higher preference .

Send to Personal Folders

Personal folders are virtual folders created by a user. Set of documents belonging to different genealogies which are handled by the user frequently can be send to the personal folders or can be moved automatically to the personal folder by defining rules. So the entire documents will be available at a centralized location. This drastically reduces the time lost in searching and retrieving frequently used documents.

You are in charge of the purchase department and each order raised by other departments are to be reviewed and approved by you. You can define a rule so that all the purchase orders created by other departments are available in your personal folder. In this way entire purchase orders will be available in your personal folder which makes the task of locating the purchase orders more easy.

By selecting additional criteria while creating rules, you can refine the purchase orders that are moved to the personal folders. There is also provision for selecting each purchase order and send it your personal folder.

Sending documents to personal folders

  1. Select single or multiple documents and from the right-click menu select Send to Personal Folders.
  2. The selected documents is copied to the personal folders .

For more details on personal folders and defining rules refer Personal Folders.

Send to Desktop (Create Shortcut)

You can create a shortcut icon for the frequently opened document. Double-click the shortcut icon to open the corresponding document.

You are creating a specification document based on product specialists and managers. Constant changes are to be made to this document till the final form of the document is agreed upon. Each time a change is to be made to the document, you can open the document by double-clicking the shortcut icon for the document.

New

Document creation and addition is an important operation in Wrench. This option permits a user with appropriate security right to create a document from the leaf level document genealogy. The newly created document will inherit the properties defined for the genealogy under which it is added.

Adding documents to Wrench

  1. On the leaf level genealogy right-click.
  2. From the right-click menu select Add.

Figure: Adding documents to Wrench

From the ensuing menu select one from three options available.

  • Select Single Document to create and add a single document. Refer Add Single Document for more details
  • Select Multiple Document to add multiple documents. Refer Add Multiple Document for more details
  • Select Fetch Mail to initiate a fetch mail operation. Refer Correspondence Document Handling for more details.

Send Mail

While working with some documents in Wrench, send documents by outlook mail to others for verification, review or approval. Send Mail option can be used to accomplish this.

The Send Mail option in the navigation bar assists the user in sending external mails from Wrench with the selected documents as attachments in the mail.

Sending Documents through Mail

  1. In the navigation bar select Send Mail.
  2. Outlook window for creating "New Mail" is displayed. The selected document is displayed as attachment in the New Mail window.
  3. Send the mail after incorporating appropriate entries.

NOTE: Only a user with Copy permission in the document genealogy can perform this operation

Send

On selecting this option, Send window is displayed where you can sent the document to the next stage users of the workflow. This operation is possible only for the current stage user.

If there is no workflow assigned to the selected document, the system will prompt for a message "There is no workflow assigned to this item. Do you want to assign a workflow now?".

Cut, Copy and Paste operations

Cut: You can move a document from the current location and move it another location of your choice.

NOTE: User with remove right in the original folder and add right in the target folder can perform this operation. Once the document is moved it will be no more available in its original location.

Copy and Paste: You can create an identical copy of the selected document in another location of your preference. The document is retained at its original location. Only a copy of the document is created at the new location. The paste option completes the moving or copying of a document from one location to another. A cut operation or copy operation is always followed by a paste operation.

NOTE : Only a user with Copy right in the source folder and Add right in the target folder can perform this operation.

To move or copy a selected document to another location

  1. Right-click the document which is to moved or copied.
  2. Select Cut or Copy accordingly.
  3. Select the target folder.
  4. Select Paste from the right-click menu.
  5. The file will be now available in the new location.

Copy Out

Sometimes files available in Wrench may be used as referral document for creating similar documents. The files are usually copied out to location of your choice. If a file is copied out and changes are made on it, the changes cannot be updated on the original Document which is in Wrench Enterprise.

You have a specification document existing in Wrench. Now you need to create another specification document but with minor changes. Instead of recreating the document, you can copy out the original document, make the necessary changes and save it as a new document.

NOTE: Only a user with Copy permission in document genealogy can perform this operation. Though only a single file can only be copied out from the desktop, Wrench permits multiple copying out of files from the document search window. For more information refer Document Search

Copying out a file

  1. Select a Document and right-click.
  2. From the right-click menu select Copy Out.
  3. Specify a location in your computer to save this file.

Once the file copying is complete the following dialog box is displayed.

Figure: Copy Complete dialog box

The following buttons are displayed on the Copy Complete dialog box.

Open: Select this open to view the contents of the copied file.

Open Folder: Select this option to open the folder where the file was copied to.

Close: Select this option to close the dialog box.

TIP: You can restrict the dialog box from being displayed for further copy out operations by selecting the checkbox next to "Do not show this message again."

Check Out

Entire Documents managed by Wrench are stored on a central server. When files have to be taken from Wrench into the local machine for editing, it has to be checked out. On checking out, the file is locked by the user for editing. The checked out document is opened in the native application and user can make the necessary changes to the document. A checked out document is indicated by a red tick mark while it is displayed.

Figure: Checked Out document

NOTE: To check out a work in progress Document, the user should have "Edit in Work in Progress Document" right in the document genealogy and also the document should be in the user's workspace. To check out a released document, user should have "Edit Release Documents" right in the document genealogy.

Checking Out a document

  1. Select the document and right-click.
  2. From the right-click menu select Check Out.
  3. Check Out Manager window is displayed.

Figure: Check Out Manager window

The document details (Document Number, File Name and Description) displayed in the check out manager window assists the user in confirming the document selected for editing is the correct one.

  • Check Out Path: Check Out Path is the location where the file is to copied for editing. Select the browse button to select a file path.

Tip: Checkout path can be predefined in Personal Preferences and from the Control Panel. For more information on control panel operations refer Administrator's Manual.

  • Watch this file: Select the checkbox against this option, so that the file checked out in the specified Checkout Path gets watched and updates to the wrench vault by the Wrench file watcher.

NOTE: This option will be displayed only if the user has installed File Watcher by clicking Install option in Control Panel >> Settings>> Performance and Utilities>>General tab.

NOTE: The document version number of the check out document would not get changed while the file gets updated using wrench file watcher. The version number only get incremented while the user checks in the particular document.

  • Remarks: Additional comments can be provided prior to checking out the document. This comment is displayed in the document details window.
  4. Click Ok.
  5. Download Manager window is displayed. A status bar indicating the progress of download is displayed on this window.

File: Download Manager

The selected file will open up in the native program and you can make necessary changes to the document.

Do not show this window again: On selecting the checkbox next to this option, the check out window will not be displayed in the next instance of check out. If the check out box has to be displayed again, you can clear the cache from the Personal Preferences window. In the Clear Cache window you can select the check box next to Check Out / Check In Dialogue.

Check In

Check In is the reverse operation of Check Out. It is the process of sending a Document back to the server after editing. The Check In button is enabled on the menu only if the selected document is checked out. A red tick mark indicates whether the selected document is checked out. On checking in a document the version number increases.

Checking In a document

  1. Select the checked out document and right-click.
  2. In the right-click menu select Check In.
  3. Check In Manager window is displayed.

Figure: Check In Manager

The document details displayed in the Check In Manager window assists the user in confirming the document selected for checking in is correct.

The following check in details can also be provided

  • File Path: Specify the location of the edited file. It has to be the path registered in Wrench at the time of check out. You can also enter your comments on checking in a document.
  • Check In as Folder: Instead of checking out a single document, an entire folder can be checked out. After editing the documents in the folder user can save the changes and check in the entire folder back to the server. If this option is selected, while performing a check in operation you can select the checked out folder and check in back to Wrench. On clicking the browse button Browse Folder window is displayed from where you can select the folder to check in.

NOTE: This option is available only if you have checked out a folder.

  • Keep the Document as Checked Out: If you need to continue with the editing process but want the rest of the users to view the document with the latest updated changes, select the checkbox against Keep the Document as Checked Out. A version will be saved in the server while the user may continue to work on the Document. The Document status will be kept as Checked Out.
  • Publish this Document: On selecting this option the Xref publishing feature allows the user to view a Parent drawing with the latest published version of the Child xref. For more information on publishing a document refer Integrating X-refs from Auto cad into Wrench.

NOTE: This option is enabled only if Enable Publishing is selected in Control Panel>>Performance and Utilities>>Documents. For more information see Administrator's guide.

NOTE: While Checking In an open or read only documents the system returns a message asking for the confirmation of the operation. On confirmation the last saved version is Checked In.

  • Do not show this window again: On selecting the checkbox next to this option, the check out window will not be displayed in the next instance of check out. If the check out box has to be displayed again, you can clear the cache from the Personal Preferences window. In the Clear Cache window you can select the check box next to Check Out / Check In Dialogue.

  • Click Ok to complete the process. On successful Check In, the Document will be put back to the server. Check in operation will create a new version to retain the file which is existing on server prior to check in.

NOTE: If you have defined a workflow team for the genealogy through Ddefault properties tab of Document Properties window. Then while checking-in an open or read only documents the following message is displayed.

Checking In a document added as Mapped Template

While Check In operation is performed on a single document added as mapped templates, the system returns a message asking whether the characteristics of the document is to be mapped. Click Yes to map the characteristics. Click No to cancel the operation.

If the check box against Do not show this message again is selected; next time the document is checked in, the system does not return any message. Characteristic mapping is carried out based on the last assigned preference from the user.

NOTE: On clearing cache in Personal Preference>>Cache the remember option will also get cleared.

Replace

Instead of checking out the document, editing it and checking in the document; the document can be replaced with the selected document. While Replacing an open or read only documents the system returns a message asking for the confirmation of the operation. On confirmation the document is replaced with the last saved version of the document.

To Replace a document

  1. Select the Document and right-click.
  2. From the right-click menu select Replace.
  3. Replace manager window is displayed.

Figure: Replace Manager

The document details (Document Number, File Name, Internal Revision Number, Revision Number and Version Number) displayed in the Check In Manager window assists the user in confirming the document selected for replacing is correct.

Click the browse button to select the file which will replace the existing file. You can also drag the file to replace window instead of browsing.

The following replace options can be defined from the window:

Replace Path: You can select the path where the file or folder that is to be replaced is located.

Select Folder to Replace: If you need to replace an entire folder you can select the checkbox against this option. Clicking the browse button against replace path Browse Folder window is displayed. You can select a folder to replace.

While Replacing an open or read only documents the system returns a message asking for the confirmation of the operation. On confirmation the document is replaced with the last saved version of the document.

NOTE: Documents that are in Checked Out status cannot be replaced.

NOTE: If you have defined a workflow team for the genealogy through Ddefault properties tab of Document Properties window; then while replacing a document the following message is displayed.

.

Print

Since your entire document operations can be automated through Wrench, a need to print a document arises very rarely. In some organizations usage and access of Wrench may be limited to only a selected of users. If the users who do not have to access to Wrench needs some documents in Wrench, a print out these documents can be generated and circulated.

Tender documents can be created and added to Wrench. The tenders documents prior to approval goes through various departments and changes are made into this document. The final form of this document is submitted to your prospective clients who does not have access to Wrench. Also prior to submitting the tenders rubber seals are applied to the tenders and are signed by the authorised signatories. For this a print out the tender documents are generated.

To print a document

  1. From the desktop select a document and right-click.
  2. From the right-click menu select Print.

Release

A document before taking its final form goes through various processes and procedures. Once a document is considered complete, then it is released. Once released the document needs to undergo a change management procedure to be edited again. Releasing a document is analogous to locking the document in a safe location.

Electrical drawings in an organization have to go through various departments before it is finalised. Once the drawing is finalised it is released. Only the released copy of the drawing is used to start the electrical works in the project.

Releasing a document

  1. From the desktop select the document and right-click.
  2. On the right-click menu select Release.

Only a user with Release rights in the genealogy can perform this operation.

NOTE: If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

Revise

Once a document is released in Wrench it cannot be edited until it is revised. Revising a document will increment the control number which is the Internal Revision Number. Once revised, the document can be edited by the user. Each revision will increase the Internal Revision Number of the document. Revision of documents are carried out based on the settings assigned for the document type( genealogy) .

Revising a document

  1. From the desktop select the document and right-click.
  2. From the right-click menu select Revise.
  3. A change request is raised. For more information on raising a change request refer Change Request section in the manual.
  4. On successful revision the status of the document is changed from Release to Work in Progress.

Fast Track Revision

A revision process is used for editing files. Most organizations have a change approval procedure. If changes are to be made then it is only done after approval from authorized resources. Prior to submitting and approving a change request detailed impact analysis is needed. If changes are to be done immediately then Fast Track process is used which will allow users to edit information without change management procedures.

In this project in addition to the common As Built drawing, major contractors and subcontractors maintain their own set of as-built drawings. Electrical contractors, Plumbing contractors, and other professionals make changes to their drawings without holding up the job. At the end of the project, entire changes have to be reflected in the As built drawing which will be delivered to the client.

To revise a document in fast track mode

  1. From the desktop select the document which is to be revised and right-click.
  2. From the right-click menu select Fast Track Revision.
  3. A change request is raised. Enter the appropriate values in the Change Request window. For more information on change request operations refer Change Request section.

Remove

Documents which are no longer in user can be deleted permanently from the system.

Removing a document

  1. From the desktop select the document to be removed and right-click.
  2. Select Remove from the right-click menu.

If the selected document is connected to a CR or a Released Transmittal the following warning message is displayed.

  3. Click Show Details to view a list of objects to which the document is connected.
  4. Click Yes to confirm operation.
  5. The selected document will be deleted.

Update Document Details

Document details includes document related basic information like document number, document description, advanced details like Check Out information and document release information, Approval Status code details and Transmittal details. Sometimes these information need to be changed.

Updating the details of a document

  1. From the desktop select the document and right-click.
  2. On the right-click menu select Update Document Details.

If the Document is "Work In Progress" and is available in the current user's workspace, some of the Document characteristics can be edited .

  3. On clicking Update Document Details window "Document Property" group in the Document details window will become editable.

NOTE: Only a user with Edit right for a specific operation in the genealogy can perform this operation. For more information on Document rights refer Security Center in the administrator's manual.

# | Field | Description
1 | Document Number | Document Number can be Updated or Edited.
2 | Sheet Number | To specify the Sheet Number click on the arrow corresponding to "Sheet Number."
3 | Number of Sheets | To specify the number of sheets click on arrow corresponding to "Number of Sheets."
4 | Description | Edit or Update the Document description.
5 | Internal Revision Number | A user with appropriate rights can update the Internal Revision Number. Select the Internal Revision number from a drop-down list.
6 | Revision Number | A user with appropriate rights can update the Revision Number. User can select one from a drop-down list. Click "Revision History" tab to view the updated Revision Number. For more information on Revision Number refer Adding a Single Document .
7 | Life Cycle Status | It is not possible to Edit or Update this value. For more information refer Life Cycle Status History
8 | Version Number | Edit or Update this value. For more information refer Version History.
9 | Document Genealogy | Click the "Browse" button to select a Document Genealogy.
10 | Project ID | Click the "Browse" button to select a Project ID.
11 | Project Description | A Description corresponding to the selected Project ID is displayed.
12 | File Name | The file name is displayed.
13 | Sheet Size | A Sheet size can be selected from a drop-down list.
14 | Status | The status of the selected Document is displayed.
15 | Created By | Name of the user who created the Document is displayed.
16 | Created On | The date on which the Document was created is displayed.

Create Transmittal

Select this option to create a transmittal and send the selected document. For more on information on creating and sending transmittals refer Create Transmittals in the succeeding section.

Send Notification

  1. Click Send Notification.

Notifications window is displayed.

Figure: Notifications window

  2. Enter the recipients for the notification.
  3. Select the required object from the drop-down combo next to Object option.
  4. Click Insert button to insert the selected properties in the Subject or Message field.
  5. Click Send button to send a notification mail to selected users.

View Comments

Click this option to view the comment files attached to the selected document.

Create document link

For sharing documents with clients or vendors, a link for downloading the documents can be generated. Click Create Link to generate an external link and internal link. While generating a link, an expiry date can be set for the link. Also the type of file that has to be shared can be selected. It is possible to share the main document, specter of the document, any other type of attachment or all of them together.

This operation can be carried out from the right-click menu after selecting a document from the folder and from the task properties, related item tab.

NOTE: A link is created only if a Link authentication user is configured in WRENCH ATOM.

To create document link

  1. In the desktop folder select the document.
  2. In the right-click menu click Create Document Link.

Create Document Web Url window is displayed.

Figure: Create Document Web URL window

  3. In the window enter values for the following properties.

Link expires on: Select the date on which the link becomes invalid or obsolete. Date can be selected from a date picker.

Attach: Select the checkbox to choose the type of file that has to be shared through the link. Main document, specter of the document, other types of attachments or all of them can be shared with the link.

Allow access to newer version: On selecting this option while generating the link, newer versions of the shared document will be available for the users who have access to the documents shared through the link.

Access restricted to Wrench users: On selecting this option document link will be accessed by only users with Wrench login.

  4. Click Create Link.

An external and internal link are created.

Figure: Creating external and internal link

NOTE: There are scenarios where WRENCH is distributed from a datacenter within the office to both internal network as well as external internet. User from outside the office may access WRENCH using a public URL while users within the office network may access it using an internal URL. The public URL is available in the “External Link” and the other one in the “Internal Link” respectively.

  5. Click Send Mail.

MS Outlook mail composing window is displayed. Mail Subject, External and Internal links are inserted by the system in the mail body.

  6. Enter the mail recipients and send the mail.

See Also

Adding a Single Document

Adding Multiple Documents

Integrating Xrefs from Auto Cad/Microstation into Wrench

Handling Solid Works Drawings

Handling 3D - 2D Models

Document Search

Adding a Correspondence Document


Document Details Window

Document details window is the centralized location from where almost entire document related operations can be performed. A comprehensive information on the properties assigned to the documents are available here. Wrench ensures that the document details window contains entire information about a specific document.

Opening the Document Details window

Document details window can be opened either by double-clicking a document or selecting Show details from the right-click menu of a document.

Navigating through the Document Details Window

Document details window is displayed in the following figure.

Figure: Document Details window

The document details window comprises of the left navigation bar, Tabs under which information are grouped, and the grid where information is displayed. The left navigation bar is further divided into the following sections. The options in the left navigation bar is explained separately.

Document Options

Sending Options

Print / Scan options

Commenting Options

Advanced Options

Document Property View

Configure Operations

Document Details grid

For an orderly arrangement of information related to document properties the document details grid is further divided into:

  • Basic Document Details.
  • Advanced Document Details.
  • Approval Status Code Details.
  • Template Details.
  • Receipt Details.
  • Correspondence Details.

  • Area Details.
  • System Details

Basic Document details

Basic properties of a document are displayed here. The following fields are grouped under basic document details.

-Document Number.
-Sheet Number.
-Number of Sheets.
-Description.
-Internal Revision Number: Select the Internal Revision Number from a drop-down list.
- Revision Number: You can select from a drop-down list.
-Life Cycle Status.
-Version Number.
-Document Genealogy.
-Project ID.
-Project Description.
-File Name.
-Sheet Size.
-Status.
-Created By.
-Created On.
-Scale Value.
-Checkout By.
-Checkout On.
-Checkout Path.
-Checkout PC.
-Last Edited/Checked In by.
-Last Edited/Checked In On
-Last Check In comments.

Advanced Document details

Advance properties of a document are listed here. The following fields are grouped under advanced document details.

-Internal Approve Status Code
-End of Life: The end of life date specified while adding a document is displayed here
-Internal Status Description
-Expected Receipt Date
-Client Document Number
-Revision Required (Internal)
-Release status
-Vendor Document Number
-Checkout By
-Checkout On
-Checkout path
-Checkout PC
-Last Edited or Check-in By
-Last Edited or Check-in On
-Last Check-In Comments
-Released By
-Release On
-Final Released By
-Final Released On
-Publish

Approval Status Code details

At the time of initiation of a project approval codes which are to be used for the project are agreed upon with the client. On submittal to clients for approval, clients respond back with these codes. To accommodate these codes Wrench saves the various approval codes with internal codes. Approval codes includes Approval Status Code (Internal), Approval Status Code (Client) and Approval Status Description.

When drawings or documents are to be submitted by vendors, the internal codes defined for the project is used to indicate the approval.

Documents which are submitted to clients are usually for approval or for information purpose. This means that only those documents which require approval need to be approved by the client. For documents send for Information, client approval is not required to continue the workflow.

Approval Status Code details of a document is listed here. The following fields are grouped under this area.

-Approval Status Code (Internal)
-Approval Status Code (Client)
-Approval Status Description
-Client Reference
-Received Back On
-Approval Requirement Description
-Revision Required

NOTE: While updating approval status code for the field Received Back On, by default, time at the instance of updating is captured.

Template Details

The fields grouped under this area:

-Template

-Auto Cad Space

Submission Details

For document with vendor origin submission details are to be updated. The following fields are grouped under this area. For more information refer Advanced Options>>Submission Details

-External Agency Transmittal Number

-External Agency Transmittal Receipt Date

Correspondence Details

Correspondences include letters, faxes and mails. In an engineering organization letters and faxes constitute 70 percentage of the correspondences. Correspondences can be further categorized as incoming and outgoing correspondences. Letters, faxes and mails received by the organization are incoming correspondences while any correspondence sent from the organization comes under the category of outgoing correspondences.

For document genealogy defined as correspondence the following fields are displayed in the grid.

For Correspondence Type "Incoming" the following details are displayed.

-Correspondence Type

-Reply Required

-Expected Reply Date

-To Be Replied By

-Letter Date

-Receipt Date

-Actual Reply Date

For Correspondence Type "Outgoing" the following details are displayed.

-Correspondence Type

-Reply Required

-Expected Receive Back Date

-Reply to be Received by

-Reply Expected From

-Letter Date

-Issue Date

-Actual Reply Receipt Date

NOTE: Letter date, Correspondence Type, Correspondence date and Issue date can be edited.

Area Details

The following area detail are displayed:

-Area Code.

-Area Description.

Here the area details of the document is displayed. When documents without an area description is linked to a task with area description, area description of the task is mapped to the document details. A document with a different area code can be added to a task with area code.

System Details

The following System Details are displayed.

  • System Code
  • System Description

You can browse and select the values for these fields.

A user with appropriate rights can make the necessary changes in the Document details window. Click "Apply or Ok" to save the changes.

  • Document Details
  • Attachments
  • Version History
  • Life cycle status history
  • Revision History
  • Usage Information
  • Workflow Details

The properties in the document details window are grouped as Document Options, Sending options and Advanced Options . If the user has appropriate rights to update the documents “Apply/Ok” button is enabled. The document details window displays the properties which are not editable as disabled. A user with appropriate right can update Document details from this window by clicking Update Document details.


Document Options

From the document details window various document related operations can be performed. Most of these operations have been listed out and explained in the section Document Operations . However the remaining operations have been explained in the following sections. You can refer the following navigation table to obtain a detailed description of these options.

Navigation Table

To | See
Display the contents of the selected document | View
Open a document using the application of your choice | Open With
Edit the selected document and save it back to the server | Check Out and Check In
Cancel the changes made to a document | Undo Check Out
Copy the selected document to a specific location | Copy Out
Send documents through mail | Send Mail
Send reply to correspondence through transmittal | Create Transmittal
Permanently delete the document from Wrench | Delete
Release a completed document | Release
Revise a document in fast track mode | Fast Track Revision
Make a document no longer in use | Obsolete
Restore the status of the document | Revoke
Sending notifications | Send Notification
Digitally sign your documents | Sign
Replace the chosen document | Replace
Print the selected document | Print
Stamp the selected document | Stamp

Figure: Document Options

View

Select this option to view the contents of the selected document. For more information on viewing a document refer Document Operations>>View

Open with

Select this option to open the chosen document with application of your choice. For more information on this option refer Document Operations>>Open With

Check out and Check in

Select this option to edit a document and save it back to the server. For more information on the option refer Document Operations>>Check Out and Check In

Undo check out

After checking out a document, editing and saving the document sometime you may need to cancel the changes made. You can use "Undo Checkout" option to cancel the changes made after checking out a document. The edited file is removed and the file on the server will be retained so that the original remains without any changes.

Replace

Select this option to replace the chosen document. For more information on this option refer Document Operations>>Replace

Replace with template

Select this option to replace the document with document template. On replacing the original document will be lost and the document will be replaced by the template.

Copy out

Select this option to copy the chosen document to a specific location. For more information on this option refer Document Operations>>Copy Out

Send Mail

While working with some documents in Wrench, it might be required to send documents by outlook mail to others for verification, review or approval. Send Mail option can be used to accomplish this.

The Send Mail option in the navigation bar assists the user in sending external mails from Wrench with the selected documents as attachments in the mail. Documents and Document Attachments can be send using this option.

Sending document and document attachments through Mail

  1. In the navigation bar select "Send Mail."
  2. Distribution Option window is displayed

Figure: Distribution Option

  3. Select the checkbox next to documents if only documents have to be send.
  4. Select the checkbox next to Document Attachments if attachments also have to be send with the documents. The type of attachments or associated files can also be selected .
  5. Click OK to continue.
  6. Outlook window for creating "New Mail" is displayed. The selected document and its associated files are displayed as attachment in the New Mail window.
  7. Send the mail after incorporating appropriate entries.

NOTE: Only a user with Copy permission in the document genealogy can perform this operation

Create Transmittal

Reply to correspondences can now be sent to relevant stake holders through a transmittal. For sending the reply through a transmittal ‘Create transmittal' option is available in document details window.

On selecting this option Transmittal Type window is displayed. You can select the transmittal type and the document transmittal window is displayed. Here you can enter values for the fields in the window. For more information on transmittals refer the section Creating a Transmittal .

Send to Personal Folder

Select this option to send the document to a personal folder already created.

Delete

You can permanently remove the document from Wrench using the delete option. This helps in removing redundant documents and thus saving disk space.

Deleting a document

  1. Click "Delete" to remove the document.
  2. If the document is either linked to a CR or a transmittal a warning message is displayed. Clicking show details displays the list of objects to which the document is linked. Click "Yes" to confirm the deletion.

Release

Select this option to release a completed document. For more information on this option refer Document Operations>>Release

Fast Track Revision

For more information on this option refer Document Operations>>Fast Track Revision

Obsolete Document

A document is considered obsolete when it is no longer in use. An obsolete document is usually retained for knowledge preservation . This means the information contained in the document can only be used as a reference but cannot be used for any other purpose. Obsolete documents are removed from the point of use.

For Example: If you need previous specifications to be viewed by others for reference without using it the document can be made obsolete.

Making a document obsolete

  1. From the left navigation bar Document Options select Obsolete. Clicking this option the document is made obsolete.
  2. Enter comments in the space provided. On successful obsolescence these comments are updated to the document details.

Figure: Add Comments window

A release or a work in progress document may be made obsolete. Once a document is made obsolete mails are generated automatically indicating the same. Send mail window appears displaying the related message.

Selecting the checkbox against "Do not show this message again" prevents the Send Mail window from being displayed at every instance. On clearing the cache the Send Message window is displayed again.

NOTE: Only user with "Obsolete" right in the document genealogy may perform this operation.

If the documents selected for making obsolete are linked to Wrench objects, the system returns a warning message indicating the same. You can either continue or discard the operation.

Click "Show Details" to view the objects to which the selected document is linked. You can also export this list to an MS Excel sheet.

Revoke

Revoking a obsolete document restores the status of the document to the point at which it was made obsolete.

For Example: A document Test.Doc was in work in progress status while it was made obsolete. Now on revoking this document the status is again preserved to as work in progress.

  • In the navigation bar click "Revoke." You can also enter his comments.

Send Notification

Notifications are automatically generated mails notifying the occurrence of an event. The notifications can happen on events like documents getting added, documents getting revised, documents getting routed to another stage and on delays. Mails can be sent to selected users notifying the addition of a document.

  1. From the left navigation bar 'Document Options' of the Document Details window , select Send Notification option.
  2. The Notification window is displayed.

Figure: Notification window

  3. Enter the recipient name in the field provided for that purpose. For ease of entering recipient name you can enter the first alphabet of the name and a name list is displayed as in the preceding figure. You can change a name from the list or you can enter the full user name.

  4. Select the required object from the drop-down combo.

  5. Click Insert button to insert the selected properties in the Subject or Message field.

  6. Select Send to send a notification mail to selected users.

Sign

This option is used to digitally sign you documents. The purpose of a digital signature is the same as your handwritten signature. Instead of using pen and paper, a digital signature uses digital keys . Like the pen and paper method, a digital signature attaches the identity of the signer to the document and records a binding commitment to the document. Unlike a handwritten signature, It is considered impossible to forge a digital signature the way a written signature might be.

If in your organization you commonly sign documents or need to verify the authenticity of documents, then digital signatures can help you save time and paper-handling costs. By verifying the signature the author of the document can ensure the content of the document is not distorted.

Prior to attaching a digital signature to a document, you can configure the signature in the local machine. You can also make use of signatures provided by certification agencies who may be contacted through the Internet.

To digitally sign a document

  1. In the navigation bar of the document details window select “Sign”
  2. “Select Certificate” window is displayed. If signatures are already configured in the local machine they are listed here.

Figure: Select Certificate

  3. Select a signature from the list. The signature selected is inserted into the Wrench document
  4. In case signatures are not available create a new one or obtain one from a certification agency through internet

Verify the signature attached to a document and confirm its authenticity.

Electronically signing a document

You can insert electronic signatures to a specter file. You can also remove an inserted signature and view a log of the signature operations

To insert an electronic signature

  1. Select the document to which specter file is attached and double click
  2. Document Details window is displayed
  3. In the Document Details window under Document Options select Sign. Signature Type dialog box is displayed

Figure: Electronically signing a document

  4. Here you can select the radio button next to Electronic Signature. Click Continue to confirm selection.

The PDF file or the specter file is opened in the Wrench PDF viewer.

  1. In the tool bar select Signature

Figure: Signing in the PDF document

  2. Position the cursor at the location where you need to insert the signature and click
  3. Sign window is displayed. Here you can enter the purpose for signing the document

Figure: Sign dialog box

  4. Click Sign to continue
  5. Signature is inserted as shown in the following figure

Figure: Electronically signed document

To remove the signature

  1. Position the cursor above the signature and right-click.

Figure: Removing Signature

  2. In the right-click menu select Delete annotation.
  3. The inserted signature will be removed.

Print

Select this option to print the chosen document. For more information on this option refer Document Operations>>Print

Stamping a document

Select this option to electronically stamp a document. By inserting electronic stamps on the documents submitted to clients or other external parties the authenticity of the documents can be ensured. Pre-configured signatures such as your name and organization name can be inserted while sending document or drawings out of the office.

Document attributes such as client approval codes, dates, approval authority name etc… can be inserted with the stamp.

In addition a log of stamping activity can be maintained thus helping the audit of stamping. Digital stamp can be inserted on the main document provided it is a PDF file.

To stamp a document

  1. In the navigation bar under Document options click Stamp.

Select window is displayed. Here you have option to choose whether the stamp has to be inserted on the specter or the main document.

NOTE: In case you select the option Specter and there is not specter file for the document, then a request to generate specter file sent. The specter file generated is opened for stamping.

  2. Select an option and click OK.

PDF Viewer is displayed with the selected document opened in the viewer.

NOTE: This pop up should be displayed only if the main document is PDF file. Else it should open the specter file directly.

Figure: PDF Viewer

  3. Select a page in the document where the stamp has to be inserted.
  4. In the toolbar click Stamp

Stamp Type window is displayed

Figure: Selecting Stamp Type

  5. Select the stamp type from a drop-down list. Different stamp types defined in the masters will be available here for selection.
  6. Select a Stamp Type and enter your stamp password.
  7. Click OK.

The document can be rotated clockwise or anti-clockwise so that stamp can be inserted in a convenient position.

NOTE: The Stamp Password is different from your login password

  1. Place the cursor at the position where you want to insert the stamp and click.

The stamp is inserted in the document as displayed in the following figure.

Figure: Inserting Stamp

Removing a stamp

A stamp inserted in a document can be removed before it is saved.

To remove a stamp

  1. Place the cursor on the stamp and right-click
  2. In the right-click menu select Delete Stamp

The stamp will be removed from the document


Sending Options

Sending options include mainly workflow related operations. Operations like routing of documents, viewing workflows, assigning workflow to documents, flushing a workflow, replacing resources assigned to a stage with different resources and updating the approval status code can be performed. Each of these operations are detailed in the following section. You can refer the following navigation table to obtain a detailed description of these options

Navigation Table

To | See
Pass documents from one stage to another | Send
View workflow attached to a document | Show Workflow
Assign workflow to documents | Assign Workflow
Remove a selected document from the workspace | Flush Workflow
Reallocate resources to a workflow | Reassign Resources
Update customers response on a document | Updating Approval Status Code

Figure: Sending Options

Send

Documents are usually passed between individuals in sequence to accomplish specific tasks. Documents can be passed through an automated process or a manual process. Sending is the process of passing documents from one stage to the other. On completion of the activities specified for a stage, the document is passed to the next stage using this option

Sending Documents

  1. From the navigation bar routing options select Send.
  2. Send window is displayed.

For more information on sending and sending related operations refer Workspace>>Sending objects from your workspace

Only current stage user can send the document. For other user's the "Send" option is disabled. For a document retrieved after performing a search operation from the document search window, the "Send" option is enabled only if the user is in the current stage of the workflow.

NOTE: For a task related document, Click 'Send' from the document to route the corresponding task to next stage.

Forward for information

Sometime documents are send to specific resources for the purpose of information only. This means the recipient need not perform any action on the document. Fore more information on forwarding related operations refer Workspace>>Forwarding objects in your workspace

Show Workflow

The work (documents or tasks) in Wrench can flow through different stages before it is released. This flow of the documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in Guided Workflow or without any definition like in unguided workflow. Workflow details includes

- Different stages through which the work passed through

- Details on recipients of the work

- Date on which the work was received

- Date on which the work was closed

The workflow attached to a document can be viewed at any point of time using this option. By viewing the workflow you can get a clear picture of the stages through which the document will traverse through and the resources assigned to various stages in the workflow. Also a detailed description of actions performed on the document can be obtained from the routing details available in the show workflow window

For Example: You need to know which is the next stage in the workflow and the resources assigned to that stage. On clicking Show Workflow these details can be easily obtained.

Viewing the Workflow

  1. From the navigation bar sending options select Show Workflow
  2. Send window is displayed with workflow tab selected.

Figure: Send window

Assign Workflow

Sometime documents are added to Wrench without attaching a workflow to them. Workflow is added to these documents at a later point of time.

For documents added without a workflow attached to them you can assign a workflow using this option. You can also assign workflow to documents that have undergone the Flush Workflow operation.

For more information on assigning workflows refer My Documents>>Assign Workflow

Flush Workflow

If you need to remove the selected document from the workspace of all the users assigned to the workflow then Flush Workflow option is used. The document will be removed from the workspace only after refreshing the workspace. This option is helpful in cases where a document task can be restarted with a new set of resources. A workflow can be created with these resources assigned to the workflow and the workflow can be assigned to this document.

Reassign User

This option is available if the resources assigned to a work in progress work flow are unavailable and resources are to be reallocated for the workflow.

At the start of the project a set of drawings were assigned to a resource. However, in the course of the project this resource was transferred to a different department. You have identified a competent resource from your resource pool. Now you need to transfer the work smoothly to the new resource.

To reassign users

  1. From the navigation bar routing options select Reassign User.
  2. Reassign Resources window is displayed.
  3. Select the stage for which the resources are to be reallocated.
  4. To select a set of new resources click the browse button next to New Resources area.

User list window is displayed from where you can select a set of users. Users selected here are displayed in the New Resources list.

  5. Enter comments on reassigning resources to a stage. Comments entered here will be the content of the mail when Reassigning of resources is completed.
  6. Select the Reassign button.

NOTE: Only users with Reassign resources in the genealogy can perform this operation.

Figure: Reassign Resources window

F Information:

Only "Admin" user or originator can perform this operation.

Updating Approval Status Code

Approval status code defines the customer's response on a document that has been sent for customer approval. At the time of initiation of a project approval codes which are to be used for the project are agreed upon with the client. On submittal to clients for approval, clients respond back with these codes. To accommodate these codes Wrench saves the various approval codes with internal codes. The approval status codes are updated with respect to the response of the client.

For Example: The approval codes are like- A- approval, B-Approval with comments, C- rejected with comments.

Moreover the codes can also denote the specific percentage progress earned.

It can be configured that Code A denotes a progress of 80%, Code B a progress of 75% and Code C denotes no progress is achieved.

Updating approval status codes

  1. From the navigation bar routing options select "Update Approval Status Code"
  2. "Approval Status Code" section of the Document Details window is open

User can Edit or Update the following values in the grid.

1 | Approval Status Code (Internal)
2 | Approval Status Code (Client)
3 | Approval Status Description
4 | Client Reference
5 | Received Back On
6 | Approval Requirement Description
7 | Revision Required
  3. Click "Apply" to confirm changes
  4. Click "Ok."

Users or User Groups with "Update Approval Status Code" right can perform this operation. The current stage user in the release stage can edit the customer workspace even if he is not assigned rights in the document genealogy. The Approval Status Code of a Document is editable irrespective of the status of the document.


Print and Scan Options

Print and Scan requests from the document details window makes printing and scanning operations easily available from the modules in wrench.

Print Request

A user with appropriate rights may raise a request by clicking "Print Request."

Raising a Print Request

  1. On clicking "Print Request" Print Manager window is displayed.

Figure: Print Request window

The Print Request window is detailed in the following table

# | Item Name | Description
1 | Document Number | The unique number of the selected document is displayed here.
2 | Description | The description of the document is displayed here
3 | Internal Revision Number | Current revision number of the selected document is displayed here
4 | Sheet Number | The sheet number of the selected document is displayed here
5 | File Name | The file name of the selected document is displayed here
6 | Document Genealogy | The genealogy of the selected document is displayed here
7 | Print Purpose | Purpose of the print operation is displayed here
8 | No. Of Copies | Number of copies to be printed may be defined here
9 | Comments | Comments on print request is to be entered

Scan Request

A user with appropriate rights may raise a scan request by clicking "Scan Request."

Raising a Scan Request

  1. On clicking "Scan Request" Print Manager window is displayed.

Figure: Scan Request window

The Scan Request window is detailed in the following table

# | Item Name | Description
1 | Document Number | The unique number of the selected document is displayed here.
2 | Description | The description of the document is displayed here
3 | Internal Revision Number | Current revision number of the selected document is displayed here
4 | Sheet Number | The sheet number of the selected document is displayed here
5 | File Name | The file name of the selected document is displayed here
6 | Document Genealogy | The genealogy of the selected document is displayed here
7 | Reason for scanning | Purpose of the scan operation is displayed here
8 | Sender's Comments | Sender of the document may enter a comment here

The "Ok" button in the Scan Manager window is displayed only after the mandatory fields are entered.


Commenting Options

You can select a document, and open the document for commenting from the document details window. You can also attach comments to the document from the document details window and consolidate comments entered by different users. These options are available under Commenting Options in the Document Details window navigation bar.

Open for Commenting

You can select this option to open a document or non-editable version of the document for commenting. On selecting this option, Open window is displayed. Two options Specter and Document are displayed in the window.

To open a document for commenting

In case a normal document is selected option Document is selected by default.

  1. Click Open to open the document for commenting.
  2. Save As window is displayed with the file name displayed. In the window click Save to store the file to a location
  3. Copy Complete window is displayed. Click Open to open the saved file, Open Folder to open the folder or Close to end the operation.
  4. After entering your comments save the document.

In case the selected document is a MS Word document, and the option Specter is selected, the document is saved as a PDF or specter file to a location.

  1. Save As window is displayed with the file name displayed. In the window click Save to store the file to a location
  2. Copy Complete window is displayed

  3. Click Open to open the saved file, Open Folder to open the folder or Close to end the operation.
  4. After entering your comments save the document

To open a Specter for commenting

A specter file can be selected and opened for commenting.

  1. Select the specter file and in the document details window navigation bar select Open for Commenting.
  2. Open window is displayed with the Specter option selected by default. Click Open to continue.
  3. Save As window is displayed. Save the file to a specific location.
  4. Copy Complete window is displayed.
  5. Click Open to open the saved file, Open Folder to open the folder or Close to end the operation.
  6. After entering your comments save the document.

Attaching Comments

Once your comments are entered and the document is saved you have to attach the comment file to the document or drawing.

To attach comment files

  1. In the commenting options click Attach Comments.
  2. Add Associated Document window is displayed. System fetches the saved comment file from the location where it was saved and the file is displayed.

  3. Click OK to attach the comment file to the document. The comment file is attached under the group COMMENTS , in the Attachments tab as displayed in the following figure.

Once the attachment is linked to the document, Send window is displayed. You can send the document to the next stage resource after attaching comments.

NOTE: If you send a document that is opened for comments without attaching comments, a warning message is displayed. You need to attach comments before sending the document.

Consolidate Comments and View

Multiple versions of the comment files can be consolidated and viewed as a single comment file.

To consolidate comments and view

  1. Under the Commenting Options click Consolidate comments.

Consolidate Comment window is displayed.

Figure: Consolidated Comment window

The comments displayed will be sorted based on their version number.

  2. Select the checkbox corresponding to the comment files that need to be consolidated.
  3. Select Review to open the consolidated comment file.
  4. Select Consolidate to attach the consolidated comment file under comments in the Attachment tab

NOTE: In the comment consolidation window latest version of comments are displayed by default.

Cancel Commenting

When documents are opened for commenting or review and if they are not closed, sending such documents through a workflow is restricted. In such cases administrator can close the opened commenting or review session.

To cancel commenting

  1. Under the commenting options click Cancel Commenting.

A warning message "Do you want to cancel the Commenting session" is displayed.

  2. Click Yes to cancel the commenting session.

Commenting session is cancelled successfully.

NOTE: Administrator can cancel an open commenting session of any user, while normal users can close on their open commenting session.


Advanced Options

Advanced options are a set of options that can be performed by user with appropriate rights. Compared to other options in the document details window these operations requires a little bit of expertise. You can perform the advanced operations mentioned in the following navigation table.

Navigation Table

To | See
Cancelling the Check Out status of the document | Undo Check Out
Update the information of the selected documents | Update Document Details
Update the transmittal number and transmittal receipt date | Update Submission Details
Define additional characteristics to a document | Custom Document Details
Record comments on a PDF version of the document | Show Annotations
View the status of replication | Replication Status
Manage external references | External References
View the usage details of the selected document | Usage Information
Update an existing template | Update Template
Create specter files that are to linked with the selected documents | Create Specter

Undo Check Out

If the selected document is checked out, select this option to cancel the check out status of the document.

Update Document Details

Select this option to update the document information of the chosen document. For more information on updating document details refer Document Operations>>Update Document Details

Update Submission Details

Documents are send by vendors to the contractor through transmittals. For the purpose of identification these transmittals have a unique number . On receipt of these transmittals document controller updates the transmittal number and transmittal receipt date into Wrench. These details are used for future reference and communications.

AWE Corporation is a turnkey project contractor. For one of the projects undertaken by them the task of preparing electrical drawings was assigned to an external agency. The external agency or vendor create the drawings and sent it to the contractor through transmittals. A identification number is given to the transmittal. The document controller at AWE Corporation receives the transmittal and updates the transmittal number and date into Wrench.

Updating Submission Details

  1. In Document details Advanced Options click “Update Submission Details”
  2. " Submission Details" area in the Document details window is expanded

Figure: Update Submission Details

NOTE: The option "Update Submission Details" is enabled if the Document is in "Receipt" stage of the work flow or the Document is of Vendor Origin and if the Document is in the current user's workspace .

  3. Enter the External Agency Transmittal number.
  4. Enter “External Agency Transmittal Date.” This is not mandatory in the case of general transmittals.

If the External Agency Transmittal Number is not specified system displays the following message on routing from the "Receipt" stage.

"External Agency Transmittal Number" is not yet populated for some of the Documents in the Task.

NOTE: Default time captured against the field Expected Receipt Date will be Last minute of the work day as per calendar. For Example: 17:59 for 9:00 AM to 6:00 PM work day. In the case of External Agency Transmittal Receipt Date, local time at the time of receipt is captured.

  5. Click "OK/Apply" to confirm changes.

Custom Document Details

In typical situations the parameters available in Wrench may not be sufficient to capture basic information of a document. In such cases additional characteristics are defined for the document, called Custom Characteristics.

In the case of contract documents which are to be added into wrench, the contract amount needs to be registered. The contract amount is not available as a field in wrench. The administrator can provide a provision for this by defining a custom property contract amount in the genealogy or type of documents called contracts. The next time this document type or genealogy is selected, an additional field 'Contract Amount' will be available.

Updating Custom Document Details

  1. From the navigation bar Advanced Options select Custom Document Details
  2. Custom Characteristics window is displayed.

Figure: Custom Document details

  3. Classes and their properties assigned to the Document is displayed.
  4. Update the values for the custom characteristics assigned to the document
  5. Enter a value in the column Value and select Apply to confirm changes
  6. Click Save

The details are updated successfully

Show Annotations

Annotation is a facility by which comments (text annotations) can be recorded on a PDF version of the original Document (Such PDF versions are termed "Specter" files in Wrench Enterprise). Click the "Annotations" button to view a list of existing annotations.

Managing Annotations

Figure: Annotations

The first half of the window is for listing the PDF files in which the annotations are created. When a PDF file is attached to a Document, system will automatically scan the PDF file for annotations and read existing annotations in to a database so that when the file is selected, the list of annotations also can be displayed. The second half of the window is for displaying such annotations found in the selected PDF file. You may attach a new PDF file (containing annotations) by clicking on 'Attach" button. "Detach" button is to remove an annotation file. When an annotation file is removed, all the annotations captured from it also will be removed. "Copy" button is for availing a local copy of a selected annotation file. You may take such copies and create more annotations and attach again. "View" button is to open the selected annotation file in Adobe Acrobat viewer (if installed on the PC).

Replication Status

Wrench centrally manages the distribution of mission critical data across an enterprise by Replication. Replication is the simple idea of maintaining a copy of a set of data on a different computer, local to the point of use. As changes are made to the original data, they are synchronized with the replicated files. Wrench is capable of maintaining multiple replications at different locations and synchronies them when the original file is changed. In cases in which multiple design units are dispersed across geographical locations and would like to share the design work then the option of satellite server comes into picture. The satellite server ensures that the files can be stored in a satellite vault, and files from the main vault and vice versa are replicated. When files are updated on one server, the file replication service replaces the corresponding files on other servers and workstations with the updated files. The replication process enhances file delivery speed as the replication locations can be local to the point of use. Files which otherwise would have been transported can be locally accessed in a replication scenario. This relieves a lot of network load.

Replication status indicates whether the satellite server has initiated a replication, or if the replication is going on or replication is completed.

Raising a replication request

Replication request can be raised for all documents belonging to a project and from individual documents from the document search window.

Raising a replication request for a document from document search window

  1. From the "Document Search" window, select a Document
  2. Right-click to get the Document Operations menu
  3. Click "Replication Request" to get the "Post Replication Request" window.

You can select multiple documents and post replication requests.

Posting Replication Request

  1. Select the checkbox corresponding to a " Server Name"

  2. Click "Ok" to Save.

Viewing Replication Status

In addition to documents specters, comments, markups, client comments, templates and reference documents are also replicated. Replication status of these files are also displayed.

To view replication status

  1. Click "Replication Status" at the bottom left of the "Document Details" window

  2. "Replication Status" window is displayed

Figure: Replication Status

Two tabs Document Replication Status and Attachments Replication Status are displayed in the window. Document queued for replication and the attachments queued for replication are grouped under these tabs respectively. The following details are available in the Replication Status window.

Owner Server: Owner server details are displayed. This includes Server Name and Server Description

Document Replication Status: The document replication status grid displays the following details.

Server Name: Name of the replication server is displayed

Server Remarks: Remarks provided are displayed here

Status: Status of the document for which replication request has been raised is displayed here.

Replication From: Server from which the replication request is posted is displayed here.

Replication To: List of servers to which the request is posted is displayed here

Request raised on: Date and time of posting the replication request is displayed here

Request Processed on: Date and time at which replication request was processed

On selecting Attachments Replication Status tab, in addition to the columns mentioned in the preceding section the following column is also displayed.

Association Type: The type of attachment is displayed here.

On posting a replication request the attachments also gets replicated along with the main document.

  • If a Replication Request has been posted and processed then the status will be "Processed", else it will be "Raised"
  • If a Document is checked out before the request is processed the status will still be "Raised" .

While performing document operations in Wrench upload and download percentage progress is displayed simultaneously with the operation. Download manager displays the file transfer progress while checking out or copying out a document. The checked out or copied out documents are displayed on the download manager window.

From the download manager you can select a document and from the right-click menu select Open to open the document. You can also open the folder containing the file.

The contents listed in the upload manager can be wiped out by selecting Clear List.

External References

X-refs are used in engineering drawings like in case of Auto cad and Microstation files( CAD Files). A drawing file referenced by another drawing is called an external link. You can attach an entire drawing to the current drawing as an external reference (Xref). Revising a linked document may have an impact on the original.

In case you are working as a piping engineering for creating the piping layout for a room. You may require the structural drawing made for the building/ room and then may create your piping on top of the structural drawings. That means the structural drawings are x-refs into your drawings. These are similar to hyperlinks.

Managing External References

  1. On selecting "External References" in the navigation bar, the reference handler is displayed if any external references are attached to the main drawing selected.

Figure: List of External Links

You can perform the following operation in the navigation bar or from the right-click menu.

Properties: On selecting this option document details window for the selected external file is displayed.

Copy Out: On selecting this option the selected file may be copied out to a specific location.

View: On selecting this option the selected file may be viewed.

Check Out: On selecting this option you can check out the file to the local system for editing.

Check In: On selecting this option you can save back the edited file to the server

Replace: On selecting this option you can replace the selected file with another file.

Usage information

'Document Usage information' option in Document Properties displays the usage details of a particular document based on the objects the Document is associated with namely; Project, Task, Correspondence , Xref or Transmittal. Comprehensive details of a specific Documents can be obtained on the basis of Project information (Project ID and Project Name) ; Task (Status,Task Name,WBS Reference Number) ; immediate grouping of Correspondences (Date, Subject, direction);Xref (Document Number,Document Description);Transmittal (Transmittal Reference Number, Document Internal Revision Number)

Viewing document usage information

Figure: Document Usage Information window

  1. Click "Usage information" in Advanced Options to avail the "Document Usage Information" window
  2. The "Document Usage information" window displays the list of all Projects, Tasks, Correspondences, Xref's, Transmittals, MOM, Referenced documents, Parts and BOM where the specific Document has been added. The usage list provides links to the actual locations in Project, WBS task, Correspondence, Xref and Transmittal where the particular Document has been added.
  3. Select a specific Project and double-click it to get the 'Project' window. The 'Documents' tab in the 'Project' window is automatically opened with the selected Document ID ( The Document ID of the specific Document whose usage information is displayed will be highlighted).
  4. Select a specific Task and double-click it to avail the 'Task Details' window. The Documents tab is automatically opened with the selected Document ID highlighted.
  5. Select a specific correspondence and double-click it. The 'Document Details' window is displayed which consists of the details of the selected Correspondence Document.
  6. Select a specific Xref and double-click it to avail the 'Document Details" window.
  7. Select a specific Transmittal and double-click it to avail the 'Document Transmittal' window with the corresponding Transmittal Details filled up.

NOTE: The Part and Product Structure will be displayed in the usage information only if the respective plug in's are incorporated.

Update Template

On clicking this option the document properties defined in Wrench are captured and updated to the existing template.

You can insert templates into drawing files.

To insert template

  1. Click the browse button against "Template." Template master window is displayed which lists only the templates tagged as "Template for Insertion."

Figure: Search Characteristics Template window

  2. You can select a template. If the Block and Attribute name of the template does not exist in Wrench then system returns a message "Some of the Mapping locations does not exist."
  3. On successful addition of a template the destination to map the template may be specified.
  4. Templates are mapped according to the insertion points defined in the window.

Create Specter

Specter or shadow files are the PDF files which are stored with the native files. In Wrench, there is a provision to create specter files for the MS Office documents such as MS Word, MS Excel, MS PowerPoint and MS Visio.

To create a specter file for the selected file

  1. Select a document (MS office document) from a document genealogy.
  2. Right–click and select Show Details from the drop-down list of menu.

Document Details window is displayed.

  3. In the left navigation pane from Advanced Options menu select Create Specter.

  4. On selecting the create specter option, a specter file (in PDF format) will be created for the selected document and the following message will be displayed.

To view the specter file created

  1. Select the document for which the specter file is created.
  2. In the right–click menu select Show Details.
  3. Document Details window is displayed.
  4. Click the Attachments tab.

Figure: Attachments tab in document Details window

  5. Under the group Specter, specter file attached to the selected document are listed.
  6. Right-click on the specter file and select View from the menu.
  7. The specter file is opened and is displayed.

Personalize View

Select this option to personalize the document details window. Using this option only the fields you require can be made available in document details window.

To personalize view

  1. In the document details window navigation bar select Personalize View.
  2. Document Details Customization window is displayed.

In the window you can add or remove fields that are displayed in document details window.


Document Property View

Different type of views can be configured for the document details window. This configuration is done from the document properties window. More information on configuring the views are available in the Administrator's Manual

These saved views are displayed under the group Document Property View. On selecting a view from this group, the properties corresponding to this view is displayed in the document details window.

Figure: Document Property View

Document properties in the document details changing for different views


Configure Operations

Configure Operations from the document details window allows you to configure the left navigation pane of the Document Details Window as per your requirements.

To configure the left navigation bar,

  1. In the left navigation pane of Document Details window, select"Configure".
  2. Configure Operations window is displayed.

Figure: Customise Operations tab - Configure Operations window

  3. Select the Customise Operations tab. Following are the columns available for configuring the left navigation pane of the Document Details window.

Operations: The entire document operations are displayed here.

Operation Category: Here you can select the category under which the operations are to be grouped in the left navigation bar of Document Details window. You can select the following groups from a drop-down list.

      • Document Options
      • Sending Options
      • Print / Scan options
      • Advanced Options
      • Other Options
      • Information
      • New Group

To create a new operation category ,

    1. Click the Operation category column and select “New Group” from the drop-down list.
    2. Customised Navbar window is displayed.

Figure: Customised Navbar window

    3. Enter the category name to be defined in the Group Name option.
    4. Click "Save" to save the operation category defined.

Visible: If the checkbox in this column, next to an operation is selected, this operation will be available in the left navigation bar of Document Details window.

NOTE: Only for Admin users, the "Default Settings tab" in the Configure Operations window will be available for configuration.

Figure: Default Settings tab - Configure Operations window

Deny: If the checkbox under this column next to an option is selected, that option cannot be configured in the right-click menu.


Document Details Tabs

Comprehensive information on the properties assigned to the documents is available here. Wrench ensures that the document details window contains entire information about a specific document.

For more information on items in the document details tab refer Document Details window


Attachments

Attachments

The "Attachments" tab shows details about other Documents that has relationship with the selected Document. A Document may have two type of relationships with another Document. "Association" is one kind of relationship, which is built and maintained manually after the Document is added to Wrench Enterprise. The types of association are further organized in to the following categories. In addition you can add different types of attachments here.

Specters

Related Files

Comments

Client Comments

Markups

Squad Check Comments

Adding different types of attachments

In the attachments tab of the document details window different types of attachments can be added.

To add different types of attachments

  1. Click the down arrow next to Add.
  2. Different Association Types are displayed. Select an association type from the list.

Figure: Document Details - Attachments

NOTE: Documents and MS Outlook mails can be dragged to the Attachments tab grid and added as associated documents.

If the checkbox next to Show all revisions is selected, all the revisions of the document to which the specter is attached is displayed. Or else the current version of the document is only displayed.

Specter

Specter or shadow files are the PDF files which are stored with the native files. These are stored so that while sending transmittals only the specter files are sent. Also it can be defined that users can only view the specter files and not the native files, so that editing and copying is not possible.

Specter is an non-editable version of the original Document. (For Example: Adobe PDF.) For security and protection of the original, a non-editable version of the original Document can be created , which will be referred for all downstream operations. This prevents the original being modified in any context as the original is never distributed.

While defining Document genealogy, it is also specified whether the genealogy is allowed to use specter files. If this is not defined for the selected Document's genealogy, it is not possible to attach specter files. If "Specter" option is disabled in Control Panel>>Work Flow>>Stage Properties>>Routing options window, addition of specter files is not possible. User having rights in the work flow stage properties have a higher precedence over the right assigned in the genealogy.

NOTE: As per the user requirements all types of files can be added as specter files in some cases.

Adding specter files

Specter files can be added from the attachments tab also.

To add specter files

  1. In the Attachments tab select the item Specter and right-click.
  2. In the right-click menu click Add.

File selection window is displayed.

  3. Select the specter file from the location where it is stored and in the window click OK.

Add Associated file window is displayed.

Figure: Add Associated Document window

  4. Here the selected specter file is displayed. Click the browse button if you want to change the selected file.
  5. After verifying the entries in the Add Associated Document window click OK button.

Affixing Stamp

Once you insert a digital stamp on the document it is not inserted on the physical document but on a layer. Affix option is used to insert the stamp on the physical document itself. Once the stamp is affixed on the document, when you copy out the document stamp is also copied out.

To affix stamp

  1. Select the stamped PDF document and right-click.
  2. In the right-click menu click Affix Stamp.

Stamp is affixed on the document.

Opening specter file

Usually specter files are opened in the Wrench viewer. For some organizations it might be needed that the specter file is opened in the application of their choice.

To open a specter file in a specific application

  1. Select the specter file and right-click.
  2. In the right-click menu click Open With.

A window for selecting the way in which the specter is to be opened is displayed.

  3. Select the application using which you want to open the specter.Specter is opened in the selected application.

NOTE: If the checkbox next to the option Use the app for all PDF files is selected, next type you open a specter, it is opened in the same application using which you opened the specter now.

Viewing/Copying /Replacing Specter files

A user without View or Copy rights in the main Document belonging to a specific Document genealogy can Copy or View specter files attached to the Document if the user has the functional rights to do so. You can also Copy Out and Replace a specter file. The following operations can be carried out after selecting a specter file.

F Information:

  • If a user does not have "View" rights for a main Document in a particular Document genealogy but has "View" rights for specter files attached to the Document and if he wishes to view the Document, a message would be displayed “You do not have rights on the Original Document. Do you wish to view the specter file”.
  • On selecting “Yes”, user will be able to view the specter files added with the latest revision of the specific Document. If multiple specter files are attached, the "Associated files" tab would be opened with specter files highlighted.
  • If a user does not have "Copy" rights for a main Document in a particular Document genealogy but has " View/Copy" rights for specter files and if he wishes to copy a Document, a message would be displayed “You do not have sufficient permission to copy this Document. Do you wish to copy the specter file?”
  • On selecting “No”, the user will be able to copy the specter files added with the latest revision of the specific Document. If multiple specter files are attached, the "Associated files" tab would be opened with specter files highlighted.

NOTE: Only User/User Group with the right "Add Attachment/ Comment/ Markup" will be able add attachments, comments or markups to an existing Document.

Related Files

Related Files are Documents which are to be referred while using the original Document.

For Example, "Assembling Instructions" is a related file to an "Assembly Drawing". In another context, "Organization Chart" is a related file to "Leave Application procedure" Document.

Markup

Markup is a means of highlighting a required change on a drawing/document. When a drawing is in the final stages of a design, the drawings are published for review. Corrections and comments are received electronically through Markups. You can republish your drawings based on these comments. Doing all this electronically shortens review cycles, and results in a more efficient design process. The default Document viewer used with Wrench Enterprise has a native facility to create markups. It means you can create comments without editing the original file. These are also similar to comments. The difference is, comments are mostly textual where as markups are mostly graphical.

In order to understand how to create a markup it is recommended to refer the Autovue user manual.

Comments

Comments files are the files which are used by internal checkers. Client comments are those comments done by the client.

Comments are attached to Documents at various occasions.

For Example: In the event of requirement of a change on the original design drawing, a document change request can be created for the original Document. The changes required are entered in a comment file and it attached to the change request.

NOTE: A user with the right "Add Attachment/ Comment/ Markup" can add attachments, comments or markups to Documents in the specified genealogy irrespective of the status of the Document. In the case of work in progress documents user should have the corresponding work flow stage right i.e. “User accessibility for stage.”

To Add Attachment/Comment/Markup

You can add an Attachment, Specter files, Comments or Markups to existing as well as previous revisions of a Document. This facility enables the user to identify the Comments/Attachments of a particular revision at a later point of time.

The Internal Revision Number as well as the Life cycle Status Revision of the selected Document for which Attachment/Comment/Markup file is attached is displayed in the grid below 'Associated Documents'.

You can select the required Document Revision number to avail a list of attachments for the specific revision. By default, the list of attachments of the latest revision will be displayed below 'Attachment Type/Description'.

Figure: Adding Comment

  1. Select a specific Internal Revision Number from the 'Associated Documents' grid.
  2. Select Attachments and in the right click menu select Add. You can also select the Add button.
  3. File Selection window is displayed.

  4. Select a file and click OK.
  5. 'Add Associated Document' window is displayed.

Figure: Add Associated Document

In the 'Add Associated Document' window,

  1. Browse and select the file to be attached to the particular revision.
  2. If required, you can also select the 'Association Purpose' already defined in the master level which includes IDC Check, Squad Check, or Client comments etc; or enter a new one in the field.
  3. User can also enter a description for the associated file.

NOTE: A comment file added can be edited or removed by the creator if the comment is Work In Progress. If the comment file is released only the administrator can remove the comment file.

Client Comments

Comments are the remarks made during various operations in Wrench. Client comments reflects the client's remarks on various operations. Usually the client comments are attached to the documents.

To add a client comment file

  1. In the right-click menu select "Add." You can also select the Add button to add a client comment file
  2. Add Document window is displayed with all fields populated
  3. In order to select a file, click the browse button
  4. Select a file from the hard disk
  5. By default "Add as Released Document " is selected
  6. On clicking "Ok" the selected file is added as a comment file.

You can perform the following operations from the right-click menu on the client comments file

Figure: Attach Client Comments window

  • Add-Select this option to add a client comment.
  • Remove-Select this option to remove an existing client comment file.
  • Copy Out-Select this option to copy out the client comment file to a specific location.
  • View-Select this option to view the selected client comment file.
  • Show Details-Select this option for a detailed information on the file.
  • Check Out-Select this option the check out the client comment for editing.
  • Check In-Select this option to put back the edited file back on the server. This option enabled only if the selected document is checked out.
  • Replace-You can replace the selected comment file with a file of user's choice.

NOTE: User with "Edit Work Flow" permission can only perform the Check In and Check Out operation on the client comment file.

Sending notification mails on client comment addition

On completion of attaching client comments to tasks from the workspace, you can change the notification resource pool. A dialog box is displayed indicating this.

On selecting Yes, notification window is displayed, where you can specify the recipients of the message, subject and content. Notification resource pool defined in the genealogy will be displayed here. You can add or remove resources from this list.

On selecting No, notification is send to entire resource pool defined in the genealogy.

NOTE: On selecting the checkbox next to Do not show this dialog box again, the selection currently made in the dialog box is cached, and next time this operation is performed without any dialog box popping up.

Also while adding client comments to documents, Add Document window is displayed. Here also you can select the Notifications option where the Notifications window is displayed.

For more details on Notifications, refer Notifications

NOTE: If the notifications is not set, users will not receive a notification mail on the client comments added to documents.

Squad Check Comments

In the typical engineering scenario, during a squad-check procedure, inter-departmental review is carried out in which certain vital Documents are reviewed and commented upon by the concerned departments. Quite often, this leads to unprecedented delays as the departments are not evaluated based on the given review time. Sometimes, the commented Documents does not even contain information on the concerned reviewer. Moreover, the Document also has chances to get lost on transit. To avoid loss of Documents, multiple departments need to review and register the comments on a Single Document. As the changes recommended by one department could necessarily have an impact on the other departments, the comments also need to be made sequential.

To encounter all these problems, a facility have been included in WRENCH namely; "Squad Check Comments" which addresses the requirement of all users involved in squad-check to use a single comment file. In this scenario, the original department, would have the facility to set the Departments or Users for the squad check and set the sequence for the same, and then route it to the Approver. The Approver may check the sequence for the Squad-Check and set the time in which each department or sequenced user needs to complete the comments. The checker may also create and attach a PDF copy of the Document to be commented as “Squad Check Comments” file. The concerned reviewers of each department can Check Out/ View the PDF file and then make comments inside the files. It is also possible to print the file and then use the 'Replace' function to check in the latest file. The version history of the comment file is also maintained.

Adding a Squad Check Comment File

Select the 'Attachments' tab of 'Document details' window,

  1. Select and right-click the Association type/Description "Squad Check Comments'

Figure: Adding Squad Check Comments

  2. Click 'Add' to avail the 'Add Document' window.
  3. Add the required Document/Squad check comment file in the 'Add Document' window. For further information on 'How to Add a Document', please refer the section "Creating and adding Documents " in the Documents module.

NOTE: If a squad check file is already added the "Add" option is disabled. Only one squad check file can be added to a document

During the sending of a comment file through a work flow which has a sequenced stage, all the Users/Reviewers in Squad Check Stage can Check Out the comment file from respective workspace. A sequenced user would be intimated by mail on the activation of the corresponding sequence.

For more information on sequenced routing, please refer the section Work flow Organizer in the Work flow module (Refer Control Panel>>Workflows>>Workflow Organizer in the administrator's manual.)

NOTE: The workspace entry of the user would be grayed until the respective sequence becomes active.

Generating Squad Check Reports

The entire routing history can be exported to MS Excel to avail a report on the squad checking executed with respect to the allotted schedule. After all the comments are made, the last person in the sequenced stage can route the Document back to the Originator/ Checker.

You can add Squad Check comment file from Document in WBS task properties or Task and Document in Workspace. Also it is possible to Check Out, Check In, Replace the Squad check Comment file if needed.

Adding Squad Check Comment to a Document in WBS task properties

  1. Right-click a specific Document in 'Related Items tab 'in the "Task Properties" window.
  2. In the right click menu select Add Attachments>>Squad Check Comments
  3. Add Document window is displayed
  4. Select the squad check comment document and click Ok to continue

The squad check comments added here will get updated to the attachments tab of the respective document.

Adding MS Outlook mails as attachments or comments

You can drag MS Outlook mails and add them as attachments, specters or comments.

To drag MS Outlook mails

  1. Drag the mail to Attachments grid

Figure: Dragging mails from MS Outlook

  3. Microsoft Office Outlook window is displayed
  4. In the window select the check box next to Allow Access, so that the Outlook mail can be fetched by Wrench
  5. Click Allow to continue

Add Associated Document window is displayed

  6. Click OK to continue
  7. The MS Outlook mail will be added as an attachment
  8. In the Add Associated Document window click Ok to continue

Managing related correspondences

In the case of correspondence documents in addition to the attachments, replies send to the correspondences are displayed separately under the Related Correspondences pane.

Figure: Managing related correspondences

You can carry out the following operations from this pane.

View: Click this option to view the related correspondence.

Show Details: click this option to view the details of the related correspondence.

Attach Reply from Disk: Click this option to attach a reply that is created and stored in a drive in your computer.

Attach Reply from Wrench: Click this option to attach a reply, a document that is already added in Wrench.


Version History

Wrench Enterprise is capable of maintaining a defined number of revisions and versions online for references and recovery. Each time a document (a file) is checked out from wrench by a user; wrench retains the old copy and creates a new version of the file. Each file stored is called a version. The version history is the information on the different versions thus created. This means, each "Release" of a Document is available as revisions. Under each revision, the Document may go through a number of changes (made by a number of users until the Document is released again). Each time a Document is changed and put back to the server, a version is maintained.

The electrical drawings in a current project underwent major changes a number of times. Now the project manager wants to be informed of the changes that were made and details of the previous revisions

Viewing and managing version history

This facility is to have a comprehensive look at the revisions and versions.

Figure: Version History

The following operations can be carried out from the tool bar

View: Click this button to view a selected version

Copy Out: Click this button to copy the selected version of the document to a specific location

You may hold the CTRL key, select any two versions (to select two different versions)

Compare: Click this button to visually compare the selected revisions. This facility is available only if the Wrench Enterprise native viewer is installed

Compare Latest: Click this option to compare the document with the latest version

Revoke: On working with the latest version from Wrench, it is possible that a user may need to work with an earlier version as the changes made may be in the wrong direction. In this case the older version can be revoked. Click Revoke to retrieve an older version and make it the latest. This is an operation that requires special access permissions.


Internal Revision History

Internal revision numbers are maintained to indicate the number of times a document is revised or edited after its release. The internal revision numbering sequence maintained by different organization varies. It could be common across the organization or even can be project specific. In many cases it is dependent on the Internal Revision Number the client would like to have. The user revision is used mainly to manage the client Internal Revision Number. These Internal Revision Numbers are linked with the Life cycle status of the document.

The client decides to have three submittals- Issue for Review, Issue for Approval and Issue for Construction. While submitting for Review client’s needs the document to be submitted to them with Internal Revision Number A, B, C. On submitting for Approval the Internal Revision Number of the document needs to be 0,1,2,3 and when submitting for Construction the Internal Revision Number of document needs to be R1, R2 and R3.

A typical cycle is that the document is first submitted for Review with Internal Revision Number “A” and as the document is approved, it is submitted with Internal Revision Number “0” for Approval. If it is rejected it is submitted as Internal Revision Number 1 again and then approved. Now it is submitted for IFC as Internal Revision Number R1.

User revision is changed as soon as the Life cycle of the document is changed. This linkage with the Life cycle and the document Internal Revision Numberis set in the Life cycle master and can be changed in the project level too.

Revision History window

A list of old revisions of selected document is listed here. The following details are displayed in the grid.

-Document Number

-Document Description

-Internal Revision Number

-Revision Number

-Sheet Number

-File Name

-File Type

-Revision Remarks

-Life Cycle Status

-Approval Status Code (Client)

-Approval Status Description

-Approval Status Code (Internal)

-Released By

-Released On

-External Agency Transmittal Number

-External Agency Transmittal Receipt Date

The following operations can be carried out from the tool bar

Compare Latest: Click this option to compare the document with the latest version. You may hold the CTRL key, select any two versions (to select two different versions).

Compare: Click this button to visually compare the selected revisions. This facility is available only if the Wrench Enterprise native viewer is installed.

Show CN: Click this option to display the change note created for this document.

Show CR: Click this option to display the change request created for this document.

Figure: Document details Internal Revision History

View Specter: Click this button to view the specter file attached to each revision.

Copy Out: Click this button to copy the selected version of the document to a specific location.

View: Click this button to view a selected version.

Removing selected internal revision of a document

Admin users or Admin group users can delete a selected internal revision of a document from the revision history. All information related to the entry that is deleted will be removed.

To remove a selected revision of a document

  1. Select the revision of the document you want to delete and right-click
  2. In the right-click menu select Delete. A warning message is displayed
  3. Click Yes to delete the selected revision


Issue Purpose History

Issue Purpose History

A Document after it's release will go through an entire life cycle where it is referenced by customer, vendors according to engineering process followed by different industrial verticals. A Released Document will have its revision updated for every revision imbibed by it. Its important for Wrench Users to be able to pinpoint on what phase of this life cycle the Document is at any given time. This window is provided for entering the various phases in the life cycle of a Released/Work In Progress Document and the corresponding revision series used. The Internal Approval Status Code, Client Approval Status Code and Description updated for each revision of the released Document is also available in customer workspace .

  1. To view the Issue Purpose History of the Document, select the tab " Issue Purpose History"
  2. The grid shows the different phases in the life cycle of a Released/Work In Progress Document and the corresponding revision series used. The Internal Approval Status Code, Client Approval Status Code and Description updated in customer workspace for each revision of the Released Document is also displayed.

Figure: Document Details-Life cycle status

The following operations can be carried out from the tool bar

Compare Latest: Click this option to compare the document with the latest version. You may hold the CTRL key, select any two versions (to select two different versions).

Compare: Click this button to visually compare the selected revisions. This facility is available only if the Wrench Enterprise native viewer is installed.

View Specter: Click this button to view the specter file attached to each revision.

Copy Out: Click this button to copy the selected version of the document to a specific location.

View: Click this button to view a selected version.


Workflow

If a workflow is assigned to the selected document the workflow is displayed here. You can obtain all the details regarding the workflow.

Figure: Workflow Details

Different workflow related operation can be carried out from this window. For more information on these workflow related operations refer Sending Options .


Usage Information

Usage information tab displays the different instances where the selected document is used in Wrench. Instances refer to different objects. In other words Usage Information indicates different Wrench objects to which the selected document is related.

Usage information tab also displays the correspondence summary and information if the selected document is a correspondence. Correspondence summary includes MS Outlook Mails, Word documents, scanned PDF with facility to send a reply.

You search and retrieve a letter which has already been added to the system , now you would like to trace back the transmittal reference number through which the document was sent to the consultant and also if any reply has been sent by the consultant to this letter. The information related to all these can be obtained from the Usage information Window.

To view the usage information

  1. Select the Usage Information tab.
  2. Usage Information area is displayed with information on different objects to which the selected document is related.

Figure: Usage Information

You can detach the linked reply to a correspondence.

To detach a linked reply

  1. In the Usage Information tab select the linked reply and right click
  2. In the right click menu select Detach. The correspondence will be detached.

Filtering Usage Information details

Sometime a document may be used with a BOM, Document, Transmittal, MOM and Task. On selecting the Usage Information all these details are expanded. Usage information Filter assists you in filtering the usage information.

To filter usage information

  1. From the drop-down list next to usage information filter select an Object
  2. Only the usage information corresponding to the selected object is displayed.


Checklist

Completion of deliverables may need a set of pre-requisites. These pre-requisites can be a set of actions that are to be accomplished before an activity can be considered as complete. Without an alert system, such pre-requisites are often forgotten. Checklists serves to fill this gap. Checklists can be associated with various events in WRENCH and the system will ensure that each item in the checklist is addressed, before the event can be completed.

Checklists are a set of conditions that can be assigned to either a Document or Task. It can be used to ensure whether a deliverable has gone through the required processes. If a checklist has been assigned to a document then it will be routed to the next step only after all the conditions have been checked.

Checklists assigned to the document that are in the active stage and are not closed are displayed here. If there are multiple checklists assigned to a workflow stage they are displayed one below the other.

Figure: Checklist

The “Checklists” tab is further divided into three tabs. They are:

Active Checklists

Assigned Checklists

Completed Checklists

Active Checklists

The “Active Checklists” tab that is selected by default will display the list of checklists that are currently active (the workflow stage in the trigger criteria defined in the masters is active).

Figure: Active Checklists

On expanding the checklist, list of checkpoints is displayed below them.

Checkpoints assigned to the checklist are completed by entering a remark and clicking Save and Close button.

If there are checklists assigned to a workflow stage, while sending, a warning message is displayed asking you to update the checklist. The checklists are updated from the document details window.

The following options are available in the tool bar.

Expand All: Click this option to expand all the checklists and display the checkpoints.

Collapse All: Click this option to collapse all the checklists and hide the checkpoints.

Check / Uncheck: After highlighting a check point click this option to select the check point. The selection can also be removed by clicking this button. In short this button acts as a toggle that helps in selecting and de-selecting a checkpoint.

Update Remarks: On clicking this option after selecting a checklist Remarks box is displayed.

Figure: Remarks box

Enter the remarks in this box and click OK. Remarks are updated in the Remarks column as shown in the following figure.

Figure: Updating Remarks

Save: Click this option to save the comments entered for the checklist.

Assigned Checklist

The “Assigned Checklists” will display the list of checklists that are assigned to the current object (automatically/ manually).

Figure: Assigned Checklists

In this window you can assign checklists, add and edit checkpoints and remove checklists and checkpoints.

To assign checklists

  1. In the tool bar click Assign Checklists.

Checklist Master window is displayed.

Figure: Checklist Master window

  2. In the window select the checkbox next to the Checklists that are to be assigned and click the Select button.

Selected checklists will be assigned. Checklists assigned manually will be indicated by a label <<Manually Added>>.

Figure: Adding Checklists manually

NOTE: Only a user with Assign Checklist permission can add or remove a checkpoint.

To add checkpoints

  1. Select the checklist.
  2. Click the option Add Checkpoint.

Figure: Adding Checkpoints

  3. Checkpoint window is displayed. Enter the checkpoint in the box and click OK.

Figure: New Checkpoint window

Checkpoint added successfully message is displayed. New Checkpoint is added to the checklist.

A manually added checkpoint can be edited.

To edit a checkpoint

  1. Select the manually added checkpoint and click Edit Checkpoint.

Checkpoint window is displayed where you can edit the checkpoint.

  2. After editing the checkpoint click OK to save changes.

To remove a selected checklist/checkpoint

  1. Select the checklist/checkpoint that you want to delete.
  2. Click the option Remove Checkpoint/Remove Checklist.

Manual Checkpoint removed manually message is displayed if a checkpoint is selected for deletion. If a checklist is selected for deletion, the checklist is removed without any message.

Completed Checklists

The Completed Checklists tab will display all the checklists that are completed for a specific revision of a document.

Figure: Completed Checklists

After selecting a revision number and a workflow stage, on clicking View, checklists that are completed for a specific revision of the document on completion of the stage is displayed.


Handling Solid Works Drawings

Solid Works is a 3D application used in creating three dimensional drawings. While creating an assembly, initially a blank assembly file is created. Component files are either selected from a library or are created newly. Component files which are drafted by different designers are finally assembled.

By integrating Solid Works with Wrench, once the drawings are added to Wrench, basic document operations listed in the navigation table can be performed on the drawings.

Prior to adding solid works user may take into account the following precautions

  • Ensure the installation of the Parent Application in the server.
  • Ensure a link is created for the Solid Work files from Control Panel>>Masters>>Others>>Link File Types

Navigation Table

To | See
Add Solid Works drawings | Add Solid Works drawings to Wrench
Check Out a drawing for editing | Checking Out an Assembly file
Check In a drawing after editing | Checking In an Assembly file
Replace a drawing | Replacing an assembly file

Adding Solid Works drawings to Wrench

Initial procedures for adding solid works drawings to Wrench are similar to the normal document addition.

To add solid works drawings

  1. While adding drawings to Wrench in the "Add Document" window you can browse and select an assembly file.

  2. Reference handler is displayed

Figure: Reference Handler

  3. In the reference handler window click "Fetch" button.

Figure: Fetching component files

  4. The component files or Part drawings are fetched from the corresponding locations. The fetched files are displayed in the

Part Number assigned and quantity are displayed in the grid. You can also assign a Part number from the reference handler window.

  5. Click "Ok" to add the drawing to Wrench.

The selected assembly drawing is added to Wrench along with the component files.

Checking Out an Assembly File

An assembly drawing file can be checked out to incorporate changes.

To check out an assembly file

  1. In the leaf level genealogy select "Check Out". "Check Out" can be selected from the workspace.
  2. Check Out window is displayed.

Figure: Check Out window

  3. Enter appropriate details and click "Ok."

Figure: Check Out reference handler

  4. Select an overwrite option by selecting or clearing the checkbox in the grid.
  5. Click the browse button to select a location for the target file

Figure: Check Out reference handler (grid continuation)

  6. Select the drawings which are to be checked out by selecting the checkbox in the "Check Out (Yes/No)" grid
  7. Click "Ok" to confirm checking out of the document.

NOTE: Assembly drawings can be checked out if the user has edit permission on the Main document and copy right on the linked documents.

Checking In an assembly file

After necessary changes are made in the checked out file, user can check in the file.

To check in an assembly file

  1. On clicking "Check In" Check In window is displayed

Figure: Check In window

  2. Select a Check Out path
  3. Check In as Folder: On selecting the checkbox against Check in as Folder, while performing a check in operation you can select a folder. If this option is selected clicking the browse button "Browse Folder" window is displayed.
  4. Keep the Document as Checked Out: Select this option if the you wish to keep the Document as checked out and continue editing, but wants the rest of the team to view the Document with the latest updated changes; a version will be saved in the server while you can continue to work on the Document. There is no need to Check Out the Document again after Checking In. The Document status will be kept as Checked Out.
  5. Publishing this Document: On selecting this option the Xref publishing feature allows to view a Parent drawing with the latest published version of the Child xref. This option is enabled only if "Enable Publishing" is selected in Control Panel>>Performance and Utilities>>Documents. Refer this section in the administrator's guide for more details.
  6. Click "Ok" to complete the Check In operation

NOTE: User having edit right on the main document can check in the document

Replacing an assembly file

An assembly file can be replaced with another assembly file.

To replace an assembly file

On selecting the replace option replace manager window is displayed.

Figure: Replace Manager

  1. Click the browse button to select a replace file from a specific location.
  2. Click "Ok" to complete the replace operation

Operations from the Reference Handler window

In the reference handler right-click the assembly file.

From the right-click menu the following operations can be carried out.

Add From Wrench: Add drawings existing in Wrench to the reference handler.

Add From Disk: Add drawings located at a specific location.

Remove: Click this option to remove the selected file

Open with: Click to open the selected file using the required application

Save: Click to save the selected drawing

Purge: Selecting the option will ensure that unused block definitions, dimension styles, layers, line types, and text styles are automatically removed or purged.

Audit: Select this option to automatically find and correct errors in the drawing file.

See Also

Adding a Single Document

Adding Multiple Documents

Integrating Xrefs from AutoCad/Microstation into Wrench

Handling 3D - 2D Models

Document Search

Document Operations

Adding a Correspondence Documents


Handling 3D - 2D Models

Handling Models

In a typical engineering scenario Drawings, assemblies and components are usually in 3D or 2D format. Normally handling of these files is a complicated process. Wrench provides the user with a facility to handle these multi-dimensional models more efficiently.

Assembly, Components and Drawings are generally referred to as “Models”. Models can exist independently and also dependent on the parent files. An independent model has a work flow of its own. You may use the following navigation table for more information on handling models.

Navigation Table

To | See
Configure Model types | Configuring Drawings
Add a 3D drawing | Adding a 3D drawing
Perform various operations with 3D models | Operations possible on 3D and 2D models
Route 3D models | Routing 3D models
Build a BOM | Build BOM

Configuring Drawings

The 3D-2D types are to be configured using the "Configuration Wizard">>"Control Panel">>"Masters">>"Documents">>"Link File Type" menu.

Figure: Link File Type window

Adding a 3D Drawing

A facility is provided to “Browse” and “Add” drawings to Wrench

In order to add a drawing to a Part, the part is to be in Work In Progress.

To add a 3D drawing

  1. In the Part Details window select "Documents" Tab.
  2. In the right-click menu select "Add"
  3. Link/Refer documents window is displayed
  4. In the file Mode select between Document from Wrench and New Document
  5. On selecting "New Document" Add Document window is displayed
  6. Make entries in the Add Document window. For more details on adding a document refer to Documents>>Creating and Adding Documents
  7. Select the required Assembly Drawing file

NOTE: Before adding an Assembly file, please ensure that all child files are already added in Wrench. Wrench will automatically fetch the child drawings so that it can be selected and added to wrench

  8. Click Save or Ok. Reference handler Window is displayed

Figure: Reference Handler

  9. Click Fetch button. The entire tree structure of child drawings are displayed.

On successful addition of drawing, the selected drawing is displayed in the reference handler.

Figure: Reference Handler

Operations Possible on the 3D-2D Models

To perform various operations on 3D-2D models

In the Part Details window select a drawing attached and right-click to avail the following operations.

Figure: Part Details window

Show Details:On selecting "Show Details" the document details window is displayed. The detailed information of the drawing is available here.

Detach: On selecting this option the added drawing is removed.

Copy: On selecting this option "Save As" window is displayed. The drawing can be saved to a specific location.

View: On selecting this option the Parent Drawing and its associated drawings are displayed.

Check Out:On selecting check out the check out manager window is displayed

Figure: Check Out Manager

NOTE: When the main assembly is checked out all the associated files are also checked out to a common folder.

However the following facts can be considered while checking out a model

  • When a model is checked out all the associated files in the current user's work space are checked out
  • If all the associated files are not available in the work flow stage, then those files are copied out to the check out folder.
  • A Version Number is maintained for each check out.

Figure: Reference Handler

Check In: On selecting Check In the check in window is displayed.

Figure: Check in Manager

When the main assembly is checked in all the associated files are also checked in. While checking in, if a difference in version is noticed then the system returns a warning message. An option to check in the latest version of the file is provided.

The check in manager window will remain open until the user close it. This facilitates manual addition of files while checking in. The files to be checked in can be selected from the "Reference Handler."

Undo Check Out: On selecting undo check out the check out operation performed is canceled.

Print Request/Scan Request : On selecting this option a Print Request or a Scan Request for the specific document.

Routing of 3D Models

Model Files: If the items in model have different work flows, each of them are routed through their respective work flows.

A release criterion can be selected between

  1. Assembly can be released only if the child’s are released.
  2. Assembly can be released without child release

Build BOM

If a 3D drawing is attached to a Part, on clicking "Build BOM" the reference handler window is displayed with the parent and child drawings displayed.

  1. Select the required drawing and click "Ok"
  2. If the Part Number exists in Wrench it is retrieved and a document number is assigned automatically

Figure: Reference Handler

See Also

Adding a Single Document

Adding Multiple Documents

Integrating Xrefs from AutoCad/Microstation into Wrench

Document Search

Document Operations

Adding a Correspondence Documents


Integrating Xrefs from AutoCad/Microstation into Wrench

External Reference files (X-ref)

A drawing file referenced by another drawing is called an External file or Xref. You may attach an entire drawing to the current drawing as an external reference (Xref). External Reference files (Xrefs) created in Auto Cad/Microstation may be integrated into Wrench.

With Xrefs, changes in the referenced drawing are reflected in the current drawing. Attached Xrefs are linked to, but not actually inserted in, another drawing. Therefore, with Xrefs you can build drawings without significantly increasing the drawing file size.

Configuring Xref handling

The external reference file types are to be configured using the "Configuration Wizard" >"Control Panel"> "Masters" >"Documents" >"Link File Type" menu.

Figure: Masters-Link File Type

  • The Cad file/Microstation file extensions which are to be checked for XREF, are to be added in to the list, with the “Allow Linking” column checked
  • The default genealogy to be used in such events can be defined in the Document sub module of Performance and Utilities. ("Configuration Wizard" >"Control Panel" > "Performance and Utilities" >"Document" ) option.

Figure: Control Settings (Document)

Figure: Default genealogy for Xref

Navigation Bar

To | See
Add Document with Xref | Adding Documents with Xref into Wrench
Purge files before adding to Wrench | Purging of files before adding to wrench
Manage an X-ref drawing | Managing an Xref Drawing
Link different versions | Version to Version Linking of Xref Files

Adding a Document with External Links(Xref)

Figure: External Reference (Xref) files created in Micro station

  • When a user adds an AutoCad file (.DWG) or a Micro station (.DGN) file to Wrench, the system will first scan the file for External References (XREF)
  • "Reference Handler" window is displayed from which the child Xrefs can be retrieved by clicking the "Fetch" button.

Figure: Reference Handler

  • The fetch mode will be displayed as either 'Automatic' or 'Express' by default, as defined by the user in Control Panel >> Masters >> Documents >> Link File Type.
  • Click the hyperlink 'Click here to define Link Options' to specify the fetch options. A Fetch Options window is displayed.

Figure: Fetch Options window

  • If the fetch mode selected is 'Express', then only the fetch options will be enabled for selection. The Fetch options available are:
  • Consider files from the same folder only : Select this option if the user wants to add child Xrefs files from the same folder, from where the user has selected the main file.
  • Consider files from the same folder and its sub folders : Select this option if the user wants to add child Xrefs files from the same folder and its sub folders, from where the user has selected the main file.
  • Consider files and folders from the same folder : Select this option if the user wants to add child Xrefs files and folders (in zipped format) from the same folder, from where the user has selected the main file.
  • Auto link sub folder contents to its parent file based on the file name : Select this option if the user wants to add Xrefs files and folders from where the user has selected the main file. The files and folders added in the Reference Handler window will in the same folder structure.
  • Click 'Ok' to save the fetch mode selected.
  • On Clicking "Fetch" the child Xrefs are displayed (if any exist).

Since fetching of drawings is a complicated process user may take into account the following examples before performing a fetching operation.

  • User adds a main drawing Main.DWG to Wrench. The main drawing constitutes of the child Xref's 111.dwg, 112.dwg in the first level and 1121.dwg in the second level. While adding the main drawing all these child Xref's are also added to Wrench. These files are added to the local folder MainDrawing.
  • User creates another main drawing Main1.DWG outside wrench and adds it to a folder MainDrawing1. Also file 112.dwg is copied from the folder MainDrawing and pasted into the folder MainDrawing1.
  • Now the file 112.dwg in the folder MainDrawing1 is modified by the user and this file is xrefed to Main1.DWG.

Now if the files are project independent while adding Main1.DWG to wrench, system prompts that the file 112.dwg already exists in wrench. This is because file 112.dwg is already xrefed earlier to the Main.DWG and is present in Wrench. While trying to add another file from the folder MainDrawing1 and a file with identical file name but different content exist, then the file from MainDrawing 1 is not fetched. For project independent documents files names are to be unique. The reason for not fetching files with unique names is explained in the following paragraph.

The drawing Main1.DWG is modified outside wrench and both Main.DWG and Main1.DWG have 112.DWG xrefed. While the file 112.DWG is checked out, modified and checked in system fails to incorporate the changes in the correct drawing. In order to prevent this fetching of files with identical file names are restricted.

  • If the file is available in Wrench and required, then the child Xref has to saved into Wrench before the parent can be saved
  • Select the child Xref and right-click to avail of a drop-down list
  • Select "Save" to add the child drawing into Wrench
  • The "Add Document " window will be displayed where all the document properties are defined and saved. After the child is saved, the parent drawing will also be saved. If default genealogy is defined in the control panel then while loading the add document window, by default the system will load and display that defaulted genealogy. For Example: If support files are used as x-ref which do not have independent workflow, this can be replaced/ edited with the main file. Each department or user might have a different genealogy for support, so there is an option to set the personal preference for the default genealogy in which these support files needs to be added.
  • If the child drawing does not have any work flow assigned to it, system returns a warning message indicating this. User is provided with an option to route the child drawing through the parent work flow. On selecting "Yes" the work flow of the parent drawing is assigned to the child and the drawing is added. On selecting "No" user can select a work flow.
  • Reset X-ref Path: If the "Reset X-ref Path" option is specified, the X-ref path of Child Xrefs would be reset and the child Xrefs would be added and saved in the location where the parent drawing has been added.

NOTE : Those files which are restricted by windows security would be indicated by a warning icon.

Figure: Available and Required Option

Figure: Saving child Drawings into Wrench

  • If "Available in Wrench" check box is selected, the Xref is already available in Wrench. The system will add the selected main file to Wrench and set necessary relations between the main file and the Xref so that they can be handled together for all future operations
  • The "Add Document" window is displayed and you can specify document details and add the Xref document. If the selected Xref has further Xrefs in it, a repeat of the same set of windows for adding those Xrefs into Wrench is obtained.
  • If the Xref found in the drawing is not already available in wrench, the system will first try to add such files in the default genealogy already defined in the control panel. If the operation succeeds for all new Xref files, the main file will be added to wrench and necessary relations will be set between the main file and the Xrefs
  • The default genealogy to be used in such events can be defined in the Document sub module of Performance and Utilities. ("Configuration Wizard" >"Control Panel" > "Performance and Utilities" >"Document" )option. If no such default genealogy is specified, the system will stop the operation with an error message
  • If the drawing contains Xrefs which in turn contain Xrefs that are not saved in Wrench, then the above default option may not hold good. In this case, the child Xrefs have to be saved in to wrench and then save the main drawing.

Purging and Auditing of files before adding to wrench

When an AutoCad file which contains x–refs is added into wrench, both the main file and the associated X-refs will be purged and displayed. AutoCad files which have x-ref in them, might have unwanted blocks and unwanted x-ref’s in them, in this case, the related x-ref files are not available for wrench to show the linkages. These unwanted data is removed from the AutoCad files using a ‘purge’ command. In the latest version, Wrench supports ‘calling’ this purge command in AutoCad while adding and checking in the files.

While fetching x-refs into wrench, options to 'Purge files before adding to wrench' and 'Audit files before adding to wrench' is available.

    1. Select the option “Purge files before adding to wrench” will ensure that un used block definitions, dimension styles, layers, line types, and text styles are automatically removed/ purged as in AutoCad and the associated X-refs will be displayed the X-ref handler window as shown in fig:.
    2. Select the option “Audit files before adding to wrench” will automatically finds and corrects errors in the drawing file.

Fig: Reference Handler

Managing External Links

Managing files which are linked externally calls for a little precaution. Refer the following points before handling Check In, View, Copy and Check Out options.

Check Out for editing

Figure: Checking Out a parent drawing

Figure: Child drawing is displayed in the reference handler

  1. When the user is Checking Out an AutoCad/Microstation file which has XREF in it, the system will automatically copy out all the linked XREF along with the main file. The XREF files thus copied out cannot be edited by the user, unless they are explicitly Checked Out. Once Checked Out, the XREF file can be edited either independently or from within another drawing.
  2. On checking out the parent file, the child files will be recursively checked to see whether the child files can be checked out using the existing permissions. If relevant permissions are not there check out of the child files will be prevented. Also at the time of check out system will show list of child files, and user can take decision on whether to checkout or not.
  3. Reset X-ref Path: If the "Reset X-ref Path" option is specified, the X-ref path of Child Xrefs would be reset and the child Xrefs would be Checked-Out in the exact location where the parent drawing has been Checked-Out.
  4. If any of the linked files are already existing in the location from which it is originally added or the selected Check-Out location, the system will alert the user for appropriate overwrite policies.
  5. Here, the user needs to understand, there are two possible locations of concern.
  • The original location from where the XREF is added. If this location exists, the XREF will be loaded in AutoCad/Microstation from that location only – regardless of the target check-out location
  • The target Check-Out location. Any files that are existing in the selected Check-Out location will be overwritten.

Check-In after editing

While Checking In a drawing after editing

Figure: Check In Manager

Among the XREF, there could be two types of changes.

    1. Some new XREF could have been added.
    2. Some XREF could have been removed.

The new links found will be displayed in the reference handler and can be added to Wrench by clicking "Fetch". The removed Xrefs will be de-linked during the fetch operation.

NOTE : While performing the "Check In/Replace" operation, the system would accept documents even though their file name is different.

For Auto cad drawings, while Checking In the Document after editing, if the selected file name is different, the user would be promptly alerted with a message: “The selected file name is different. External references for the Document will not be taken care. Do you want to continue?"

  • If the response is "Yes", the file will be Checked In
  • If the response is "No", the original Check-In path would be displayed in the “Check-In Manager” window so that correct file is selected again.
  • While checking in the parent file, the reference files checked out will be displayed in the User interface and user can check in the valid reference file one by one and then check in the main file. (If they are checked out by the same user).

While performing check out and check in operations take into account the following example. (Please refer to the scenario explained in fetching of Xrefs.)

Drawings Main.DWG and Main1.DWG are present in wrench and they belong to different projects. Drawing 112.DWG which is xrefed to both these drawings can be edited by checking out either Main.DWG or Main1.DWG. System treats 112.DWG as a separate file.

If the files Main.DWG and Main1.DWG belongs to the same project and 112.DWG from the folder MainDrawing are used by both drawings, in order to modify 112.DWG it has to be checked out directly. Changes will affect both Main.DWG and Main1.DWG

Viewing drawings with XREF

Procedurally there are no changes except that the list of XREF will be displayed before local copies are overwritten.

Copying drawings with XREF

The list of XREF will be displayed before local copies are overwritten.

Adding drawings with XREF

In some cases the main drawing and the child drawings may be in different folders then system displays a message asking whether both the drawing need to be saved to one common folder. System displays a warning message that an existing files in the common folder may be overwritten.

Version to Version linking of Xref files

When an Xref Document is Checked In and Checked Out , an option is provided either to Publish the Document or to carry out a Normal Check In procedure.

To enable publishing select the check box corresponding to the field “Enable Publishing" in Control Settings>>Documents. On enabling this option, when a parent drawing is viewed, it is always displayed with the latest published version of the child Xref. All users are able to view this published version of this Xref. To publish an older version of the Xref file the user have to revoke the current file.

Since the Documents to which the latest changes made are usually published, it minimizes the amount of rework that usually occurs in a Project.

If "Enable Publishing" option is selected in Control Panel>>Performance Utilities>>Documents,

  1. The field “Publish” in Document details window is enabled. If the latest version of the Document is published the field displays “Yes”.
  2. "Publish this document" in the Check In Manager window will be enabled.

Figure: Document Details window

While viewing or copying a file to which an unpublished Xref is attached, the system alerts the user the following Documents are unpublished.

NOTE: A window pops up which displays the Document number and file name of the attached Xref's which are unpublished.

When a Transmittal of the parent drawing is released and the child Xref attached to it is unpublished, the system alerts the user the following Documents are unpublished. A window pops up which displays the Document number and file name of the attached Xrefs which are unpublished.

Usually only the latest version of the Document can be sent through Transmittal. If the option " Allow Published Old Version Documents Through Transmittall" is enabled in Control Panel>>Performance and Utilities>>Documents (refer administrator's manual), Wrench will allow to send the old Published version.

Caution:

When “Enable Publishing” is configured

There are a few possible scenarios, which may result in deviant behavior of the system when “Enable publishing” is configured. Hence this facility needs to be planned with care. Please consider the following discussions to ensure that the scenarios are perceived appropriately.

  1. Published Versions not being available

It is possible in Wrench to set an upper limit of version numbers maintained online. As Document versions exceed this limit, older versions will be automatically removed by the system to maintain the limit. Consider that a Document has its latest version approved and is referred (XREF) by another Document. If the Document gets edited a number of times, resulting a large number of unpublished versions, there is a possibility that the last “Published” version falling outside the online version limit and hence getting removed. In such scenarios, the Document will not have any published versions. If a parent Document, which is referring this Document, is viewed, system will fail to fetch the last published version of the Document (as it has been removed) and hence it will not be possible to view the parent Document. However, this problem will not occur when all versions of all Documents are preserved or the online version limit is appropriately high.

  2. Older versions of Documents being Referred for Construction / Manufacturing

When “Enable publishing” is configured, when Documents having referred Documents (XREF) are viewed, the last published version of the referred Document will be displayed with the parent –not the latest version of the referred Document. Hence if not used with care, it is possible to release such old version Documents for Construction or Manufacturing. However, this is a configuration management scenario and what is important to counter such setbacks is to follow well defined Document release procedures with adequate reviews.

See Also:

Adding a Single Document

Adding Multiple Documents

Document Search

Document Operations

Adding a Correspondence Documents

Handling 3D - 2D Models


Adding a Correspondence Document

Effective management of correspondences is a vital component of Project management. WRENCH provides you with the facility to monitor and manage various kinds of correspondences i.e; letter, fax or mail generated during the entire course of a Project. With the help of this facility, the draft the mail in Outlook, add the required attachments to the mail and drag and drop it to Wrench. The plug-in facility incorporated in MS Outlook helps to save a mail into Wrench. The mail could be send through a work flow for approval by the Project Manager and release by DCC, the final stage resource in the work flow responsible for sending the mail to the client. The DCC would open the mail in its native application ie, in Outlook and then sent the mail to the client.

In addition to this there is a facility to send and receive mails through Wrench. This is explained in the section Personal Folders>>Sending and receiving correspondence .

Letters generated as documents and sent as Project correspondences can be efficiently managed through WRENCH. The correspondence documents will have a specific numbering template and would belong to a particular genealogy.

Navigation Table

To | See
Define a Correspondence genealogy | Defining a Correspondence genealogy
Enable Fetch Mail facility | Enabling Fetch Mail Facility
Define Mail options | Control Setting for Mail Options
Create a default number generation template | Creating a Default Number Generation Template
Add Correspondence Documents | Adding Correspondence Documents
Add mail attachments as Wrench document | Adding mails and attachments as separate Wrench documents
Drag and drop Documents from a specific genealogy | Drag and drop Documents from other genealogies
Generate mails notifying the occurrence of an event | Notifications
Update values for mandatory custom characteristics | More Details
Add Multiple Correspondences | Adding Multiple Correspondences
Create and maintain links between Correspondences | Creating and maintaining links between Correspondences
Compose a reply for a Correspondence | Adding Reply to a Correspondence Document
Add Reply from the document genealogy | Adding a Reply from the document genealogy
Obtain details of the selected correspondence document | Document Details of a Correspondence Document
Send a Correspondence Document | Sending Correspondence Document through a workflow
View the sending details | Log Details

Correspondences are usually letters , faxes and e mails. Registering the correspondence requires to register information related to the letter received , reply required or not , if reply required the responsible person to reply etc. In addition there needs to be a relationship established between the incoming correspondence and the respective outgoing correspondence so that reports can be generated to identify the date on which reply was received and to identify the correspondences which are yet to receive a reply. On defining a document genealogy as a correspondence genealogy, additional correspondence related fields are displayed in the document addition window. Correspondences can be of two types: Incoming correspondence and Outgoing correspondence.

Outgoing correspondence sent by contracting companies are RFI ( Request for Information) and other technical and commercial correspondences. The incoming correspondences are the replies received for the RFI and the technical queries. MTP is a contracting company. XYZ a consulting company selects MTP as the contractor for one of its clients. Now MTP creates drawings based on the inputs from XYZ and sends it to XYZ. This can be treated as an outgoing correspondence. XYZ sends the drawings to their client and the client after marking their comments sends it back to XYZ. XYZ consolidates these comments and sends the drawing back to MTP. This is treated as an incoming correspondence for MTP.

Defining a Correspondence Genealogy

To define a correspondence genealogy

  1. Select a document genealogy and right-click to get its properties
  2. Select Default properties and select the check box against Correspondence Genealogy.
  3. You can also specify the Correspondence type
  4. An Incoming mail ID, a password and an Outgoing mail ID are to be specified.
  5. Select a Correspondence Reply genealogy. Once a genealogy as defined as Correspondence Reply genealogy all the replies are stored under this genealogy. You can also create a template for the replies and link it to the genealogy. When you reply to a correspondence the reply template defined for the genealogy is displayed by default.

Figure: Document Genealogy properties

Reply Correspondence with original files: On selecting the check box next to this option, while replying to a correspondence the original file on which you have marked your comments or made some entries is sent along with the reply.

  5. Select Correspondence Source as Archived.

  6. Click OK to save changes.

Enabling Fetch Mail facility

Project related mails are circulated between departments through MS Outlook. Daily a bulk amount of mails are sent within departments. Since these mails are of great significance for the project, they are to be archived into Wrench under a common mail id. In addition some of the mails has to be added with a unique number and replies are to be send to them.

Fetch Mail provides the facility to add correspondences from the Project Module, Task properties window and Document genealogy.

To enable Fetch Mail facility

  1. Select the required genealogy level
  2. In the right-click menu select Properties
  3. In the Define default properties window an “Incoming Mail ID”, a password and an “Outgoing Mail Id” are to be provided by the user
  4. On selecting the option "Automatically fetch mails from server", mails are fetched from the server automatically based on the duration set for fetching mails in the scheduler settings in the Wrench server. Document numbers for the fetched mails will be auto generated based on the "Project Number/Serial Number" logic
  5. Select the option "Delete server copy after Fetching Mails", to delete the copy that is present in the server once the mails are added to Wrench.

Fetching Mail from Document genealogy

NOTE: This option is available only for correspondence of type Archived.

  1. Select “Document” Module from the Wrench desktop
  2. From the right-click menu of the correspondence genealogy select “Add>>Fetch Mail.”

Figure: Wrench Desktop

  3. You can also select “Fetch Mail” from options in the left pane navigation bar
  4. On clicking "Fetch Mail” fetch mail dialog box is displayed.

Figure: Fetch Mail window

  5. Click “Browse” button to select a Project
  6. Project search window is displayed. Select a Project. The selected Project ID is displayed
  7. Specify a "From" and "To" date. All the mails within these dates will be fetched
  8. Click "Fetch Mail." All mails in the mail server based on the Incoming Mail ID specified in the Project are fetched

The following information's are available in the task bar notification area

-The progress of the fetch mail operation is displayed.

-Information on total mails available and mails fetched are displayed.

  1. On successful completion of the operation a message "Fetching Mails Completed" is displayed.
  2. If any error occur during the operation an error message is displayed. Error details can be viewed.
  3. The Mail ID’s and the Genealogy configured for the Project are selected.

The “Project Dependant” button is enabled by default. In case the mails are Project Independent

  1. Project ID of the corresponding Project is also displayed
  2. The lists of correspondences are displayed in the Mail window

Figure: Mail window

  3. You can select the mail required. The details of the selected mails are displayed in the bottom half
  4. If any files are attached the document details are also displayed
  5. The attached Documents will be stored with the mail in the specified genealogy
  6. On the tool bar click "Add to Wrench."

Figure: Mail window

If the mails are added successfully "Mail added successfully" dialog box is displayed. The mails added are stored with the mail id's specified in the genealogy. Document numbers for the fetched mails will be auto generated based on the "Project Number/Serial Number" logic.

Defining mail options

To define mail options

  1. Mail options

If a mail has to be sent to an external user, make sure to clear 'Deny external mail' option in the control settings. Refer 'Control panel > Performance and utilities > Mail to access this option.

  2. Specifying external mail ID for a user

If you wish to specify external mail ID for a specific user, enter the email ID of the user in the 'User advanced details' window. This option can be accessed from Control Panel>>User Accounts > Users > User details> User advanced details

Creating a default number generation template

Before adding a correspondence document in the Project module or to a WBS-task, you may make sure that a default number generation template has been created for the specific correspondence document. For more details refer section Control Panel > Performance and Utilities > Documents section in the administrator's manual

Adding correspondence Document

Correspondences are letters faxes or mails which are sent between the various stake holders of a project to communicate any important information. usually correspondences are received at the head office and the document controller has to scan and upload the correspondences if it is received as a hard copy. These correspondences has to be circulated to the authorities for the purpose of information or to receive a reply if a reply is required. If the correspondences are outlook mails they have to be added directly.

You can add correspondence documents to a task or a project or even drop it directly into the correspondence document genealogy. WRENCH provides the facility to 'drag and drop' mails from Outlook to the “Correspondence” tab in Project module/Document and Document genealogies.

XYZ is a contracting company and they send important mail to their client related to inclusion of a new subcontractor in the project. As a DCC you have to keep a track of this communication which is sent. On receiving a reply to this mail , the same needs to be added as reply , so that the continuity of the communication can be tracked and maintained .

Adding mails and attachments as separate Wrench documents

While adding mails with attachments to Wrench, you can add the mail and attachment as separate documents. For this a setting is defined in Control Panel>>Settings>>Performance and Utilities>>Documents. Once you define this setting in the control panel and add a mail with an attachment the following window is displayed with different options listed.

Add only Mail: On selecting the radio button next to this option the mail is only added as a document to Wrench

Add only Attachment as Wrench document: On selecting this option the mail attachment is only added as a document to

Wrench.

Add Mail as Wrench document with attachments as associated files: On selecting this option the mail is added as Wrench document and attachment is added as associated file.

Add Mail and Attachment as separate Wrench documents and refer each other: On selecting this option the mail and attachment are added as separate Wrench documents. The attachment and mail will be referred to each other automatically in the document details window.

In XYZ corporation project related documents are received as mails and the planning engineer add these mails to Wrench. The project related documents or drawings are sent as attachments with the mails and these documents or drawings would undergo review and approval process. Hence these attachments are treated as separate documents. Though they are stored separately they are automatically linked to each other.

Since the email and drawings are linked to each other, while going through the project documents the emails corresponding to the documents can also be referred.

In case you need not refer the email, you can directly access the attachment which is stored as a separate document with its own attributes and maybe even in a folder different from email message.

Drag and Drop Correspondence from other genealogies

You can drag and drop correspondence from a specific genealogy to another selected genealogy. To perform this function,

  • You must necessarily have "Copy" permission in the specific genealogy from where it is being dragged to. If the user has been assigned "Copy" permission, user can drag the correspondence from the specific genealogy.

NOTE : You must also have ‘Add’ right in the Correspondence genealogy where the Document is to be added. If ‘Add’ right has been specified, then the ‘Add Document’ window is displayed with the dragged Document details in ‘Wrench Document’ tab.

For more information on adding correspondence documents refer Adding a Single Document>>Selecting Files and Folders

Notifications

Notifications are automatically generated mails notifying the occurrence of an event. For more information on notifications refer to Notification Mails>> Creating and Adding Documents

More details

Any additional custom characteristic linked to this object may be displayed by clicking the "More Details" button. All the mandatory fields are to be entered.

Adding Multiple Correspondences

  1. You can add multiple Correspondences to the correspondence genealogy using the "Multiple Document add" window, the properties is modified to accommodate the correspondence fields
  2. You can also drag and drop multiple correspondence together
  3. Clicking "Apply to Selected" the correspondence properties is applied to all the selected files.

Creating and maintaining links between Correspondences

WRENCH facilitates users to create and maintain links between correspondences. Add a reply to the existing mail or add another related mail to it. You can also conveniently view correspondences in a grouped structure according to their links. If a link has to be established between two mails, drag a mail from outlook to add to another correspondence already existing in wrench.

If a mail already exists in wrench and if another mail is dropped from MS Outlook on to the first one, the second mail automatically gets added to Wrench and a parent-child relation is created between the two mails. When a mail is dropped to the “Drag and Drop your Outlook mails here” region the correspondence tab in the 'Projects' window, it will automatically initiate a new group with the subject of the mail being the 'Group Name' by default.

Adding Reply to a Correspondence Document

Your organization has been selected as the contractor by ABC corporation for one of its clients. The correspondences sent by ABC Corporation are stored with a unique ID in your system in a systematic manner by defining the folder structure type as correspondence. If the genealogy type chosen is of correspondence type , an option "Reply" from wrench will be available. While replying to these correspondences a reference is created automatically to identify the correspondence to which the reply is sent. In addition number of replies sent to the correspondence can also be tracked.

As a DCC of a contracting company , you need to send correspondences of different categories to your client. A track of the correspondences sent is maintained in a folder structure of type correspondence and once you get a reply for your correspondence , you can select the option called " Reply" and archive the incoming correspondence to its respective outgoing letter. Also the reply to the incoming letters can be added by the users. This option provides the facility to relate incoming and outgoing correspondence and vise versa.

To add a reply to a correspondence document

  1. Drag and Drop the draft reply mail on top of the specified Correspondence Document or right-click the existing correspondence document and select 'Add Reply' from the list of menu options as illustrated in the following figures

  2. In either case, a box will pop up where you may select the checkbox next to 'Allow access for' option.

  3. Select the Allow button. "Add Document window" is displayed. Details of the outlook mail selected and the correspondence to which a reply is added are displayed here.

Figure: Adding reply mail from MS Outlook

  4. In the 'Add Document' window, repeat the procedure already mentioned in the preceding sections to add another Correspondence Document.
  5. Click "Ok' to return to the 'Projects' window
  6. The reply to the selected correspondence document is added to the 'Correspondence' tab in the 'Projects' window.

Figure : Adding reply to a correspondence document from Project module

Adding a Reply from the document genealogy

You can select single or multiple correspondences from the document leaf level genealogy and add a reply.

In order to add reply to a correspondence

  1. Select single or multiple correspondences and from the right-click menu you can select between the following options.

New

  1. On selecting New, Add Document window is displayed.

You can enter appropriate values in the window. For information on entering values in the Add Document window refer Add Correspondence Document . The correspondence document details against which reply is added are displayed in the window.

Existing in Wrench

  • On selecting "Existing in Wrench" document search window is displayed. Select the required documents which may be added as a reply.

Figure : Adding reply to a Correspondence Document from the correspondence Document genealogy

NOTE: While adding a reply to the correspondence mail the you can either select new or add an mail existing in wrench.

Document Details of a Correspondence Document

The entire Document details are displayed in the Document Details window.

Select the Document and right-click and select Show Details from the pop down menu to retrieve the Document Details window.

It is possible to add a reply from the disk or from an existing correspondence in Wrench. Also the usage information can be retrieved.

Figure: Document Details window

Sending the correspondence through a Work flow

Wrench provides the facility to route correspondence documents through a Work flow. The correspondence document routed through the Work flow is available in the Workspace of the specified resources.

To route the correspondence document

  1. Right-click the selected Correspondence Document and select 'Send' from the list of menu options.

  2. Send window is displayed

For more information on sending through a pre-defined workflow refer Sending through a pre-defined workflow

Log Details

The entire details about the sending operation are displayed here.

  1. The work (documents or tasks) in Wrench can flow through different stages before it is released. This flow of documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in guided workflow or without any definition like in unguided workflow. Workflow details includes:
  1. Different stages through which the work passed through.
  2. Details on recipients of the work.
  3. Date on which the work was received.
  4. Date on which the work was closed.
  5. Purpose of sending the work.
  6. Time taken to complete a stage.
  7. Duration for which the task was held in a stage.

To view workflow details

  1. In the Send window, select "Log Details" Tab. Log Details window is displayed.

Here logs of the current manual workflow or the old workflow can be viewed.

  2. To view the current workflow, select Active.
  3. To view the old workflow, select Old.

Figure: Log Details

The display area of the log details window constitutes of three panes.

  1. A pane showing the log details.
  2. A pane displaying the attachments.
  3. A bottom pane displays a graphical illustration of the log details.


Change Note

Change Note is the procedure of adding a note to a completed task indicating the minor changes which need to be incorporated to the main document.

Sometimes it is not necessary to revise a completed or released document all over again but instead only a note has to be attached to it for future reference. Wrench incorporates this feature to add a note to the completed or released Document through Change Note. Here there is no change in the status of the Document as it is in CR.

This topic is divided into different sections. Please see the navigation table for more details.

Navigation Table

To | See
Create a Change Note | Creating a Change Note
Perform a Change Note Search | Change Note Search
Perform Change Note operations | Change Note Operations


Creating and Submitting a Change Note

Prerequisites

A User can be assigned appropriate security rights to create, edit,view and delete Change Note by selecting Change Note and assigning User or User group based security rights for the Change Note module in the Security Center module. For more information on security center refer administrator's manual

Navigation Table

To | See
Access the Change Note window | Accessing Change Note
Understand the Change Note procedure | Procedure for Creating and Managing Change Note
Create a Change Note | Creating a Change Note
Add Attachments to a Change Note | Adding Attachments to a Change Note
Edit a Change Note | Editing a Change Note
Submit a Change Note | Submitting a Change Note
Create a Change Note for BOM | Creating a Change Note for BOM
Create a Change Note for Part | Creating a Change Note for Part
Automate Change Note creation on Change Request Approval | Automatic creation of Change Note

Accessing Change Note

  1. Select Folders in the navigation bar. Select Change Note and right-click.
  2. In the right-click menu click Add.

Figure: Creating a Change Note

Procedure for Creating and Managing Change Note

Step 1. Create a "Change Note Request" Please note that CN request can be raised only for a released document

Step 2. Add "Change Note" as an attachment in the Change Note request.

Step 3. Submit the Change Note request to the concerned authority. Change Note can be submitted through a guided or unguided workflow or board routing.

Step 4. The Authority to whom the Change Note is submitted should first "Accept" the Change Note request and then "Approve" the Change Note.

Step 5. Once the Change Note is Approved, the Change Note which was attached in the Change Note request will get added as an attachment to the original Document.

Creating a Change Note

  1. In the navigation bar select Folders.
  2. Select Change Note.
  3. Right-click the Wrench desktop to avail a list of menu options.
  4. Click Add.

If additional components Part and Product Structure are installed "Select Object Type" dialog box will display BOM and Part along with Document.

Figure: Select Object Type dialog box

  3. Select between "BOM","Document" and "Part" from a drop-down list.
  4. On selecting object type as "Document", "Document Search" window is displayed. Specify either Project Id, Document number, WBS No to retrieve the Document for which Change Note has to be created.

NOTE: Change Note can be created only for release documents.

  5. Change Note Request window is displayed.

Figure: CN Request window

The fields in the Change Note Request window is described briefly in the following table.

# | Data Field | Description
1 | CN Ref No | The system automatically creates the CN Ref No when a Change Note is created.
2 | Originator | WRENCH updates this field with "User Name" of the user who raises the Change Note.
3 | Raised on | WRENCH captures the date on which Change Note is created.
4 | Document Number | The system displays the "Document number" of the Document for which the Change Note is raised.
5 | Document Internal Revision Number | The system automatically displays the number of times the original Document has been revised.
6 | Document Description | The sheet description of the Document for which the Change Note is raised.
7 | Change | You can enter the nature of change that has to be incorporated or select an existing Change Request by clicking on the ellipse which will provide an interface for the same.
8 | Reason for Change | You can enter a reason for change.
9 | Remarks | You can enter remarks.
10 | Cause | You can select from the Cause Code Search window.
11 | Priority | You can select from a drop down list. You can select from Low, Medium, High.
12 | Reason for Rejection | If the Change Note is rejected this field will be populated.
  6. Click "OK."
  7. "New open CN created successfully" dialog box is displayed. Mails may be send to selected users indicating the creation a Change Note.
  8. On clicking "Ok" the "Chang Note" window is displayed.

Figure: CN window

  9. In the tool bar click "Edit."
  10. Change Note Reference No. and Change Note status is created automatically by the system and will be displayed. Also add Checklist to it if this field is selected.
  11. The details of the document for which the Change Note was raised is also displayed in the CN object details section .
  12. The field CR Reference Number is populated if the Change Note is created automatically on the approval of a CR.

NOTE: Checklist field will be enabled in the Change Note window, if "Checklist Mandatory" option is selected in Control Panel->Performance and Utilities ->Document and if Change Note request is to be approved only after the checklist is completed then the "Checklist must be Completed" option is to be checked in the Control Panel->Performance and Utilities->General. For more information refer administrator's manual.

Adding Attachments to Change Note Request

  1. To add attachments to Change Note request right-click "Attachments" and select "Attach CN."
  2. On Clicking Get CN Template from the right-click menu "Search Non mapped Template" window is displayed.

Figure: Search Non mapped Templates

  3. You can select a Template from the list.
  4. On adding an attachment the right-click menu appears as shown in the following figure.

Figure: CN window

  5. Click "View CN" to display the attachment.
  6. Click "Delete CN" to delete the attachment.
  7. Click "Copy Out CN" to copy the attachment to a specific location.
  8. You can select the location from "Save As" window.
  9. Click "Check Out CN" to check out the attachment for editing

Once the attachment is checked out the right-click menu appears as displayed in the following figure

  1. Click "Cancel Check Out CN" to cancel the check out process
  2. Click "Check In CN" to check in the checked out attachment after editing

Figure: CN window

Editing the Change Note request

  1. Right-click the document and select "Add Changes" to retrieve the CN request window

Figure: CN window

  2. You can Add or Edit entries in this window.

Submitting the Change Note request

  1. Click "Submit" button on the navigation bar.
  2. The "Assign Work Flow" window is retrieved where you can define either a manual or predefined work flow for the Change Note

Figure:Assign Work Flow

  3. For a manual workflow the list of users can be selected
  4. The Document will be send and approval is sought during the final stage (if Change Note is sent through a workflow) in which the user has to approve or reject the Change Note from the Change Note window itself.

For more details on approving or rejecting a Change Note refer Change Note Operations.

NOTE: Only a user with appropriate security rights in the Change Note module can perform these operations.

Creating a Change Note for BOM

  1. In the "Select Object Type" dialog box from the drop down list select "BOM"
  2. BOM Search window is displayed
  3. Make the appropriate selection from the BOM search window

You can follow the steps mentioned in Creating a New Change Note for Document to complete the operation.

Creating a Change Note for Part

  1. In the "Select Object Type" dialog box from the drop down list select "Part"
  2. Part Search window is displayed
  3. Make the appropriate selection from the Part search window

You can follow the steps mentioned in Creating a New CN for Document to complete the operation

Automatic Creation of Change Note

When a Change Request is approved a Change Note is created automatically. In order to enable this facility appropriate setting are to be made in Control Panel>>Performance and Utilities>>Change Management. The reference number of the Approved CR which resulted in the automatic creation of the CN is displayed. The creation of the Change Note is indicated through a message box .

See Also:

Change Note Search

Change Note Operations


Change Note Operations

You need to have respective security privileges in the Change Note module to approve the Change Note. Usually the Change Note is send to the approver. Change Note to be approved is available in the approver's workspace.

Navigation Table

To | See
Accept or Reject a Change Note | Accepting or Rejecting a Change Note
View, Edit or Delete a Change Note | Viewing, Editing or Deleting a Change Note
View attachments in a Change Note | Viewing Attachments in a Change Note
Revoke a Change Note | Revoking a Change Note
Approve a Change Note | Approving a Change Note
Reject a Change Note | Rejecting a Change Note
Perform workflow related operations | Workflow Options
Understand other options in Change Note window | Other Options

Accepting, Rejecting, Deleting and Viewing Change Note Request

  1. Select the Document from the Change Note Request Details list.
  2. You need to accept the request before he approves it. In the right-click menu select "Accept Request."
  3. Clicking "Edit" CN Request window is displayed. Edit the fields which are enabled for editing
  4. Clicking "View" CN Request window is displayed with all the fields filled in. Entire Change Note details are displayed here.
  5. Clicking "Reject" a dialog box appears asking for confirmation. On confirmation "Reason for Rejection" window is displayed. A reason for rejection is to be entered.
  6. Once the note is accepted or rejected the "Revoke" option in the menu is displayed. The Note can be revoked by clicking "Revoke Request"

Approving a Change Note

  1. Select the Document from the Change Note Request details list.

  2. In order to approve the change in the left navigation bar from Manage Change Note click "Approve."

NOTE: The status of the Task to which the Change Note has been raised will remain the same.

Rejecting a Change Note request

You can reject a Change Note request submitted for approval. To reject a request, in the navigation bar click "Reject."

Workflow options

The following options are available here.

Checklists: Checklist field will be enabled in the Change Note window, if "Checklist Mandatory" option is selected in Control Panel->Performance and Utilities ->Document. On clicking "Checklists" the checklists assigned to the current workflow stages are displayed. The checklists are to be completed prior to Change Note Request approval.

Workflow: Selecting this option "Send" window is displayed. The workflow operations in the navigation bar are enabled only if the Change Note is accessed from the user workspace.

Reassign Resources: Selecting this option Reassign Resources window is displayed. Select a stage and reassign the resources in that stage with new users.

Figure: Reassign Resources window

Adding Objects to a Change Note

You can add Documents, Part and BOM to an existing Change Note

In the navigation bar from Add Other Objects user can select from Documents, Part and BOM. The newly added Document, Part or BOM are displayed in the Change Note Object Details area.

Other Options

The following options are available under Other Options

More Details

On selecting More Details Custom Characteristic window is displayed. Custom characteristics assigned to Change Note is displayed here. You can also assign values to the custom characteristics.

Figure: Custom Characteristics window

View Document details

On selecting this document details window is displayed. All the details regarding the document is displayed here.

Legends in Change Note

See Also:

Creating a New Change Note

Change Note Search


Change Note Search

Change Note Search is a facility where user can access Change Notes maintained by the system. Wrench Enterprise hosts an exclusive search mechanism to avail access to Change Note.

Performing a Change Note search

  1. To search for an existing Change Note in the Change Note toolbar click "Open."

Figure: Change Note toolbar

  2. The "Search Change Note" window is displayed with the entire list of Change Note's created in wrench

Figure: Search Change Note window

  3. Specify the search criteria and Click "Search" button to filter and display the list of created Change Notes satisfying the search criteria
  4. A search operation can be performed based on the following criteria's

-CN Reference Number

-CR Reference No

-CN Status

-Object Number

-Originator

-Object Internal Revision Number

  5. To have an advanced search facility click "Advanced" button and specify the search criteria to enable faster search result

Figure: CN Advanced Search window

You can provide the following values to initiate a search.

CN Reference Number: The reference number of the Change Note

CR Reference Number: CR reference number if the Change Note is automatically created on raising a Change Request

Originator: The creator of the Change Note

Object Number: The unique identification number of the object

Object Type: You can select between Document and BOM from a drop down list

CN Status: You can select from a drop down list. The status available are Open, Submitted, Approved, Rejected.

CN Raised From: The period in between which the Change Note was raised.

Object Internal Revision Number: The Internal Revision Number of the object.

CN Custom Properties: If any custom properties are assigned to the Change Note it is displayed here. You can carry out a search providing values for the custom characteristics.

Export to MS Excel

Search results can be exported to an MS Excel file.

  1. In the search window tool bar select "Export to MS Excel."

Save As dialog box is displayed.

  2. Specify a file path and name.
  3. Click "Save" to save the search results.

See Also:

Creating a New Change Note

Change Note Operations


Part

Navigation Table

To | See
Understand a Part | What is a Part/Component/Assembly/Subassembly?
Understand Document Part and Non-Document Part | Document Part and Non-document Part
Understand Substitute Part, Accessories, Tools and Spares | Substitute parts, Accessories, Tools and Spares
Understand Part level properties | Part Level Properties
Understand Part types | Part Types
Understand Part Approval and Part Release | Part Approval and Part Release
Understand End of Life and Obsolete Parts | End of Life and Obsolete Parts
Understand Configurable Parts and Saleable Parts | Configurable Parts and Saleable Parts
Understand Part Identification Number | Part Identification Number
Understand Plants and Extended Parts to Plants | Plants and Extend Parts to Plants
Understand Change Management of Parts | Change Management of Parts
Understand Part creation process map | Part Creation - Process Map

What is a Part/Component/Assembly/Sub-Assembly?

Part

Part could be defined as a physical item or information which can be manufactured or procured from a vendor as “Components”, “Subassemblies” or “Assemblies” or even as a finished product, which is identified by a unique number.

For Example: A TV stand that consists of nuts, bolts, screws, wooden legs and flat wooden or metal surface.

Component

Component could be defined as the first level of a Part which is manufactured or procured as it is.

For Example: To create a table with four legs, two components, Nut and Bolts are essential and must be procured.

Sub assembly

Various components assembled together using different processes is referred to as a sub-assembly. In this example, Nuts and Bolts can be collectively referred to as a sub-assembly.

Assembly

Assembly refers to various sub-assemblies and components assembled together.

For Example: A TV stand with four legs and a flat wooden or metal surface assembled with nut, bolts and screws is called an Assembly

Product

The finished form of an assembly which is ready to be launched in the market is known as a product. Here, the finished TV stand is the product.

Document Part and Non-Document Part

Document Part

Parts that have certain design documents, testing documents or inspection reports associated with them are known as document parts. For Example: Any parts which is designed and manufactured or Procured.

NOTE: A Document Part/Design Part has four statuses namely Work-in-Progress,Released,Approved and Obsolete.

Non Document Parts

Parts which do not require any design documents are known as non-document parts. Non-document parts are globally accepted with their standard names. For Example: All standard components like M19 bolts etc

Substitute Parts, Accessories, Tools and Spares

Substitute Parts

These are the parts which could be substituted for another Part which has the same configuration.

For Example: In the case of a computer system, an LG monitor can be substituted by a Samsung monitor of the same specification as this will not affect the overall performance of the computer system.

Accessories

Accessories refer to parts used in combination with other parts.

For Example: Wheel and Wheel cup

Tools

Tools refer to parts used for manufacturing or designing other parts.

For Example: Drilling tool

Spares

Spares are parts supplied with the original Part as a supplement.

For Example: Spare keys for a lock.

Part Genealogy

The following operations can be carried our from the part genealogy

  1. Define Security for a Part. Both user level and user group level security can be assigned.
  2. Classify Parts and assign Class Characteristics to Parts.
  3. Define different numbering logics.

Creating a Genealogy level

In order to create a new genealogy level

  1. In the Wrench desktop left pane navigation bar select Genealogy
  2. List of Values window is displayed
  3. Select the folder Part

Figure: Part-List of Values window

  4. In the right click menu select Create
  5. List of Values window is displayed

Figure: List of Values Details dialog box

  6. Enter a Value and Description
  7. The created level is grouped under the part genealogy.

Part Level Properties

User and User Group securities and Default properties can be set for " Part". In order to set part level properties

  1. In the WRENCH desktop left pane select Genealogy
  2. List of Values window is displayed
  3. In the Genealogy Configurator select Part
  4. In the right-click menu select Properties

Figure: List of Values window

  5. Part Properties window is displayed.

Figure: Part Properties window

For more information on Part Properties window refer Configuration Wizard>>Genealogy>>Defining Part Level Default Properties in the Administrator's Manual.

Part Types

Part types are used for ERP integrations or specifying any additional details

Part Approval and Part Release

Part Approval

In most organizations, Part numbers are created by data entry operators. The concerned approving authority in the organization would approve the numbering logic on the basis of the information provided.

Part Release

Part release means Parts are ready for manufacturing or procurement. Document Parts are released when the design documents are released while Non-document Parts are released when they are approved.

End of Life and Obsolete Parts

End of life for Parts

End of life of a Part denotes that the Part is invalid beyond a particular date or it has expired. In most cases, End of life is specified for parts which have shelf life or parts which have been banned by the government.

For Example : Grease, a particular grade of aluminum.

Obsolete Parts

Parts which have crossed their expire date or End of life turns obsolete. These parts could no longer be used in the manufacturing process.

Configurable Parts and Saleable Parts

Configurable Parts

The Part which is configurable is referred to as a configurable Part. Quite often, raw materials and consumables are defined as configurable parts.

For Example: Aluminum sheet, Paint, Grease.

Saleable parts

Parts which are available for sale in the market are known as saleable parts. Purchase orders are raised basically for saleable parts.

Part Identification Number

Part Identification Numbers refers to Part numbers for which the quantity is always one.

For Example: In the Defence industry, since the reliability factor is extremely high, all the components and assemblies are tested and inspected separately with great precision before using it to manufacture the final product. Each of the components/assemblies would be represented by different Part Numbers and their quantity will be one. These Part numbers are known as PIN (Part Identification Numbers).

Plants and Extend parts to plants

Plants

Plants refer to different units of a company. They could be in geographically similar or different locations. Example: Designing unit, Manufacturing unit, Purchasing units

Extend to Plants

When a Part is created and released from one unit (usually design unit) it is extended to other units so as to make it available for that unit. There can be some plant related properties for extended parts also like cost, availability etc.

Change Management of Parts

Parts are revised when the related documents are revised. Non-drawing parts are revised separately for changing the Part information. When a document is revised, all the associated parts are listed in the affectivity list.

For Example: When the drawing of a Part is revised, the Part is revised. However, when a document like catalog or operation procedures is revised, the Part is not revised.

Part Creation - Process Map

See Also

Creating a Part

Part Operations


Creating a Part

Creating a Part

To create a new Part,

  1. Right-click the leaf level "Part" genealogy.
  2. Click Add.
  3. New Part window is displayed.

Figure: Create New Part window

Enter the following details in the New Part window.

#

Field

Description

1

Part Number

Part number is a unique identifier for the Part. The Part number could be entered manually or it could be automatically generated. Please note that Part number would be generated automatically only if Auto Number Generation is checked in Control Panel > Performance and Utilities > Control Settings>>Part. For more information on Automatic number generation of Part, please refer the Number generation module in Masters. This field is mandatory. If the user is creating the Part No. manually, the Part Type has to be selected first. The character length of Part No. depends on the Part Type.

Enabling Auto generation of Part Numbers

To enable auto generation of Part numbers in Part default properties the following settings are to be made.

Part Numbering Template: Specify a Part Numbering Template for the genealogy. Click the browse button to select from a list. All the numbering templates created in the numbering template master are available here.

Can change the numbering logic at the time of creation of Part:

  1. If this option is enabled, at the time of creation of the Part the numbering logic assigned can be changed. All the available templates are listed and you can select a Part number template from the list.
  2. If this option is disabled Part number is generated automatically if all blocks defined are of automatic type.

Refer Genealogy>>Defining Part Level Default Properties in the Administrator's Manual for more details

2

Part Description

Enter the required description of the Part.

3

Part Genealogy

Browse and select the appropriate level of genealogy for the Part

4

Long Description

Enter additional description of the Part if any.

5

Unit of Measurement

Here, you can specify the required unit of measure for the quantity of usage. For Example: When a Part is used in BOM, the specified quantity is measured in the UOM. You can select the appropriate one from the master list.

6

Part type

Here, select the required Part Type as specified in the Part Type Master. Please refer Part type Master for detailed information on the topic.

7

Shape

Select the required shape of the Part as defined in the Shape master. Please refer Shape master for comprehensive information on this topic.

8

Is Drawing Part

Select Yes if the part requires a design document and the release of the Part is independant on the completion and release of the design document.

9

Is Configurable

Select Yes if its a configurable part

10

Is Approval Required

Select Yes if the part needs to be approved by the concerned Department Head

11

Is Circuit Reference required

Select Yes if the part comprises an electrical compartment

12

Is Assembly

Select Yes if the part is an assembly of different components

13

Is Workflow required for Approval

Select Yes if the approval of the part requires a workflow

13

Is Assembly Driven

Select Yes if the Part requires design document and the release of the Part is dependent on the completion and release of the design document.

14

Valid From

Choose a date from which the part is valid from

15

End of life

End of life of a Part denotes that the Part is invalid beyond a Particular date. Specify the date on which the Part is to be made obsolete

16

Collaborator Part No

Enter the Collaborate Part Number if needed. This is applicable in certain scenarios where there is a collaborative partnership between two organizations and technology transfer takes place between the two. In case the design is executed by the collaborator and manufacturing is done by the organization, the organization requires the collaborator Part number as a reference.

17

Cost

Cost refers to the cost of the specific Part (in currency).

18

Project ID

Browse and select a project for the part.

19

Manufacturer Part No.

Manufacturer part is that procured from an external manufacturer. For Example: A car manufacturer can purchase the tyre of the cars from external source, instead of manufacturing it.

20

Source

Some type of parts are always sourced from a manufacturer. Here, you may select the required source of the part as specified in the source master.

21

Unit weight

Enter the unit weight of the part.

22

Weight UOM

Enter a unit of measure for the weight of the part.

NOTE: Values that are defined in the Part Genealogy are inherited here. The inherited values can be overridden by assigning values from this window.

Shape : On selecting the required shape of the Part, you can enter the appropriate values for the shape properties i.e; Part attribute and non-part attribute (variable) values for the selected shape.The Part attributes are mandatory and need to be filled in by the user.

To add shape details

  1. Select the shape tab

  2. Shape Details window is displayed.

For comprehensive information on this topic, please refer the Shape Master in the Administrator's Manual.

  3. Browse and select a pre-defined shape details

Assign Conversion factors for other UOM Types: The input UOM is automatically converted and the converted UOM is displayed in the grid.

  4. Select Ok.

Source/Vendor: Define a source for the part. A vendor may also be selected.

  1. Click the browse button against Source Name to select from a list.

On clicking the Source/Vendor tab the following window is displayed.

Figure: Source and Vendor details window

  2. Click the browse button against Source Name to select from a list.
  3. Click Add to select a vendor from the vendors list.

FInformation:

  1. While saving the Part if "If Design Driven" is selected the Part is Created and Approved successfully. The Part requires design documents attached to it and release of the Part is dependent on the completion and release of the design document.
  2. While saving the Part if "If Design Driven" is selected the Part is Created and Released successfully. The release of the Part is not dependant on the release of design documents.
  3. While saving the Part if "Is Approval Required" is selected Part is created successfully. The status of the newly created Part will be Work In Progress.

See Also

Part Operations

Creating a New Standard BOM

BOM Operations (Standard)

Creating a New Material BOM

BOM Operations (Material BOM)

Import / Export of BOM

Part Search

BOM Search


Part Operations

Various Part related operations that would be carried out are detailed in this section

Navigation Table

To | See
View Part Details window | Part Details Window
Perform Part operations | Part Operations
View Workflow details | Work Flow Details
Bulk Import Parts | Bulk Import of Parts
Manage Document associated to a Part | Document Management Associated to a Part
Add Tools/Substitutes/Accessories | Adding Tools/Substitutes/Accessories
View Revision history details | Revision History
View Part Used List | Part Used List
Perform Part operations from the right-click menu | Part Operations (Right-Click menu)

Part Details Window

The "Part details" provides users comprehensive details regarding a selected Part.

  1. Select a specific Part and right-click on it to avail a list of options
  2. Click Open
  3. The Part Details window is displayed
  4. Double-click a Part to access the Part Details window.

The information in the Part Details window are grouped under the following tabs.

  1. Part Details : A comprehensive information of the Part is displayed here. In addition to this you can also carry out Part related operations here.
  2. Documents : Document Management Associated to a Part can be performed from the window displayed on selecting this tab.
  3. Tools/Substitutes/Accessories : Here, a specific Part can be searched using certain Part characteristics as the search criteria such as Part No., Part Description, UOM code and Part Status. The selected Part could be added as a Tool, Substitute or Accessory.
  4. Shape Details : Shape Properties and values assigned to them are displayed here
  5. Revision History : The Revision history, provides you with detailed information regarding the revision of a specific Part.
  6. Part Used List : The Part Used List provide you with details on the usage of a specific Part.

Figure: "Part Details" window

The left navigation bar is grouped as mentioned below.

  1. Part Operations
  2. Work Flow Details
  3. Import

Part Operations

You can perform the following operations here.

  1. Approve Part
  2. Reject Part
  3. Release Part
  4. Revise Part
  5. Obsolete Part
  6. Revoke
  7. Delete
  8. Replace Part
  9. Source/Vendor
  10. Extend Part
  11. Personalize View
  12. Send to Personal Folder

These operations are detailed below.

NOTE: Only current stage users with appropriate rights can perform this operation.

Approve Part

Part Number generated by the user have to be approved by some other authorized users. If the Part Number is created using a Part Type, which requires mandatory Part Approval, then use the following procedure to approve a Part Number.

A drawing or non-drawing Part will have status as "Work In Progress." Its Part No has to be approved before releasing. Approving the Part No. will make the status of the Part as "Approved."

  1. Click Approve Part
  2. Are you sure you want to approve the selected part dialog box is displayed. Select Yes.
  3. Comment On Approve dialog box is displayed.

Figure: "Add Comments" dialog box

  3. Add the desired comments and click Ok

Figure: "Send Mail on Part Approval" window

  4. Send Mail on Part Approval window is displayed
  5. Click the Browse button to select the users to whom mail has to be sent on Part approval
  6. Provide a subject and message for the mail
  7. Click Send
  8. Mails are send to the selected users alerting them of the Approval operation.

Reject Part

A Part number can be rejected. On rejecting a Part number, the Part attain Work-in-Progress status and details could be modified as desired.

  1. Click Reject Part option
  2. Are you sure you want to reject the selected part dialog box is displayed. Select Yes.
  3. Comment on Reject dialog box is displayed

Figure: "Add Comments" dialog box

  3. Add the desired comments and click Ok
  4. Send Mail on Part Reject window is displayed

Figure: "Send Mail On Part Rejection" window

  5. Click the Browse button to select the users to whom mail has to be sent on Part Rejection
  6. You can provide a subject and message for the mail
  7. Click Send

Mails are send to the selected users alerting them of the Part Rejection operation.

Release Part

Release of the Part information means that the Part information is complete and could be used by other departments.

NOTE: Only those Parts which are in "Approved" Status can be released.

  1. Click Release Part option
  2. Are you sure you want to release the selected part dialog box is displayed. Select Yes.
  3. Comments On Release dialog box is displayed

Figure: "Add Comments" dialog box

  3. Add the desired comments and click Ok
  4. Send Mail on Part Release window is displayed
  5. Click the Browse button to select the users to whom mail has to be sent on Part Release
  6. Provide a subject and message for the mail
  7. Click Send

Mails are send to the selected users alerting them of the Part Release operation.

Releasing a Drawing Part

If the Part is a drawing Part, then at least one document should be linked to the Part and the document linked should be released to release the Part. In fact when a drawing is released, the Part automatically becomes released.

NOTE: The document can be released only after approving the Part No.

Releasing a Non-drawing Part

If the Part is a Non-drawing Part, it is released automatically on creation, if approval is not required. If approval of Part No is mandatory, then it will be released on approving the Part No.

Revise Part

Revision refers to the process of making modifications or changes to a released Part.

NOTE: Only Parts which are in "Released" state could be revised.

Each time a Part is revised, the internal revision number is incremented by one. Upon revising a Part, the Part status would be changed to "Work-in-Progress". The user who has created the Part and the user who has approved the Part would be sent email messages containing the Part details (Part number, description and current Internal Revision Number).

  1. Click Revise Part option.
  2. Are you sure you want to revise the selected part dialog box is displayed. Select Yes.
  3. Add Comments dialog box is displayed

Figure: "Add Comments" dialog box

  3. Add the desired comments and click Ok
  4. Send Mail on Part Revise window is displayed

Figure: "Send Mail On Part Revise" window

  5. Click the Browse button to select the users to whom mail has to be sent on Part Revision
  6. Provide a subject and message for the mail
  7. Click Send
  8. Mails are send to the selected users alerting them of the Part Revision operation.

Fast Track Revise

Select this option to perform a fast revision of a released Part. A Change Request will be created for the same automatically. The status of the Part will be set to Work In Progress.

Obsolete Part

If the Part is released or Work In Progress, the user cannot delete the Part. User can only obsolete the Part. Even though Obsolete Part information is available in Part Master, it cannot be used anywhere. If the selected Part is used in a BOM, then the list of such BOMs would be displayed and the user has to confirm if the Part has been made obsolete or not. Once the user confirms, the status of the Part is set as obsolete and the “End Of Life” date is set as the current date.

  1. Click Obsolete Part option.
  2. Are you sure you want to obsolete the selected part dialog box is displayed. Select Yes.
  3. Add Comments dialog box is displayed

Figure: Add Comments dialog box

  3. Add the desired comments and click Ok
  4. Send Mail Part Obsolete window is displayed

Figure: "Send Mail On Part Obsolete" window

  5. Click the Browse button to select the users to whom mail has to be sent on Part Obsolescence
  6. Provide a subject and message for the mail
  7. Click Send
  8. Mails are send to the selected users alerting them of the Part Obsolescence operation.

Revoke Part

You can revoke a Part. Revoking Part refers to the reverse order of obsolescence.

NOTE: Only Parts which are in obsolete status can be revoked.

  1. Click Revoke Part option.
  2. Are you sure you want to revoke the selected part dialog box is displayed. Select Yes.
  3. Add Comments dialog box is displayed

Figure: "Add Comments" dialog box

  3. You can add the desired comments and click Ok

Figure: "Send Mail On Part Revoke" window

  4. Click the Browse button to select the recipients of the mail that is sent on Revoking a Part
  5. Provide a subject and message for the mail
  6. Click Send
  7. Mails are send to the selected users alerting them of the Part Revocation operation.

Delete Part

Deleting Part refers to the process of permanently removing a Part. A Part can be removed from Part Master anytime before releasing it for the first time. Released Parts cannot be deleted. If the Part is in Work In Progress and there are documents of BOM related to it, the Part can only be deleted only after deleting the BOM and deleting or detaching the associated documents.

NOTE: Parts that have old revision details in the system cannot be deleted.

Replace Part

Only Parts which are in Released and Work-in-Progress (unapproved) status can be replaced with another. In Replace Part, the old Part number would be replaced with the new Part number in all BOMs where the old Part number is used.

  1. Click Replace Part to avail the Part Replace dialog box

Figure: "Part Replace" dialog box

  2. Enter the new Part number in the Part Number Replace With field
  3. Click Ok
  4. Part Replaced Successfully dialog box is displayed.

Source and Vendor

Specify a source for the part. Vendors may be assigned to the source assigned to a part.

  1. On clicking Source/Vendor Part Source Vendor List window is displayed.

Figure: Part Source Vendor List

  2. Click the browse button against Source Name to select a source from the list.
  3. You can add vendors from a list. Vendors already added can be removed.
  4. Click Ok to perform changes.

Extend Part

Some organizations will be having multiple plants. A part used in one plant might be required in another plant also. Select this option to extend the selected Part to different plants or organizations.

To extend a part

  1. In the Part Details window left navigation bar select Extend Part
  2. Extend to Plants window is displayed

Figure: Extend to Plants window

  3. Here you can select a plant to which the part has to be extended. Click Apply to continue

Personalize View

Select this option to personalize the Part Details window. On selecting this option Part Details UI customization window is displayed. You can add or remove fields that are listed in the Part Details window

Work Flow details

Start / Assign work flow: Select this option to assign work flow to a Part and start a newly assigned work flow.

Show Work flow: Select this option to view the assigned work flow if any. Also Routing History details and details regarding the work flow stage and resources are displayed here.

Flush Work Flow: Select this option for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.

Reassign Resources: This option facilitates reallocation of resources to Work In Progress work flow. On clicking this option Reassign Resources window is displayed. Select a stage and select resources from a user list. Click Reassign button to reassign resources. Only users with Reassign resources in the genealogy can perform this operation.

F Information:

Only Admin user or originator can perform this operation.

Send: Select this option to send the Part to the next user in the workflow

Forward: Select this option to forward the part for the purpose of information.

Bulk Import of Parts

Bulk import of Parts can be carried out from an MS Excel sheet. You can generate an MS Excel template and enter all the mandatory Part information in it. Data in the MS Excel sheet that contains part information can be bulk imported to Wrench.

NOTE: All the bulk imported Parts must be of "Released" status.

You can also bulk import design documents for Parts which have design documents.

To Bulk Import Parts

  1. Click the "Generate template" option to create an MS Excel file containing a list of Parts and their characteristics. In the MS Excel file, list down the Parts Row wise, with their characteristics specified in each column (column wise)
  2. The first few columns specify the Part characteristics. The successive columns specify the characteristics of documents attached to the Part. The mandatory fields to be filled in by the user are indicated by an asterisk (*). Note that if an LOV is available for a selected Part, it would be listed in the drop-down combo. Choose the required LOV from the drop-down. Likewise, if custom properties have been already assigned for the selected Part or Document, they would be displayed in the columns corresponding to Part or Document characteristics

Figure: Generated MS Excel Template

  3. Select the Bulk import option to avail the Bulk Import window

Figure: Bulk Import window

  4. Click the ellipse button next to the File Path to select the specific MS Excel file from disk
  5. The column names found in the first worksheet of the selected MS Excel file are listed in the "Starting Document Column". From this list, select the column name which is the last column containing Part properties. This helps the system decide the columns containing the document characteristics

If custom properties are available for the selected Parts or Documents, they are displayed in Part Custom Properties or Document Custom Properties grid respectively

  6. Link the Part characteristics in Wrench to the columns in the MS Excel file
  7. In the Parts tab, the system displays the list of Part characteristics in Wrench
  8. You can view the serial number, identify the corresponding characteristic in the Excel file (list of columns displayed in columns in MS Excel) and specify the serial number of the corresponding Excel column in the "Link" column. Or, click Link button to link the Part characteristics in Wrench to the columns in the MS Excel file

Once the Part characteristics linking is completed, repeat the same process for document characteristics (Documents tab)

  9. Save the links as a template for future use. Type in a "Link name" and click the "Save Link" button to save the links
  10. Link names are available in the Select Link combo box. Select the required name and click Load to retrieve the links
  11. Click Import to Wrench button to start the process of import. The data in MS Excel file will first be validated.

If there's any data error which prevents it from being imported, they are displayed in a window. Fix the reported errors and try again to import it.

Import of Part Attributes

Part attributes are set of properties assigned to part in a plant. Similar to importing parts, part attributes can also be imported. An MS Excel template is generated for the purpose of importing attributes. Part Attributes that has to be imported are entered in the MS Excel Sheet and these attributes are imported to Wrench.

Generating an MS Excel template

To generate part attribute import template

  1. In the Part details window under Import group select Generate Attribute Template
  2. Save As window is displayed

Figure: Save As window

  3. Here you can enter a file name for the MS Excel template. Click Save to continue.

After creating a template you can enter the part attribute values in the template and save the values.

Importing Part Attributes

Once the part attributes for importing are entered the next step is to import the attributes to Wrench.

To import attributes to Wrench

  1. In the Part Details window under Import group select Part Attribute Import
  2. Part Attribute Import window is displayed

Figure: Part Attribute Import window

  3. Click the browse button to select the Excel file generated from Wrench
  4. Click Import Part Attributes. Edit Parts for Importing window is displayed

Figure: Edit Parts for Importing window

  5. Click Import Attributes. Attribute Import is validated.
  6. If the validation is success Attribute Import Validation Success dialog box is displayed as displayed in the preceding figure.
  7. Click Yes to continue

Document Management Associated to a Part

Linking or Referring of documents

You can attach design documents to a Part by the process of linking/referring.

Linking: When a document is "Linked" to a Part, the current status of the document has a direct impact on the corresponding status of the Part. Part achieves the "Released" status ONLY when all the linked documents associated with the Part are released.

NOTE: Only linked documents will affect the Part revision.

Referring : When a document is "Referred" to a Part, the current status of the document will not affect the status of the Part.

Figure: Part Details window - Documents Tab

To "Link" a document to Part,

  1. Right-click the Linked option and select "Add"
  2. The Link/Refer Documents window is displayed

Figure: Link / Refer Documents window

  3. In the Mode option, select either a Nnew document or a Document from Wrench
  4. If a "New document" is to be linked to a Part, click Browse button to avail the Add Document window. Add the required document here.

NOTE: If the added document is a 3 D drawing Reference Handler is displayed. If there are child drawings associated to the parent drawing it is also displayed in the reference handler.

  5. If you want to link a "Document from Wrench" to a Part, click on the "Browse" button corresponding Document field to avail the "Document Search" window
  6. Select the required document from the "Document Search" window
  7. Enter a description for the document.

NOTE: You can link multiple documents to Parts

To "Refer" a document to a Part

  1. Right-click the Referred option and select Add
  2. The Link/Refer documents window is displayed
  3. In the Mode option, select either a new document or Document from Wrench
  4. If a New document is to be referred to a Part, click Browse button to avail the Add document window. Here, the required document can be added.
  5. If a Document from Wrench has to be referred to a Part, click the Browse button to avail the Document Search window
  6. Select the required document from the Document Search window
  7. Enter a description for the document.

Figure: Part Details-Documents Tab

Reserving single or multiple genealogies

While linking a document to a design driven part from the documents tab in the part details window, single or multiple genealogies can be reserved.

To reserve a genealogy

  1. On the part details window document tab select Link and right-click
  2. On the right-click menu select Reserve Genealogy

Figure: Reserving genealogy

  3. Document Genealogy window is displayed

Figure: Document Genealogy window

  4. Select the needed genealogies from the upper pane. Selected genealogies are displayed in the lower pane. Click Ok to save the selection.
  5. The reserved genealogies are displayed
  6. Select a genealogy and right-click
  7. From the right-click menu select Add
  8. Link / Refer documents window is displayed
  9. Select New Document as mode and click Browse
  10. Add Document window is displayed with the reserved genealogy displayed.

Deleting a genealogy

A document genealogy can be deleted.

To delete a document genealogy

  1. Select a genealogy in the grid
  2. From the right-click menu select Delete
  3. A warning message is displayed. Select Yes to continue with the operation or click Cancel to abort the operation.

Document Operations

Right-click the Linked/Referred document to avail a list of options.

Show details : Select Show details to avail the Document details interface where you can view the details regarding the selected document. Please refer the Document Operations section in the Documents module for comprehensive information on the topic.

Detach: Select this option to detach the document from the Part.

Delete: Select this option to delete the document

Copy: Select this option to copy the selected document to the local machine.

View: Select this option to the selected document.

Open With: Select this option to open the document with a specific application

Check in/Check Out/Undo Check Out : You can perform Check In, Check Out and Undo Check Out operations on the document.

Print Request/Scan Request : You can generate a Print Request or a Scan Request for the specific document.

Revise: Select this option to alter the status of the task to work in progress. Revision refers to the process of making modifications or changes to a released Part.

Revise for Minor Changes: Select this option to revise the document for minor changes. The status of the document does not change

Fast Track Revision: Select this option to perform a fast revision of a released Part. A Change Request will be created for the same automatically. The status of the Part will be set to Work In Progress.

Attachments/Markups/Comment Files(s)/Client Comments/Squad Check Comments/Specter File(s): All these different types of files can be attached to a part. On selecting this option Part Details window is displayed with the Attachments tab selected by default.

For Example: If Attachments is selected from the right-click menu the following window is displayed.

Notice that under Association Type / Description it is displayed as ATTACHMENTS. For a different file type the description will be different.

  1. Now to add an attachment in the right-click menu select Add
  2. Add Associated window is displayed

  3. Click Browse button to select the attachment file and click OK to continue

Assign Workflow: Select this option to assign a workflow to a part

Show Workflow: Select this option to view the workflow attached to a part

Flush Workflow: Select this option to remove the part from the workspace of workflow resources

Update Document Details: You can update the properties assigned to the documents. In order to perform this

  1. Select Multiple documents from the list of documents.
  2. In the right-click menu select Update Document Details
  3. Update Document details window is displayed

For more information on updating document details refer to Document Search>>Operations Possible in Document Search.

Tools, Substitutes and Accessories

Search for a specific Part using certain Part characteristics as the search criteria such as Part No., Part Description, UOM code and Part Status. The selected Part could be added as a Tool, Substitute or Accessory.

To add a specific Part as a Tool/Substitute/Accessories,

  1. Right-click Accessories/Substitutes/Tools and select Add option
  2. The Part Search window is displayed

Figure: Part Search window

  3. Here, search for a specific Part on the basis of certain search criteria
  4. Enter the required values for the selected search criteria. You can carry out a search based on the following criterion
  • Part No
  • Part Description
  • Part Long Description
  • Part Status
  • Internal Revision Number
  • Genealogy
  • Part Type
  • UOM
  • Shape
  • Source
  • Work Flow team
  • Is Design Driven
  • Is Under Revision
  • Is Configurable
  • Is Approval Required
  • Is Circuit Ref Required
  • Is Assembly
  • Is Work Flow Required
  • Old Part No
  • End Of Life
  • Cost
  • Collaborator Part No
  • Created By
  • Created From
  • Created To
  • Last Edited By
  • Last Edited From
  • Last Edited To
  • Approved By
  • Approved From
  • Approved To
  • Released By
  • Released From
  • Released To
  • Rejected By
  • Revised From
  • Revised To
  • Obsolete By
  • Obsolete From
  • Obsolete To
  • Revoked By
  • Revoked From
  • Revoked To

In case, the Part has certain custom characteristics assigned to it, it is displayed in the Custom Properties grid

  1. The filtered document search results are displayed in the Search Results grid
  2. Check Show document search results in customizable view to customize the view in the grid
  3. Click Save Search to save the search results.

Figure: Part Details - Tools/Substitute/Accessories

You can also remove a Tool/Substitute/Accessory. Select a specific Tool/Substitute/Accessory and click Remove to remove it.

Shape Details

Shape Properties and values assigned to them are displayed here. Also UOM related details are also displayed here.

Figure: Shape Details

Revision history

The "Revision history", provides the user detailed information regarding the revision of a specific Part.

  1. Click Revision history tab to avail a interface as displayed in the following figure

Figure: Part Details - Revision History

  2. In the "From" and "To" fields, select the specific date range on which the Part was revised
  3. Click Show to view the revision history of the Part
  4. The revision history includes comprehensive details concerning the revision of a specific Part such as Revision No., Version No., Revised by and Revised On
  5. Click Export button to export the revision history to an MS Excel sheet.

Part Used list

The "Part Used List" provides the user with details on the usage of a specific Part i.e; whether the selected Part has been used as an Accessory, Substitute, Tool, BOM, Task, Documents. The "Part Used List" allows the user to determine the usage of a specific Part.

If a Part has been used either as a Tool/Accessory/Substitute or in BOM the Part would be displayed here along with Part No. and Description. Documents added to the Part is also displayed here.

Figure: Part Details - Part Used List

Part Operations

In addition to the operations that can be performed from the Part Details window additional operations can be performed from the right-click menu.

Figure: Part Operations

In the Part leaf level genealogy select a Part and right-click. You can carry out the following operations

Add: On selecting this option New Part window is displayed. Enter appropriate values and create a new Part.

Open: On selecting this option Part Details window is displayed. A comprehensive information related to the Part is available here. You can also perform an wide array of operations from the left navigation bar.

Refresh: This option refreshes the Parts displayed on the desktop. The most recently added Parts in that level are displayed in the desktop and those Parts which are deleted are removed from the desktop.

Send to Desktop (create shortcut): On selecting this option a shortcut to access the selected Part is created in the desktop.

Copy: Select this option to copy the Part with all the Part Properties

Paste: On selecting Paste, Part Master window is displayed. You can edit the Part Number and Part Properties. Click Save to save changes.

Revise: On selecting this the selected task is revised. The status of the Part is changed to Work In Progress.

Remove: On selecting this option a user with appropriate rights can delete the selected Part. Only a Part with Work In Progress status can be deleted.

All these operations are also possible from the left navigation bar.

See Also

Creating a New Part

Creating a New Standard BOM

BOM Operations (Standard)

Creating a New Material BOM

BOM Operations (Material)

Import / Export BOM

Part Search

BOM Search


Product Structure

Using this module, user can build the Product as an Assembly or Sub-assembly or Part in a tree-structure format. This functionality enables the user to consolidate all details of an assembly. Attaching the documents pertaining to different Parts, defining the operations for manufacturing the Part, attaching tools for doing operations, etc. can all be done using Product Structure.

Navigation Table

To | See
Understand (Bill of Material (BOM)) | Bill of Material
Understand Standard, Optional and Alternate elements in a (Bill of Material (BOM)) | Standard/Optional/Alternate elements in a BOM
Understand Standard (Bill of Material (BOM)) and Material (Bill of Material (BOM)) | Standard BOM and Material BOM
Understand Custom (Bill of Material (BOM)) | Custom BOM
Understand Alternate (Bill of Material (BOM)) and Variant (Bill of Material (BOM)) | Alternate BOM and Variant BOM
Understand (Bill of Material (BOM)) creation | BOM Creation - Process Map

Bill of Material

A Bill Of Material is an additional information about a Part, which gives details about the assembly of a Part. Or in other words, Bill of Material (BOM) refers to the list (bill) of items or Parts (material) that constitutes an assembly.

For Example: A pen is made of cap, shell, rear stopper and the refill.All the Parts in Part Master, having Part type defined as assembly (in Part type Master) are made of two or more Parts assembled together. Bill Of Material is made in Product Structure or BOM Master modules of Wrench.

Given below is an example of a Bill of Material for a finished product.

For Example: This is the Bill of Material for a finished product - a Table

Table (1)

Legs and Table Top assembly (1)

Legs (4)

Nut (8)

Bolt (8)

Table top (1)

Varnish ( 1 litre )

Paint ( 1 litre )

Sand Paper (2)

Standard, Optional and Alternate elements in a BOM

Standard Elements

Standard elements refer to the elementary constituents of a product without which it cannot be manufactured or procured.

For Example: Engine of a Car

Alternate Elements

Alternate elements refer to certain constituents of a product which could be substituted with other element without affecting the performance or output of the product.

For Example: Tyre's of a Car

Optional Elements

These are the elements are optional and could be avoided without affecting the performance or output of the product.

For Example: Seat cover of a car

Standard BOM and Material BOM

The BOM's can be classified into

  1. Standard BOM
  2. Material BOM

Standard BOM

Standard BOMs are the BOMs which include a comprehensive list of all the Standard, Alternate and Optional elements which could be used for manufacturing a specific product. Standard BOM is a BOM which is created using all the possible options like substitute Parts and optional Parts. It contains all possible permutations and combinations of alternates, usages and variants under a single point identity. User must have the necessary security rights to create, complete and release a Standard BOM.

Material BOM

Material BOM is a BOM created for a specific purpose like fulfilling an order line item etc. You must have the necessary security rights to create, complete and release a Material BOM.

Design BOM

A Design BOM is created by designers with all possible combinations or variants. Design BOM is the complete list of all components, sub assemblies or assemblies used in a Product which also includes the list of manufactured and procured items. For eg: The finished table is a Design BOM as it includes items like leg and table top which need to be manufactured and items such as nut, bolt, sandpaper, varnish, paint which has to be procured from outside.

NOTE: Purchase BOM and Manufacturing BOM could be treated as derivatives of Design BOM.

Purchase BOM

The purchase BOM includes the list of items which has to be procured for manufacturing a product.

Manufacturing BOM

The manufacturing BOM only includes the list of items that need to be manufactured.

Custom BOM

Custom BOM essentially refers to the manufacturing BOM which is created from standard BOM after opting the required number of optional and alternatives. The term Custom implies that the standard BOM is customized to suit a specific requirement.

For Example: Take the case of a computer. if we split the above standard BOM, we get two custom BOMs.

Example 1:

Computer (1)

CPU (Standard)

Samsung Monitor (Alternate)

MS Keyboard (Alternate)

Mouse (Standard)

Speaker (Optional)

Example 2:

Computer (1)

CPU (Standard)

Sony Monitor (Alternate)

Logitech Keyboard (Alternate)

Mouse (Standard)

These two can be considered as two customer BOMs

Alternate BOM and Variant BOM

Alternate BOM

In an Alternate BOM, each alternative of a product would be created as different BOMs without maintaining a Standard BOM. All Alternate BOMs would have almost the same output. Alternate BOM have the same parent Part Number, but same or different child items. Alternate BOM could be created for a parent Part irrespective of the status of the BOM.

Variant BOM

Variant BOMs are a design extension of the existing BOM. In the case of a Variant BOM, the output would vary significantly.

For Example: Take the case of a 40 Gb and 80 Gb hard disk. Actually 80 Gb hard disk is a variant of a 40 Gb. As a result, their performance would also considerably differ. BOM variants are different BOMs, which come under a common BOM group. The parent Part Number for the variants would be different. However, some or all of the child items in variants can be the same.

Purchase UOM

This is the unit of measurement in which a material or a Part is purchased.

Issue UOM

This is the unit in which a procured item is issued from inventory or stores.

For Example:Consider the case of cable are purchased in rolls and which are issued in meters.

BOM Creation - Process Map

See Also

Creating a New Standard BOM

BOM Operations (Standard BOM)

Creating a New Material BOM

BOM Operations (Material BOM)

Import / Export BOM


Creating a Standard BOM

Bill of Material may be built here by arranging sub assemblies and Parts in a tree structure format. Assigning or generating a Part Number, attaching a model or drawing file, preparing a BOM and routing for approval etc are some of the operations that can be performed in this module.

Navigation Table

To | See
Access Product Structure | Accessing Product Structure
Create a Standard (Bill of Material (BOM)) | Creating a Standard BOM
Add a Parent Part | Adding a Parent Part
Bill of Material (BOM) Header Information | BOM Header Information
Perform (Bill of Material (BOM)) operations | BOM Operations
Perform (Bill of Material (BOM)) Item operations | BOM Item Operations
Perform Import or Export operations | Import / Export BOM
Add a Child Part | Adding a Child Part
Perform Operations in the Item Details window | Operations on the Item Details window

Accessing Product Structure

Product structure is used to create a BOM for a Part Number. You can access the Product Structure option from WRENCH desktop.

NOTE: Only those users with appropriate rights in Security Center can access this module.

For more information on this topic, you can refer the Security Settings in the Administrator's Manual module.

In the Product Structure, you can create either a Standard BOM or a Material BOM for a Part.

Standard BOM

Standard BOMs are the BOMs which include a comprehensive list of all the standard, alternate and optional elements which can be used for manufacturing a specific product. Standard BOM is a BOM which is created using all the possible options like substitute Parts and optional Parts. It contains all possible permutations and combinations of alternates, usages and variants under a single point identity.

Material BOM

Material BOM is a BOM created for a specific purpose like fulfilling an order line item etc.

Creating a Standard BOM

  1. Click Folders>>Product Structure.
  2. Double-click Standard BOM folder to avail a list of all existing Standard BOMs created.
  3. Right-click the Wrench desktop to avail a list of options.
  3. Click Add to avail the Create New BOM window.

Figure: Create New BOM window

BOM Creation options

A BOM can be created for a new part or an existing part. You can select between the following options.

New Part: On selecting the radio button against this option, while defining Parent Part details you can create a new part.

When the browse button next to Part Number is clicked Add New Part window is displayed. Enter appropriate values in the "Add New Part" window. For more details on adding a new part refer the section Creating a Part.

Existing Part: On selecting the radio button against this option, while defining Parent Part details document search window is displayed. Carry out a search operation and retrieve the required documents.

Adding a Parent Part

Part Number: Parent Part number is used to identify the Part for which the BOM is to be created.

  1. Click the Browse button against Part Number to avail the Part Search window.

Figure: Part Search window

  2. Select the required Part number from the Part Search window. For more information on how to search and select a Part based on Part characteristics, please refer the " Part Search " module.
  3. You can also manually enter the Part number.

BOM Type: The BOM Type field is only enabled for a Material BOM.

BOM Type Number: This field is enabled only for a Material BOM

BOM Group: This option is applicable only for a Material BOM.

BOM Usage: BOM Usage defines different usages or situations in the product life cycle where a BOM could be used with alterations. The usage can be for manufacture, Procurement etc.

In order to define a BOM Usage;

  1. Click the Browse button corresponding to BOM Usage
  2. BOM Usage Selection window is displayed

Figure: BOM Usage Selection window

  3. Select the required BOM usage.

Base quantity: Base quantity refers to the quantity of Part required. Specify the required base quantity for the Part.

UOM: The Unit of Measurement (UOM) denotes the measurement unit defined for the Part. This value is non-editable and is fetched from Master.

Remarks: Enter remarks here.

NOTE: A default BOM revision series is to be specified in BOM control setting window.

  4. Click Ok
  5. BOM created successfully dialog box is displayed

Figure: Create a New BOM window

  6. Newly created BOM is displayed

To Add a Child Item

  1. Click Edit button
  2. Right-click the specific parent Part to avail a list of options

Figure: Create New BOM

  3. Select Add Item option to avail the Item Details window.

Figure: Item Details window

Enter the following details here.

Item indicator

The 'Item Indicator' option is mainly used in Standard BOMs which have parent Parts of configurable type. User can select between the following options.

  • Standard: Standard refers to certain mandatory elements in a standard BOM.

NOTE: For standard elements, there is only a single value for Sub item number. It can be "S1", "1" OR "A" but it should be only a single value. By default this field will be enabled for Standard BOM.

  • Optional: Optional refers to those items which could be considered as optional inside the BOM. While adding optional elements, Sub item number need to be specified along with the item number. By adding optional items, almost all the possible combinations of the product are available for the user.
  • Alternate: Alternate refers to those items which could be replaced with an alternate Part. Alternate Parts could be defined only for Standard BOM i.e; for Parent Parts which are defined as configurable. If it's an Alternate, the Sub item number need to be specified for each alternate.

Item number

Item number refers to a unique serial number for the child Parts added for the creation of a particular BOM. The Item number is generated automatically based on the value in the "Incremented by" field. The user can manually enter the required Item number here.

Incremented by

By default, the value in the "Incremented by" field will always be 1.

NOTE: The Item number is generated automatically based on the value in the "Incremented by" field.

Sub item number

Sub item number refers to the two digit serial number used in combination with Item number. In case of a Standard BOM, values for Sub item number are S1 for Standard elements, A1, A2, A3, A4, A5 etc for Alternate elements and O1, O2, O3, O4, O5 etc. for Optional items. The combination of Item number and Sub item number must always be unique. To define a different series of sub item numbers other than the S,A and O Series, user can use the Sub item number Master.

Item Category

Item category is used to group the items in a BOM under different available categories. You can select between Stock Item, Variable Item or Text Item from a drop-down list.

  • Stock Item: A Part is regarded as a stock item.
  • Variable Item: If a specific Part has to be made from a raw material, then the raw material would be referred as variable item.
  • Text item: Text items are used to make notes for a BOM. Text items could be basically instructions (in text form) associated with any BOM or assembly drawing. They could also be certain Parts in the BOM that need not be procured by a formal work order or purchase order. The term TEXT would appear at the Part no. of the item.

Based on the selection, the corresponding area in the Item Properties (Circuit Reference, Variable Items or Text Items Tabs) will be enabled.

Add Item From

Select between New Part and Existing Part.

On selecting New Part, while clicking the browse button next to Part Number, Add New Part window is displayed. You can enter the appropriate values required to create a part.

On selecting Existing Part, while clicking the browse button next to Part Number, Part Search window is displayed. You can carry out a search operation and select a Part from the search results. Search results are retrieved based on the Part genealogy selected.

Part number

  1. Specify the Part number of the child Part
  2. Click the browse button to avail the "Part Search" window
  3. Select the required Part number from the "Part Search" window.

For more information on how to search and select a specific Part based on Part Characteristics or Properties, please do refer the Part Search module.

NOTE: You can also manually enter the Part number. If the Part Number exists in the master, other information's related to the Part number are fetched from the master and respective fields are filled in.

Part description

The description corresponding to selected Part is displayed here .

UOM

UOM refers to the unit of measurement (For Example: Meter, Kilogram, Centimeter etc.) for that specific child Part.

Quantity

Quantity refers to the quantity of a specific child Part required for the creation of the parent Part. Enter the quantity for the selected Part.

Quantity as required

Enable this field if the user is not informed about the quantity of the Part. This field is editable.

Part Genealogy

The Part genealogy of the parent Part is displayed here.

Item list: The "Item List " grid displays the following details.

  • Item No
  • Sub Item No
  • Item Category
  • Part Number
  • Part Description
  • Part Genealogy
  • Quantity
  • UOM

Documents

You can link or refer documents to the item if the part selected is design driven. Further documents already attached are listed in the grid. Link or refer documents by making an appropriate selection from the right-click menu.

Figure: Adding Documents to a Part

Once a document is linked or referred a wide range of operations can be performed on the selected documents.

  1. To perform an operation select a document and right-click.

Figure: Right-Click menu operations

In the right-click menu you can carry out change management operations, workflow related operations and basic document operations. You can also add and manage different types of attachments.

Circuit Reference

Circuit Reference defines the reference points for electronic assemblies where the location of each child item is referred by a code number. It could be depicted in the form of range or individual points. Add Circuit Reference as item information. The circuit reference could be entered by entering the range, like C1-C3, i.e; C1, C2, C3. If the Part consists of an electronic component, Enter the circuit reference details here. This is enabled only if "Stock Item" is selected as Item Category.

Variable item

If a Part has to be generated from a raw material, then the raw material would appear as an item in the BOM and would be referred as variable item. Enter dimensions of the Part and a formula for calculating the net weight of the resulting Part.

Figure: Item Details window

  • Shape: Select the required shape as defined in the Shape Master. Please refer the Shape master in the Administrator's Manual for more information on the topic.
  • Formula: The formula for calculating the volume or weight of the specific Part would be displayed here. In the Dimension Details grid, enter the appropriate values for calculating the unit weight of the item. Please refer the Conversion Type Master in the Administrator's Manual for detailed information on this topic.
  • Unit weight: Click the Calculate button against Unit weight. The system automatically captures the unit weight
  • Gross weight: The gross weight is automatically calculated based on the unit weight and the quantity given.
  • Item quantity: The item quantity is displayed here.
  • Weight UOM: Click the Browse button to avail the Search Unit of Measurement window. Select the required weight UOM.

Text Items

If it is a Text item, enter the Text Item details here. This is enabled only if "Text Item" is selected as Item Category.

Conversion types

Please refer the Conversion Type Master in the Administrator's Manual for more information on the topic. The conversion related fields displayed in this grid are displayed here. This includes

  • Conversion Type
  • Input Quantity
  • Input UOM
  • Conversion Formula
  • Conversion Factor
  • Conversion Quantity
  • Conversion UOM

Substitute Parts

Here, you can Add and Remove substitute Parts.

In order to Add a substitute Part

  1. Click Add button to avail the Substitute Part Details window

Figure: Substitute Part Details dialog box

  2. Part number: Click the browse button to get the Part Search window
  3. Search and select the required Part number from the Part Search window.

For more information on how to search and select a specific Part based on Part characteristics or properties, please do refer the Part Search module.

  • Part description: The Part description of the respective Part is displayed here.
  • Remarks: Enter remarks.
  4. Click OK
  5. The Substitute Part details are displayed in the grid

Figure: Substitute Part Details grid

In order to Remove an existing Substitute Part

  1. Select a Substitute Part Detail and click Remove button
  2. Click Properties button to view the details of the Substitute Part Details.

Source and Vendors

  • Source : Click the "Browse" button and select the required source from the Source Master.

Figure: Source Search window

Approved List of Vendors: Add the required vendors here.

  1. Click Add to avail the Search Vendors window

Figure: Search Vendor(s) window

  2. Select the required vendors from the list

Part Custom properties

Custom properties assigned to the selected part are displayed here. Use can update the values assigned to the custom properties.

Figure: Part Custom properties

Item Custom properties

Custom properties assigned to the Item are displayed here. You can manage the values assigned to custom properties.

Figure: Item Custom properties

  1. Click Apply to add the item details
  2. The newly created child Part is displayed under the parent Part in the grid .

Figure: Create New BOM window

The "Create New BOM" window is segregated into five areas;

  1. BOM Header Information
  2. BOM Operations
  3. BOM Item Operations
  4. Import / Export
  5. Others

BOM Header Information

The "BOM Header information" comprises detailed information on the parent Part. This include

  • Part number: The unique number by which the Part is identified.
  • Description: The description of the Part.
  • Usage: The purpose for which the BOM is being used.
  • Revision No: The revision series assigned to the BOM.
  • Status: The current status of the BOM.
  • BOM Type No: BOM Type number if any provided.
  • Valid From: The date from which the BOM is valid.
  • Quantity: The quantity of the BOM.
  • UOM: This value is non-editable and is fetched from the Part Master.

It is possible to add a child Part to the parent Part that has been created.

BOM Operations

BOM operations that can be carried out from the left navigation bar after creating a BOM are listed below.

# | Item | Description
1 | Refresh | The "Refresh" option will refresh the entire tree structure and display the first level items for the assembly with the latest status
2 | Validate | Before a BOM can be completed all the Child Parts and BOM's attached to the parent BOM is to be completed. Click "Validate" to ensure if all Child Parts and BOM's are completed.
3 | Completion (Single) | This option helps in make a selected BOM to completed status
4 | Completion (All) | This option helps the user to make all the BOMs to completed status. The system will check if all the BOMs can be completed, or else an appropriate message is displayed
5 | Revoke | This option allows the user to change a completed BOM back for editing. The status of the BOM changes back to work-in-progress status on revoking.
5 | Release(Single) | Select this option to release a selected part which is in completed status.
6 | Release(All) | Select this option to bulk release all parts and its sub-assembles in completed status.
7 | Calculate BOM Weight | Select this option to get the weight of the BOM cumulated fron the child items. The product of unit weight and quantity of each child item is cumulated as BOM Weight.
8 | Deleted Items | You can view the deleted Parts/Assemblies from the Product Structure here.
9 | Alternates and Variants | This option helps the user to view the Alternate and Variant BOM of the selected BOM.
10 | Old Revisions | Here, you can view the old revisions of the selected BOM if any as well as view the CR for the specific BOM. Select the appropriate Internal Revision Number from the drop-down list to view the old revisions of the selected BOM.
11 | View Generated BOM(s) | You can use this option to view all the BOM's generated from the selected BOM
12 | Expand All | Clicking this option displays an expanded view of the BOM with sub items attached to it.
13 | Collapse All | Clicking this option hides the sub items attached to the BOM
14 | Fast Track Revision | Clicking this option revises the BOM in fast track mode
15 | Send to Personal Folder | Clicking this option saves a shortcut of the selected BOM to the personal folders.

Completing the BOM

Completing BOM is the task of verifying the items added to the BOM, status of drawings and other details. It is actually a validation process. Once the BOM is completed, the status of the BOM changes from "Work In Progress" to “Completed” and user cannot modify any details of the BOM after that.

Select a BOM in Product Structure and declare it as completed. The status of the BOM (BOM status) is set to “Completed”. Complete the child BOMs and the parent BOM together.

FThe user must have “Complete BOM" rights for the selected parent Part genealogy. In completing parent and child BOMs together, the user must have “Complete" rights for the entire child BOMs as well as the parent BOM as per Part genealogy.

Releasing a BOM

This operation releases the BOM. Release BOM operation can be performed only after making the BOM complete. Release BOM involves approval and transmittal processes of BOMs, which are in “Completed” status. The users who have BOM release rights on the Part can only release the BOM.

BOM Item Operations

BOM operations that can be performed from the left navigation bar after creation of a BOM is mentioned in the following table.

# | Item | Description
1 | Expand | Clicking this option expands the part and its sub-assemblies
2 | Collapse | Clicking this option hides the part and its sub-assemblies
3 | Add Item | Clicking this option displays "Item Details" window. User can add a Child Item to the BOM
4 | Add Link Document | If the part is design driven Link / Refer document window is displayed. You can link either new document or an existing document to BOM
5 | Add Refer Document | Clicking this option Link / Refer document window is displayed. You can refer either a new document or an existing document to BOM
6 | Copy | You can copy and paste a BOM to other BOMs depending on the status of the destination BOM. This option is used for copying the entire BOM or Parts along with Operations.
7 | Paste: | This option is used for pasting Parts or Assemblies along with operations or associated documents.
8 | Delete | You can delete the Part or Assemblies from the Product Structure along with the documents and operations.
9 | Assign BOM | This option is used to send a Part No. for creating BOMs. Usually routing is done along with adding the first item to the parent Part. However, this option could also be used to send to the respective users to create a BOM. Work flow could be attached to a BOM to ensure that only users in the work flow are able to edit the details
10 | Edit BOM | The assemblies or Parts can be cut and copied from one place to another using this option. This is a flexible feature which enables the user to move or duplicate an item from one location in product structure to another. This would help the user to build the product structure faster.
11 | Item details | Click "Item details" to view the item details.
12 | Part Properties | Select the "Part Properties" option to avail the Part details window which gives the user a detailed information on the selected Part. Please refer the "Part Operations" sections in the Part module for more information
13 | BOM Properties | Select the "BOM Properties" option to avail the BOM details window which gives the user a detailed information on the selected BOM. Please refer the "Part Operations" sections in the Part module for more information

Import / Export BOM

Select the following options here.

  1. Generate Template
  2. Import from MS Excel
  3. Import from Another BOM
  4. Export (Excel)
  5. Unformatted Export (Excel)
  6. Build BOM

For more information on Import / Export operations refer to section Import / Export of BOM.

Others

  1. Click "Legends"
  2. Legends window is displayed

Figure: Legends window

Legends are diagrammatical representation of various items and statuses related to Part and BOM. Legends and their description are available in the Legend window.

  3. Click Find

  4. Header search field in the BOM properties window is displayed. User can filter parts and its sub-assemblies based on its properties.

Operations on the Item Details window

In the left navigation bar of the Item Details window the following operations are possible

Figure: Item Details window

Part Operations

The following Part related operations can be performed.

Part Details: Part Details window is displayed where a comprehensive details regarding the Part selected can be gathered.

Edit: Select this option to edit the line item properties

Revise: Select this option to revise the line item. The line item requires an approval process before it is revised.

Fast Track Revise: Select this option to revise the line item without an approval process.

Send to Personal folder: Select this option to save a shortcut of the line item in the user' s personal folder.

Work flow Operations

The following work flow related operations can be performed if the Part has a work flow assigned to it.

Send: Click "Send" in order to send the Part to the next stage of the work flow.

Show Work flow: Click "Show work flow" to display the work flow assigned to a Part if any.

Flush Work flow: "Flush Work Flow" option resets the active work flow. All the progress will be reversed and work will restart from initial stage.

Reassign Resource: Click Reassign resource to interchange a resource in a particular stage in the workflow.

Parent Part Information

Important information of the parent Part is displayed here. The displayed information includes

  • Part Number: The Part number of the parent Part is displayed here
  • Unit of Measurement (UOM): Unit of Measurement assigned to the parent Part is displayed here.
  • Usage: The type of usage of the Part is displayed here
  • Internal Revision Number (Internal Rev. No.): The Internal Revision Number of the parent Part is displayed here.
  • Status: The status of the parent Part is displayed here.
  • Alternate Number: Alternate Part number of the parent Part is displayed.
  • Base Quantity: Base Quantity of the parent Part is displayed here.

See Also

Creating a New Part

Part Operations

BOM Operations (Standard BOM)

Creating a New Material BOM

BOM Operations (Material BOM)

Import / Export of BOM

Part Search

BOM Search


BOM Operations (Standard BOM)

Bill of Material (BOM) operations that can be performed on a selected BOM are explained in detailed in the following section

Navigation Table

To | See
View Bill of Materials details window | BOM Details Window
View Bill of Materials details | BOM Details
Complete the Bill of Material | Completing the BOM
Release a Bill of Material | Releasing a BOM
Revise a Bill of Material and view Revision history | Revising BOM and Revision History
Assign Workflow to a Bill of Material | Assigning Work Flow to a BOM
View a Bill of Material | BOM View
Handle documents in Product Structure | Document Tab - Handling of Documents in Product Structure
View Old Revisions | Old Revisions
Open a new Bill of Material from the Product Structure window | Opening a New BOM from the Product Structure Window
Bill of Material Item operations | BOM Item Operations
Create a Material Bill of Material from Standard Bill of Material | Creating a Material BOM from Standard BOM
Perform Bill of Material operations from the right-click menu | BOM Operations from Right-Click menu

BOM Details Window

When a new BOM is created, it is displayed in the “Product Structure” window.

Some of the operations that can be performed after BOM creation are mentioned in the following sections.

  1. Select and double-click a BOM to avail the BOM details window.

Figure: BOM Details window

The BOM details window is segregated into four areas

  1. BOM Details
  2. BOM View
  3. Document
  4. Old Revision

BOM Details

BOM Operations

A comprehensive list of BOM properties are displayed here. A user with appropriate rights can perform the operations listed in the following table.

# | Item | Description
1 | View Product Structure | Select this option to display the Product Structure window. User can gather comprehensive information about the BOM.
2 | View BOM Item details | Select this option to view the item details.
3 | Complete | Select this option to complete a Work In Progress BOM. This operation can be performed from the "Approve" stage of the Work flow
4 | Release | Select this option to release the BOM. This operation can be performed from the "Approve" stage of the Work flow. Only a completed BOM can be released. BOM release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. However a BOM can be released if any of the alternatives of an Obsolete item is active
5 | Revise | Select this option to revise a BOM. "Do You want to revise the selected BOM" dialog box is displayed. On confirmation a new CR is raised. This operation is possible only for a BOM in Release stage.
6 | Fast Track Revision | Select this option to perform a fast track revision of the BOM. "Do you want to revise the BOM in fast track mode" dialog box is displayed. On confirmation a CR is raised and CR request window is displayed. This option is possible only for a BOM in Release stage.
7 | Deleted Items | On selecting this option "Deleted Items" window is displayed. The user may view the details of the deleted Parts or assemblies from the Product Structure here.
8 | Alternates and Variants | Click "Alternate and Variants" to view all the Alternate and Variant BOMs.
9 | Send to Personal Folder | Clicking this option saves a shortcut of the selected BOM to the personal folders.

Completing the BOM

Completing BOM is actually a validation process which involves the task of verifying the items added to the BOM, status of drawings and other details. The user may select a BOM in Product Structure and declare it as completed. The status of the BOM (BOM status) would be set to “Complete”. User can complete the child BOMs and the parent BOM together. Only the user with “Complete rights in the BOM Module” for the entire child BOMs as well as the parent BOM as per Part genealogy can complete the parent and child BOMs together

Completion of BOM is based on configuration settings that enables the user to

  1. Complete BOM on Child BOM Release

The parent BOM can be released only after releasing all child BOMs.

  2. Complete BOM when Child Parts are Released

The Parent BOM can be released only after releasing the child Parts.

NOTE:The Parent BOM can be released even though the Parent Part is not released.

Releasing a BOM

This operation releases the BOM. Release BOM operation can be performed only after the BOM is completed. Release BOM involves approval and transmittal processes of BOMs, which are in “Completed” status. The users who have BOM release rights on the Part module can only release the BOM.

Revising BOM and Revision history

BOM Revision involves the revision process of BOMs, which are in released status. The user may raise requests for revising the BOM. The user may enter the request details in CR Request. The selected BOM must be in released status and the user needs to have Direct BOM Revision rights for the selected BOM’s Part genealogy. The revision history maintains the changes made to the BOM during its revision. Adding, deleting and modifying of items are recorded in Revision history. User can select a range of date for searching revision history details. The user can also print or export the revision history details to excel.

NOTE: User can select a BOM in Released status and revise it directly.

Fast Track Revision

The Fast Track Revision option is used to revise BOM and documents directly without going through the usual Change Management Processes.

  1. Select the specific BOM
  2. Click Fast Track Revision option. User can avail this option from the Product Structure or Search modules

NOTE: In order to perform a Fast Track CR the Document or BOM must be released.

  3. The CR Request window is displayed. User can add values in the CR Request and click Save button
  4. The Attach work flow window is displayed where user can select a work flow
  5. Click the Send button
  6. User will be prompted to select the resources dynamically
  7. Click Yes to avail the Dynamic Resource Allocation window. Add or remove users for each stage as desired
  • Click Save.

Work flow Options

User can perform the following operations here.

#

Item

Description

1

Send

Select this option to "Send" the BOM to the next stage. Send window is displayed. User can make appropriate selection on this window.

NOTE: A user in the current stage of the workflow can send a BOM, even “Manage Workflow” rights are not assigned to the user in the genealogy.

2

Show Work flow

Select this option to view the assigned work flow if any. Also Routing History details and details regarding the work flow stage and resources are displayed here.

3

Flush Work flow

Flush Work Flow" option is for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.

4

Reassign Resource

This option facilitates reallocation of resources to Work In Progress work flow. On clicking this option Reassign Resources window is displayed. User can select a stage and select resources from a user list. Click on reassign button to reassign resources. Only users with Reassign resources in the genealogy can perform this operation.

FInformation:

Only Admin user or originator can perform this operation.

5

Assign Work flow

Select this option to assign a work flow to a selected BOM.

Assigning Work flow to a BOM

A BOM can be send to selected resources through a work flow. The selected resources in each stage of the work flow contribute towards the BOM, which ultimately results in its completion. A BOM can be completed without a work flow too. In this case, the BOM is assigned to all the users who have the security privileges to create the BOM.

F

  1. User may select the BOM work flow while adding the first child Part or by assigning the BOM to a work flow before adding any child Part.
  2. User may also assign the parent Part to all the users who have the security rights to create the BOM.

BOM View Tab

In BOM view, user may view a specific BOM, its Parts and assemblies as well as the related documents.

Figure: BOM view window

Document Tab - Handling of Documents in Product Structure

The user can manage documents associated with the Parts or Items in the Product Structure or BOM. When the user add a Part in a BOM, the documents attached to the Part will be automatically displayed in the Document tab of product structure. User can also add documents to a Part and then edit, send, release and revise it from Product Structure.

User may add drawings or documents to an item in the Product Structure. The user may edit the documents by checking out the document to the user’s computer (Check Out folder).

NOTE: Only the user in the current stage of the work flow of that document can "Edit" that document.

  1. Click the Documents tab to view the documents attached to a Part

Figure: BOM Details - Documents

  2. User may select the specific document and perform the following operations.
  • Revise: Select this option to revise a BOM. Do You want to revise the selected BOM dialog box is displayed. On confirmation a new CR is raised.
  • Fast Track CR: Select this option to perform a fast track revision of the BOM. Do you want to revise the BOM in fast track mode dialog box is displayed. On confirmation a CR is raised and CR request window is displayed.
  • Open with: Select this option to open the document with the users choice.
  • Bulk Copy: User can select a location to copy out the selected files
  1. Select Bulk Copy
  2. Browse For Folder window is displayed

Figure: Browse For Folder window

  3. User can select a location to copy out the selected files
  4. User is also provided with an option to create a new folder to copy out the selected files
  5. Select Ok to confirm changes.

Update Document Details

User can update the properties assigned to the documents added. In order to perform this

  1. Select Multiple documents from a list of documents.
  2. In the right-click menu select "Update Document Details"
  3. Update Document details window is displayed

For more information on updating document details refer to Document Search>>Operations Possible in Document Search.

Bulk Print: User may select multiple documents and perform a bulk print operation.

Print Request: Select this option to raise a print request. A user with rights can approve the print request

Scan Request: Select this option to raise a scan request. A user with rights can approve the scan request

Old Revision

Here, user can view the old revisions of the selected BOM if any as well as view the CR for the specific BOM.

  1. Select the appropriate Internal Revision Number from a drop-down list to view the old revisions of the selected BOM.

Figure: BOM details - Old Revision window

Opening a New BOM from the Product Structure window

User has the option to open a new BOM from the Product Structure window.

  1. In the tool bar click Edit

Figure: Product Structure window

  2. User can enter the required Part number manually. If the Part Number exists in the master, other information's related to Part number are fetched from the master and respective fields are filled in.
  3. To search for a Part number click the Browse button. Part Search window is displayed.

Figure: Part Search window

  4. User can select a Part Number from the list.
  5. User can enter the Usage and a BOM type number.
  6. BOM Type can be selected from a drop down list.
  7. On confirmation the BOM of the selected Part number is displayed.

If no BOM is available "No BOM available for the Entered Part Number" is displayed.

BOM Item Operations

  1. Right-click the specific BOM to avail a list of options.

Figure: Create BOM

Add Item

  • Clicking this option, "Item Details" window is displayed. User can add a Child Item to the BOM.

Add Document

Documents and drawings can be directly linked or referred to a part from the BOM.

  1. In the right-click menu select "Add."
  2. In the ensuing menu user can select between Refer and Link

Figure: Adding documents to Part

  3. On selecting an option Link/Refer Documents window is displayed. User can add a new document or a document already existing in Wrench.

Figure: Link / Refer Documents window

On selecting New Document, Add Document window is displayed, where user can make appropriate entries. On selecting Document from Wrench, document search window is displayed, where user can initiate a search and retrieve the required documents.

  • Click Ok
  • The selected documents are displayed in the Product Structure window.

NOTE: In the right-click menu both link and refer options are enabled only if the Part is design driven. Or else only refer option is enabled.

Prior to addition of documents to a part the following security related discussions can be taken into account.

  1. Only a user with Add and Edit document permission in the selected genealogy are permitted to perform these operations.
  2. While adding document to a Part with an active workflow, the user need to be in the active stage of the workflow.

Assign BOM

This option is used to send a Part No. for creating BOMs. Usually routing is done along with adding the first item to the parent Part. However, this option could also be used to send the respective users to create a BOM. Work flow can be attached to a BOM to ensure that only users in the work flow are able to edit the details

Edit BOM

Figure: Create New BOM window

  1. Click this option to edit a BOM already created.
  2. "Create New BOM" is displayed with the fields Base Quantity and Remarks enabled.
  3. User can edit these fields.

Delete

The user may delete the Part or Assemblies from the Product Structure along with the documents and operations.

Copy

The user can copy and paste a BOM to other BOMs depending on the status of the destination BOM. This option is used for copying the entire BOM or Parts along with Operations.

Paste

This option is used for pasting the copied Parts and Assemblies along with operations or associated documents.

Part Properties

Select the Part Properties option to avail the Part details window which gives the user a detailed information on the selected Part as well as a host of other functionalities. Please refer the "Part Operations" sections in the Part module for more information.

Item details

Click Item details to view the item details.

BOM Properties

Select this option displays the BOM details window which gives a detailed information of the selected BOM.

Map Item

While generating a Material BOM from a Standard BOM, in the Product Structure window configurable items are displayed as grayed.

  1. In the tool bar click Edit
  2. Right-click and select Map Item from the menu

Figure: Map Item

  3. Generate Material BOM window is displayed.
  4. Click "Generate BOM"
  5. Create New BOM window is displayed.
  6. User can select a Part Number from the "Search Part" window

Export Excel

The user can export the product structure or Bill of Material of a Part to an MS Excel file. Export BOM option is used to export a BOM i.e. all the first level items listed under the Parent Part No. into MS Excel or Text formats.

Complete

On completing a BOM, the status of the BOM changes from Work In Progress to Completed. User cannot edit any further BOM details. In order to complete the BOM the child Part is to be released.

  1. Click this to complete the BOM.
  2. User can Add Comments on completion of the BOM.
  3. Send Mail on Completion window is displayed

Figure: Send Mail on Completion window

  1. User can send mail to the selected users
  2. A subject is to be provided
  3. Click Send

The selected BOM is completed

Release

Click this option to Release a BOM. This option is enabled only when the BOM is completed. BOM release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. However a BOM can be released if any of the alternatives of an Obsolete item is active.

Revise

This option is enabled only for a released BOM. On revising a BOM the status of the BOM is again assigned to Work In Progress.

Creating a Material BOM from Standard BOM

Wrench provides the user with the facility to create a Material BOM from an already existing Standard BOM.

  1. In the explorer view select the required Standard BOM and right-click.
  2. In the right-click menu select Generate Material BOM
  3. Generate Material BOM window is displayed.

Figure: Generate Material BOM window

A comprehensive information related to the selected BOM and all the Sub Items attached to it are displayed in the window.

  1. Click Generate BOM
  2. Create New BOM window is displayed.

User can follow the steps to create a new Material BOM already explained in " Creating a Material BOM " section.

BOM Operations from the Right-Click menu

  1. In the explorer view select a BOM

In the right-click menu following operations are possible.

Figure: BOM Right click menu operations

Release: On selecting this user can Release the selected BOM. Release operation is possible only after the BOM is completed. BOM release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. However a BOM can be released if any of the alternatives of an Obsolete item is active

Revise: Select this option to revise a BOM. Do You want to revise the selected BOM dialog box is displayed. On confirmation a new CR is raised.

Send to Personal Folder: Select this option to save a shortcut of the line item in the user' s personal folder.

Send To Desktop (create shortcut): A shortcut to access the selected Part is created on the desktop

Refresh: Select this option to refresh the desktop

Delete: Click Delete to remove the selected BOM

View BOM: On selecting this option Product Structure window is displayed. User can perform a wide array of operations here.

View BOM Properties: On selecting this option, BOM properties window is displayed.

View BOM Item Details: On selecting this option, BOM Item details window is displayed

Compare: Comparision between BOM's can be done using the compare option. User can compare the availability, Iten No. Quanity and Unit of Measure between the BOM's

To compare BOM's

    1. Select multiple BOM' s on the desktop using the CTRL key. Right-click and select Compare option

    2. BOM comparion window is displayed.

    3. Select the BOM's for comparion using the checkboxes.

    4. Select the checkbox for those properties you want to compare

Part Properties: On selecting this option, part properties window is displayed. User can view part properties as well as perform part operations from this window.

Add: On selecting Add, Create New BOM window is displayed. User can make appropriate entries to create a new BOM.

Open: On selecting Open, BOM details window is displayed.

Complete: On selecting this user can complete the selected BOM. On completing a BOM, the status of the BOM changes from Work In Progress to Completed. User cannot edit any further BOM details.

See Also

Creating a New Part

Part Operations

Creating a New Standard BOM

Creating a New Material BOM

BOM Operations (Material BOM)

Import / Export of BOM

Part Search

BOM Search


Creating a Material BOM

Material BOM is a BOM which is ready to be manufactured or procured. It is created for a specific purpose like fulfilling an order line item etc. The user must have the necessary security rights to create, complete and release a Material BOM.

There are two types of Material BOMs : Alternate BOM and Variant BOM.

Alternate BOM

A BOM will have three properties to define it fully. They are the Part No., Alternate or Variant No. and BOM Usage Number. Alternate BOMs (for a parent Part) are created for using the same Material BOM with alterations in constitution and quantities in order to use in different requirements or situations of the product life cycle. Alternate BOM is a BOM created for a same parent Part by assembling different Subassemblies or Parts. A BOM and its alternate BOMs will have the same parent Part number but different or same BOM items.

Variant BOM

Variant BOMs are BOMs made for different Parent Parts but most of the child items are common to all. Variant BOMs could be classified under a BOM Group. User need not have to edit all BOMs in a group separately. Variant BOMs could be edited at one go by selecting the BOM Group and editing the child items, adding and deleting child items in all or some variants.

The user can select a Part and create it as a variant of any other existing BOM. But the existing BOM should not have any multiple alternates of BOM. The newly created Variant BOM will be grouped under a BOM group of the source BOM.

Navigation Table

To | See
Access Product Structure | Accessing Product Structure
Create a Material BOM | Creating a Material BOM
Add a Child Item | Adding a Child Item
Perform BOM operations | BOM Operations
Create a Bill of Material from Standard Bill of Material | Material BOM from Standard BOM
Perform operations in the Item Details window | Operations in the Item Details Window

Accessing the Product Structure window

Product structure is used to create a BOM for a Part Number. User may access the Product Structure option from Wrench desktop.

NOTE: Only those users with appropriate rights in Security Center can access this module.

For more information on this topic, user may refer the Security Settings module.

Figure: Creating a Material BOM

In the Product Structure, the user can create either a Standard BOM or a Material BOM for a Part.

Creating a Material BOM

To Create a Material BOM

  1. Select Product Structure in the Wrench desktop
  2. Double-click Material BOM folder to avail a list of existing Material BOMs
  3. Right-click the Wrench desktop to avail a list of options
  4. Click Add to avail the Create New BOM window.

Figure: Create New BOM window

BOM Creation options

A BOM can be created for a new part or an existing part. User can select between the following options.

New Part: On selecting the radio button against this option, while defining Parent Part details user can create a new part.

When the user clicks the browse button next to Part Number Add New Part window is displayed. User can enter appropriate values in the Add New Part window. For more details on adding a new part refer the section Creating a Part .

Existing Part: On selecting the radio button against this option, while defining Parent Part details user can select an existing part. This is detailed in the following section

User can provide the following values to create a new BOM.

Part Number: Parent Part number is used to identify the Part for which the BOM is to be created.

  1. Click the Browse button against Part Number to avail the Part Search window.
  2. User may select the required Part number from the Part Search window.

For more information on how to search and select a specific Part based on certain Part characteristics or attributes, please refer the Part Search module.

  3. User can also manually enter the Part number.

BOM Type: Select a BOM Type between Alternate or Variant.

BOM Type Number: User can select between Alternate Number and Variant number. If the BOM type is alternate, user can enter the Alternate BOM Number. If the BOM type selected is Variant, user can enter the variant number.

BOM Group: User can select a BOM Group. The newly created BOM would be grouped under this BOM group. Please refer BOM Group master in the Administrator's Manual for more information on the topic.

BOM Usage: BOM Usage defines different usages or situations in the product life cycle where a BOM could be used with alterations. A BOM and its alternate can have same or different BOM Usage numbers. Please refer BOM Usage Master in the Administrator's Manual for detailed information on the topic.

In order to define a BOM Usage;

  1. Click the Browse button corresponding to BOM Usage
  2. BOM Usage window is displayed.

Figure: BOM Usage Selection window

  3. Select a BOM Usage

Base quantity : Select the required base quantity for the Part.

UOM: The value specified in the Part Master is fetched. This field is non-editable

Remarks: User can enter remarks if any.

  4. Click Ok
  5. BOM created successfully dialog box is displayed.
  6. Click Ok

Figure: Created New BOM window

Create New BOM window is displayed.

Adding a Child Item

To add a child Part,

Figure: Adding a Child Item to a Part

  1. Click Edit button.
  2. Right-click the specific parent Part to avail a list of options.
  3. Select Add Item option to avail the Item Details window.

Figure: Item Details window

Enter the following details in the Item details window.

Item indicator

In case of a material BOM, the Standard Option is always enabled in the Item indicator field. A material BOM comprises ONLY standard elements (mandatory elements) and does not have alternate or optional elements.

NOTE: For standard elements, the value of Sub item number is S1.

Item number

Item number refers to a unique serial number for the child Parts added for the creation of a particular BOM. The Item number is generated automatically based on the value in the "Incremented by" field. User may also manually enter the required Item number here.

Incremented by

By default, the value in the "Incremented by" field will always be 1.

NOTE: The Item number is generated automatically based on the value in the "Incremented by" field.

Sub item number

Sub item number refers to the two digit serial number used in combination with Item number. In case of a Standard BOM, values for Sub item number are S1 for Standard elements, A1, A2, A3, A4, A5 etc for Alternate elements and O1, O2, O3, O4, O5 etc. for Optional items. The combination of Item number and Sub item number must always be unique. To define a different series of sub item numbers other than the S,A and O Series, user may use the Sub item number Master.

Item Category

Item category is used to group the items in a BOM under different available categories. User can select between Stock Item, Variable Item or Text Item from a drop-down list.

  • Stock Item: A "Part" is regarded as a stock item.
  • Variable Item: If a specific Part has to be made from a raw material, then the raw material would be referred as variable item.
  • Text item: Text items are used to make notes for a BOM. Text items could be basically instructions (in text form) associated with any BOM or assembly drawing. They could also be certain Parts in the BOM that need not be procured by a formal work order or purchase order. The term TEXT would appear at the Part no. of the item.

Based on the selection, the corresponding area in the Item Properties (Circuit Reference, Variable Items or Text Items Tabs) will be enabled.

Part number

Specify the Part number of the child Part.

  1. Click the browse button to avail the "Part Search" window.
  2. Select the required Part number from the "Part Search" window.

For more information on how to search and select a specific Part based on Part Characteristics or Properties, please do refer the Part Search module.

The user can also manually enter the Part number. If the Part Number exists in the master, other information's related to the Part number are fetched from the master and respective fields are filled in.

Part description

The Part description is displayed here.

UOM

UOM refers to the unit of measurement (For Example: Meter, Kilogram, Centimeter etc.) for that specific child Part.

Quantity

Quantity refers to the quantity of a specific child Part required for the creation of the parent Part. The user may enter the quantity for the selected Part.

Quantity as required

The user may enable this box if the quantity required is not confirmed.

Part Genealogy

The Part genealogy of the parent Part would be displayed here.

Item list

The "Item List " grid displays the following details.

  • Item No
  • Sub Item No
  • Item Category
  • Part Number
  • Part Description
  • Part Genealogy
  • Quantity
  • UOM

Documents

User can link or refer documents to the item if the part selected is design driven. Further documents already attached are listed in the grid. User can link or refer documents by making an appropriate selection from the right-click menu.

Figure: Adding Documents to a Part

Once a document is linked or referred a wide range of operations can be performed on the selected documents.

  1. To perform an operation select a document and right-click.

Figure: Right-Click menu operations

  2. In the right-click menu user can perform change management operations, workflow related operations and basic document operations. User can also add and manage different types of attachments.

Circuit Reference

Circuit Reference defines the reference points for electronic assemblies where the location of each child item is referred by a code number. It could be depicted in the form of range or individual points. The user may add Circuit Reference as item information. The circuit reference could be entered by entering the range, like C1-C3, i.e; C1, C2, C3. If the Part consists of an electronic component, user can enter the circuit reference details here. This is enabled only if "Stock Item" is selected as Item Category.

Variable item

If a Part has to be made from a raw material, then the raw material would appear as an item in the BOM and would be referred as variable item. The user can input dimensions of the Part and a formula for calculating the net weight of the resulting Part. This is enabled only if "Variable Item" is selected as Item Category.

Figure: Item Details window

  1. Shape : Select the required shape as defined in the shape Master. For more information, user can refer the Shape Master in the Administrator's Manual for more details.
  2. Formula : The formula for calculating the volume or weight of the specific Part is displayed here. In the "Dimension details" grid, enter the appropriate values i.e, Length, Breadth, Height and Density for calculating the unit weight of the item. For detailed information on the topic, user may refer the Conversion Type Master.
  3. Unit weight : Click the "Calculate" button against Unit weight. The system automatically captures the unit weight.
  4. Gross weight : The gross weight is automatically calculated based on the unit weight and the quantity.
  5. Item quantity : The item quantity is displayed here.
  6. Weight UOM : Click the "Browse" button to avail the "Search Unit of Measurement" window. Select the required weight UOM.

Text items

If it is a Text item, user can enter the Text Item details here. This is enabled only if Text Item is selected as Item Category.

Figure: Text Items - Item Details window

Conversion Types

The Conversion type, Input quantity, Conversion quantity and other related details for the specific item would be displayed here. For detailed information on the topic, user may refer the Conversion Type Master in the Administrator's Manual for more details.

Substitute Parts

Here, the user may add substitute Parts if required.

  1. Click Add button to avail the Substitute Part details window.

Figure: Substitute Part Details

  • Part number: Click the Browse button to get the Part Search interface.
  • User can search and select the required Part number from the Part Search interface.

For more information on how to search and select a specific Part based on certain Part characteristics or attributes. Please refer the Part Search module.

  • Part description : The Part description would be displayed here.
  • Remarks: The user may enter remarks if any.
  • Click OK
  • The Substitute Part details are displayed in the grid.

Source and Vendors

Figure: Source and Vendors window

Source

  1. Click the Browse button.

Figure: Source Search window

  2. Select the required source from the Source Master.

NOTE: If the selected Part has a Source assigned to it, the assigned source details are inherited and displayed here. The fields remain non-editable.

Approved list of vendors: User can also add the required vendors here.

  1. Click Add to avail the Search Vendors list.

Figure: Search Vendor(s) window

  2. Select the required vendors from the list.

Part Custom properties

Custom properties assigned to the selected part is displayed here. Use can update the values assigned to the custom properties.

Figure: Part Custom properties

Item Custom properties

Custom properties assigned to the Item are displayed here. User can manage the values assigned to custom properties.

Figure: Item Custom properties

  • Click "Apply" to add the item details.

The newly created child Part is displayed under the parent Part in the grid .

The "Create New BOM" window is segregated into five areas;

  1. BOM Header Information
  2. BOM Operations
  3. BOM Item Operations
  4. Import / Export
  5. Others

BOM Header Information

The "BOM Header information" comprises detailed information on the parent Part. Certain items in the BOM Header information are editable. The BOM Header Information includes

Part number: The unique number by which the Part is identified. User can assign a different Part number. On clicking the browse button corresponding to Part Number the Part search window is displayed. User can select a Part from the search list.

Description: The description of the Part.

Usage: The purpose for which the BOM is being used. User can click on the browse button corresponding to "Usage" and select a Usage from the "BOM Usage Selection" window.

Revision No: The revision series assigned to the BOM.

Status: The current status of the BOM.

BOM Type No: BOM Type number if any provided. User can edit this field.

BOM Type: User can select a BOM Type from a drop down list.

Quantity: The quantity of the BOM.

UOM: This value is non-editable and is fetched from the Part Master.

Remarks: Remarks provided are displayed here

Valid From: The date from which the BOM is valid.

The user may also add a child Part to the parent Part that has been created.

BOM Operations

BOM operations that the user can perform from the left navigation bar after creating a BOM are mentioned in the following table.

# | Item | Description
1 | Refresh | The "Refresh" option will refresh the entire tree structure and display the first level items for the assembly with the latest status
2 | Validate | Before a BOM can be completed all the Child Parts and BOM's attached to the parent BOM is to be completed. Click "Validate" to ensure if all Child Parts and BOM's are completed.
3 | Completion (Single) | This option enables the user to make a selected BOM to completed status
4 | Completion (All) | This option helps the user to make all the BOMs to completed status. The system will check if all the BOMs can be completed, Otherwise, it will give an appropriate message.
5 | Revoke | This option allows the user to change a completed BOM back for editing. The status of the BOM changes back to work-in-progress status on revoking.
6 | Release (Single) | This option enables the user to release a selected BOM which is in completed status.
7 | Release (All) | This option helps the user to release all the BOMs that are in completed status.
8 | Deleted Items | The user may view the deleted Parts/assemblies from the Product Structure here.
9 | Alternates and Variants | This option helps the user to view the Alternate and Variant BOM of the selected BOM.
10 | Old Revisions | Here, the user can view the old revisions of the selected BOM if any as well as view the CR for the specific BOM. Select the appropriate revision no: from the drop-down combo to view the old revisions of the selected BOM.
11 | View Generated BOM(s) | User can use this option to view all the BOM's generated from the selected BOM
12 | Expand All | Clicking this option displays an expanded view of the BOM with sub items attached to it.
13 | Collapse All | Clicking this option displays hides the sub items attached to the BOM

Completing the BOM

Completing BOM is the task of verifying the items added to the BOM, status of drawings and other details. It is actually a validation process. Once the BOM is completed, the status of the BOM changes from Work In Progress to “Completed” and user cannot modify any details of the BOM after that.

The User may select a BOM in Product Structure and declare it as completed. The status of the BOM (BOM status) is set to Complete. User can complete the child BOMs and the parent BOM together.

NOTE: The user must have “Complete BOM rights” for the selected parent Part genealogy. In completing parent and child BOMs together, the user must have “Complete rights” for the entire child BOMs as well as the parent BOM as per Part genealogy.

Releasing a BOM

This operation releases the BOM. Release BOM operation can be done only after making the BOM complete. Release BOM involves approval and transmittal processes of BOMs, which are in Completed status. The users who have BOM release rights on the Part can only release the BOM.

BOM Item Operations

BOM operations a user can perform from the left navigation bar after creating a BOM is mentioned below.

# | Item | Description
1 | Add Item | Clicking this option displays "Item Details" window. User can add a Child Item to the BOM
2 | Copy | The user can copy and paste a BOM to other BOMs depending on the status of the destination BOM. This option is used for copying the entire BOM or Parts along with Operations.
3 | Paste | This option is used for pasting Parts or Assemblies along with operations or associated documents.
4 | Delete | The user may delete the Part or Assemblies from the Product Structure along with the documents and operations.
5 | Assign BOM | This option is used to send a Part No. for creating BOMs. Usually sending is done along with adding the first item to the parent Part. However, this option could also be used to send to the respective users to create a BOM. Work flow could be attached to a BOM to ensure that only users in the work flow are able to edit the details
6 | Edit BOM | The assemblies or Parts can be cut and copied from one place to another using this option. This is a flexible feature which enables the user to move or duplicate an item from one location in product structure to another. This would help the user to build the product structure faster.
7 | Item details | Click "Item details" to view the item details.
8 | Part Properties | Select the "Part Properties" option to avail the Part details interface which provides the user with detailed information on the selected Part as well as a host of other functionalities. Please refer the " Part Operations " sections in the Part module for more information

Import and Export BOM

User can select the following options here.

  1. Generate Template
  2. Import from MS Excel
  3. Import from Another BOM
  4. Export (Excel)
  5. Unformatted Export
  6. Build BOM

For more information on Import / Export operations refer to section Import / Export of BOM .

Others

  1. Click Legends
  2. Legends window is displayed

Figure: Legends window

Legends are diagrammatical representation of various items and statuses related to Part and BOM. Legends and their description are available in the Legend window.

  3. Click Find

  4. Header search field in the BOM properties window is displayed. User can filter parts and its sub-assemblies based on its properties.

Creating a Material BOM from Standard BOM

Wrench provides the user with the facility to create a Material BOM from an already existing Standard BOM.

For more information on this topic user can refer BOM Operations (Standard)

Operations in the Item Details window

In the left navigation bar of the Item Details window the following operations are possible

Part Operations

The following Part related operations can be performed.

Custom Properties: Clicking this option Custom Characteristics window with the assigned custom properties is displayed.

Part Details: Part Details window is displayed where the user can gather a comprehensive details regarding the Part selected.

Work flow Operations

The following work flow related operations can be performed if the Part has a work flow assigned to it.

Send: Click "Send" in order to send the Part to the next stage of the work flow.

Show Work flow: Click "Show work flow" to display the work flow assigned to a Part if any.

Flush Work flow: Flush Work Flow" option is for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.

Parent Part Information

Important information of the parent Part is displayed here. The displayed information includes

Part Number: The Part number of the parent Part is displayed here

Unit of Measurement (UOM): Unit of Measurement assigned to the parent Part is displayed here.

Usage: The type of usage of the Part is displayed here

Internal Revision Number (Rev. No.): The Internal Revision Number of the parent Part is displayed here.

Status: The status of the parent Part is displayed here.

Alternate Number: Alternate Part number of the parent Part is displayed.

Base Quantity: Base Quantity of the parent Part is displayed here.

See Also

Creating a New Part

Part Operations

Creating a New Standard BOM

BOM Operations (Standard BOM)

BOM Operations (Material BOM)

Import / Export BOM

Part Search

BOM Search


BOM Operations(Material BOM)

Bill of Material (BOM) operations that can be performed on a selected Bill of Material are explained in detailed in the following section

Navigation Table

To | See
View Bill of Materials details window | BOM Details Window
View Bill of Materials details | BOM Details
Complete the Bill of Material | Completing the BOM
Release a Bill of Material | Releasing a BOM
Revise a Bill of Material and view Revision history | Revising BOM and Revision History
View Alternates and Variants Bill of Materials | Alternates and Variants
Assign Workflow to a Bill of Material | Assigning Work Flow to a BOM
View a Bill of Material details | BOM Details - BOM View
Handle documents in Product Structure | BOM Details - Documents
View Old Revisions | BOM Details - Old Revision
Bill of Material Item operations | BOM Item Operations
Perform Bill of Material operations from the right-click menu | BOM Operations from Right-Click menu

Bill of Materials details window

When a new Bill of Material is created, it is displayed in the “Product Structure” window.

Given below are some of the operations that can be done after a Bill of Material has been created.

  1. Select and double-click a Bill of Material to avail the Bill of Material details window.

Figure: BOM Details window

The Bill of Material details window is segregated into four areas

  1. BOM Details
  2. BOM View
  3. Document
  4. Old Revision

Bill of Materials Details

Bill of Materials Operations

A comprehensive list of BOM properties are displayed here. A user with appropriate rights can perform the operations listed in the table below.

# | Item | Description
1 | View Product Structure | Select this option to display the Product Structure window. User can gather comprehensive information about the BOM.
2 | View BOM Item details | Select this option to view the item details
3 | Complete | Select this option to complete a Work In Progress Bill of Material. This operation can be performed from the "Approve" stage of the Work flow
4 | Release | Select this option to release the Bill of Material. This operation can be performed from the "Approve" stage of the Work flow. Only a completed Bill of Material can be released.Bill of Material release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. A Bill of Material can be released if any of the alternatives of an Obsolete item is active.
5 | Revise | Select this option to revise a Bill of Material. "Do You want to revise the selected Bill of Material" dialog box is displayed. On confirmation a new Change Request is raised. This operation is possible only for a Bill of Material in Release stage.
6 | Fast Track Revision | Select this option to perform a fast track revision of the BOM. "Do you want to revise the Bill of Material in fast track mode" dialog box is displayed. On confirmation a Change Request is raised and CR request window is displayed. This option is possible only for a Bill of Material in Release stage.
7 | Deleted Items | On selecting this option "Deleted Items" window is displayed. The user may view the details of the deleted Parts or Assemblies from the Product Structure here.
8 | Alternates and Variants | Click "Alternate and Variants" to view all the Alternate and Variant Bill of Material's.
9 | Send to Personal Folder | Clicking this option saves a shortcut of the selected BOM to the personal folders.

Completing the Bill of Materials

Completing Bill of Material is the task of verifying the items added to the Bill of Material, status of drawings and other details. It is actually a validation process. Once the Bill of Material is completed, the status of the Bill of Material changes from "Work In Progress" to “Completed” and user cannot modify any details of the Bill of Material after that. The user may select a Bill of Material in Product Structure and declare it as completed. The status of the Bill of Material (Bill of Material status) would be set to “Complete”. User may complete the child Bill of Materials and the parent Bill of Material together.

FInformation: The user must have “Complete BOM rights” for the select parent Parts genealogy. In completing parent and child Bill Of Materials together, the user must have “Complete rights” for the entire child Bill Of Materials as well as the parent Bill Of Material as per Part genealogy.

  1. Click "Complete" option.
  2. Add the required comments in the Add Comment dialog box and click "Ok."
  3. Upon completing a Bill Of Material, user can send mail to concerned resources for releasing the Bill Of Material.

NOTE:The Parent Bill Of Material can be released even though the Parent Part is not released.

Releasing a Bill of Material

This operation releases the Bill Of Material. Release Bill Of Material operation can be carried out only after the Bill Of Material is completed. Release Bill Of Material involves approval and transmittal processes of Bill Of Materials, which are in Completed status. The users who have Bill Of Material release rights on the Part can only release the Bill Of Material.

Revising a Bill of Materials

Bill Of Material Revision involves the revision process of Bill Of Materials, which are in released status. The user may raise requests for revising the Bill Of Material. The user may enter the request details in CR Request. The selected Bill Of Material must be in released status and the user needs to have Bill Of Material Revision rights for the selected Bill Of Material’s Part genealogy. The revision history maintains the changes made to the Bill Of Material during its revision. Adding, Deleting and Modifying of items are recorded in Revision history. User can select a range of date for searching revision history details. The user can also print or export the revision history details to excel.

NOTE: User can select a Bill Of Material in released status and revise it directly.

Fast Track Revision

Change Management is a systematic process of validating changes raised by different users and approving to start incorporating changes in the objects. Fast Track CR helps the user to revise Bill Of Material and documents directly without going through the usual Change management Processes.

  1. Select the specific Bill Of Material. Click Fast Track Revision option. User can avail this option from the Product Structure or Search modules.

NOTE: To perform a Fast Track CR the Document or Bill Of Material must be released.

  2. The CR Request window is displayed.
  3. User can add values in the CR Request and click "Save" button
  4. The Attach work flow window is displayed where user can select a work flow
  5. Click the Send button
  6. User will be prompted to select the resources dynamically
  7. Click Yes to avail the Dynamic Resource Allocation interface
  8. Add or remove users for each stage as desired
  9. Click Save.

Deleted items

The user may view the deleted Parts or Assemblies from the Product Structure here.

Alternates and Variants

  1. Click Alternate and Variants to view all the Alternate and Variant Bill Of Materials
  2. Select and right-click a specific Alternate or Variant Bill Of Material to avail two options namely;

Figure: Alternated and Variants window

Add: Select the Add option to avail the Create New Bill Of Material window where user may add a new Alternate or Variant Bill Of Material.

View: Select the View Bill Of Material option to view the details of the selected Bill Of Material.

Work flow Options

User can perform the following operations here.

# | Item | Description
1 | Send | Select this option to "Send" the Bill Of Material to the next stage. NOTE: A user in the current stage of the workflow can send a BOM, even “Manage Workflow” rights are not assigned to the user in the genealogy.
2 | Show Work flow | Select this option to view the assigned work flow if any. Also Routing History details and details regarding the work flow stage and resources are displayed here.
3 | Flush Work flow | Flush Work Flow" option is for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.
4 | Reassign Resource | This option facilitates reallocation of resources to Work In Progress work flow. On clicking this option Reassign Resources window is displayed. User can select a stage and select resources from a user list. Click reassign button to reassign resources. Only users with Reassign resources in the genealogy can perform this operation. F Only Admin user or originator can perform this operation.
5 | Assign Work flow | Select this option to assign a work flow to a selected Bill Of Material.

Assigning Work flow to a Bill Of Material

A Bill Of Material can be send to selected resources through a work flow. The selected resources in each stage of the work flow contribute towards the Bill Of Material, which ultimately results in its completion. A Bill Of Material could be completed without a work flow too. In this case, the Bill Of Material is assigned to all the users who have the security privileges to create the Bill Of Material.

F

  1. The user may select the Bill Of Material work flow while adding the first child Part or by assigning the Bill Of Material to a work flow before adding any child Part.
  2. User can also assign the parent Part to all the users who have the security rights to create the Bill Of Material.

Bill Of Material Details - Bill Of Material view

In Bill Of Material view, user can view a specific Bill Of Material, its Parts or Assemblies as well as the related documents.

Figure: Bill Of Material View window

Bill Of Material Details - Documents

The user can manage documents associated with the Parts or Items in the Product Structure or Bill Of Material. When user add a Part in a Bill Of Material, the documents attached to the Part is automatically displayed in the Document tab of product structure. User can also add documents to a Part and then edit, send, release and revise it from Product Structure.

User can add drawings or documents to an item in the Product Structure. The user may edit the documents by checking out the document to the user’s computer (Check Out folder).

  1. Click the Documents tab to view the documents attached to a Part.

Figure: Bill Of Material Details - Document window

  2. User can select the specific document and perform the following operations.
  1. Revise: Select this option to revise a Bill Of Material. "Do You want to revise the selected Bill Of Material" dialog box is displayed. On confirmation a new CR is raised.
  2. Fast Track CR: Select this option to perform a fast track revision of the Bill Of Material. "Do you want to revise the Bill Of Material in fast track mode" dialog box is displayed. On confirmation a CR is raised and CR request window is displayed.
  3. Bulk Copy: User can select a location to copy out the selected files
  1. Select Bulk Copy
  2. Browse For Folder window is displayed

Figure: Browse For Folder window

  3. User can select a location to copy out the selected files
  4. User is also provided with an option to create a new folder to copy out the selected files
  5. Select Ok to confirm changes.

Update Document Details

User can update the properties assigned to the documents added. In order to perform this

  1. Select Multiple documents from a list of documents.
  2. In the right-click menu select Update Document Details
  3. Update Document details window is displayed

For more information on updating document details refer to Document Search>>Operations Possible in Document Search

Bulk Print: Select this option to perform a bulk print option of the selected document

Bill of Materials Details - Old Revision

Here, user can view the old revisions of the selected Bill Of Material if any as well as view the CR for the specific Bill Of Material.

  1. Select the appropriate Revision No from the drop-down list to view the old revisions of the selected Bill Of Material.

Figure: Bill Of Material Details - Old Revision window

Custom BOM Properties: Selecting this tab the custom properties assigned are displayed.

Opening a New Bill of Materials from the Product Structure window

User has the option to open a new Bill Of Material from the Product Structure window.

  1. In the tool bar click Edit
  2. User can enter the required Part number manually. If the Part Number exists in the master, other information's related to Part number are fetched from the master and respective fields are filled in.
  3. To search for a Part number click the Browse button.
  4. Part Search window is displayed. User can select a Part Number from the list.
  5. User can enter the Usage and a Bill Of Material type number.
  6. On confirmation the Bill Of Material of the selected Part number is displayed. If no Bill Of Material is available "No Bill Of Material available for the Entered Part Number" is displayed.

Bill of Materials Item Operations

  1. Right-click the specific item to avail a list of options.

Figure: Create New Bill of Materials

Add Item: Clicking this option displays Item Details window. User can add a Child Item to the Bill Of Material.

Assign Bill of Materials : This option is used to send a Part Number for creating Bill Of Materials. Usually routing is done along with adding the first item to the parent Part. However, this option could also be used to send to the respective users to create a Bill Of Material. Work flow could be attached to a Bill Of Material to ensure that only users in the work flow are able to edit the details

Edit Bill of Materials: The Assemblies or Parts can be cut or copied from one place to another using this option. This is a flexible feature which enables the user to move or duplicate an item from one location in product structure to another. This would help the user to build the product structure faster.

Delete: The user may delete the Part or Assemblies from the Product Structure along with the documents and operations.

Copy : The user can copy and paste a Bill Of Material to other Bill Of Materials depending on the status of the destination Bill Of Material. This option is used for copying the entire Bill Of Material or Parts along with Operations.

Paste: This option is used for pasting Parts or Assemblies along with operations or associated documents.

Part Properties: Select the "Part Properties" option to avail the Part details interface which provide the user with detailed information on the selected Part as well as a host of other functionalities.

Refer the " Part Operations " sections in the Part module for more information.

Item details: Click "Item details" to view the item details.

Bill of Materials Properties: Select this option displays the Bill Of Material details window which gives a detailed information of the selected Bill Of Material.

Map Item: While generating a Material Bill Of Material from a Standard Bill Of Material, in the Product Structure window configurable items are displayed as grayed.

  1. In the tool bar click Edit
  2. Right-click and select Map Item from the menu

Figure: Map Item

  3. Generate Material Bill Of Material window is displayed.

Figure: Generate Material Bill Of Material

  4. Click Generate Bill Of Material
  5. Create New Bill Of Material window is displayed.
  6. User can select a Part Number from the Search Part window

Export (Excel): Click this to export the selected Bill Of Material and all the child Assemblies and Part to MS Excel.

Refresh : User can refresh the item details if required. The "Refresh" option will refresh the entire tree structure and display the first level items for the assembly with the latest status

Show work flow : User can view the work flow assigned to a Bill Of Material if required.

Old revisions : User can view the old revisions of the selected Bill Of Material here.

Complete: Click this to complete the selected Bill Of Material. On completing a Bill Of Material, the status of the Bill Of Material changes from Work In Progress to Completed. User cannot edit any further Bill Of Material details. In order to complete the Bill Of Material the child Part is to be released. For a detailed explanation on completing a Bill Of Material refer Bill Of Material Operations (Standard)

Release: Click this to release the selected Bill Of Material. Bill Of Material release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. A Bill Of Material can be released if any of the alternatives of an Obsolete item is active.

Bill of Materials Options (Right-Click menu)

  • In the explorer view select a Bill Of Material.

In the right-click menu following operations are possible.

Figure: Bill of Materials right-click menu operations

Release: On selecting this user can Release the selected Bill Of Material. Release operation is possible only after the Bill Of Material is completed. Bill Of Material release is not possible if the part as well as its substitute parts are Rejected/ Obsolete. However a Bill Of Material can be released if any of the alternatives of an Obsolete item is active

Revise: On selecting this user can Revise the selected Bill Of Material. A CR is raised.

Send to Personal Folder: Select this option to save a shortcut of the line item in the user' s personal folder.

Send To Desktop (create shortcut): A shortcut to access the selected Part is created on the desktop

Refresh: Select this option to refresh the desktop

Delete: Click Delete to remove the selected BOM

View BOM: On selecting this option Product Structure window is displayed. User can perform a wide array of operations here.

View BOM Properties: On selecting this option, BOM properties window is displayed.

View BOM Item Details: On selecting this option, BOM Item details window is displayed

Compare: Comparision between BOM's can be done using the compare option. User can compare the availability, Iten No. Quanity and Unit of Measure between the BOM's

To compare BOM's

    1. Select multiple BOM' s on the desktop using the CTRL key. Right-click and select Compare option

    2. BOM comparion window is displayed.

    3. Select the BOM's for comparion using the checkboxes.

    4. Select the checkbox for those properties you want to compare

Part Properties: On selecting this option, part properties window is displayed. User can view part properties as well as perform part operations from this window.

Add: On selecting Add, Create New BOM window is displayed. User can make appropriate entries to create a new BOM.

Open: On selecting Open, BOM details window is displayed.

Complete: On selecting this user can complete the selected BOM. On completing a BOM, the status of the BOM changes from Work In Progress to Completed. User cannot edit any further BOM details.

See Also

Creating a New Part

Part Operations

Creating a New Standard Bill Of Material

Bill Of Material Operations (Standard Bill Of Material)

Creating a New Material Bill Of Material

Import/Export Bill Of Material

Part Search

Bill Of Material Search


Import/Export of BOM

A BOM may be created using different methods. User can manually select each Part from Part Master and add them to form a tree structure which is performed in BOM Master. Alternately, user can also import BOM and Parts of existing assemblies to create a new BOM.

Figure: Import / Export Operations

Navigation Table

To | See
Create an MS Excel template containing a list of Bill of Materials and their characteristics | Generate Template
Perform a Bulk Import operation | Import From MS Excel (Bulk Import)
Import from another Bill of Material | Import from Another BOM
Export the product structure or Bill of Material of a Part to an MS Excel file | Export (Excel)
Export Bill of Material using unformatted export option | Unformatted Export (Excel)

Generate Template

The "Generate Template" option creates an MS Excel template containing a list of BOM and their characteristics.

  1. Click Generate Template
  2. Generate Template dialog box is displayed.

Figure: Generate Template dialog box

User can generate a template using Basic Option or an Advanced Option

Basic Option

The Basic option includes only the mandatory fields required to import tasks to WBS. This include

  • Level Number
  • Item Number
  • Part Number
  • Item Quantity
  • Assign BOM
  • Revision Series
  • Quantity

Advanced Option

  • The Advanced option enables users to generate template with all the BOM properties.
  • User can save the generated template to a specific location

Import from MS Excel (Bulk Import)

User can bulk import Material BOM from an MS Excel file. An MS Excel file is created with the generated template which contains all the Material BOM details.

  1. In the left navigation bar select Import from MS Excel
  2. BOM Import dialog box is displayed

Figure: BOM Import dialog box

  3. Click Advanced Options
  4. Bulk Import window is displayed
  5. Click Browse button corresponding to File Path to select a file to import
  6. Select a file from the Open File dialog box

Figure: Bulk Import dialog box

In the Bulk Import window Wrench Default Properties and the corresponding Excel Column Names are displayed

Wrench BOM Default Properties and their description are detailed in the following table.

# | Item | Description
1 | Level Number | Level number distinguishes between Parent Part and Child Part
2 | Item Number | Item Number of the child Part
3 | Part Number | Unique Identification number of the Part
4 | Description | A description of the Part
5 | Sub Item Number | Number of the Sub Item
6 | Internal Revision Number | Internal Revision Number of the Part
7 | Type | Type of the Part. Click the "Browse" button to select the part type form a list.
8 | Quantity | Quantity of the BOM
9 | UOM | Unit of Measurement of the Part
10 | Part Status | Status of the Part
11 | Configurable | Specify whether the part is configurable
12 | Effective Date | User can specify a date. By default the import date is assigned.
13 | Alternate Part | Unique identification number of the alternate Part
14 | BOM Status | Status of the BOM
15 | Is Available In ERP | Is the BOM available in ERP. By default the value is not available
16 | BOM Available | BOM's which are available
17 | BOM Type | User can specify the type of the BOM. User can choose between Alternate and Variant BOM.
18 | BOM Type number | User can specify the BOM type number
19 | BOM Routing required | User can specify if routing is required for the selected BOM. If routing is required user can assign a work flow
20 | BOM work flow Team | If routing required is specified user can select a work flow team
21 | Circuit Reference | User can specify whether any Circuit Reference is assigned
22 | Source | User can specify a Source Code
23 | Size and Dimension | Size and Dimension of the material
24 | Material | Material Used
25 | Manufacture Part Number | User can specify the manufacture Part number
26 | BOM Internal Revision Number | User can specify the Internal Revision Number of the BOM
27 | Remarks | Remarks regarding the BOM can be specified here
28 | Life Cycle Status | Life Cycle Status of the BOM
29 | External BOM Revision Number | Revision Number of the BOM in ERP
30 | Level | Specify a level to which the BOM should get added

  1. Click Ok
  2. BOM Import dialog box filled in with the selected file to import is displayed

  3. Select the Import to BOM option to start the process of import. All the values assigned in the MS Excel template will be imported to BOM.
  4. The data in MS Excel file will first be validated. If any error occurs, an alert message would be displayed.
  5. Click Show details option to view the BOM details.

Figure: Imported BOM details

  • If any data error prevents the tasks from being imported, such errors are displayed in the grid against the corresponding BOM.
  • The user may also edit the BOM details if required from the grid itself.

Import from Another BOM

The user may create a new BOM from an existing BOM. BOM could be created for a selected parent Part by importing Part or subassemblies from the existing BOM. User can select an existing BOM with Alternate Number and BOM Usage. Select one or more items in the BOM and to import it to the target BOM.

To Import Part or Subassemblies from an existing BOM

  1. In left navigation bar of the Product Structure window select Import from Another BOM option
  2. The BOM Search window is displayed
  3. In the BOM Search window, search and select the required BOM which is to be imported
  4. The selected BOM is displayed in the Import BOM window.

Figure: Import BOM window

The following operations are possible from the right-click menu

Import BOM

This option is available on selecting a Part having a BOM.

  • Click Import BOM option to import Part or Subassemblies from the existing BOM.

Figure: Import BOM window

Import Selected Item

Select the Import Selected Item option to add the item along with any related Documents and Operations defined for the Part, in the Product Structure being built.

Export (MS Excel)

The user can export the product structure or Bill of Material of a Part to an MS Excel file. Export BOM option is used to export a BOM i.e. all the first level items listed under the Parent Part No. into Excel or text formats.

Export to MS Excel

  1. In the Product Structure window select Export to MS Excel
  2. Save As window is displayed
  3. User can specify a location to save the file
  4. Click Save.

Unformatted Export

You can export BOM using Unformatted Export option.

  1. Select the specific BOM
  2. Click Unformatted Export under Import / Export option
  3. User can export the BOM details to an MS Excel file or CSV format
  4. User can make appropriate selection in the Save As window
  5. The entire BOM is exported in the selected format. (The data exported would be unformatted, i.e. the user would get all the BOM columns without any list of values in a more faster mode.)

See Also

Creating a New Part

Part Operations

Creating a New Standard BOM

BOM Operations (Standard BOM)

Creating a New Material BOM

BOM Operations (Material BOM)

Part Search

BOM Search


Product Structure - Comprehensive View

Comprehensive view provides the user with the facility to view the Product Structure and the entire Part and BOM related documents together. Further BOM Operations, BOM Item operations and Import and Export operations can be performed from the comprehensive view of the Product Structure window.

This helps the user in obtaining entire BOM related information from a single window.

Accessing the Comprehensive view

  1. In the normal Product Structure window tool bar select Options.

Figure: Accessing the Comprehensive view

  2. From the ensuing menu select Comprehensive View.
  3. The Comprehensive View window is displayed

Figure: Product Structure - Comprehensive view

The Product Structure window is segregated to a tool bar, left navigation bar, BOM header window and right pane displaying information related to attached documents.

Navigating through the Comprehensive view window

The left navigation bar and the right pane can be collapsed and expanded by clicking the arrow on the top left corner of the pane. Once the panes are collapsed a larger work area is available for the user.

The left navigation bar of the Product Structure window is constituted of folder buttons under which various BOM related options are housed. User can add or remove the folder buttons on the left navigation bar.

Figure: Adding and Removing folder buttons

Adding or Removing the folder buttons

At the bottom of the navigation bar, click [image] Configure buttons, Click Add or Remove buttons and then click the button which is to be added or removed.

  • Click "Show Fewer Buttons" to remove the buttons lower in order one by one.
  • Click "Show More Buttons" to add back the removed buttons.

The folder buttons located on the navigation bar and the options housed under them are mentioned in the following sections.

Documents Pane

Document Pane lists documents attached to Part and BOM. A facility to preview the documents and its revision details are also provided. Document Pane is segregated into the following sections.

Figure: Documents Pane

BOM Documents: Documents attached to the BOM are displayed here. Details like Document Number, Part Number, Description, Internal Revision Number, Sheet Number, and Check Out information are also displayed here.

Part Documents: Documents attached to the Part are displayed here. Details like Document Number, Part Number, Description, Internal Revision Number, Sheet Number and Check Out information are also displayed here.

Alternate view in the documents pane

On Pressing "ALT + V" the documents are displayed in a different view. Documents are displayed as icons which is shown in the following figure.

Figure: Documents Pane - Alternate view

Preview Pane

A preview of the selected documents are available here provided Jvue or Auto Vue is available in the server.

Change History Pane

The revision history of the part is displayed here. "Prev" and "Next" buttons are enabled if more than one revision history exists for the selected part. User can view the different revision details by clicking the corresponding arrows.

BOM Operations

# | Operation | Description
1 | Refresh | The "Refresh" option will refresh the entire tree structure and display the first level items for the assembly with the latest status
2 | Validate | Before a BOM can be completed all the Child Parts and BOM's attached to the parent BOM is to be completed. Click "Validate" to ensure if all Child Parts and BOM's are completed.
3 | Completion (Single) | This option enables the user to make a selected BOM to completed status
4 | Completion (All) | This option helps the user to make all the BOMs to completed status. The system will check if all the BOMs can be completed, or else, a warning message is displayed.
5 | Release (Single) | This option enables the user to release a selected BOM which is in completed status.
6 | Release (All) | This option helps the user to release all the BOMs that are in completed status.
7 | Deleted Items | The user may view the deleted Parts or assemblies from the Product Structure here.
8 | Alternates and Variants | This option helps the user to view the Alternate and Variant BOM of the selected BOM.
10 | Old Revisions | Here, the user can view the old revisions of the selected BOM if any as well as view the CR for the specific BOM. Select the appropriate revision no: from the drop-down combo to view the old revisions of the selected BOM
11 | View Generated BOM (s) | User can use this option to view all the BOM's generated from the selected BOM
12 | Expand All | Clicking this option displays an expanded view of the BOM with sub items attached to it.
13 | Collapse All | Clicking this option displays hides the sub items attached to the BOM

BOM Item Operations

User can perform various operations on the Items in a BOM which are listed in the following table.

# | Operation | Description
1 | Expand | Select this option to expand the BOM Item list
2 | Collapse | Select this option to collapse the BOM Item list
3 | Add Item | Select this option to add a new item to the BOM
4 | Add Refer Document | Select this option to refer a document to the Item
5 | Add Link Document | Select this option to link a document to the Item
6 | Copy | Select this option to copy an item from the Item list
7 | Paste | Select this option to paste the item to the list
8 | Delete | Select this option to remove an item from the list
9 | Assign BOM | Select this option is used to route a Part No. for creating BOMs. Usually routing is done along with adding the first item to the parent Part. However, this option could also be used to route to the respective users to create a BOM. Work flow can be attached to a BOM to ensure that only users in the work flow are able to edit the details
10 | Edit BOM | Select this option to edit a BOM
11 | Item Details | Select this option to view the item details
12 | Part Properties | Select this option to view the properties associated to a Part
13 | BOM Properties | Select this option to view the properties associated to a BOM

Import / Export

User can import BOM and Parts of existing assemblies to create a new BOM. The various import and export operations are listed as follows.

# | Operation | Description
1 | Generate Template | For more details refer Import / Export of BOM>>Generate Template
2 | Import from MS Excel | For more details refer Import / Export of BOM>> Import from MS Excel
3 | Import from another BOM | For more details refer Import / Export of BOM>> Import from another BOM
4 | Export (Excel) | For more details refer Import / Export of BOM>> Import from another BOM
5 | Unformatted Export | For more details refer Import / Export of BOM>> Unformatted Export

Others

Figure: Others window

Items Legends and Find are displayed here.

Legends

Legends are diagrammatical representation of various items and statuses related to Part and BOM. Legends and their description are available in the Legend window.

Figure: Legends window

Find

User can initiate a search based on various search criteria for items in the Product Structure window.

  • On clicking "Find" search tool bar is displayed in the grid beneath the BOM Header details

Figure: Search Toolbar


Workspace

Workspace is a job organizer. This facility organizes entire work that has been allotted to a person so that user may just look at their workspace to have a comprehensive assessment of volume of work. The term "work" refers to different tasks (such as tasks from Work Breakdown Structure (WBS), Action points from Minutes of Meetings (MOM), Documents, Change Requests, Mails etc) that has been allotted to the user (of selected type of activity, under the selected project). You can act upon the work assigned to you from the workspace. Important task and document related operations can be performed from the workspace. Users can manage their To-Do-Lists from the Workspace.

Navigation Table

To | See
Manage objects routed to a user | Working in the Workspace
Obtain information on objects in the workspace | Wrench Folders
Obtain information on documents added by you | My Documents
View objects that has been successfully routed from the workspace of the current user. | Sent Items
Arrange workspace items | Grouping and Filtering workspace items
Search for objects and configure views in the workspace | Search Operations and Configure Views
Obtain information on graphical representations in workspace | Information
Perform various task operations in workspace | Task Operations in Workspace
Perform various document operations in workspace | Document Operations in Workspace
Perform sending and send related operations from workspace | Sending objects from workspace
Configure different views in workspace | Configuring Views
Manage submittals | Managing submittals from the workspace


Working in the Workspace

A work can be assigned to you automatically through a business process known as a workflow or it can be manually assigned by another user . A workflow is a series of works assigned sequentially from user to user. When you complete a workflow task, the workflow automatically sends a task to the next user in the workflow.

New works sent to your workspace appears in bold type. On opening the work the appearance of the task is turned to normal type. You can either regret or accept works directed to your workspace. Once you accept a work it is closed from the workspace other users. Once you regret a work it will be removed from your workspace.

Navigation Table

To | See
Open the workspace | Opening your workspace
Navigate through the workspace | Navigating through the workspace
Identify type of work in workspace | Identifying types of work in workspace
Preview your workspace | Workflow Preview Pane
Open a document for commenting | Opening documents for commenting
Fetch comment files automatically | Fetching comment file automatically
View Log Details | Viewing Log Details
Carry Out document operations from the Workspace pane | Operations in the Preview pane
Accept or Reject objects in workspace | Acknowledging and Regretting tasks and documents

Opening your Workspace

  1. In the Wrench desktop navigation bar select Workspace.
  2. Corresponding user workspace is displayed.

Figure: Opening the workspace

Navigating through the Workspace

The following figure illustrates the workspace of a Wrench user.

Figure: My Workspace

In addition to the Wrench modules the following objects are displayed in the navigation bar. This includes:

My Documents

Sent Items

Personal Folders

  • Click an object displayed on right pane and the corresponding workspace view is displayed.

Figure: Tasks Workspace

NOTE: New works sent to your workspace appears in bold type. On opening the work the appearance is changed to normal type.

The headers of unread messages are displayed in bold text in your Inbox. The number of unread messages can be seen next to the name of the folder in the navigation bar.

Marking works in your workspace as Read or Unread

You can select the work in your workspace and mark them as Read or Unread.

Figure: Marking the documents as read and unread

Figure: Documents marked as Unread

To mark an object as read or unread

  1. Select the objects that are to be marked as Read and right click.
  2. In the right click menu select Workspace Options >> Mark as Read.

Figure: Mark as Read and Mark as Unread operation

Identifying types of work in the Workspace

The works that are sent to your workspace can be for your action or just for your information. It is necessary that you need to distinguish between these two types of tasks sent to you. Distinguishing between the type of works in the workspace helps in avoiding any type of confusion.

Count or total number of different types of works that are unattended in your workspace are displayed as shown in the following figure.

A detailed picture of the type of work in your workspace can also be obtained from the workspace.

To obtain a detailed picture of works in the workspace

  1. In the Workspace toolbar select View-->Advanced View.

The items in the workspace are arranged as displayed in the following figure. The purpose for which the work was sent to you and whether the work was attended by you or not, is displayed in the workspace grid.

Figure: Workspace - Advanced View

Workflow Preview Pane

On selecting an object with workflow attached to it, a preview of the workflow will be available in a separate pane. Entire routing details will also be available.

Since on selecting an object, details are available in the preview pane, identifying their actual work is much easier for the resources.

In the preview pane, you can view the workflow of the selected object, view the log details for the stages in workflow, view the notification details of each stage, add comments and send the object from the current stage and view the comments entered by other users of the stage.

NOTE: If multiple objects are selected, workflow of the first object in the selection is displayed. For objects only routing details will be shown in the preview pane.

Select the arrow at the top of the pane for maximizing and minimizing the workflow pane. You can zoom in and out the workflow. Name of the selected object and the workflow team name are displayed in the upper part of the pane. The workflow pane area can be maximized and minimized by tweaking the sides of preview pane.

Figure: Expanding and collapsing the navigation bar

Switching the preview pane On and Off

If you feel the preview pain is hiding a part of the information that is displayed in the workspace, you can switch off the preview pane. Switching off preview pane is the process of hiding the preview pane.

To switch off and on the preview pane

In the tool bar select Preview Off. The preview pane will be hidden now. This button acts as a toggle button for hiding and un-hiding the preview pane.

Figure: Switching on and switching off the preview pane

Viewing Log Details

Log Details window consists of the following panes.

Figure: Log Details window

Correspondence Pane: Here details of the correspondence taking place between different stage users are displayed. The latest correspondence details are displayed on the top of this pane. The trail of correspondence is displayed one after another in this window. The following details are displayed in this window.

  1. Active Stage Name and the Subject entered while configuring the mail.
  2. Sent: Date on which the work was sent.

Recent Changes Pane: In the lower half of the pane, on clicking Recent Changes, the following details are displayed.

Details of the actions taken upon the work from start to the current stage are displayed one after other. The current stage and its details are displayed at the top of the thread of information.

Operations in the Preview Pane

In the workspace preview pane, in addition to viewing documents available with each item, you can also carry out basic document operations. Operations that can be carried out are displayed in a tool strip just above the preview area as in the following figure.

The following operations can be carried out from the preview pane

Send: Select this option to send the document to the next stage of the workflow. For more information on this operation refer Sending Objects.

Forward for Information: Select this option to send the document for information purpose. For more information on this operation refer Forwarding Objects in your workspace.

Attach Item: Select this option to add different types of attachments to the task. On selecting this option the following menu is displayed. You can select the type of attachment from the menu that is displayed.

You can Link or Refer a document, attach different types of attachments and add different type of references. You can add new or existing reference.

You can select an attachment and perform the following operations also.

Check Out: Select this option to edit the document for editing.

Check In: Select this option to save the document after editing.

Replace: Select this option to replace the existing document with a new document.

Copy Out: Select this option to copy the document to a specific location in the system.

Add Reply: This option would be displayed on if the selected document is a correspondence document.

Show Details: Select this option to view the details of the document. On selecting this option document details window is displayed.

View: Select this option to view the selected document. The document is opened in the native application.

Open for commenting: You can select this option to open a document and enter your comments. The commented file will be saved in a specific location and the comment file is fetched by the system while attaching comments.

Commenting from workspace

From the workspace you can open a document for commenting, enter your comments on the document and save the document and while attaching comments to the document the commented file is fetched automatically and is attached as a comment to the original document.

To open a document for commenting

  1. In your workspace select a document that has to be commented.

  2. In the preview pane tool bar click Open for Commenting. Open Comment dialog box is displayed.

  3. Here options to open a specter document and a normal document are available. Option to open the specter file is enabled only if the selected document is a specter. Option Document is selected by default. Click Open to continue.
  4. Save As window is displayed. Save the document to the default location or select a different location. Click Save to continue.
  5. Copy Complete dialog box is displayed. In the copy complete dialog box click the Open button to open the document for commenting.

  6. Once the document is opened for commenting enter your comments and save the file.

Fetching comment file automatically

The comment file is fetched automatically and attached as a comment to the document.

To attach comment file

  1. Select the document that was saved after opening for commenting.
  2. In the preview pane tool bar select Attach Item and in the pop-up menu select Comments.

  3. Add Associated Document window is displayed with the comment file selected.

  4. Click OK to attach the comment file and continue.

Consolidate Comments and View

Multiple versions of the comment files can be consolidated and viewed as a single comment file.

To consolidate comments and view

  1. Under the Commenting Options click Consolidate comments.

Consolidate comment window is displayed.

Figure: Consolidated Comment window

The comments displayed will be sorted based on their version number.

  1. Select the checkbox corresponding to the comment files that need to be consolidated
  2. Select Review to open the consolidated comment file.
  3. Select Consolidate to attach the consolidated comment file under comments in the Attachment tab

Cancelling commenting or review sessions

When documents are opened for commenting or review and if they are not closed, sending such documents through a workflow is restricted. In such cases administrator can close the opened commenting or review session.

To cancel commenting

  1. Select the document.
  2. In the preview pane toolbar click Cancel Commenting.

A warning message asking you whether the commenting session has to be cancelled is displayed.

  3. In the message box click Yes.

The opened session is closed successfully.

NOTE: Administrator can cancel an open commenting session of any user, while normal users can close on their open commenting session.

Configuring Preview Pane

To configure preview

  1. In the preview pane tool bar click Configure Menu.

Configure Menu window is displayed.

Figure: Configuring preview pane

  2. Select the check box next to an option in the column Visibility, if you want that option to be displayed in the preview pane.
  3. Clear the check box if you want to remove an option from the preview pane.
  4. Click Save to store changes.

The Update Pane

The update pane displays the recent changes that have happened to the item you have selected from your workspace, the workflow assigned to the object and a detailed log of operations the object have undergone. The details here are arranged based on the dates on which the operation has been carried out. The action carried out on a document, date on which the action was carried out and details of the user who carried out this operation are displayed here.

  1. Click Workflow to view the workflow assigned to the object.
  2. Click Recent Changes to display the changes the selected object have undergone.
  3. Click Show Conversation History to view a detailed log of activities.

Figure: Update Pane

Closing the Preview Pane

On the View menu, point to Display Preview Pane, and then click Off.

Acknowledging or Regretting Documents or Tasks

You can acknowledge or regret document or tasks in your workspace. Acknowledging a document or task refers to accepting a document or task. Regretting a document or task means rejecting a document or task.

To Regret a Document or Task

  1. Select a specific Document or Task from Workspace.
  2. In the left navigation bar select the Regret option if you wish to regret (Reject) the Document or Task.
  3. The Document or Task is removed from users' workspace.

NOTE : The Option Regret will be active only if there is more than one user in the current stage and the stage property is “Approval by any of the users.”

Please refer the Work flow Designer in the Administrator's Manual for more information on the topic. The security for regret must be necessarily checked in the Work flow security setting while regretting the specific Task/Document.

To Acknowledge a Document or Task

  1. Select a specific Document or Task from Workspace.
  2. In the navigation bar select the Acknowledge option if you wish to acknowledge (Accept) the Document or Task.
  3. Upon acknowledging the Document or Task, the Document or Task would get automatically removed from the Workspace of all other active resources in the current stage. The routing history of such users would also get “Force closed”.

Holding and Resuming documents or tasks in your workspace

Prior to acting upon the task received in your workspace, you may need to hold a discussion with the concerned authorities. Until the finalization of the discussion you can hold the task in your workspace. The holding time details are displayed in the log details. You can select a work in the workspace and select Hold from the right-click menu.

Once the discussions are over you can also reinstate the held task. You can choose the held task and select Resume from the right-click menu.

Hiding and Unhiding modules in workspace

In the workspace window it is possible to hide and unhide different workspace objects.

To hide a folder or module

  1. In the workspace left navigation pane, choose a folder and in the right-click menu click Hide.

The selected module will be hidden now.

To unhide a module

  1. Select Workspace and right-click.
  2. In the right-click menu select Unhide Module.

Unhide Folders window is displayed. Here a list of hidden folders is displayed.

  3. Select the checkbox next to the folders that you want to unhide.

Figure: Unhiding folders

  4. Click OK to unhide the folders.

See Also

Task Operations in Workspace

Document Operations in Workspace

Change Request and Change Note operations

Action Item Operations in the workspace

Working with Part and Product Structure in the workspace

Sending Objects from your Workspace


Wrench Folders

Figure: WRENCH Folders

WRENCH modules available in the workspace are grouped under this folder. This includes Task, Documents, Change Request, Change Note, Action Items, Part and Product Structure (BOM). The number of unopened works sent for action and information and can be seen next to the name of the folder. On selecting a module from the Wrench Folders corresponding objects assigned to you are displayed in the workspace grid.

In addition to Wrench modules the following folders are available under Wrench folders. On selecting Personal Folders, Wrench desktop is displayed with the Personal Folders of the user expanded.

  • My Documents
  • Sent Items
  • Personal Folders

NOTE: In Wrench desktop you can hide the modules that are not used frequently. These modules will be hidden in workspace also. The hidden modules in a user’s workspace will be displayed once a work corresponding to that module is sent to the user.

For Example: If Change Request module is hidden for a user, that module will be displayed once Change Request is sent to the user.

See Also

Task Operations in Workspace

Document Operations in Workspace

Change Request and Change Note operations in workspace

Action Item operations in workspace

Working with Part and Product Structure

Sending Objects from Workspace


My Documents

My Documents

Documents which have been added by the user are displayed here. Details on documents added personally, completed and removed are displayed. The documents are displayed till they are approved and archived.

  • Click My Documents to display the list of documents created by the user.

Here, in addition to performing a whole array of document operations, user can also add single or multiple documents.

  1. Right-click the in workspace grid and select Add to add a single or multiple document.
  2. Entire options can also be availed from the left navigation bar.

The operations which are possible from My Documents are mentioned in the following table.

#

Operation

Description

1

View

Select this option to view the selected document. The document is opened in its respective editing application. For more information refer Document>>Document Operations>>View.

2

Open With

Select this option to open a document with the application of users choice. For more information on open with operation refer Document Operations>>Open With.

3

Show Details

Select this option to acquire comprehensive details of the selected document. Fore more information refer Document Operations>>Show Details.

4

New

Here user can add single or multiple documents.

Add Single Document

Select the "Add Single Document" option in the left-hand menu in "My Document Options" to avail the "Add Document window". Here user can add a single document in Wrench.

For more information, please refer the section " Creating and Adding Documents " in the Documents module.

Add Multiple Document

Select the "Add Multiple Document" option to avail the Add Multiple Documents window where user can add multiple documents in Wrench.

Refer " Adding Multiple Documents " section in the Documents module for comprehensive information on the topic.

5

Send Mail

Select this option to send the document as a mail to single or multiple users. On selecting this option New Mail window is displayed. Here you can enter the mail details and send it to concerned users.

6

Check Out

To edit files usually they are checked out to the local computer. The documents or drawings may be moved to a local directory from the wrench vault using this option so that no changes can be made to the server copy. When you check out a file the file opens up in its respective editing application . Other users can view a checked out file but cannot make changes to it. Your changes are incorporated into the file only when you check in the file. For more information on checking out a document refer Documents>>Document Operations>>Check Out .

7

Check In

The modified documents are saved back into the Wrench server using this option. Once a document is checked out, edited and checked in, version number of the document is incremented.

For more information on checking in a document refer Document>>Document Operations>>Check In

8

Replace

If the user does not want to Check Out a document, edit and then Check In the document the option to "Replace" can be availed. While replacing released documents user may send mails to selected user's indicating the same. For more details refer Documents>>Document Operations>>Replace

9

Copy Out

Select this option to copy a document to a specific location. For more information on copy out operations refer Copying Out documents .

10

Attachments

Attachments are an extra piece of information that are associated to documents. Select this option to add attachments to the selected document. Associated documents includes Markups, Comment files, Client Comments, Specters and Squad Check Comments. For more information on attachments refer Document Details>>Attachments

11

Send

You can select the required document and send it to the next stage. For more information on sending refer Send in the succeeding section.

12

Show Workflow

Select this option to view the workflow attached to the document. Show workflow window is displayed.

13

Assign Workflow

Sometime documents are added to Wrench without attaching a workflow to them. Workflow is added to these documents at a later point of time.

For documents added without a workflow attached to them you can assign a workflow using this option. You can also assign workflow to documents that have undergone the Flush Workflow operation. For more information on assigning a workflow refer to Assigning Workflow.

14

Release

Select this option to release a completed document. For more information on this option refer Document Operations>>Release

15

Update Document Details

Select this option to update the document properties. Document details window is displayed where the user can update the details.

User can also select multiple documents and update document details. For more information on updating multiple document details refer Update Document Details

16

Create Transmittal

Select this option to create a transmittal and send the selected document. For more on information on creating and sending transmittals refer Create Transmittals in the succeeding section.

17

Clear Document(s)

Select this option to clear the selected item from the workspace.

18

Expand All

Select this option toe expand the group under which the documents are stored.

19

Collapse All

On selecting this option the respective groups under which the documents are listed is displayed.

Send

User can select single or multiple documents and click Send from the left navigation bar or from the right-click menu.

To send a document

  1. From My Work Space double-click the document.

Document Details window is displayed.

  2. Click Send in the navigation bar.
  3. The selected document is successfully sent.

NOTE: You have to be in the current stage of the work flow i.e. the document should also be available in "Documents" in users work space. Send option is also available from the right-click menu in my documents.

While sending through a work flow in which the user is a member in parallel stages of the work flow, stage selection window is displayed. User can select the stage to which the document is to be sent.

NOTE : User can add attachments, comment file(s), Specter file(s), Copy out Specter files, add Markups, Squad check comment to the selected document.

Create Transmittal

To enhance vendor document handling transmittals can be generated from My Documents in the workspace.

To create a transmittal

  1. In the Workspace left navigation bar select My Documents.
  2. From My Documents Options select Create Transmittal.

Or

  1. In the My Documents workspace grid select single document and right-click.
  2. In the right-click menu click Create Transmittal.

Figure: Generating a transmittal from the workspace

NOTE: General Transmittals can be selected for all documents. Release and Final Release transmittal can be selected for documents in the transmittal stage. For Correspondence documents only general transmittals can be created.

Select Transmittal Type window is displayed.

  3. List of pre-defined transmittal types are displayed here. Select a transmittal type and click Select.
  4. Depending on the type selected Document transmittal window is displayed with the fields populated.
  5. The selected documents are added to the transmittal grid.

For more details refer Transmittals

Assigning Workflow

Workflows are assigned to documents that are added to Wrench without a workflow.

To assign a workflow

  1. Select a document and right-click.
  2. In the right-click menu select Assign Workflow.
  3. Assign Workflow window is displayed with the Predefined Workflow tab selected.

Figure: Assign Workflow window

Assigning a Predefined Workflow

A workflow with a defined set of resources in its stages is known as pre-defined workflow.

To assign a predefined workflow

  1. Select the Browse button next to Workflow Team.
  2. Search Workflow Team window is displayed. Select a workflow from the list.

Workflow Stages: Different stages of the selected workflow can be viewed here. Click the drop-down arrow to view different stages in the workflow. You can select a stage and assign resources to the selected stage. You can assign two types of resources.

Resources for the Stage (For Action): These are the resources who will be acting accordingly on the work delegated to their workspace.

To assign resources for action

  1. Select the corresponding Browse button.
  2. User List window is displayed. You can select resources from the list.
  3. Selected users are displayed here.

You can remove a user by clicking the remove button.

Cc resources for the stage (For Information): Documents are sent to these users for information purpose only. They are not permitted to perform any type of action on the documents sent to them. On selecting the option Bypass on Start Workflow the first stage of the workflow is bypassed and the next stage is selected.

To assign resources for information

  1. Select the corresponding Browse button.
  2. User List window is displayed. You can select resources from the list.
  3. Selected users are displayed here.

You can remove a user by clicking the remove button

Configure New Mail

You can configure mail that is to be sent to next stage users.

To configure mail

  1. Click the link Configure New Mail.

Configure Mail window is displayed.

Figure: Configure Mail window

  2. Select the Current Stage from the drop-down list.
  3. On selecting the current stage next stage is selected automatically.

A subject and content can be entered. The content you enter here can be viewed by users in the next stage.

Object: Select an Object from the drop-down list. The items in the drop-down list include CR, Document, Project, Task and Workflow.

Properties: Properties corresponding to the selected object are displayed here. You can insert the properties as the mail body.

For Example: You have selected the object as document. Now suppose you need to insert a subject for the mail. Place the cursor in the Subject field. Now from the properties drop-down list select a property. The value for the selected property is inserted as the subject.

Reminder Date to Sender and Receiver: Usually work delegated to a resource is to be completed within a stipulated period. A date can be set to remind the resource about the deadline. A date prior to the deadline is set as the reminder date. An automatically generated mail is send reminding the resources about the deadline.

  1. Select OK to save changes and continue.

Assigning a Manual Workflow

A business flow need not be automatic always. It can also be manual. While sending a work through a manual workflow you can select the resources for the next.

To assign a manual workflow

  1. In the assign workflow window select Manual Workflow tab. You can assign resources for the next stage here. Two types of resources can be assigned here.

Figure: Assign Manual Workflow window

Resources (For Action): These are the resources who will be acting accordingly on the work delegated to their workspace.

To assign resources for action

  1. Select the Browse button next to Resources (For Action).
  2. User List window is displayed. Choose the resources from the list.
  3. Selected resources are listed in the grid.

Cc Resources (For Information): Documents are sent to these users for information purpose only. They are not permitted to perform any type of action on the documents sent to them.

To assign resources for information

  1. Select the Browse button next to CC Resources (For Information).
  2. User List window is displayed. Choose the resources from the list.
  3. Selected resources are listed in the grid.

Routing Rule: Here a rule can be defined for approval of the work. The following options can be selected from a drop-down list.

  1. Any: On selecting this any resource in the next stage can act upon the work.
  2. All: On selecting this all the resources in the stage has to act upon the work.
  3. Sequenced: On selecting this option, action on the work has to be carried out in order of their sequence.

Default Mail Intimation Required: On selecting the checkbox against this option, a mail is sent on sending the work to next stage.

Configuring New Mail

You can configure mail that is to be sent to next stage users.

To configure mail

  1. Click the link Configure New Mail.
  2. Configure Mail window is displayed. You can enter a subject and content for the mail.

NOTE: Only the fields excluding Current Stage, Next Stage and Response are enabled in this window

For more information on configuring mails refer to Configuring Mails in the Pre-Defined workflow section.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Sent Items

Sent Items

Operations carried out from the workspace are updated under “Sent Items.”

In the Workspace summary window, click Sent Items to display the entire objects that has been successfully sent from the workspace of the current user.

A detailed entry in the "Sent Items" folder is created whenever

  • An assigned work is Sent / Directed to other user's workspace.
  • An assigned work is Bypassed.
  • An assigned work is Regretted.
  • An assigned work is Approved.
  • A work sent for action or as Cc is Closed.
  • An assigned work was force closed.

NOTE: Work includes Task, Document, Change Request, Change Note, Part, Bill Of Materials (BOM) .

Sent Items window displays information on the following items:

  • Object Type
  • Object Name
  • Object Description
  • Send To
  • Sent on
  • Sending Comments
  • Area Code
  • Client Document Number
  • Action Performed( Regretted,Send, Bypassed, Approved)
  • Message

Figure: Sent Items window

For Example: If an assigned work is regretted, the entry in this column will be regretted.

In the object description field task genealogy, document description, CR remarks, CN remarks, MOM reference number are displayed respectively.

The "Action Performed" column display an entry corresponding to the action performed from Workspace.

The auto-archive option in "Sent Item" enables users to maintain an extensive number of records of all the sent objects. You can also delete items from this folder.

You can enable the workflow pane in the sent items workspace. To enable the workflow pane in the toolbar select Views. From the menu select Display Workflow Pane.

Operations from the Sent Items window

Once you sent an item from your workspace, the sent items are no longer available in your workspace. At times you have to add the sent items to time sheet or recall the items for making some changes. For this purpose, options to make timesheet entries and recall the sent items are provided here. The following operations can be carried out from the workspace.

Add to Timesheet

You can choose a document or task from the sent items window and add it to the timesheet.

To add an item to the time sheet

  1. In the Sent Items window select a task or document.
  2. In the right-click menu or from the navigation bar select Add to Time sheet.

Figure: Add to Time sheet

  3. Time sheet Details window is displayed. You can enter the time sheet details in this window and click OK to continue.

Figure: Time Sheet Details window

If the time sheet entry is made successfully Time Sheet window is displayed, with the entries.

For more information on time sheet related operations refer Utilities>>Timesheet

Redirect

If you need to bring back the works send from your workspace, this option can be used. If a user has already started working with the work sent by you, system will display a warning message. If you still continue with the operation the item will be removed from the workspace of the current user.

To redirect a work send

  1. Select Redirect from the left navigation bar or the right-click menu.
  2. Send window is displayed. Here you can select the stage to which the item has to be recalled.
  3. In the Send window, click the Redirect button to complete the operation.

NOTE: If redirect operation is carried out on an item which has already been edited by the user in the existing stage, the changes made by the user is retained.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Grouping Sorting and Filtering workspace items

Grouping, Sorting and Filtering

Objects in the workspace can be grouped based on columns. Columns can be dragged and dropped, and grouped accordingly. Number of objects in each groupings are displayed.

Figure: Grouping objects in workspace

Sorting and Filtering Object Items in the Workspace

Items grouped under each object in the workspace may be sorted. The items may also be filtered so that the users may view only the items which are relevant at that instance.

To sort items grouped under an object

  1. Place the mouse pointer over one of the column headers as shown in the following figure

Figure: Filtering items in the workspace

  2. Click the arrow to sort the items both in ascending and descending order.

To filter

  1. Click the filter symbol to filter the items and select an item from the list. Entire items satisfying the filter criteria are displayed.

For Example: If Project ID = 20303 is selected as the filter criteria, the entire tasks with Project ID are filtered and displayed.

The selected filter criteria is displayed on the status bar at the bottom of the page.

  4. Click the cross button to disable filtering
  5. Click "Edit Filter" to edit an existing filter criteria. "Filter Editor" window is displayed where user can define different filtering criteria's.

Figure: Filter Editor window

Bulk Sending from grouped headers

In Workspace, user can do operations in bulk on selecting a group header for the below mentioned objects.

  • Task
  • Document
  • Change Request
  • Change Note
  • My Documents

For Example:

  1. In Task Workspace, group the tasks based on the header Purpose/Subject.
  2. Select the group header and right-click. Following are some operations that users can do in bulk for the selected task group.
  1. Send
  2. Close
  3. Complete
  4. Create Transmittal
  5. Forward for Information
  6. Send to Personal Folder
  7. Check-out
  8. Check-in
  9. Replace
  10. Bulk Copy
  11. Update Approval Status Codes
  12. Update Internal Status Codes
  13. Update Receipt details
  14. Workspace Options
  15. Add to Time sheet

Similarly for Documents, Change Request, Change Note and My Documents, following operations can be done in bulk by grouping the headers.

For grouped documents

Following are the operations that can be done for the grouped documents in bulk,

  1. Send
  2. Forward for Information
  3. Check-Out
  4. Check-In
  5. Close
  6. Complete
  7. Create Transmittal
  8. Send Mail
  9. Send to personal Folder
  10. Replace
  11. Bulk Copy
  12. Copy Specter
  13. Update Approval Status Codes
  14. Update Receipt Details
  15. Update Document Details
  16. Document Operations – Specter, Squad check, Comments
  17. Add to Time sheet

For grouped change requests or change notes

Following are the operations that can be done for grouped change requests or change notes in bulk,

  1. Mark as Read / Unread
  2. Send to Personal Folder

For grouped documents in My Documents

Following are the operations that can be done for grouped documents in My Documents in bulk,

  1. Check Out
  2. Check –in
  3. Send Mail
  4. Release
  5. Update Document Details
  6. Create Transmittal
  7. Clear Documents

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Search Operations in workspace

Search Operations - Search as you Type

In the workspace you can search for documents and tasks as you type. As you start typing, search results that begin with the letters you have typed are displayed. If you continue to type, the search results are dynamically updated to match the first alphabet or number you have typed.

Less time is spent in searching because you get relevant search results while you type. Dynamically generated search results will let you stop typing as soon as you see what you need.

For Example: You need to search for tasks with their task names starting with Wardrop. You can type W below the column label Task Name as displayed in the following figure. All the tasks with their task names starting with W are displayed. Similarly you can type in under different column labels and carry out a search.

Figure: Carrying out a type in search

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Configuring Views in workspace

Configuring Views in the workspace

To configure personalized views in work space click View. In the ensuing menu following options are available.

Custom View

  1. On clicking Custom View "Save View" window is displayed.

Figure: Save View window

  2. Private tab is selected by default.
  3. User is provided with the facility to save the existing view and delete or replace a selected view.
  4. Click "Close" to close the window.

NOTE: Only Administrator can create Public Views.

The different view available in the work space are listed here.

Normal View

By default the normal view is displayed. Only minimum columns will be displayed.

Advanced View

  1. On selecting advanced view any custom properties assigned to the objects and additional columns are also displayed.
  2. Multiple values assigned to the custom properties appears as separated by commas.
  3. You can save the advanced view and the saved view is loaded while the user opens the workspace in the next instance.

Choose Columns

On selecting choose columns "Customization" box is displayed. The edges of the box can be tweaked and the box can be moved to any area in the screen. User can select columns in the grid, drag the selected columns and drop them into the box. The columns dropped in the customization box will not be displayed in the grid.

Figure: Customization Box

You can select the desired views from a drop-down list. All the Views saved as Public Views will be available here. Views saved as Private View will be available only for the user. If a view is configured for any object in Personal preference , it will be available here by default. Also A view can be set as default in the Control Panel.

User may set his view individually for each Modules, Workspace, Document search and WBS using his Private View or any view of his choice irrespective of the views set in Control Panel or Personal preference.

Workspace View

In the task workspace usually entire tasks available in the customer workspace are displayed. The task details are displayed in the “Details” group in the navigation bar.

Details of tasks which are to be completed within a stipulated time can also be viewed.

  1. In the tasks workspace toolbar select “View.”

Figure: Workspace task view

  2. Select “Workspace” and from the ensuing menu select the period.

For Example: To view the details of task scheduled to be completed within three days, select 3 Days.

Figure: Task schedule details

Details like pending tasks, delayed tasks, percentage of delay and the number of days within which the tasks are to be completed will be displayed.

For more details on configuring views please refer.

Using Wrench Enterprise

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Information

Legends

Legends are graphical representation of the status or properties of the objects in your workspace. Legends that indicates various task properties and status are shown in the following figure.

Figure: Task Legends

In the figure against each legend, the message they convey is indicated.

Details

The "Details" section displays the following information if the object selected is task.

  • Total Task Pending
  • Total Delayed Task
  • Percentage Delay

On selecting other objects a count of pending objects are displayed.

Tool tips are provided for the legends indicating the following:

  1. The status of the task in the workspace.
  2. Delayed tasks indicating the reason for delay.
  3. Tasks sent to the user workspace through "Forward" option.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Routing objects in the workspace


Document Operations in Workspace

Document management is a vital part of a project. Documents include correspondences, drawings and mails. Entire documents that are of relevance to you are available in your workspace. Mechanisms are provided to identify various types of documents, their purpose and their status. You can perform a host of operations in the Workspace. The document options can be availed from the navigation bar or by right-clicking a specific task.

New documents assigned to the workspace of users are easily distinguished from the existing ones in the work space. The new documents sent to the users workspace appears in bold type. On opening the document the appearance of the task is turned to normal type.

You can perform a host of operations in the Workspace. The document options can be availed from the navigation bar or by right-clicking a specific task. Important Document related operations from the workspace are explained in detail in the succeeding sections. You can make use of the following navigation table to understand these operations.

NOTE: You can select single or multiple documents and from the right-click menu mark the documents as Read or Unread. For more information on marking document as read or unread refer Working in the workspace .

Navigation Table

To | See
Copy Documents to a Specific Location | Copying Out Documents
Update Approval Status Code of a document | Updating Approval Status Codes
Add Comment files to a document | Adding Comment Files
Add Squad Check Comments to a document | Adding Squad Check Comments
Update Submission Details of a document in receipt stage | Updating Submission Details
Reply to Correspondence Documents | Adding Reply to Correspondence Documents
Update Document Details | Updating Document Details
Complete multiple documents | Completing Multiple Documents from Approval stage
Reassign Users | Reassign Resources

Various document options in Workspace are detailed as follows. These options are available on the right-click menu and document options on the navigation bar.

#

Operation

Description

1

View

Select this option to view the selected document. The document is opened in its respective editing application. For more information refer Document>>Document Operations>>View . You can also double-click on a document to view the document. On double clicking the document the following message is displayed

  1. Click View to open the document.
  2. Click Show Details to display the document details window.
  3. Click View Specter to view the specter files attached to the document.

2

Open With

Select this option to open a document with the application of users choice. For more information on open with operation refer Document Operations>>Open With

3

Show Details

Select this option to acquire comprehensive details of the selected document. Fore more information refer Document Operations>>Show Details

4

Send

Use this option to select a document and send it to the next stage. For more information on Sending documents refer Sending Objects from the workspace

5

Forward for Information

You can select single or multiple documents and forward it to the selected user's for information purpose only. For more information on forward operations refer Task Operations in Workspace>>Forward

6

Show Workflow

Select this option to view the workflow attached to the document. Send window is displayed with Workflow tab selected.

7

Close

Select this option to close the work in your workspace. The work will be open in other users workspace until they act upon it. If the document you are trying to close is in the Check Out status a warning message is displayed. Click Yes to Check In the document and continue with the operation.

8

Complete

Select this option to complete a document if it has gone through all workflow stages. User in the last stage of the workflow can complete the document using this option.

If the document you are trying to complete is in the Check Out status the following warning message is displayed. Click Yes to Check In the document and continue with the operation.

If the document you are trying to close is in the Check Out status the following warning message is displayed. Click Yes to Check In the document and continue with the operation.

9

Update Progress

Select this option to update the progress achieved by the document. On selecting this option the following window is displayed. You can enter the percentage of progress here.

10

Reassign User

This option is used to reassign the work of a user to a different user. You can select single or multiple documents and reassign the documents to another user. For more details on reassigning user refer the section Reassign User . Users who received the document for action or information can carry out this operation.

11

Send to Personal Folders

Select this option to send the selected task to a personal folder. On selecting this option a Folder List window is displayed. You can select a personal folder from the list and click OK to continue.

12

Workspace Options

Different operations that can be performed on a document is grouped under this option. On selecting this option the following menu is displayed.

These options are explained in the following columns of the table

13

Hold

Prior to acting upon the document received in your workspace, you may need to hold a discussion with the concerned authorities. Until the finalisation of the discussion you can hold the document in your workspace. The holding time details are displayed in the log details.

14

Resume

Select this option to start working on a held document.

15

Acknowledge

Documents are send to your workspace for completing the desired action. If documents are assigned to multiple resources and you need to remove other resources and take the work for yourself, then you can acknowledge it. Select this option to acknowledge the document in your workspace.

16

Regret

Documents are send to your workspace for completing the desired action. If you don't need to accept the work and remove it from your workspace you can regret it. Select this option to regret a task sent to your workspace.

17

Mark as Read

Select this option to mark an unattended document as attended. This results in changing the appearance of the document from normal type to bold type.

18

Mark as Unread

Select this option to mark an unattended task as attended. This results in changing the appearance of the task from bold type to normal type. This results in changing the appearance of the task from bold type to normal type.

19

Send Mail

Select this option to send the document as attachment with MS Outlook mail. MS Outlook window is displayed with the document as attachment. You can enter the content in the mail and send it to the respective users.

20

Check Out

To edit files usually they are checked out to the local computer. The documents or drawings may be moved to a local directory from the wrench vault using this option so that no changes can be made to the server copy. When you check out a file, the file opens up in its respective editing application. Other users can view a checked out file but cannot make changes to it. Your changes are incorporated into the file only when you check in the file. For more information on checking out a document refer. Documents>>Document Operations>>Check Out.

21

Check In

The modified documents are saved back into the Wrench server using this option. Once a document is checked out, edited and checked in, version number of the document is incremented.

For more information on checking in a document refer Document>>Document Operations>>Check In

22

Replace

If the user does not want to Check Out a document, edit and then Check In the document the option to "Replace" can be availed. While replacing released documents user may send mails to selected user's indicating the same. For more details refer Documents>>Document Operations>>Replace.

You can select multiple documents and replace them. On selecting multiple documents and clicking Replace, Multiple Replace Manager window is displayed.

  1. In the tool bar click Matching Option to select a file matching option.

For more information on selecting a matching option see Utilities>>Bulk Replace Files .

  2. After selecting a matching option click Select Folders to select the files. If the selected files satisfy the matching option they are selected and displayed in the replace manager window.

  3. Enter your remarks and click Apply To Selected Files to save the remarks against selected files.

NOTE: If the check box next to Send Notifications is selected, on replacing files, notification mails will be send to all users who have accessed the document.

  4. Click OK to complete the bulk replace operation.

23

Copy Out

Select this option to copy a document to a specific location. For more information on copy out operations refer Copying Out documents.

24

Copy Specter

Select this option to copy specter files attached to the selected document. A request is sent to the PDF server for generating a spectre. Once the spectre is generated it is attached to the document.

25

Document Operations

Different document related operations are available under this group. On selecting this, the following menu is displayed.

The options are explained in the following sections of the table.

26

Related Files

Related Files are an extra piece of information that are associated to documents. Select this option to add attachments to the selected document. Related Files includes Markups, Comment files, Client Comments, Specters and Squad Check Comments. For more information on attachments refer Document Details>>Related Files

27

Markups

Markup is a means of highlighting a required change on a document. The document viewer used with Wrench provides a facility to create markups. These are also similar to comments. The difference is, comments are mostly textual where as markups are mostly graphical. For more information on Markups refer Document Details>>Markups

28

Comment Files

Comments are remarks incorporated by respective authorities on the document. Usually comment files are attached to the documents. For more information on comment files refer Adding Comment Files .

29

Squad Check Comment

When a document undergoes interdepartmental or intra departmental verifications, respective comments are incorporated in the form of squad check comments. For more information on squad check comments refer Adding Squad Check Comments in the succeeding section.

30

Specter Files

Specter files are non editable variant of documents. Select this option to attach specter files to the selected document. For more information on adding and managing specter files refer Document Details>>Attachments .

31

Update Approval Status Code

Select this option to update the approval status code for selected documents from the workspace. For more information on updating approval status code refer Updating Approval Status Code from the workspace.

32

Update Submission Details

Select this option to update the submission details for documents in the receipt stage of a work flow or for documents which have their origin defined as vendor in document default properties. On selecting this option document details window is displayed with Submission details tab expanded.

  1. Enter an external agency transmittal number.
  2. Select a date from the date picker.
  3. Click Ok to confirm the changes.

33

Update Document Details

Select this option to update the document properties. Document details window is displayed where the user can update the details.

User can also select multiple documents and update document details. For more information on updating multiple document details refer Update Document Details in the succeeding section.

34

Add to Timesheet

Selecting this option Timesheet Details window with the fields filled in is displayed.

Figure: Timesheet Details window

You can edit the values for the fields and click Ok. Time Log is entered successfully and Time Sheet window is displayed. For more information on Time Sheet related operations refer Utilities>>Time Sheet.

35

Add Reply

You can select correspondence documents and add a reply. For more details on adding reply to correspondence documents refer Adding Reply to correspondence documents.

36

Create Transmittal

Select this option to create a transmittal and send the selected document. Transmittal category for the selected document is selected based on the workflow stage. For Example: If the document is in Transmittal stage of the workflow, transmittal category assigned by the system will be Released. For more on information on creating and sending transmittals refer Utilities>>Transmittals.

37

Go To Project(s)

Select this option to open the project related to this document.

38

Configure Menu

Select this option to add or remove items from the right-click menu. You can configure the right-click menu with items which is used frequently. For more information on this topic refer to Configuring the right click menu .

39

Add Reference

Select this option to add a reference document to the selected document. You can add an existing document in Wrench or a new document as a reference document. You can add single or multiple reference documents.

40

Bulk Reference

In case you need to add a reference document to multiple documents, you can use this option. Select multiple documents and in the right-click menu click Bulk Reference.

41

View Comments

Click this option to view the comment files attached to a selected document.

42

Create Specter

Click this option to generate a specter file for the selected document. A request is sent to the PDF server for generating a spectre. Once the spectre is generated it is attached to the document.

43

Open checked out file

Click this option to open and continue working with a checked out file. Only user who checked out the file can open the checked out file for editing.

Copying out documents from workspace

Copy Out: The selected file can be copied to a different location using this option.

While copying out a document user can make a selection from the following options.

-Open the Copied file.

-Open the Copied file location.

-Close the dialog box.

If a single file is copied the following dialog box is displayed.

  1. Click “Open” to open the copied file
  2. Click “Open Folder” to open the copied file location
  3. Click " Close" to close the message box
  4. On selecting the check box against “Do not show this message again” the dialog box is not displayed for further copy out operations.

Updating Approval Status Code

Approval status code defines the customer's response on a document that has been sent for customer approval.

If a document is rejected by the customer, the document will have to be revised as per suggestion. A document approved by the customer should not be subjected to further changes.

Approval Status Codes are codes used for approval procedure. Every Client follows unique Approval Status Codes.

For Example: A denotes approved, B denotes approved with comments and C denotes rejected.

Corresponding to this an organization follows an internal code. Once an approval is given for a document, automatic mapping of Approval Codes with corresponding internal codes is possible. Approval status codes are usually updated by the document controller and are sent for further processing.

NOTE: Users or User groups with Update Approval Status Code right can perform this operation

To Update Approval Status Code for a selected document

  1. Select a document and right-click. You can also select Update Approval Status Code from Sending Options in the Document Details window.
  2. On the right-click menu select Update Approval Status Code

Customer Workspace window is displayed

  3. Enter the following details in the customer workspace window and click Ok to complete the operation

#

Item

Description

1

Approval Status Code (Internal)

Approval Status Code (Internal) is the approval Code maintained by the organization.

To select a code

  1. Click the browse button next to Approval Status Code (Internal)
  2. Approval Status Code window is displayed
  3. Internal Code, Client Code, Description and Percentage Value is displayed in the window. (Percentage Value is the progress a document will achieve on assigning a code)
  4. Select a code and click Ok

2

Approval Status Code (Client)

When an internal code is selected corresponding client code is also selected

3

Approval Status Description

Description corresponding to selected code is also displayed in the window

4

Client Reference

Enter a value for client reference

5

Client Comments

Click the browse button against Client Comments to select a client comment file

6

Client Comments Purpose

The purpose for incorporating comments can be specified here. Click the corresponding browse button to select a purpose from the Search Association Purpose window.

7

Received Back On

Date on which the document was received after incorporation of customer comments

8

ARC Description

Approval requirement code defines the nature of review and approval a document requires from the customer. Click the corresponding browse button to select an approval requirement description

9

Next LCS

Once the client has updated the approval status coded the document is passed on the client comment review stage. The stage resources will reserve the LCS for the next stage here. Click the browse button next to Next LCS to select a LCS from the list.

10

Next Internal Revision Number

User can select a Internal Revision Number from the series displayed in the drop-down list series or type in a revision number.

11

Revision Required

If a document from the customer workspace needs revision it is indicated by selecting the checkbox against Revision Required. The revision required field can be selected while defining approval codes in the master. If it is not defined in the master you can select it while updating approval status code from the workspace.

NOTE: Changes updated here are reflected in the document details window for the selected document

Adding Comment Files

Comments files are the files which are used by internal checkers. You can add comment files to single or multiple documents.

To attach comment file to a single document

  1. In your workspace select a document and right-click.
  2. In the right-click menu select Document Operations>>Comments.
  3. Document details window with the Attachments tab expanded is displayed.

Figure: Attaching Comment Files

For more information on adding comment files refer Document Details>>Attachments

To attach comment files to multiple documents

  1. Choose multiple documents and from the right-click menu select Document Operations>> Comments
  2. Bulk Attach Comment Files window is displayed. You can make appropriate entries in the window.

For more information on bulk attaching comment files refer Attaching Comment Files

Adding Squad Check Comments

Squad Check or interdisciplinary checks or reviews are done so that designs by a specific discipline do not affect the design of other disciplines. Sometimes the checks are carried out with specific sequences, so the document is first checked by process, then mechanical and then electrical. The comments incorporated by respective disciplines are stored with the document as a squad check comment.

To add squad check comments

  1. Select a specific Document or Task in Workspace and right-click.
  2. Select "Document Operations>>Squad Check Comment" from the list of available options to avail the Document Properties window.
  3. Right-click 'Squad Check Comments" option in the "Document details" window to avail a list of options.

Figure: Adding Squad Check Comments

  4. Click "Add" to get the "Add Document" window where you can add the required Squad Check Comment.

Updating submission details

You can update the External Agency Transmittal Number and Receipt Date for documents in the receipt stage of the workflow.

To update submission details for a single document

  1. Select the document from you workspace and right-click.
  2. In the right-click menu select Update Submission Details.

Document details window is displayed with Submission details area expanded.

Figure: Document Details window with Submission Details updated

  3. Enter appropriate vales for External Agency Transmittal Number and External Agency Transmittal Receipt Date.
  4. Click Apply to save changes.

For more information on updating submission details refer Document Details>>Advanced Options .

To update submission details for multiple documents

The document deliverables are send to client for their approval and comments. Once these approval codes and comments are received from the client, these submission details are updated, mostly by the document controller.

  1. In the workspace select multiple documents that are in the Receipt stage.
  2. Click Update Submission Details. Update Submission Details window is displayed. All the Documents in the selected Tasks which are currently in the “Receipt stage” are listed here.

Figure: Bulk Update Submission Details

  3. Choose the documents for which you want to update the receipt details by selecting the check box next it.
  4. On selecting the document Bulk Update option is enabled. Click the Bulk Update option. Bulk Update Submission Details window is displayed

Figure: Bulk Update Submission Details window

  5. Enter a value for the External Agency Transmittal Number which is the Vendor transmittal number
  6. Select External Agency Transmittal Receipt Date from the date picker.
  7. Click OK to continue. Receipt Details will be displayed in the Update Receipt Details window as shown in the following figure.

  8. Click Save to store changes and continue.

Submission Details are applied to the selected documents.

Adding Reply to Correspondence documents

User can add replies to correspondence documents from the workspace. In the navigation bar the following reply addition options are available. For more information on managing correspondence documents refer Documents>>Adding a Correspondence Document.

Add Reply New

User can add a reply to single or multiple documents. While selecting documents user may make sure the selected documents are of correspondence type.

To add a reply

  1. Once the documents are selected, from the navigation bar select "Add Reply>>New." You can also select "New" from the right-click menu.
  2. "Add Document" window is displayed.
  3. User may make appropriate entries in the add document window. For more information on refer to Add Correspondence Documents.
  4. The reference number of the correspondence documents to which a reply is added will be displayed in the Add Document window.

Figure: Add Document window - Correspondence

Add Reply Existing

On selecting this "Document Search" window is displayed. You can search and retrieve the required document which is to be added as a reply.

You can also perform this operation from the right-click menu.

Advanced View in Document work space

On selecting Advanced view the following fields are displayed in the grid. The legends attached to the fields are also displayed.

-Attachment

-Send To

-Life Cycle Status

-Version Number

-Sheet Number

-Sheet Size

-Percentage Completed

-File Name

-File Type

-Client Document Number

-Vendor Document Number

-Internal Approval Status Code (Vendor)

-Internal Status Description

-External Agency Transmittal Number

-External Agency Transmittal Receipt date

-Approval Status Code(Internal)

-Approval Status Code( Client)

-Approval Status Description

-Expected Receipt Date

-Area Code

-Document Status

-Check Out By

-Check Out on

-Check Out PC

-Check Out Path

-Last Edited/ Checked In by

-Last Edited/ Checked In on

-Publish

-Created by

-Created on

-Released on

-Released by

-Correspondence Type

-Reply Required

-Expected Reply/ Received back date

-Reply Expected from

-To be replied by

-Actual Reply Date

-Letter Date

-Issue/Receipt Date

  • Custom properties assigned to the documents are also displayed.
  • User can group the columns based on document fields and also based on custom properties.
  • User is also provided with the facility to save this view.
  • On the next instance of loading the workspace the saved view is loaded.

Updating Document Details

Document details or meta data includes, document number, document description etc. Users with appropriate rights can update this information.

To update document details for a single document

  1. Choose a document from the workspace and from the right-click menu select Update Document Details.
  2. Document Details window is displayed with the Basic Document Details window expanded.
  3. You can update the document details and save the changes.

To bulk update multiple documents

  1. Select Multiple documents from a list of documents.
  2. In the right-click menu select "Update Document Details."
  3. Edit Multiple document window is displayed.
  4. User can edit document properties and save changes.

For more information on adding multiple documents refer Document Search>>Update Document Details

Completing Multiple Documents from “Approve” stage

This feature provides the user with an option to complete multiple documents or tasks from the Approve stage of the work flow.

To complete multiple documents

  1. From the Workspace select the required objects.
  2. In the navigation bar select Send .

Send window is displayed.

If there is an outward link in the approve stage the “Send” and “Approve” buttons are enabled.

  1. Select “Send” to send to the next stage.
  2. Select “Approve” to complete the work flow.
  3. Sending is performed if all the selected documents or tasks are in the “Approve” stage.

Reassigning Users

You can select single or multiple documents and reassign the documents to another user. You can reassign resources for documents with manual workflow or pre-defined workflow.

To reassign resources for documents with manual workflow

  1. Select the document and in the right-click menu choose Reassign.

Reassign User window is displayed.

  3. Here select the new resources and click OK to continue.

Resources are reassigned successfully dialog box is displayed.

  4. Click OK to continue

To reassign resources for documents with pre-defined workflow

  1. Select the document and in the right-click menu choose Reassign Users.
  2. Reassign Resource window is displayed. The workflow assigned to the document will be displayed here.

  3. Select the stage for which you need to reassign users.
  4. Click the browse button next to New Resources window.
  5. User List window is displayed where you can select the new users. Select the resources and click OK to continue.
  6. The selected resources will be displayed in the New User grid of the Reassign Resource window.

  7. Click the Reassign button to assign the new resources to the stage.

  8. Resources are reassigned successfully message is displayed.

See Also

Working in the Workspace

Task operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Change Request and Change Note operations

Change Request submitted to you are available in your workspace. If user needs to act upon this request choose the request from the workspace, and from the right-click menu select Show Details. Change Request window is displayed from where you can perform the operations that are permitted for you.

Prerequisites

For a user to perform Change Request and Change Note operations, appropriate security rights are to be assigned in the modular security for CR and CN.

To work with a Change Request in your workspace

  1. Select the Change Request and right-click.
  2. In the right-click menu following options are available.

Show Details: On clicking Show Details the Change Request window is displayed. Here you can perform an action on the Change Request.

Mark as Read and Mark as Unread: You can select a Change Request and mark it as read or unread. For more information on this refer Marking objects as Read or Unread.

Send To Personal Folder: Click this option to send the selected change request to the personal folder of your choice

For Change Notes available in your workspace the operations mentioned for Change Requests are possible.

See Also

Working in the Workspace

Task operations in the workspace

Document Operations in the workspace

Sending objects from the workspace

Change Request and Change Note operations

Action Item operations in the workspace

Working with Part and Product Structure


Action Item operations in the Workspace

As the name specifies, an action item is a description of what has to be done. Usually a meeting will be held for discussing a subject or pain area which requires collective information. Hence the action item will be more or less in line with the above subject or pain area. Usually a resource or a set of resources are assigned against an action item.

The action items against which you are assigned as a resource will be available in your workspace.

Working with action items

Once an action item is available in your workspace you can perform the following operations from the right-click menu. The same set of operations can also be performed from Action Item Options in the navigation bar.

Figure: Action Items - Workspace

The following operations are possible from the workspace

View MOM: On selecting this option MOM window is displayed. For more information on operations possible from the MOM window refer Minutes of Meeting .

Show Details: On selecting this option MOM Points window is displayed. Details related to the action item are displayed here.

Close: Once you update the action item the next step is to close it. On selecting Close the chosen action item is removed from your workspace. For more details refer Managing Action Items .

Update Action Taken: Select this option to act upon the action item available in your workspace. For more information refer Updating Action Taken .

Hold: Select this option to hold the action item available in your workspace. For more information on holding an action item refer Holding Action Items .

Mark as Read and Mark as Unread: Select this option to mark an action item as read or unread. For more information refer Marking objects as read or unread .

See Also

Working in the workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations in workspace

Working with Part and Product Structure in the workspace

Sending objects from the workspace


Working with Part and Product Structure

Working with Part and Product Structure

If the plug in modules Part and Product Structure are installed you can work with them in the workspace. You can perform the following actions from the workspace

  • Approve Parts, Reject Parts and Complete Part approval work flows
  • Complete and Release Bill Of Materials (BOM)
  • Validate Bill Of Materials (BOM).

If Approval is required through Work flow for a Part

In the Part properties window if the user has specified the option Is Work flow required for Approval? and Is approval required? then the Part can only be approved by routing it through a work flow and the approval can be specified by an active user from the workspace.

Figure: Part Properties window

To Approve or Reject Parts and Complete Part Approval work flows

  1. Select the Part to be approved
  2. Right-click and select Show details
  3. Part Details window is displayed
  4. Click Approve Part

Figure: Part Details window

  5. Specify the comments and send mail.

Figure: Add Comments window is displayed

Figure: Send Mail On Part Approve window

  6. On successful approval and release the following dialog box is displayed.

Rejecting a Part

You can reject a part available in your workspace. Once a part is rejected it will be removed from your workspace.

To reject a part

  1. From the navigation bar select Reject Part
  2. Enter rejection comments in the comments dialog box
  3. You can send mails to selected users informing them of the rejection of part. You can also define the recipients of the mail in the Send Mail on Part Reject window.

Figure: Part Details window

Sending a Part

You can select a part and send it to the next user in the workflow.

To send a Part

  1. Select the Part and right-click .
  2. From the right-click menu select Send. You can also select Send from the navigation bar.

See Also

Working in the workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations in workspace

Action Item operations in the workspace

Sending objects from the workspace


Managing submittals from the workspace

Submittals sent to you will be available in your workspace. Different operations can be carried out on the submittals sent to you.

Opening submittal workspace

To work with your submittals first you have to open the Submittal workspace.

To open submittal workspace

  1. In the desktop navigation bar click Workspace button.
  2. In the workspace landing page click Submittals.
  3. In the submittal workspace displayed, from the toolbar, you can carry out different operations.

Figure: Submittal workspace operations

Working from the submittal workspace

Documents and drawings submitted to you would be available in your submittal workspace. In the submittal workspace tool bar, you can carry out the following operations.

# | Operation | Description
1 | New | Click this option to create a submittal. On clicking this option Document Submittal window is displayed. For more information on creating a submittal see Creating a Submittal .
2 | Open | Click this option to view the details of the submittal in your workspace. Document submittal window for the selected submittal is opened.
3 | Refresh | Select this option to refresh the submittal workspace so that latest changes like addition, removal or editing of your submittals is displayed.
 | Register As | This option is used to register a submittal in the workspace as a New Document in Wrench or as an existing document. Option existing document is usually used only when you want to replace the existing document with latest revision of the document. For more information on registering files see Downloading and Registering Files>>Registering Files .


Sending Objects from the Workspace

Sending objects is a core activity in Wrench. Various objects such as Documents, Tasks, Action points, Part and Product Structure etc. are sent through either a predefined workflow or a manual workflow.

The assigned works (documents, tasks, change request and change note) in your workspace flow through different stages before it is released. This flow of the documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in Guided Workflow or without any definition like in unguided workflow. Guided workflows are used in case of engineering documents as the sequence of work and the stages in which the document will pass is predefined. In the cases like correspondence the sequence of the stages and the persons required are not clearly know, in this case unguided workflows are used.

Navigation Table

To | See
Sending through a predefined workflow | Sending through a predefined Work flow
Sending Manually | Sending Manually
View Sending History | Log Details
Bypass work flow stages | Bypassing work flow stages
Recall to a Stage | Recalling workflow stages
Send through a sequenced stage | Sending through a Sequenced Stage
Bulk Sending or Multiple Sending | Bulk Sending/Multiple Sending
Customize the Send window tool bar | Customizing the Send window tool bar


Sending through a pre-defined workflow

Pre-defined workflows are used in case of engineering documents where the process or sequence of work is predefined. The following navigation table will help you in carrying out a sending operation.

Navigation Table

To | See
Send your works | Sending your works
Manage Stages | Managing the next stage
Add attachments | Adding attachments to tasks and documents
View task and document details | Viewing task and document details
Customize send window tool bar | Customizing send window tool bar
Send for information | Forwarding for information
Save and Send your works | Checking In and Sending

Prerequisites

The user has to be in the current stage of the work flow i.e. the document should also be available in "Documents" work space.

Sending through a pre-defined workflow

Guided workflows are used in case of engineering documents as the sequence of work and the stages in which the document will pass is predefined. For more information on pre-defined workflows refer Creating and Adding Documents>>Assigning a workflow

To send a document or task through a pre-defined workflow

  1. Select the required Tasks and click 'Send' button on the left navigation bar. This facility is also available on the right click menu.
  2. Clicking "Send" Send window is displayed

Figure: Send window

Send window consists of the following tabs.

  1. Attachment Details
  2. Send
  3. Workflow
  4. Log Details

By default, the Send tab will be selected. Now let us go into the details of each tab.

NOTE: If you try to send a task or document without updating the custom characteristics defined for the stage a message is displayed indicating this. You have to update the custom characteristics for the stage prior to sending it.

Sending your works

On clicking Send, Send window is displayed with the Send tab selected by default.

Figure: Send window

In the following section different operations that can be carried out from the Send window is described.

Managing the next stage

Here the next stage of the workflow is displayed.

Figure: Managing Next stage

Changing the next stage

While sending using a pre-defined workflow the next workflow stage is displayed in the Send window. So if you want to bypass to some other stage other than the next workflow stage there is a facility to change the next stage.

To change the next stage,

  1. Click the arrow next to Next Stage displayed in the window. In the drop-down box, select the hyperlink Change.

Or

  2. Select the hyperlink Click here to select next stage.
  3. In the drop-down box select the hyperlink Change.

Figure: Changing the next stage

Workflow preview window is displayed.

Figure: Workflow preview window

  4. Here select the stage which you need to define as the current stage and click OK. You can also double-click on a stage and that stage will be selected.

Closing workflow stages automatically after planned date

In the Send window you can set a Planned Date for the next stage. Once a Planned Date is set, the workflow stage is closed, after the date expires.

This is based on a setting defined in Masters, when workflow stages are configured. Planned Date is calculated based on the value provided in workflow organizer for the field lead time allotted in hours. The number of hours entered as lead time is added to the current date.

Adding Attachments to tasks and documents

You can attach a document or different items to the object you are sending . These different file types are organized under the group Attachments.

To attach document to the task

  1. In the ribbon, under the group Attachments, select Attach Document

You can link or refer a document to the selected task

  2. On selecting Link or Refer, Add Document window is displayed. The task details will be populated in the add document window as shown in the following figure.

  3. Click Ok to complete the addition of document to task.

The Electrical Engineer creates sketches or designs and along with reference documents sends it to the Electrical Designer. The Electrical Designer creates the detailed drawing and send it for review to the Electrical Engineer. If the drawings are not according to specifications provided by the Engineer in the initial sketch, comments are attached to the drawing and the drawing is send back to the designer.

Procedure for adding file types other than Client Comments and Squad Check Comments are the same and are explained in the following sections.

To add specter, related files,comments and markups

  1. In the ribbon, under the group Attachments, select Attach Item

Figure: Adding attachments to the task

A menu as shown in the preceding figure is displayed.

  2. Select an item from the menu.
  3. File Selection window is displayed. In this window, select single or multiple documents.
  4. Add Associated Document window is displayed.

Figure: Add Associated Document window is displayed

Type of file that is being associated to the object is displayed in the window.

  1. Select the browse button to change the file you have selected.
  2. You can specify the purpose for associating the file type. Click the browse button to select a purpose.
  3. You can enter a detailed description of the associated file. Click Ok to save changes.

On successfully completing the operation the selected file will be attached to the object.

To add Client Comments and Squad Check Comments

  1. In the ribbon, select the respective button.
  2. Add Document window is displayed.

For more information on Add Document Operations refer Adding a Single Document

Response

Prior to sending the document to the next stage user can select a response. If OK is selected as the response, the document is send to the next stage. If clarifications about the document are required, you can select More Information and if you need to reject the document, select Reject.

Viewing task and document details

You can view the task details and document details by selecting the respective icon displayed here. On selecting Task, task properties window for the selected task is displayed. For a task with a single related item on selecting Document, document details window is displayed. In case there are more than one related item, a window listing the related items attached to the task is displayed.

To view a related document select one from the list and click the View button.

Options

Options can be defined for the next stage. Here a Planned Date for the stage for each user and a Sequence can be defined. Once a sequence is defined users have to act based on the sequence defined. More information on sequence operations refer Sending through a Sequence .

Figure: Details window

Close

Select this option to close the selected object available in your workspace. Once you close an object, it will be cleared from your workspace. This option is used usually while working in a squad check stage. You can complete your work and close the work. Other users will be still working on it.

Complete

Select this option to complete working on the object available in your workspace if you are the last stage user. The object will be cleared from your workspace.

Configure Mails

On selecting this option from the Send window, Configure Mail window is displayed.

Figure: Configure Mail window

You can enter a subject for the mail and also message for the selected stage users.

Object: Select an Object from the drop-down list. The items in the drop-down list include CR, Document, Project, Task and Workflow.

Properties: Properties corresponding to the selected object are displayed here. You can insert the properties as the mail body.

For Example: You have selected the object as document. Now suppose you need to insert a subject for the mail. Place the cursor in the Purpose / Subject for the selected stage field. Now from the properties drop-down list select a property. The value for the selected property is inserted as the subject.

Click Save to store changes.

Outlook

While sending tasks and documents a notification can be sent through MS Outlook mail.

To configure outlook mails

  1. In the send window under the groups Configure, select Outlook and click the down arrow.

  2. Select Yes to enable or No to disable MS Outlook mails.

Customizing the send window tool bar

You can configure the items in the tool bar so that only the options required by a user is displayed on the tool bar. This will result in minimal information being displayed in the toolbar. Confusion created by displaying multiple options are also avoided.

To customized the tool bar

  1. In the Send window tool bar select the down arrow next to Customize Tab Menu.
  2. A menu displaying the options in the send window toolbar is displayed.

In the following figure observe a tick mark against each option in the menu. This indicates that all the options in the menu are displayed in the tool bar.

Figure: Customizing the send window tool bar

In the succeeding figure all the options are not displayed in the menu, hence the tool bar will appear as shown in the following figure.

Sending the work

Next stage users are displayed by default here. You can add or remove resources. Also Cc users can also be selected.

  • Select Send to sent the work to the next stage.

You can define whether attachments are mandatory in a workflow stage. This can be defined from Workflow Designer in the control panel.

Once you define an attachment as mandatory for a workflow stage, sending is possible only after adding the attachment to the stage. Or else the following dialog box is displayed.

Tip: When you carry out a sending operation the following discussion will be helpful.

When sending multiple documents with or without workflow and documents with workflow for its linked task.

  • If the selected items contain documents with independent workflows and documents with workflow for its linked task, the sending operation is aborted.
  • If none of the selected items has active workflow either for document or its linked task, a warning message is displayed and the operation is aborted.
  • If the selected items contain documents with active workflow they are send to the next stage.
  • If the selected documents have workflow for its linked task, the tasks are send to the next stage.

While sending single documents

  • If the document or task to which the document is linked has a workflow, it is sent.
  • If the document or task to which the document is linked does not have a workflow the sending operation is aborted.

Forward for Information

Using this option you can send the task or document to users outside the work flow team for the purpose of information. Such users can only close route the received objects. Also rules for the progress of work flow can be defined here.

A document can be sent for review, but the reviewer may like to have an expert opinion on the same. In this case instead of sending the document to a different stage, it is possible to use the send a copy option to send the document. Send a copy is synonymous with Forward.

For more information on forwarding objects refer Task Operations in workspace>>Forwarding Objects in your workspace

If “Transmittal needed for Approval” setting is enabled in document default properties

  • If user selects “Approve” while Sending, then a message appears to inform the user to Release the Transmittal and thus complete work flow. On releasing the Transmittal, a message pops up asking the user “Do you want to complete the Work flow (Y/N)”. The user may complete the Work flow if he desires or If the approval stage has an outgoing link, the user may select “Send” option. The entries are cleared from the Transmittal queue.

If a document added as Mapped Template is sent

While sending operation is performed on a single document added as mapped templates, the system returns a message whether the characteristics of the document is to be mapped. User can select "Yes" to map the characteristics. Click "No" to cancel the operation.

If the user selects the check box against “Do not show this message again” ; next time the user perform the send operation the system does not return any message. Characteristic mapping is carried out based on the last assigned preference from the user.

NOTE: On clearing cache in Personal Preference>>Cache the remember option will also get cleared.

Figure: Characteristic Mapping Confirmation Message

Sending and checking in

You can also send and check in a document simultaneously. When you send a checked out task or document a message is displayed as shown in the following figure.

  1. Click Yes to check in and send the document or click No to discard the operation.


Attachments

Attachment Details

The Attachment Details serves the purpose of viewing documents and documents attached to objects being routed. If there are any attachments associated to tasks, they are also displayed here. You can also attach different types of associated files to the object.

Figure: Attachment Details window

The Attachments Details window is divided into right pane and a left pane. The left pane is further divided into upper half and lower half. The document which is being forwarded is displayed in the upper half of the left pane. In the lower half files attached to the documents are displayed. On selecting an attached file, its preview is displayed on the left pane.

The following operations can be performed on the attached object.

View: On selecting this open the selected document is opened. For more information on this refer Document Operations>>View

Copy Out: You can copy the selected document to a specific location. For more information on this refer Document Operations>>Copy Out

Show Details: Document Details window is displayed. Here you can view comprehensive details of the document. On selecting this option after choosing a file attached to the document, Attachment Details window is displayed.

Check Out: Select this option to copy the document to the local machine and edit the document. For more information on this topic refer Document Operations>>Check Out

Check In: Select this option to send the document back to the server. For more information on this topic refer Document Operations>>Check In

Replace: Select this option to replace the selected document with another document. For more information on this refer Document Operations>>Replace .

NOTE: Out of the options mentioned in the preceding section, operations Check Out, Check In and Replace are applicable only for the main document.

Attaching files

You can attach different file types to the object you are sending. These different file types are organized under the group Include. Procedure for adding file types other than Client Comments and Squad Check Comments are the same and are explained in the following sections.

To add specter, [image] related files [image],comments and markups

  1. In the ribbon, select the button associated to the file type
  2. Add Associated Document window is displayed

Type of file that is being associated to the object is displayed in the window

  3. Select the Browse button to select the file from your hard disk
  4. You can specify the purpose for associating the file type. Click the browse button to select a purpose
  5. You can enter a detailed description of the associated file. Click Ok to save changes.

On successfully completing the operation the selected file will be attached to the object.

To add Client Comments and Squad Check Comments

  1. In the ribbon select the respective button
  2. Add Document window is displayed

For more information on Add Document Operations refer Adding a Single Document


Workflow

The workflow assigned is displayed here. If any checklists are to be updated, while routing a warning message is displayed.

Figure: Workflow window

Checklists

A list of check points that is required for a resource to complete is referred as a checklist. While performing a send or bypass operation from the workflow details window, a warning messaged is displayed if the checklists assigned are not updated. If checklist are assigned in the stage properties, advanced options, while routing the system prompts the user to update the check list. For more information on managing checklists and checkpoints refer the Administrator's Manual.

To update checklists

  1. In the Send window select Checklist
  2. Checklist Updation window is displayed

Figure: Checklist Updation window

  3. Checklist weightage and check point weightage are displayed in the window
  4. User can provide values for percentage completion of checkpoints. Value specified here are assigned to all the checkpoints in the checklist.
  5. The system automatically calculates percentage completion of checklists
  6. Click "Save" to save changes.

NOTE: User may also view the checklists assigned to previous or unprocessed stages. Only the "Cancel" button is enabled in this case. Only current stage users are permitted to update the checklist.

Redirect

Select this option to call back an already send work from other users workspace.

To redirect work

  1. In the workflow select the stage to which you need to call back the work
  2. In the ribbon select Redirect
  3. The work is called back to this selected stage

Hold

Prior to acting upon the task received in your workspace, you may need to hold a discussion with the concerned authorities. Until the finalisation of the discussion you can hold the task in your workspace. The holding time details is displayed in the routing details.

Deactivate/Activate

In workflows with parallel stages as shown in the preceding figure you can deactivate a parallel stage. By deactivating one of the parallel stage an action by the resource in that stage can be avoided. Usually a workflow with parallel stages are used in organizations if a document or drawing requires action by two authorities. In some cases if approval of just a single authority is only necessary then the stage allocated in the Workflow for the other authorities can be deactivated. You can also activate a deactivated stage.

Zooming your workflow view

You can zoom in and zoom out the workflow pane.

Viewing workflow stage resources and legends

Viewing Stage Resources: Select the checkbox against View Stage Resources to display the stage resources in the workflow window.

Viewing Stage Legend: Various stages in a workflow are depicted using different colours. This helps in recognizing various stages mainly current stage, completed stage and un-processed stage in a workflow.


Log Details

Log details

Deliverables in Wrench can flow through different stages before it is released. This flow of documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in guided workflow or without any definition like in unguided workflow. Workflow details includes

  1. Different stages through which the work passed through
  2. Details on recipients of the work
  3. Date on which the work was received
  4. Date on which the work was closed
  5. Purpose of sending the work
  6. Time taken to complete a stage
  7. Duration for which the task was held in a stage

To view workflow details

  1. In the Send window select Work flow
  2. The Send window is displayed with all the related information about the current stage
  3. Select "Log Details" Tab. Log Details window is displayed.

Here logs of the current workflow or the old workflow can be viewed.

  4. To view the log details of current workflow, select View Log of Present Workflow.
  5. To view the log details of old workflow, select View Log of Old Workflow.

Figure: Log Details

The display area of the log details window constitutes of three panes.

  1. A pane showing the log details
  2. A pane displaying the attachments
  3. A bottom pane displays a graphical representation of the log details

Grouping and Filtering operations

The routing details can be grouped based on the columns in the grid. If "From" column is dragged to the top, routing details are grouped based on the sender of the work.

User can also filter the routing details by typing a value in the space provided in the grid. For Example: Beneath the column To if the alphabet "A" is typed all senders having name starting with A is displayed.

On clicking the filter sign on the column header, a list is displayed. User can select a user from the list, based on which the routing details will be listed.

Saving log details views

Different views can be created by grouping the columns in the routing history. These views can be saved and opened at a later point of time.

To save a view

  1. In the ribbon select Views
  2. Save View window is displayed. Enter a name for the view and select Save.

Figure: Save View window

  • On clicking Views a list of saved views are displayed. User can select a view from the list. The selected view is displayed the next instance the user logs in.

Figure: Saved Views

Choose Columns

You can rearrange the routing details window by removing the columns that are not relevant to you temporarily.

To choose columns

  1. Select Views and from the ensuing menu select Choose Columns
  2. On clicking choose columns Customization box is displayed

Figure: Customization box

  3. User can drag columns from the routing details window into the customization box.
  4. These columns are not displayed in the routing details window.
  5. User can also restore these columns to the routing details window.

Managing attachments from the log details window

If the documents you are routing have markups or comments attached, they are displayed in the Attachments area in the Log Details window.

The following operations can be performed on the attachments.

  1. Select an attachment and right-click.
  2. In the right-click menu the following options are available
  3. Select View Markup to display the mark ups attached to the document
  4. Select View Files to display the comment files attached to the document
  5. Select Copy Out Files to copy the files to a specific location.

Exporting log details

Log details can be exported to an MS Excel file.

To save log details to an MS Excel file

  1. Select the log details you need to export to MS Excel from the grid
  2. Select Excel
  3. Save As window is displayed where you can provide a file name.
  4. Enter a file name and a location to save the file.

Viewing Time Log

Time Log displays the total time spent for each stage and details of the respective user for each stage.

Figure: Time Log Details window

See Also

Working in the workspace

Document operations in the workspace

Task operations in the workspace

Change Request and Change Note operations

Action Item operations

Working with Part and Product structure


Sending Manually

Sending Manually or sending through an unguided work flow

While sending of objects are to be carried out in the absence of a pre-defined work flow the manual routing operation is used. Here a set of users to whom the objects are to be sent are defined.

To send through an unguided workflow

  1. On clicking "Send", Send window is displayed as shown in the following figure.

Figure: Manual Send window

Send window consists of the following tabs.

  1. Attachment Details
  2. Send
  3. Log Details

By default, the Send tab will be selected. Now let us go into the details of each tab.

Navigating through the Send tab

You can attach different file types to the object you are sending . These different file types are organized under the group Attachments. Procedure for adding file types other than Client Comments and Squad Check Comments are the same and are explained in the following sections.

Adding attachments to tasks and documents

You can attach a document or different items to the object you are sending . These different file types are organized under the group Attachments. For detailed information on this topic refer to Sending through a pre-defined workflow>>Adding attachments to tasks and documents.

Viewing task or document details

You can view the task details and document details by selecting the respective icon displayed here. On selecting Task, task properties window for the selected task is displayed. On selecting Document, document details window is displayed.

Defining Next Stage options

Options can be defined for the next stage. Here a Planned Date for the stage for each user and a Sequence can be defined.

Figure: Details window

Configure Mails

Mails content for warning mails can be configured here

To configure mails

  1. In the ribbon select Configure Mails
  2. Configure Mail window is displayed.

Figure: Configure Mail window

  3. Enter values for the following fields in the window

#

Item

Description

1

Purpose / Subject for the selected stage

You can select a purpose or a subject for the selected stage

2

Message for the selected stage user

You can enter a message for the users in the selected stage

3

Object

Select an Object from the drop-down list. The items in the drop-down list include CR, Document, Project, Task and Workflow.

4

Properties

Properties corresponding to the selected object are displayed here. You can insert the properties as the mail body

For Example: You have selected the object as document. Now suppose you need to insert a subject for the mail. Place the cursor in the Purpose / Subject for the selected stage field. Now from the properties drop-down list select a property. The value for the selected property is inserted as the subject.

5

Reminder Date for Sender and Receiver

You can define a warning date here. Once a date is defined here the sender and receiver of the object is alerted prior to the end date.

  4. Click OK to store changes

Advanced Options

A criterion can be defined for the next stage user for sending their work.

Figure: Advanced Options

All users have to attend this work: All the recipients of the work have to act upon the work to proceed to the next stage.

Any user have to attend this work: If one of the recipients act upon this work, the work is completed.

Sending the work

Once necessary values are entered you can send the work to the next stage. You can define users for the next stage. Both users for action and information can be defined.

To select users

  1. Select the To.. button
  2. User List window is displayed
  3. You can select resources from a list of user. You can also select users to whom the object is sent for information

  1. Select the Next stage from a drop-down list. Unguided workflow stages defined in the masters will be available here.

Once the resource and stage is selected, click Send to sent the work to the next stage


Attachment Details

The Attachment Details serves the purpose of viewing documents and documents attached to objects being routed. If there are any attachments associated to tasks, they are also displayed here. You can also attach different types of associated files to the object

Figure: Attachment Details window

Attachments Details window is divided into right pane and a left pane. The left pane is further divided into upper half and lower half. The document which is being forwarded is displayed in the upper half of the left pane. In the lower half files attached to the documents are displayed. On selecting an attached file, its preview is displayed on the left pane.

The following operations can be performed on the attached object.

View: On selecting this open the selected document is opened. For more information on this refer Document Operations>>View

Copy Out: You can copy the selected document to a specific location. For more information on this refer Document Operations>>Copy Out

Show Details: Document Details window is displayed. Here you can view comprehensive details of the document. On selecting this option after choosing a file attached to the document, Attachment Details window is displayed.

Check Out: Select this option to copy the document to the local machine and edit the document. For more information on this topic refer Document Operations>>Check Out

Check In: Select this option to send the document back to the server. For more information on this topic refer Document Operations>>Check In

Replace: Select this option to replace the selected document with another document. For more information on this refer Document Operations>>Replace .

NOTE: Out of the options mentioned in the preceding section, operations Check Out, Check In and Replace are applicable only for the main document.

Attach

You can attach different file types to the object you are sending. These different file types are organized under the group Include. Procedure for adding file types other than Client Comments and Squad Check Comments are the same and are explained in the following sections

To add specter, related files,comments and markups

  1. In the ribbon, select the button associated to the file type.
  2. Open file window is displayed. Select the file that you want to attach.

Add Associated Document window is displayed.

Figure: Add Associated Document window is displayed

Type of file that is being associated to the object is displayed in the window

  1. Select the Browse button if you want to select a different file.
  2. You can specify the purpose for associating the file type. Click the browse button to select a purpose
  3. You can enter a detailed description of the associated file. Click Ok to save changes.

On successfully completing the operation the selected file will be attached to the object.

To add Client Comments and Squad Check Comments

  1. In the ribbon select the respective button
  2. Add Document window is displayed

For more information on Add Document Operations refer Adding a Single Document


Log Details

Log details

The work (documents or tasks) in Wrench can flow through different stages before it is released. This flow of documents through different stages before the work is completed is called workflow. The workflow can be defined stages as in guided workflow or without any definition like in unguided workflow. Workflow details includes

  1. Different stages through which the work passed through
  2. Details on recipients of the work
  3. Date on which the work was received
  4. Date on which the work was closed
  5. Purpose of sending the work
  6. Time take to complete a stage
  7. Duration for which the task was held in a stage

To view workflow details

  1. In the Send window, select "Log Details" Tab. Log Details window is displayed.

Here logs of the current manual workflow or the old workflow can be viewed.

  2. To view the current workflow, select Active.
  3. To view the old workflow, select Old.

Figure: Log Details

The display area of the log details window constitutes of three panes.

  1. A pane showing the log details.
  2. A pane displaying the attachments.
  3. A bottom pane displays a graphical illustration of the log details.

Grouping and Filtering operations

The routing details can be grouped based on the columns in the grid. If "From" column is dragged to the top, routing details are grouped based on the sender of the work.

Figure: Grouping and Filtering

User can also filter the routing details by typing a value in the space provided in the grid. For Example: Beneath the column To if the alphabet "A" is typed all senders having name starting with A is displayed.

On clicking the filter sign on the column header, a list is displayed. User can select a user from the list, based on which the routing details will be listed.

Saving log details views

Different views can be created by grouping the columns in the routing history. These views can be saved and opened at a later point of time.

To save a view

  1. In the ribbon select Save Views
  2. Save Views window is displayed. Enter a name for the view and select Save.

Figure: Save View window

  • On clicking Views a list of saved views are displayed. User can select a view from the list. The selected view is displayed the next instance the user logs in.

Figure: Saved Views

Choose Columns

You can rearrange the routing details window by removing the columns that are not relevant to you temporarily.

To choose columns

  1. Select Views and from the ensuing menu select Choose Columns
  2. On clicking choose columns Customization box is displayed

Figure: Customization box

  3. User can drag columns from the routing details window into the customization box.
  4. These columns are not displayed in the routing details window.
  5. User can also restore these columns to the routing details window.

Managing attachments from the routing details window

If the documents you are routing have markups or comments attached, they are displayed in the Attachments area in the Log Details window.

The following operations can be performed on the attachments.

  1. Select an attachment and right-click.
  2. In the right-click menu the following options are available
  3. Select View Markup to display the mark ups attached to the document
  4. Select View Files to display the comment files attached to the document
  5. Select Copy Out Files to copy the files to a specific location.

Exporting log details

Log details can be exported to an MS Excel file.

To save log details to an MS Excel file

  1. Select the log details you need to export to MS Excel from the grid
  2. Select Excel

Figure: Exporting Log Details

  3. Save As window is displayed where you can provide a file name.
  4. Enter a file name and a location to save the file.

Viewing Time Log

Time Log displays the total time spent for each stage and details of the respective user for each stage.

Figure: Time Log Details window


Bypassing Workflow Stages

Prerequisites

Only a user with the following rights can perform this action.

  • Bypass right in the workflow module.
  • Bypass workflow from any stage in the document genealogy.

Bypassing work flow stages

If you want to avoid a stage in the workflow and proceed to another stage, Send window has provision for carrying out this operation.

To bypass a workflow stage

  1. In the Send window, select Send tab.
  2. In the Next Stage group, the current stage of the workflow is displayed.
  3. Select the browse button. The workflow is displayed.
  4. Select the stage where you need to proceed to and click Send.


Sending through a sequenced stage

Sending through a Sequenced Stage

Interdepartmental or Intra departmental Squad Checks can be performed in Wrench by defining a stage as a Sequenced stage in Work flow Designer. "Sequenced Sending" is a feature in sending, which follows a predefined pattern within a stage.

Figure: Sending from a Sequenced Stage

NOTE: Only the user who is in the active sequence of the stage will be able to do any operation in that stage. In a sequenced stage, the Task or Document in the workspace of a user who is not active in the sequence stage will be displayed in "Grey" color.

While sending from a Sequenced stage to the next stage, there are few things to remember.

Information:

  1. While sending from a sequenced stage to next stage, only the final user in the sequence is permitted to sent to the next stage. Other users can only close route their workspace entries.
  2. Before the final user in the sequence begins to send to the next stage, the user should ensure that all the other users existing in the sequenced stage have closed routed from their workspace. If any of the users in the sequenced stage haven't close routed the entry from the workspace, then routing cannot proceed to the next stage.
  3. Users can close route from their workspace only in the sequential order.
  4. If there is a user who is available both as a stage user and in the group, then his sequence specified as 'User' need to be given preference.
  5. The sequence number specified for a certain group is applicable for all the users in that group. All the users of the group will inherit the same sequence number assigned to the group. As a result, any of the users in the group has the right to close routing on behalf of all.
  6. When a comment file is sent through a work flow which has a sequenced stage, all the Users or Reviewers in squad check stage can check out the comment file from their respective workspace. Sequenced users are intimated by mail on the activation of their sequence.


Bulk Sending or Multiple Sending

Bulk Sending / Multiple Sending

It is possible to send more than one task and document provided they belong to one Project. Only Documents that have been Routed through a work flow or the documents that are manually routed can be Bulk Routed.

  1. Select Multiple Tasks or Documents in your workspace.
  2. Select the "Send" option to avail the "Multiple Send" window.

Figure: Multiple Send window

Sending Consolidated Mail: While sending multiple tasks or documents to the same stage and if the users in the target stage are the same, a single notification mail is send to the recipients with the details of the objects being sent.

Bulk sending after bulk adding documents with guided workflow

In normal scenarios a user needs to bulk upload documents into the task inside Wrench. And after adding he may need to send the tasks to the users in the next stage for further processing. These two activities if done simultaneously can save time. Wrench provides the facility to Bulk Send the tasks while documents are attached to them.

To perform a bulk send user need to be in the active stage of the work flow. Bulk attaching of documents to the tasks can be done through MS Excel and user windows. In both these cases, users have the facility to bulk send.

Bulk sending of objects with unguided workflow

From Task workspace or Document workspace, the user can send the objects to next stage user in bulk for the tasks or documents routed manually.

  1. Select the objects; the user wants to send in bulk.
  2. Right-click on the object selected, a drop-down menu will be displayed.
  3. Select Send, to send the objects selected in bulk to next stage user.

Figure: Send window with multiple route facility for manually routed objects

  4. Select the users to whom the objects to be routed to next level. User can also enter the response and comments for the object to be routed.
  5. Click Send to send the selected objects to next stage user. Or else if the routing is completed, click Complete to complete the object routing.

NOTE: If the user selects the objects with unguided and guided workflows together for bulk sending, a message ‘Selected objects contain items with guided and unguided workflows linked. Cannot Bulk Send’ will be displayed.

Sending from the right-click menu in workspace

  1. Right-click the selected tasks
  2. Select "Send" to sent the selected object
  3. All the objects are send and the window is closed.

NOTE: If the selected Document or Task have the next stage as a Squad Check Stage or with Multiple Out links, then to perform a Multiple Send operation the selected objects should have the same Work flow team.

Mapping document properties when sending document templates

When documents are send in bulk and the documents being sent are document templates document properties get mapped automatically. When multiple documents that are templates are sent, the following dialog box is displayed.

Figure: Mapping document properties

  1. Click Yes to continue with mapping of document properties


Task Operations in Workspace

Tasks that are to be performed by you are available in your workspace. You may need to perform various operations on tasks available in your workspace.

Prerequisites

For a user to perform various task operations in the workspace the following requirements are to be met.

  • View right in the task genealogy.
  • Manage workflow right in the task genealogy; if it is sent through a workflow.
  • In workflow stage properties Edit right has to be enabled.

If users without view right in the task genealogy and view right in workflow stage property unspecified, tries to access a task, system returns the following message. “You do not have view permission in the task genealogy. Please contact your administrator.”

Task Operations

Various operations can be performed on tasks available in your workspace. The operations can be performed from the navigation bar and the right-click menu.

Various task options in Workspace are detailed as follows.

#

Operation

Description

1

Show Details

Select this option to open the task properties window and view entire task properties.

2

Send

Select this option to send the task to the next stage. For more information refer Sending Objects from the workspace .

3

Forward for Information

You can select single or multiple tasks and sent them to selected user's for information purpose. For more information on Forward operation refer Forwarding Objects in your workspace.

4

Close

Select this option to close the work in your workspace. The work will be open in other users workspace until they act upon it.

To close work in your workspace

  1. Select Close.
  2. Close window is displayed.
  3. In the grid select the objects you need to close.
  4. You can also enter closing comments.
  5. Click the OK button.

5

Reassign User

This option is used to reassign the work of a resource to a different resource. You can select single or multiple tasks from the workspace and reassign them. You can reassign resources for tasks with a pre-defined workflow or manual workflow. For more details on Reassigning User refer the section Reassigning User .

NOTE:

6

Complete

Select this option to complete a task if it has gone through all workflow stages. User in the last stage of the workflow can complete the task using this option.

7

Show Workflow

Select this option to view the workflow attached to the task. Send window is displayed with the Workflow tab enabled.

8

Send to Personal Folders

Select this option to send the selected task to a personal folder. On selecting this option a Folder List window is displayed. You can select a personal folder from the list and click OK to continue.

9

Update Progress

You can specify the percentage of work that has been performed on the task assigned before routing it to another user. Clicking "Update Progress" a window is displayed as shown in the following figure.

Figure: Percentage window

10

Check Out

Select this option to check out a document task or a non-document task with document linked or referred to it. For more details please refer Document Operations

11

Check In

Select this option to check in the document once the editing is completed. For more details please refer Document Operations

12

Replace

Select this option to replace the selected document with another document. For more details refer Document Operations .

13

Bulk Copy

Select this option to copy in bulk separately documents linked or referred to a task and also bulk copy linked and referred documents together. On selecting bulk copy the following menu is displayed. You can select an option from this menu.

14

Add Related Object

User can add (Link or Refer) a Task, Document and Action Point to a specific Task. The "Relate Object to Task" window is displayed where user can add or attach the Document or Action point to the particular Task.

15

View Related Documents

Select this option to view the documents, drawings or correspondences attached to a link. On selecting this option the following menu pops up.

Link: Select this option to view documents or drawings linked to the task.

Referred: Select this option to view documents or drawings referred to the task.

Correspondence: Select this option to view the correspondences attached to the task.

Figure: Correspondences attached to the task

16

Add Document

Select this option to add multiple documents to a task. Multiple document addition window is displayed where user can provide appropriate values.

17

Add Correspondence

Select this option to add single or multiple correspondence to the task. Correspondence Addition window is displayed where the correspondence can be added. The correspondence added will be displayed in the Correspondence tab of task properties window.

18

Specter Files

This option is housed in the group Add Attachments. Select this option to attach specter files to selected tasks. For comprehensive information on how to bulk attach specter files to tasks, please refer the section Bulk attach Specter files in the Utilities module.

19

Comment Files

Select this option to attach comment files to selected Tasks. For more information on attaching comment files refer Bulk Attach Comment Files .

20

Related Files

Select this option to attach comment files to selected Tasks. For more information refer Attaching Related Files .

21

Squad Check Files

Select this option to add squad check files to tasks. For more information on adding squad check files refer Adding Squad Check Files .

22

Update Approval Status Code

Select this option to update the approval status code of the selected tasks from the workspace.

23

Update Internal Response

Select this option to update the internal approval status code.

24

Update
Submission Details

Select this option to update the submission details of documents in the receipt stage .

25

Add to Timesheet

Selecting this option Timesheet Details window with the fields filled in is displayed.

Figure: Timesheet Details window

You can edit the values for the fields and click Ok. Time Log is entered successfully and Time Sheet window is displayed. For more information on Time Sheet related operations refer Utilities>>Time Sheet

26

Create Transmittal

Select this option to generate a transmittal. Select Transmittal Type window is displayed. On selecting a transmittal type document transmittal window is displayed. For more information on sending transmittals refer Transmittals

27

Workspace Option

Select this option to perform different operations on the task. On selecting this option a pop up menu is displayed.

The different options in this menu are explained in the remaining part of the table.

28

Hold

Prior to acting upon the task received in your workspace, you may need to hold a discussion with the concerned authorities. Until the finalisation of the discussion you can hold the task in your workspace. The holding time details is displayed in the routing details.

29

Acknowledge

Select this option to acknowledge the receipt of task in your workspace. For more information on Acknowledge option refer Document Operations in Workspace

30

Regret

Select this option to regret a task sent to your workspace. For more information on Regret option refer Document Operations in Workspace .

31

Mark As Read

Select this option to mark an unattended task as attended. This results in changing the appearance of the task from normal type to bold type.

32

Mark As Unread

Select this option to mark an unattended task as attended. This results in changing the appearance of the task from bold type to normal type attended. This results in changing the appearance of the task from bold type to normal type.

33

View Specter

Select this option to view the specter file attached to a drawing

34

Configure Menu

Select this option to add or remove items from the right-click menu. You can configure the right-click menu with items which is used frequently. For more information on this topic refer Configuring the right click menu.

35

View Comments

Click this option to view the comment files attached to a selected document.

In addition to the operations mentioned in the table, additional operations that can be performed from the tasks workspace are mentioned in the following navigation table.

To | See
Add documents to tasks | Single and Bulk Addition of Documents to tasks
Update submission details | Update Submission Details
Attach comment files | Bulk Attaching Comment files
Add documents from MS Excel template | Adding Documents from MS Excel template
Export tasks to an MS Excel file | Exporting Tasks
Check Out, Check In and Replace document tasks | Bulk Check Out, Check In and Replace of document tasks in workspace

Reassigning User

Reassign User option becomes handy when you need to assign new resources for a work.

To reassign a user

  1. Choose the task and from the right-click menu select Reassign User.
  2. Reassign User window is displayed.

Figure: Reassign Resource window

  3. Select a stage of which the resources are to be reassigned. The current resources in the stage is displayed.
  4. Select the browse button next to New Resources.
  5. User List window is displayed. You can select the required resources.
  6. Newly selected users are displayed in the New Resources window.
  7. You can also enter comments on reassigning. Select Reassign to complete the operation.

NOTE: When resources in a stage are reassigned, reassign notifications will be sent only to people in active stage. Reassign resource operation can be carried out from document search window, WRENCH explorer and Workspace.

Reassigning users - Manual workflow

Users can be reassigned for tasks and documents that have a manual workflow assigned to them.

To reassign users

  1. Select the document or task and in the right-click menu choose Reassign User.
  2. Reassign User window is displayed.
  3. Here you can select the new users and click OK.
  4. The selected users will be assigned to the stage.

Attaching Related Files

Related Files can be added as attachments to tasks.

To add related files files

  1. In the task workspace select a task.
  2. In the right-click menu select Add Attachments -->Related Files.

  3. Bulk Attach Related Files window is displayed.

You can add attachment files using the following options.

  1. Match File Name
  2. Match Document Number
  3. Match Client Document Number

Different methods of attaching squad check comments are explained in the following sections are explained in detail in the section Attaching Comment Files .

Attaching Squad Check Comment files

Interdepartmental checks concerning the departments Head of Departments are often to as referred as squad check.

To add squad check comment to multiple deliverables

  1. In your workspace select the deliverables to which you need to add Squad Check Comments and right click on the deliverables.

Figure: Adding squad check files

  2. In the right click menu, select “Add Attachments”. On selecting Add Attachment, a sub-menu will pop up.
  3. In this pop up menu select “Squad Check File(s)”.
  4. Bulk Attach Squad Check files window with the entire list of deliverables you have selected from the workspace is displayed.

Figure: Adding Squad Check Files

You can add Squad Check files using the following options

1 : Match File Name.

2 : Match Document Number.

3 : Match Client Document Number.

Different methods of adding squad check comments are explained in the section Attaching Comment Files.

See Also

Working in the Workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Forwarding Objects in your workspace

Using this option you can sent the task or document to users outside the work flow team for the purpose of information. Such users can only close route the received objects. Also rules for the progress of work flow can be defined here.

A set of drawings are available in the reviewer’s workspace for review. In the case of certain drawings, the reviewer feels that he requires an additional opinion prior to acting on it which would help him do the review better. The drawing has to be sent to expert authorities for their opinion.

Carrying out a Forward Operation

To carry out a Forward operation

  1. Select single or multiple tasks.
  2. Select "Forward" from the right-click menu.
  3. "Forward For Information " window is displayed. This various fields in this window are explained in the following sections.

Figure: Forward window

Navigating through the Send (Forward) window

In the Send (Forward) window options are arranged into logical groups, which are organized under navigation tabs. The tabs which are available in the window are Attachments tab, Forward tab, Workflow tab and Log Details tab. When the window loads the Forward tab is selected by default.

Options in the Attachments tab and Forward tab options are again grouped logically in the ribbon. The Ribbon helps in finding quickly the commands you need to perform various operations. Operations which you can perform from the Forward tab is explained in the following sections.

Linking or Referring documents

Documents can be linked or referred to a task before forwarding.

To link or refer documents to a task

  1. In the Forward window click Attach Document.

Figure: Linking or referring documents

  1. In the menu Link and Refer option is displayed.
  2. Click Link if the document has to be linked to the task.
  3. Click Refer if the document has to be referred to the task.

Add Document window is displayed. For more information on adding document Refer Adding a Single Document .

Inserting or Attaching items to your object

You can attach different file types to the object you are sending for information. These different file types are organized under the group Attachments. Procedure for adding file types other than Client Comments and Squad Check Comments are the same and are explained in the following sections.

To add specter, attachments,comments and markups

  1. In the Attachment group , select Attach Items and in the ensuing menu choose the type of attachment.

  2. File Selection window is displayed. Select a file from the folder where it is stored.
  3. Add Associated Document window is displayed.

Figure: Add Associated Document window is displayed

Type of file that is being associated to the object is displayed in the window.

  1. You can specify the purpose for associating the file type. Click the browse button to select a purpose.
  2. You can enter a detailed description of the associated file. Click Ok to save changes.

On successfully completing the operation the selected file will be attached to the object.

To add Client Comments and Squad Check Comments

  1. In the ribbon select the respective button.
  2. Add Document window is displayed.

For more information on Add Document Operations refer Adding a Single Document

Previewing the content of the attachment

You can read the content of the files attached to the object. You can also perform various operations on these attachments. These options are grouped under the Attachments Details tab in the Forward window.

Figure: Attachment Details

To view the attachments

  1. In the Send (Forward) window select the Attachments Details tab.

The Attachments Details window is divided into right pane and a left pane. The left pane is further divided into upper half and lower half. The document which is being forwarded is displayed in the upper half of the left pane. In the lower half files attached to the documents are displayed. On selecting an attached file, its preview is displayed on the left pane.

The following operations can be performed on the attached object.

View: On selecting this open the selected document is opened. For more information on this refer Document Operations>>View.

Copy Out: You can copy the selected document to a specific location. For more information on this refer Document Operations>>Copy Out.

Show Details: Document Details window is displayed. Here you can view comprehensive details of the document. On selecting this option after choosing a file attached to the document, Attachment Details window is displayed.

Check Out: Select this option to copy the document to the local machine and edit the document. For more information on this topic refer Document Operations>>Check Out.

Check In: Select this option to send the document back to the server. For more information on this topic refer Document Operations>>Check In.

Replace: Select this option to replace the selected document with another document. For more information on this refer Document Operations>>Replace .

NOTE: Out of the options mentioned in the preceding section, operations Check Out, Check In and Replace are applicable only for the main document.

Assigning Permissions

You can define a rule for the progress of workflow here. The recipients of the object can act upon the work based on the rule defined here.

Figure: Assigning Permissions

Progress

To block the progress of the workflow,

  1. Right-click on the object and select Forward for Information.
  2. This will allow the user to forward the selected object to other recipients.
  3. On forwarding the user can block the progress of the workflow, by selecting Progress option in Forward tab.

The following rules can be defined here. To define a rule, click the down arrow. In the drop-down menu, the following options are available.

Block completion of the item: While forwarding an object or work if this option is selected, the workflow can be completed, if the recipient of the forwarded work or object has to close the work from the workspace.

Block progress of current stage: On selecting this option while forwarding, the recipient of the forwarded object has to be closed, for further processing of the object.

Block progress of all active stages: On selecting this option while forwarding, all the active stage users in the workflow are also blocked from doing any further processing of the object, until the recipient of the forwarded object sends the object back to you.

Forward options

Interdepartmental or Intra departmental Squad Checks can be performed in Wrench by defining a stage as a Sequenced stage in Work flow Designer. "Sequenced Sending" is a feature in sending, which follows a predefined pattern within a stage.

To define a sequence

  1. Select the Forward Options grouped under Options in Forward tab.
  2. Details window is displayed.

Figure: Details window

A planned date can be defined against each user. The planned date indicates the date on which the user is supposed to act upon the work in the workspace. Once a sequence is defined users will be able to complete the work based on the defined sequence.

Configuring Mails

Reminder mails can be configured while forwarding an object. Once mails are configured, alert mails are sent to both senders and receivers of the object reminding of the end dates of the task.

To configure mails

  1. Select Configure Mail in the ribbon.
  2. Configure Mail window is displayed.

Figure: Configure Mail window

You can enter the following values in this window.

Object: Select an Object from the drop-down list. The items in the drop-down list include CR, Document, Project, Task and Workflow.

Properties: Properties corresponding to the selected object are displayed here. You can insert the properties as the mail body.

For Example: You have selected the object as document. Now suppose you need to insert a subject for the mail. Place the cursor in the Purpose / Subject for the selected stage field. Now from the properties drop-down list select a property. The value for the selected property is inserted as the subject.

Reminder Date to Sender and Receiver: A date can be defined, on which reminder mails are sent both to sender and receiver of the object regarding the completion of work.

Click OK to store changes

Tracking works assigned

You can track the movement of the works assigned. If there are any delays, alert mails are sent indicating this.

To track works assigned

  1. In the Send (Forward) window ribbon, under Tracking group you can select the following dates.

Due Date: Here the date on which the work is to completed can be defined.

Alert Date: Here a date on which an alert mail is to be sent, if there is any delay in the work can be defined.

Advanced Options

Advanced options will be displayed if the workflow for the object selected is a manual workflow.

The following advanced options can be selected.

All users have to attend this work: All the recipients of the work have to act upon the work to proceed to the next stage. Once you select this option you can define a sequence for the selected users.

Any user have to attend this work: If one of the recipients act upon this work, the work is completed.

Forwarding the object

Once all relevant options are defined, you can select the recipients of the object.

  1. Select To.. button to select recipients.
  2. Enter a Subject. You can also enter your comments in the comments area.
  3. Click Send to forward the object to the selected users.


Adding single and multiple documents to tasks

You can add single and multiple documents to a selected task.

Adding a single document

To add a single document

  1. Select a task and double-click.
  2. Task properties window is displayed.
  3. Select the Related Item tab.
  4. In the related item tab grid right-click and from the right-click menu select Add.
  5. Related Items to Tasks dialog box is displayed.

Figure: Related Items To Tasks

For more information on making a selection on this dialog box and adding a single document refer Attaching a document to a task.

Adding Multiple Documents

Since huge volumes of documents are to be handled in a project, a facility to handle documents in bulk is required. Wrench provides the user with an option to add documents in bulk to tasks and without tasks.

You are the document controller in the organization. The Planning Manager gives you a list of architectural drawings that are to be prepared for different floors in the building. Each floor also has a separate Civil layout drawing, Electrical drawing, Piping drawing etc. For creating a flawless architectural drawing it is mandatory to refer all the related drawings. Drawings for different floors are created by different designers. A task is created against each activity and is sent to the respective designer. Along with specification documents, sketches and reference documents, different layout drawings for each floor has to be sent to the designer. You have to add these documents and drawings to the task before sending it to the designer.

Here it is required to add multiple documents to the task. Let us see how Wrench handles this situation.

To add multiple document

  1. Select multiple tasks from the workspace.
  2. From the right-click menu select “Add Documents.”
  3. Add Multiple Documents window is displayed.

Figure: Add Multiple Documents window

The selected tasks are listed in this window

  4. Enter the mandatory document properties which are mentioned in the succeeding sections.
  5. Once all the entries are completed select Add to Wrench.

For more information on adding multiple documents to Wrench, refer Documents>>Adding Multiple Documents

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Routing objects in the workspace


Updating Submission Details

Updating Internal Status code, External Transmittal Number and Received date

When documents are handled in bulk, instead of updating the submission details individually a bulk update of the submission details will be more convenient. Wrench provides the user with an option to Bulk Update the receipt details from Workspace.

Internal Approval Status Code: At the time of initiation of a project approval codes that are to be used for the project are agreed upon with the client. On submittal to clients for approval, clients respond back with these codes. To accommodate these codes Wrench saves the various approval codes with internal codes. For more information on approval status code refer Document>>Document Operations>>Document Details

External Agency Transmittal Number: A vendor or a client can send documents or comments to the organization through their transmittal. This number is captured here.

External Agency Transmittal Receipt Date: This is the date on which the external document was received.

For more information on External Agency Transmittal number and Transmittal Receipt Date refer Document Details>>Advanced Options.

Updating Internal Status Code

Client send back the drawings or documents after updating the approval codes. Now these codes have to be mapped to Wrench. For a customer approval code, corresponding internal code would be available in Wrench. Once documents or drawings are received from the client, internal code has to be updated.

To update internal codes for a single task or document

  1. In the workspace select single task or document and right-click.
  2. In the right-click menu choose Update Internal Response.
  3. Update Internal Response window is displayed.
  4. Select the check box next to the Task displayed in the window.
  5. Click the browse button corresponding to the column Internal Approval Status Code to select an approval status code.

Figure: Update Internal Response window

  4. Select Internal Status Code window is displayed. Choose the internal status code and click Select button to continue.

  5. Selected approval status code and description is displayed in Update Internal Response window.
  6. Click Save to store changes and continue.

The selected Internal Status Code is applied to the documents.

To update internal code for multiple tasks or documents

  1. In the workspace select single or multiple tasks.
  2. In the right-click menu select Update Internal Response.
  3. Update Internal Response window is displayed.
  4. Multiple tasks are displayed in the window. You can choose entire tasks displayed in the window, by selecting the checkbox on the column header or you can choose individual tasks by selecting the checkbox next to them.

Figure:Update Internal Response window

  5. Click Bulk Update.
  6. Bulk Update Internal Response dialog box is displayed.

Figure: Bulk Update Internal Response window

  7. Click the browse button next to Internal Approval Status Code to select an approval code.
  8. The selected code and its description will be displayed in the window. Click OK to continue.
  9. Update Internal Response window is displayed with updated codes. Click Save to store changes.

Updating submission details

The document deliverables are send to client for their approval and comments. Once these approval codes and comments are received from the client the submission details are updated, mostly by the document controller.

Submission details are updated only if it is a Receipt stage. For Example: If a document is received from a vendor , the details ( external agency transmittal number and receipt date need to be updated before proceeding further.

To update submission details for a single task

  1. In your workspace select a single task and right-click.
  2. In the right click menu select Update Submission Details.
  3. Document Details window is displayed with receipt details tab expanded.
  4. You can update the receipt details and click Apply to save changes.

To bulk update submission details for Tasks

  1. In the Workspace select Tasks and in the task workspace select the required tasks.
  2. Click Update Submission Details. Update Submission Details window is displayed. All the Documents in the selected Tasks which are currently in the “Receipt stage” are listed here.

Figure: Bulk Update Submission Details

  3. Choose the documents for which you want to update the receipt details by selecting the check box next it.
  4. On selecting the document Bulk Update option is enabled. Click the Bulk Update option. Bulk Update Receipt Details window is displayed.

Figure: Bulk Update Receipt Details window

  5. Enter a value for the External Agency Transmittal Number which is the Vendor transmittal number.
  6. Select External Agency Transmittal Receipt Date from the date picker.
  7. Click OK to continue. Receipt Details will be displayed in the Update Receipt Details window as shown in the following figure.

  5. Click Save to store changes and continue.

Submission Details are applied to the selected documents.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Attaching Comment Files

Attaching Comment files to single or multiple tasks

You are the DC in the organization. A set of drawings are sent to the client for review. The client marks his comments in a separate file and sends it you. You can attach comment files to documents linked to tasks in Workspace. Comment files include Attachments, Specter files and Squad Check Comment files.

As a Document controller of the contracting company you have to send the list of drawings for comments on behalf of the client. This is usually done using a transmittal with the list of drawings in it. The client reviews all these drawings and send the multiple comments back to you for making the modifications. Now you need to upload all these comment files in bulk to the system so that for each drawing will have the respective comment file attached to it which would contain the changes proposed by the client.

NOTE: The procedure for attaching different comment files are similar. Hence here for the purpose of user's understanding only attaching specter files are explained.

To attach comment file to a single task in workspace

  1. Select a task with a document linked to it from the workspace and right-click
  2. In the right-click menu select Add Attachments>> Comment Files. Attach Comment files window is displayed.

For attaching comment files you can follow the steps explained in the following sections.

Figure: Bulk Attaching Comment Files

NOTE: User need to have "Add Attachment/ Comment/Markup" right in the particular Document genealogy to add the comment file

To bulk attach specter files

  1. From the workspace select single or multiple tasks with documents linked to it and right-click
  2. On the right-click menu select Add Attachments>>Specter
  3. Bulk Attach Specter file window is displayed

Figure: Bulk Attaching Comment Files

Here an option to attach comment files can be selected. Options available are Basic Option and Advanced Option.

Attaching specters using basic option

In normal scenarios comment files are attached in bulk using the basic option. Under basic options different matching options are available for attaching comment files. The matching options are available in the drop-drown list. They are discussed in the following section.

Match File Name: Select this option to attach comment files with names identical to file name in Wrench.

To attach matching file names

  1. In the drop-down menu select Match File Name
  2. Click Select Folder button

Folder selection window is displayed

  3. Select the folder containing files which matches files names in Wrench. If the files name matches the following window is displayed.

Figure: Bulk attaching associated files

  4. In the tool bar click Attach
  5. The files are attached to the respective tasks

Figure: Files successfully attached

NOTE: In case the selected files are unmatched a comment file can be attached by selecting the task and clicking the browse button in the column Matching file as displayed in the following figure. After selecting the files click in the toolbar click Attach

Match Document Number: Select this option to attach comment files with names identical to document number in Wrench

To attach files with matching document numbers

  1. In the drop-down menu select Match Document Number
  2. Click Select Folder

Folder selection window is displayed

  3. Select the folder containing files with file name matching document numbers in Wrench
  4. In the tool bar click Attach

The files are attached to the respective tasks

Match Client Document Number: Select this option to attach comment files with file names identical to client document numbers in Wrench.

To attach files with matching client document numbers

  1. In the drop-down menu select Match Client Document Number
  2. Click Select Folder

Folder selection window is displayed

  3. Select the folder containing files with name matching client document numbers in Wrench
  4. In the tool bar click Attach

These files are attached to the respective tasks

Bulk attaching comments using advanced options

Comments files can attached in bulk using advanced options also. When advanced option is used it is possible to define a finer matching option.

To attach comment files

NOTE: The initial steps in attaching comments files using advanced options is similar to that in Basic options. Hence it is not mentioned.

  1. Select the radio button next to Advanced option
  2. Click the hyperlink Set Options

Advanced Matching option definition area is displayed

  1. Click the browse button to select a file name, based on which the matching file name is generated
  2. Click the + button

For Example: File name selected in the screen shot is LITL-0092.pdf. The reserve document number in the task is LITL. Hence to create a matching option the following entries are made in the window.

Property: Select Document Number as property

Characters: In this case it is left as blank

Position (From): This is the position of the starting character of the file name. Here it is selected as START

No. of Characters: Enter the position number from the starting character

Characters (To): Select this value as . (Dot).

Figure: Generating advanced matching options

  1. Click Refresh button

The generated value from the selected file name is displayed

NOTE: The procedure explained here is only for the purpose of demonstration. You can generate different values using the correct combination.

  2. Click OK to save.
  3. In the Bulk Attach Specter Files window click Select Folder .

The matching files are displayed in the grid. In the tool bar click Attach to attach the comment files.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Updating of Approval Status Code

Updating Approval Status Codes in Customer Workspace

Wrench facilitates users to update Approval Status Codes for single as well as Multiple Documents. When the object Document/Document Task has reached the ‘Release’ stage, the user may Bulk Update Approval Status Codes from the workspace. The user in the release stage can update the Approval Status Codes for multiple files from Workspace/Search/Transmittal module.

NOTE: In case the user is of Customer origin and the status of the transmittal is Released, updating of approval status code is possible only after the transmittal is Acknowledged.

To update approval status code for a single task

  1. Select a task from the Workspace.
  2. In the right-click menu select Update Approval Status Code. Customer Workspace window is displayed.

Figure: Customer Workspace

  3. Click the ellipse button next to "Approval Status Code."
  4. " Approval Status Code" window is displayed.
  5. Select an appropriate Approval Code for the selected files

On selecting an approval code Approval Status Code (Client) and Approval Status Description are filled in automatically.

  6. Select the browse button next to Client Comments Purpose to select a purpose. Search Association Purpose window is displayed from where you can select a purpose.
  7. Select a Received Back On date.

  8. Next Life Cycle Status / Issue Purpose: Once the client has updated the approval status code the document is passed on the client comment review stage. The stage resources will reserve the LCS for the next stage here. Click the browse button next to Next LCS to select a LCS from the list.
  9. Select the Next Revision Number from the series displayed in the drop-down list series or type in a revision number.
  10. Select the browse button next to Client Comments to choose a comment file. There are options to choose client comment from your hard disk or from Wrench. To select from your hard disk, select the radio button next to From Disk and then click the browse button next to Client Comments. To select client comments from Wrench, select the radio button next to From Wrench and then click the browse button next to client comments. Document Search window is displayed. Search and retrieve the client comment and select the comment file. Selected comment file is displayed in the Update Approval Status Code window grid.
  11. Select OK to save.

The approval status code for the selected documents are updated successfully.

For more information on approval status code refer Document Operations.

To update approval status code for multiple tasks

  1. Select multiple tasks/multiple documents to which the client comment files are to be attached.
  2. Right-click to avail a drop-down menu.
  3. Select 'Update Approval Status Codes' from the list of available options

"Customer Workspace" window is displayed.

NOTE: The “Bulk Update” and “Bulk attach client comment files” options will be enabled only if you have selected the checkboxes for more than one object.

  4. Select the arrow next to “Bulk attach client comment files” option.

  5. A drop-down menu will be displayed. Select the required matching options namely, Match File Name, Match Document Number, Match Client Document Number and Define Rule to attach the client comment files with the selected matching option.

Match File Name: Select this option to attach client comment files with names identical to file name in Wrench for the selected document.

Match Document Number: Select this option to attach client comment files with names identical to document number in Wrench for the selected document.

Match Client Document Number: Select this option to attach client comment files with file names identical to client document numbers in Wrench for the selected document.

Define Rule : Select this option to attach client comment files based on pre-defined rules.

To define a rule,

  • Select Define Rule option from “Bulk attach client comment files” drop down menu.
  • Create Rule window is displayed. Click the Insert or Add key.

Figure: Create Rule window

  • Define a rule for the Filename.
  • Select a condition for the rule to be defined.
  • Select the document property based on which the file should be selected. Th e properties available for selection are document number, client document number, sheet/ number and Internal Revision Number.
  • Click Ok.

  6. Documents satisfying the defined rules are attached as client comment files to the selected object.
  7. Also you can click on the browse button, in the column ‘Client Comments” to browse and select the file to be attached from the local system or comment files stored in WRENCH. When you click the browse button Add Client Comment window is displayed.

Here if radio button next to From Disk is selected, you can select the comment file stored in your system. If the radio button next to From Wrench is selected, Document Search window is displayed. You can search and retrieve the comment files.

  8. If all the selected objects have to be attached with same client comment file and updated with same approval details, then select “Bulk Update” option and the customer workspace window is displayed.
  9. Here you can enter the approval status details and attach a client comment file, that will be attached and updated to all the selected objects in bulk update customer workspace window.
  10. Click Ok to save the entered details.
  11. Click Save to add the selected client comment files to the corresponding objects.

Prior to approving approval status code you can take into account the following

  1. Current stage (Release stage or Customer workspace) user can update the approval status code irrespective of his right in the document genealogy. A user with "Update Approval Status Code" right in the genealogy can change the Client Reference Number irrespective of the status/stage of the document
  2. Update Approval status code" window can be availed for final Released documents also. For such Documents only the client comments can be updated, which gets attached to the corresponding "Attachments" tab in the Document details window.
  3. On updating the approval status code for tasks which are in issued status and with multiple documents attached to the task, the changes are applicable only to documents in transmittal release status linked to the task.

TIP: User with appropriate rights in the genealogy can also update the Received Back On Date

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Adding documents from MS Excel template in bulk

Bulk Addition of Documents to Tasks

You can add documents in bulk to a task in Wrench.

You have received a set of basic design drawings from your vendor. Now you need to archive these drawings in Wrench. Once Archiving is complete, you have to send some of this shop drawing for review. A task corresponding to these drawings are available in your workspace.

NOTE: For sending shop drawings for review refer Transmittals

To bulk Add Documents to Tasks

  1. From the workspace select the tasks and right-click.
  2. In the right-click menu select Add Documents
  3. Multiple Document Addition window is displayed

For more information on adding multiple documents through an MS Excel template refer Adding single and multiple documents>>Advanced options.

NOTE: If all the Document tasks are successfully added to Wrench, the Documents may be bulk routed. However, if any of Document tasks are not added, an error message is displayed and the Documents will not be sent. If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Exporting Tasks

Exporting Tasks from Workspace to MS Excel

Wrench facilitates users to export tasks from workspace to an MS Excel template. The user may add multiple documents to tasks in workspace by exporting tasks from an MS Excel sheet. The user may also submit the MS Excel template to Wrench for bulk adding as well as bulk routing the documents linked to tasks.

NOTE: Only document tasks can be exported

To export tasks from workspace to MS Excel

  1. Select multiple tasks and right-click
  2. In the right-click menu select "Add Documents"
  3. Multiple Document Addition window is displayed. For more information on adding documents Adding single and multiple documents to tasks.
  4. The selected Tasks are exported to an MS Excel template from the Multiple document addition window.

To provide a file path

  1. Select the "File Path" cell against the corresponding Task ID

NOTE: You can press "CTRL + K" to select the file path

Figure: Insert Hyperlink

  3. Insert Hyperlink window appears. Type in the file path and click OK.
  4. After entering the document details in the MS Excel template, the details can be imported to WRENCH.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Check-Out, Check-In and Replace of document tasks in workspace

Check Out of Documents linked to Tasks

You can choose documents linked to tasks and check out them as single or in bulk. Single Check Out , Check In and Replace options are explained in the section Document operations.

Prerequisites

Prior to checking out a Document(s) linked to a Task, you need to choose the appropriate "Task Check out option" Personal Preferences > General options> Task Check Out options

User should possess Edit Work In Progress and Edit Release rights in the document genealogy and Edit permission in workflow stage property can perform this operation.

To Bulk Check-Out Documents linked to Tasks

  1. Select the required Document tasks in the Workspace and right-click to avail a list of options
  2. Select the "Check Out" option. The "Multiple Check Out Manager" window is displayed
  3. The selected Document Tasks are available in the grid
  4. Select the check box to choose the specific Documents which needs to be Checked Out
  5. Specify the appropriate Check Out path for the chosen Documents. Once Checked Out, the Document will be copied to the "Check Out path" and in most scenarios it will be opened in the native application so that you can start editing it
  6. You may also enter the comments if desired
  7. Click "Apply to selected files" so as to apply the comment as well as the specified Check Out path on the selected Document/Documents
  8. Click "Ok."

Figure: Multiple Check Out Manager

Bulk Check-In of Documents linked to Tasks

To Bulk Check-In Documents linked to Tasks

  1. Select the required Document tasks in the Workspace and right-click to avail a list of options
  2. Select the "Check in" option to get the "Multiple Check-In manager" window

Figure: Bulk Check In Manager

  3. All the Checked-Out Document are displayed in the grid.
  4. Select the Documents to be Checked-In.
  5. Specify the file's location (if changed from the folder where it had been checked out) and comment if required.
  6. Click "Apply to selected files" so as to apply the comment as well as the specified Check-In path on the selected Documents.
  7. Click "Ok" to complete the process . On successful Check-In, the Document will be put back in to the server.

Keep Files as Checked Out

If you wish to keep the Document as Checked Out and continue editing but wants the rest of the team to view the Document with the changes updated till now then you may enable the option “Keep Files as Checked Out”.

Bulk Check In and Send

While performing a bulk check in operation, you can send a document to a specific stage.

Send: If a particular stage has been selected by the user, on checking the Send option, the Task gets bypassed to the selected stage.

NOTE: Only documents with the same workflow attached can be routed

  1. Click "Select Stage" button to display the work flow for the specific task.
  2. Select Stage window is displayed where you can select the stage in the Work flow to which the task needs to be send.

Figure: Select Stage window

  2. Click Select.

NOTE: If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

Bulk Replace of Documents or Tasks in Workspace

You can make changes into the file and need to update the information into Wrench without checking out. Then replace is used. If this has to be done in bulk, bulk replace is used.

To perform a bulk replace operation

  1. From Workspace select Multiple Tasks
  2. From the right-click menu select “Replace”
  3. Multiple Replace Manager window is displayed

Figure: Multiple Replace Manager

  4. Documents linked to the selected tasks are displayed here.

NOTE: User can specify whether the referred documents are to be displayed by defining the setting in “ Personal Preferences.”

  5. The Document number, Document description and type of association (Linked/Referred) are displayed here. “Selected File for Replace” field remains empty
  6. To select a file to replace, click the browse button in Select Files column field. Select the folder which contains the files

If the files in the selected folder matches the file name of the documents in the replace manager the appropriate documents are replaced automatically.

If the file name does not match the system returns a warning message.

Figure: Warning dialog box

Matching Options

  1. To select files in the Multiple Replace Manager select Matching Option.
  2. "Auto Link and Replace Files" window is displayed

Figure: Auto Link and Replace Files dialog box

Here user can define a criteria for searching a file.

Basic Options: On enabling the radio button against "<<All>> All characters of the file name as file name as document number" system searches and locates a file already added to wrench, identical to the file present in the hard disk. User can define a search option as follows

  1. On selecting "All" the system searches for a file in Wrench, with all the characters matching with a file in hard disk.
  2. On specifying a number the system searches and retrieves a file from Wrench based on the number of characters defined.

Advanced Options: In the advanced options a file name logic can be defined based on the object selected, Properties and number of characters.

The following objects can be selected from a drop down list

-Project

-Task

-Document

-Work Flow

-Change Request

-Change Note

-Part

Properties corresponding to the selected objects are available in the Properties drop down list. For Example: If an object "Project" is selected, the following properties are available in the drop down box.

-Project ID

-Project Description

-Project Short Description

-Project Manager

-Start Date

-End Date

Character selection method can also be defined from a drop-down list.

The list includes

-First

-Middle

-Last

-Hyphen (-)

-Underscore (_)

-Dot (.)

  1. On confirmation the files in the replace manager are replaced with the selected files
  2. Select the required files

Send: If a particular stage has been selected by the user, on checking the Send option, the task gets bypassed to the selected stage

  3. Click the "Select stage" button to display the work flow for the specific Task. The Select stage (bypass) window appears where the user may select the necessary stage in the work flow to which the Document Task needs to be routed
  4. Enter the appropriate comments if any
  5. Click "Apply to Selected files" so as to apply the comment to the selected Documents
  6. Click "Ok"

NOTE: In case of Released documents, Released documents are replaced with Internal Revision Number incremented. If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

Multiple Documents independent of tasks can also be replaced

NOTE: In case of Released Documents, Part/Task linked Documents cannot be replaced. When a Released Document is Replaced its status remain as Released.

See Also

Working in the Workspace

Task operations in the workspace

Document operations in the workspace

Change Request and Change Note operations

Action Item operations in workspace

Working with Part and Product Structure operations

Sending objects in the workspace


Submittal

In construction management, documents like shop drawings, material data, samples, and product data are referred to as Submittals. Submittals are used, when stake holders who are not using Wrench want to submit documents to stake holders using Wrench. In a broader perspective Incoming documents from client, vendor, contractor etc. are handled using submittals. Different topics in creating and managing transmittals can be accessed using the following navigation table.

NOTE: Only users with respective rights assigned in the Document Submittal module Masters can carry out the following operations.

Navigation Table

To | See
Open document submittal window | Opening Document Submittal window
Enter submittal properties | Entering Submittal Properties
Manage submittal reports | Managing Submittal reports
Manage distribution lists | Managing Distribution Lists
Upload and Remove files | Uploading and Removing files
View and Replace files | Viewing and Replacing files
Submit the submittal | Submitting the submittal
Download and Register files | Downloading and Registering files
Complete the submittal | Completing the submittal
Search for a submittal | Searching for a submittal


Opening Document Submittal window

A Submittal can be created from the Workspace and from Start Button Menu>>Module>>Utilities. The procedure for creating a submittal from start button menu is explained in the following section.

Opening document submittal window

First step in creating a submittal is opening the document submittal window.

To open the document submittal window

  1. Click the WRENCH Start button.
  2. Click Document Submittal if the option is available in the start button menu.
  3. Or else click Module>>Utilities>>Document Submittal.

Document Submittal window is displayed.

Figure: Document Submittal window

Navigating through document submittal window

The document submittal window consists of the following sections.

Toolbar

Submittal details pane

Custom Details

Other Details

Submittal Report

Toolbar

In the toolbar options to perform different submittal operations are available. The main operations that can be performed from the toolbar are explained in the following table.

# | Operation | Description
1 | New | Click this option to create a submittal.
2 | Open | Click this option to open a submittal.
3 | Edit | Click this option if you want to edit the properties in the Submittal Details window.
4 | Save | Click this option to save the submittal.
5 | Remove | Click this option to remove the submittal details entered.
6 | Submit | Click this option to submit the submittal. For more details on submitting a submittal refer Submitting a Transmittal .
7 | Complete | Click Complete to complete the submittal. For more information on this topic refer Completing the Submittal .
8 | Refresh | Click this button to refresh the document grid in the submittal window.
9 | Close | Click this button to close the submittal window.

Submittal Details Pane

When you are creating a submittal, different submittal properties can be entered in this section. In addition if you open a saved submittal, the details of the submittal is displayed in this window. The different properties in the submittal details section is mentioned in the topic Entering submittal Properties .

Custom Details

If any custom properties are assigned to the selected submittal type it is displayed here. You can update the custom properties from this window.

Other Details

Details like who created the submittal, submitted the submittal and completed the submittal and the corresponding dates are displayed here.

Submittal Report

Submittal reports are MS Excel sheets to which details like submittal reference number, document Internal Revision Number etc. are mapped. This MS Excel sheet is attached to the submittal prior to releasing the submittal.

Distribution Details

To and Cc recipients of the submittal is managed here. For more information refer Submittal>>Managing Distribution Lists.

Document Upload pane

Here you can upload the files and send it for submission. In addition to uploading files you can also remove files, view files, register files, replace files and download files. For more information on working with files see Uploading and Removing File .

Also See

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Entering Submittal Properties

After opening the document submittal window, next step is to enter submittal properties.

To enter submittal properties

  1. In the document submittal window toolbar click New.

Figure: Submittal Details window

  2. In the submittal details window enter the submittal details mentioned in the following table.

#

Properties

Description

1

Project Number

Click the browse button to select a Project Number.

2

Submittal Type

Click the browse button to select a submittal type from a list. Submittal types for a project are assigned in the project properties window.

NOTE: If only a single submittal type is assigned to a project, this type is filled in by default when the project is selected.

3

Submittal Number

Click the browse button to generate a submittal number from a number generator template.

4

Description

Enter a description for the submittal.

5

Transmittal Number

Enter the external agency transmittal number. When the files uploaded to submittal are registered, the transmittal number entered here is inherited to the document details of the document submittal.

6

Submittal Status

The status of the submittal would change depending on different instances. Different statuses are explained below.

Created: After entering submittal properties, when the submittal is saved, the status of the submittal would be CREATED.

Submitted: When the document is submitted clicking the Submit button, status of the submittal would be SUBMITTED.

Registered: When all the documents are registered using the Register As option, status of the submittal would be REGISTERED.

NOTE: Properties under the group Others are filled in automatically on saving the submittal.

Also See

Opening Document Submittal window

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Managing Submittal Reports

Submittal reports are MS Excel sheets to which details like submittal reference number, document revision number etc. are mapped. This MS Excel sheet is attached to the submittal prior to submitting the submittal.

NOTE: Submittal reports can be attached only after saving the submittal. Ensure the submittal window is in edit mode.

To attach submittal report

  1. In the Document Submittal window toolbar click Edit.
  2. In the Submittal Report pane click Attach From Disk.

Figure: Submittal Report pane

  3. In the Select Report File window choose the report file and click Open.

Figure: Select Report File window

The selected report file is displayed in Submittal Report pane.

To remove submittal report

  1. In the Submittal Report pane click Detach.

A message for confirming the detaching of report is displayed.

  2. Click Yes to continue with detaching the report, Click No to cancel the operation.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Managing Distribution Lists

From here you can can specify to whom all the Submittal are to be sent to. You can specify To,Cc and Distribution Lists similarly as in the transmittal.

Figure: Distribution List

The following types of users can be entered in the distribution list.

# | User Type | Description
1 | To | Click To to select users from a list. Once the submittal is submitted, users in this list will receive the submittal in their workspace.
2 | Cc | Click Cc to select users from a list. Once the submittal is submitted users in this list will receive a notification mail. Submittal will not be displayed in the submittal manager workspace of the user.
3 | Distribution | Click Distribution to select users from a list. Once the submittal is submitted, users in this list will receive a notification mail. Submittal will not be displayed in the submittal manager workspace of the user.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Uploading and Removing Files

Files are uploaded from the submittal window and these file are submitted to different users.

To upload files to Wrench

  1. In the Upload window click Upload Files.

Figure: Upload window

  2. In the Select Submittal Files window choose the files to upload.

Figure: Select Submittal Files window

  3. Choose the files and click Open.

Once you choose files to upload, Submittal File Properties window is displayed.

Figure: Submittal File Properties window

  4. Click the browse button next to Document Type and choose a document type. Click OK to continue.

NOTE: In case you don't require the Submittal File Properties window to pop-up click the check box next to Do not show this message again.

Selected files are displayed in the Upload window grid.

Removing files

Uploaded files are removed using this option. Files in submitted status cannot be removed.

To remove the files

  1. Select the checkbox next to the file which has to be removed.
  2. In the toolbar click Remove.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Viewing and Replacing files

The uploaded files can be viewed and if any need arise it can be replaced.

To view files

  1. Click the checkbox next to the file which you want to view.
  2. In the Upload Pane toolbar click View.

  3. In the submenu click Original File to view the original version of the file.
  4. If the file is registered, click Latest File to view the latest version of the file, click Latest Document Details to view the document details.

To replace the file

  1. Select the checkbox next to the file that you want to replace.
  2. In the Upload File pane toolbar click Replace.

A message for confirming the replacing of report is displayed.

  3. Click Yes to continue with replacement of the selected document.
  4. In the Select Replace File window choose the replacement file and click Open.

File replaced successfully message is displayed.

You can also replace multiple files.

To replace multiple files

  1. In the documents grid select multiple files.
  2. In the tool bar click Replace.

Multiple File Replace window is displayed.

Figure: Multiple File Replace window

  3. Click Select Folder to choose files from a folder. If files with matching file names exist in the folder they are replaced. If there are more than one file with the same file name in files selected for replacement, then replacement of files from folder will not take place.
  4. You can also select individual files by clicking the browse button.
  5. Click Replace button to continue with replacement procedure. A message asking whether you want to replace the selected files is displayed.
  6. Click Yes to continue. In the comments column Successfully Replaced message is displayed.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Submitting the submittal

After entering all the mandatory fields and uploading documents next step is to submit the submittal. The submittal is send for action to To..resources. The submittal would be available in the workspace of these resources. These resources can open the submittal and work with the documents in the submittal.

To submit a submittal

  1. In the Document Submittal window toolbar click Submit.

File Submitted Successfully message is displayed.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Downloading and Registering Files

Completing the Submittal

Searching for a Submittal


Downloading and Registering Files

Downloading files

Creator of the submittal or the resource who receives the submittal can download the documents in the submittal to their system. The resource who receive the submittal can open the submittal from the workspace and download the documents from the document submittal window.

To download documents from submittal

  1. In the Upload Document pane select the checkbox next to the documents you want to download.

  2. In the toolbar click Download Files.
  3. Select the folder where you want to save the files and click OK.

Files downloaded successfully message is displayed.

Registering files

It is mandatory to register the files before the submittal is completed. Either creator of the submittal or the resource who receives the submittal can register the files, provided they have the security right to do so. The resource who receive the file can register the file from the workspace. Creator of the file can register the file as New Document and Existing Document. Option Existing Document is usually used when you want to replace the existing document with latest revision of the document.

To register files as New Document

  1. In the Upload Document pane select the checkbox next to the files which you want to register.
  2. On the Upload Document pane toolbar click Register As.

  3. In the submenu click New Document to register the file as a new document.
  4. In the Register Submittal Documents window enter the document number and select a document genealogy.
  5. If you want to assign additional document properties, in the left pane click Document properties.

  6. In the Document General Properties window enter advanced document details. For more information on entering document properties see Adding Multiple Documents>>Document Options>>Document Properties .
  7. After entering the document properties in the Register Submittal Documents window toolbar click Add.

Documents Added successfully message is displayed.

To register files as existing document

  1. In the Upload Document pane select the checkbox next to the files which you want to register.
  2. On the Upload Document pane toolbar click Register As.

Figure: Selecting files for registering

  3. In the submenu click Existing Document to register the file as an Existing document.
  4. In the Register Submittal Documents window click Matching Options.

Figure: Selecting matching options

  5. In the Auto Link and Replace Files window select the radio button next to Basic Options and click OK.

If the file names of the document match with the existing document number in Wrench, matching files are displayed in the Register Submittal Document window.

Figure: Replacing files

  6. Select the checkbox next to the files you want to register.
  7. Enter your remarks and click Apply to Selected Files.
  8. Click OK to register the files.

The files replaces the existing documents in Wrench with the same document number as the file name of the registered files.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Completing the Submittal

Searching for a Submittal


Completing the Submittal

Once the documents are registered, the final step is to complete the submittal. Once the submittal is completed it is removed from the workspace of the user.

To complete the submittal

  1. Save the document submittal.
  2. In the Document Submittal window toolbar click Complete.

Figure: Completing the submittal

Submittal Completed Successfully window is displayed.

NOTE: Details in the distribution list can be edited before completing the submittal.

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Searching for a Submittal


Exporting Submittal Details

Submittal details can be exported and stored for future reference or use. The following properties are exported by default.

  • File Name
  • Document Number
  • Document Description
  • Sheet Number
  • Internal Revision Number
  • Revision Number

In addition to the default properties additional properties can be selected from the column chooser.

To export submittal details

  1. Click Export.

Figure: Exporting submittal details

In the menu following options are available.

  • Excel: On selecting this option submittal details are exported to an MS Excel file.
  • HTML: On selecting this option an HTML file is generated with the submittal details.
  • PDF: On selecting this option a PDF file is generated
  2. Click the export option that you want to use.

Based on the selected option an output is generated.


Searching for a Submittal

Submittals can be searched and retrieved from the Document Submittal window.

To search and open a submittal

  1. In the document submittal window toolbar click Open.

  2. In the Search Submittal window choose a submittal and on the toolbar click Select.

The selected submittal is opened.

  1. On the Search Submittal window click Export to export the search results to an MS Excel sheet.

Submittal details are exported to an MS Excel sheet as shown in the following figure.

Figure: Exported Search Results

Also See

Opening Document Submittal window

Entering Submittal Properties

Managing Submittal reports

Managing Distribution Lists

Uploading and Removing Files

Viewing and Replacing Files

Submitting the submittal

Downloading and Registering Files

Completing the Submittal


Transmittal

Transmittals

Transmittals are the face sheets generated during release of a Document. In an engineering process before any Document is released for approval internally, to customers or to any External Agency, the Documents are attached to the Transmittal and sent, so that this information can be retained for future reference.

A transmittal serves the following purposes

  1. Record of transmission
  2. Record of approval/rejection
  3. Unification of many items to be transmitted into a single item
  4. Tracking of submissions

A transmittal comprises of two parts. They are : Face Sheets and Related Items

Face Sheet

Face sheet contains entire details related to the transmittal. A face sheet is almost similar to the sheet displayed in the following figure. Certain areas in the figure have been smudged purposefully to maintain organizational privacy.

Figure: Sample Face Sheet

F

Normally a Face Sheet contains the following

  1. List of all drawings, documents, materials with their details ( Internal Revision Numbers, number of copies dispersed etc)
  2. Approval Codes against each item and remarks while approving
  3. Details of the Transmittal ( project number, transmittal number, client, transmittal date, consultant etc)
  4. Purpose of submission (for information, for approval etc)
  5. Submission stamp and signature
  6. Receipt stamp and signature
  7. Distribution details

Related Item

Related item is the thing which has to be transmitted.

For Example: In the sample face sheet the related items is the 3rd floor layout diagram and wiring layout of the reception area. These two are two different drawings which are unified with a single transmittal.

A transmittal can contain one or more items. The transmission procedures and formats will be usually as per the ISO procedures of the client.

You can use the following navigation table for more information on transmittals and transmittal related operations.

To | See
Understand relevance of transmittal types | Transmittal Types
Access the document transmittal window | Opening the Document Transmittal window
Create a Transmittal | Creating a Transmittal
Create a Transmittal from an existing transmittal | Creating a transmittal from an existing transmittal
Release a Transmittal | Releasing a Transmittal
Send documents automatically on transmittal release | Auto-Send documents on release of transmittal
Attach Transmittal Reports | Attaching Transmittal Reports

Transmittal Types

Wrench specifies three types of transmittals:

  1. General Transmittals : Transmittals used for Interdepartmental Communication and to any other external agency such as vendors. Documents in any status can be send through General Transmittals. Please refer to the following example.

You are the document controller in the organization. The engineering department asks you for a set of drawings for verification. As per your organizational policy every internal communication has to be recorded. The identity of the documents and the date sent has to be recorded automatically. In this case the document is just sent for reference.

  2. Release: Transmittal released when Documents are released to the customers. By default Wrench treats the preceding stage of the Release stage in a predefined work flow as Transmittal stage. Only those Documents which are currently in "Released to Customer" status will be available in the Transmittal Queue, which can be added and released through a "Release" transmittal. Please refer to the following example.

Electrical drawings are processed through a workflow. The engineering manager receives the drawings for approval. Once approved the drawings are sent to the DC. The documents are sent to the consultant for comments. Consultant marks his comment and sends back the drawings.

  3. Final release: Transmittals released at the time of the final approval of the document. This transmittal is also same as Release Transmittal. Please refer to the following example.

Architectural drawings after internal review and approval are sent to the consultants for their comments. Client incorporates his comments and sends it back to the document controller. The drawings are modified in accordance with the client comments and if the drawing is approved for construction, the drawing is sent to the final stage. The final drawing has to be issued for construction. In this case the work is treated as complete and further modifications if any can be done only through a change management process.

Opening the Document Transmittal window

Figure: Opening transmittal window

  1. In the Wrench desktop navigation bar select Transmittal.

Document Transmittal window is displayed.

Figure: Document Transmittal window

The document transmittal window consists of the following sections:

    1. The Tool Bar

In the toolbar options to perform different transmittal operations are available. The main operations that can be performed from the toolbar are explained in the following table.

# | Item | Description
1 | New | Select this option to create a new transmittal.
2 | Open | Select this option to open a saved transmittal.
3 | Edit | Select this option if you want to edit the properties in the transmittal details window.
4 | Save | Select this option to save the transmittal.
5 | Remove | Select this option to remove the transmittal details entered.
6 | Release | Select this option to release the transmittal. For more details on releasing a transmittal refer Releasing a Transmittal .
7 | Acknowledge | Select this option to acknowledge a transmittal. For more details on acknowledging a transmittal refer Acknowledging a Transmittal .
8 | Options | On selecting this option a pop-up menu is displayed which contains different option. The different options available are explained in Transmittal Options .
9 | Custom Properties | Select this button to view and update custom properties assigned to the transmittal type selected for this transmittal
10 | Affix Stamp | Select this option to insert a digital stamp on the document that is being transmitted.
11 | Refresh | Select this option to refresh the transmittal details entered
12 | Close | Select this option to close the transmittal details window

    2. Transmittal Details pane

Figure: Transmittal Details - Left pane

When you are creating a transmittal different transmittal properties can be entered in this section. In addition if you open a saved transmittal the details of the transmittal is displayed in this window. The different properties in the transmittal details section is mentioned in the topic Creating a Transmittal

    3. A right pane that is further partitioned to the following sections:

Figure: Document Transmittal window - Right pane

a. Transmittal Distribution Details

Transmittal Distribution Details: To and Cc recipients of the transmittal is managed here. For more information refer Transmittal Distribution Details in the section Creating a Transmittal .

b. Transmittal Report

Transmittal Report: Transmittal reports are MS Excel sheets to which details like transmittal reference number, document Internal Revision Number etc. are mapped. This MS Excel sheet is attached to the transmittal prior to releasing the transmittal. For more information on Transmittal Reports refer the section Attaching Transmittal Reports .

c. Attachments

Attachments: You can add attachments to the drawings or documents that are sent to a transmittal. For more information on managing attachments refer the section Adding Attachments.

d. Documents

Documents: You can manage the documents that are being transmitted with the transmittal. You can add documents and carry out different operations on the documents added here. For more information on managing documents refer the section Document operations .

Search for Tasks/Documents in Transmittal Queue

  1. You can search for specific Tasks/Documents in the Transmittal queue
  2. In the "Search in" field, you may search for a specific Document/Task in the transmittal queue based on certain Document/Task characteristics
  3. In the "Look for" field, enter the required value. The typed in values would be displayed in the drop-down combo

Find next : Click "Find next" to move to the next selection.

Find previous : Click "Find Previous" to move to the previous selection.

Bypassing the Transmittal Stage

Wrench facilitates the user to bypass the transmittal stage. If you enters the transmittal stage by mistake, you can bypass the stage.

  1. The Transmittal stage could be bypassed only if the configuration setting “Do not allow bypass release stage” is cleared in Control Panel>>General
  2. If the transmittal is already created, then bypass is not allowed.
  3. Once the transmittal stage has been bypassed, the entries are cleared from transmittal queue.

Bypassing into a Transmittal Stage or Approval stage

It is possible to bypass into the Transmittal Stage or Approval stage in a work flow .

  • While bypassing into the Transmittal or Approval stage in a work flow,

In case the configuration option “Transmittal required for approval of WIP documents ” is selected in the work flow or genealogy settings, transmittal queues need to be created before the bypass is done.

Figure: Document Default Properties

See Also

Creating a Transmittal

Releasing and Acknowledging a Transmittal

Document Operations

Attaching Transmittal Reports

Adding Attachments

Transmittal Options


Creating a Transmittal

Creating a Transmittal

Usually document or task is selected from the workspace and in the right-click menu Create Transmittal option is selected.

To create a transmittal, in the document transmittal window toolbar select New. The fields in the document transmittal window are enabled and you can start entering information necessary for creating a transmittal.

To enter transmittal details

Figure: Transmittal Details - Left pane

The details related to the transmittal are entered in the Transmittal Details section on the left pane. The elements in the transmittal details sections are explained in the following table.

#

Item

Description

1

Transmittal Number

Wrench automatically generates a unique reference number for transmittals. This button is only enabled after the Transmittal template is specified. On clicking the browse button, number generation window is displayed. In the number generation window you can enter values for different numbering blocks.

2

Project Number

Click the ellipse button and select the Project for which Transmittal is being created This is not mandatory since Transmittals may be created for Documents that are not in any Project. If any project is set as the default project, the corresponding project number is displayed here.

3

Transmittal Category

In Wrench transmittals are classified into following three categories.

General Transmittals: Transmittals used for Interdepartmental Communication and to any other external agency such as vendors. Documents in any status can be send through General Transmittals.

Release Transmittal: These are used for submitting documents to the customers for the purpose of Issue or Approval. Only those Documents which are currently in the pre-defined stage will be available in the Transmittal Queue, which can be added and released through a "Release" transmittal.

Final release: Transmittals used to transmit documents that are ready for issue to the Customer.

4

Life Cycle Status

Select a Life Cycle Status which helps in defining what specific stage of the Document Life cycle the Transmittal is released and the corresponding revision series to be used.

Click the browse button to select a Life Cycle Status.

NOTE: Based on the LCS selected, Transmittal Type is filled in automatically provided LCS is assigned in Project Properties>> Type Master>>Type Series Details window.

5

Transmittal Type

Transmittal type is used to categorize the different transmittals. Examples of different transmittal types are drawing transmittals, method statement transmittals, material transmittals etc. The common difference between the different transmittal types is the transmittal report (face sheet) format and their numbering pattern.

Click the browse button next to Transmittal Type to select from a list of transmittal types configured for the project. Transmittal types are listed and Issue Purpose are listed in the Transmittal Type/Issue Purpose window. On selecting the transmittal type, Issue Purpose defined is also populated in the window.

Figure: Select Transmittal type window

6

Distribution Option

Click the browse button to select the type of files to be send through transmittal. Distribution Option window is displayed.

Figure: Distribution Option window

You can select from the following options.

Documents: On selecting this option document is sent.

Document Attachments: On selecting this option specter files (PDF version of the file), attachments of the document, comment files, client comment files and squad check comment files are sent.

Reference Documents:On selecting this option reference documents of the file are also sent.

Transmittal Attachments: On selecting this option transmittal attachments like report is sent.

NOTE: Distribution Option defined in the document properties window is usually displayed here. In case distribution option is specified in Project Properties - Transmittal tab, it is given preference.

7

Transmittal Description

You can enter a description about the documents or drawings that is being transmitted.

8

Transmittal Status

If the Transmittal has been created then the status will be "Created", if it is Released then the status will display "Released" status and if the transmittal is acknowledged then the status will be "Acknowledged"

9

Created By

The name of the user who created the transmittal is displayed here once the transmittal is saved.

10

Created On

The date on which the transmittal is created is displayed here. Time displayed is the local time at the instance of creation of the transmittal.

11

Released By

The name of the user who released the transmittal is displayed here once the transmittal is released.

12

Released On

The date on which the transmittal is released is displayed here.

13

Expected Receipt Date

Using this option it is possible to update expected receipt date for multiple documents.

To update expected receipt date

  1. Select the documents for which you want to update the expected receipt date.
  2. Select a date from the date picker.

  3. Click the hyperlink Apply to selected documents.

Expected Receipt Date is updated for the selected documents.

Transmittal Distribution details

For a project you can select different transmittal types and define the recipients for a specific transmittal type. The different types of recipients for a transmittal as a whole are referred to as Transmittal Distribution Details. In the document transmittal window, the fields in the Transmittal Distribution Details window is filled in automatically based on the transmittal type selected. You can also manually enter the transmittal recipients.

Figure: Transmittal Distribution Details

Different type of recipients that can be defined for a transmittal is mentioned in the following table.

#

Item

Description

1

To

To recipients are mandatory for a transmittal. The recipients are filled in automatically from a pre-defined list or can be entered manually.

NOTE: Auto suggest feature is available for selecting the recipients. As you enter the text the entire set of user names starting with the entered text is displayed. You can select the recipients from the list. If email id of external users were entered earlier here, it will be also displayed in the auto-suggestion list.

2

Cc

Specify the recipients for the copies of the Transmittal. In the "CC" field, user can also enter the external mail ID of people outside Wrench. You can also select the recipients using auto suggest feature as explained in the preceding column.

3

Distribution List

This is a predefined set of users to whom intimation has to be sent on the release of a transmittal.

Click the Distribution List button to select a set of users from the User List window.

Defining the distribution option in default document level properties

If a Document has to be send through a transmittal then you may select the Document Genealogy level of that Document and specify distribution option as " Specter files through transmittal, Original files through transmittal or both" in the Default Document Level Properties of Level configurator.

On clicking the hyperlink Hide Header Details option, the following basic details regarding the transmittal are minimized.

  • Transmittal Distribution Details
  • Transmittal Report
  • Attachments

Once the mandatory details for the transmittal are entered and saved. You can add documents to the transmittal which are to be transmitted.

To add documents,

  • In the 'Document Transmittal' window right pane under Documents group, select Add Documents.

  • You can add an existing document from Wrench or a new document to the transmittal irrespective of the transmittal category. To make a selection between this two options select the down arrow as shown in the following figure

Figure: Attaching documents to a general transmittal

    1. Existing in Wrench: Select this option to choose a document which already exists in Wrench.
    3. New: Select this option to create a new document and attach it to the transmittal. You can attach single or multiple documents. For more information on adding documents refer Adding a Single Document and Adding Multiple Documents .
  • If the Transmittal category selected is Release or Final Release, you can attach documents available in your workspace. If the Create Transmittal option is selected from the workspace you can only add document from the workspace. Option for searching for documents using Document Search option will be disabled.

    1. From Workspace: Select this option to choose the documents available in your workspace which are in the transmittal stage. Transmittal que window is displayed and the documents will be listed in the window.
    2. From Document Search: This option will be enabled only if the transmittal is created from the Document Transmittal window. Select this option to choose documents already saved in Wrench. You can perform a search operation and select the required documents.

NOTE: While performing a search operation, documents with an active workflow attached to it or documents linked to a task, part or BOM will not be listed in the search results.

  • Select the documents to be transmitted and click Select button.
  • To save the transmittal on the document transmittal toolbar select Save.

NOTE: If the total size of the attached files exceeds the sending limit of MS Outlook, a warning message is displayed

While creating a General Transmittal you have the option to enter Expected Received Back Date in the Transmittal grid (This is not Mandatory). The option "Approval of Documents, received from external agency (Vendors)” is to be selected in the 'Transmittal series Details' window (Accessed from Transmittal tab in Projects Module ).

NOTE: 1. Wrench restricts addition of documents without approval codes to a transmittal from the transmittal queue.

2. Admin user can add or remove documents to a released transmittal.

Viewing the count of items in a transmittal

The count of items or the total number of items in the transmittal is displayed as in the following figure.

Creating a Transmittal from an existing Transmittal

Faster submissions of documents are possible with the facility to create a copy of an existing transmittal. In the case of package submissions that involve multiple submissions of documents, while creating copy from an existing transmittal, documents available in the queue of the source transmittal will be available in the copy. You can create copy of an existing transmittal from the transmittal window and personal folders for transmittals.

To create copy of an existing transmittal from the transmittal window,

  1. In the transmittal window tool bar click the arrow next to New.
  2. Select From.

Transmittal Search window is displayed

  3. In the search result grid, select the transmittal and from the right-click menu select Create Copy

Figure: Creating a copy from an existing transmittal

The header details of the newly created transmittal are automatically updated from the selected transmittal. You can select the source transmittal to create a copy from. Documents attached to the source transmittal can also be attached to this transmittal. You can also create a transmittal without attaching the documents from the source transmittal.

You can attach documents or refrain from attaching documents by making appropriate selection in the dialog box that is displayed.


Generating and Attaching Transmittal Coversheets

Generating and Attaching transmittal coversheets

Transmittal coversheets are MS Excel sheets to which details like transmittal reference number, document Internal Revision Number etc. are mapped. This MS Excel sheet is attached to the transmittal prior to releasing the transmittal.

You can attach coversheets to a transmittal in the following ways.

    • Create: Using this option you can export the transmittal template defined in the masters with the mapped values and attach it to the transmittal
    • Attach from Disk: Select this option to attach a report already created and saved in a specific location.

To attach a coversheet ,

    1. After entering the details in transmittal window in the tool bar, select Save.
    2. Once the details are saved, click the Edit button.
    3. Choose the option to generate a coversheet from the two options discussed earlier.
    4. If the option Create is selected, the transmittal template defined for the transmittal type is attached with values mapped to the template.
    5. If the option Attach from Disk is selected, Select Transmittal Print window is displayed. Select the saved coversheet and click the Open button to confirm selection.

The next of method of attaching transmittal coversheet is by right clicking in the Transmittal coversheet area as shown in the following figure. In the right click menu options to attach exported transmittal and attach file from disk are available.

Figure: Attaching transmittal coversheets from the right-click menu

Send Transmittal coversheet Automatically

If you needs the system to save the transmittal as an MS Excel file and send it with the transmittal automatically then the option can be defined in the "Send Transmittal coversheet Automatically" in General Options in Personal Preferences .

A transmittal coversheet may be kept for internal documentation and may be sent to the client/vendor. The system will import the transmittal to an MS Excel file and save this in Wrench as transmittal coversheet. You may attach a transmittal coversheet file on to the Transmittal report grid and may avail of a pop up menu for the following functions:

Converting the transmittal coversheets to PDF format

Documents released through transmittals can be automatically converted to PDF. These converted files are attached as specter files in the attachments area of the document details window. In order to enable this following settings are to be made in Transmittal Type masters and the document genealogy.

  1. In the Transmittal Type master select the check box against "Transmittal coversheet as PDF" in the transmittal type dialog box.
  2. In the document genealogy- default properties you can make the following selections.

-Specter Disposition: Possible to attach Specter file and is optional

-Distribution Option: Specter file through mails and transmittals

Figure: Document default properties window

  3. You can also select "Convert to PDF" from the right-click menu while attaching the coversheet.

NOTE: While mapping transmittal coversheet details if there are more than one user in the To.. field, in the coversheet mapped user name will be suffixed by serial number.

Transmittal Coversheet Operations

A number of operations can be carried out from the right-click menu of an attached transmittal coversheet.

The following operations can be performed from this menu

  • Create: Select this option to export the transmittal template defined in the masters with the mapped values and attach it to the transmittal.
  • Attach from Disk: Select this option to attach a coversheet already created and saved in a specific location.
  • Detach: Select this option to detach a document from the transmittal grid.
  • Copy: Select this option to create a copy of the transmittal coversheet.
  • View: Select this option to view the transmittal coversheet.
  • Check Out and Verify: Select this option check out the attached coversheet and edit the coversheet
  • Check in Verified Report: Select this option once you complete editing the coversheet. The changes you made are saved to the coversheet.

NOTE: While checking-in the transmittal coversheet following scenarios can happen.

Case 1: While performing a check-in operation with the same file, the following message will be displayed.

  • On clicking 'Yes', the file will be deleted from the local machine after attaching the coversheet.

  • Click 'No', to retain a copy of the file in the local machine after check in.

Case 2: While performing a check-in operation with another file from the local machine, the following message will be displayed.

On clicking 'Yes', the selected file will be attached as the transmittal coversheet and the following message will be displayed.

Click 'Yes', to delete the selected file from the local machine after attaching the coversheet.

Click 'No', to delete the checked out file from the local machine and the file attached as coversheet will be retained in the local machine.


Adding Attachments

Adding attachments to the transmittal

You can add reference files as attachments to the drawings or documents that are being sent through a transmittal. You can add attachments stored in a specific location or add new or existing documents as attachments.

To add attachments,

    1. In the attachments group tool bar, select Attach.
    2. Add Attachment window is displayed.
    3. Click the browse button to select a file from the hard disk.
    4. Once you select the correct file click OK.
    5. The selected file will be attached to the transmittal.

Figure: Selecting attachment from hard disk

You can also add an existing Wrench document or a new document as an attachment to the transmittal.

To add wrench document as an attachment,

    1. In the attachments group tool bar, select Add Documents and in the pop-up menu select an option.

    • If the option New is selected Add Document window is displayed. Enter the values in this window and save the document as an attachment to the transmittal.
    • If the option Existing is selected Document Search window is displayed. You can search and retrieve an existing document and add it as an attachment to the transmittal. You can add attachments to the drawings or documents that is being sent through a transmittal.

You can also perform the following operations on the attachment.

    • View: Select this option to view the attachment. While viewing a document in transmittal, the user views the specific version that has been released through transmittal.
    • Copy: Select this option to copy the transmittal attachment to a specific location in your system.
    • Delete: Select this option to remove the attachment from the transmittal

You can also access these options clicking the button as shown in the following figure.

Figure: Transmittal Attachment operations


Releasing and Acknowledging a Transmittal

Releasing Transmittal

After creation, a transmittal and its attached documents is released to the client for approval.

  1. On the tool bar click Release button to release the transmittal. The transmittal can be released by any user with Functional Security rights.
  • If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.
  • For final release transmittals a Life Cycle Status/Issue Purpose is to be assigned depending on the transmittal type. If Life Cycle Status mandatory is selected in the transmittal type then a Life Cycle Status/Issue Purpose is to be assigned prior to saving the transmittal.
  • An outlook mails is generated with the documents attached to the mail. Select the recipients for the mails and sent the mail. A single mail containing the details of all the documents transmitted is sent when a transmittal is released. If the file size exceeds the file size limit configured in MS Outlook, a warning message is displayed. You can only continue with releasing the transmittal after removing the files. You can continue working with Wrench even if MS Outlook mail for transmittal is opened.
  • When a transmittal is released, without a specter file attached to it , a warning message that specter does not exist for the documents is displayed and list of such documents is also displayed. You can create a specter by choosing the document and selecting Create Specter from the right-click menu.

NOTE: If any transmittals is released earlier with the currently selected Issue Purpose and Internal Revision Number combination, the value of the LCS is incremented based on the LCS series.

Editing a released transmittal before acknowledging

For Release type of Transmittal, you can add or delete the attached documents even just before the Acknowledging the transmittal.

On Clicking Add Document, and selecting ‘From Workspace’ or ‘From Document Search’ option, a confirmation message window will be displayed. On clicking Yes, the transmittal will be released again for the newly added documents or else click No.

NOTE: 1. If new documents are added, click Release to release the documents and also allow reports to be re-attached, if any.

2. If the total size of the attached files exceeds the sending limit of MS Outlook, a warning message is displayed

On clicking Delete Document, a confirmation message window will be displayed in which you can confirm on deletion of the document.

NOTE: Only the user logged in as Admin may add or deleted the documents attached to the released transmittal.

Acknowledging a transmittal

The receipt of a transmittal can be acknowledged by the receiver.

To acknowledge the transmittal

  1. Open the transmittal.

  2. In the tool bar click Acknowledge. Acknowledge window is displayed.
  3. Enter values for the fields Acknowledged By and Acknowledged On.

If you receive a note acknowledging the receipt of the released transmittal, this option may be updated. It is also possible to add an attachment to the Acknowledgement Note.

NOTE: In the Acknowledged On field local time at the instance of acknowledgement is displayed.

Figure: Transmittal Acknowledgement

  4. Click OK to continue.

NOTE: A transmittal can be acknowledged only once.


Document Operations

Operations on Documents added to a Transmittal

Various operations can be performed on a document added to a transmittal. Select the document added to the transmittal and right-click. The right-click menu contains the following operations which you can perform.

View

Select this option to view the document attached to the transmittal. The document will open in the native application. You can also double-click on a document to view the document. On double clicking the document the a message is displayed

  1. Select View to open the document
  2. Select Show Details to display the document details window

Open With

If you need to open a file using a program of their choice this option is used. For more information refer Document Operations>>Open With.

Show Details

i. Transmittal Version

This is the facility to view the details of the document attached to the latest version of the transmittal.

For Example: With reference to the Face Sheet example 3rd floor layout diagram and wiring diagram of reception area are the drawings attached to the transmittal. The document details like its Internal Revision Number, routing details, receipt details etc can be viewed by selecting the ‘Transmittal Version”.

ii. Latest Version

Latest Version helps in viewing the latest revision of the document from the old transmittal itself. On selecting this option document details window is displayed where the latest revision details are displayed.

For Example: A transmittal might have been released with the document of revision 0. After the approval comments from the client it has been revised to revision 1. On clicking latest version selecting the document of revision 0, document details window is displayed with the latest revision details

Copy Out

The selected documents in the transmittal grid can be copied out to an external location

While copying out a single document you can make a selection between the following options.

-Open the Copied file

-Open the Copied file location

-Close the dialog box

If a single file is copied the following dialog box is displayed.

  1. Click “Open” to open the copied file
  2. Click “Open Folder” to open the copied file location
  3. Click " Close" to close the message box
  4. On selecting the check box against “Do not show this message again” the dialog box is not displayed for further copy out operations.

If multiple files are copied, the following dialog box is displayed.

If some of the files are not copied, click “Details” button to view the details of the documents which are not copied

Attachments

Using this option you can attach the following files to the selected document.

    1. Comments
    2. Specter

For more information on comment files refer Document Details>>Attachments

Add Reference

Using this option the reference files may be added to the selected document.

i. New

This facility helps to add a new document as a reference to the selected document.

ii. Existing in Wrench

This facility helps to add a document that already exists in wrench as a reference to the selected document.

Copy Specter

Using this option the specter files attached to the document can be copied out to a specific location.

Update

i. Internal Status Code

When drawings or documents are to be submitted by vendors, the internal codes defined for the project is used to indicate the approval. For more information on Status code and other related items refer Document Operations>> Document Options .

To update internal status code

      1. Select the document from the transmittal window and right-click . From the right-click menu select Update Internal Status Code.
      2. “Update Document Details” window is displayed with the Internal Approval status code area expanded. Enter the approval status code and select Apply to confirm the change.

Bulk Update of Internal Status Code

If internal status code is to be updated for multiple documents of the same origin, a bulk operation will be helpful.

To perform a bulk update operation

  1. Select multiple documents from the transmittal grid and right-click. On the right-click menu select Update>> Internal Status Code. Update Internal Status Code window is displayed.

Figure: Update Internal Status Code window

  2. Selected documents are displayed in the window. Select the checkbox next to the documents for which you want to update the internal status code
  3. Click Bulk Update

Bulk Update Internal Status Code window is displayed.

  4. To select an Internal Approval Status Code, click the corresponding browse button. Select Internal Approval Status Code from a pre-defined list.
  5. If a Revision is required select the check box corresponding to "Revision Required." External Agency Transmittal Number and Receipt date is disabled by default. Select the required Documents and Update the internal Status Code.

The “External Agency Transmittal Number” and “External Agency Transmittal Receipt Date” of the selected Document is displayed in the selected area.

  • Click “Apply to Selected” to update the changes.

Updating Revision Number in the documents grid

  1. You can select a Revision Number from a drop down list.
  2. You can also manually type in a Revision Number.
  3. Click "Apply to Selected" to update the changes.

NOTE: You can update the revision number after adding the document to the transmittal. You can also update the revision number for a saved transmittal. The "Admin" user may modify the Transmittal Release Date.

ii. Document Details

This is the facility to update the details of the document attached to the latest version of the transmittal.

Viewing Released Transmittals

  1. To view a released Document click "Open" button to display a "Search Transmittal" window.

Figure: Search Transmittal

  • Transmittal search can be performed using the criteria.

-Transmittal Reference Number

-Transmittal Type

-Status

-Project Number

-Project Description

-Released On

-Released By

-Created On

-Created By

-Life Cycle Status

-Transmittal Category

-Description

  2. Select the required transmittal type.
  3. Click "Select" button to view it in the main window.
  4. Click " Export " button to Export the Search result to an MS Excel file.

Advanced Search

  1. In the Search Transmittal tool bar select "Advanced"
  2. Advanced Search window is displayed

Figure: Advanced Search window

  • A search can be initiated based on the following options

-Transmittal Type

-Status

-Project Number

-Project Description

-Released On

-Released By

-Created On

-Created By

-Life Cycle Status

-Transmittal Category

-Description


Transmittal Options

Options

In addition to the operations mentioned in the preceding sections the following options can also be performed from the transmittal window. These options can be accessed by selecting "Options" from the tool bar.

Figure: Document Transmittal window

  • Click ‘Options’ menu to avail the following options.

- Export

- Print Request

- Send Mail

- Send To Personal Folder

- Circulation Details

Export Transmittal

Select this option to export the transmittal details to an MS Excel sheet.

NOTE : If the Transmittal Report Required option is selected in Control Panel>>Performance and Utilities>>General then you will be asked to specify a Document for transmittal report.

Print Request

Select this option to print the details of the transmittal created.

Send Mail

Send Mail helps in intimating the users in to, cc or distribution list on the release of the transmittal through outlook.

  1. This option will be enabled only for "Released" Transmittals.
  2. Clicking this option , the transmittal mail will get generated in the outlook draft Folder, based on the Control setting(Mail) provided.
  3. In the Control settings (Mail) >> Transmittal Mail Options >> Send Mail through outlook can be set as "Send Immediately" or "Send later". Please refer section Performance and Utilities>> Mail in the administrator's manual for more details.
  4. The Documents added in the Transmittal will be sent as attachments (Original Files/ Specter) with the mail, based on the Document genealogy settings>> Distribution Option.
  5. The attachment added in the transmittal will be fetched to the mail, when the Transmittal is released.
  6. The mail includes details like Life Cycle Status, Transmittal Number, Description and Date. The content of the message displayed is shown below.

The following Transmittal is released for your perusal
Transmittal Number - DAS/SA
Description - Purchase Order
Issue Purpose - Issued For Approval
Date - 13/May/2009 14:56

This can be defined in Control settings>>Mail options>>Transmittal Mail options “Send Transmittal attachments with Mail”. For more information on defining this settings refer this section in the administrator's manual.

Send to Personal Folder

Personal folders are created by user for organizing data in a better way. Select this option to send the transmittal created to a personal folder.

Circulation Details

Circulation details are the details of people to whom the transmittal has been sent and the no: of copies send. A Transmittal can have 3 levels of distribution.

For Example: In the sample face sheet provided as a reference in the preceding sections the following details are available,

  1. Transmittal is send to the consultant.
  2. The information that the transmittal is being dispatched is send to the concerned persons in PMI and consultant.
  3. The information that the transmittal is dispatched is send to the contractor’s Project Manager and Engineering/MEP manager.

To enter the transmittal circulation details,

  1. In the menu select Circulation Details.

Circulation Details window is displayed.

Figure: Circulation Details window

The following details are displayed in the grid.

  1. User Name
  2. Login Name
  3. Number of Copies : Here, you can enter the number of copies to be sent to each user.

Updating expected receipt back date

Receipt back date can be updated for General and Release transmittals. This is updated from the documents section in the Document Transmittal window. Based on the category selected there is a slight change in the labe.

If the category selected is General, Expected Receipt Date can be updated.

If the category selected is Release, Expected Received Back Date can be updated.

If the category selected is Final Release, this option is not available.


Custom Reports

Wrench Enterprise enables efficient Project Management and Data management by ensuring that all the processes are translated into a management perspective. This is achieved through "Custom Reports" module from which a number of reports that are critical to project management and data management can be derived. Wrench Enterprise has formulated these reports where tasks belonging to specific levels and the current status of the documents linked or referred to each selected task is made available in a customizable format where you may select only the required fields and export them to Excel, PDF, Wrench screen or CSV format. The "Custom Reports" module offers you enhanced parameter selection to narrow down on specific reports and the option to view reports.

Navigation Table

To | See
Configure new Custom Reports | Configuring New Custom Report
Open a saved report | Opening a Report
Edit a saved report | Editing a Report
Group existing reports | Grouping Reports
Send reports to personal folders | Sending Reports to Personal Folders
Hide and Un-hide reports | Hiding and Un-hiding reports

Opening a report

You can configure and save a report and open it later

To open the configured report

  1. In the Wrench desktop navigation bar click Custom Reports.

Custom Reports desktop is displayed.

  2. Select the report to be opened.
  3. In the left navigation bar under Reports Options, select Open.

Figure: Custom Reports Window

  4. If you have assigned any input parameters for which property 'Is Single' is not checked for the selected report, then the report parameter dialog box with defined variables would be displayed.

Figure: Variable Parameters

  5. Select the value for input parameters and click Next.
  6. The ‘Selected Report Criteria’ dialog box with the report parameters as well as their corresponding values along would be subsequently displayed.

Figure: Selected Report Criteria

9. Click ‘View Report’ to open the report in the saved output format.

In case the output format selected for the report is Wrench Screen, a report is generated in the following format.

The following options are available in the tool bar.

Show Customisation: Select this option to customise the report screen. You can remove columns from the report screen and put it back if you need it in your report screen.

Views: Select this option to choose different saved views. On clicking Views, a list of saved views are displayed.

Save Views: You can create different views and save the views. On clicking this option Save Views window is displayed. Here you can save a view providing a name for the view and delete a view.

Export: Select this option to export the report to an MS Excel file. When you export a generated report from the Wrench Screen and save the report to a specific location a dialog box is displayed as in the following figure.

In the dialog box options to open the report, open the folder where the report is saved and Close the dialog box is available.

Editing a Report

Prior to generating a report changes can be made to an existing report.

To edit the configured report

  1. In the Wrench desktop select Utilities
  2. Under Utilities select "Custom Reports"
  3. Reports desktop is displayed.
  4. Select the report to be edited.
  5. In the left navigation bar under Reports Options, Select Edit.

Figure: Custom Reports Window

  1. Report Properties window is displayed.
  8. Enter the report properties, you want to edit in the report selected. For more details refer Configuring a repor .
  7. Click Finish to save the edited report configuration.

Grouping of reports

The custom reports that you created will be available in the display pane of Custom Report window. You can group the reports based on name, description and category, for the easy retrieval of reports created.

To group the created reports

  1. Right-click from the display pane of Custom Report window, to get a menu list.
  2. Select Group By from the menu list displayed.
  3. A sub menu will be displayed, where you can select based on which group the reports created must be grouped.

Figure: Grouping the reports in Custom Report window

Sending your reports to smart folder

You can send your reports to a Smart Folder so that you reports can be accessed from the desktop.

To send reports to a Smart Folder

  1. Select the report that you want to send
  2. In the navigation bar select Send To Smart Folder
  3. Folder List window is displayed
  4. Select the folder to which you want to send the report and click OK.

Hiding and Un-hiding reports

You can select a report and hide them so that only reports relevant to a user is displayed. You can unhide later or whenever it is necessary.

To hide or unhide reports

  1. Select the report that you want to hide
  2. In the reports desktop, under Report Options select Hide. You can also select Hide from the right-click menu.

See also:


Configure New Report

Configuring New Reports

Configuring a new report is the process of saving a report view with defined report input parameters. This saved configuration can be reused by the user at any point of time. In this scenario some report parameters (If checked as variable) will change from time to time, while some will remain static.

Prerequisites

Only a user with 'Create and Manage' rights can configure or create a new report.

To configure a new report

  1. In the left navigation bar under Reports Options, Select Configure Wrench Reports.

Figure: Custom Reports Window

  2. Report Properties window is displayed.

Figure: Report Properties window

Report Properties window consists of the following tabs. Now let us go into the details of each tab.

      1. Basic Details
      2. Type of Report
      3. Filters
      4. Input Parameters
      5. Output Formats

Configuring SSRS reports

SSRS reports configured in the server can be configured from here.

To configure SSRS reports

Figure: Configuring SSRS reports

  1. In the left navigation bar under Reports Options, click Configure SSRS Reports.

Configure SSRS URL box is displayed.

  2. Enter Report Builder URL and Webservice URL.
  3. Click OK to continue.

Sending Configured Reports to SmartProject Homepage

Configured reports can be send to SmartProject homepage from Reports window.

To send configured reports

  1. In the Report Configuration window select a configured report and right-click.
  2. In the right-click menu click Send To.

  3. In the pop-up menu click Homepage (Web).

Send To Homepage (Web Version) window is displayed.

Figure: Send To Home Page window

  4. In the window select the users and user groups who should be able to access this report from SmartProject.
  5. Click the respective browse button to select users or user groups.
  6. After selecting Users or User Groups click OK.

The published report is displayed in the home page of the user under the Reports pane.

SSRS report types

Different types of report that will help you in monitoring and managing your projects are available. These reports are briefly explained in the following section. They are:

Delivery Plan Summary Report

Look Ahead Report

All Revision Report (Document Lifecycle) Area Based

All Revision Report (Document Lifecycle) Document Based

Document Pending Register- Area Based

Document Pending Register -Document Based

Deliverable Delay Report

Document Issue and Approval Summary Report - Area Based

Document Issue and Approval Summary Report - Document based

Document Pending Register( Based on Approval)-Area Based

Document Pending Register( Based on Approval)-Document Based

Stage Resource Status Report- Area Based

User Based Time Sheet Detail Report

Task Delay Dash Board

Project Wise Dash Board

Delivery Plan Summary Report

This report will provide you with a count of deliverables/tasks whose stages (stages in rule of credit) are planned to be completed in a specific time interval. This report is generated based on Planned, Forecast dates in the rule of credit.

Enter values for the following properties.

From (Date):Start date of the rule of credit stage

To (Date): End date of the rule of credit stage

Rule Set: Select the Rule set.

Rule of Credit: Select Rule of Credit,

Based On: Specify whether the report is based on Planned or Forecast date.

A sample of the generated report is shown in the following figure.

Figure: Sample Report

Look Ahead Report

Look ahead report will give you an idea on activities that has to be carried out during the review process of a document. Look Ahead report is generated based on the planned and forecast dates in the rule set.

Look Ahead report will contain the list of deliverables between a specific date range, whose planned/forecast dates fall in between the selected dates. Areas in the project are listed first and on clicking an Area, detailed report is generated.

Enter values for the following properties to generate the report.

From (Date):Start date of the rule of credit stage.

To (Date): End date of the rule of credit stage.

Project ID: Select the ID of the project for which the report is being generated.

Based On: Specify whether the report is based on Planned or Forecast date.

All Revision Report (Document Lifecycle) Area Based

The report will list all the deliverables with all its revisions for a selected project. This report will help in understanding the transmittal details of a deliverable. The report is generated based on Area.

Enter values for the following properties to generate the report.

Project ID: Select the ID of the project for which the report is being generated.

A sample of the report is shown in the following figure.

Figure: Area based All Revisions Report (Sample)

All Revision Report (Document Lifecycle) Document Based

This report displays all the revisions of all deliverables. The report is generated based on documents and will display all revisions of the document.

Enter values for the following properties to generate the report.

Project ID: Select the ID of the project for which the report is being generated.

As on: Date on which the report is generated.

Origin Type : Select the origin type of the document. Only a single type can be selected.

Origin Name : Select the origin name. Multiple origin names can be selected.

A sample of the report is shown in the following figure.

Figure: Document based All Revisions Report (Sample)

Document Pending Register - Area Based

The report will list all the deliverables which are submitted for client review and awaiting reply from the client(based on Issue purpose). Number of days the document is over-due with the client is displayed in this report.

Enter values for the following properties to generate the report.

Project ID: Select the ID of the project for which the report is being generated.

As on: Date on which the report is generated.

A sample of the report is shown in the following figure.

Figure: Document Pending Register

Document Pending Register - Document Based

The report will list all the deliverables which are submitted for client review and awaiting reply from the client(based on Issue purpose). Number of days the document is over-due with the client is displayed in this report.

Enter values for the following properties to generate the report.

Project ID: Select the ID of the project for which the report is being generated.

As on: Specify the date on which the report is generated.

Origin Type: Specify the origin type of the document.

Origin Name: Specify the origin name of the document.

A sample of the report is shown in the following figure.

Figure: Document Pending Register (Sample)

Deliverable Delay Report

This report will list all the deliverables that are delayed during a specific time period.

Enter values for the following properties to generate the report.

From Date: Specify the date from which time period starts.

To Date: Specify the date when the time period ends.

Project ID: Enter the project ID.

Based on Planned/Forecast: Specify whether the report is generated based on planed or forecast dates.

A sample of the report is shown in the following figure.

Figure: Deliverable Delay Report (Sample)

Document Issue and Approval Summary Report-Area Based

This report provides you with details on transmittal releases and its approval status.

This report will only contain details on latest released transmittal (Release and Final release) between a selected time interval against a document.

Enter values for the following properties to generate the report.

Project ID: Select a Project (Single selection).

From Date: Specify the date from which time period starts.

To Date: Specify the date when the time period ends.

Based on: Specify whether the report is generated based on Issue Purpose or Submissions.

A sample of the report is shown in the following figure.

Figure: Document Issue and Approval Summary report (Sample)

Document Issue and Approval Summary Report-Document Based

This report will provide you with a summary of transmittal releases and its approval codes. Only Release and Final Release transmittal released between a specific date will be considered while generating report.

Enter values for the following properties to generate the report.

Project ID: Select a Project (Single selection).

From Date: Specify the date from which time period starts.

To Date: Specify the date when the time period ends.

Origin Type: Select the origin type of the document.

Origin Name: Select a origin name.

Based on: Specify whether the report is generated based on Issue Purpose or Submissions.

A sample of the report is shown in the following figure.

Figure: Document Issue and Approval Summary report-Document Based (Sample)

Document Pending Register( Based on Approval) Area Based

The report provide you a list of all the deliverables which are:

  • Submitted for client review.
  • Approval code (Revision required is enabled) is received from client.
  • Awaiting for re-submission from contractor side (based on Approval).

Enter values for the following properties to generate the report.

Project ID: Select a Project (Single selection)

As On: The date on which the report is generated.

A sample of the report is shown in the following figure.

Figure: Document Pending Register (Sample Report)

Document Pending Register( Based on Approval) Document Based

The report provide you a list of all the deliverables which are:

  • Submitted for client review.
  • Approval code (Revision required is enabled) is received from client.
  • Awaiting for re-submission from contractor side (based on Approval).

Enter values for the following properties to generate the report.

Project ID: Select a Project (Single selection)

Origin Type: Select the origin type of the document.

Origin Name: Select a origin name.

As On: The date on which the report is generated.

A sample of the report is shown in the following figure.

Figure: Document Pending Register (Sample Report)

Stage - Resource Status Report (Area Based)

The report will give you an idea on:

  • The current stage of deliverable in a workflow.
  • The current stage user.

The report will display the document received date in work flow and number of days pending in the work flow based on the “As on Date”.

Enter values for the following properties to generate the report.

Project ID: Select single or multiple Projects.

Received From: Date from which documents were received.

Received To: Date until when documents were received.

As on Date: Date on which report is generated.

WF Name: Select the workflow.

WF Stage: Select the workflow stage based on which the report is to be generated.

Based on: Specify whether the report is generated based on document or task.

A sample of the report is shown in the following figure.

Figure: Stage - Resource Status Report-Area Based (Sample Report)

User Based Time Sheet Detail Report

The report will provide detailed information on the time log of a user. The report will provide details like total time logged in within a selected time period.

Enter values for the following properties to generate the report.

Project ID: Select single or multiple projects. You can also leave this field blank.

From Date: Date from when time log entry was made.

To Date: Date until when the time log entry was made.

User: Select single or multiple users.

Group by: Specify how the report is to be grouped. You can group it either Project wise or User wise.

A sample of the report is shown in the following figure.

Figure: User base time sheet detail report (Sample Report)

Task delay dashboard

This dashboard will display the number of delayed tasks based on the percentage of delay. Tasks are grouped based on the following delay percentage. When the tasks actual progress is less than the planned progress as on the selected date the task is considered as delayed.

  • Less than 25%
  • Between 25% and 50%
  • Above 50%

Dashboard is generated based on As On Date.

Enter values for the following properties to generate the dashboard.

Project ID: Select single or multiple projects.

As on Date: Date on which dashboard is generated

A sample of the dashboard is shown in the following figure.

Figure: Task delay dashboard (Sample)

Project wise dashboard

This dashboard is a graphical representation of progress summary. This dashboard represents progress of your current running projects, further drill down and represent the progress of different phases in a project; Engineering, Procurement and Construction. Also representation can be generated for different disciplines in your organization, Engineering, Mechanical, Civil etc.

Dashboard is generated based on As On Date.

Enter values for the following properties to generate the dashboard.

Project ID: Select single or multiple projects.

As on Date: Date on which dashboard is generated.

A sample of the dashboard is shown in the following figure.

Figure: Project wise progress (Sample representation)

Figure: Project phase wise progress

Figure: Discipline wise progress (Sample Report)

See also:

Opening a report

Editing a report

Grouping of reports


Basic Details

Basic Details tab

Basic details like report name, description can be defined here. Further options for controlling access to reports are also available.

Figure: Defining Report Properties

You can enter the following information for the report to be generated.

  1. Name of Report - Enter a unique name for the report
  2. Short Description -Enter a short description for the report
  3. Visible to Everyone - Select this option if this report is to be made visible to everyone.
  4. Visible to Me - Select this option if this report is to be made visible to only to the user who creates it.
  5. Visible to selected User or User groups - Select this option if this report is to be made visible to the selected users or user groups. You can select a user or user group

NOTE: On selecting 'Visible to selected User or User groups', the [image] button is enabled, where you can select the user and user groups.

After entering the basic report properties, you can select the type of report to be configured. To enter the details on type of report, you can click on Type of Report tab in Report Properties window. For more details on configuring the type of reports refer Type of Report tab.

See Also:

Configure New Report


Type of Report

Selecting Report Types

User can generate different types of report based on your requirements. Select the radio button next to an option to select the type of report generation.

Figure: Type of Report tab

The different types of reports that can be generated are explained in the succeeding section.

  • Wrench Reporting Service: Select this option if you wish to configure the report generation based on wrench reporting service. For more details refer Configuring reports by Wrench Reporting Service.
  • Hybrid Reports: Select this option if you wish to configure the report generation based on the table views created in the SQL database. For more details refer Configuring Hybrid Reports .
  • SQL Reporting Service: Select this option if you wish to configure the report generation based on SQL reporting service. For more details refer Configuring SQL Reporting Service .

Wrench Reporting Service

Wrench reporting service assists you in generating the most frequently used reports. Different options are available for configuring Wrench Reporting Service which are mentioned in the following sections.

Report Category: Wrench reports can be grouped to different categories. These different categories can be selected from a drop-down list.

To select a category

  1. Click the arrow pointed downwards next to Report Category field
  2. A list of categories is displayed
  3. You can select a category from the list as displayed in the following figure

Report Type/ SP Name: Some of the report categories are further divided into different types. This division helps in generating precise and concise reports. Report types available for different report different categories are listed in the following sections.

Project Based Report

The status of a specified project or Multiple Projects can be extracted with this report. For Example: Consider a monthly Project status report. Here the user is looking for a status report of all Work In Progress Projects for a month’s period. In this case there are three report parameters.

  1. Project Status: Work In Progress
  2. Project Start date
  3. Project End date

To generate a Project Based Report

  1. In the drop-down list select Project Based Report
  2. Report properties window is displayed

Figure: Report Configuration window

In this window, you can configure the above report by defining Project Start Date and End Date and value for Project status as Work In Progress.

Report parameters available for configuring Project based reports are explained in the section Filtering Wrench Report Parameters .

Task Based Reports

The status of a specified task or multiple tasks can be extracted with this report.

For Task Based Report category, the following report types are available for selection

  • Documents Deliverables Register : On selecting this option, the document deliverables type reports for the task will be displayed.
  • Squad Check Report : On selecting this option , the squad check type reports for the task will be displayed.
  • Vendor Report : On selecting this option, the vendor type reports for the task will be displayed.

Report parameters available for configuring Task based reports are explained in the section Filtering Wrench Report Parameters .

Document Based Reports

The status of a specified document or multiple documents can be extracted with this report.

For Document Based Report category, the following report types are available for selection

  • Documents : On selecting this option, the documents which satisfies the selected criteria will be displayed.
  • Correspondence : On selecting this option, the correspondence documents which satisfies the selected criteria will be displayed.

Report parameters available for configuring Document based reports are explained in the section Filtering Wrench Report Parameters .

Resource Based Reports

Resource based reports provide you with complete details of a resource who is assigned to a project. Details like login name, discipline, roles, user group, budgeted and actual duration etc. are displayed in the generated report.

To generate a resource based report

Select the Report Category as Resource Based Reports in the drop-down list.

After entering the filters and other necessary parameters for generating a report save the configured report. Now when you open the save report entire details of the resource in a project is generated.

Figure: Resource Based report

Timesheet Reports

A time sheet report provides you with time sheet entry details of a resource. Information on project details, task details, time spent by the user, status of the time sheet entry etc. are displayed in the report.

To generate a timesheet report

  1. Select the Report Category as Timesheet Report in the drop-down list.
  2. A report can be generated based on the parameters displayed in the following figure

Figure: Timesheet Report parameters

  3. After selecting the input parameters, select the report format and click Finish button to save the report configuration.
  4. When you open a saved report timesheet details are displayed as in the following figure

Figure: Timesheet Report

Additional Reports

For Additional Report category, the following report types are available for selection

  • Count : On selecting this option, the number of documents which satisfies the selected criteria will be displayed.
  • Date : On selecting this option, the documents which are to sent on the specified Date(s) will be displayed.

Configurable Reports

For Configurable Report category, the report types available for selection are list of configured stored procedures.

After entering the report category and type, you can select the filters based on which the report is to be generated. To enter the filtering report parameters, you can click on Filters tab in Report Properties window. For more details on selecting the filters refer Filters tab.

Hybrid Reports

Hybrids reports are generated using the tables created in the SQL database. Tables are created in the SQL database with fields relevant to the organizational needs. On generating a report using a pre-defined table the fields in the table are populated with the respective values. The first step in generating a hybrid report is selecting a table.

To select a table

  1. Click the browse button next to Select Table View

Figure: Selecting a table view

  2. Select Table View window is displayed.
  3. You can select a table from the list displayed.

Figure: Select Table View window

Once a table is selected you can a select a report category

To select a category,

  1. Click the down arrow next to the Report category box.
  2. You can select a category from the drop-down list.

Figure: Report Category option

After selecting the table view and report category, you can select the filters based on which the report is to be generated. To enter the filtering report parameters, you can click on Filters tab in Report Properties window. For more details on selecting the filters refer Filters tab.

SQL reporting service

SQL reporting service uses the powerful data management capabilities of SQL server to generate real time information. The first step in generating the report is to select a RDL file. RDL file is the reporting configuration file created using SQL report builder. The report is configured in SQL report builder and the configured report can be opened in Wrench. RDL is the extension of the file created using SQL report builder.

To enter RDL file URL

  1. Enter the URL of the RDL file
  2. Select the file from the File Open dialog box.

Figure: Selecting an RDL file

Once you select an RDL file you can select a report category

To select a category

  1. Click the down arrow next to the Report category box.
  2. You can select a category from the drop-down list

Figure: Report Category option

  3. Select the RDL file and report category
  4. Select a Viewer type from a drop-down list. Options available are SSRS Report Viewer and Web Browser.
  5. Click the browse button next to Image to select an icon for the report.
  6. Click Finish to complete the new report configuration based on SQL reporting service.

To view the report configured, select the report and click "Open" in the left navigation bar under Report Options. For more details refer Opening a report.

For Example: A sample of SQL Report format will be as follows:

Figure: SQL Report

Following are the standard SSRS reports that can be generated in Wrench.

Master Document List (Document Register)

This report is a register of all documents that have been created, received and submitted against a project and the history of these documents and its current status.

In this report, only task linked documents will appear.

A report can be generated based on the following parameters

Figure: Selecting report generation parameters

Project ID: Select the project from a drop-down list.

Origin Type: Select the origin of the document from a drop-down list. You can select Vendor, Internal or both.

Document Genealogy: Select a genealogy or multiple genealogies

Area: If any areas are defined for a project select the Area. Then the report will be filtered based on the Area selected.

System: If any systems are defined for a project select the System. Then the report will be filtered based on the Area selected.

Revision: Here you can select between the options Show Latest Revision and Show All Revisions

Click View Report to generate the report.

Correspondence Register

Details of entire correspondences related to a project can be generated using this report. A report can be generated for incoming correspondence, outgoing correspondence or both. This report provide you with information on correspondences pending with the Project Team/Organization and correspondences pending from the client. In short this report provides a list of outstanding correspondences. This report is mostly used by Document Controllers, Secretaries and Project Managers.

A report can be generated based on the parameters displayed in the following figure.

Figure: Generating a correspondence register

Correspondence Type: Select a correspondence type. You can select the correspondence type as Incoming, Outgoing or All

Project ID: Select a Project ID

To Be Replied By: Select the resource who has to reply to the correspondence

Reply Expected Date: Specify a date on which the reply is expected

Document Level: Select different document levels or genealogies.

Click View Report to generate report.

EDDR

This report gives a clear picture on the progress of engineering documents or deliverables for a project. In other words this report can be called as engineering document progress report. The report gives a clear picture on progress of each deliverable and its contribution to the project. A report can be generated based on the following parameters.

Figure: Generating an EDDR report

Project ID: Select the Project ID of the project for which the report is being generated

System: Select a System if systems are defined in a project

Area: Select an Area, If Areas are defined in the project,

Origin Type: Select an origin type from a drop-down list

Origin Name: Select an origin name

Ruleset: Select the ruleset

Document Genealogy: Select a document genealogy

Click View Report to generate a report

Expediting Reports

Expediting reports helps in speeding up the completion of a project by providing you with information on tasks pending, the tasks that has to be carried out in the coming weeks and planned versus actual over a period of time. Different expediting reports available in Wrench are

Expediting Overdue Report

This is a task based report that is used to identify the list of tasks that were planned for completion with respect to a particular milestone (For Example: Submission), but are not yet completed. It is possible to generate a report of all tasks that are overdue with respect to a milestone. An expediting overdue report is based on the following parameters.

Report Type: Select the expediting report type from a drop-down list

Project ID: Select the Project ID of the project for which the report has to be generated

Based on: Select the milestone dates; Planned Finish Date and Forecast Finish date

Rule Set: Select the Rule Set based on which the report has to be generated

Rule Name: Select the Rule Names from a drop-down list

To Date/As On Date: Select the date based on which report has to be generated

Include Completed Milestones: Select whether completed milestones has to be included in the report

  1. Enter values for parameters like System, Area, Origin Type and Origin Name.
  2. Click View Report to generate a report

Figure: Generating a report

Expediting Overdue Report is generated as displayed in the following figure.

Figure: Overdue Report

Expediting Look Ahead Report

This report helps in identifying all tasks that are planned for completion for a specific period of time. In addition the current status of the task will also be made available through this report.

The parameters selected for generating this report is almost similar to the overdue report. For generating this report Report Type is selected as Expediting Look Ahead Report.

Figure: Generating a look ahead report

The generated report is displayed in the following figure.

NOTE: The report is illustrated as two sections because the complete report window will not fit in here.

Figure: Look Ahead Report - Section 1

Figure: Look Ahead Report - Section 2

Expediting Query Report

This is a report of all deliverables that were planned for completion over a specified period of time.

The parameters selected for generating this report is almost similar to the overdue report. For generating this report Report Type is selected as Expediting Query Report.

Figure: Generating an Expediting Query Report

The generated report is displayed in the following figure.

Figure: Document Query Report

MOM Report

This report provide you with information on all the action points related to a MOM or Project.

Figure: Generating a MOM report

A project is not a mandatory option to generate a MOM Report. A report can he generated based on a meeting board. Also reports on MOM with different status can also be generated.

Drawing Approval and Release status report

This is a task based report. This report provide you with a count of number of documents under a specific department or discipline for a specific time interval. Some of the important information provided by this report are

  • Total number of deliverables under a discipline
  • Total number of deliverables
  • Total number of deliverables planned for submission
  • Total number of deliverables submitted
  • Total number of deliverables not planned but submitted
  1. In the report generation window displayed below, values are entered for different fields.

Figure: Entering values

  2. Click View report to generate a report.

The generate report will be almost similar to the format displayed below; only the values will differ.

Figure: Generated Report

Count Reports

Count reports give you the total number of deliverables satisfying a set of properties and criteria.

To generate a count report

A link for generating count reports will be provided. Enter this link in your browser and Wrench Reporting Service window is displayed.

  1. In the Wrench Report Servicing window click the hyperlink count report
  2. Count Report configuration window is displayed

The elements in the window are explained in the following table

#

Item

Description

1

Project ID

Select a Project for which you need to generate a report. From the drop down list. You can select single or multiple projects.

2

Report As on
  1. As On field is populated with the current date. You can change the date by picking a date from the date picker. As On date is the date with reference to which count is calculated

3

Area Code

Select the Area Code

4

Document Genealogy

Select the genealogy under which the document is grouped

5

Task Genealogy

Select the genealogy under which the task is grouped

6

Based On

You can generate the report based on the following criteria which can be selected from a drop-down list.

7

Date to be used

You can generate the report based on Planned and Actual date

8

Criteria

Select a criteria from the drop-down list. On selecting an option, total number of deliverables satisfying the selected criteria is displayed in the output.

9

Origin Type

The origin of the document, which means whether the document was sent by the customer or vendor or whether the document is an internal document can be selected from a drop down list.

10

Origin Name

Select the name of the resource who sent the document.

11

Date to be mapped for transmittal stage

Select the date which is to be used for mapping the transmittal stage. You can map the date from the Rule of Credit, sending history, transmittal created date and transmittal released date.

Once the required criteria and values are entered, click View Report to generate a report. The report generated will be similar to the following figure.

On moving the scroll bar, remaining values in the report are also displayed. Now if you observe the reports you can see a value 1 under Schedule Start Date (No's). This denotes the total number of deliverables that have been started before Report As on date.

See Also:

Configure New Report


Filters

Filters tab

Filters can be defined for a report that helps you in selecting the parameters that are to be displayed in a report. You can select the report parameters and enter the values based on which the report generated is to be filtered.

NOTE: Filters tab will be displayed only for configuring Wrench Reporting Service and Hybrid Reports type of reports.

Figure: Filter tab window on selecting 'Wrench Reporting Service'

Filtering Wrench report parameters

Filter parameters available for selection are based on the selected report category. The filter parameters available for different report categories are mentioned in the succeeding sections.

Project Based Reports

Following are the filter parameters available for selection

  • Project Type - Select the Project type/Project types.
  • Project Status - Select the project status (WIP/Completed).
  • Project ID - Click the ellipse button to avail the Project search interface. Select the required project/projects. You can also select all the available Projects. If all Projects are selected in the Selected Value field “All Project Selected” is displayed.
  • Sort Report Based On - You can define a sort order for the reports to be generated. Click the "Browse" button to define a sort order from a list of values.

Figure: List of Out Put Fields

You can select fields from a list. The selected fields are displayed in the list of selected output fields. Select a field and click the right arrow to complete the selection. You can arrange the order of the selected fields using the arrows provided. To deselect a field select the field and click the left arrow. The selected field is moved back to the list of available output fields area.

  • Project Start Date: To - Select the Project Start To Date.
  • Project Start Date: From - Select the Project Start From Date.
  • Project End Date: To - Select the Project End To Date.
  • Project End Date: From - Select the Project End From Date.

Task Based Report

Following are the filter parameters available for selection.

  • Approval Requirement Code - Select the appropriate Approval Requirement Code (ARC).Report can be generated for a Documents following a particular Requirement code.
  • Approval Status Code - Select the appropriate Approval Status Code (ASC). Reports can be generated for a specified Approval Status Code.
  • Area - Select the area/areas added under the selected project.
  • Attachment Mode - Select the attachment mode namely; Linked/Referred/both.
  • Customer Scheduled - Select the whether the report generated are to be customer scheduled or not.
  • Document Genealogy - Select the required document genealogy.
  • Document Number(s) - You may enter a value for the document number or select a single or multiple document number from the document search window.
  • External Agency Transmittal Date From - Select the external agency transmittal from date.
  • External Agency Transmittal Date To - Select the external agency transmittal to date.
  • Forecasted Start Date - Select the Forecasted Start date. This field is provided so that the You may specify the time period.
  • Forecasted End Date - Select the Forecasted End date.
  • Interim Stages - Select the stages in the rules assigned for the project.
  • Origin Name - Select the document origin name.
  • Origin Type - Select the document origin type.
  • Pending with User(s) - User may enter a user name or click the browse button to select single or multiple users from the user list window.
  • Project ID - Click 'Browse' button to avail the Project search interface. Select the required Project/Projects. You can also select all the available Projects. If all Projects are selected in the Selected Value field “All Project Selected” is displayed.
  • Received Back: From - Select the Received Back From date. All the documents received back in a period can be specified.
  • Received Back: To - Select the Received Back To date.
  • Released On: From - Select the Released On From date. All the documents released in a period can be specified.
  • Released On: To - Select the Released On To date.
  • Sort Report Based On - You can define a sort order for the reports to be generated. Click the "Browse" button to define a sort order from a list of values.

Figure: List of Out Put Fields

You can select fields from a list. The selected fields are displayed in the list of selected output fields. Select a field and click the right arrow to complete the selection. You can arrange the order of the selected fields using the arrows provided. To deselect a field select the field and click the left arrow. The selected field is moved back to the list of available output fields area.

Selecting submission details

Submitting the documents to the customer for approval is an important activity. Hence while generating task based reports an option to provide submission details is available

To select submission details

  1. Click 'Browse' button to avail the Submission Details window.
  2. Select the required fields based on which the task report is to be generated.
  3. Click ‘OK’.

Figure: Submission Details window

Different submission options that can be selected are as follows

  • Document pending for submission: Specify this option to include the documents scheduled for submission to the customer in the report. This report is generated if the task is customer scheduled and if the task status is Work-in-Progress (WIP).
  • Document Pending with Customer for Approval: Specify this option to include the documents pending with Customer.
  • Document Pending for Resubmission: Specify this option to include documents Pending for resubmission in the report.
  • Document is not Due but Submitted: Specify this option to include submitted documents that are not due in the report.
  • Delayed: Specify this option to include delayed tasks in the report.
  • Ageing days: Specify the number of days the customer will take to review a document.
  • Show custom properties: If this option is checked, then all the custom properties assigned to the document are shown.
  • Work flow details: Specify this option to include all the work flow details related to the task.
  • Show old Revisions: If this option is checked then all the earlier revisions of the documents are shown.
  • Show all Revisions: If this option is checked then all the earlier Revisions and Latest Revisions of the documents are shown.
  • Show all Previous Transmittal Revisions: If this option is checked then all the previous transmittal revisions of the documents are shown.

Once the submission details are selected you can continue defining values for the following parameters

  • System - Select the system/systems added under the selected project.
  • Task Genealogy - Select the required task genealogy.
  • Task Name - Select the required Task name.
  • Task Status - Select the task status.
  • Type of Task - Select the type of task namely; Document/Non document/both.
  • Vendor Name - Select the Vendor name.
  • Workflow Stage Name - You can select a stage name from the drop down list.

Document Based Report

Following are the filter parameters available for selection

  • Project ID - Click the ellipse button to avail the Project search interface. Select the required project/projects. The selected projects will be displayed in the Selected report criteria field,each project separated by commas. You can also select all the available Projects. If all Projects are selected from the Project search window, in the Selected Value field “All Project Selected” is displayed.
  • Document Genealogy - Select the required document genealogy.
  • To be Replied By - Click the Ellipse Button to avail the User List Interface. Select the required Users, who will be listed separated by commas in the selected Report Criteria Field.
  • Correspondence Type - If it's a correspondence document, select the required correspondence type namely; Incoming/outgoing/both.
  • Document Status - You can select between Work In Progress and Released.
  • Life Cycle Status - You can click the "Browse" button to select from LCS search window.
  • Workflow Stage Name - You can select a stage name from the drop down list.
  • Document Custom Property - You can click the "Browse" button to select a custom property from a list.
  • Submission Details - You can select from a drop down list. Options available are Show latest revisions, Show all revisions, Show old revisions.
  • Document Description - You can provide a description for the document.
  • Project Type - You can click the "Browse" button to select a type from the "Project Type Search" window.
  • Area Code - You can click the "Browse" button to select from a list.
  • Document Origin - Click the "Browse" button to select an origin from a list.
  • Customer - Click the "Browse" button to select from the Customer search window.
  • File Type - You can specify a file type.
  • Attachment Mode - Select an attachment mode from a drop down list. You can select between "With physical file" and "Without Physical File".
  • File Name - You can specify a file name.
  • Sheet Number - You can specify a sheet number.
  • Number of Sheets - You can define the number of sheets.
  • Internal Revision Number - You can specify a Internal Revision Number.
  • Revision Number - You can specify a revision number.
  • Sheet Size - You can select a sheet size from a drop down list.
  • Checkout By - Click "Browse" button to select a user from the user selection window.
  • Checkout Start - You can select checkout start date from the calendar.
  • Checkout End - You can select checkout end date from the calendar.
  • Checkout PC - You can specify a check out PC.
  • Last Edited/ Check in By - Click the "Browse" button to select from the user list window.
  • Last Edited/ Check in Start - Select the last edited or check in start date from the calendar.
  • Last Edited/ Check in End - Select the last edited or check in end date from the calendar.
  • Last Released By - Click the "Browse" button to select from the user list window.
  • Last Released Start - Select the last released start date from the calendar
  • Last Released End - Select the last released end date from the calendar.
  • Created By - Click the "Browse" button to select from the user list window.
  • Created Start - Select the created start date from the calendar.
  • Created End - Select the created end date from the calendar.
  • Contains Specters - You can select between "Yes" and "No" from a drop down list.
  • Contains Attachments - You can select between "Yes" and "No" from a drop down list.
  • Contains Markups - You can select between "Yes" and "No" from a drop down list.
  • Contains Comments - You can select between "Yes" and "No" from a drop down list.
  • Contains Squad Check Comments - You can select between "Yes" and "No" from a drop down list.
  • Client Document Number - You can specify a client document number.
  • Vendor Document Number - You can specify a vendor document number.
  • Reply Required - You can select from "Yes" and "No" from a drop down list.
  • From - You can specify the sender.
  • To - You can specify the receiver.
  • Cc - Specify the user to whom copies are to be sent.
  • Received Date - You can specify a received date from the calendar.
  • Subject - You can specify a subject for the message.
  • Body - You can specify a body for the message.
  • Expected Reply Date From - Specify a from date for the reply expected.
  • Expected Reply Date To - Specify a to date for the reply expected.
  • Reply Expected From - Click the "Browse" button to select from the User List window.
  • Replied - Select from a drop down list between "Yes" and "No".
  • Letter Date From - Specify a date for the letter received.
  • Letter Date To - Specify a date for the letter sent.
  • Receipt Date From - Specify the from date for the Receipt.
  • Receipt Date To - Specify the send to date.
  • Actual Reply Date From - You can specify an actual reply receipt date.
  • Actual Reply Date To - You can specify an actual reply send date.
  • Receive Back Date From - You can specify a date to indicate the receipt of the correspondence back.
  • Receive Back Date To - You can specify a date to indicate the receipt of the correspondence by the sender.
  • Issue Date From - Specify the from date for the issue.
  • Issue Date To - Specify the to date for the issue.
  • Reply To Be Received By - A user can be assigned to receive the reply.
  • Approval Status Code - An approval status code can be specified.
  • Approval Requirement Code - An approval requirement code can be specified.
  • External Agency transmittal Date From - Select the external agency transmittal from date.
  • External Agency transmittal Date To - Select the external agency transmittal to date.

Resource Based Report

Following are the filter parameters available for selection

  • Login Name – Select the login name of the user/users.
  • Project – Select the required project/projects. You can also select all the available Projects. If all Projects are selected in the Selected Value field “All Project Selected” is displayed.
  • Sort Reports Based on: You can define a sort order for the reports to be generated. Click the "Browse" button to define a sort order from a list of values

Additional Report

Following are the filter parameters available for selection

  • Project ID- Select the required project. You can also select all the available Projects. If all Projects are selected in the Selected Value field “All Project Selected” is displayed.
  • Area – Select the area/areas added under the selected project.
  • Rule of credit - Select the stages of rules assigned for the selected project/multiple projects.
  • Task Genealogy- Select the appropriate task genealogy/ genealogies.
  • Document Genealogy - Select the appropriate document genealogy/genealogies.
  • Report as on – Select the date on which the report is to be generated.
  • Date to be Mapped for Transmittal Stage-This is the date on which the document reached the transmittal stage. This date can be selected from the WBS Planning Template dates, Sending History, Document Creation date or the document released date.
  • Date to be Mapped for Release Stage-This is the date on which the document reached the transmittal stage. This date can be selected from the WBS, Sending History or Received Back on date
  • Date to be Mapped for Ordinary Stage-This is the date on which the document reached ordinary stage of the workflow.
  • Sort Reports Based on: You can define a sort order for the reports to be generated. Click the "Browse" button to define a sort order from a list of values.
  • Date to be Mapped for Document Creation Date (Actual Start Date) -
  • Origin Name - Select the document origin name.
  • Origin Type - Select the document origin type.
  • Criteria - Select the criteria for the report. The options available for selection are Planned Start, Planned First Issue and Planned Final Issue.
  • Based On - Select the column based on which the report is to be displayed.
  • Date to be used - Select the date to be used for the report generation. The options available for selection are Planned or Forecasted date.

Timesheet Report

  • Project ID : Click "Project" browse button to avail the "Project Search" window. Here you may select the desired project/projects. You can also select all the available Projects. If all Projects are selected in the Selected Value field “All Project Selected” is displayed.
  • Task Name : Click the "Task" browse button. The "Select task from WBS" interface would be displayed. Here, you may select the required task/tasks from the WBS of the specified project.
  • Document No: If the timesheet entry is related to a document, the document number can be specified.
  • Time sheet entry (From) and Time sheet entry (To) : The You may select the date range for the particular time sheet entry from the date picker.
  • Users: Select the required user/users.
  • Discipline : Select the discipline of the user/users.
  • Activity : Select the activity based on which this timesheet report is to be configured.

To select an activity

  1. Click browse button corresponding to “Activity”
  2. Activity Master Window is displayed.

Figure: Activities window

  1. You can select an Activity by enabling the check box against to the list of activities.
  2. Multiple Activities can be selected
  3. Click 'OK'.
  • Sort Reports Based on: You can define a sort order for the reports to be generated. Click the "Browse" button to define a sort order from a list of values.

NOTE : There are no filter parameters available for the report category selected as "Configurable Report".

After entering the filtering report parameters, you can select the input parameters based on which the wrench report is to be generated. To enter the input report parameters, you can click on Input Parameters tab in Report Properties window. For more details on selecting the input parameters refer Input Parameters tab.

Filtering Hybrid report parameters

While generating hybrid reports you can make your reports more precise by defining filter parameters

Figure: Defining filter parameters for 'Hybrid Report'

To set the filters for the parameters based on the table view and report category selected:

    1. Click on '+' (plus) sign next to And.
    2. Select the hyperlink Enter a Value. you can enter a filter parameter for the report.
    3. You can type in or select a value to complete the process of applying filter parameters.
    4. Click Ok.

For Example: Consider a report to be generated by you with certain filtration parameters for the document report category. Then while filtering report parameters "Document Number" can be selected as the filter parameter. "Begins with" is selected as the conditions. "A" is selected as the value. So the documents having document number beginning with 'A' will be filtered in the report generated.

After entering the filtering report parameters, you can select the input parameters based on which the hybrid report is to be generated. To enter the input report parameters, you can click on Input Parameters tab in Report Properties window. For more details on selecting the input parameters refer Input Parameters tab.

See Also:

Configure New Report


Input Parameters

Input Parameters tab

User can select the Input parameters based on which the report is to be configured.

NOTE: Input Parameter tab will be displayed only for configuring Wrench Reporting Service and Hybrid Reports type of reports.

Figure: Input Parameters tab

Defining Input Parameters

  1. Select parameters in the 'Report Parameter' column and click move arrow to move the selected input parameters to the right side column.
  2. Check the checkbox against each parameter in the 'Is Single' column. If you selects the checkbox, then a single value may be selected for the report parameter.

NOTE: For 'Wrench Reporting Services', only those parameters which are not set as the filter parameters for reports will be available for selection in Input Parameters tab.

After entering the input parameters for the report, you can select the output format in which the report is to be viewed. To select the output format, you can click on Output Formats tab in Report Properties window. For more details on selecting the output format refer Output Formats tab.

See Also:

Configure New Report


Output Formats

Output Formats tab

You can enter the output format in which the final report is to be generated.

NOTE: Output Formats tab will be displayed only for configuring Wrench Reporting Service and Hybrid Reports type of reports.

Figure: Output Formats tab

  1. You can select from the following formats, in which the output of the report is to be required.
  • Excel: Select this option if this report is to be generated in an MS Excel format.
  • PDF: Select this option if this report is to be generated in a PDF format.
  • Wrench Screen: Select this option if this report is to be generated in the wrench screen.
  • CSV Format: Select this option if this report is to be generated in CSV format.
  • Report Template: Select a template for the report to be generated. On clicking the browse button next to report template, List of Available Templates window is displayed, where you can select the template for the report.
  2. After selecting the report output format, click Finish to complete a new report configuration.
  3. To view the report configured, in the left navigation bar under Report Options, select the report and click "Open". For more details refer Opening a report.

See Also:

Configure New Report


Dashboard

A dashboard is a user interface that, somewhat resembles an automobile's dashboard. Dashboard helps in

Organizing and Presenting information in a way that is easy to read.

Dashboard further helps in

  • Visualizing data in the most meaningful way.
  • Capturing snapshots of the organizational data at set intervals.
  • Representing real time project status graphically.

Prerequisites

Users with Manage and View rights in the security center can perform dashboard related operations.

Opening Dashboard configuration window

  1. In the Wrench desktop left navigation bar select Dashboard.
  2. Dashboard window is displayed.

Figure: Dashboard window

The following items are displayed on the dashboard window.

  1. Document Based Dashboards.
  2. Radar Dashboards.
  3. Earned Value Management Dashboards.
  4. Pivot Reports.

Each of this item is explained in detail. You may use the navigation table to navigation table to access the respective sections.

Navigation Table

To | See
Configure view setting and plot options for document dashboards | Document Dashboards
Configure view setting and plot options for radar dashboards | Radar Dashboards
Configure view setting and plot options for Earned Value Management dashboards | Earned Value Management dashboards
Configure view setting and plot Count based reports | Pivot Report


Document Dashboards

Document dashboard is a pictorial representation of number of documents satisfying the parameters that are selected while configuring dashboards.

Configuring the Document Dashboard

  1. In the dashboard main window select Configure against Document Based Dashboards.

Figure: Dashboard window

  2. Document Dashboard configuration window is displayed.

Figure: Document Dashboard Configuration

To configure a dashboard user can enter details mentioned in the following table

Sl. No

Item

Description

1

View Name

User can define a unique name for the view. The following information is to be provided while defining a view name.

Name: A name can be entered for the view

Description: A description can be entered for the view

Accessibility: A criteria can be defined for accessing the views. User can select between Public and Private.

2

Diagram Options

Type of Diagram: User can select the type between Bar Chart, 2 D Pie Diagram and Volume S Curve from a drop-down list.

Plotting Parameters: Here you can select the parameters from a drop-down list. The plot is generated based on the parameter selected.

Diagram Title: You can provide a title for the diagram or plot that will be generated.

3

Filter Options

For each plotting parameters you can define a filter. For Example: If the parameter selected is Document Status, you can select Work In Progress or Released as the filter. If Work In Progress is selected only the documents that are in work in progress status are depicted in the plot.

  3. Select Add to save the values entered.

The configured view is displayed under the group Document Based Dashboard.

Viewing the Document Dashboard

Once you finish defining the configurations you can view the dashboard generated

  1. Select the configured dashboard and right-click
  2. In the right-click menu select Open

Figure: Opening a Dashboard plot

  3. The dashboard plot is displayed

Figure: Dashboard Plot generated for parameter Life Cycle Status

Options are provided in the navigation bar to hide and unhide the dashboard labels and to generate a PDF copy of the dashboard plot.


Radar Dashboards

Radar plot is the graphical representation of project percentage completion against the month in which the percentage completion was achieved. Different bubbles inside the radar plot represent various projects. On placing the cursor over a bubble, the details of the project indicated by the bubble is displayed. As the project nears completion the bubble in the radar plot moves towards the end of the radar.

Configuring the Radar Dashboard

  1. In the dashboard main window select Configure against Radar Dashboards

Figure: Configuring Radar Dashboard

  2. Configuration Settings window is displayed

Figure: Configuration Settings window

User can enter the values for the fields mentioned in the following table.

#

Item

Description

1

View Name

User can define a unique name for the view. The following information is to be provided while defining a view name.

Name: A name can be entered for the view

Description: A description can be entered for the view

Accessibility: A criteria can be defined for accessing the views. User can select between Public and Private.

2

Radar Diagram Options

Parameters for generating a radar plot can be defined here.

Select the peripheral axis item: Plots are usually created against peripheral axis item. User can select between Project Start Date and Project End Date. Peripheral axis is the outer area of the plot.

Lower limit and Upper limit: User can select the dates from a date picker.

For Example: If the Peripheral item is Project Start Date

Lower Limit: Jan 2009

Upper Limit: Dec 2010

Then in the Radar Plot, the Projects having Start between Jan 2009 and Dec 2010 will be plotted. There is also provision for further filtration by using Project Options like Show only selected Projects, Do not show Completed Projects & Show only Projects belonging to selected Project Type which is explained in the succeeding sections.

Radar View: A title can be entered for the plot

Consider Rule of Credit: On selecting the checkbox against consider rule of credit, the plots and schedule indicators will be based on the rule of credit values.

The values defined here are used to define radar series points.

3

Project Options

Project parameters essential for generating a plot can be defined here.

Show only selected Projects: User can click the browse button to select the projects which are to be included in the plots. In addition to this the checkbox against "Show only selected projects" can also be selected.

Do not show completed Projects: Selecting the checkbox against this option, completed projects are excluded from the plot.

Show only projects belonging to the selected project types: Selecting the checkbox against this option, projects categorized under the selected project types are included in the plot.

Click the browse button to select a project type.

4

Radar EVMS Link

On selecting this tab Earned Value Management Dashboards configured are listed here. This link is created automatically.

Figure: Radar-EVMS Link

Once the values are entered user can either save the values, clear the values entered or cancel the entire operation.

Viewing a Radar Dashboard

  1. Select the configured dashboard and right-click
  2. In the right-click menu select Open

Figure: Opening a Radar Dashboard

The configured radar plot is displayed

Figure: Radar Plot

Schedule Indicator

Schedule indicator depicts the status of the tasks. Coloured circles which resembles the traffic signal indicates total number of tasks which are behind schedule (red circle), on schedule (yellow circle) and ahead of schedule (green circle). A percentage representation of the schedule status is also indicated.

Figure: Schedule Indicator


Earned Value Management Dashboards

Earned Value Management System (EVMS)

Earned Value Management System (EVMS) is a project management technique for measuring project progress in an objective manner which means based on real facts. EVMS combines measurements of scope, schedule, and cost in a single integrated system. When properly applied, EVMS provides an early warning to performance problems.

Basic Concepts of EVMS

  • All Project steps earn value as work is completed
  • The Earned Value (EV) can then be compared to actual costs and planned costs to determine project performance and predict future performance trends

Benefits of EVMS

  • Allows objective assessment and measurement of current project performance
  • Verifies whether the expenditure on a project was more or less than planned
  • Helps predict future performance based on trends

Earned Value Management in Wrench

Usually physical progress is not taken into account when analyzing cost performance. Instead, a project’s actual costs to date are simply compared to planned costs, often with misleading results. Wrench EVMS bridges this gap providing more accurate project status assessment. Wrench EVMS makes it easy for a project manager to analyze both schedule and cost performance in a variety of ways with a limited set of basic task information

Wrench EVMS predictions are based on the following

Planned Value (PV): Planned Value shows the budgeted cost of scheduled work as of the current date. In other words it is the planned cost of work that should have been achieved according to the project baseline dates.

Earned Value (EV): Earned Value shows the budgeted cost of completed work at any given point in a project. In other words it is the value of the useful work done as of the current date.

Scheduled Performance Index (SPI): This is the ratio of work accomplished versus work planned, for a specified time period. The SPI describes what portion of the planned schedule was actually accomplished.

Scheduled Performance Index (SPI) =Earned Value (EV) / Planned Value (PV)

Schedule Variance (SV): Schedule Variance is the difference between what was planned to be completed and what has actually been completed as of the current date. Once Earned Value and Planned Values are known, Schedule Variance can be calculated.

Scheduled Variance (SV) =Earned Value (EV)-Planned Value (PV)

Calculating Planned Value and Earned Value

Planned Value and Earned Value are calculated based on the scheduled percentage (Planned Completion date percentage in planning templates) progress of the task. Schedule progress is collected from the planning template dates. If dates are not defined in the planning template or planning templates are not defined, schedule percentage with respect to schedule finished dates is assigned.

The following example gives an idea of the method of calculating Planned Values and Earned Values in Wrench

Figure: WBS Details window

Calculating Planned Value

Consider the 5 tasks illustrated in the preceding figure. Now let us calculate the Planned Value contributed by the first task. Planned Value is calculated using the following formula.

Planned Value = (Budgeted Duration of the Task/Total Budgeted Duration) X Scheduled Percentage

Planned Value for task 1 = (3/8) X 85 = 32%

Planned Value for task 2 = (1/8) X 60 = 7.5%

Planned Value for task 3 = (1/8) X 60 = 7.5%

Planned Value for task 4 = (2/8) X 0 = 0%

Planned Value for task 5 = (1/8) X 0 = 0%

Therefore the Planned Value for receivables is (32+7.5+7.5+0+0) = 47%

Calculating Earned Value

Again consider the 5 tasks illustrated in the preceding figure. Now let us calculate the Earned Value contributed by the first task. Earned Value is calculated using the following formula.

Earned Value = (Budgeted Duration of the task/ Total Budgeted Duration) x Percentage Completed

Earned Value for task 1 = (3/8) X 80 = 30%

Earned Value for task 2 = (1/8) X 80 = 10%

Earned Value for task 3 = (1/8) X 0 = 0%

Earned Value for task 4 = (2/8) X 0 = 0%

Earned Value for task 5 = (1/8) X 0 = 0%

Therefore the earned value for receivables is (30+10+0+0+0) = 40%

NOTE: Earned Value and Planned value are calculated only if the budgeted duration is specified in the task.

S Curve

S Curve an integral part of the EVMS is the graphical representation of cumulative costs, labor hours, percentage of work, or other quantities plotted against time. The name derives from the S like shape of the plot, flat at the start and end; and steeper in the middle. Usually the start of a project is slow, then the project activities accelerates and towards the end of the project the activities slow down. This is depicted as an S curve.

Configuring Earned Value Management Dashboards

  1. In the dashboard main window select Configure against Earned Value Management Dashboard group

Figure: Configuring Earned Value Management Dashboard

  2. Chart Control Settings window is displayed

Figure: Chart Control Settings window

User can enter the values for the fields mentioned in the following table.

#

Item

Description

1

View Name

User can define a unique name for the view. The following information is to be provided while defining a view name.

Name: A name can be entered for the view

Description: A description can be entered for the view

Accessibility: A criteria can be defined for accessing the views. User can select between Public and Private.

2

Radar Diagram Options

Parameters for generating a radar plot can be defined here.

Type of Diagram: To generate an S Curve you can select Bar Chart from the drop-down list.

Select the peripheral axis item: Plots are usually created against peripheral axis item. User can select between Project Start Date and Project End Date. Peripheral axis is the outer area of the plot.

NOTE: If the configuration you are defining is intended for generating an S Curve this option will remain disabled.

Interval: You can select a time frame based on which the curve is generated. You can select Monthly or Weekly from the drop-down list.

Lower limit and Upper limit: User can select the dates from a date picker.

For Example: If the Peripheral item is Project Start Date

Lower Limit: Jan 2009

Upper Limit: Dec 2010

Then in the Radar Plot, the Projects having Start between Jan 2009 and Dec 2010 will be plotted. There is also provision for further filtration by using Project Options like Show only selected Projects, Do not show Completed Projects & Show only Projects belonging to selected Project Type which is explained in the succeeding sections.

Consider Rule of Credit: On selecting the checkbox against consider rule of credit, the plots and schedule indicators will be based on the rules of credit values.

The values defined here are used to define S Curve series points.

3

Filter Options

For each plotting parameters you can define a filter. For Example: If the parameter selected is Document Genealogy Level, you can select a genealogy as the filter.

Once the values are entered user can select one of the following options

  1. Select Save to store the values entered
  2. Select Clear to remove the values entered
  3. Select Cancel to discard the entire operation.

Viewing an S Curve

  1. Select the configured dashboard and right-click
  2. In the right-click menu select Open

Figure: Opening an S Curve

S cure based on the parameters defined in the configuration window is displayed

Figure: S Curve

  • S-curve points are plotted with respect to the dates and scheduled percentage in the rule of credit.
  • The points on the S-Curve are generated by summing up Planned Value or Earned Value contribution of each task for that date.
  • Each point in the Scheduled curve is generated by summing up Planned Value of each task for that particular date.
  • Each point in the Forecast curve is generated by summing up the Planned Value of each task for that particular date.
  • Each point in the Actual curve is generated by summing up of EV of each task for that particular date.

Bar Chart options

Expand: On selecting this option an expanded view of the plot is displayed as in the following figure.

Figure: Bar Char expanded view

Collapse: On selecting this option view of the plot is restored to normal.

Hide Label: On selecting this option the labels on the plot are hid.

Unhide Label: On selecting this option the labels on the plot are visible.

Open with PDF: On selecting this option the plot is opened in PDF format.


Pivot Reports

Pivot Reports (Count Based Report)

Pivot reports provide a rapid way to summarize your data, enabling you to go into the detail to reach a meaningful interpretation of your query results. Data summarization is achieved by a simple drag-and-drop operation. In addition with the flexible pivoting feature you can easily reorient the summarized data to allow easy comparison of multiple dimensions of data. Also with this feature you can easily get a chart of the summarized information. With pivot tables the information that you want to view about your data is just a few clicks away. You can simply select the fields that you want to see in a new PivotTable field list.

After you create a PivotTable, you can summarize, analyze, and format your PivotTable data.

Advantages of using Pivot Tables

  • Pivot tables are interactive, which means you can easily rearrange them by moving, adding, or deleting fields.
  • Pivot tables are dynamic, which means results are automatically recalculated whenever fields are added or removed.
  • Pivot tables are easy to update.

Configuring a Pivot Report (Count Based Report)

  1. In the dashboard main window select Configure against Pivot Report group

Figure: Configuring a Pivot Report

  2. Pivot Configuration window is displayed

Figure: Pivot Configuration window

User can enter the values for the fields mentioned in the following table.

#

Item

Description

1

View Name

User can define a unique name for the view. The following information is to be provided while defining a view name.

Name: A name can be entered for the view

Description: A description can be entered for the view

Accessibility: A criteria can be defined for accessing the views. User can select between Public and Private.

Project No

Select the project number for which the pivot report or count report is to be generated.

Filter Fields

Select the Browse button to select the fields based on which you can filter the reports

Row Fields

Select the fields which are to be displayed as rows in the report

Column Fields

Select the fields which are to be displayed as columns in the report

Summary Fields

Select the fields which are to displayed as summary. The count of the item selected as the summary field will be displayed here.

Once the values are entered user can select one of the following options

  1. Select Save to store the values entered
  2. Select Clear to remove the values entered
  3. Select Cancel to discard the entire operation.

Generating and Viewing a Pivot report (Count Based Report)

Once the configurations are complete you can view the pivot report. An icon representing the report you have created is displayed in the Dashboard window.

  1. On the dashboard window select the icon right-click

Figure: Opening a Count Based report

  2. In the right-click menu select Open
  3. Count Based Report window is displayed

Figure: Count Based Report

In the preceding report Area Code is the filter option. If you select the area codes as 52 and 53 filtering is done based on this selection.

Figure: Filtering based on Filter Field

The count report for this configuration will be as displayed in the following figure.

Figure: Count based report

This report can be interpreted in the following manner.

  1. Number of documents with Approval Requirement Code Class-I and that belongs to the Phase 02 (Feed) = 53
  2. Number of documents with Approval Requirement Code Class-II and that belongs to Phase 02 (Feed) = 57
  3. Total number of documents = 110.

This means out of the total 524 documents 110 documents satisfy the filter criteria.

You can further narrow the search. For Example: If you need to filter out documents with Approval Requirement Code Class = I, in the filter window select the checkbox next to Class I as shown in the following figure.

Figure: Selecting a filtering option

The results are displayed as shown in the following figure

Figure: Filtered Results

The figure denotes that the total number of documents satisfying the defined criteria is 53.

In this manner count reports can be generated based on the parameters you define.

Selecting fields from Pivot Grid List

In the reports window a Pivot Grid List box is displayed. You can drag fields from this box to the summary area. Counts are generated based on the dragged in fields.

Figure: Selecting fields from pivot grid list

For Example: If you drag the field Document Number to the summary area field, count is recalculated based on this as shown in the following figure.

Figure: Count based report based on the new field

Generating Charts based on reports

The count reports can be pictorially represented using various plots.

To generate a plot

  1. Select the values (range) that are to be included in the plot
  2. Select the plot option from those available in the window
  3. A plot is displayed in the bottom part of the window based on this selection.

Figure: Generated plot

For the same values different types of plots available are displayed. Some of them are displayed in the following figures

Figure: 1

Figure: 2

Figure: 3

Figure: 4

Figure: 5


Search

Entire Search utilities that assists in easy and search and retrieval of selected objects are housed here. Different Search modules available are listed in the following navigation table.

To open the search module

  1. In the desktop select WRENCH button.
  2. In the menu select Module.
  3. In the pop up menu select Search and in the menu select they type of search.

Navigation Table

To | See
Search and Retrieve a Document | Document Search
Search and Retrieve a Part | Part Search
Search and Retrieve a Product Structure | BOM Search
Search and Retrieve document and meta-data together | Content Search


Document Search

Document Search is a facility where you can access Documents maintained by the system. Wrench Enterprise hosts an exclusive search mechanism to avail access to Documents.

Navigation Table

To | See
Open Document Search window | Opening Document Search
Understand the document search window | Document Search window
Add or Remove search criteria | Adding or Removing Search Criteria
Search for Documents/Drawings in Wrench | Searching for Documents
Search Project independent Documents | Searching Project Independent Documents
Perform operations in document search window | Operations Possible in Document Search window
Flush the workflow for single or multiple documents | Flushing workflow for single and multiple documents
Perform Bulk Print operations | Bulk Printing
Update Document details | Updating Document Details
Create Customizable view in document search | Customizable View in Document Search
Save a Search view | Save Searches

Opening Document Search

Figure: Search operations

  1. In the Wrench desktop navigation bar select "Document Search."

Document Search window is displayed.

Figure: Document Search

Document Search window

The following operations can be performed from the document search window.

  • Searching of document meta-data and content together.
  • Basic and advanced search operations.
  • Preview of the documents.
  • Search and retrieve markups, attachments, comment files and specter files attached to the document.

The document search window is segregated into the following main areas. Content Search will be available if the corresponding plug-in is installed.

  1. Search window toolbar
  2. Navigation bar
  3. Search Results grid

Search window toolbar

The search window toolbar houses the following options.

# | Item | Description
1 | Select a Saved Search | You can select a search view saved earlier.
2 | Search | Click this option to initiate a search based on the various search criteria provided.
3 | Save Search | Click this option to save the search view.
4 | Clear | Click this option to clear the search results grid.
5 | Export | You can save the search results in the following formats. On selecting an option the search result is save in the selected format.
6 | Views | Different types of views may be selected from this menu.
7 | Close | Click close to close the search window.
8 | Recent Searches | Search criteria based on which earlier searches were performed are displayed here. You can select a search criteria from the drop down list.

Navigation bar

Navigation bar consists of the following elements.

Figure: Navigation bar

  1. Navigation bar.
  2. Buttons used to switch panes.
  3. Commands for changing the navigation bar appearance.
  4. Add buttons or Remove these buttons from the navigation bar.

The navigation bar provides centralized navigation. The large button in the navigation bar helps the user in switching to Document Properties and Attachment Search options. Fewer or no buttons may be displayed in the button tray by using the menu after clicking the ">>" button located at the bottom corner of the navigation bar. It is possible to hide the search criteria displayed in the navigation bar and make only selected criteria visible in the navigation bar. For hiding and making visible the search criteria, click the hyperlink Add/Remove Search Criteria.

Adding or Removing Search Criteria

You can add or remove the different search criteria displayed in the search window navigation bar. Thus only the most frequently used search criteria or that are relevant to an organization will be displayed in the search window.

To add or remove search criteria

  1. In the Search Window tool bar click the hyperlink Add/Remove Search Criteria.

Search Criteria window is displayed.

Figure: Search Criteria window

In the Search Criteria window a list of criteria is displayed.

  1. Select the checkbox next to the search criteria that you want to display in the search window navigation bar.
  2. Click OK to continue.

  • The navigation bar can be expanded or collapsed by clicking the "<<" button on the top of the navigation bar.

Adding or Removing buttons in the navigation bar

  1. At the bottom of the navigation bar click Configure buttons "(>>)", click "Add or Remove" buttons.
  2. Select the buttons that has to be added or removed.
  3. Click "Show Fewer Buttons" or "Show More Buttons" to change the number of large and small buttons that appears in the navigation bar. The small buttons in the navigation bar appear at the bottom of the navigation bar as illustrated in the following figure.

Figure: Comprehensive Search window - Arranging buttons

Searching based on Keyword

You can carry out a Keyword search to retrieve documents. You can search using a single word or combination of words using ‘+’ operator.

Figure: Searching based on keywords

You can enter any alphanumeric characters as a keyword in the keyword search option. If the keyword entered matches the value of any of the search criteria, search results are displayed based on the keyword entered.

NOTE: A list of Search Criteria can be viewed on clicking ? symbol, next to Keyword Search field in the Document Properties window .

Searching for Documents

Since the search window permits searching for documents and attachments, in the search results window three tabs, Document Basic Search, Document Advanced Search and Attachment Search Options are provided.

  1. Select Document Basic Search tab and in the navigation bar specify the appropriate search criteria.
  2. To specify Document Properties, in the "Document Basic Search window", type in the characteristics of the Document you are looking for. The more number of characteristics you define, the precise the search will be (with fewer results).
  3. Under "Document Basic Search" a Document Search may be initiated with the following data.

# | Field
1 | Keyword Search
2 | Document Number
3 | Document Description
4 | Project Type
5 | Project ID
6 | Area Code
7 | System Code
8 | Document Origin
9 | Document Genealogy
10 | Life Cycle Status
11 | Workflow Team
12 | Customer Code
13 | Customer name
14 | Document Status
15 | File type
16 | Search for Folders
17 | Attachment mode
18 | File name
19 | Sheet Number
20 | Internal Revision Number
21 | Revision Number
22 | Sheet size
23 | Checkout by
24 | Checkout Start
25 | Checkout end
26 | Checkout PC
27 | Last Edited/Check-in By
28 | Last Edited/Check-in Start
29 | Last Edited/Check-in End
30 | Last Released By
31 | Last Released Start
32 | Last Released End
33 | Created by
34 | Created Start
35 | Created End
36 | Contains Specter files
37 | Contains Related Files
38 | Contains Comments
39 | Contains Squad Check Comments
40 | Client Document Number
41 | Vendor Document Number
42 | Part
43 | Correspondence
44 | Search only Correspondence
45 | Correspondence type
46 | Reply Required
47 | From
48 | To
49 | Cc
50 | Received date
51 | Subject
52 | Body
53 | Expected Reply/Receive back date (From)
54 | Expected Reply/Receive back date (to)
55 | Reply Expected From
56 | To be replied by
57 | Replied
58 | Letter date (From)
59 | Letter date (To)
60 | Receipt date (From)
61 | Receipt date (To)
62 | Actual reply date (From)
63 | Actual reply date (To)
  4. Documents are displayed in the search result grid based on the search criteria. Once a document is retrieved, host of operations are possible (depending on the access permission). Click the secondary button on the mouse (right-click) to avail a pop up menu. For more information on operations possible from the right-click menu refer Operations possible in document search .

NOTE: When you carry out a document search, if Project ID is one of the search criteria and a custom property with list of values is assigned to the project; then all list of value for the custom property is listed when the browse button next to the custom property is clicked. You can select custom property list of values from the list and include it in the search criteria. The selected values are displayed in the column next to the custom property.

Advance Search option

In the advance search window search operation can be carried out using logical operators like Is, Is Not etc.

To carry out advance search

  1. In the Search window navigation bar click the button Document Advance Search.

Document Advance Search window is displayed.

Figure: Document Advance Search

  2. Here against a search criterion you can select a logical operator. This makes your search more refined and fast.

For Example: If you are searching for a document with document number INT/ROC/867/2017, you can specify the values as shown in the following table.

Property | Operator | Value
Document Number | Is | INT/ROC/867/2017

The following logical operators are available.

NOTE: Operator Is Empty will be available in all fields except Personal Folders, Custom LOV's and Content Search.

It is possible to select multiple values for search properties. If multiple values are selected they are separated by comma and the value for operator is populated by default as "Any Of" as shown in the following figure.

Figure: Selecting multiple values

  3. After selecting the values in the tool bar click Search.

Documents are searched and retrieved based on the search criteria provided.

Searching for attachments, specter files, comment files and markups

You can carry out search operation and retrieve different types of files attached to documents.

  1. Select the Attachment Search Options button and enter the search criteria.
  2. An attachment type can be selected from a drop-down list.

Figure: Attachment Search Options

  3. In the tool bar click Search to carry out a search operation.
  4. The search results grid displays the following details.

-Internal Revision Number

-Revision Number

-File name

-Attachment Purpose

-Description of the attached file

-Document Description

-Status

-Project Name

  • Click the hyperlink "More search results available" to display the next set of search results in the grid.

Figure: Search Results for attachments

You can carry out a search operations based on document properties, correspondence properties, and custom properties.

From the right-click menu in the attachments search results grid the following operations may be carried out.

View: On selecting this option user can view the selected document.

Go To Original Document: On selecting this option the document details window (of the document to which a file is attached) is displayed.

Copy Out: On selecting this option user can copy the file to a specific location.

Replace: On selecting this option user can replace the selected file with another file.

Show Details: On selecting this option "Attachments Details" window is displayed. The following details are displayed here.

  • File Name
  • Attachment Type
  • Attachment Purpose
  • Version Number
  • Attached By
  • Attached On
  • Edited By
  • Edited On

Show Document Search Results in Customizable View: Select this option to view the customized search results in the grid. Maximum number of results to be returned : This option makes it possible to choose the maximum number of search results which are to be retrieved.

More results available : If more results than that specified in "Maximum number of results to be returned" field is to be retrieved click on "More Results Available" hyperlink. The next set of search results is displayed page-wise in the grid.

Searching and retrieving correspondences

Correspondences can be searched and retrieved by carrying out a search operation using correspondence properties.

To search for correspondences

  1. In the document search window scroll down to locate the correspondence search properties.

In the list of search criteria, correspondence properties are displayed.

Figure: Correspondence search criteria

  3. Here you can select the checkbox next to correspondence properties.

  4. After selecting checkbox next to correspondence properties, click the Search button in the tool bar.

Adding and removing correspondence search properties

You can add and remove correspondence search properties depending on your requirement.

To add and remove correspondence properties

  1. Click the hyperlink Configure Search Criteria.
  2. Search Criteria window is displayed with the correspondence properties highlighted in a different colour.
  3. Select the checkbox to choose a search property.
  4. Clear the checkbox to remove a search property.
  5. Click OK to continue.

Filtering a search result

In the comprehensive search window a facility is provided to filter out the search results.

In the search results grid, if the user moves the mouse over each column heading, a filter as shown in the following figure is displayed.

Figure: Filtering a Search result

If the filter corresponding to document description is selected, entire list of document descriptions are listed. User may select a description from the list. The search results are filtered based on this selection. The selected filter and the results are displayed in the search results window as shown in the following figure.

Figure: Filtered results

Saved Searches

Most commonly used search results can be saved and retrieved when required. This removes the arduous procedure of defining the search criteria every time. Search result view with Sort order (if any) of the search results and criteria are saved.

To save a search

  1. In the Document Search window tool bar click Save Search. Save Search window is displayed.
  2. Enter an appropriate "View name" and click “Save” button in order to save the existing view.

Figure: Select/Save view

User can select all/required columns in "Document Search" for export to MS Excel.

  1. Right-click a specific Document in the "Search results" grid in "Document Search" interface to avail a list of options.
  2. Click “Export Search results" option to export all/selected columns in the grid to MS Excel.

Figure: Export Search Result window

Searching for Folders added to Wrench

You can also search and retrieve folders in Wrench. If the checkbox against “Search for Folders” is selected folders added to WRENCH are displayed.

Figure: Searching for folders

Searching based on Custom Properties

A search operation can be carried out based on custom properties.

To search based on custom properties

  1. In the document search window scroll down to locate the custom properties.

In the list of search criteria, custom properties are displayed.

  2. Here you can enter values for different custom properties.
  3. After entering values for custom properties click the Search button in the tool bar.

While searching for LOV values the user can define search logic. The logical operators “AND” and “OR” can be used. By default logical operator ”OR” is enabled. LOV values that appear under the “Value” column of custom properties search window can be separated by “&&” and “//” respectively for “AND” and “OR.”

Figure: Logical Search

The results of the Document search are displayed in the 'Search Results' grid.

  1. In case of Documents that are not linked to a particular Task, the percentage progress specified in the Work Flow assigned to the Document is displayed.
  2. For Documents that are linked to a certain Task, the percentage progress specified in the 'Related Objects' tab of the Task are displayed.
  3. For those Documents that have manual Work Flow, percentage progress specified during routing is displayed.
  4. For Documents that are in Work-In-Progress and do not have a Work Flow, the column is left empty.
  5. In case of a released document without Work Flow, the percentage progress is displayed as hundred percentage.

Searching Project Independent Documents

Documents that are not related to projects added to Wrench can be searched and retrieved.

To search and retrieve project independent documents

  1. In the Project Id field enter “None” if the Document is Project Independent
  2. Click “Search” on the toolbar
  3. All the Project Independent Documents are displayed in the search result grid.

Operations Possible in Document Search window

Once a document is retrieved, a host of operations are possible (depending on your access permission). Click the secondary button on the mouse (right-click) to avail a pop up menu as shown in figure.

NOTE: All these options requires special security permissions in the Genealogy. Bulk operations will be possible only when Multiple Documents are selected.

#

Item

Description

1

View

Select this option to view a Document.

2

Open With

Open With: Click "Open With" to open the selected application using the program of user's choice. User can select a program from the "Open With" window.

3

Show Details

Selecting this option will display the Document details window as mentioned in the "Document Details" section.

4

Check Out

User may check out drawings and documents for editing. On clicking "Check Out" Check out manager is displayed. User may perform a check out operation on single or multiple documents.

5

Check In

Checked out documents may be edited and checked in back to the system. On clicking Check In the Check In Manager window is displayed. User may make appropriate entries in this window. The Check In option is enabled only for checked out documents or drawings.

6

Replace

Select this option to replace the selected Document with another Document (mostly new version of the released Document). If a single document is selected for replacing normal replace manager window is displayed. In case multiple documents are selected for replacement, multiple replacement manager window is displayed.

Contractual drawings after reviews and checks undergo many changes. The final drawing is scanned and is available in the system. Using the final drawing the existing drawing can be changed and the revised drawing can be made available.

7

Copy Out

Select this option to copy single or multiple documents to a specific location.

8

Send Mail

The Send Mail option assists the user in sending external mails from Wrench with the selected documents as attachments in the mail.

  1. Select single or multiple documents and right-click.
  2. In the right-click menu select "Send Mail."
  3. Outlook window for creating "New Mail" is displayed. The selected document is displayed as attachment in the New Mail window.
  4. Send the mail after incorporating appropriate entries.

9

Send

Select single or multiple documents and send them to the selected user's. The send operation are governed by the following factors.

  1. Documents are to available in the current user's workspace.
  2. For document's with multiple active stages, if the current stage user is available only in one active stage.
  3. Current stage user is to be available in an active sequence of an active sequence stage.

The send option is enabled only if the selected object satisfies these routing prerequisites. For more information on send operations refer Workspace>>Sending Objects in the Workspace

10

Forward

This option is enabled only if the selected documents are in the user's workspace. User may send tasks or documents to selected user's for information purpose using Forward option. For more information on "Forward" operation refer Workspace>>Sending Object in Workspace>>Forward .

11

Show Work Flow

"Show Work Flow" option will display the work flow associated with the selected Document.

12

Assign Work Flow

Assign Work Flow" will display the work flow search window from where a work flow can be selected and assigned to the selected Document. User can select multiple documents and from the right-click menu select “Assign Workflow.” A workflow is assigned to the selected documents.

13

Flush Work Flow

"Flush Work Flow" option is for resetting the active work flow. All the progress will be reversed and work will restart from initial stage.

14

Add Reply

This item is displayed only if the document selected has correspondence genealogy assigned to it. User can add a new document or select an existing document from Wrench as the reply.

15

Attachments

Select this option to add the following file types to the document.

Specter Files: Select this option to display the Document Details window with the "Specter Files" tab opened.

Related Files: Select this option to attach a file to the selected document.

Comment Files: Select this option to display the Document Details window, with the "Attachments" tab opened. Here you can attach a comment file.

Markups: Select this option to display the Document Details window, with the "Attachments" tab opened. Here you attach a markup file.

Squad Check Comments: Select this option to display the Document Details window with the "Squad Check Comments" tab opened.

For more information on working with attachments refer Document Operations>>Attachments

16

Add Reference

You can add a reference document to the selected document. On selecting Add Reference, in the ensuing menu the following options are displayed.

New: You can add a new document as a reference. On selecting this option Add Document window is displayed. For more information on adding a new document refer Documents>>Adding a Single Document

Existing in Wrench: You can add a document already saved in Wrench as a reference document. On selecting this option Document Search window is displayed. You can search and retrieve the document you need from this window.

17

Copy Spectre

Select this option to copy out a Specter file.

18

View Spectre

Select this option to View a Specter file.

19

Create PDF Request

Select this option to generate a PDF copy of the document. Publishing Server has to installed for carrying out this operation.

20

Release

Select this option to release a work in progress document to which a work flow is not attached. Only user with "Release" rights in the genealogy can perform this operation. If the documents have their document origin code defined as vendor, for the document to be released external agency transmittal number and external agency transmittal receipt date has to be filled in.

21

Remove

The "Remove" option will delete the Document.

22

Revise

"Revise" option changes a Release Document to Work In Progress.

23

Fast Track Revision

"Fast Track Revision" changes a Release Document to Work In Progress on a fast track. A change request is raised. You can also select multiple documents and carry out a Fast Track Revision.

Electrical drawings are created by the draftsman and are send for internal reviews to the managers. After their review, the drawings are submitted to the client through a transmittal. Client marks his comments as rejected and sends back the drawing. Now the changes have to be made to the drawing and a history of change have to be maintained.

Select the next Internal Revision Number.

To change the Internal Revision Number in the CR Request window click "Revision Details." In the "Next Revision Details" window user may specify the appropriate details.

24

Send To

On selecting this option the following sub-menus are displayed.

Desktop (Create Shortcut): Select this option to create a shortcut to open this document that is created on the desktop.

Personal Folder: Select this option to send the document to a Personal Folder.

25

Update Document Details

You can Update Document Details from here. Refer Document Operations .

26

Create Transmittal

Select this option to generate a transmittal for the selected document. You can create a General, Release or a Final Release transmittal.

27

Bulk Print

Select Multiple Documents from the search results (Hold CTRL key and click on required Documents) and click on "Bulk Print" to obtain print out of multiple Documents in single operation.

On selecting "Bulk Print" Printer selection window is displayed. Based on the sheet size user can select the printer to which the print request is to be sent.

For more details on bulk printing refer Bulk Printing .

28

Export Search Results

Click "Export Search results" to export what you see in the "Search results" to an MS Excel file.

29

Print Request

Wrench Enterprise has a facility by which Documents can be printed from a centralized print facility (manned by an operator). To send a print request, click on the "Print Request" option. The "Print Request" window shown above will be displayed where you may specify additional details and send a request for central processing.

30

Scan Request

Select the Document from the "Search Results" and choose the "Scan Request" option to send a Scan Request. The Scan Request window will be displayed, to collect a few additional details

31

Replication Request

A replication request can be posted using this option.

32

Send Notification

This option is used for sending notification mails for the document selected. For more details refer Send Notifications

33

Configure Menu

Select this option to add or remove items from the right-click menu. You can configure the right-click menu with items which is used frequently. For more information on configuring the right click menu refer Configuring the right click menu.

34

Open for Commenting

Select this option to copy out multiple files for commenting.

  1. On selecting this option after choosing Multiple Commenting Manager window is displayed.
  2. Click the browse button to select a path to Copy Out the documents for commenting
  3. Click OK to continue

The Status column in the Multiple Commenting Manager is populated with the status of document copy out operation.

  4. Click OK to complete the operation.

35

Attach Comments

After entering comments on the copied out file and saving, the comment files has to be attached to the original files.

  1. After choosing the files, in the right-click menu click Attach Comments.
  2. Multiple Attach Comments manager window is displayed with the comment file names.
  3. Click OK to continue.

Comment Files are attached successfully.

  4. Click OK to complete the operation.

36

Copy Consolidated File

The comment files are consolidated using the consolidated comment option from the document details window or the workspace. After this the consolidated comment file can be copied out to a location using this option.

  1. Select the document and in the right-click menu select Copy Consolidated File.
  2. Click the browse button to select a specific location to copy the consolidated comment file.
  3. Click OK to copy the consolidated file.

37

Cancel Commenting

When documents are opened for commenting or review and if they are not closed, sending such documents through a workflow is restricted. In such cases administrator can close the opened commenting or review session.

To cancel commenting

  1. In the right-click menu click Cancel Commenting.

A warning message "Do you want to cancel the Commenting session" is displayed.

  2. Click Yes to cancel the commenting session.

Commenting session is cancelled successfully.

NOTE: Administrator can cancel an open commenting session of any user, while normal users can close on their open commenting session.

38

View Comments

Click this option to view the comment files attached to the selected documents.

39

Open checked out file

Click this option to open a checked out file and continue working with the file. Only user who have checked out the file can open in it for editing.

40

Create Document Link

Click this option to create a link for external users to access the document. On clicking this option the following window is displayed.

  1. Select an expiry date for the link. Document cannot be accessed using the created link after this date. Click OK to continue.

An Outlook mail is generated with the link to access the document.

  2. Enter the mail recipients in the outlook window and send the link.

Flushing workflow for single and multiple objects

User may select single or multiple documents and reset the workflow attached to these documents. Flush workflow options removes the document from all the concerned user's workspace.

To flush the workflow of the selected document

When a single document is selected

  1. Select a single document and from the right-click menu select "Flush Workflow."
  2. A message is displayed requesting the user to confirm the operation.
  3. On selecting the checkbox against "Do not show this message again" the confirmation message is not displayed for every flush workflow operation. The message is displayed only when the cache is cleared.

When multiple documents are selected

While performing flush workflow operation for multiple documents, you can take into consideration the following discussions.

  • Flush workflow option is disabled if the selected documents are already in the transmittal queue or in the customer workspace.
  • Flush workflow operation can be performed on documents in work in progress status.
  1. Select multiple documents and from the right-click menu select "Flush workflow."
  2. If one of the selected documents does not satisfy the conditions mentioned in the preceding discussion, then the operation is suspended for that document. A dialog box is displayed indicating the same.

  3. Click "Ok" to continue the operation with the documents that satisfy the criteria's.
  4. On clicking "Show Details", documents for which the flush workflow operation is not possible are listed.

Figure: Multiple Flush Workflow Help window

The following columns are displayed in the "Show Details" window.

  • Document Number
  • Document Description
  • Internal Revision Number
  • Life Cycle Status
  • Document Genealogy
  • Workflow Team
  • Failure Reason

The Failure Reason displays the cause of failure against each object.

If the entire selected documents satisfy the conditions for flushing the workflow, on clicking "Flush Workflow" a dialog box is displayed.

  1. Click Yes to continue with the operation.
  2. On clicking Show Details the list of documents are displayed in a window.

  3. User may select single or multiple documents from the window.
  4. Click Flush Selected to flush the workflow of the selected documents.

Figure: Multiple Flush Workflow Help window

Bulk Printing

Bulk Printing of document is possible even if Wrench native viewer is not installed in the system. To perform a bulk print operation, in the document search window select multiple documents.

To perform a bulk print operation

  1. In the right-click menu select Bulk Print.
  2. A dialog box is displayed where you may confirm the operation.
  3. Printer Selection window is displayed based on the sheet size.

Figure: Bulk Printing - Printer Selection window

  4. Select a printer from the print selection window.
  5. Click Print to continue with the operation.
  6. Click Close to discard the operation.

NOTE: While executing a bulk print operation if Autovue is not installed in the system, a warning message is displayed indicating the document or drawing will be printed in the native application. If Autovue or native application is not installed in the system user is restricted from continuing with the print operation.

NOTE: Only user's with "Print" permission in the document genealogy can perform this operation.

Update Document Details

User can update the properties assigned to the documents. This operation is based on the status of the document and the rights possessed by the user in the genealogy.

For Example: While selecting multiple documents if the user selects two work in progress and two release documents, and the user possess only permission to edit work in progress documents in the genealogy, then it is only possible to update documents which are in work in progress status.

To update document details

  1. In the search results grid select multiple documents.
  2. In the right-click menu select "Update Document Details."
  3. "Edit Multiple Documents" window is displayed.

Figure: Edit Multiple Documents window

In the left navigation bar of the Edit Multiple Documents window following options are available.

Document Options

The following operations are available in the group Document options.

Add More Documents

This option allow the user to add more files to the existing list. On clicking add more documents document search window is displayed. User can perform a search and select the required documents.

Basic Document properties

User can modify the basic document properties assigned to the document. On clicking this option " Document General properties" window is displayed.

User can update basic document details here.

Obsolete Documents

A document is considered obsolete when it is no longer in use. An obsolete document is usually retained for knowledge preservation . This means the information contained in the document can only be used as a reference but cannot be used for any other purpose. Obsolete documents are removed from the point of use. For more information on obsolete operations refer Document Details>>Document Options>>Obsolete .

File Options

The following options are available under the file options.

Replace files

With this option user can replace multiple documents with the required documents.

  1. On clicking "Replace Files" "Multiple Replace Manager" window is displayed. Here user can define a criteria for searching a replacement file. User can either select files from a folder or automatically link files for replacement.

Figure: Multiple Replace Manager

  2. On selecting "Select Folder" in the tool bar "Browse for Folder" window is displayed and user can browse and select a folder where the files are located.
  3. Select the files which are to be replaced.
  4. Specify a value for the revision number.
  5. On successful replacement the Internal Revision Number of the selected documents are updated.
  6. On selecting "Matching Options" in the tool bar "Auto Link and Replace Files" window is displayed.

Figure: Auto Link and Replace Files

Basic Options: On selecting the radio button against "<<All>> Characters of the file name as Document number " system searches and locates a file already added to wrench, identical to the file present in the hard disk. User can define a search option as follows.

All: On selecting "All" the system searches for a file in Wrench, with all the characters matching with a file in hard disk.

On specifying a number the system searches and retrieves a file from Wrench based on the number of characters defined.

Advanced Options: In the advanced options a file name logic can be defined based on the object selected, Properties and number of characters.

The following objects can be selected from a drop down list

  • Project
  • Task
  • Document
  • Work Flow
  • Change Request
  • Change Note
  • Part

Properties corresponding to the selected objects are available in the Properties drop down list.

For Example: If an object "Project" is selected, the following properties are available in the drop down box.

  • End Date
  • Project Description
  • Project ID
  • Project Short Description
  • Project Manager
  • Start Date

User can define the length for the object properties selected.

  1. On clicking "Insert" the object properties selected with the length specified is inserted.
  2. Click "Select Folder"
  3. Files that match the automatic link and Replace logic defined, present in the selected folder are fetched.
  4. If files matching the logic defined does not exist, system returns a warning message.

Update Template Details

User can attach templates to a file using this option.

  1. In the left navigation bar click "Update Template Details."
  2. "Update Template Details" dialog box is displayed.

Figure: Update Template Details

  3. Click the "Browse" button to select a template from a list. User can attach a template to multiple files.
  4. If a template is to be attached to an Auto Cad drawing user can select between Model and Layout from a drop down list.
  5. In order to attach and update a template to selected files the check box against "Update Template" is to be enabled.
  6. Click "OK" to confirm.

Advanced Options

The following options are available under advanced options.

Export to MS Excel

You can create an MS Excel template, edit the document properties that has to be updated and save the template. After this you can select the template and import the document properties.

To generate a template

  1. In the Advanced Options select Export to MS Excel.
  2. Export window is displayed. In the Export window two options are available for generating template.

Figure: Export window

Export Columns in View: You can select this option if you want to create an MS Excel template that contains the columns displayed in the current view.

  1. Click the browse button to Save In to store the generated template in a specific location with a file name of your choice.
  2. Click OK to complete the selection.

Choose Columns: You can select this option if you want to generate an MS Excel template with the columns you need.

To select columns

  1. In the Export window column names are displayed under the header Task Column Names.
  2. You can select the columns you need and click the left arrow in the window to compete the selection. Selected Columns are displayed under the header Selected Column Names . (Refer preceding figure Export Window )
  3. Click the browse button to Save In to store the generated template in a specific location with a file name of your choice.
  4. Click OK to complete the selection.

You can open the MS Excel template edit the document properties and save the file.

Select Excel File

Document properties which are updated can be imported to Wrench.

To import the updated document properties in bulk

  1. In the Advanced Options choose Select Excel File.
  2. Select the saved template from the system and click OK to continue.
  3. The document properties will be updated.

Custom Attributes View

Documents in Wrench will have certain custom attributes. These attributes are different for different kinds of documents. So Wrench stores these attributes with respect to different document genealogies. A user adding multiple documents to wrench need to enter all such mandatory custom properties before uploading the documents to wrench. Entering this in the "Normal view" in the multiple document addition window is tedious as there might be documents belonging to different genealogies. So Wrench provides the user with an options for easier entering of custom properties.

Switch to custom attributes view

On selecting this view, the grid will get grouped based on document genealogies.

Figure: Custom attributes view

In this view the grid will accommodate all the custom characteristics of the document genealogies specified for the items in the grid. User can explode a genealogy group to avail the list of documents under the genealogy. All the custom properties assigned to the genealogy will be active so that user can enter the values for these custom attributes. All the custom properties which are not assigned to the selected genealogy will be inactive and user can identify such fields from a text called "Not Applicable". A user may click on the respective custom property field to enter the value for the property.

Switch to Normal View

Once you have finished entering the custom characteristics you can switch to the normal view. Select Switch to Normal View on the tool bar.

Update

All the documents for which updating of document properties have been performed are to be saved back to Wrench. In the tool bar click on "Update ." All the updated documents are saved back to wrench. If any errors occur during this operation, relevant information is displayed in the comments area in the grid.

Copy and Bulk Copy of Documents

While copying out a document user can make a selection between the following options.

-Open the Copied file.

-Open the Copied file location.

-Close the dialog box.

If a single file is copied the following dialog box is displayed.

  1. Click “Open” to open the copied file.
  2. Click “Open Folder” to open the copied file location.
  3. Click " Close" to close the message box.
  4. On selecting the check box against “Do not show this message again” the dialog box is not displayed for further copy out operations.

If a bulk copy operation is performed the following dialog box is displayed.

If some of the files are not copied, click “Details” button to view the details of the documents which are not copied.

Bulk Replace of Released Documents

In the case of companies which prepare the 'As Built' at site, at the end of the project these drawings or documents are updated into Wrench in Bulk.

In the case of collaborator drawings, the collaborator on changing the drawings provides all the changed information which needs to be replaced in bulk including the Internal Revision Number. These documents or drawings are replaced in bulk to Wrench.

NOTE: Engineering collaborators are design companies through which designs are shared

To bulk replace released documents

  1. In the document search window select multiple documents

  2. In the right-click menu select "Replace"
  3. Bulk Replace window is displayed.

Figure: Multiple Replace Manager window

  4. Click the corresponding "Browse" button in " Select File" to select a file
  5. User can add a comment in the space provided
  6. Click "Ok" to confirm changes
  7. Clicking "Select Folder" , the 'select files' window will be displayed. Show the Folder where the files with matching file names to be replaced are stored.
  8. If all the documents are work flow completed the following "Multiple Replace Manager" is displayed

NOTE: Only the current stage user can replace a document

Deletion of Multiple Documents

  1. Select Multiple Documents in the "Document Search" interface
  2. Click "Remove"
  3. The Documents are Removed/Deleted.

NOTE: Multiple Deletion of documents is possible from Document Search/ Workspace/Projects/WBS/Folder Structure.

Bulk Attach Comment File in Document Search

In the common scenario, the Document Controller receives the comments of Multiple Documents in a single file. He/she has to select each Document individually and attach the same file to all these Documents. This is a highly time-consuming and tedious process. To make the procedure more convenient and user-friendly, Wrench facilitates users to Bulk attach comment files.

NOTE: A user with the right "Add Attachment/ Comment/ Markup " in the particular genealogy only can perform this operation.

To bulk attach comment file to a document

  1. Right-click the selected Documents in the "Document Search" grid
  2. Select “Comment File(s)”option from the drop-down menu to avail the "Bulk Attach Comment File" window.

For more information on bulk attaching comment files refer Task Operations in workspace>>Attaching Comment Files .

Bulk Copy out of Specter Files

  1. Select the required Document/Documents which contains the attached specter files.
  2. Select the "Copy Specter" option.
  3. Specify the location where the Specter files are to be copied out.

NOTE : You can also perform Single/Bulk copy out of attached specter files for all the selected Documents from Workspace/Document Search/Transmittal modules. However, only Users with "Copy Out Specter" rights in the specific Document genealogy can copy out the files.

Bulk Printing Documents Based on Sheet Size

You can print the Documents from wrench based on the sheet sizes. Different printers could be opted for taking prints of Documents with different sheet sizes.

When the user opts for bulk print from Document search, the sheet sizes of the selected Documents would be displayed in the interface with the following details:

i. Sheet size

ii. Printer

All the selected Documents would be displayed in the grid with the following details:

i. Document Number

ii. Document Description

iii. Sheet number

iv. No: of sheets

v. File name

vi. Printer

If the default printers are set in the Personal Preference of Wrench, the printer would be displayed by default for the selected sheet sizes. If not, the system default printer would be the default.

You can modify the following details if required.

  1. Printer for the Sheet sizes: The default printer from the Personal Preference are displayed here. The user may edit this if desired.
  2. Printer for the Documents coming under the sheet sizes: The printer for the Documents coming under the sheet sizes would be defaulted from the sheet size printer. You can change the printer for a specific Document if needed.

Views in Document Search

You can create a customizable view in Document Search and save it as 'Public/Private' view. You may also export all the columns in the "Search results" grid to an MS Excel sheet.

Figure: Document Search Views

Click “Views” button to avail the following options from the ensuing menu.

  • Default View
  • Advanced View and Resource View
  • Choose Columns
  • Custom Views

Default View

Default view is the document search window that is displayed initially.

Advanced View and Resource View

In the View menu in the toolbar user can select between Advanced View and Resource View.

  • Advanced view displays the custom properties of the Document in the search results grid
  • The Resource view displays the current stage resources of the entire Documents in the search result grid.

Choose Columns

The search result grid can be rearranged with columns of your choice

To choose columns

  1. Click 'Choose columns" to select the list of columns to be included in the 'Search Results' grid.
  2. You can drag the required column into the 'Search Results' grid and thus Add/Remove the columns in the search grid.

Figure: Document Search window

Custom View

You can also save the existing customized view as public/private in 'Custom Views". Public views could be accessed by any user whereas private views are available only to the creator.

  1. Click the 'Custom View" option to avail the "Select/Save View" interface.

Figure: Select/Save View

  2. Here you can enter a view name and save the view. A list of already created views is also displayed here.
  3. You can Select a view, Save a view, Replace a view and Delete a view

NOTE: When you save a view the different search criteria defined for the search will also be save.

See Also:

Creating and Adding Documents

Integrating Xrefs from AutoCad/Microstation into Wrench

Adding Multiple Documents

Document Operations

Adding Correspondence Documents


Part Search

The "Part Search" module facilitates users to search for Parts maintained in the system. Search results are retrieved based on the criteria provided.

Navigation Table

To | See
Access Part Search window | Accessing Part Search
Search for Parts | Searching for Parts
Save the search view | Saving the Search View
Perform a class-wise search | Class-wise search
Perform operations on search results | Operations on Search Results

Accessing Part Search

Figure: Accessing Part Search window

  1. In the Wrench desktop navigation bar select "Search"
  2. Select "Part Search" from the items grouped under this button
  3. Part Search window is displayed.

Figure: Part Search window

Part Search window is segregated into three main areas.

Part Properties Area: Here the user can define a criteria to initiate a search. User can scroll down and provide values against the required search criterion.

Part Custom Properties Area: Custom properties assigned to the Part is displayed here.

Search Result Area: The search results are displayed in the search result area..

Searching for Parts

  1. Click "Part Search" in Other options to avail the "Part Search" window
  2. Here, the user can initiate a search and retrieve results based on the search criteria provided.

Figure: Part Search window

Under "Part Properties" Part Search may be initiated with the following criterion

  • Part Number
  • Part Description
  • Part Long Description
  • Part Status
  • Revision Number
  • Genealogy
  • Part Type
  • UOM
  • Shape
  • Source
  • Work flow Team
  • Is Design Driven
  • Is Under Revision
  • Is Configurable
  • Is Approval Required
  • Is Circuit Ref. Required
  • Is Assembly
  • Is Work flow Required
  • Old Part Number
  • End of Life
  • Cost
  • Collaborator Part No.
  • Created By
  • Created From
  • Created To
  • Last Edited By
  • Last Edited From
  • Last Edited To
  • Approved By
  • Approved From
  • Approved To
  • Released By
  • Released From
  • Released To
  • Rejected By
  • Revised From
  • Revised To
  • Obsolete By
  • Obsolete From
  • Obsolete To
  • Revoked By
  • Revoked From
  • Revoked To
  3. Click "Search" button
  4. Search results are displayed in the grid based on the criterion provided.

Figure: Search Result window

The more number of characteristics are defined, precise the search will be (with fewer results)

  1. User can specify the number of matching records to be displayed by providing a value in the "Maximum number of results to be returned" field
  2. Select the 'Show Part search results in customizable view' option to view the customized search results in the grid as shown in the figure

Figure: Part Search-Customizable view

  3. User can arrange the search results based on selected fields
  4. Select a record from the "Search results" grid and double-click on it to display the "Part details" window
  5. The "Part Details" window displays the basic information of the Part such as Part No, Part Description and Revision No followed by other details.

Saving the Search View

  1. Click "Save Search" button to save the search view

Figure: Save Search window

  2. Specify a name in the "Search Name" dialog box
  3. This option enables the user to store the Attribute name/s using which search could be carried out
  4. You may also make the saved search view "Private" or "Public"
  5. If the "Private" option is selected, the saved search view is accessible only for the user who created the view on parts. The view saved as "Public" is accessible to all the users.

Search based on Part Custom Properties

The user can also search based on search criteria defined for available class.

  1. Click the "Browse" button next to Genealogy and select the required level
  2. If a class has been assigned to it, then it is displayed under Part Custom Properties
  3. Select the Class and click "Search"
  4. The results of the Part search are displayed in the 'Search results' grid.

Figure: Part Search window

Operations on Search Results

Export to MS Excel : User can select a Part retrieved from the search and export it to an MS Excel worksheet.

To export a Part to MS Excel

  1. In the search result grid, select a Part and right-click on it

Figure: Part Search window

  2. In the right-click menu select "Export to Excel"
  3. "Save As" window is displayed

Figure: Save As window

  4. User can specify a file path to save the part details
  5. Click "Save"
  6. The selected Part is successfully saved.

Revise: Click Revise to the render the status of the part to work in progress.

Fast Track Revision: Clicking this option a Change Request is raised and the request need to be approved for revision to come into effect.

View BOM: BOM Associated with the part is displayed

Create From: Select this option to create a part with reusable values. Part Master window is displayed. User may provide the appropriate details.

See Also:

Creating a New Part

Part Operations

Creating a New Standard BOM

BOM Operations (Standard BOM)

Creating a New Material BOM

BOM Operations (Material BOM)

BOM Search

Import/Export of BOM


BOM Search

The BOM Search option enables the user to search for BOM information. This option is useful when the user is not sure if the BOM information is available for the Part. BOM Search lists only those Parts which have available BOM information

Navigation Table

To | See
Access Search window | BOM Search
Search for BOM properties | BOM Properties Search options
Perform operations search results | Search Result Operations

BOM Search

Figure: BOM Search

  1. In the Wrench desktop select "Search and Utilities"
  2. Select "BOM Search."

Figure: BOM Search window

  3. Here, the user can perform a search and retrieve search results based on one or more of the following BOM attributes or characteristics.

The BOM search window is segregated into the following areas

  1. BOM Properties
  2. BOM Custom Properties
  3. Search Result Grid

BOM Properties" Search Options

Under "BOM Properties", the search may be initiated with the following data.

  • Part Number
  • Part Description
  • Part Status
  • BOM Usage
  • BOM Group
  • BOM Type
  • BOM Type No.
  • BOM Revision
  • BOM Status
  • Created by
  • Created from
  • Created to
  • Completed by
  • Completed from
  • Completed to
  • Released by
  • Released from
  • Released to

  1. Enter the search criteria by typing-in Part No, Part Description, BOM Group, BOM Usage and one or more of the BOM required attributes.
  2. Click "Search" button.
  3. The system will display the matching items with their status (such as Work In Progress, Completed, Released) under "BOM Search Results" grid.
  4. The more number of characteristics you define, the precise the search will be (with fewer results).
  5. The user can specify the number of matching records to be displayed by entering numeric value in the "Maximum number of results to be returned" field.

Operations on Search Results

User can perform the following operations on search results.

  1. In the search result grid select a BOM
  2. Right-click the selected BOM.

The following options are available on the right-click menu

-Export to MS Excel

-Revise

-Fast Track CR

Figure: BOM Search Result Operations window

Export to MS Excel

The search results can be exported to an MS Excel file.

  1. On selecting this option "Save As" dialog box is displayed
  2. Specify a path and file name to save the export results.

Unformatted Export

The user may export BOM using Unformatted Export option.

  1. Select the specific BOM
  2. Click " Unformatted Export" under Import / Export option
  3. User can export the BOM details to an MS Excel file or CSV format
  4. User can make appropriate selection in the Save As window
  5. The entire BOM is exported in the selected format. (The data exported would be unformatted, i.e. the user would get all the BOM columns without any list of values in a more faster mode.)

Revise

BOM Revision involves the revision process of BOM's, which are in released status. The user can raise requests for revising the BOM. CR Request window is displayed. User can enter appropriate values in the window.

NOTE:The selected BOM must be in released status and the user needs to have BOM Revision rights for the selected BOM’s Part genealogy.

  1. Select the required BOM from the search result
  2. In the right-click menu select "Revise"
  3. "Do you want to revise the selected BOM" dialog box is displayed
  4. Click "Yes" to proceed
  5. CR Request window is displayed
  6. User can add values in the editable fields of CR Request and click "Save" button
  7. "New request added to an existing CR successfully" dialog box is displayed
  8. Click "Ok"
  9. CR window is open displaying the object selected.

Fast Track Revision

Change Management is a systematic process of validating changes raised by different users and approving to start incorporating changes in the objects. Fast Track CR helps the user to revise BOM and documents directly without going through the usual Change management Processes. The Fast Track CR option is used to revise BOM and documents directly without going through the usual Change Management Processes.

  1. Select the required BOM from the search result
  2. In the right-click menu select "Fast Track CR" option.

NOTE: In order to perform a Fast Track CR please note that the Document or BOM must be released.

  3. The CR Request window is displayed.
  4. User can add values in the CR Request and click "Save" button.
  5. The "Attach work flow" window is displayed where user can select a work flow.
  6. Click the "Route" button.
  7. User will be prompted to select the resources dynamically. Click "Yes" to avail the Dynamic Resource Allocation window. Add or Remove users for each stage as desired.
  8. Click "Save".
  9. "BOM revised in fast track successfully" dialog box is displayed.

See Also

Creating a New Part

Part Operations

Creating a New Standard BOM

BOM Operations (Standard BOM)

Creating a New Material BOM

BOM Operations (Material BOM)

Part Search

Import/Export of BOM


Content Search

If the Content search plug-in has been included during installation of Wrench Enterprise then this facility is available. This is a search engine that retrieves documents based on the content information.

Navigation Table

To | See
Access Content search | Accessing Content Search
Use Content search | Using Content Search

Accessing Content search

  1. In the left navigation bar select Document Search
  2. From the different search options select Content Search

Using Content Search

  1. Enter the Search string in the field

Figure: Content Search

  2. Click "Search"
  3. Search results are displayed in the grid.

Figure: Content Search window


Recent Items

Objects opened recently are displayed here. These items include Project, WBS, Documents, CR, CN and Transmittal.

Figure: Recent Items folder

Items in the "Recent Item" folder can be pinned and moved to a Pinned Items folder. Files pinned to the "Pinned Folder" can be accessed easier. You need not to search for the files if you need to open it.

Pinning objects to a "Pinned Folder"

Figure: Pinning objects

In order to pin an item to the "Pinned Folder."

  1. Select an item from the "Recent Items" folder and right-click.
  2. In the right-click menu select "Pin."
  3. The selected items are moved to the "Pinned Folder."

Unpinning items from the pinned folder

Figure: Unpinning Items

To unpin items

  1. Select an item from the "Pinned Folder" and right-click.
  2. In the right-click menu select "Unpin."
  3. The selected items are removed from the pinned folder.


Utilities

Utilities assists the user in performing project related activities more swiftly and easily. Utilities available in Wrench are mentioned in the following table. Utilities can be accessed by selecting the Wrench button and making selection as displayed in the following figure.

Navigation Table

To | See
Communicate internally and externally during a Project | Transmittals
Accurately assess the time required for each task in a project | Timesheet
Handle the details of a meeting | Minutes of Meeting
Manage external and internal mail communication | Mail
Manage Print activities | Print Manager
Manage Scan requests | Scan Manager
Reassign objects to another user | Reassign User
Attach Specter files in huge volumes | Bulk Attach Specter files
Replace huge volumes of files | Bulk Replace Files
Derive reports that are critical to project management and data management | Custom Reports
Organize and Present information in a way that is easy to read | Dashboard


Time Sheet

Efficient time management is a vital element in managing projects. Wrench provides users a comprehensive yet user-friendly Time Sheet for making an accurate assessment of the time required for each task in a project. Here, the resources can log in the actual time taken to complete their assigned tasks as well as submit their tasks for approval. The Time Sheet can be accessed by any authorized user of Wrench who Approves/Rejects it.

Navigation Table

To | See
Open the Time Sheet window | Opening the Time Sheet
Create a entry in the Time Sheet | Creating an Entry in the Time sheet
Create a New Time Log | Creating a new time log entry
Approve a Time Sheet | Approving Time Sheet entries
Administer time logs | Administering time logs
Export time logs | Exporting time logs
Generate an time log import template | Generating an import template
Import time log entries | Importing time log entries
Configure import and export template | Configuring import and export templates
Customise time log window | Customising the new time log window

Prerequisites

  1. Initially, the user may enter the description of the required activity in the 'Activity entry' option in the Activity Master. Here, you may create “Activities” based on “discipline”. Refer the section Configuration Wizard > Control Panel > Masters > Others > Activity Master in the administrator's manual to access this option.
  2. If you wish to set a specific user as a global approver, you may select the desired user. Refer section Configuration Wizard > Control Panel > Masters > Resources> Time Sheet Approvers in the administrator's manual to access this option.
  3. To make a Time Sheet entry, you need to assign an approver for the project resources. For more information on how to assign an approver for the selected project resources, Please refer Assigning approver to a project resource in the Projects module.

Opening the Time Sheet

There are two ways to open the 'Time Sheet' in Wrench.

  1. Click Wrench button
  2. In the ensuing menu select Modules>>Utilities>> Time Sheet to avail the 'Time Sheet' window.

Or

  1. Right-click the specific tasks or documents in your workspace. Select Add to Time Sheet from the list of options
  2. Time Sheet Details window is displayed. The task details are populated by default in the column.

Figure: Time Sheet Details window

  3. Default discipline is displayed in the Discipline column. The discipline can be changed by selecting a different from a drop-down list.
  4. Select OK. Time Log entered successfully dialog box is displayed.
  5. Select OK to proceed

The time log created is displayed

Figure: Time Sheet window

Creating a time log

  1. In the time sheet window toolbar click New Time log

New Time Log window is displayed

Figure: New Time Log window

  2. In the 'Time Sheet' window, enter relevant information in the following fields.

#

Item

Description

1

Date

Select the date on which the time log entry was made from a date picker. Local time at the instance of time sheet entry is captured by default.

2

Activity

You can select all activities assigned to the selected discipline as well as the general activities (i.e; certain activities which do not have any particular discipline assigned to them in the Activity Master) would be displayed in the drop-down combo. Activities assigned to the selected discipline would appear first in the combo box followed by general activities.

3

Project ID

Select the required Project ID from the available list of projects where the current user is a project resource

4

Project Description

Project Description corresponding to the selected Project ID is displayed.

5

Discipline

By default, the discipline assigned to the user in the User Master would appear in the drop-down box. Select the required discipline from the 'Discipline' combo-box.

6

Actual Duration (Hours)

Enter a duration for the time log. Duration is the time you spent on carrying out a specific activity

7

Task Name
  1. A time sheet entry can be created for each task in the project.

To select a task

  1. Click the browse button next to Task Name

Task window is displayed

  2. Select a Task from the Task Search window.

The selected Task is displayed in the Time Log Details window

8

Percentage Work Completed

Enter the percentage of completed work

9

Sub-Activity
  1. Click the browse button to select Sub-Activity.

Select Sub-Activity window is displayed.

  2. You can select a Sub-Activity or create a New one.

The selected Sub-Activity is displayed in the Time Log Details window.

A sub-activity can be created from the Select Sub-Activity window. To add a new sub-activity

  1. Click in the column labeled as Click here to add a new row
  2. Enter the new sub-activity in this column and click

A new sub-activity is created

10

Booked

Time sheet can be booked for any future dates based on the schedule or plan making it easier for the user's to plan their activities. You can select an advanced date to create a time sheet booking.

This facility enables the user

  • To plan individually by allowing time booking in the time sheet module.
  • To compare the Actual versus Booked Time log using a Stored Procedure Report
  • The Time Log details is displayed in the Time Sheet window.

NOTE: User cannot enter more than the booked time. Any values entered beyond the booked time will be treated as overtime.

11

Duration Details

When a time log is created, budgeted duration available for the task is displayed. In addition Cumulative Actual Hours and Remaining Hours is also displayed here.
  1. Once you complete the procedure of entering the time sheet details, click Save to store the time sheet entry and create another entry.
  2. Click OK to close the window.

The entry will be displayed in the Time Sheet window and the status of the entry would be Created.

NOTE: Time Sheet entries can also be made for project independent documents.

Customizing the new time log window

The fields in the new time log window can be personalized for a user. This means the fields that has to be displayed in the time log window can be configured and saved as personalized view. Personalize view is created for a user in the Wrench Master and the view created for a user will be visible only for that user . A user can customize the view from the New Time log window.

To customize the view

  1. In the New Time Log window click Personalize View

Customize Time sheet window is displayed

Figure: Customize Time sheet window

Here different properties are displayed. You can display these properties in the New Time log window or remove them from the window.

  2. Under the column Display in UI, select the check box next to a property. This property is displayed in the New Time log window
  3. If the check box next to a property, under the column Mandatory is selected, entering value for this property is mandatory
  4. Click OK to save changes

Operations in the time sheet window

In the right-click menu on the Time Sheet window the following operations are possible.

  • Submit: Submit the Time log
  • Remove: Remove the Time log
  • Copy: Copy the Time log
  • Paste: Paste the copied Time log

Submitting the time sheet

Once the time sheet details are entered, this has to be submitted to concerned approvers or department heads. They in turn will approve or reject your time sheet entry.

To submit the time sheet

  1. In the time sheet window tool bar or from the right-click menu select Submit
  2. If the entries you have made are appropriate, the selected entry is submitted and will be available for the approver to mark his decision.

NOTE: A Time Log entry can also be Project and Task Independent.

Entering Time Sheet from Document workspace

For documents with a workflow attached to them, the current stage user can enter time sheet.

  1. In the Document Workspace select the document and right-click
  2. In the right-click menu select Add to Time Sheet

Workspace Details window is displayed with the fields Document Number and Date filled in. If the document is project related the fields Project Description and Project Number are also displayed.

  3. Enter start time and end time and save the time log entry.

Creating a time sheet entry for a document

The time spend on completing each stage of a document can be entered in the time sheet, until the document is completed. Total duration spend for a document can be calculated from these entries.

To create a time sheet entry

  1. In the Time Log Details window make the entries as explained in the preceding sections
  2. Click 'Browse' button to select a Project from a list displayed. Project Search Window is displayed
  3. Select the Browse button next to the field Document Number. Document Search window is displayed. You can initiate a search operation and retrieve the documents. Select the documents from the search results

NOTE: Once a document is selected in the Time Log Details window, browse button next to Task Name is disabled.

For entering remaining values refer to Creating a Time Log

Saving Views

Time sheet views created can be saved and later the saved view can be loaded.

To save a view

  1. In the Time sheet toolbar select Views
  2. Select Custom Views

Figure: Save Views window

Here you can provide a name for the view and save it. You can also select an existing view and delete it. The saved view can be accessed any time you need it.

Arranging your Time sheet window

You can arrange the columns in your time sheet window so that the columns that are of relevance to you are only displayed.

To remove columns

  1. In the time sheet toolbar click Views>>Choose Columns
  2. Customization box is displayed. The customization box can be enlarged or reduced by dragging the edges. You can also drag the whole box and dock it at an area of your choice.

Figure: Customization box

  3. You can drag the columns that you want to hide to this box

Approving Time Sheet entries

Wrench provides the 'Time Sheet approval' facility by which one or more group of users are specifically identified as “Time Sheet Approvers” who are responsible for approving the Time Sheets of a selected list of other users. The system displays a defined list of “Time Sheet Approvers” and users could be selected for an approver as required. This facility also enables approvers to be selected for a chosen list of project resources identified for a specific project. When a Time Sheet entry is made to a particular project, if an approver has been set for a specific user in the project, it must override the approval of the specified Time Sheet approver set for the user organization-wide .

Time logs sent for approval will be listed under Time Sheet Approval Tab

To approve a time sheet entry

  1. Select the Timesheet Approval tab
  2. In the grid select the entries that you want to approve. Multiple entries can be selected by pressing the CTRL key.

Figure: Approving Time sheet entry

  3. In the tool bar or right-click menu select Approve
  4. Once the time sheet entries are approved the status in the grid will change to Approved
  5. Enter your remarks in the Remarks column in the grid

NOTE: Cumulated time is displayed in hours:minutes when grouped by date. Time Sheet entries of the user can be searched on the basis of a specified date range. On clicking “Show” button, all the matching Time Sheet entries would be displayed in the grid

Delegating time sheet approval authority

When a time sheet approver goes on leave for a long period or permanently leave the company, the time sheet approval authority can be delegated or handed over to another user. This can be done at a time for all projects in which the selected time sheet approver is the approval authority. For more information on this topic refer Delegating time sheet approval authority .

Forwarding time sheet entries

In certain organizations work happens over disciplines as well as projects. Therefore, the time spent by the resources will have to be reviewed and approved by two levels of approval authorities. One is the discipline lead and the other is the concerned project manager. The logs submitted by the user will first get submitted to the first level authority and the first level authority shall be able to forward them to the concerned second level approval authority.

To forward time sheet entries

  1. In the time sheet tool bar or right-click menu click Forward

Time sheet is forwarded successfully.

Administering time logs

A super user has the ability to affect all time logs submitted by users across the whole organization. A super user can extract, alter, submit, approve, reject and delete time logs. In order to become a Super User, a user should possess Administer Time logs security right.

To administer time logs

  1. In the time sheet details window tool bar select Administrative View

An expanded time sheet details window is displayed

Figure: Time Sheet window - Administrative view

In this window, time log details for a user can be retrieved using different search criteria. Once the time log details are retrieved, following operations can be carried out in the right-click menu.

Submit: Click this option to submit the selected time sheet entries

Remove: Click this option to remove an entry from the log

Copy: Click this option to copy the selected time log

Paste: Click this option to paste the copied time log to a specific location

Reject: Click this option to reject the selected time log

Approve: Click this option to approve the selected time log

Generating an import template

A template can be generated for importing time logs into Wrench. This automatically generated template can be a basic template, advanced template or a configured template. Configured template is created using Configure Template option available in the Time Sheet window toolbar.

To generate an import template

  1. In the time sheet window toolbar click Generate Template

Generate Template window is displayed

Figure: Generate Template window

Here the following options are available. You can select an option by selecting the radio button next to an option.

  • Basic Template: If this option is selected an MS Excel template with basic time log properties is generated
  • Advanced Template: If this option is selected an MS Excel template with all time log properties is generated
  • Select Template: If this option is selected the drop-down list is enabled. Different configured templates is available here. You can select a template from the list. For more information on Configured templates, refer Configuring Templates.
  2. Select an option and click OK

Save As window is displayed

  3. Select a location to store the template and click Save.

Exporting time log entries

Time log entries can be exported to an MS Excel sheet.

To export time log entries

  1. In the tool bar click Export

Save As window is displayed. Enter the name for the MS Excel file

  2. Click Save As button

Time logs will be saved as an MS Excel file.

Importing time log entries

Resources who have no access to Wrench can update their time log entries in the import template. The details in this template is then imported to Wrench using the import option available in time sheet window.

To import time log entries

  1. In the time sheet tool bar select Import>>Create New Time Logs

File Selection window is displayed

  2. Select the import template in which resources have entered their time log entries and click Open

The new time log entries are imported to Wrench

Updating time log entries

Existing time log entries can be exported to an MS Excel template, the details can be edited or updated and imported back to Wrench.

To update time log entries

  1. In the time sheet tool bar click Import>>Update Existing Time Logs

Open window is displayed

  2. Select the MS Excel export template that was updated and click Open

The updated time log details are imported to Wrench.

Configuring export and import template

Import and export templates can be configured according to the need of the organization. Time log properties that have to be displayed in the MS Excel template can be configured and the template can be saved. When selecting a template for exporting or importing the saved template can be used.

To configure an export template

  1. In the time sheet tool bar click Configure Template>>Export Template

Export Template window is displayed. Export templates existing in Wrench is listed here.

  2. In the Export Template tool bar, click New to create a configured template

Export Template creation window is displayed. Columns in the time sheet window is displayed in the section Time Sheet Columns.

Figure: Selecting time sheet columns

  3. Select the columns that you want to appear in the export template and click the front arrow button

The selected columns are displayed in the Selected Columns section

  4. Click OK to complete the Export Template generation.

For configuring import templates, the procedure explained in the preceding section can be followed.


Minutes of Meeting

Minutes of Meeting

Minutes of meeting, abbreviated as MOM, is a written record of the highlights of the meeting. It is used to record the meeting details, discussion points, decisions taken during the meeting, actions to be taken and general information. Minutes of Meeting can be either a consolidation of the outputs of the meeting or a detailed one with the discussions held or its outputs. Prior to working with the minutes of meeting module you may familiarize the following terminologies.

Convener and Chairman: Chairman presides over the meeting whereas the convener is responsible for the discussions to be held in the meeting and is the official signatory of the minutes.

Attendees: Individuals who attend the meeting are known as attendees. Attendees can be either permanent members in a meeting or provisional as per the requirements of the meeting. Attendees can also include Invitee's and special Invitee's.

Invitee's: Any person or organization that is affected by the outcomes of the meeting are called as invitee's to participate in the discussions

  • Only the Convener of the Board can create the MOM.
  • The Chairman and Convener can approve the MOM.
  • MOM needs to be approved before the Chairman and Convener can release the MOM.

Other users can view the MOM (if Permitted) and should complete the action assigned to them

Navigation Table

To | See
Open Minutes of Meeting | Opening Minutes of Meeting
Create Minutes of Meeting | Creating Minutes of Meeting
Add an Action Item | Adding an Action Item
Circulate MOM | Circulating MOM
Manage Circulation Comments | Adding or Editing Circulation Comments
Approve a Minutes of Meeting | Approving a MOM
Attach Comments and Documents to an Action item | Attaching Comments and Documents to an Action Item
Escalate Minutes of Meeting Action items | Escalation of MOM Action Items
Import from previous Minutes of Meeting | Importing from Previous MOM
Perform a search operation | Performing a Search Operation
Export to MS Excel | Export to MS Excel

Opening Minutes of Meeting

Figure: Creating a Minutes of Meeting

  1. In the Wrench desktop select Wrench button
  2. In the ensuing menu select Modules>>Utilities>>Minutes of Meeting. Minutes of Meeting window is displayed

Configuring MOM views

Each Minutes of Meeting displays its description in the grid. This is called as a view. The items in the grid can be grouped as you need. This can be saved as a custom view. If the view is saved as a public view it can be used by all users. Privates views created and saved can only be used by the creator of the view. On using the saved view for another MOM only the view

For Example: You can group the MOM grid based on Actionee and save the view as public.


Creating Minutes of Meeting

Creating Minutes of Meeting

Mandatory values that are to be provided while creating Minutes of Meeting is explained here.

Figure: MOM main window

NOTE: Only the convener can create a MOM.(Refer Meeting Boards in the administrator's manual)

To Create a Minutes of Meeting

  1. In the Minutes of Meeting window tool bar click "New" button to create a Minutes of Meeting

To create a minutes of meeting the details mentioned in the following details are to be entered

#

Property

Description

1

Minutes of Meeting Reference Number

This will be a unique number used to identify a MOM and as a reference in further conversations and documentations.

2

Meeting For

A meeting can be conducted to take decisions regarding a Project, Task, Document, Change Request and Change Note. This can be selected from a drop-down list.

On selecting “Others” as 'Meeting for' criteria from the drop down list the reference number field is disabled

3

Reference

The meeting can be referred to a specific item for more details or information.

For Example: If the meeting is related to a project, you can add the specific project as a reference.

4

Meeting Board

Meeting Boards are a predefined body of members who participates in all meetings under the same category.

For Example: Configuration Control Board (CCB) is a board which reviews all the designs and its changes, whose approval is required for its realization. Hence all design review meetings will have the same meeting board.

User can assign a board. User can also create a Minutes of Meeting independent of a board. If a board is assigned to a Minute of Meeting the convener and chairman of the board are displayed.

Click the browse button to select a board from a list.

For a Minutes of Meeting without board user can browse and select the chairman and convener from the user list window

5

Convener

Click the browse button to select a Convener for the meeting

6

Chairman

Click the browse button to select a Chairman for the meeting

7

Subject

Subject is the purpose for which the meeting was held.

For Example: If the meeting was conducted to take decisions on rescheduling the project, this can be entered in the subject line

8

Meeting Date

Date on which the meeting was held can be entered. Select a date from the date picker.

9

Start Time and End Time

Time at which the meeting was started and was over can be entered here. On entering this value total duration of the meeting is calculated automatically by the system and is displayed in the duration field.

10

Venue

Place or room where the meeting was held can be entered here.

11

Details

General information to be shared across as an outcome of the meeting can be entered here.
  2. On the MOM toolbar select Save to store the created minutes of meeting
  3. On the MOM toolbar select Edit to make changes to values entered while creating a MOM.

NOTE: A Minutes of Meeting can be edited only by the convener of the board

Hide Header details: On clicking this hyperlink only MOM reference number is displayed. The remaining fields in the MOM header details are hidden.

See Also

Minutes of Meeting


Managing Action Items

Action Item

As the name specifies, an action item is a description of what has to be done. Usually a meeting will be held for discussing a subject or pain area which requires collective information. Hence the action item will be more or less in line with the above subject or pain area.

For Example: The following figure displays the minutes of meeting for the snag review. A typical action item is almost similar to one item shown in the figure.

Figure: Minutes of Meeting Example

Adding a new action item

  1. To Add a new Action Item, right-click the space below the Action Items grid. This operation can also be performed from the navigation bar
  2. Select "Add" from the ensuing menu. MOM Points window is displayed

Figure: MOM Points

User can provide the following values in the MOM Points window

#

Property

Description

1

Item Type

The type of the action point can be entered here. This can be either Action or Information and can be selected from a drop-down list. As the name indicates, action requires an activity to be completed whereas information is for publishing some outputs that came out in the meeting.

For Example: The start of internal fabrication to be started in early May is an information, whose action is completing all design drawings with in the specified time so that the internal fabrication can be started. The former does not have an actionee or completion date while the latter requires action from engineering manager to ensure that the designs are through within the specified time. This means an action will have an actionee and an end date for action whereas information will not have them.

2

Item No.

This is for the purpose of identifying the action item

3

Actionee

Actionee is the individual or organization responsible for an action.

For Example: If action item 1.1 in the preceding figure is taken into account HOD, is responsible for submitting the report. Even though the report might be created by his engineers, HOD is responsible for the same.

  • To assign an actionee, click the browse button.
  • User list window is displayed from where you can select a single or multiple actionee.

4

Target Date

A date for completing the action can be provided. The Actionee is supposed to complete the action within this date

5

Action Type

Action type is a categorization of different actions that has come out in a meeting. This can be used in different scenario. One classification on the actions can be as corrective action and preventive action. You can select an action type from the drop-down list.

6

Closing Rule

If there are more than one actionee for an action you can select a closing rule. the rule can be set as “Closure by any” or “Closure by all”.

7

Item Description

Item description is the detailed description of the action or information. It describes what the discussions on that item were, what the different opinions were and how it was concluded. Usually for an action item the item description is followed by the action to be performed.

If Closure by Any is selected; the closure by the actionee renders the status of the action item as “Closed” and the action item is removed from the workspace of others.

If Closure by All is selected; the closure by the actionee removes the action item from the respective workspace. The status of the action item remains as “Open.

8

Action Required

Here you can specify the action that is to be performed.

9

Remarks

Any additional comments or observations on action items can be entered here

Editing an Action Item

An action item may be edited and the changes can be saved. Clicking "Edit" in the navigation bar "MOM Points" window is displayed. User can make the necessary changes and save them.

Escalation of Action Points

Minutes of Meeting actions are escalated to the concerned authorities if there are any concerns on its delay or the quality of action performed. In the preceding example 1.1 , if the report is not submitted by 23/08/09, there can be multiple issues and needs to be escalated to higher authorities to take further actions.

To Escalate an action point

  1. Select the Action Item which is to be escalated
  2. Click Escalation button. Escalation window opens up

Figure: MOM Escalation

  3. Click New. Fields in the window is enabled.
  4. Click "Browse" button corresponding to "User" to select a user
  5. Number of Alerts: More than one alert can be set for an escalation. This is for ensuring that the escalation is attended to without fail.
  6. Alert Intervals: If multiple alerts are set for an escalation a time interval can be defined for these alerts to appear.
  7. On the MOM Escalation window select Save to store the changes.

NOTE: Escalation can be defined for Action Points having a date of completion

Closing Action Items

The identified action items will be closed by the actionee’s on completion of the action. A MOM cannot be considered as closed until all the action items in it are completed.

For Example: Item 1.1 in the preceding example can be closed once the report is submitted.

Convener, Chairman or an Actionee with appropriate security rights may close an action item.

You can select single or multiple action items available in the workspace and from the right-click menu click "Close." When each actionee closes the action item available in his workspace the “Completed by” and “Completed on” field is updated.

On closure of the action item by all the actionee’s the status of the action item changes to “Closed”


Status of Action Point and Action Items

Status of Action Items

Status of an action item can be either open or closed. An uncompleted action will be in open status. Once the action is completed it will be updated to closed status. A MOM can be considered as completed when all the MOM points are in closed status

Status of Action Points

An action point can take the following statuses

Open: This denotes the action point is open.

Action Taken: If any actions has been performed on the action point the status is rendered to "Action Taken."

Held: This denotes the action point is on hold

Closed: This denotes the action point has been closed


Importing Action Items

Importing Action Items

The import of action items from one MOM to another is required in the following scenario

  1. An action item which needs to be reviewed over a long time period

  2. An action item which failed to get closed in the specified time period and needs to carry over to the next meeting for corrective actions.

The convener can import Action Items from previous MOM. Only the previous MOM in the same series can be recalled for importing. On importing the Action Points, they will appear in the new MOM and on releasing the new MOM, the Action Points are routed to the actionee.

To Import an action item

  1. In the left navigation bar from "Action Item" select "Import Action Items"
  2. Import "Action Items" window is displayed

Figure: Import Action Items window

  3. You can select a previous Minutes of Meeting by clicking the "Browse" button. Search MOM window is displayed
  4. You can select a Minutes of Meeting number from the "MOM Search" window. The selected Minutes of Meeting is displayed in the grid
  5. You can define the type of items to be displayed by selecting "Show only Open Action Items" and "Show Information Items"
  6. Click "Import Selected" to confirm selection. The selected Minutes of Meeting is imported.

Bulk importing Action item MOM

Instead of creating action item one after other, you can generate an MS Excel template, enter the action items in the template and import the action items to your MOM.

To generate template

  1. In the MOM window navigation bar select Generate Template

  2. Save As window is displayed. In the Save As window enter a file name and click Save

  3. In the generated template enter the action items and save the MS Excel sheet
  4. In the MOM window select Bulk Import Action Items

  5. Click Open to import the action items to MOM.
  6. Bulk Import Action Items window is displayed. Click Import to continue with the bulk import process.

NOTE: If any errors are noticed during the verification of import data, it is displayed in the Comments field of Bulk Import Action Item window.

Figure: Bulk Import Action Items window


Updating Action Taken

Updating Action Taken

Once an action is completed, the actionee will close the action item by entering the action taken against the action item.

For Example: If an actionee is assigned with the task of reviewing a drawing, once the review is completed the action item can be selected and action taken can be updated.

To update action taken

  1. Select the Action Item available in the workspace
  2. From the right-click menu select "Update Action Taken."

Figure: Action Taken window

  3. User can enter the action taken in the window and select "Ok."


Attaching Comments and Documents to an Action Item

Attaching Comments and Documents to an Action Item

Any corresponding documents or comments can be attached with the action item.

For Example: A report can be added as an attachment to an action item

To attach comments or documents to an action item

  1. From the right-click menu or navigation bar click "Attachments ."

Figure: Adding Attachments to an action item

Action Item Attachments window is displayed.

In the window click Add.

Select Attachment window is displayed. Select the required attachment files from the window.

Added attachments are displayed in the Action Item Attachments window.

Figure: Action Items Attachments window

The following details are displayed in the window.

  • File Name: Name of the file which was added
  • Created By: User who added the document or attachment
  • Created On: Date and time when the document was added

NOTE: Only user's with appropriate rights may perform the Add, Remove and View operations


Holding Action Items

Holding Action Items

It might be required to hold an action item due to the following reasons

  • Action cannot be completed due to the dependency on another action. With the permission of the board the actionee can hold the action item.
  • A board can issue a notice to stop the action for internal or external reasons.
  • If the action is of long term nature the action can be held

For Example: In example 1.1 , a higher board has intimated to hold the release of order to Godrej due to some concerns in the quality of products they have delivered. Hence the action will be delayed until further clearance from the board.

To hold a MOM

  1. From the navigation bar select Hold

Figure: MOM navigation bar

  2. Holding comments window is displayed

Figure: Holding Comments dialog box

  3. The reference number of the selected MOM is displayed on the top of the dialog box
  4. Enter holding comments and click OK
  5. The selected Action Item is on hold now.


Circulating a Minutes of Meeting

MOM is usually typed by secretaries on the behalf of the Convener. The owner of the MOM is the convener itself and he will circulate it to other members in the meeting to verify whether there are any disputes or additions to the MOM. This is done to get the concurrence of the other participants before releasing the MOM.

NOTE: Circulation of MOM is not a mandatory function and depends on the discretion of the user.

Figure: Circulating MOM

To circulate MOM

  1. Click "Circulate MOM" option in the Manage MOM menu
  2. The Attendees window is displayed

Figure: Attendees

  3. Select the permanent members, invitee's and special invitee's to whom the MOM is to be circulated for approval
  4. If the "Select all" check box is selected, all the Permanent Members, Invitee's and Special Invitee's in the list would be selected and the MOM report would be circulated to all the selected members. A mail notification will be sent to the Permanent Members, Invitee's and Special Invitee's.

Adding or Editing Circulation Comments

A MOM is circulated to different participants for their concurrence. But the owner of a MOM is the convener. Hence the recipients are not permitted to make modifications in the MOM but can provide their comments and suggestion.

For Example: In example 1.1 , the HOD can put a circulation comment that the end date has to be changed to a later date. The convener will review it and will modify the MOM, if required.

NOTE : The current status of the MOM i.e. whether the present status is Work-in-Progress, Released or Completed would be displayed by legends.

To add or edit circulation comments

  1. Open a MOM.
  2. In the navigation bar in "Other Options" click "Add/Edit Circulation Comments."
  3. The MOM Circulation Comments window is displayed.

Figure: MOM Circulation Comments

  4. The user may enter appropriate comments
  5. Click "Ok"
  6. The comment made by the user is listed in the grid against the login name
  7. Click "Save" to update the comment.

View Circulation Comments : Click "View Circulation Comments" option to avail the MOM Circulation Comments interface where you may view the comments entered by other users.


Managing Attendees

Managing Attendees

Attendees include permanent members, invitee's and special invitee's.

To Manage Attendees

  1. In the navigation bar user may click "Attendees."
  2. "Attendees" window is displayed

Figure: Attendees window

  3. Click the corresponding browse button to add or remove Permanent members, Invitee's and Special Invitee's
  4. On clicking the browse button User List window is displayed.
  5. User can add attendees or remove the existing attendees from the list


Approval of Minutes of Meeting (MOM)

Approving a Minutes of Meeting

Approval of a MOM is the formal authorization of all the contents in the MOM. The approval authority of the MOM is the chairman of the meeting. Only approved MOM are considered valid.

The Chairman and the Convener can Approve the newly created MOM. On creating a MOM a mail notification will be sent to the Chairman and the Convener. By clicking the "Go To" button on the Mail window the corresponding MOM will get opened.

The Approver can also search for the MOM in Search window by clicking "Open" button. For more details on "How to Search an MOM" please refer " Search MOM " section explained in the later sections.

To Approve a Minutes of Meeting

Click "Approve" button to approve the MOM. "MOM approved successfully" window is displayed. Once a MOM is approved the action items are available in the actionee workspace.


Adding Attachments to a Minutes of Meeting

Adding Attachments to the MOM

Documents similar to MOM reports can be attached to a MOM. This can be used for future references.

To add attachments to a MOM

  1. In the navigation bar under Other Options click "Attachments."
  2. MOM Attachments window is displayed.

Figure: MOM Attachments window

  3. In the right-click menu select "Add" to attach a document.
  4. Select "Remove" to delete an existing attachment
  5. Select "View" to display the selected document


Minutes of Meeting Operations

Exporting to MS Excel

  1. From the navigation bar under Other Options select Export to Excel
  2. Save As window is displayed where you can enter a name for the file

Figure: Exported MOM details

The following details are exported to MS Excel

-Ref Number

-Meeting date

-Meeting for

-Reference

-Subject

-Details

-Notes

-Created by

-Created on

-Approved By

-Approved on

-Closed by

-Closed on

-Status

Performing a Search Operation

Sometimes changes are to incorporated to an existing Minutes of Meeting (MOM). Also it may be required to use MOM's saved earlier as a reference.

  1. In the tool bar click "Open."
  2. Search MOM window is displayed

Figure: Search MOM

  3. User can select a search criterion from a drop-down box. The search criterion includes

-Reference Number

-Meeting For

-Object Reference

-Board

-Subject

-Created By

-Approved By

-Closed By

-Status

-Others

  4. Click Advanced Search button
  5. User can select a search criterion from a drop-down box
  6. User can select from the following items.

-Meeting for

-Object Reference Board

-Subject

-Created by

-Created on

-Approved By

-Approved on

-Closed by

-Closed on

-Status

-Others
-Board

On initiating a search with the value for Board as "None" the entire list of board independent MOM's are displayed.

While initiating a search on selecting "Others" the entire list of project independent MOM's are listed.


Mail

Mailing is the essential communication component, which is used in the system to intimate users about events of their interest. It can also be used explicitly to communicate to users of Wrench Enterprise.

Navigation Table

To | See
Access Mail window | Accessing Mails
Maintain Mails | Maintaining Mails
Attach files to a Mail | Attaching files
Allow external Mails | Allowing external mails
Perform Get Mail operation | Get Mail Operation

Accessing Mails

  1. Click WRENCH button
  2. In the ensuing menu select Module>>Utilities>> Mail.

Maintaining Mails

Figure: Mail main window

Viewing Inbox

The initial user interface of mailing component is the Inbox. This, like any other conventional mailing system, Inbox will list all the inbound mails. Inbox displays a number of characteristics of each mail messages. The first Column represents the “read status” of the mail as icons. The second column in the Inbox represents “Priority”; an exclamation mark represents the mail as high priority mail. For the Mails with Attachments, the attached file will be available in the Attachment frame. The remaining columns are, the name of sender, date and time of receipt, subject of mail and module respectively. The module column displays the object from which the mail is sent.

For Example: If a mail is sent on scheduling a task, the module column displays "Task". User can sort the mails based on the objects. Mails for the following objects are displayed in the module column.

  • Change Note
  • Change Request
  • Minutes of Meeting
  • Print Manager
  • Scan Manager
  • Transmittal
  • Work Breakdown Structure
  • Work flow
  • Correspondence
  • Documents

When a mail is selected from the Inbox, selected mail details are listed in respective lists.

The mail received by the user while scheduling a Task appears in the following format. In order to facilitate the sending of this mail appropriate settings are to be assigned in “ Subscribe for Notifications ” option in the left navigation bar from WBS window

PROJECT NUMBER : The unique Project Number

PROJECT DESCRIPTION : Description of the Project

TASK GENEALOGY : Genealogy assigned to the Task

DOCUMENT GENEALOGY : Document Genealogy assigned

DOCUMENT NUMBER : The Document number

The Schedule for the task <<Task Name>> was scheduled by <<User Name>> on <<Date Time>>

Delete Mail

User may select a single mail or the multiple mails and delete it together. In order to delete the entire mails together the checkbox against "Select" in the header should be selected.

Go to Object

The user may receive notifications sent as mail for a list of functions.

For Example: Notification that a Change Request has been created, transmittal has been created etc. will be sent to the user. Now if the user selects the specific mail and clicks "Go To Object" then that object referred in the mail will be opened.

Move Selected Mails

Figure: Move selected mails

On clicking "Move Selected Mails" the selected mails are moved to the folder selected.

Attachments

Figure: Attachments area

  1. Right-Click the attachments area
  2. Click "View Attachment"
  3. The attached files are opened and displayed in the native application..

Composing a Mail

  1. Select the New Mail option from the menu
  2. New Mail window is displayed

Figure: New Mail window

  3. Select a priority from a drop down list
  4. User can enter a subject for the message. A message can be entered in the space provided
  5. Click "To" to select a recipient
  6. User List window is displayed. User can select the required user
  7. Click "Cc" to select the users to whom a copy of the message is to be sent.

NOTE: For an enterprise solution, proper communication is required between clients and vendors and various other external agencies. For this purpose, a new option has been provided by which you may send mails to non-Wrench users. In the "Cc" field, the user may manually enter the external mail ID for sending mails to non-Wrench users.

Viewing Sent Items

Clicking the Sent items button to view a list of mails, which the currently logged in user has sent to others.

Reply

This Feature is used when the User wants to reply for a mail available in Inbox.

  1. From the "Mail" window select the mail to which a reply is to be sent
  2. Click "Reply"

Figure: Mail Reply window

  3. The "To" field and "Subject" field is populated automatically. User can make entries in this field if required
  4. User can add the required recipients
  5. A reply can be entered in the space provided for entering message
  6. If the message contains document numbers, the system checks the presence of the document in Wrench. If the document is present, the document number is converted to a hyperlink. On clicking the hyperlink with the CTRL key pressed, the document properties window is displayed.
  7. User can also add attachments in the space provided
  8. Click "Send" to sent the reply.

Reply all

This feature is used when the user wants to reply to all the users who are in the Work Flow. General mails can also be send.

  1. Select a mail from the Inbox and click Reply button
  2. "Reply All" window is displayed with all the fields filled
  3. Type in the message and click "Send" button to send the mail.

Forward

This feature is used to forward a mail directly to another user(s) from the “Local Folders”. The content of the mail along with the attachment to be forwarded will be populated by default. Users' can modify the default message, Attachments, Users' (if needed) and click "Send" button to send the mail

Refresh

This feature is used to “Refresh” the mail screen so that if the system is very busy new mails can be received / send.

Options

Messaging Rules can be assigned using this option.

User can create a new folder and assign a user to this folder. All the mails sent by the assigned user will be directed to the new folder.

To Set Message Rules

  1. In the "Mail" tool bar click "Options"
  2. Select "Set Message Rules"

Figure: Mail window

  3. Mail Rule window is displayed

Figure: Mail Rule window

  4. Select a Folder and a User from the drop down list. User can also select a Module.
  5. Click "Add"
  6. The selected user is assigned to the corresponding folder. All the mails are directed to the folder to which the user and Module is assigned to
  7. Click "Remove" to delete a selection.

For Example: If a user "Imtiaza" is assigned to the folder "Wrench" all the mails sent by Imtiaza will be directed to the folder Wrench. (Refer. Figure Mail Rule window)

Local Folders

The three local folders are (Inbox, Sent Items and Deleted Items ). Inbox stores all the mails received by the user and Sent Items folder stores the details of the mails sent. Deleted Items folder stores the deleted mails. If the mails in this folder are deleted, it won’t be available either in Wrench or Hard Disk.

Attaching Files

Wrench provides the user with a facility to add attachments to a mail. To add an attachment

  1. Right-click in the attachments area to add attachments

Figure: Add Attachments

  2. Select "Insert Attachment"
  3. User can select between two options
  1. Existing in Wrench
  2. File from Disk

Existing in Wrench

Files saved in Wrench can be added with the Existing in Wrench option.

  1. On selecting "Existing in Wrench" document search window is displayed
  2. User can initiate a search and retrieve the required files
  3. Details of the attached files are displayed in the attachments area.

File from Disk

File saved externally can be saved into Wrench with the FIle from Disk feature

  1. On selecting "File from Disk" select files window is displayed
  2. User can select the required file by providing the correct location
  3. The selected document is displayed in the grid along with the document number and description

Figure: Mail Attachments

  4. Click "Send" to sent the mail to the recipients.

Delete attachment

  1. In the "Attachment" area right click the attached document

  2. Select "Delete Attachment" to remove the file
  3. On confirmation the selected attachment is deleted.

Allowing External Mails

Wrench facilitates the user to allow external mails depending on the various activities done in different modules. The configuration for external mails are defined in Control Panel>>Performance and Utilities>>Mail.

For more details on configuring external mails refer to section Control Panel>>Performance and Utilities>>Mail in the administrator's manual.

NOTE: The same option to configure external mail is also available in "Personal Preferences". The "Configure" button in "Personal Preference" would be enabled only if "Allow External Mails from Wrench" option is enabled in the Control Settings.

External Mail Configuration Setting in Personal Preferences

Figure : External Mail Configuration Setting in "Personal Preferences"

  1. Click Configure Mails.
  2. "Mail settings" window is displayed.

Figure: Mail Settings window

  3. Select the required "Module" from the drop-down menu
  4. The concerned activities in the specific module for which external mail option is currently available, would be displayed automatically in the grid
  5. The user may select the desired activities for which external mails are required. Tick the check box against those activities which require external mails
  6. Click "Ok".

NOTE: The settings assigned in the Control Panel will override the settings in the Personal Preferences.

F Information

  1. If the "Allow External Mails from Wrench" option is selected and those activities for which external mails have to be received is configured in "Control Settings", the same activities may be cleared in the External Mails Configuration option in ‘Personal Preference’s.
  2. However, if the "Allow External Mails from Wrench" option is selected and the user does not select those activities for which external mails are required in "Control Settings", the same cannot be selected in the External Mails Configuration option in "Personal Preference" .

Transmittal Mails

For "Released" Transmittals clicking "Send Mail" option, the transmittal mail will get generated in the outlook draft Folder, based on the Control setting(Mail) provided.

In the Control settings (Mail) >> Transmittal Mail Options >> Send Mail through out look can be set as "Send Immediately" or "Send later". Please refer Performance and Utilities>> Mail for more details.

The Documents added in the Transmittal will be sent as attachments (Original Files/ Specter) with the mail, based on the Document genealogy settings>> Distribution Option

The attachment added in the Transmittal will be fetched to the mail, when the Transmittal is released.

The mail includes details like Life Cycle Status, Transmittal Number, Description and Date. The message appears as shown

The following Transmittal is released for your perusal

Transmittal Number - DAS/SA

Description - Purchase Order

Issue Purpose - Issued For Approval

Date - 13/May/2009 14:56

Get Mail Operation

Figure: Get Mail menu

Clicking "Get Mail" all the mails available in the server addressed to user is fetched.

  • On clicking "Get Mail" the "Notification" window is displayed.
  • User can define a time interval for fetching mails. For Example: If a time interval of fifteen minutes is specified, mails are downloaded from the mail server every fifteen minutes.
  • While fetching mails status of the total mails available and mails fetched are displayed. User is informed with appropriate messages on successful completion of the operation. If a failure in operation occurs, it is also conveyed to the user. Details of the error can be viewed by the user.

Clearing deleted mails

In the mail window toolbar select "Options." In the ensuing menu select "Clear Deleted Mails." This option is enabled only if the deleted folder contain mails. On selecting this option entire mails are removed from the deleted items folder.


Print Manager

A Print manager is used to manage print requests from a centralized location. All the tasks involved in printing can be monitored from this module.

Navigation Table

To | See
Open Print manager | Opening Print Manager
Manage Print Requests | Working with Print Manager

Opening Print Manager

  1. Select Wrench button
  2. In the ensuing menu select Modules>>Utilities >> "Print Manager"
  3. Print Manager window is displayed

Working with the Print Manager

Figure: Print Manager window

User can search and retrieve documents for which a print request is raised.

  1. Provide values for the fields displayed in the Print Manager window.
  2. In the toolbar click "Search"
  3. The documents for which a print request is raised are displayed in the grid. The following details are available in the grid

-Document Number

-Document Description

-Sheet Number

-File Name

-Copies

-Requested By

-Requested Date

-Print Status

-Printed/Rejected By

-Printed/Rejected On

-Print Purpose

-Print Comment

The following operations can be performed on the selected document

Print: Select this option to execute the print request. Once the print operation is performed, in the Print Status column the status is updated as "Printed."

View: Select this option to view the content of the selected file

Reject: Select this option to reject the Print Request. A notification mail is sent to the corresponding user indicating the rejection. In the Print Status column the status is updated as "Rejected."

Close Request: Select this option to close an open request. A notification mail is sent to the corresponding user indicating the completion of the print operation. In the Print Status column the status is updated as "Closed."

User can select documents in the grid and from the right-click menu the operations mentioned in the preceding section can be performed.

Export: In the tool bar select this option to export the entire print request list to an MS Excel file

Filtering Print Requests

The print requests displayed in the grid can be filtered based on the status in the Print Status column.

Figure: Filtering Print Requests

In the drop-down box next to Print Status user can select a status.

For Example: If status "PRINTED" is selected, all the request for which the print operation is completed are displayed in the grid.

See Also:

Bulk Attach specter Files

Scan Manger

Reassign User

Time sheet


Scan Manager

The Scan Manager assists the user in handling scan requests that are generated by a user. Scan requests are generated for the following reasons:

  1. If the drawing being viewed is not clear and needs to be re-scanned.
  2. To convert a manual drawing to a scan drawing.

Navigation Table

To | See
Open Scan Manager window | Opening Scan Manager
Use Scan Manager | Working with Scan Manager

Opening Scan Manager

  1. Select Wrench button
  2. In the ensuing menu select Modules>>Utilities >> "Scan Manager"
  3. Scan Manager window is displayed.

Figure: Scan Manager window

Working with Scan Manager

Managing Scan Requests

  • Choose "Scan Manager" from "Utilities" menu. All scan request raised by various users are displayed in the scan manager grid.

The following operation can be performed on the documents available in the grid

Attach: Select this option to attach a file to the scan request.

Approve: Select this option to replace the original document with the scanned document. Prior to approval user may verify the scanned document with the original one. On confirmation replacement operation is completed.

Reject: Select this option to reject a scan request

View Original: Select this option to view the original document

View Scanned: Select this option to view the scanned document

User can select documents in the grid and from the right-click menu the operations mentioned in the preceding section can be performed.

Export: In the tool bar select this option to export the entire scan request list to an MS Excel file

Filtering Scan Requests

The scan requests displayed in the grid can be filtered based on the status in the Status column.

Figure: Filtering Scan Requests

In the drop-down box next to Status user can select a status.

For Example: If status "Raised" is selected, the entire scan requests in the raised status are displayed in the grid.

See Also:

Bulk Attach Specter Files

Print Manager

Reassign User

Time sheet


Re Assign User

This feature is used to re-assign objects from the workspace of a specific user to another user. A user with reassign permission in the work flow can perform this operation. In order to reassign, user should be a resource in the Project to which the object is assigned to. Users can be Reassigned for the current stage and any stage.

Information:

Only Admin user or originator can perform this operation. Users with Manage Workflow permission in the Security Centre Workflow module can also perform this operation.

Navigation Table

To | See
Open Re-Assign User window | Opening Re Assign User
Re-Assign User | Re Assigning User

Opening Re Assign User

  1. Select Wrench button
  2. In the ensuing menu click Modules>>Utilities >> "Reassign (Current Stage) " or Reassign (Any Stage) based on your requirement.
  3. Re-Assign User window is displayed

Re-Assigning User

In a project, resource assigned with a list of tasks can be unavailable, temporarily or permanently. In order to facilitate the smooth progress of the project a new resource has to be entrusted with these tasks. Objects (includes tasks, documents, change request, change note, action item, part and BOM) available in the workspace of a resource can be assigned to another resource using the "Reassign User" feature. Objects as a whole or selected objects can be re-assigned using this feature.

To Re-assign a user from current stage

  1. In the desktop click Start>>Module>>Utilities>> Reassign User (Current Stage).

Reassign User window is displayed.

Figure: Reassign User window

  3. In the window select the "Object" from a drop-down combo box
  4. Select the "Current User" by clicking the browse button

On selection a list of tasks assigned to the user is displayed if "Task" is selected in the "Object" box. While selecting Part, BOM or Action items entire workspace columns are displayed. User may select items which are required and reassign them to another user.

  1. Select a "New User" by clicking the browse button
  2. User List window is displayed

Figure: Select User window

  3. Enter a user name and login name to initiate a search.
  4. List of users satisfying the specified search criteria is returned. Select the required user.
  5. Enter Comments.
  6. On selecting the check box corresponding to "Send Mail" a mail is sent to the newly assigned user.

Selected tasks or the full task list can be reassigned to the new user

  7. Click "Reassign" on the toolbar. "Resource Re-Assigned successfully" message will appear.
  8. To undo the above click "Deselect" on the toolbar.

In the usual scenario, in an engineering organization, if a user is re-assigned for a particular stage in the object's work flow, the same user is required to continue all the works later on associated with the same object during various revisions. In other words, a re-assigned user is made permanent until the object completes its work flow.

  1. When a specific user is re-assigned with another, the new user will replace the old user for the current instance of the work flow, until the work flow is completed.
  2. On selecting a particular stage in a work flow, the list of resources displays the re-assigned user instead of the original user. However, when the work flow is assigned to a different object, the original resource would be taken into consideration.
  3. While reassigning users, items that are pending in the outbox of a user can also be reassigned. These items are listed in the “Outbox Pending Comments” column. These entries are reassigned to the respective object area.

Figure: Outbox Pending Comments

  4. The message provided at the time of re-assignment is displayed in the “Purpose” column ( the column in which the routing messages are being shown) in Routing History.

To reassign a user from any stage

  1. In the desktop click Start>>Module>>Utilities>> Reassign User (Any Stage).

Reassign Workflow Resource window is displayed.

  2. Select the object for which you want to reassign resources. Select between Tasks and Documents.
  3. Select the current user and the new user.
  4. In the grid select the documents or tasks for which you want to reassign resource.
  5. Click Reassign.

User successfully reassigned message is displayed.

Reassigning time sheet approval authority

When a time sheet approver goes on leave for a long period or permanently leave the company, the time sheet approval authority can be delegated or handed over to another user. This can be done at a time for all projects in which the selected time sheet approver is the approval authority.

To delegate time sheet approval authority

  1. In the Objects column select Time sheet
  2. Select From User and To User. From User is the current approval authority. To User is the new approval authority
  3. Select From Date and To Date. All the time logs for approval in between these dates will be delegated
  4. Click the browse button displayed in the column Projects

Project Search window is displayed

  5. Select the projects for which you want to delegate the time sheet approval authority and click Select in the tool bar
  6. Click OK to continue

See Also:

Bulk Attach Specter Files

Print Manager

Scan Manager

Time sheet


Bulk Attach Specter Files

In the usual scenario,the Document Controller adds the required specter files for releasing the transmittal to the client. The documents are generally submitted to clients in PDF and the client submittals are carried out in bulk. To make the process more convenient and user-friendly, Wrench facilitates the user to bulk attach specter files to a selected list of documents from the following modules namely;

  1. Workspace
  2. Document search and
  3. Transmittal module.

Specter files could also be added from:

  1. Tasks in workspace
  2. Documents in "Related Objects" tab in Task Details
  3. Documents in "Documents" tab in Workspace
  4. Documents in "My documents" tab in Workspace
  5. Document search
  6. Documents in Transmittal

Navigation Table

To | See
Bulk attach Specter files | Bulk Attaching of Specter files
Bulk attach Specter files (Explorer view) | Bulk Attach of Specter Files (Explorer View)
Bulk attach Specter files from Workspace | Bulk Attaching of Specter files from Workspace
Bulk attach Specter files from Document search | Bulk Attach Specter files from Document Search
Bulk attach Specter files from Task properties | Bulk Attach Specter files from Task Properties
Bulk attach Specter files from Transmittal | Bulk Attach Specter files from Transmittal

Bulk Attach Specter Files (Utilities)

You may attach specter files to selected documents in the "Bulk attach Specter files" option in Utilities module.

  1. Select Wrench button
  2. In the ensuing menu select Modules>>Utilities >> "Bulk Attach Specter Files"

Advanced Option window is displayed

  3. In the drop-down list, select the required "Matching option" namely, Match filename, Match document number and Match Client Document Number
  4. Click “Browse folder” to avail the "Folder Selection" window
  5. Select a specific folder that contains the required PDF files.

Bulk Attach Specter files window is displayed. . Those specter files in Wrench which matches the files in the selected folder are displayed in the grid.

NOTE: If the “Replace Existing ” check box is selected, any/all existing specter files attached to the latest revision of the selected file in Wrench would be removed and the currently selected file would be attached as its specter. However, if the check box is cleared, the newly selected specter would be added as specter to the latest revision.

  6. In the tool bar click "Attach". Matching files are attached successfully.

For attaching files using advanced option refer Attaching using advanced option .

Handling unmatched files

If the folder contains files that are not matching, the grid displays the files under the label unmatched as shown in the following figure.

Figure: Searching for unmatched files

  1. Click the browse button in the column Matching Files in Wrench.
  2. Document Search window is displayed. Carry out a search operation and select the file from the search result grid. For comprehensive information on how to search for a document based on document attributes/characteristics, please refer the Document Search module.

Selected files are displayed in the Bulk Attach Specter Files window

  3. In the tool bar click "Attach".

The selected specter files are attached .

Bulk attach specter files from Workspace

  1. Select single/multiple tasks/multiple documents
  2. Right-click to avail a drop-down menu
  3. In the menu select Add Attachments>>Specter

Figure: Bulk Attach Specter files

  4. "Advanced Options" window is displayed.

Follow the procedure mentioned in the preceding section to carry out the remaining steps.

Bulk attach Specter files from Document Search

  1. Select multiple documents in "Document Search" window and right-click
  2. In the right-click menu select Attachments>>Specters

Figure: Bulk Attach Specter Files from Document Search window

  1. Advanced Options" window is displayed where you may attach the required specter files to the selected documents.

For more information on attach specter files in bulk refer the section Bulk Attach Specter Files (Utilities )

Bulk attach specter files from Transmittal

  1. Select multiple documents attached to the transmittal
  2. Right-click the selected documents to avail a list of options

Figure: Bulk Attach Specters from Transmittal window

  3. Select "Attachments>>Specter" from the list of available options
  4. Advanced Options window is displayed where the required specter files can be attached to the selected documents.

For more information on different steps that has to be carried out for attaching specter files refer section Bulk Attach Specter Files (Utilities)

Bulk attach specter files from Task Properties

  1. Click 'Related Objects' tab in the Task details grid
  2. Select multiple documents and right-click the selected documents to avail a list of options

  3. Select Add Attachments>>Specter from the list of available options
  4. Advanced Options window is displayed where you may attach the required specter files to the selected documents.

For more information on different steps that has to be carried for bulk attaching specter files refer Bulk Attach Specter Files (Utilities) .

FInformation: If you wish to add a specter file to a single document from Workspace/Document Search/Transmittal module:

  1. Select the document and right-click to avail the drop-down menu.
  2. Select Add Attachment>>Specter from the list of options

Document Details window is displayed

  3. In the “Attachments” tab of the document details interface with the Association Type “Specter”, the user may attach the required specter file.

For more information on how to add a specter file to a single document, please refer the section Document Operations (Document details - Attachments) in the Documents module.

See Also:

Print Manager

Scan Manager

Reassign User

Time sheet


Bulk Attach Comments

Comment Files can also be attached in bulk to the main drawing or file.

To attach bulk attach comments

  1. Click the Wrench button.
  2. In the Wrench button menu select Module>>Utilities>>Bulk Attach Comment Files.

Advanced Options window is displayed.

For different steps that has to be followed in attaching files in bulk from the advanced options window refer section Bulk Attach Specter Files .


Bulk Attach Related Files

Different types of attachments can also be attached in bulk.

To attach related files

Click the Wrench button

In the menu select Module>>Utilities>>Bulk Attach Related Files

Advanced Options window is displayed

For more information on attaching attachments in bulk refer the section Bulk Attach Specter Files.


Bulk Attach Mark-ups

Mark-ups are created to add comments to the drawings. Using a drawing tool you can add a line, circle, or other shape and then type a message. This is called as a markup. These mark-ups are then attached to the main drawing file.

To add mark-ups

  1. Click the Wrench button
  2. In the Wrench button menu select Modules>>Utilities>>Bulk Attach Mark-ups

Advanced Options window is displayed

For more information on different steps that has to be carried out for adding mark-ups in bulk refer Bulk Attach Specter Files.


Bulk Replace Files

Bulk Replace facilitates selection of multiple files available in wrench and replacing them with the latest files. A user with appropriate rights in the genealogy can perform this operation.

  1. On clicking "Bulk Replace Files" "Multiple Replace Manager" window is displayed.

Figure: Multiple Replace Manager

  2. To select files in the Multiple Replace Manager click Matching Option.

"Auto Link and Replace Files" window is displayed

Figure: Auto Link and Replace Files window

Here user can define a criteria for searching a file.

Basic Options: On enabling the radio button against "<<All>> All characters of the file name as file name as document number" system searches and locates a file already added to wrench, identical to the file present in the hard disk. User can define a search option as follows

  1. On selecting "All" the system searches for a file in Wrench, with all the characters matching with a file in hard disk.
  2. On specifying a number the system searches and retrieves a file from Wrench based on the number of characters defined.

Advanced Options: In the advanced options a file name logic can be defined based on the object selected, Properties and number of characters.

The following objects can be selected from a drop down list

-Project

-Task

-Document

-Work Flow

-Change Request

-Change Note

-Part

Properties corresponding to the selected objects are available in the Properties drop down list. For Example: If an object "Project" is selected, the following properties are available in the drop down box.

-Project ID

-Project Description

-Project Short Description

-Project Manager

-Start Date

-End Date

Character selection method can also be defined from a drop-down list. The list includes

-First

-Middle

-Last

-Hyphen (-)

-Underscore (_)

-Dot (.)

  1. Click Select Folder. Select the folder where the files are located.
  2. Files in the selected folder that match the automatic link and replace logic defined are fetched. If files matching the logic defined does not exist, system returns a warning message.

Figure: Multiple Replace Manager

  3. Click the browse button in the Select File column in the bulk replace manager grid to select the latest files for replacement.
  4. Enter your remarks in the Remarks column and click Apply To Selected Files to apply the remarks to all the selected files.

NOTE: On selecting the checkbox next to Send Notifications, notification mails are sent to all users who have accessed the files that were replaced.

  5. Click OK to confirm the replace operation.


Administrative Reports

Administrative Reports module offers you enhanced parameter selection to narrow down on specific administrative reports and the option to view reports on a single click. These reports can be viewed only by the user who has the admin rights.

Navigation Table

To | See
Generate Operations Log report | Operations Log Report
Generate User Log report | User log report
Generate Usage report | Usage Report
Generate Notification Log report | Notification Log Report
Generate Document replication status report | Document Replication Status Report
Generate PDF generation report | PDF Generation Report

Opening Reports

  1. Click Wrench button
  2. In the ensuing menu select Modules>>Utilities >> "Administrative Reports."

Administrative Report desktop is displayed.

Administrative Reports

Different types of administrative reports available are:

  • Operation Log Report
  • User Log Report
  • Usage Report
  • Notification Log Report
  • Document Replication Status Report
  • PDF Generation Report

A short description of each report is displayed for easier understanding. Click the report title hyperlink to generate the corresponding report.

Figure: Administrative Report Interface

Operations Log Report

Operations Log Report provides the user with a detailed report on all the various operations/functions executed on an Object by a specific user between a certain time period. in other words, Operations Log Report comprises the log details from WRENCH.

A report can be generated for the following objects.

  • Document
  • Task
  • Transmittal
  • Change Request
  • Change Note
  • Minute of Meeting
  • Project
  • WBS
  • Masters
  • Genealogy

Operations log report ensures greater security to intellectual property by preventing the misuse of confidential documents. For each object selected, operations listed change accordingly.

Objects and their corresponding operations are mentioned in the following table.

# | Object | Operations
1 | Document | Add, Bypass, Check In, Check Out, Copy Out, Forward, Print, Reassign, Remove, Replace, Send Mail, Sending, Sign, Stamp, Update, View.
2 | Task | Add, Bypass, Forward, Reassign, Remove, Sending, Update.
3 | Transmittal | Add, Release, Remove, Update.
4 | Change Request | Add, Bypass, Forward, Reassign, Remove, Sending.
5 | Change Note | Add, Bypass, Forward, Reassign, Remove, Sending.
6 | Minutes Of Meeting | Add, Approve, Reassign, Remove.
7 | Project | Add, Complete, Manage Approval Status Code, Manage Area, Manage Correspondences, Manage Document Templates, Manage Documents, Manage File Matching Options, Manage Internal Status Code, Manage Life Cycle, Manage Line Items, Manage Meeting Boards, Manage Project Type, Manage Reference, Manage Replication Server, Manage Resources, Manage Rule, Manage System, Manage Transmittal Type, Manage View Resources, Release, Remove, Reopen, Update.
8 | WBS | Add, Complete, Remove, Reopen, Revise, Schedule and Baseline.
9 | Masters | Password Reset, User Creation.
10 | Genealogy | Genealogy Creation, Genealogy Default Properties.

To generate operations log report

  1. In Administrative Report pane click the hyperlink Operation Log Report.

Operations Log Report window is displayed.

  2. Click the arrow to select an object for which report has to be generated.

Figure: Selecting parameters for generating a report

  3. Next step is to select the operation. Single or Multiple operations can be selected. Click the browse button to select an operation.

Operations window is displayed.

Figure: Operations Log Report window

On selecting each operation the reports for the corresponding operation is displayed

  4. Click OK to confirm selection.
  5. After selecting all the values click "Generate Report"

The generated report is displayed in the grid.

  1. Click "Export" option to export the reports to an MS Excel sheet.

Figure: Operations Log Report

The following fields are displayed in the search results grid

  • User Name
  • Project ID
  • Project Description
  • Project Short Description
  • WBS Reference Number
  • WBS Issue Level
  • Document Number
  • Document Description
  • Internal Revision Number
  • Revision Number
  • Purpose
  • Received On
  • Sent By
  • Sent To
  • To Stage
  • From Stage
  • Operations
  • Operation Description
  • Version Number
  • Related Deleted Objects
  • Log Date
  • IP Address

If resources are removed and added using the reassign option, the log entry in operation log report will contain the list of users removed.

While sending an object if a stage resource is removed, log of removed resources will also be available in the operations log report.

NOTE : The Log details based on Objects (Document, Part or BOM ) would be available only if BOM and Part components are installed.

User log Report

User log Report gives you a comprehensive report regarding all those users who have logged into Wrench based on their log in time and date. You can also derive a user log report based on the user, his/her user group and discipline of the specific user.

  1. In Administrative Report pane click the hyperlink User Log Report.

User Log Report window is displayed.

Figure: Generating a user log report

  2. In the "Log from and To" fields, select a period for which you want to generate the report.
  3. Select a Criterion. Options available are Users, User Groups, Disciplines.
  4. Select values for the criterion.
  5. Select the check box " Show currently logged in User details" to get the currently logged user details.
  6. Click Generate Report.

Generated Report is displayed in the following figure.

Figure: Generated Report

Usage Report

Usage Report provides the administrator with peak usage statistics for a specific date.

To generate a usage report

  1. In the Administrative Reports pane click the hyperlink Usage Report.

Usage Report window is displayed.

Figure: Generating Usage Report

  2. Enter the From date and To date.
  3. Click Generate Report.

In the generated report number of concurrent users who are logged in against the date will be displayed. This report can be exported to Excel.

Figure: Usage Report

Document Replication Status Report

Document Replication report provides the user with all the details related to replication process. This includes

  • List of documents replicated to the server within a specific time interval
  • Replication Status
  • Replication Details
  • List of pending replication requests

To configure a report

  1. In the Administrative Reports window click Document Replication Status Report.

Document Replication Status Report window is displayed.

Figure: Replication Status report

Enter values for the following fields.

  1. From Date(with Time): Specify a date on which the replication was started.
  2. To Date (with Time): Specify a date on which the replication was completed.
  3. Status: Select a status from a drop down list. The options available are Raised, Processed and Failed.
  4. Click Generate Reports.

The generated report displays the following columns in the grid.

-Document Number

-Document Description

-Internal Revision Number

-Version Number

-Project ID

-Project Description

-Created On

-Last Edited On

-Request Raised On

-Request Raised By

-Request Raised From (Workstation name)

-Request Raised From (Satellite Server Name)

-Replication Status

-Replicated On

-Remarks

Notification Log Report

Various actions in Wrench are notified to concerned authorities. A record of these notifications is maintained as logs and a report can be generated on the same. This will be helpful while performing audits.

To generate a report

  1. In the Administrative Reports window click the hyperlink Notification Log Report.

Notification Log Report window is displayed.

Figure: Notification Log Report

Information that is mentioned in the following table is entered by the user and a log is maintained for the same.

# | Element | Description
1 | Module | Select the module for which the notifications send is to be retrieved and a log for the same is to be created.
2 | Object Type | Select the object for which the notification log is to be created. The objects corresponding to the selected module will be available for selection. If additional components are installed notifications are created for actions involving Part and Product Structure.
3 | Event | Select the actions for which the notification was generated. For more details see Select Mail Events
4 | Project No | Select the project for which the notification log report is to be created. On selecting, the Project Search window will be displayed. The user can select project for which the notification log report is to be created.
5 | Document Number(s) | Select the documents or aattachments sent with the notifications for which this log report is to be created. On selecting, the Document Search window will be displayed. The user can select the documents or attachments for the selected project.
6 | From User | Select the sender of the notification.
7 | To User(s) | Select the recipients of the notification.
8 | From Date | Date from which the notifications send are to be retrieved.
9 | To Date | Date up to which the notification send are to be retrieved.
10 | Subject | Subject for the mail
11 | Body | Content for the mail
12 | Mail Origin | Select the origin of the notification mails to be retrieved. You can select User, Wrench or Both as the mail origin.

Selecting Mail Events

You can select the actions or operations for which the notification is to be generated. The operations or actions corresponding to the module will be available for selection.

On clicking the browse button next to Event field, Select Mail Events window is displayed where you can select the operations for which the notification is to be generated.

Figure: Select Mail Events

  2. Click "Generate Report", to display the generated notification log report based on the search criteria given.
  3. Click "Export" option to export the log report generated to an MS Excel sheet.

To view log details

  1. Select a notification from the search results.
  2. Click Show Details or Double-click a selected notification.
  3. The Notification details window is displayed for the selected notification.

Figure: Notification details window

Following details are available in the notification details window

  • Sender of notification and internal and external recipients of the mail are displayed.
  • If there are any attachments associated with the notification, they are displayed in a separate area.
  • Mail content is displayed in a separate grid.
  • On clicking Go To Object details of the object for which the notification is generated is displayed.

For Example: If the object is document, Document Details window is displayed.

  • On clicking Cancel, Notification details window displayed is cleared.

Re-sending notification

You can resend the notification if the earlier notification failed to reach a single or set of users.

To re-send a notification

  1. Click the hyperlink Show Resend Mail options
  2. Mail Resend window portion of the window is expanded

You can enter the following details here

  1. To select recipients click To..
  2. User list window is displayed and you can select a list of users
  3. Click Cc to select recipients for the mail
  4. Specify a subject
  5. Click Send to re-send the notification to selected users

PDF Generation Report

PDF generation report provides you with a complete list of PDF reports generated, report generation queued and failed reports.

To generate a PDF report

  1. In the Administrative Reports pane click PDF Generation Report.

PDF Generation Report window is displayed.

Figure: PDF generation report window

Here you can select different criteria for generating a report. The different criteria are explained in the following section.

Created Date (From and To): You can select an interval. Report is generated for events that occurred between these dates.

PDF Conversion Status: Once a PDF conversion request is raised the following the request can take one of the following statuses.

  1. The conversion request is processed
  2. The conversion request is queued
  3. The conversion request is failed

For each of the status a report can be generated.

  1. A PDF conversion status can be selected from a drop-down list.

Figure: Selecting a PDF conversion status

  2. After specifying different criteria click Generate Report on the tool bar.

A report is generated based on the criteria selected.

Figure: Generated Report


Ideation

Ideation module is a medium for recording the user's thoughts and opinions meant for others to read. Through Ideation users thoughts and opinions can be aired publicly or to a selected group and feed backs can be received on the same. Ideation provides an ideal medium for communicating one's thoughts and ideas.

Ideation module enable an organization to capture innovative ideas from various sources and to create an idea-funnel where ideas are systematically filtered and assessed against various criteria. With Ideation an organization can

  • Capture, Structure, Automate and Centralize idea management process
  • Store, Track and Rank ideas using consistent objective criteria
  • Integrate Ideation processes with mainstream design and project management processes

Navigation Table

To | See
Access Ideation Home page | Home Page
Access Overview | Overview
Access Post Details window | Post Details window
Rate a Post | Rating a Post
Manage posts, category and handle subscription requests | Moderator

  1. In the navigation bar select "Utilities"
  2. Under Utilities select "Ideation"

Figure: Ideation Home Page

The following sections are available in the Ideation main window.

  • Home (Home page)
  • Overview
  • Moderator

User can make a selection by clicking the corresponding tab.

Home Page

The Home Page is the users control center for the Ideation module. An updated list of the posts in Wrench is always maintained in the home page. User can subscribe for posts/categories from the home page.

The home page contains short cuts to

  • Public Posts
  • Posts for the User
  • My Posts
  • Invitations

The left navigation bar of the home page is segregated into three main areas

Figure: Ideation left navigation bar

  1. Search:

User can initiate a search operation based on contents in a post or a category to which a post is assigned to. On typing in a content in the search field all the posts containing the typed in content is displayed. User can also sort the contents based on different criterion. In the drop down box corresponding to Sort Based On user can select the sort criterion from a list. The list includes

  • Default: This criteria displays the posts based on category assigned to each post, with the latest post displayed first.
  • Posted on Date: On selecting this the posts based on the date on which the posting was made is displayed.
  • Rating: On selecting this user can sort the posts based on their ratings.
  • Followers: The number of followers for this post
  • Comments: The number of comments on the post by users
  2. Archive:The posts are archived based on year, month of the post and category. The total number of posts in each archival is also displayed. Archiving of the posts facilitates easy retrieval of the posts
  3. Category:
  • Select a Category
  • Click "Add me to this category"
  • System displays a message that a membership request has been posted successfully
  • On confirmation user is added as a subscriber to the posts from the selected group.

Overview

The overview page is segregated into the following sections

  1. Public Posts: A list of public posts from categories in which the user is a member are displayed here. The posts are grouped based on categories. For each post listed anywhere in the Ideation module following details are displayed.

Figure: Public Posts tab

  • Posted On Date and Time: The date and time at which the posting was made
  • Overall Rating: The overall rating received by the post from users
  • Followers: The number of followers for this post
  • Comments: The number of comments on the post by users
  • Attachments: If any files are attached to the post, it is displayed here
  2. Posts for me: Posts that are meant particularly for the user or posts belonging to the categories in which the user is a member are available here
  3. My Posts: My Posts area lists all the posts created and posted by the user
  4. Invitations: All the posts in which the user is not a subscribed member but is invited to is listed here

The left navigation bar for "Overview" is segregated into the following area

  1. Search: User can initiate a search operation based on contents in a post or a category to which a post is assigned to.
  2. Archive:The posts are archived based on year, month of the post and category. The total number of posts in each archival is also displayed. Archiving of the posts facilitates easy retrieval of the posts
  3. Category: The categories in which the user is a member are displayed here.
  4. Favorites: Posts that are marked as "Favorites" by the user are displayed here. Clicking on the posts flagged as favorites " "Post Details" window is displayed.

Public : A list of public posts in categories in which the user is a member are displayed here. The posts are grouped based on categories. For each post in a category the following details are displayed.

  • Posted On Date and Time: The date and time at which the posting was made is displayed here.
  • Overall Rating: The Rating achieved by the post is displayed here.
  • Followers: The followers of this Ideation are displayed here
  • Comments: The comments on the post are displayed here
  • Attachments: All the files attached to the post are displayed here.
  • On double-clicking a post "Post Details" window is displayed.
  • User can add comments here.

Posts for Me

All the posts particularly for the user or the posts belonging to the categories in which the user is a member are displayed. The posts are displayed as mentioned above.

My Posts

All the posts created by the user are displayed here. User is provided with a facility to manage the posts.

In the left navigation bar of the My Posts window select "Manage Posts".

Figure: Manage Posts

User can perform the following operations here.

  • Create a New Post
  • Edit a Post
  • Delete a Post

Create a New Post: On selecting the option new post "New Post" window is displayed. User can create a new post by entering the details.

Figure: New Post window

  • Title of the Post: A heading can be provided for the new post.
  • Content of the Post: The content for the new post can be typed in.
  • Category: Since the posts are grouped based on categories a category is to be selected for a post.
  • Click the browse button corresponding to "Category" to display the "Select category level window"
  • Moderator of each category is displayed here. Posts can be added to any level of category.

Figure: Select Category Level window

  • Attach a Document: User can attach a document while creating a Post. User can select between "From Disk" and "Wrench Document"
  • On selecting "From Disk" select files window is displayed. User can select and attach the required files
  • On selecting "Wrench Document" document search window is displayed. User can search and retrieve the required document
  • The attached files are displayed in the space provided for the purpose
  • Click "Remove" to delete these files.
  • Post Options: Various attributes can be assigned to the Post. User can define whether the post is a public post or meant for users belonging to a specific category. By default "Category User's" option is selected.
  • Add Invitee's: User can select and add users as invitee's. Any number of users who can be invited.
  • On clicking "Add Invitee's" "User List" window is displayed. User can select the invitee's from the user list
  • On selecting the option "Public" other options "Category User's" and "Add Invitee's" are disabled.
  • User can also enter comments for the post
  • On selecting the check box against "Send Mail to the User's" while creating a post, mails are send to invitee's and members.
  • Click "Publish Post" to publish a post. The post is send to the moderator assigned to the category for approval. Only a post approved by the moderator is available in the Ideation area.

Edit a Post: The creator of a post can also edit it.

  • On clicking "Edit a Post" "New Post" window is displayed. All the fields in the window are available in an editable form
  • User can make appropriate changes here
  • On saving changes system updates the corresponding Ideation space.

Delete a Post: Creator of a post can delete the post on approval by the moderator. Only user's with appropriate rights can raise a request to delete a post. Posts with associated comments cannot be deleted.

  • In order to delete the post a delete request has to be made to the moderator
  • A reason for deletion can be specified in the "Comment" window
  • A post is deleted on approval by the moderator
  • On confirmation of deletion, the post is removed from member's Ideation space

Invitations: Often invitations are send to the members to view the posts that belong to the category in which they are not members.

  • On receiving an invitation user can either "Reject" or "Accept" the post.
  • On accepting the invitation, the post is directed to "Posts for Me" folder or "Public" folder based on the Post Option selected in "New Post" window.
  • On accepting or rejecting an invitation the post is removed from the "Invitations" folder

Post Details window

The Post Details window provides a detailed information for a selected post. In order to access the Post Details window double-click a post from anywhere in the Ideation.

The main area of the "Post Details" window consists of the following areas

  • Post Details
  • Comments
  • Subscriptions

Post Details

The following details are displayed above each post.

Figure: Post Details window

  • Posted on Date and Time
  • Number of Comments
  • Number of Followers
  • Number of Referred Posts

Post title, Post content and attachments added to the posts are displayed here. User can select an attachment and copy or view the attachment from the right click menu.

Comments

The number of comments added until this instance is displayed here.

  • User can add his comments in the space below "Post a New Comment." While creating a post user can define whether a comment can be added to it or not.

Figure: Post a New Comment window

  • User can Provide a Title and Content for the comment
  • Click "Post" to post the comment

Subscriptions for the Post

Number of subscriptions received for this post until this instance is displayed here.

Rating a Post

Each post can be rated based on the rating criteria's defined. Each criteria is rated on a scale of 10. The average of the rating values specified by a user for different criteria are calculated to confirm the final rating.

For Example: If there are 3 rating criteria's to be specified for a post and the user has defined the rating values for these criteria's as 4,3 and 2; the overall rating for the post is the average of the values defined for each criteria i.e. (4+3+2)/3 which is 3.

Usually more than one user rates a post. In this case the average of the rating values defined by different users are taken into consideration to calculate the final rating.

For Example: If 3 users has rated a post and the rating given by the users are 6,8,4 respectively. The final rating is the average of the rating of the three users i.e. (6+8+4)/3 which is 6.

In order to rate a post

  1. In the Post Details window click "Rate this Post".

Figure: Post details window-Rate this post

  2. Post Rating window is displayed

Figure: Post Rating window

  3. Different rating criteria's and the values defined by the user are displayed.
  4. User can edit the rating values defined for the criteria's by him earlier.
  5. The rating achieved by the post is displayed in the Post details window

Figure: Post details window with overall rating displayed

The left navigation bar of the Post details window consists of three sections

  1. Followers: The list of user's following the selected post are displayed here.
  2. Other options: The other options section is further subdivided into

Figure: Other Options

  1. Follow this Post: User can follow a post of his choice. Once the user selects a post to follow all the updates on this post are notified to the user.
  2. Flag as Favorite: User can select a post and flag it as favorite. A post flagged as favorite is added to the "Favorites" section in the left navigation bar of the "Overview" window.
  3. Refer Posts: Posts which are similar can be referred to this post.
  4. Other Posts in the Category <Category Name>: All the posts in a category are displayed here.
  5. Referred Posts: Any member of the post can refer other post to this. The contents of the referred post and the name of the user who referred the post are displayed here.

Moderator

A moderator is an individual who can manage posts, manage category and handle subscription requests. These actions can only be performed if the user is assigned "Moderate" rights in the Ideation module. A moderator can perform the following functions. The moderator tab is enabled only for users with moderate right in the module.

Figure: Moderator tab

  1. Manage Posts: All the posts created in a specific category is sent to the moderator for approval. A request to delete a post is send to the moderator, if there is a comment attached to the post. If a user with "Remove" post right delete a post without comment files attached to it, the moderator receives a notification.
  2. Manage Category: The moderator can create, edit and delete a category. A category which has a sub category or a comment attached to it cannot be deleted.

Figure: Manage Category

  3. Handle Requests: Subscription request raised by a user for a post will be available in the handle requests tab. Moderator can either accept or reject the request. Also while a delete request is raised for a post with comments attached to it, the request will be available for the approval or rejection of the moderator here.

Figure: Request pending with the moderator


Smart Folders

Smartl folders are created by users for organizing data in a better way. Rules can be defined for these folders for organizing data in these folders. Wrench objects (Projects, WBS, Documents, Part, Product Structure, Task, CR and CN) can be moved to these folders based on user defined rules.

The folders displayed under the button vary with the logged in user.

Figure: Smart Folders

See Also:

Creating and Managing Smart Folders

Creating Rules for Smart Folders


Creating and Managing Smart Folders

Smart Folders

Personalized folders created by the user are housed here. The folders displayed under the button vary with the logged in user.

For Example: If a user "Anoop" log on to Wrench, only the folders created by Anoop are displayed here.

Various Smart Folders related operations can be performed by a user. Refer the following Navigation table for more details.

Navigation Table

To | See
Create a Smart Folder | Creating Smart Folder
Import folders from MS Excel | Importing folders from MS Excel
Create folders from genealogy | Creating folders from genealogy structure
Manage attachments | Managing Attachments
Send a selected document to a smart folder | Sending documents to a smart folder
Manage Transmittals | Managing Transmittals
Manage Reports | Managing Reports
Hide and Unhide Wrench Enterprise Level | Hiding and un-hiding Wrench Enterprise level
Perform various operations on the smart folder | Smart Folder operations
Render a Smart Folder accessible for selected users | Publishing a Smart Folder
Create shortcut for Smart Folders | Creating shortcut for Smart Folders in Wrench Desktop
Add documents to the smart folder | Adding documents to the smart folder
Create a Task | Creating tasks from the smart folder
Manage Comments | Managing Comment Files
Carry out document operations | Operations from document smart folder
Carry out task operations | Operations from task smart folder
Reassign Users | Reassigning Resources

Creating a Smart Folder

Different options are available for creating a Smart Folder. A single folder can be created by using this method. In addition to this there is an option to create the folder structure in an excel file and import it and create a folder based on the genealogy. Both these options are explained in the following sections.

To create a smart folder

  1. In the left navigation bar select Smart Folders and right-click.
  2. In the right-click menu click New>>Single.

Figure: Creating Smart Folders

Smart Folder Creation window is displayed. By default the option Manual Rule is selected.

Figure: Smart Folder Creation window

  3. Enter a name for the Smart Folder
  4. Click the browse button to select the Folder type.

Create New Folder window is displayed.

Figure: Create New Folder window

Here different WRENCH modules are listed. On expanding the type Document different document types are listed as shown in the following figure. On expanding the type Task, type Task Resources is displayed.

NOTE: Correspondence is not displayed in the list. Correspondence smart folders can be created from WRENCH Desktop version and the folder will be displayed in Desktop version.

Figure: Different Document Types

  5. Select a Folder type and click OK.

A smart folder is created based on the type selected.

For Example: A Smart Folder RFI can be created and placed under Documents by selecting Document from the list in create new folder window. Entire RFI Documents can be moved to this Smart Folder RFI by moving each individual RFI's or by creating rules for the folders.

For more details on creating rules refer Creating Rules for Smart Folders

NOTE: Sub-folders can be created under a main folder. Also you can click the Add button to create a new Smart Folder.

General Folders

While creating Smart Folders in addition to object folders user can create a general folder. The general folder is independent of WRENCH objects. You can create multiple general folders under the general folders. Rules can only be defined for object folders created under the general folder.

To create general folders

  1. In the Create New Folder window select the type General.

Figure: Selecting folder type as General

  2. Click OK.
  3. Enter a folder name and click OK.

Figure: General Folder

A general folder is created as shown in the following figure.

Importing folders from MS Excel

When there are a large number of Smart Folders to be created, creating single folders one after other is a tedious process. Instead of this an MS Excel template is generated and the folder structure is created in the excel file. The folder structure is then exported to the system. First step in importing folders from MS Excel is to generate a template. A template can be generated from the menu or from the Bulk Import Folder window.

To create a template from bulk import folder window

  1. In the left navigation bar select Smart Folders and right-click.
  2. In the right-click menu click New>>Import from Excel.

Figure: Importing from Excel

Bulk Import Smart Folder window is displayed.

Figure: Bulk Import Smart Folder window

  3. In the window click the hyperlink "Generate Template."
  4. Save As window is displayed. Save the template in a specific location.

NOTE: A template can also be generated by clicking the Generate Template option from the menu.

Figure: Generated Template

After generating the template next step is to enter folder information in the excel sheet.

To enter folder information in the excel sheet

  1. In the column Hierarchy enter the order in which the folders should be created. For Example: If you want to create a main folder Engineering, in the Hierarchy column enter 1 and in the Folder Name enter Engineering.

A sample folder structure entered in the generated template is displayed in the following figure.

Figure: Folder structure entered in excel sheet

  2. After entering the folder information save the file and close.

After entering the folder information next step is to import the folder structure.

To import folder structure

  1. In the left navigation bar select Smart Folders.
  2. In the right-click menu click New>>Import From Excel.

Bulk Import Smart Folder window is displayed.

  3. In the window click Browse button to select the excel template.

A preview of the folder structure is displayed.

  4. After selecting the excel template click Import.

Figure: Bulk importing Smart Folder

NOTE: Click the check box next to Inherit properties of parent folder to apply the properties of the folder to the folders that are imported.

  1. Click Import to start importing the folder structure.

Once the import is successfully completed, Bulk import completed message is displayed.

  2. Click OK to continue. Imported folders are displayed under Smart Folders.

Creating folders from genealogy structure

There are cases where Smart Folders structure has to be created exactly similar to the genealogy structure. In such cases creating folders manually is impractical. To address this scenario, option to create Smart Folders from genealogy structure is available.

To create folders from genealogy

  1. In the left navigation bar select Smart Folders.
  2. In the right-click menu click New>>Single.

Smart Folder Creation window is displayed.

  3. Click the radio button next to Create from Genealogy.
  4. Click the browse button to select a Folder Type.
  5. Create New Folder window is displayed. Select the folder type.

Figure: Creating smart folder from genealogy

NOTE: when a smart folder is created using the Create from Genealogy option, the smart folder hierarchy is created as per the selected document genealogy hierarchy. If leaf level smart folder is selected, then in the Items Display Patter radio button next to Show All is selected. For all the parent level smart folder the option selected will be “Show manually added items.”

Once a folder type is selected, browse button next to the field Genealogy will be enabled.

  1. Click the browse button to select a genealogy.

Search Genealogy window is displayed.

Figure: Search Genealogy window

  2. Select the genealogy structure based on which you want to create the folder structure and click OK.

Smart Folders are created based on the structure of the selected folder structure.

Managing Attachments

Smart Folders can be created to manage attachments. The attachments that can be managed under Smart Folders are:

  • Specter
  • Related files
  • Comments
  • Markups
  • Client Comment
  • Squad check Comment
  • Referenced Document

To create an attachment folder

  1. Select Smart Folders and in the right-click menu click New>>Single.
  2. Create New Folder window is displayed.
  3. Expand the Document option in the 'Create New Folder' window.

Figure: Creating an attachment folder

  4. Select the type of attachment from the list and click OK
  5. Smart Folder Details window is displayed.
  6. Enter a name for the Smart Folder and click OK.

Once attachment folders are created, attachments can be added to the created folders.

To add attachments

  1. Select the folder created for adding attachments.
  2. In the top of the pane click Add.

Add Associated Document window is displayed.

Figure: Add Associated Document window

  3. You can type in the number if you know the vendor document number. Or click the browse button to select the document number. Search window is displayed. Search for the document and select the document from the search results.
  4. Click the browse button to select the file.
  5. Click OK to add the document as an attachment to the selected vendor document.

For Example: Consider you have already added a document with Vendor Document Number = Review_Comment A. Now when you type in the number in the field Vendor Document Number and click the browse button, the document is located. The selected document is added as an attachment to document with Vendor Document Number = Review_Comment A.

Sending documents to the Smart Folder

User can also select a document from the explorer view of document genealogy and send it to the Smart Folder.

To send documents to the Smart Folder

  1. Select a document and right-click.

Figure: Documents Right-Click menu

  2. In the right-click menu select Send To>>Smart Folder.

Folder List window is displayed.

Figure: Folder List window

  4. Select a folder and click Ok.
  5. The documents are sent to the selected folder.

Instead of selecting objects individually and sending them to a Smart Folder, you can define rules for a folder and send the objects automatically to Smart Folder. When an object satisfying the defined rule is added to WRENCH, this object is directed to the corresponding Smart Folder. For more information on creating rules refer Creating Rules for Smart Folders

In addition to this user can drag items to the Smart Folders.

Items added to the Smart Folders manually are indicated with a star mark as shown in the following figure.

Managing Transmittals

Smart Folders can be created for your transmittal. Transmittals you need can be moved to this folder by defining rules.

To create Smart Folders for transmittals

  1. In the navigation bar select Smart Folders and right-click.
  2. In the right-click menu select New>>Single.

Smart Folder Creation window is displayed.

  3. In the window click the browse button next to the field Folder Type.

Create New Folder window is displayed.

Figure: Create New Folder

  3. Select Transmittal from the list and click OK
  4. Enter a name for the folder and click OK.

A new Smart Folder for transmittal is created.

Moving Transmittals to the Smart Folder

You can move the transmittals you need to your Smart Folder by defining rules. Once rules are defined existing transmittals and transmittals that are created, which satisfies the defined rules are moved into this folder. For more information on defining rules refer Creating Rules for Smart Folders .

Creating and Viewing transmittals

You can create a transmittal and view and existing transmittal from the Smart Folder desktop.

To create a transmittal

  1. In the transmittal Smart Folder desktop right-click and from the right-click menu select New.
  2. Document Transmittal window is displayed.

For more information on creating a transmittal refer Utilities>>Transmittals

To open a transmittal

  1. Select a transmittal available in your Smart Folder desktop.
  2. You can select New in the right-click menu or double-click the transmittal.
  3. Document Transmittal window opens up with the transmittal details populated.

Creating a copy of the existing transmittal

Faster submission of documents is possible with the facility to create a copy of an existing transmittal. While creating copy from an existing transmittal, in the case of package submissions that involves multiple submissions of documents, documents available in the queue of the source transmittal will be available in the copy. You can create copy of an existing transmittal from the transmittal window and Smart Folders for transmittals.

To create a copy from an existing transmittal

  1. Select the Smart Folder for transmittals.
  2. Select a transmittal from the list displayed and right-click.
  3. In the right-click menu select Create Copy .

Transmittal Search window is displayed.

For more information on creating a transmittal from an existing transmittal refer Creating a Transmittal from an existing Transmittal

Managing Reports

Smart Folders can be created for your reports and reports can be managed from them. For creating a Smart Folder for reports you can follow the same steps mentioned for transmittals. The only difference is, in the 'Create New Folder' window you can select Reports. Once the Smart Folders for reports are created you can move your reports to this folder. You can perform the following operations on the reports available in your Smart Folder.

Figure: Reports Smart Folder - Right-Click menu

Open: Select this option to open the selected report. 'Select Report Criteria' window is displayed. Select View Report button to view the report.

Manage: Select this option to edit your existing report configuration. On selecting this option 'Edit Report' window is displayed. You can edit the existing values and enter new one.

Remove: Select this option to delete the report from the Smart Folder

Smart Folders menu operations

Different operations displayed in the following menu can be carried out from the right-click menu of a document Smart Folder

Figure: Smart Folders - Operations

New : Click this option to add a new folder under the selected folder.

Edit : Click this option to change the name of the selected folder

Delete : Click this option to delete the selected folder.

NOTE: If the user to whom the Smart Folder is published has added any items to that folder, then that Smart Folder will not be removed from the users desktop, even though the publisher deletes the folder.

Publish : This option is enabled only for 'ADMIN' users. Smart Folder can be published, so that the folder are accessible to users defined by the ADMIN.

Archive Documents: Select this option to copy out the documents in bulk to a specific location.

Send To Desktop (Create Shortcut): User can create a shortcut icon for the frequently opened Smart Folder in Wrench desktop.

Copy: Click this option to copy an existing Smart Folder. While copying the Smart Folder the rules defined for the folder is also copied.

Paste: Click this option to paste the folder after the copy operation

Hide Smart Folder: Click this option to hide the selected Smart Folder.

Hide Wrench Enterprise: Click this option to hide the item Wrench Enterprise and its sub-folders.

Publishing a Smart Folder

A Smart Folder can be published for a set of users or groups so that the contents of the folder would be available for their use. Hence if a folder is published to a group, new users added to a group will have access to the Smart Folder published for the group. Once the user is removed from the group, access to the folder will be removed for the user.

To publish a Smart Folder

  1. Select a Smart Folder and right-click.

Figure: Publishing a Folder

  2. In the right-click menu select Publish.
  3. Publish Smart Folder window is displayed. Smart Folders can be published to User/ Groups or Project. By default User/Groups tab is selected.

Figure: Publish Smart Folder window

  4. Click the corresponding browse button to select users or groups.
  5. Select the checkbox under the column Manage to assign Manage permission to a user or group. A user with manage right will be able to publish a Smart Folder.
  6. After selecting the users or groups click Ok to confirm. 'Folder Published Successfully' message is displayed.

NOTE: Publisher of the Smart Folder will be able to assign manage rights to users and groups.

To publish folders to projects

  1. In the Publish Smart Folder window click Project tab.

Figure: Publish Smart Folder window

  2. Click the browse button select projects to which the folder has to be published.
  3. Project Search window is displayed. Select the required projects.
  4. In case you want to publish the Smart Folder based on Origin, click the hyperlink Click here to limit to the selected origins.

Figure: Limiting selected origins

Select Origin window is displayed.

Figure: Selecting Origin

  5. By default, there will be no origin selected for publishing. Select the checkbox next to the required origin types/names for which the Smart Folder needs to be published.
  6. Click Select to complete selection.
  7. Click OK to publish the folder. A message The selected folder published successfully is displayed.

Publish folders and its sub folders are displayed for respective users/groups or Projects. Publish folders are distinguished from other folders by their appearance.

Figure: Published Folders

NOTE: Wrench permits the creation of a Smart Folder with its name identical to a published folder. They can be distinguished by the difference in their appearance. Usually publish folders are displayed in blue. Users can hide Smart Folders published to them.

NOTE: Only users with Create Public View rights defined in modular security can create public views. Publish View option is enabled only for users with Create Public Views right.

Creating shortcut for Smart Folders in Wrench Desktop

You can create a shortcut icon in Wrench desktop, for the Smart Folders that are opened frequently. Double-click the shortcut icon to open the corresponding Smart Folder.

To create a short cut for Smart Folders

  1. Select the Smart Folder for which you want to create a shortcut in WRENCH desktop.
  2. Right click on the selected Smart Folder and the following sub-menus are displayed.

Figure: Smart Folder - Right Click Menu

  3. Select Send To Desktop (Create Shortcut) and a shortcut to access the selected Smart Folder is created in the desktop.

Hiding and unhiding Wrench Enterprise level

User can hide the Wrench Enterprise level in the navigation bar so that only Smart Folders are visible.

To hide the Wrench Enterprise level

  1. Select the level and right-click.

Figure: Hiding Wrench Enterprise level

  2. On the right-click menu select Hide Wrench Enterprise.

Wrench Enterprise level is hidden now and only Smart Folder level is visible.

To unhide

  1. To make Wrench Enterprise level visible select Smart Folder level and right-click.
  2. On the right-click menu select Unhide Wrench Enterprise. Wrench Enterprise level is visible now.

Adding documents to the Smart Folder

User can add single or multiple documents to a Smart Folder.

  1. Select a Smart Folder and right-click on the desktop.
  2. Click Add.
  3. In the menu select between Single Document or Multiple Document.

Add document window is displayed where user can enter appropriate details required to add a document. For more information on adding documents refer Documents section of the help.

NOTE: Documents added manually to a Smart Folder is denoted by a star mark as in this figure.

Creating a task from the Smart Folder

A task can be created directly from the Smart Folder.

To create a task from the Smart Folder

  1. Select a task Smart Folder.
  2. In the desktop right click and in the right click menu select Add.

Search Work Breakdown Structure window is displayed.

  1. Here you can select the WBS for which a task has to be created.
  2. Task Properties window is displayed. Here you can enter the task details.

For more details on entering the task details see Folders>>WBS>>Creating a Task

Reassigning Resources

This option helps in reallocation of resources to Work In Progress work flow.

To re-assign resources

  1. Open the Smart Folder and select the document.
  2. In the right-click menu choose Reassign User.

Reassign Resources window is displayed.

Figure: Reassign Resources window

  4. Select a stage and select resources from a user list. New resources selected will be displayed in the New Resources grid.
  5. Click Reassign button to reassign resources.
  6. Resources are reassigned successfully message is displayed. Click OK to continue.

As displayed in the following figure list of resources in both the grid will be identical once the users are reassigned.

Figure: Reassigned Resources

NOTE: Only users with Reassign resources in the genealogy can perform this operation.

Exporting Smart Folder views

The grid view of the Smart Folder can be exported to an MS Excel file. Contents of the Smart Folder will be exported to the MS Excel file. When you export the Smart Folders it is not possible to select columns for export. If any columns are not required while exporting, remove the columns from the view before exporting.

To export Smart Folders

  1. Select the Smart Folder that you want to export. Contents of the folder is listed.
  2. Select the smart folder content that has to be exported.
  3. In the Search Tool bar click Excel icon.

Figure: Exporting Smart Folders

  3. Save As window is displayed. Here you can enter a file name and location to save the file.
  4. The contents of the Smart Folder is exported to the excel file and appears as displayed in the following figure.

Figure: Smart Folders exported to MS Excel

Managing comment files

Multiple comment files can be added from a Smart Folder and comment files can be copied out in bulk.

Adding multiple client comments

In the document Smart Folder right-click menu an option to add client comments in bulk is available. On clicking the option Bulk Attach Client Comments, Bulk Attach Client Comments window is displayed.

  1. Click Select Files to attach client comments.

Bulk copying out comment files

Comment files can be copied out in bulk from document Smart Folder and document search results grid.

  1. Select the document and in the right-click menu click Bulk Copy Out Attachments>>Comments.

The files are copied out to a specific folder.

Operations from document Smart Folder

You can select single or multiple tasks and documents from the respective Smart Folders and carry out different operations from the right-click menu. The following figure shows the right-click menu for the document Smart Folders. Most of the document related operations can be carried out from here. For more information refer the section Document Operations .

Figure: Right-click menu for document Smart Folder

Operations from the task Smart Folder

Different operations can be carried out from the right-click menu for the task Smart Folder.

Figure: Right-click menu

Different options in the right-click menu is explained in the following table.

#

Menu Item

Description

Send To

On clicking this option a pop-up with menu with the following options is displayed.

Desktop: Select this option to sent a shortcut of the task to the desktop

Smart Folder: Select this option to sent the selected task to a Smart Folder. On selecting this option Folder List window is displayed with a list of task Smart Folders. Select the Smart Folder to which you want to send the task.

Show Details

Click this option to view the properties assigned to the task. On selecting this option task properties window is displayed.

Add

Click this option to create a task.

Add Related Item

Select this option to add a task or document to a selected task.

Copy Task

Select this option to copy the selected task.

Paste Options

Paste Task and Paste Special are two options available for pasting a selected task.

If you wishes to paste the task selected, then “Paste Task” can be selected for the same.

On selecting Paste Special, Paste Options dialog box is displayed. Select the checkbox against task information's which are to be copied. Select the checkbox against "Select All" to select entire task information's. The percentage progress is recalculated for both source and target tasks on completion of the operation. For more details refer Paste Special Operations.

Schedule options

Options which help you to schedule or start a workflow for the selected task are housed here. For more information on schedule options refer Schedule Options.

Send

Click Send to send the task to the next stage of the workflow. This operation is possible only if the task is in the workspace of the current stage user. User can select single or multiple tasks and perform the "Send" operation from the right-click menu or task options in the left navigation bar. If more than one active instance of the selected task is available in the user's workspace, sending operation is possible only from the workspace. System will return a warning message indicating this.

NOTE: In case you try to send an object without a workflow attached the following message is displayed.

  • If you want to assign a workflow for that object, then click Yes.
  • Assign Workflow window is displayed.

Here you can assign a predefined or manual workflow and send the object.

  • Click No to cancel the operation.

Update Approval Status Code

Clicking this option displays the Customer Workspace window. You can provide the appropriate values in this window. Only the current stage user or a user with appropriate rights in the document genealogy can perform this operation.

View Related Documents

Select this option to view different types of documents attached to a task. You can select a document type from the menu that is displayed while

Link: On selecting this option drawings or documents linked to the task is displayed.

Refer: On selecting this option drawings or documents referred to the task is displayed.

Correspondences: On selecting this option correspondence attached to the task is displayed.

2

View Specter

Select this option to view specter file attached to documents.

Workflow Options

On selecting this option the following workflow options are displayed.

Show Workflow: If a work flow is assigned to a task, this work flow is displayed. For a task scheduled for the first time clicking on this option the "Send" window is displayed. You can view the resources assigned to each stage. For more details on showing workflow refer Showing Workflow.

Flush Workflow: You can select single or multiple tasks and reset the active workflow. For more details on flushing workflows refer Flushing workflow for single or multiple tasks.

Reassign User: Select this option to reallocate resources to Work In Progress work flow. For more information on re-assigning users refer the section Reassigning Resources .

11

Delete

Select this option to delete the selected task.

12

Complete

Select this option to complete the selected task.

13

Copy Specter

In the right-click menu of task Smart Folders an option Copy Specter to copy out the specter files is available.

To copy out the specter files

  1. Select a task and right-click.

  2. In the right-click menu click Copy Specter.

Browse for Folder window is displayed.

  3. Select a folder to copy the specter files or click Make New Folder to create a new folder to copy out the files.
  4. Click OK to continue.

14

Configure Menu

Click this option to select or remove options displayed in right-click menu. For more information of configuring the right-click see Configuring the right-click menu .


Defining Rules for Smart Folders

Rules can be defined for a smart folder. After defining a rule you can carry out different rule related operations which are explained in the following sections. Rules can be defined at the time of creation of smart folders or after creating smart folders. Different topics in this sections are mentioned in the following navigation table.

Navigation Table

To | See
Define Rules | Defining rules for a Smart Folder
Extend Rules | Extending rules to sub-folders
Copy Rules | Copying rules from a Smart Folder
Add dynamic criteria | Adding dynamic criteria to rules
Manage Engineering Deliverables | Managing engineering deliverables using rules
Map correspondence subject | Using rules to map subject of correspondence

Defining rules for a Smart Folder

You can define rules for a Smart Folder and based on these rule objects can be moved to the Smart Folders.

NOTE: This procedure has to be carried out only if rules are not defined at the time of creation of smart folders. Rules can be defined at the time of creation of smart folders.

To define a rule

  1. Select the Smart Folder and right-click.
  2. In the right-click menu click Edit.
  3. Smart Folder Creation window is displayed. Click the button Insert Criteria. A column for creating rule is appended. Here Parentheses (Brackets), Property, Operators and Values can be entered.

Figure: Smart Folder Creation window

  4. Select a parenthesis or bracket from a drop-down list . Brackets can be inserted in the beginning and end of each rule criterion to frame rules in the form of loop.
  5. Select a property from the drop-down list. Properties will be listed based on the smart folder type.
  6. Select an operator from a drop-down list.
  7. Enter a value for the selected property. Values can be typed in or selected by clicking the browse button based on the property selected.
  8. Select a bracket to close the rule.

NOTE: Double brackets is used when a sub-rule or group is created under a main rule.

  9. Click OK.

Items satisfying the defined rules are moved to the Smart Folder created.

Let us see different example of creating rules.

Example 1: Consider a document smart folder. A user wants to store documents belonging to a specific genealogy that are in Work In Progress status to this folder, rules are defined as shown in the following figure. Here an append condition "And" is used because two conditions or criteria has to be satisfied.

Example 2: Consider the case where a user wants to store documents belonging to a specific genealogy that are in Work In Progress and Release status. In this case double parentheses or brackets are used to create rules as shown in the following figure. Here Append Condition Or is used.

Thus different combinations of conditions and brackets can be used to filter the smart folder contents.

In the Smart Folder Creation window under the group if Show All is selected, the parent folder and all the child folders under it are displayed. If Show Manually Added Items is selected, only items added manually to the folder are displayed. If Show items based on rules are selected only items added based on rules to the folder are displayed. If the option Hide all is selected no items are not displayed in the folder.

NOTE: While defining rules to move documents to a folder if "Document Genealogy" is selected as property, user can browse and select a genealogy from the "Search Genealogy" window.

System Criteria: If the Smart Folder is created for managing correspondence documents, you can design folders for handling correspondence. Incoming mails, drafts, mails pending for reply and related correspondences can be categorized into different folders. For more information refer Creating folders for managing project correspondence .

Extending rules to sub folder

Rules created for the main Smart Folder can be extended to sub folder.

This facility is useful in the case of project Smart Folders. In the case of project Smart Folders, all the properties of parent project folder other than Project ID is extended to the sub folder.

To extend rules to sub folder

  1. Select the main folder and in the right-click menu click Edit.
  2. In the Smart Folder Creation window select the check box next to Extend Current Modifications to Child Folders.

Figure: Extending rules to child folder

  3. Click OK to continue.

Rules are extended to the sub folder.

Copying rules from a Smart Folder

You can create a Smart Folder and at the same time inherit the rules defined for another folder. This will help in saving the time and effort of the user.

To copy rules

  1. Select the Smart Folder for which you want to copy the rule to and right-click.
  2. In the right-click menu click Edit.
  3. In the Smart Folder Creation window click Copy Rule from

Figure: Copying Rules

Folder List window is displayed.

  4. Select the folder from which you want to inherit the rules.
  5. Click OK to continue.
  6. Smart Folder Creation window is displayed with the copied rules. Here you can edit the rules according to your requirement.
  7. Click OK to continue.

New folder is created and the rules of the selected folder are inherited.

NOTE: You can only copy rules between folders of the same type. For values Created By and Released By, in the Select User window, Logged in User can be selected as a value.

Adding dynamic criteria to rules

You can add dynamic criteria while creating rules for Smart Folder. A rule can be created which helps in populating the Smart Folder based on the dynamic criteria.

To add a live or dynamic criterion

  1. In the Smart Folder Creation window click Insert Criteria.
  2. Select the Property as Created By.
  3. Click the browse button in the column Value. Select User window is displayed.

Figure: Adding dynamic criterion

  4. In the Select User window select the checkbox next to Select Logged in User.
  5. Click Select button to confirm selection.

Once you save the rule, documents created by the logged in user will be displayed in the Smart Folder.

Also you can add document to the Smart Folder based on Created Date.

To add documents based on Created Date

  1. In the Smart Folder Creation window click Insert Criteria.
  2. Select the Property as Created On.
  3. Click the browse button in the column Value. Select Date window is displayed.

  4. If you want the documents added by the logged in user on the current date in the Smart Folder, click the radio button next to Related to Current Date.
  5. If you want the document added by the logged in user ahead or before the current date specify the number of days followed by + or - sign.

NOTE: Defining number of days ahead is not applicable in this case. It is used when documents are moved to Smart Folders based on Expected Receipt Date etc.

  6. If you want documents added on a specific date in the folder, click the radio button next to Select Date and choose a date.
  7. Click OK to continue.

Defining defaulting properties for document and task Smart Folder

When you add a document manually from the Document Smart Folder, the Add Document window will be displayed with values for certain document properties by default. Following are those properties for which the values will be inherited for a Document Smart Folder.

  • Document Genealogy
  • Document Status
  • Client Document Number
  • Vendor Document Number
  • Project ID
  • All Custom Properties
  • Correspondence Type

If rules are defined for the above mentioned properties with “Equals” operator, then those properties values will be inherited and will be displayed in the Add Document window by default.

NOTE: If same property has two rules created with “Equals” operator, then that property will not be inherited and displayed. i.e, In the above figure, there are two rules defined for Document Status with “Equals” operator. Hence both the values will not be inherited and displayed while adding a new document.

Similarly when you add a task manually from the Task Smart Folder, the Task Details window will be displayed with values for certain task properties by default. Following are those properties for which the values will be inherited for a task Smart Folder.

  • Task Genealogy
  • Project ID
  • Document Genealogy
  • Client Document Number
  • WBS Ref No
  • WBS Name
  • System Code
  • System Description
  • Project Description
  • Origin Name
  • Origin Type
  • Approval Requirement Code
  • Area Description
  • Area Code
  • All task Custom Properties
  • Priority
  • Workflow
  • Document Task
  • Milestone Task
  • Customer Schedule

Here also, if rules are defined for the above mentioned properties with “Equals” operator, then those properties values will be inherited and will be displayed in the Task Details window by default.

Managing engineering deliverables using rules

Engineering documents are send through document workflow as per the standard configuration. Since the Lead Engineers need to initiate the document workflow as per the schedule, they need to identify the deliverables that need to be initiated within a stipulated period say within next 7 days. Document Smart Folder have the capability to hold the deliverables that needs to be initiated in the next ‘n’ days along with the delayed ones.

In the document and task Smart Folder, following rule criteria will be available.

  • Planned start date
  • Planned finish date
  • Actual Start date
  • Actual finish date
  • Forecasted start date
  • Forecasted finish date
  • Internal start date
  • Internal finish date

On clicking the browse button to select value for any of these criteria, Select Date window is displayed

Figure: Create/Edit Rule window

By default, the option ‘Related to current date date will be selected.

Number of days ahead or before current day: User can enter values as mentioned below.

  • ‘0’ for selecting the current day as the rule criteria (default)
  • ‘-‘ along with number for selecting number of days before the current date
  • ‘+’ along with number for selecting number of days after the current date.

Select Date: If the radio button next to this option is selected’, user can select any date from date picker and set as rule criteria.

Only the following operators will be permitted for these new date criteria .

  • Equals
  • Does not equal
  • Is greater than
  • Is greater than or equal to
  • Is less than
  • Is less than or equal to

In case any other operator is selected an error message is displayed when the rule is saved.

Using rules to map subject of correspondence

While creating rules for document type Smart Folders, a filter criteria Document Description / Correspondence subject is available. If a rule is defined using this filter criteria, based on the rule criteria, documents description/correspondence subject line that matches rule criteria are filtered and displayed in the smart folder.

Figure: Create rule window

When user creates a correspondence from a Smart Folder configured with ‘Document Description / Correspondence subject’ equals to a specific value, this value is mapped as the subject for the correspondence. User can override this value. Similarly, when user creates a document from this Smart Folder the value provided for this filter is mapped as the Document Description for the document.


Assigning system rule to smart folders

You can create folders and label them according to your need. System Criteria defined in WRENCH can be assigned to these folders. In this way you can create folders for managing your mails and transmittals.

To create folders for managing incoming mails

  1. Create a document smart folder.
  2. Select the folder and right-click. In the right-click menu click Edit.
  3. Create a Rule and select the correspondence genealogy. For more information on creating rules refer Creating Rules for Smart Folders.

Since the folder created is meant for handling mails sent to you, that attribute has to be assigned to the folder. These attributes are available as system values in Wrench. You have to map these values to the corresponding folder.

To map system values to the folder

  1. In the Smart Folder Creation window click the radio button next to System/Custom Rule.
  2. Select a Folder Type and enter a Folder Name.
  3. Click the browse button next to the field System/Custom Rule.

Select System/Custom Rule window is displayed.

Figure: System Criteria selection window

The following criteria are available here.

Drafts: Choose this option if the selected smart folder is meant for handling draft mails or saved mails.

Inbox: Choose this option if the selected smart folder is meant for handling mails sent to you.

My Document Workspace: Choose this option if the selected smart folder is meant for handling objects in your workspace.

Related Correspondence: Choose this option if the selected smart folder is meant for handling a copy of the mail sent to a user. The copy would be available in the folder of all users who are members of the group in which the To..recipient is a member.

Reply Pending: Choose this option if the selected smart folder is meant for handling mails for which a reply is not yet sent.

Sent Items (Correspondence): Choose this option if the selected smart folder is meant for storing copy of the sent mails.

Sent Items (Document): Choose this option if the selected smart folder is for storing copy of documents that are Send, Forwarded, Closed and Force Closed.

  2. Choose Inbox from the list of criteria and click Select.

The folder is capable of handling all mails sent to you. In the same way you can create folders for handling drafts, reply pending mails, sent items etc. by assigning system criteria.

NOTE: System folders are displayed on top of list of smart folders.Other Smart Folders are listed below the system folders in ascending alphabetical order.

To configure folders for moving latest released transmittals

  1. Select the transmittal smart folder and right-click.
  2. In the right-click menu click Edit.

Create Edit Rule window is displayed.

  3. In the window click the browse button next to System/Custom Rules.

Select System / Custom Rule window is displayed.

Figure: Select System/Custom Rule

  4. Select Latest Transmittal Released Documents and click Select. Selected Rule will be displayed in the Smart Folder details window.

All transmittal released documents will be available in this folder.


Managing Correspondence

The correspondence management module is capable of sending and receiving correspondence. It is perfect for project-oriented companies which have a lot of communication with client and suppliers, and where it is vital to be able to store and retrieve this information in a fast and efficient way.

Correspondences are stored in folders (genealogies) exclusively flagged for correspondences and a unique reference number can be generated for the correspondence. A powerful sequence-number generator can be configured by the administrator to automatically assign correct sequence number when the new correspondence is created. While sending correspondences recipients, can be selected from a list defined in Wrench masters. Files existing in Wrench or from an external location can be attached to the correspondence before sending.

All your correspondence can be managed using personal folder and different folders can be designed to manage correspondence. You can design folders that can carry out the following functions.

For more information on creating personal folders and managing correspondence using them refer Assigning system criteria to personal folders .

Inbox: This folder would contain all the correspondences sent to you.

Drafts: By default, any message that you create, but don't send, are saved automatically to the Drafts folder.

Sent Items: The Sent Items folder is useful to keep track of the messages that you send and whom you send them to. By default, a copy of messages that you send is stored in the Sent Items folder.

Reply Pending: The folder would contain all mails for which reply is pending.

Related Correspondence: When a mail is sent to a user, a copy of the mail will be available in Related Correspondence folder of all users who are members of the group in which the To..recipient is a member.

NOTE: Type of Correspondence can be specified in document genealogy default properties. Correspondence types available are Wrench and Archived. If the option Wrench is selected correspondence management module would be enabled for the folder. If the option Archived is selected existing correspondence management function would be available.

Adding a correspondence involves the steps mentioned in the following navigation table.

To | See
Open the correspondence window | Opening the new correspondence window
Add recipients for the mail | Adding mail recipients and a subject
Search and add recipients | Finding and adding mail recipients from a list
Enter basic document details | Entering basic correspondence details
Enter advanced correspondence details | Entering advanced correspondence details
Add attachments to a correspondence | Adding attachments to a correspondence
Enter mail content | Entering mail content
Create a signature | Creating email signatures
Enable Read Receipt | Enabling Read Receipt option
Save and Send a mail | Saving and sending a correspondence
Cancel mail | Cancelling the correspondence
Reply to a correspondence | Replying to a correspondence

Users can easily generate and manage any type of correspondence content with a professional, standardized, and consistent appearance.

Adding a correspondence includes different steps like assigning a unique reference number and recipients for the correspondence, attaching documents to the correspondence and entering additional correspondence details. Correspondence can be added from a smart folder and from the global menu.

Opening the new correspondence window

NOTE: The new correspondence window can be opened from a folder for which the Correspondence Type is selected as Wrench. This setting is defined in the genealogy default properties window.

To open the new correspondence window

  1. Select a folder or personal folder which is configured for handling correspondence.
  2. In the right-click menu from the desktop click Add. Or else click Add in the tool bar.

New Correspondence window is displayed.

Figure: New Correspondence window

Adding mail recipients and a subject

Recipients are the people to whom the correspondence is addressed and those to whom it is send as a copy for information.

NOTE: Only those users who are Wrench users could be among the recipients of a correspondence.

Recipients can be typed in or searched and added from a user list.

To type in the recipients

  1. Enter the recipients in the To.. and Cc..fields. You can enter one or more recipients in these fields.

NOTE: If a user has created or send a correspondence containing external email ID, then next time when the user type entries in recipient column dynamic suggestions are displayed for the email ID used by the user.

  2. Enter a subject for the correspondence in the Subject field.

Figure: Entering recipients and subject

NOTE: External email id can be entered in 'TO' and 'CC' field so that the user can send correspondence to external users. When the external user replies to the correspondence, reply is send to MS Outlook mail id of Wrench users.

Finding and adding mail recipients from a list

Instead of typing in the recipient name in the To.. and Cc..field, you can find the recipients from a pre-defined list and add them as recipients. This facility helps in avoiding errors that may occur while typing in the names.

To find and add mail recipients

  1. Click on To..

User List window is displayed. Here you can search based on department or user group.

Figure: Selecting recipients

  2. Enter full or partial search terms in one or more search criteria fields .
  3. Click the Search button. List of recipients are displayed .
  4. In the Available Users section select the recipient or recipient group you want to send this mail to and click the front arrow to complete the selection. The users will now be displayed in the Selected Users section.
  5. Click OK to complete the selection and continue.

The selected recipients are displayed in the To..field.

Entering basic correspondence details

Here basic correspondence details mandatory for registering or adding a correspondence has to be entered. The genealogy selected is displayed here.

To enter basic correspondence details

Figure: Correspondence properties

  1. Enter values for the following fields.
  • Correspondence Number: Type in a correspondence number or click the browse button to generate a number from a pre-defined numbering template.
  • Correspondence Description: Enter a description for the correspondence.
  • Project ID: If the correspondence is related to a project, enter a project number or click the browse button to select a number from a list.

Entering advanced correspondence details

Advanced correspondence details that provide additional details to the person who receives the mail can be entered here. To enter advanced correspondence details

  1. Expand the section Correspondence Details.

Advanced correspondence details are displayed here.

Enter values for the fields that are displayed in the advanced correspondence details window. The fields are explained in the following table.

# | Item | Description
1 | Correspondence Reference Number | Enter a number which acts as the reference to the correspondence.
2 | Reply Required | If the correspondence requires a reply that can be specified here. Select between Yes or No from a drop-down list.
3 | Expected Reply Date | The date on which a reply is expected for the correspondence is specified here. Last minute of the work day as per calendar is captured here. For Example: 17:59 for 9:00 AM to 6:00 PM work day.
4 | Reply Expected From | User who has to reply to the correspondence can be defined here.
5 | Letter Date | Enter the date on which the correspondence is created.
6 | Issue Date | Enter the date on which the correspondence was issued or published.
7 | Priority | Priority can be set for the correspondence. Select from Low, Medium and High.

Adding attachments to the correspondence

Documents and drawings can be added as attachments and send along with the correspondence. Documents existing in Wrench, documents stored in different locations or a new document can be added as attachments to Wrench.

To add a document stored in a specific location

  1. In the tool bar click Attach>>File from Disk.

Select File window is displayed.

  2. Select file from the location where it is stored and click Open.

The file is attached to the mail and is displayed in the attachments section.

To add a document existing in Wrench

  1. In the tool bar click Attach>>Wrench Document.

Document Search window is displayed.

  2. Enter your search criteria and carry out a search operation. For more information on searching and retrieving documents refer Search>>Document Search .
  3. Select the document from the search results grid.

The selected documents are displayed in the attachments area of the correspondence window.

To add a new document as attachment

  1. In the tool bar click Attach>>New Document.

Add Document window is displayed.

  2. Enter values for properties in the document addition window and add the document. For more information on adding documents to Wrench, refer the section Adding a Single Document .

The added document would be available in the attachments area of the correspondence window.

Entering mail content

Notes or content can be added to the correspondence before sending it. A text editor is provided for this purpose. Using the editor you can format your message or notes with different fonts, change the size, add images and videos, cut and paste text etc.

Figure: Correspondence editor

Selecting mail templates

Instead of entering the content or notes for the mail, a pre-created template can be selected. You can fill in the fields in the template and send it.

To select a template

  1. In the new message window select the down-arrow next to Template.

A list of templates is displayed.

  2. Select a template from the list and this template is displayed in the message area.

When you save the mail, system will ask you whether the values has to be mapped to the template.

  3. Click Yes to map the values to the template.

Creating email signatures

A signature block is a block of text automatically appended at the bottom of an e-mail message. This has the effect of "signing off" the message. It is a common practice for a signature block to consist of one or more lines containing some brief information on the author of the message.

NOTE: From the new correspondence window, the user who is logged in can create his signature. An administrator can create a signature for all the users in the organization from the Masters.

To create a signature

  1. In the New Correspondence window tool bar click Email Signature.

Signatures window is displayed.

Figure: Signatures window

  3. Enter the name for which the signature has to be displayed.
  4. Select the instance for which the signature has to be inserted from the drop-down list corresponding to Signature For. Available options are All, New Correspondence, Replies, Forward.
  1. In the editor enter the text that has to be displayed while inserting signature. For Example: If you want to insert a three line text in which the first line is your name, second line your designation and third line your department, type it in the editor as shown in the following figure.

  2. In the tool bar click Save to store the changes.

This signature is inserted when you create a New Correspondence. Similarly a signature can be configured for a reply correspondence.

Enabling Read Receipt for the mail

In case you want to know whether the recipient of the mail has opened it, you can enable the tracking option. Tracking option confirms that your message was opened.

NOTE: The tracking option is available only if the setting for enabling this option is defined in Personal Preferences>> Project Correspondence.

To set read-receipt for mails

  1. In the correspondence properties window, under basic document details, select the checkbox next to Track Mail.

Figure: Enabling read receipt for the mail

To track the status of the mail

  1. Double-click on the sent mails available in the folder.

Mail Details window is displayed.

  2. In the tool bar click Tracking.

Figure: View read receipt status

Tracking window is displayed. If the mail is opened by the recipient, the date on which the mail is opened is displayed. Or else the status is displayed as UNREAD.

NOTE: If tracking is enabled for a mail and the mail is sent, a Read/Unread icon is displayed for that mail in Sent Items folder.

Marking your mails as confidential

Once you mark the mails as confidential only the creator of the mail can view the mail. Even members in the group of the creator of the mail cannot view the correspondence once it is sent.

To mark the mail as confidential

  1. In the correspondence properties window, under basic document details, select the checkbox next to Confidential.

Once you save the correspondence marked as confidential it can be viewed from

  • Draft folder of the sender.
  • If the correspondence is send through a workflow, the correspondence will be available in the workspace of users who are in the active stage of the workflow.

Correspondence marked as confidential will not be listed in

  • Document search results.
  • Smart folders.
  • Genealogies.

Saving and sending mails

After assigning the recipients, entering correspondence properties, adding attachments and entering subject and content for the correspondence the mail is sent to the assigned recipients. Also a message that you are composing can be saved as a draft and finished later.

Figure: Saving and sending correspondences

To save a mail that is being composed

  1. In the correspondence window click Save.

The correspondence is saved to draft folder.

NOTE: Only the creator of the correspondence will be able to view a correspondence in draft status.

To send the correspondence

  1. In the correspondence window click Send .

Correspondence successfully sent message is displayed. The correspondence is sent to the selected recipients.

NOTE: When saving a correspondence, if a document number is not specified, a temporary number is generated automatically. Only a correspondence with a permanent document number can be released or approved. Hence when sending the mail correspondence number is generated.

Cancelling the correspondence

A correspondence can be discarded, which means it can be cancelled while it is being composed.

To cancel a correspondence

  1. In the message window tool strip click Cancel.

The correspondence on which you are working is discarded or cancelled.

Replying to a correspondence

Mails or correspondences sent to you are available in a folder. A reply is sent after opening these mails.

To open the correspondence reply window

  1. Select the folder where the mails sent to you are stored.

List of mails send to you are displayed on the desktop.

  2. Select the mail to which you want to send a reply and right-click.
  3. In the right-click menu click Reply.

Reply window is displayed. The sender of the mail is displayed as the To..recipient. The source correspondence to which the reply is being sent is automatically attached to the new correspondence.

Figure: Replying to a correspondence

  2. Click Cc.. to add recipients to whom the mail is sent for information.
  3. Enter a correspondence number or you can select a number from the number generator window.
  4. Enter your reply message. You can also add attachments to the reply mail.
  5. Click Send to send the reply.

Additional operations

In addition to replying to a mail, the following operations can be carried out from your Inbox. These operations are listed in the menu displayed when you right-click a mail in the Inbox.

Figure: Right-click menu operations

View

Click this option to view the mail and its attachments in a separate window.

New

Click this option to open the New Correspondence window for creating a mail.

Show Details

Click this option to view the details of the mail and its attachments. On clicking this option the following window is displayed.

Figure: Mail details window

Details of the mail like sender and recipients of the mail, mail attachments and mail content are displayed here. Option to reply to the mail and forward the mail is available in the window.

Show Document Details: Click on Show Document Details to view the details of the document. Document Details window is displayed where entire details of the mail including attachments is available.

Reply

Click this option to create and send a reply to a mail in your inbox. For more information on this topic refer Replying to a correspondence.

Reply All

Click this option to create a message that is addressed to the sender and any additional recipients of the original message.

Forward

Email forwarding generically refers to the operation of re-sending an email message delivered to one email address on to a possibly different email address. When you receive a correspondence and the responsibility to respond to the correspondence has to be assigned to another user, the correspondence can be forwarded to that user.

Remove

Click this button to remove the mail from the Inbox.

Refresh

Click this option to update your Inbox with latest mails.

Copy Out

Click this option to copy out the mail to an external location.

Print

Click this option to print the mail.


Personal Preferences

This module is provided to WRENCH end-user for specifying his Display Image, Mail Id, Checkout Paths, Location for Xref, Local Server, Notification Settings, Startup modules, and Password. The configurations assigned will have higher precedence over those configured in the Control Panel settings.

Navigation Table

To | See
Access Personal Preferences window | Accessing Personal Preferences
Define Personal Preferences settings | Setting Personal Preferences
Define Personal Details | Personal Details
Define General settings | General
Define mail tracking options | Project Correspondence
Define View settings | Views
Define Start Up settings | Start Up
Define Password for Users | Password for User
Define Cache settings | Cache
Configure Notifications | Notifications
Configure (Wrench Interactive Notification Device (WIND)) | Wrench Interactive Notification Device (WIND)
Configure Wrench Drive | Wrench Drive

Accessing Personal Preferences

To open Personal Preferences window

  1. In the left navigation bar in the Explorer view click WRENCH button.
  2. In the ensuing menu select Personal Preferences.

Setting personal preferences

Personal preference provides the logged in user with a facility to define a wide range of default settings.

Figure: Personal Preferences

Personal Details

You can Upload a JPG, GIF, BMP or PNG image that can be set as the display image using this option.

General

Email Id, Default Check Out path and also file upload mode can be specified here.

Click the Configure button to avail the General Options window as shown in the following figure.

Figure: General Options

The following configurations can be set from this window.

#

Configuration

Description

1

External Email Id and External Email Password

Enter an external email id if the user needs to receive notification mails while working in Wrench. Enter a password for the mail id. Authentication is carried out based on the email id and password entered here.

2

Task Check Out options

A task can have documents linked or referred to it. While checking out a task it is possible to check out linked documents, referrred documents or both. This can be selected from a drop-down list.

3

Login to Satellite Server

Here option to login to satellite server can be specified.

4

Default Check Out path

Here a default location to which documents can be checked out can be defined. Click the browse button to select a folder to store the checked out files.

To configure files to open while checking out

  1. Click Configure to select the file types that has to be opened while checking out. On clicking Configure, Configure Files to Open window is displayed.

  1. Select the check box next to the file types that has to opened while checking out.
  2. Click Save to store changes.

5

Default Copy Out Path

Here a default location to which documents can be copied out can be defined. Click the browse button to select a folder to store the checked out files.

6

Add Attachments to smart folders based on

Attachments can be added to documents in different smart folders. Attachments can be added based on the options Client Document Number, Vendor Document Number and Main Document Number that is displayed in the drop-down list. The option selected, will be displayed as a property in the Add Associated Document window while adding attachments. Enter values for the property displayed. Attachment will be added based on the value entered here.

7

Configure default properties for external references

Here default properties like document genealogy and Sheet Size can be configured for external reference documents. Click Configure button to configure the default properties for external reference documents.

8

Notifications

Notification mails and SMS notifications can be configured for alerting a user on different activities. Select the checkbox next to the notification type. Click Configure.

Mail Settings window is displayed. Here you can configure notifications for different events related to WRENCH objects. Select the check box next to the activities for which a notification is to be sent. and click Apply.

9

Use comma separator for numeric values

On selecting this option numerical values will be separated by commas.

10

Delete local copy on check in or Undo checkout

On selecting this option file saved locally for editing will be deleted, when the file is checked out after editing. Document checked in as folder will not be deleted.

11

Delete local copy on addition

On selecting this option local copy of the file will be removed once it is added to WRENCH.

12

Attach Transmittal Coversheet Automatically

Select this option if transmittal report is to be attached automatically.

13

Delete mails which are older than

Specify a time period for automatically deleting mails. Sent and Received mails in the user's inbox that exceeds the defined time period are moved to the deleted folder. The settings in the personal preferences have precedence over the settings in the control panel.

14

No. of time logs to be displayed

Specify the number of time logs that is to be displayed per page.

15

Maintain Items in "My Documents"

Specify the number of items that is to be displayed in the folder My Documents.

16

Maintain my "Sent Items" for

Specify the number of days the items in the folder Sent Items should be available. After the specified time the items will be removed from the folder.

17

Refresh Workspace every ( ) minutes

Specify the time period after which the workspace should be refreshed automatically.

18

Do not process external notification / mail older than

Specify the time period after which the external notifications or mails for the user is not to be processed.

19

Delete mails which are older than

Specify the time period after which the mails is to be removed.

20

Enable mapping in transmittal and document using native file

Select this option if mapping is to be made possible in transmittal cover sheet and document using native file.

21

Select your local server

Select the local server in which you will be working.

Configuring Mails from Wrench

Mails may be send to selected users on performing a set of actions for a selected module.

  1. In order to enable settings for sending mails to newly assigned users, in General Options click Configure.
  2. Mail Settings window is displayed.

Figure: Mail Settings

  3. Select a Module Name from the drop down list. Action for which a mail may be sent is displayed.
  4. User may select the checkbox corresponding to an action from the list.

Modules available in the drop-down list and corresponding actions for which external mail and internal mail can be send are indicated in the following table.

#

Module

Action

1

Change Note

Change Note Approve

2

Change Request

Change Request Approve

3

Mail

New Mail

4

Minutes of Meeting

MOM Approve

MOM Release

MOM Escalation

5

Print Manager

Print Manager Reject

Print Manager Completion / Closure

6

Scan Manager

Scan Manager Request

Scan Manager Reject

7

Transmittal

Transmittal Creation

Transmittal Release

8

Work Breakdown Structure

Schedule Task

WBS Delay

Day Before Start

Day Before Finish

Day After Start

Day After Finish

9

Workflow
  • Guided Workflow Routing
  • Workflow Bypass
  • Reassign User
  • Workflow Alert Unguided
  • Workflow Alert Guided
  • Workflow Escalation
  • Unguided Workflow Routing

10

Correspondence
  • Notification
  • To be Replied

11

Document
  • Document Add Notification
  • Document Modification Notification

12

Part
  • Part creation
  • Part approval
  • Part Reject
  • Part Obsolete
  • Part Release
  • Part Revise

13

Product Structure
  • Product Structure Creation
  • Product Structure Completion
  • Product Structure Approval
  • Product Structure Release

14

Administrative Notifications
  • Pop-ups through WIND

On configuring mails for document modification mails both external and internal are send to selected user on performing document modification actions like fast track revision and replacement of released documents. User may define mail bodies for the mails to be sent. For more information on defining mail bodies refer section Configuration Wizard>>Control Panel>>Work Flow>>Work Flow Organizer in the administrator's manual.

NOTE: Asynchronous File upload is always slower than Synchronous connection. Therefore, when the bandwidth is better or if the user is on high speed LAN, please change back to Synchronous setting.

Project Correspondence

Options for configuring different properties related to tracking of project correspondences is available here. The tracking options are referred in a whole as Read Receipt details.

To configure read receipt options

  1. In the Personal Preferences window click Project Correspondence button.

Project Correspondence Settings window is displayed.

Figure: Project Correspondence Settings window

The following settings are available here.

Read receipt confirming the recipient read the message: On selecting the checkbox next to this option tracking facility for mail is enabled by default, in the New Correspondence window.

For messages that contain a read receipt request, instead of asking the recipient each time whether to notify the sender, the recipient can define a default response here.

Always send a read receipt: Select this option to send a notification to the sender once the recipient reads the mail.

Never send a read receipt: Select this option if notifications need not be sent once the recipient reads the mail.

Prompt to send a read receipt: Select this option if the recipient of the mail has to be prompted before sending a notification.

  2. Click Apply to save changes and continue.

Views

The user is provided with a facility to configure views for the modules in Wrench.

To configure a view

  1. Click the Configure button corresponding to Views.

Figure: View Settings

  2. View Settings dialog box is displayed. User can define Workspace Views, WBS Views, Document Search Views and Explorer Views for the modules available in Wrench.

The View settings defined in the control panel are assigned here by default. The user may set views of his choice here.

Start Up

You can set the first window to be displayed in Wrench after he logs in.

Password for User

Here you can reset your login password and stamp password.

  1. Click Reset Password to reset your login password.
  2. Change Password window is displayed.

Figure: Change Password window

  3. Enter your Existing password, New password and Confirm the new password.
  4. Click OK.

Also password for inserting stamp can also be managed here

  1. Click Reset Stamp Password
  2. Change Password window is displayed. You can follow the same steps as followed for resetting your login password.

NOTE: Login Password and Stamp Password need not to be the same since they are not related.

Cache

Local cache holds the temporary data for speeding up the execution of your commands. This contains data in master modules, list of recently opened items etc. User may clear the cache.

Notifications

The user can configure settings for the WIND alert service here.

To configure a notification

  1. Click Configure button corresponding to Notifications

Figure: Notifications window

  2. Click Get Mails to download mails available in the mail server. An automatic 'Get Mail' can be scheduled for a specific time interval.
  3. In order to activate WIND in your system, enable the check box corresponding to Enable WIND Alert Service. The user can also set a time interval for automatic notification check (The option to configure WIND is only available if additional component WIND is installed.)
  4. On enabling WIND, a login screen is displayed.
  5. Provide a user name and password.
  6. On successful login WIND service appear as minimized in the system tray.

Wrench Interactive Notification Device (WIND)

WIND is a system tray application that alerts the users about the newly arrived Mails in their Inbox. WIND checks the users' Inbox for new mails and a notification is issued even if the user is not logged in to Wrench. The following main actions are performed by WIND.

  • A pop-up when the user receives a new mail.
  • A pop-up when a new upgrade is available.
  1. Double-click the pop-up to login to Wrench and access the Mail window. The new mail is highlighted in the mail window.
  2. Clicking Go To Object will redirect the user to corresponding object in workspace

NOTE: This option is available only if the user have opted for the WIND Component during Wrench Installation. WIND Upgrades(if any) will be available along with the Wrench Upgrade.

Wrench Drive

Using this option the universal drive letter can be mapped to the shared path of the wrench server’s that is currently active . This is possible only for a user with windows login enabled in Wrench. This means user who has logged in should have a windows domain login name configured in Wrench.

To map the drive letter click the Configure button.


Glossary

Glossary

  1. Ageing Days - Client or consultants will have defined the number of days for reviewing a document. This period can be defined as 'Ageing Days' of the project.
  2. Alternate Elements - Alternate elements refer to certain constituents of a product that could be substituted with other element without affecting the performance or output of the product. For e.g., Tyre's of a car.
  3. Approval Requirement Code (ARC) - Approval Requirement Code is the level of approval or purpose (for information, for approval, for review etc) for which the document is being submitted to the client.
  4. Approval Status Code (ASC) - Approval Status Code defines the customer's response (like Approved with Comments, Approved for construction, Rejected etc) on a document that has been sent for customer approval.
  5. Bill Of Material (BOM) - A Bill Of Material is an additional information about a Part, which gives details about the assembly of a Part. Or in other words, BOM refers to the list (bill) of items or Parts (material) that constitutes an assembly.
  6. Budgeted Cost – The Budgeted Cost is the anticipated cost for a particular task.
  7. Budgeted Duration (Threshold) – The total man-hours set for a particular resource in the project.
  8. Budgeted Duration (Planned) – The man-hours planned for a particular resource for the completing tasks assigned.
  9. Client Document Number - The unique number specified by the client for a particular Document Number-Sheet Number combination.
  10. Change Note (CN) - Change Note is the procedure of adding a note to a completed task indicating the minor changes which need to be incorporated to the main document.
  11. Constraint Dates - In a typical engineering environment, project manager creates a set of summary tasks and define certain restricted start or finish dates for each of them. These dates are constraint dates.
  12. Custom BOM - Custom BOM essentially refers to the manufacturing BOM which is created from standard BOM after opting the required number of optional and alternatives. The term Custom implies that the standard BOM is customized to suit a specific requirement.
  13. Custom Characteristics - Each object in wrench such as Documents, Schedules etc. may have a number of characteristics associated with it. In typical situations the parameters available in Wrench ENT may not be sufficient to capture basic information of the project. In such cases additional characteristics are defined on the project types, called Custom Characteristics.
  14. Change Request (CR) - Change Request is the process to revise the entire document (i.e. completed documents or documents attached to a completed task) in case of very relevant changes.
  15. Customer Weightage - The weightage factor of the task highlights how important this task is from the customer's point of view. For Example: User may enter a value 90 for a high priority Task.
  16. Dash Board - A dashboard is a user interface that somewhat resembling an automobile's dashboard, organizes and presents information in a way that is easy to read.
  17. Designation – The designation of a resource in the organization
  18. Document - The term document refers to the specific item, which provide with all specific information regarding a project. In an organization, major portion of the documents includes drawings, correspondences and emails.
  19. Document Part - Parts that have certain design documents, testing documents or inspection reports associated with them are known as document parts. For e.g.: Any parts that are designed and manufactured or procured.
  20. Earned Value - Earned Value shows the budgeted cost of completed work at any given point in a project. In other words, it is the value of the useful work done as of the current date.
  21. First Anticipated Code - If the client does not respond after reviewing the document before the ageing days mentioned, then in order to prevent the work getting held up the First Anticipated code is taken up as the response (Approval Status Code) for the submitted documents.
  22. Genealogy - Genealogy is an orderly arrangement of documents, projects, tasks or parts.
  23. Internal Status Codes - Internal status code are user's response on a document that has been sent to an external agency. Internal Status Codes are maintained by the system for internal purposes. For e.g., Purchase activities.
  24. Item Category - Item category is used to group the items in a BOM under different available categories.
  25. Item Number - Item Number refers to a unique serial number for the child Parts added for the creation of a particular BOM.
  26. Life Cycle Status - According to engineering process followed by different industrial verticals, a document after release will go through an entire life cycle where it is referenced by customer, vendors, etc. A Released Document will have its revision updated for every revision imbibed by it. So Life cycle status helps the users to pinpoint on what phase of the life cycle the Document is at any given time.
  27. Material BOM - Material BOM is a BOM created for a specific purpose like fulfilling an order line item etc.
  28. Meeting Boards - Before a project is commenced, an expert committee is constituted to take various crucial decisions related to the project. These decision making committees are termed as Meeting Boards. This committee mainly consists of the high level decision makers in an organization.
  29. Milestone – A Milestone is the end of a stage that marks the completion of work or phase. Milestones are frequently used to monitor progress and are necessary for the timely completion of the project.
  30. Milestone Task - Tasks that marks completion of a major phase of project can be marked as ‘Milestone Task’, so that the task gets due attention when looking at WBS.
  31. Minutes Of Meeting (MOM) – MOM is a written record of the highlights of the meeting. It is used to record the meeting details, discussion points, decisions taken during the meeting, actions to be taken and general information. Minutes of Meeting can be either a consolidation of the outputs of the meeting or a detailed one with the discussions held or its outputs.
  32. Non Document Part - Parts which do not require any design documents are known as non-document parts. Non-document parts are globally accepted with their standard names. For e.g.: All standard components like M19 bolts, etc.
  33. Notification – Notifications are automatically generated mails notifying the occurrence of an event.
  34. Optional Elements - These are the elements are optional and could be avoided without affecting the performance or output of the product. For e.g., Seat cover of a car.
  35. Part - Part could be defined as a physical item or information which can be manufactured or procured from a vendor as “Components”, “Subassemblies” or “Assemblies” or even as a finished product, which is identified by a unique number.
  36. Personal Folder – The folders created by the users for organizing data in a better way.
  37. Pivot Report - Pivot reports provide a rapid way to summarize your data, enabling you to go into the detail to reach a meaningful interpretation of your query results. Data summarization is achieved by a simple drag-and-drop operation.
  38. Planned Value - Planned Value shows the budgeted cost of scheduled work as of the current date. In other words it is the planned cost of work that should have been achieved according to the project baseline dates.
  39. Position - Each of the resources in a project may be assuming different designation, called as his Position in the project.
  40. Project - A project is a work or an activity that is planned to be completed within a specific time period and on its successful completion achieves a particular aim.
  41. Project Archival - Project Archival facility helps transferring of the entire project data which is of relevance to the customer to a digital storage device.
  42. Resource Pool – The Project team is formed by picking users from different user groups, termed as Resource Pool of the project.
  43. Internal Revision Number - Internal Revision Numbers are maintained to indicate the number of times a released document is revised or edited.
  44. Roles - Resources may represent only selected user groups in a project, called his Roles in the project.
  45. Rule of Credit - The important milestone stages related to the progress in the tasks (deliverables) in the project.
  46. Scheduled Performance Index (SPI) - This is the ratio of work accomplished versus work planned, for a specified time period. The SPI describes what portion of the planned schedule was actually accomplished.
  47. Schedule Variance (SV) - Schedule Variance is the difference between what was planned to be completed (Earned Value) and what has actually been completed (Planned Value) as of the current date.
  48. Sheet Size - Sheet Size defines a list of paper sizes that documents can be made in.
  49. Specter file - Specter or shadow files are the PDF files which are stored with the native files. Also it can be defined that users can only view the specter files, so that editing and copying is not possible.
  50. Squad Check – During a squad-check procedure, inter-departmental review is carried out in which certain vital Documents are reviewed and commented upon by the concerned departments.
  51. Standard BOM - Standard BOMs are the BOMs which include a comprehensive list of all the Standard, Alternate and Optional elements which could be used for manufacturing a specific product. Standard BOM is a BOM which is created using all the possible options like substitute Parts and optional Parts.
  52. Standard Elements - Standard elements refer to the elementary constituents of a product without which it cannot be manufactured or procured. For e.g., Engine of a car.
  53. System - Systems are the standard bought out equipment that is identified as deliverables of a project. Systems are bought to specifically manufacture a Part.
  54. Task - A task is an assigned piece of work often to be finished within a certain time.
  55. Task Access Resources - Task access resources are only the resources that are able to edit the WBS.
  56. Task Resources: Task resources are resources readily available for a task selected from various departments in the organization.
  57. Task Revision Number – Task Revision numbers are the revision numbers that are maintained to indicate the number of times a task is revised.
  58. Templates – A standard format can be created for certain documents and these formats can be used accordingly while adding new documents. These standard formats are referred to as templates.
  59. Time sheet - Time Sheet helps in the accurate assessment of the time required for each task in a project by a particular resource. Here, the resources can log in the actual time taken to complete their assigned tasks as well as submit their tasks for approval.
  60. Transmittal - Transmittals are face sheets generated during release of a Document. In an engineering process before any Document is released for approval internally, to customers or to any External Agency, the Documents are attached to the Transmittal and sent, so that this information can be retained for future reference.
  61. User Groups – Users are the employees in an organization and their functional roles in the organization are termed as User Groups.
  62. Revision Number - Revision numbers that are maintained by the customer in their organization to indicate the number of times a document is revised. In other words, revision number is used mainly to manage the client revisions.
  63. Utilities - Utilities assists the user in performing project related activities more swiftly and easily. Some of the Utilities available in Wrench are Timesheet, Transmittal, MOM, Custom Reports, Dashboards, etc.
  64. Variable Item - If a Part has to be made from a raw material, then the raw material would appear as an item in the BOM and would be referred as Variable Item.
  65. Vendor Document Number - The unique number specified by the vendor for a particular Document Number-Sheet Number combination.
  66. Version Number – Version numbers are maintained to indicate the number of times a work in progress document is edited. Each time when a work in progress document (file) is edited, wrench retains the old copy and creates a new version of the document. Each file stored is called a version.
  67. Work Breakdown Structure (WBS) – A Work Breakdown Structure (WBS) is an integral part of project management where a task list is created by breaking the main task to smaller and manageable sub-tasks.
  68. Workflow - A workflow is a series of works assigned sequentially from user to user. The documents in an organization can flow through different stages before it is released. This flow of the documents through different stages before the work is completed is called workflow.
  69. Workspace - Workspace is a job organizer. This facility organizes entire work that has been allotted to a person so that user may just look at their workspace to have a comprehensive assessment of volume of work.
  70. X-refs - A drawing file referenced by another drawing is called an External file or Xref


Frequently Asked Questions

Frequently asked questions, or FAQ's are listed questions and answers, all supposed to be frequently asked in some context, and pertaining to a particular topic while working with modules in Wrench. At present FAQ's are available for the following modules.

Project

Documents

Workspace

Change Management

Transmittal

WBS

Sending operations

Custom Reports

Utilities

The number of modules and questions will be supplemented frequently which will help in overcoming the difficulties you face while working with Wrench.


Projects

Frequently Asked Questions

  1. How do I create a new project?

Procedure:

  1. From Wrench Desktop, select Projects icon.
  2. Select a genealogy in which you wish to include this Project.
  3. Right-Click and from the ensuing menu, select New. A sub menu is displayed.
  4. You can choose the option Project as in the following figure.

Figure: New Project

  5. New Project window is displayed
  6. Under Project Details you can provide the information on the new project.
  7. You can also mention about the type of Project under Project Type.

Figure: New Project

  8. On providing the project details, you can click Save and the new project is successfully created.
  9. Select Ok; a new window with the detailed project properties as in the following figure is displayed

Figure: Detailed Project Window

In the new project window you can provide detailed information about the project.

For detailed information on Project creation refer Creating a Project.

  2. I am not able to create project. The following message is displayed.

Solution:

To work in Wrench, you need appropriate security rights in various modules. You are restricted from creating a new project because you don’t have appropriate security rights.

NOTE: Only an Administrator or a user in Admin group is permitted to assign security rights in Wrench. Therefore you may contact your administrator if you are restricted from creating a project.

To enable you to create project the administrator needs to enable the Create right in the project genealogy. Once you are assigned with this right, you will be permitted to create a Project.

  3. How do I generate my Project Number automatically?

Solution:

Yes the Project ID can be auto generated. This setting is defined by the Administrator or by a user in the Admin group.

To auto generate the Project ID:

  1. Right Click Enquiry/Project Folder and select Properties.

Figure: Enquiry / Project Folder

  2. The Properties window is displayed. Select the Default Properties tab.

Figure: Properties window

  3. You can select the check box against Use Automatic Numbering for Projects.
  4. You can click Apply to save the changes and select OK.
  5. Once this option is enabled while saving a newly created project Generate Number window is displayed as shown in the following figure.
  6. Select the numbering template defined for the project.

Figure: Numbering Template

The generated number is displayed in the Project ID field as shown in the following figure.

Figure: Project ID

  4. Where do I assign the revision series for the entire document associated with this project?

Procedure:

  1. Click Projects/Enquiry Icon in Wrench navigation bar. From the list of genealogies listed in the navigation bar select the genealogy under which you have created your project. Projects grouped under the selected genealogy are displayed.
  2. Select your project and double-click. Project properties window is displayed. You may select the General Tab as shown in the following figure.

Figure: General Tab

  5. Here you can define a revision series.
  6. In order to define revision series click the Browse Button provided against Revision series.
  7. On clicking the browse button Revision Series List window is displayed as in the following figure.

Figure: Revision Series List

  8. Entire revision series defined for a project are listed in the Revision Series List.
  9. To choose a revision series click an entry. Click Select to confirm your choice. A revision series can also be selected by double-clicking an entry in the Revision Series List. The selected revision series is displayed in the space provided in the general tab.
  10. On the project properties window tool bar select Save. Selected revision series is successfully saved to your project.

Figure: Task Bar

  5. How do I define common properties for multiple projects under a Genealogy?

Sometimes you may need to define common properties for projects which are similar. To define characteristics

  1. Click Wrench Button and select Genealogy. Genealogy window is displayed and the different genealogies available are listed in the window.
  2. Select Project/Enquiry and choose the genealogy under which you have created your project.
  3. Right-Click the selected genealogy and from the ensuing menu you can select Properties as in the following figure.

Figure: Genealogy Properties

  4. Properties window is displayed where you can define common properties for that genealogy. The properties defined here are inherited by the projects grouped under this genealogy.

Figure: Default Properties

  6. How do I set a project as default project?

Most of the operation in Wrench Enterprise is with reference to a Project. This means it is important to identify the Project while working in Wrench. You may keep a Project "As Default" so that all downstream operations will assume the Project as reference.

Procedure:

Open the project which is to be set as the default project. In the Project properties window toolbar select Set as Default. Once a project is set as default title bar of Wrench Enterprise will display the name of the default project.

Now while sending transmittals you need not select a project number. The default project number is assigned to that transmittal.

  7. How can I complete a Project?

Completion is the closure of the Project after all the tasks are completed. This declares that all activities in the Project are completed.

Procedure:

  1. Open the project which you need to close.
  2. Select Complete button in the taskbar to update this Project status as in the following figure or select Complete under Project Options in the navigation bar to complete the project. On completing a project, percentage updation field is automatically updated as hundred.

Figure: Complete Project

NOTE: To complete the project, you must complete all the tasks (Progress percentage below hundred) associated with that project. The respective WBS has to be completed. If a WBS is not available for the project then the percentage completion filed on the project module is updated by the user with appropriate rights in the Project Module by specifying a value of hundred.


Documents

Frequently Asked Questions

  1. How to get a Document from Wrench so that I can edit it?

  1. From Wrench Desktop, click Workspace.
  2. The Workspace window is displayed.
  3. Click Documents or Tasks icon in the Workspace.
  4. Select the Task or Deliverable from the list and right-click on it.

Figure: Workspace

3. Click Check out from the ensuing menu.

4. The Check out Manager window will be displayed.( For Tasks, Documents attached to the task will be checked out)

Figure: Checkout manager

5. You can define the Default Check Out path and specify a comment for editing.

NOTE

  1. Once checked out, the Document is copied to the location specified in Checkout manager window as in the above mentioned figure and in most scenarios it will be opened in the native application so that you can start editing it.
  2. You can also perform Bulk Check out.

6. Select Multiple Documents or Tasks and click Check out to avail the Multiple Check Out Manager.

Figure: Multiple Checkout Manager

7. Document can also be checked out for editing from the Document Search. You should be the current stage resource and should have rights in the particular Genealogy to perform this operation.

  2. How do I put back the updated Document to Wrench?

Once a Document is checked out for editing, the updated document should to be checked in to Wrench.

Procedure:

You can check-in the document from the below mentioned modules.

  • In Projects from the Documents Tab
  • In Tasks from Related Items Tab
  • In Document Search
  • In Genealogy
  • In Workspace which is shown in the figure

To check in the document from Workspace

  1. From the Wrench Desktop click Workspace in the left pane
  2. The Workspace window is displayed.
  3. Select the checked out document form Documents or My documents or Tasks.
  4. Right-click the Checked-out document and from the ensuing menu click Check In

Figure: Check-In from Workspace

NOTE: Only a Checked-Out document can be Checked-In

5. The Check-in Manager window is be displayed as in the below figure.

Figure: Check-in Manager

Wrench provide you with the facility to Check In all the Documents Checked out by you. This saves the time in Checking in single documents.

To initiate a Bulk Check In

  1. From the Workspace select Group Check-In.
  2. List of all Documents checked out currently by you is displayed.
  3. You can select the Documents which are to be checked in.
  4. Click OK to confirm selection.
  5. The selected documents are checked in.

  3. How do I Replace Documents Linked to tasks?

  1. Select Workspace from Wrench Desktop.
  2. The Workspace window is displayed.
  3. Click Tasks in the Workspace window.
  4. Select the required Task from the list.
  5. Click on Replace from the ensuing menu.
  6. The Replace Manager window is displayed as in the following figure.

Figure: Replace Manager

7. Specify the Replace path and click OK.

See Also: For Details on Replace of document from Document Search refer Document Search. For Details on Replace of Multiple Documents refer Bulk Replace Files

  4. Where is my Document right now?

Document Search is a facility where you can access Documents maintained by the system. Wrench Enterprise hosts an exclusive search mechanism to avail access to Documents.

  1. From Wrench Desktop select Search in the Navigation Bar.
  2. Click the Document Search from the Search options

Figure: Document Search

  3. You can type in the characteristics of the document you are looking for. The more number of characteristics you define, precise will be the search operation.
  4. Identify and select the document from the search results displayed in the result grid.
  5. Right-Click the required document and Select Show Details from the ensuing menu to avail the Document Details window.
  6. Click Show Workflow to identify who is working on the document.
  7. If the document is assigned a Workflow, it will be shown. But if Task to which the document is attached has a Workflow the following message box is shown.

Figure: Message Box

  8. Click Yes. The Send window will be displayed
  9. Select the current stage and the respective stage users in the Send window.

  5. How to Revise or Edit a Document which was already completed and sent to client?

  1. From Wrench Desktop select Search in the navigation Bar.
  2. Click the Document Search from the Search options.
  3. The Document Search window is displayed.
  4. You can search criteria and perform search. The required document is displayed in the result grid.
  5. Double click the Document to avail the Document Details window.
  6. Click Fast Track Revision on the left pane of Document Details window as shown below.

Figure: Document Details

7. A message window will pop up as in the following figure.

Figure: Message Box

8. Select Yes and a Change Request will be automatically created as shown in the following window.

Figure: CR Request

9. You may fill in the details and click OK and the document is revised automatically.

  6. How to add attachments to a document?

The "Attachments" tab shows details about the attached/ associated other Documents that has relationship with the selected main Document.

Procedure:

  1. Select a document from

a. Genealogy

b. Project

c. Task

d. Document Search

e. Workspace

  2. Right-click on the Document to which you need to add attachments and then click Show Details from the ensuing menu as in the following figure.

Figure: Document Operations

The Document Details window is displayed as in the following figure.

  3. Select Attachments tab from the Documents Details window as in the following figure.

Figure: Document Details

The following association types are displayed in the window.

  • Specter
  • Related Files
  • Comments
  • Client Comments
  • Markups
  • Squad Check Comments
  4. Right-click on the respective option and from the ensuing window, click Add.

Figure: Document Attachment

  5. File selection window is displayed. Select the file you want to add and click OK to continue.
  6. Add Associated Document window is displayed. Browse the location of the attachment to be added by clicking on the browse button against Select a File from Your Hard Disk.

Figure: Add Associated Document

  7. Enter the purpose of association and description of the associated file which is added as an attachment to the original document.
  8. Click OK and the attachment gets successfully added to the original document.

NOTE:

  1. You can view, remove and copy the attachments associated with the document.
  2. You can also add attachments from Workspace, Document Search. You can right click on the document to which you need to add attachments. From the right click menu select Attachments and Document Details option is displayed with the Attachments tab opened.
  3. To add attachments to the document you should have Add Attachments/Comments/Markups right for that genealogy.

  7. How to replicate documents within Satellite Servers?

Wrench ENT enables an easy method for replicating documents within Servers. Wrench-ENT ensures that all users from any location access only the latest version of the replicated file.

Replication can be done for project dependent and independent documents

Procedure:

For Project Independent Documents

  1. Click Search from Wrench Desktop in the left pane.
  2. Click Document Search from Search and the Document Search window is displayed.
  3. Search and right-click the document to be replicated.
  4. In the right click menu click Replication Request. Post Replication Request window is displayed.
  5. In the Post Replication Request window, you may select the server to which you need to replicate the file.
  6. Click Ok
  7. The selected document are successfully replicated.

For Project Dependent Documents

  1. Click the Project and select the General Tab.

Figure: Project- General Tab

  2. Select the satellite server from the option Assign Satellite Servers for Replication.
  3. All the project related documents will be automatically replicated to the specified satellite server.

NOTE : Replication status can be checked form document details as shown in the following figure. Each time the document is edited or updated it will get replicated.

Figure: Replication Status

  8. How to handle Document Template mapping in Wrench

You may need a standard pattern or templates for some documents inorder to work on. You can create these Templates from the Template master. You can use these standard templates while adding a new document.

Procedure:

  1. Select Control Panel from the Wrench Button.
  2. The Control Panel window is displayed.
  3. In the Control Panel under Masters select Documents.

Figure: Control Panel

  4. From Documents, click Document Template Masters.

Add a New Document Template

  1. Click New on the tool bar to add a new template.
  2. Template Masters Entry dialog box is displayed.

Figure: Template Masters Entry

  3. Specify the Name of the Template in Template Name.

  4. Browse the Document genealogy to which you need to assign the document template.

If the Project Dependent check box is selected, Select Projects button is enabled.

  1. Click Select Projects button

Project Search window is displayed

  2. Select from the list of projects.

If Save Template without Physical File check box is selected the buttons associated with Select File from Hard Disk is disabled. Or else you can select a file stored in a specific path.

The selected file name and path is displayed in the File Name field.

  1. Click Remove button to clear the selected file.
  2. Click Ok to save selections.

Template is successfully added in the grid.

  3. On successfully adding the document template , click Option from the Document Template Master and select Details to map the characteristic values ( Refer Template Characteristic Map details).

Figure: Document options

Figure: Document Template

Document Template can be assigned for project dependent and independent documents.

To assign document template to a project

  1. From Wrench Desktop select Project Icon and double-click.
  2. Select Template tab.
  3. Click Add and the Template Master window is displayed.
  4. Select the Document Template
  5. Add documents from Documents Tab in Projects or WBS. (Refer Creating and Adding a Single Document).
  6. In the Add Documents Window, click Template tab.

Figure: Templates- Add Documents

  7. Select the required document template on which you need to work and click OK.
  8. Automatically a new document with the defined template is successfully added.

Project Independent

  1. In Document Template Master click New .
  2. Template Mater Entry window is displayed.
  3. For more Information on Adding a new document template please refer Add a New Document Template

The document template is successfully added in the Masters.

  4. Select Wrench Desktop and double click on the Project Icon.
  5. Select Documents Tab to Add a new document.
  6. Right-Click on the grid.
  7. From the menu select Add and from the ensuing menu select the appropriate option.

NOTE: You can add project dependent documents from Documents Tab in Project and from Related Item in the Task of the respective Project.

  8. In the Add Document Window, select the template, fill in the required details and click Ok.
  9. A new document in the required document template is successfully added.

See Also: Document Template Master for more details on how to add document template in to master.

  9. How can I add multiple documents simultaneously?

  1. From Wrench Desktop, click Documents Icon.
  2. Select a Genealogy were you wish to add the documents

Figure: Add Multiple Documents

  3. Click Add, and from the ensuing window click Multiple Documents.
  4. Click Select Files to select the documents to be added.

Figure. Add Multiple Documents

  5. The selected documents are listed in the grid.
  6. To assign document properties select the entire documents in the grid.
  7. Select Document properties to specify Document number, description etc.

NOTE: If the mandatory fields are not filled in error message will be displayed in the comments.

Figure: Comments

NOTE: You can assign characteristics for multiple documents. Inorder to select multiple documents press cntrl key and click on the required documents.

  1. In the document properties window click the hyperlink Numbering options for selecting the numbering format for the selected documents.

Figure: Numbering Options

  10. How can I add my mails or correspondences to a specific location Wrench

Step-by-Step process to add a correspondence document to Wrench is explained in the following sections.

NOTE: While performing these steps, please ensure that you are using Correspondence Genealogy which has been configured in Wrench.

Steps 1: Select any Correspondence Genealogy in Wrench.

Step 2: Right click on the desktop and in the right-click menu select AddàSingle Document. In addition, you can also drag the mail from outlook to the Wrench window instead of doing the above step.

Step 3: On selecting Single Document, “Add Document” window is displayed. Click on the ‘Browse’ button to browser the email message from your system.

STEP 4: After browsing the file, fill the document details in Document Properties area and click on OK button to save the correspondence document to Wrench.

You can also drag a mail to Drag and Drop file/folder box in the document addition window as illustrated in the following figure

NOTE: If you drag and drop a mail to Wrench, there is no need to use the “Browse” button on the ‘Add Document’ window.

Step 5: In the Document Property area, you can fill the Correspondence details which will assist you in generating reports based on the Correspondence Details.

The Correspondence Details contains below details to be filled.

Figure: Correspondence details

  11. How do I view the chain of correspondences that has taken place

To view the trail of your correspondence

  1. Select the correspondence from the desktop and in the right-click menu select Show Details

  2. Document Details window is displayed
  3. In the document details window select Usage Information tab

Figure: Document Details window - Usage Information

You can view the trail of information here

  12. How can I update document properties for multiple documents

Document properties can be updated for a set of documents together. The documents need to be in the same workflow stage for a successful completion of this operation.

The following section explains different ways of updating document properties for multiple documents. You can update the document details from the workspace and from the document search window.

Updating document properties from the document search window

STEP 1: Opening the document search window

  1. In the Wrench desktop select Document Search

  2. Document Search window is displayed
  3. Search and retrieve the documents for which you need to update the document properties

  4. Select the documents and right-click
  5. In the right-click menu, select Update Document Details
  6. Edit Multiple Documents window is displayed

The Edit Multiple Documents window consists of a navigation bar and a tool bar. In the navigation bar the following options are available.

Document Options

Here you can perform the following document related operations

Add More Documents

Select this option to add more files to the existing list. On clicking add more documents document search window is displayed. You can perform a search and select the required documents.

Basic Document properties

You can modify the basic document properties assigned to the document.

  1. On clicking this option “Document General properties" window is displayed.

  2. You can update basic document details here.

Correspondence Properties

Select this option to update the correspondence properties if the documents selected are correspondence documents.

In addition to the basic properties for an Incoming Correspondence the following details can be updated

  • Reply Required: User can enable the check box against this option if a reply is required for the correspondence
  • Expected Reply Date
  • To be Replied By
  • Letter Date
  • Receipt Date

For an Outgoing Correspondence the following details can be updated

  • Reply Required: User can enable the check box against this option if a reply is required for the correspondence
  • Received Back Date
  • Reply to be Received by
  • Reply Expected from
  • Letter Date
  • Issue Date

Approval Status Details

On clicking this option "Update Approval Status Code" window is displayed. User with "Update Approval Status Code" permission in the document genealogy can update the details irrespective of the status of the document. In order to update the approval status code details of a Work In Progress document, the user has to be in the current stage of the work flow. Bulk update of approval status code can be performed only on documents with the same genealogy.

Updating the changes to Wrench

Once the document properties are updated, the next step is updating the documents to Wrench.

To update the selected document to Wrench

  1. In the tool bar select Update.

  13. How can I search and retrieve multiple documents and add squad check comments to them

  1. In the Wrench desktop navigation bar select “Document Search” .

  2. In the Document Search window, search the documents to which you need to add the Squad Check Comments. Select the documents and right click.

Figure: Searching for documents

  3. In the right-click menu select “Attachments” and select “Squad Check Comments”
  4. Bulk Attach Squad Check Files window is displayed.

Figure: Bulk Attach Squad Check Files window

  1. All the documents that you have selected will be listed here. You can choose a file and attach them to these documents as squad check comment.
  2. You can add Squad Check files using the following options
  1. Attach Single Files to all.
  2. Match File Name.
  3. Match Document Number.
  4. Match Client Document Number.

Figure: Matching options

Different methods of adding squad check comments are explained in the following sections

1: Attach Single Files to All.

This option is used to add a single squad check file to entire deliverables in the selected list.

When you select this option, the “Select File” button will be activated and you can select the corresponding file using this option.

To attach a single file

  1. In the tool bar choose Select File. File selection window is displayed

Figure: File selection window

  2. After selecting the document, click the “Save” button as shown below to attach the squad check document to all the selected deliverables.

To attach separate squad check files to each deliverable

You can also add separate Squad Check files to each deliverable’s by clicking on the browse button against each deliverable list.

  1. Click the browse button against the selected deliverable

Figure: Adding separate squad check file

  2. File Selection window is displayed

  3. Select the squad check comment file
  4. Click Save to complete the selection

2: Match File Name.
This option is used to attach multiple Squad Check Comment files in bulk to corresponding deliverable selected.

For this option to function the Squad Check comment document file name and the deliverable file name need to be the same.

For Example: If the squad check comment document name is 705-3019534, then the deliverable document file name also need to be 705-3019534.

If this condition is satisfied, system automatically fetches the squad check comment document from the folder in which it is located. The squad check comment file fetched is attached to the document deliverable as Squad Check Comment file.

  1. You need to store the squad check documents in a single folder and then select this folder by clicking on the button “Select Folder” in the window as shown below.

  2. On clicking ‘Select Folder”, a new folder selection window is displayed and you can select a folder which contain the document.

  3. Select the folder that contains the files that matches the linked document in Deliverable and click “Save” button to add the files to Wrench.

3 : Match Document Number.

This is similar to ‘Matching File Name’ option.

For this option to function the Squad Check comment document file name and the deliverable document number need to be the same.

If squad check comments file name and deliverable document number matches, system automatically fetches the squad check comment document from the folder in which it is located. The squad check comment file fetched is attached to the document deliverable as Squad Check Comment file

To add squad check comment file

  1. In the Bulk Attach Squad Check Files window tool bar, select Match Document Number.

  2. Click Select Folder
  3. Browse For Folder window is displayed. Select the folder which contains the squad check comment files and click Ok.
  2. If the folder contains files with document number that matches the squad check comment file name, those files are fetched by the system. The fetched files are displayed in the grid.
  3. In the Bulk Attach Squad Check Files window tool bar select Save to attach the comment files to the deliverable

4: Match Client Document Number.

For this option to function the Squad Check comment document file name and the client document number of the deliverable need to be the same.

To add squad check comment files

  1. In the squad check comments tool bar select Match Client Document Number

  2. Click Select Folder. Browse for Folder window is displayed
  3. Select the files which contain the squad check comment files and click OK
  4. If the folder contains files with client document number that matches the squad check comment file name, those files are fetched by the system. The fetched files are displayed in the grid.
  5. In the Bulk Attach Squad Check Files window tool bar select Save to attach the squad comment files to the deliverable

  14. I need to retrieve documents related to a specific project. The entire set of documents are available in Wrench. How can i search and retrieve the documents quickly.

Wrench provides you with a robust search mechanism using which you can retrieve your drawings and documents without much effort.

Opening the Document Search window

  1. In the Wrench desktop navigation bar select Document Search

  3. Document Search window is displayed

Searching by Project ID

  1. Enter the Project ID or Click the browse button to select your project from a list

  2. If you click the browse button next to Project ID the following window is displayed.

  3. You can choose a project from the list and click Select on the toolbar
  4. In the toolbar select Search

  5. The search results displays the documents related to this Project ID

  6. To view a document, you can select a document and from the right-click menu select View.

  15. I have searched and retrieved a set of documents. Now I need to group these documents based on their Internal Status Codes. Is this possible in Wrench?

  1. Select the check box next to Show document search results in customizable view
  2. Drag the column Internal Approval Status Code as illustrated in the following figure

  3. The documents will be grouped according to Internal Approval Codes as shown in the following figure


Workspace

Frequently Asked Questions

  1. How do I add Documents to Tasks in Workspace?

To add documents to tasks in your workspace first step is to open your workspace. You can open the workspace by selecting Workspace from the desktop navigation bar. Workspace window is displayed.

Figure: Workspace

To add Documents to Tasks in Workspace:

  1. On the workspace initial window select Tasks. List of tasks assigned to the user is displayed.
  2. Right-click the Task and from the right-click menu select Add Related Items. Related items to Task window is displayed as in the following figure.

Figure: Related Item to Task

  3. In the Related items to Task window

(i) Select the Object type as Document.

(ii) Specify the Relation as Link or Refer based on the requirement.

(iii) Specify the Mode as New or Existing in Wrench

(iv) Specify a Weightage

  4. Choose Select after specifying the required details. Add Document window is displayed where you can provide the appropriate details. For more information on adding documents refer Documents>>Creating and Adding Documents

  2. How to Send a Document from one stage to the other?

You may send a document from your Workspace after completing the work assigned to you.

To send a Document:

  1. Select Documents icon in the Workspace. List of entire Documents assigned to you will be displayed.

Figure: Workspace- Documents

  2. Right-click the Document and from the right-click menu select Send.
  3. Send window is displayed as in the following figure.

Figure: Send window

  4. Select the Send tab.
  5. You can select the Next Stage options and a Workflow preview window is displayed where you can view to whom you are sending the document.
  6. Under the Response option you can reject, pass on to the next stage or even ask for more information on the document. To move to next stage select OK and to go to previous stage click REJECTED.
  7. After selecting the response select Send.

Multiple Documents can be routed simultaneously. Select multiple Documents in your workspace and select the Send option to avail the Send window. To perform a bulk sending the you may need to be in the active stage of the workflow.

For more details regarding the routing operations refer Workspace>> Sending Objects in Workspace .

  3. Can I update of Approval Status Codes of multiple documents from my Workspace?

Wrench facilitates users to update Approval Status Codes for single and multiple Documents. When the Document/Document Task has reached the ‘Release’ stage, you can Bulk Update Approval Status Codes from the workspace. The user in the release stage can update the Approval Status Codes for multiple files from Workspace/Search/Transmittal module.

NOTE: You can perform this function only if the selected document is in the release stage and you are the current stage user.

    1. Select multiple documents from Workspace. Right-Click the selected documents and from the right-click menu select Update Approval Status Code.
    2. Customer Workspace window is displayed.

Figure Customer Workspace

    3. Click the ellipse button next to Approval Status Code (internal) to avail the Approval Status Code window. Select the required Approval Status Code (Internal). System will display the Approval Status Code(Client) and Approval Status Description corresponding to the selected Approval Status Code.
    4. You can also fill the Client Reference field and select the Revision Required field if needed.
    5. You can browse and add the required comment files .

NOTE: To select a document in the Customer Workspace window select the checkbox next to the document. To select entire files in Customer Workspace, select the checkbox next to Select All.

    6. Select Save. Approval Status of multiple document are updated successfully.

  4. My workspace is looking cluttered. How can I remove unnecessary columns?

You can rearrange you workspace with the columns you need.

To rearrange your workspace columns:

  1. From the Workspace toolbar, click Views.
  2. From the ensuing menu, select the options Choose Columns.
  3. On clicking Choose Columns a new window Customization is opened.
  4. You can drag and drop unused columns from workspace grid into Customization window.
  5. On closing the Customization window you can view the workspace with the columns which you require.

  5. I routed a task in transmittal stage by mistake. It has gone from my workspace but is not available in sent items.

The task may not be available in your sent items because of the following reasons.

  1. A transmittal may have not been released.
  2. The next stage may be release stage.

To confirm the cause for this error select your outbox in the workspace. Select the task and check the entry in the corresponding Message column. You can find a warning message "Failed to Send Object. Release Transmittal then send" displayed here.

Figure: Workspace - Outbox

Now to solve this problem navigate to the transmittal module and create a release transmittal for this document. For more information on creating transmittal refer Transmittal>> Creating a Transmittal . Once the transmittal is created and released open your workspace and check for the task in the Sent Items folder. If the task is still not available in your sent items folder perform a refresh operation. The task will be available in your sent items folder now.

  6. How can I attach specter files to multiple documents?

You can attach specter files to multiple documents from your workspace.

Specter files can be added to:

  1. Tasks in workspace
  2. Documents in Workspace
  3. Documents in My Documents tab in Workspace

To bulk attach specter files:

      1. Select the multiple documents and right-click
      2. From the right-click menu select Specter File(s)
      3. Bulk Attach Specter Files window is displayed as in the following figure

Figure: Bulk Attach Specter Files

      4. Select the required "Matching option" namely, Match filename, Match document number andMatch Client Document Number.
      5. Click “Select folder” to avail the "Folder Selection" window. Select a specific folder that contains the required PDF file/files.
      6. Click "Search matching files in Wrench" to avail the "Document Search" window. Select the required documents. Specter files in Wrench which matches the files in the selected folder are displayed in the grid.
      7. If the “Replace Existing Specter” check box is selected, existing specter files attached to the latest revision of the selected file in Wrench is removed and the currently selected file are attached as its specter.
      8. However, if the check box is cleared, the newly selected specter are added as specter to the latest revision.
      9. Click Save.

The specter files are successfully attached to the Wrench Documents.

  7. How do I Replace Documents Linked to tasks?

  1. Select the Task from your workspace and right-click.
  2. From the right-click menu select Replace
  3. The "Replace Manager" window is displayed. (Document attached to the task will be listed in the Replace Manager)

Figure: Replace Manager

  4. Specify the Replace path and click "OK"
  5. User can also Bulk Replace Documents in Wrench .

For more information on bulk replacement operation refer Workspace>>Bulk Replace of Documents

  8. How do I create and release transmittals from Workspace?

Procedure:

Creating a Transmittal:

  1. Select Workspace and click ‘Tasks’, the Task workspace is displayed.

Figure: Task workspace

  2. Right-click the deliverable, which is to be transmitted to the client. Select ‘Create Transmittal’ and click ‘Release’ from the right click menu displayed.

Figure: Task workspace

NOTE: If the document is to be sent to Client for Review/Approval etc., use ‘Release’ transmittal option, but if the final document is to be sent for Construction/Implementation/As-build etc then select ‘Final Release’ option.

Figure: Sample workflow showing the ‘Release Stage’

  3. Select Transmittal Type window is displayed. Here different transmittal templates are displayed. Select the transmittal template you need and click Select button.

Figure: Select Transmittal Type window

  4. Document Transmittal Window is displayed.

Figure: Document Transmittal Window

  5. After entering all the required information, click ‘Save’ option in the Document Transmittal Window toolbar.
  6. A Generate Number window is displayed to select the transmittal number on saving.

Figure: Generate Number Window

  7. Select the transmittal number template and enter the values corresponding to each block. Click OK to save the transmittal.

For more details on creating numbering template refer Administrator’s Manual >> Control Panel >> Masters >> Number Generation.

Attaching Transmittal Face sheet/Cover sheet:

  1. After the transmittal number is generated and transmittal is saved, click ‘Edit’ button in the Document Transmittal Window toolbar.
  2. In the ‘Transmittal Report’ option, select "Generate Report". Then Wrench automatically generates the cover sheet and attaches it in ‘MS Excel format’.

Figure: Document Transmittal Window

  3. In the ‘Transmittal Report’ option, select ‘Copy’ to copy the attached MS Excel file to the local disk. Convert the MS Excel file to PDF copy and save it in the local disk.
  4. Now open the created transmittal and click Edit.

  5. In the ‘Transmittal Report’ option select ‘Attach File from Disk’ to re-attach the PDF copy of the cover sheet from the local disk.

Releasing of Transmittal:

  1. Click ‘Release’ in the Document Transmittal Window toolbar, to ensure that the document is released after creating and attaching reports to transmittal.
  2. Click ‘Ok’ in the message dialog box generated. MS Outlook is opened
  3. PDF cover sheet together with the PDF copies are attached to the document that needs to be sent.
  9. How do I add PDF Copy to Documents

Following are the steps to be considered to ensure whether the PDF copy of the document is attached by the concerned department.

  1. Double click the document from Document Transmittal window.

Figure: Document Transmittal Window

  2. The Document Details window is displayed. Select ‘Attachments’ tab, under ‘SPECTER’ option user can see whether the PDF copy is attached or not.
  3. If the PDF copy that needs to be sent to client is not attached under ‘SPECTER’ option. The user can attach the same using the following steps.
  1. Select ‘SPECTER’ option, right-click and select ‘Add’ from the right-click menu displayed.

Figure: Adding a Specter file

  2. The Add Associated Document window is displayed.

Figure: Add Associated Document window

  3. Click Browse to select PDF copy of the file available in the local machine.
  4. Click ‘Ok’ and the file is added to WRENCH, under ‘SPECTER’ option.

NOTE: ‘Specter’ file means the non-editable format of the document that is to be sent to client.

  10. How can I upload Squad Check comments?

Since tasks and documents meant for you will be available in your workspace, you have to open your workspace regularly and check for tasks and documents. (email notifications are received in your Outlook when tasks and documents are received in your workspace)

Procedure:

To open your workspace

  1. In the Wrench desktop navigation bar, select Workspace
  2. Workspace window is displayed

The Task Workspace

All the assigned works such as Shop drawings, Designs for Check, Squad Checks Method Statements, and Technical Submittals will appear in the Task Workspace.

Figure: Tasks in workspace

To view assigned works

  1. Select a task in the workspace and double-click
  2. Task properties window is displayed
  3. Select the Related Item tab. The document is displayed in the grid

Now this document was send to you for Inter disciplinary check (Squad Check). After reviewing the document, you need to upload your comments to Wrench. The following steps assist you in performing this operation.

Adding comments to other discipline documents/ Squad Check comments

Step 1

  1. From the task details window, Related Item tab double click the linked document.
  2. Document details window is displayed. In the document details window select the “Attachments” tab.

Step 2

In the Squad check Comments Section you can find the PDF copy of the document for inter disciplinary review. Right click on the document and view in PDF.

Figure: Viewing squad check comment documents

Step 3

  • If you are comfortable with PDF commenting, then you can comment on the opened PDF file and save your comments in your local machine.
  • If you are not comfortable with PDF commenting, then generate a print out of the opened PDF file and put your comments in the hard copy. Once commenting is completed, scan the hard copy and save it in your local machine.

Step 4

You can upload your comments to Wrench using the “Add” option in the Squad check comments section as shown in the following figure.

  1. Select the Squad Check Comments section and right click.
  2. From the right-click menu, select “Add”

Figure: Uploading squad check comments

  • Add Document window is displayed

Step 5

  • In the Add Document window, select the Browse button and select the file from its current location.

Figure: Selecting a comment file

  • Specify the description of the file as your department comments. i.e. if you are from the Civil department then specify the description of the document as “Civil IDC Comments”

Figure: Uploading comment files

Step 6

  • Click “OK” button in the add document user interface to save the squad check comments.

Step 7

  • To remove the task from your workspace after completing the squad check use “Close” option in the right click menu. This will remove the squad check completed deliverable from your workspace to the next stage.

Figure: Removing task from workspace

If you do not have any comments on the document then without performing steps 1-6 you can directly perform Step 7 .

  11. How can I view the comments entered by the client on drawings sent for review

Once you send the drawings to the Client for review, the client will comment on the drawings. The comments are usually entered in a separate file and attached to the main drawing. After attaching the comment file, the drawing is sent to you.

STEP 1: Opening your workspace

Since the drawing to which comment file is attached will be available in your workspace, you need to open your workspace.

  1. In the Wrench Desktop from the navigation bar, select Workspace

  2. Workspace is displayed

Figure: Selecting the deliverable from the workspace

  3. Now select the deliverable to which the client comment file is attached and in the right-click menu select Show Details.
  4. Task properties window is displayed with the related items tab selected by default

Figure: Task Properties window

NOTE: You can also double-click on the deliverable to open the Task properties window

  5. In the related items tab window select the drawing linked to the deliverable and in the right-click menu select Show Details
  6. Document Details window is displayed. In the document details window select Attachments tab

Figure: Document Details window

  7. Expand the group Client Comments. Client comment files are displayed
  8. Select a client comment file and right-click.
  9. In the right-click menu select View.

Figure: Viewing the client comments

The comment file will be opened in the respective application.

NOTE: Even if the deliverables are not available in your workspace you can select the deliverables from the WBS and view the client comments using the procedure mentioned in the preceding sections.

  12. How can I add squad check comments to multiple deliverables

While performing these steps, please make sure that all the deliverables are in proper Workflow stage (Squad Check stage) where the user is having adequate permission to add Squad Check Comments.

To add squad check comment to multiple deliverables

  1. In your workspace select the deliverables to which you need to add Squad Check Comments and right click on the deliverables.

  2. In the right click menu, select “Add Attachments”. On selecting Add Attachment, a sub-menu will pop up.
  3. In this pop up menu select “Squad Check File(s)”.
  1. Bulk Attach Squad Check files window with the entire list of deliverables you have selected from the workspace is displayed.

You can add Squad Check files using the following options

1 : Attach Single Files to all.

2 : Match File Name.

3 : Match Document Number.

4 : Match Client Document Number.

Different methods of adding squad check comments are explained in the following sections

1: Attach Single Files to All.

This option is used to add a single squad check file to entire deliverables in the selected list.

When you select this option, the “Select File” button will be activated and you can select the corresponding file using this option.

To attach a single file

  1. In the tool bar choose Select File. File selection window is displayed

Figure: File selection window

  2. After selecting the document, click the “Save” button as shown below to attach the squad check document to all the selected deliverables.

To attach separate squad check files to each deliverable

You can also add separate Squad Check files to each deliverable’s by clicking on the browse button against each deliverable list.

  1. Click the browse button against the selected deliverable

Figure: Adding separate squad check file

  2. File Selection window is displayed

  3. Select the squad check comment file
  4. Click Save to complete the selection

2: Match File Name.
This option is used to attach multiple Squad Check Comment files in bulk to corresponding deliverable selected.

For this option to function the Squad Check comment document file name and the deliverable file name need to be the same.

For Example: If the squad check comment document (file) name is Electrical Distribution Layout, then the deliverable document file name also need to be Electrical Distribution Layout.

If this condition is satisfied, system automatically fetches the squad check comment document from the folder in which it is located. The squad check comment file fetched is attached to the document deliverable as Squad Check Comment file.

  1. You need to store the squad check documents in a single folder and then select this folder by clicking on the button “Select Folder” in the window as shown below.

  2. On clicking ‘Select Folder”, a new folder selection window is displayed and you can select a folder which contain the document.

  3. Select the folder that contains the files that matches the linked document in Deliverable and click “Save” button to add the files to Wrench.

3 : Match Document Number.

This is similar to ‘Matching File Name’ option.

For this option to function the Squad Check comment document file name and the deliverable document number need to be the same.

For Example: If the squad check comment document(file) name is 705-3019534-GA-001, then the deliverable document number also need to be 705-3019534-GA-001.

If squad check comments file name and deliverable document number matches, system automatically fetches the squad check comment document from the folder in which it is located. The squad check comment file fetched is attached to the document deliverable as Squad Check Comment file

To add squad check comment file

  1. In the Bulk Attach Squad Check Files window tool bar, select Match Document Number.

  2. Click Select Folder

  1. Browse For Folder window is displayed. Select the folder which contains the squad check comment files and click Ok.
  2. If the folder contains files with document number that matches the squad check comment file name, those files are fetched by the system. The fetched files are displayed in the grid.
  3. In the Bulk Attach Squad Check Files window tool bar select Save to attach the comment files to the deliverable

4: Match Client Document Number.

For this option to function the Squad Check comment document file name and the client document number of the deliverable need to be the same.

To add squad check comment files

  1. In the squad check comments tool bar select Match Client Document Number

  2. Click Select Folder. Browse for Folder window is displayed
  3. Select the files which contain the squad check comment files and click OK
  1. If the folder contains files with client document number that matches the squad check comment file name, those files are fetched by the system. The fetched files are displayed in the grid.
  2. In the Bulk Attach Squad Check Files window tool bar select Save to attach the squad comment files to the deliverable

  13. How can I view the PDF copy of the deliverable for commenting ?

Step by Step procedure for viewing pdf copy of the deliverable for commenting is explained in the following sections.

STEP 1: Opening your workspace

Since the drawing to which comment file is attached will be available in your workspace, you need to open your workspace.

  1. In the Wrench Desktop from the navigation bar, select Workspace

  2. Workspace is displayed

Figure: Selecting the deliverable from the workspace

  3. Now select the deliverable to which comment file is attached and in the right-click menu select Show Details.
  4. Task properties window is displayed with the related items tab selected by default

NOTE: You can also double-click on the deliverable to open the Task properties window

  5. In the related items tab window select the drawing linked to the deliverable and in the right-click menu select Show Details
  6. Document Details window is displayed. In the document details window select Attachments tab

Figure: Document Details window

  7. Expand the group comments. The pdf copy of the file is displayed
  8. Select the file and right-click.

Figure: Opening the comment file

  9. In the right-click menu select View.

The pdf will be opened in the respective application.

  14. A drawing was created by the designer and the drawing is in the workspace of document controller. Now the document controller needs to send the drawing for interdepartmental check. How will the document controller send the drawing for interdepartmental check

  1. Select the drawing from your workspace
  2. From the right-click menu select Forward to send the document for interdepartmental check

  3. In the send window select the progress as "Block My Progress", so that you don't send the documents without receiving comments from other users

  4. In the send window click To...to select the user or a set of users

  5. Enter a subject and message for the user
  6. Click Send to forward the task for interdepartmental check

  15. How can i view the number of pending tasks in my workspace ?

To view the pending tasks you have to open your workspace.

  1. In the Wrench Desktop navigation bar select Workspace

  2. Select Tasks
  3. Task workspace is displayed


Change Management

Frequently Asked Questions

  1. How do I raise a Change Request for Documents?

Pre-requisites:

In order to generate change request reference number while creating a Change Request, you may select the Auto Number Generation under Change Management from Control Settings.

Figure: Control Settings (Change Management)

Opening the control settings window

Select the Wrench button and from the pop-up menu select Control Panel. On the control panel under Settings group select Performance and Utilities. In the Control Settings window from the navigation bar select Change Management.

Procedure:

  1. From the desktop navigation bar select Folders and from the items grouped under folders, select Change Request. Right-Click on the desktop and select New from the ensuing menu as in the following figure.

Figure: Change Request

  2. Select Object Type dialog box is displayed from where user can choose the object type. Choose Documents from the drop down menu as shown in the following figure and click OK

Figure: Select Object Type

  3. Document Search Window is displayed from where you can perform a search operations and retrieve the needed document. Select the document for which a change request is to be raised.

NOTE: In the document search window under document properties the document Status will be Released by default. This is because Change Request can be raised only for Released documents.

  4. Generate Number window is displayed , where you can provide the necessary details for automatically generating numbers. After providing necessary details click OK.

  5. CR Request window is displayed where the details of the selected document are displayed. In this window details necessary for creating a change request can be provided. Once the details are provided select OK.
  6. New CR is created successfully .

  2. How do I search for a CR which I have created?

Procedure:

  1. From the desktop navigation bar select Folders and from the items grouped under folders, select Change Request. Right-Click on the desktop and select Search from the ensuing menu. Search Change Request window is displayed .
  2. Here you can perform a basic and advanced search based on various search criteria.

  3. Where can I view the status of my Change Request?

CR Status column in the Change Request desktop displays the status of the Change Request. CR Status field in the Change Request window also displays the status of the change request.

Figure: Change Request desktop window

Figure: Change Request window

  4. How do I create a Change Note?

Pre-requisites:

In order to generate change note reference number while creating a Change Note, you may select the Auto Number Generation under Change Management>>Change Note Creation Settings from Control Settings.

Select the Wrench button and from the pop-up menu select Control Panel. On the control panel under Settings group select Performance and Utilities. In the Control Settings window from the navigation bar select Change Management.

Procedure:

  1. From the desktop navigation bar select Folders and from the items grouped under folders, select Change Note. Right-Click on the desktop and select Add from the ensuing menu as in the following figure.
  2. Select Object Type dialog box is displayed from where user can choose the object type. Choose Documents from the drop-down menu as shown in the following figure and click OK

Figure: Select Object Type

  3. Document Search Window is displayed from where you can perform a search operations and retrieve the needed document. Select the document for which a change note is to be raised.

NOTE: In the document search window under document properties the document Status will be Released by default. This is because Change Request can be raised only for Released documents. .

  4. Generate Number window is displayed , where you can provide the necessary details for automatically generating numbers. After providing necessary details click OK.
  5. Mails can be send to users associated with this document. On the Send Mail on CN Creation/ Modification window select recipients for this mails. After selecting the recipients click Send.

NOTE: It is not mandatory to send mails. Therefore you can cancel this operation by closing the window.

  6. CN Request window is displayed where the details of the selected document are displayed. In this window details necessary for creating a change note can be provided. Once the details are provided select OK.

Figure: CN Request window

  7. New CR is created successfully.

  5. How do I search for a Change Note?

Procedure:

From the desktop navigation bar select Folders and from the items grouped under folders, select Change Note. Right-Click on the desktop and select Search from the ensuing menu. Search Change Note window is displayed.

Here you can perform a basic and advanced search based on various search criteria. For more information on performing a search operation refer Change Request>>Change Note Search .

  6. How can I view the status of the Change Note?

Solution:

CN Status column in the Search Change Note grid displays the status of the Change Note. CN Status field in the Change Note window also displays the status of the change note

Figure: Search Change Note

Figure: Change Note window

  7. How do i revise a finally issued drawing?

If changes are to be done immediately then Fast Track process is used which will allow users to edit information without change management procedures. A Fast track revision process can be initiated from the genealogy leaf level, document search window and document details window.

This document the different steps that is to be followed for revising a document in the fast track mode.

To revise a document in fast track mode

  1. Search for the document from the document search window
  2. Select the document which is to be revised and right-click
  3. In the right-click menu select Fast Track Revision

  4. The following message box is displayed

  5. Click Yes to continue
  6. Change Request window is displayed.
  7. In the Change Request window enter values for the following fields.

Change Request: You can enter the nature of change that has to be incorporated.

Reason for Change: You can a select a reason for revising the document

  8. After entering these values, click OK. The following message is displayed.

  9. Select OK to continue.

The document will be now revised and the Internal Revision Number is incremented.

  8. How do I view the history of revisions the drawing has undergone

Revision details of a drawing can be viewed from the Revision History tab in the document details window. For Example: You have a document 705-101953A708-DE-18-10-SLD-001-01. This document underwent revision twice. Now you need to know the details of the revision underwent by the document.

  1. Select the document and double-click.
  2. Document details window is displayed.

Figure: Document Details window

A list of old revisions of selected Document is listed here.


Transmittal

Frequently Asked Questions

  1. How can I search for a specific Transmittal?

Procedure:

To search for a transmittal

  1. From the Wrench desktop navigation bar select Utilities, and from the options under Utilities select Transmittal. Transmittal window is displayed.
  2. On the transmittal window toolbar select Open.

Figure: Document Transmittal window

  3. Search Transmittal window is displayed where you can provide a search criterion and perform a search operation. On the toolbar select Advanced to perform an advanced search using multiple search criteria. More precise results can be obtained using the advanced search operation.

Figure: Advanced Search Details

  2. How do I use deleted Transmittal Number ?

To use deleted Transmittal Number

  1. While creating a transmittal after providing appropriate details a transmittal number is to be specified. In the Document Transmittal window you can select the browse button against Transmittal Number or select Save on the Document Transmittal window toolbar.
  2. A message box is displayed informing you on the availability of deleted numbers.

Figure: Message Box

  3. If you choose Yes, Generate Number window is displayed with Deleted Numbers tab selected as displayed in the following figure. You can select transmittal numbers which are deleted from the list.

Figure: Generate Number- Delete Numbers

  4. The selected number is displayed next to Transmittal Number filed on the Document Transmittal window as shown in the following figure.

Figure: Transmittal Number

  3. While creating Transmittals, I am not able to find the Documents in list. Why?

This might be due to several reasons

Case 1: Incorrect selection of Transmittal Category

Please ensure you have selected the appropriate category. You can select a category from General, Release and Final Release

Case 2: The documents may not be in the Transmittal stage.

Please ensure the current stage is a Transmittal Stage.

Case 3: Check if at least one document is available to the tasks

Case 4: Check whether the document is linked or referred to the task.

If referred then at lease one document need to be linked to the task.

  4. How can I view a released transmittal?

To view a released document

  1. Open the transmittal window and from the transmittal window toolbar select Open. Search Transmittal window is displayed.

Figure: Search Transmittal

  2. A search operation can be performed by selecting a search criterion from the drop-down list. Select Advanced on the Search Transmittal window toolbar to perform a search operation with multiple criteria. Advanced search usually generates a refined search result.
  3. Click Select to confirm selection.
  4. The selected transmittal is displayed in the Document Transmittal window.

  5. How do I send a Transmittal through outlook?

Wrench provides a facility to send a transmittal through outlook. To enable this facility

  1. Click the Wrench button. From the menu select Control Panel.
  2. Control Panel window is displayed. Under Settings click Performance and Utilities.
  3. Control Settings (General) window is displayed by default. Select Mails from the navigation bar.

Figure: Transmittal Options

  4. In Transmittal Mail Options group select Send mail through Outlook
  5. The user can specify whether the mail is to be sent immediately or later.
  6. Click Apply to save changes.

Once this setting is saved, on releasing a transmittal MS Outlook window opens up.

  • Specify the recipient of the mail and select Send to sent the mail.

  6. How do I print a transmittal?

Sometimes a hardcopy of a document is to be maintained for review. Wrench provides an option to print a transmittal.

To print a transmittal

  • From the Document Transmittal window toolbar select Options.
  • From the ensuing menu select Print Request.

Figure: Transmittal Options

  • Print Request window is displayed.

Figure: Print Request

  • Specify the number of copies to print and select the Print Purpose from a drop-down list.
  • Provide appropriate comments in the Comment filed.
  • Click OK to request for printing.

Print manger Operations

  • Select Utilities and from the list of options click Print Manager.
  • Print Manager window is displayed.
  • Provide the required search criteria.
  • Click the Search button for searching with the required criteria.
  • The requested transmittal is displayed in search results grid.
  • Right-Click the request and select print.

Figure: Print manager

NOTE: If the Transmittal Report Required option is selected in Control Settings>>General, then user will be asked to specify a document for transmittal report.

  7. How can I attach a Report to a Transmittal?

Wrench provides the user with the facility to save the transmittal as an MS Excel file and send it with the transmittal automatically.

To enable this option

  • From Wrench Button button click Personal Preferences.
  • Click Configure in the Personal Preferences>>General group. Select Attach transmittal report automatically.

Figure: General Options

A transmittal report may be kept for internal documentation and may be sent to the client or vendor. The system will import the transmittal to an MS Excel and save this in Wrench as transmittal report.

To View a Document attached to a transmittal

While viewing a document, the user views the specific version that has been released through transmittal.

  8. Can I Bypass Transmittal Stage?

Wrench facilitates the user to bypass the transmittal stage. If the user enters the transmittal stage by mistake, he may be permitted to bypass the stage.

Figure: General Settings

  • The Transmittal stage can be bypassed only if in the Control Settings (General) Do not allow bypass the release stage is cleared.

NOTE: If the transmittal is already created, then bypass is not allowed.

  • Once the transmittal stage has been bypassed, then the entries are cleared from transmittal queue.


WBS

Frequently Asked Questions

  1. I have created a task but unable to add related items?

To add related items, the task should be in scheduled state. To add related items,first schedule it and then add related items.

Figure : Task is in unscheduled state

Procedure

1. Go to WBS module and select the task.

2. Right click over the task and select the Schedule option.

3. Go to Add related items tab .

4. Right click and select the Add option .

5. Add document UI will appear , add the required file .

  2. I have mentioned some % completion for each stage in workflow. But in WBS some other % is shown after completion of these stages.

Solution:

For same stage, if % is defined at both in workflow and in rule of credit, then rule of credit will have more priority.

  3. How can i bulk update the WBS?

Solution

  1. Select multiple tasks. While selecting tasks ensure that the WBS is in edit mode.
  2. From the right-click menu select Show Details.

Figure: Updating multiple tasks

  3. Task properties window is displayed with the entire fields as blank.

Figure: Task Properties window

  4. Fields that cannot be updated appears as disabled.
  5. Enter values in the enabled fields. The values that are entered here are updated in all the selected tasks.

NOTE: This operation is possible only for tasks with the same status

  4. How can I add Documents to a task under same document no.?

Solution

Document can be added to the task under same document number. By predefining the document number in task properties window, all the documents related to that task will get added with same document no. and different sheet no.

Procedure

  1. Go to Task Properties window

  2. Specify the document number

  3. Sheet number can be changed at the time of addition of document.

  5. How do I assign works to designers and checkers?

Procedure:

  1. Select the appropriate WBS for the deliverable.
  2. Select ‘Edit’ from the Home tab and make sure that the deliverable is in Scheduled status.
  3. Select the deliverable task and click Start Workflow, housed under the Schedule Options group of the Task tab.

Figure: WBS window

  4. ‘Assign Workflow’ window is displayed.

Figure: Assign Workflow window

  5. Click the ellipse button next to the Workflow team to access the 'Search Workflow Team’ window. Select an existing workflow from the list.

NOTE: If the task is a document task and the document genealogy level has a default workflow assigned to it then this workflow will be selected and displayed. For non-document tasks the default work flow assigned to the task will be selected and displayed.

  6. Click the ellipse button next to the ‘Resources for the stage’ option to assign new users for the selected stage. The User List window is displayed.

Figure: User List window

NOTE: If the selected workflow is already assigned with users, then the Assign Workflow window will automatically display the resources for each workflow stages.

  7. After assigning the resources, click OK button to start the workflow.

For detailed information on assigning resources refer Workspace>>Working in the Workspace>>My Documents>>Assigning Workflow .

  6. How do I search a task (deliverable) in WBS?

Solution

To search a particular task (deliverable) in WBS window, you may type in the characteristics of the task you are looking for. The more number of characteristics you define the precise the search will be (with fewer results).

Procedure:

  1. Select the WBS in which the particular deliverable is to be searched.
  2. For easy searching of the task, user may group the WBS based on the location and originating discipline. Select “Deliverables Location” view from Change View option housed under Current view group of View tab.

Figure: Deliverables Location view

  3. User can expand the location and origin name to get the deliverables.

  4. User can use the top “Row” in the grid to type in and filter deliverables based on the any of the displayed properties.

For Example: Suppose if the user want to see the deliverable that has the naming characters ‘General Arrangement’ in its name mentioned. So in order to filter deliverables based on task name user has to just mention “%General Arrangement” in the Task Name column.

Figure: Filtering task using multiple criteria

  5. User can also filter based on multiple criteria that also is possible with the row filters.

For Example: User would like to get a list of all deliverables starting with a particular document number, say “C215” (which is the client document number). User can get the same by typing in values in both, task name and in reserved client document number columns as shown in figure.

Figure: Filtering task using multiple criteria

  6. In addition to this user can also use the Look for toolbar on top of the Task details grid to search deliverables with a specific value.

Figure: Searching Task using Look for toolbar

  7. How do I change assigned resources for a workflow started task?

Procedure:

  1. Select the appropriate WBS for the deliverable.
  2. Select ‘Edit’ from the Home tab.
  3. Right-click the task and select ‘Show Details’ or double click on the task for which the assigned resources are to be changed.
  4. The Task Properties window is displayed.

Figure: Task Properties window

  5. Click the Reassign User option available in the Workflow navigation bar. The Reassign Resource window will be displayed to reassign the users for Workflow stages.

Figure: Reassign Resource

  6. From the “Reassign Resource” window, click on the stage you want to reassign the resources. When you select a stage in Workflow, the current resources will be displayed under ‘Resources’ area.

Figure: Reassign Resource

  7. Click the ellipse button next to “New Resources” area. A User List Window is displayed.

Figure: User List Window

  8. Click on the new users from “Available Users” list and by clicking the right arrow button the selected users will be added to “Selected Users” column.
  9. Click ‘Reassign’ to save the changes made to assigned resources.

  8. How can I add single and multiple documents to deliverables

The step-by-step process to add single and multiple document to a deliverable is explained in the following sections.

To add a single document

  1. In the workspace, select a task, and double-click on it
  2. Task properties window is displayed.
  3. Select the Related Item tab.

Figure: Task properties window

  4. In the Related Item tab grid right-click and from the right-click menu select Add.
  5. The “Related Items to Tasks” dialog box is displayed.

Figure: Related Items to Task dialog box
Elements in the dialog box are explained in the following table.

Sl No | Field | Description
1 | Object Type | Specify the object to be linked to the Task. You can select the object type from a drop-down list.
2 | Relation | You can select a relation between "Link" or "Refer". If the option selected is "Link", the object will be linked to the Task, i.e. the Task will only be completed when all the objects linked to the Task are completed. Select the Refer option if you need to add reference drawings or documents to the deliverable.
3 | Mode | You can select between "New" and " Existing in Wrench". Select New if you need to link or refer a new document to the task. Select Existing in Wrench if you need to search for a document already added in Wrench.
5 | Object | You can specify the number of documents to be attached by selecting between single and multiple
  1. Select the Link or Refer type from the “Related Item to Task” window and click OK.
  2. Add Document window is displayed.
  3. You can select a file and drag it to the box with the caption Drag and Drop file/folder here.

Figure: Add Document window

To select a file:

  1. In the navigation bar under options choose the radio button against File.
  2. Select the browse button to choose a File from a specific location.
  3. File selection window is displayed with a list of files. You can select a file from the list.
  4. Once the file is selected click Ok to complete the process of document addition

To select a folder

  1. In the left navigation bar under options choose the radio button against Folder.
  2. Folder selection window is displayed where you can browse and select a folder. The selected folder is added.

To add multiple documents to a Deliverable

  1. In your workspace, select a task, and double-click.
  2. Task properties window is displayed. In the window select Related Item tab
  3. In the Related Item tab grid right-click and from the right-click menu select Add
  4. The “Related Items to Tasks” dialog box will be displayed. Select “Multiple” in the Objects category and click OK.
  5. “Add Multiple Documents” window is displayed.

To select files

Figure: Add Multiple Documents window

  1. In the Add Multiple Document addition window choose Select Files
  2. Select Files window is displayed. Choose the files you need to add and click Ok
  3. The selected files are displayed in the grid.

To assign document properties

  1. Select the files from the grid using CTRL key to apply common Document properties to them
  2. On the Document Options select Document Properties
  3. Document Properties window is displayed
  4. Click the Browse button corresponding to Project ID to select a Project.

User can specify the Document properties here. This include

  • Project ID
  • Document Number
  • Document Description
  • Client Document Number
  • Vendor Document Number
  • Internal Revision Number: Selected from a drop-down combo.
  • Sheet Number
  • Sheet Size: Selected from a drop-down combo.

To add document to Wrench

Once the document properties are applied choose Add to Wrench in the Add Multiple Document window tool bar.

NOTE: Document addition is permitted only if the sheet number document number combination is unique. Usually the document number remains the same, but the sheet number has to be changed.

  9. How can I follow up deliverables in squad check stage

Step-by-step procedure for following up the squad check stage is explained in the following sections

This is carried out from the WBS

STEP 1: Opening the WBS

  1. In the Wrench desktop navigation bar select WBS
  2. From the list of WBS select your WBS and in the right-click menu choose Open
  3. The selected WBS is opened
  4. In the WBS tool bar, select View--> Change View--> Resource Grouped View

STEP 2: Grouping the WBS

Now you have to group the WBS based on Workflow Stage and Stage Resource

To group the WBS

  1. Select the column header Workflow Stage and Stage Resources and drag them to the space above the WBS grid

The squad check details are listed one after another and this can be viewed easily.

  10. How can i view the reference files and sketches added to the deliverables

STEP 1 Opening WBS

Reference documents are added to the corresponding activities or tasks. Tasks or activities are grouped under a WBS.

To open the WBS

  1. In the Wrench desktop navigation bar, select WBS.
  2. A list of WBS is displayed. Select the WBS which you need to open and double-click.

  3. List of deliverables is displayed

STEP 2 Viewing reference documents and sketches

  1. From the WBS select the deliverable and double-click
  2. Task properties window is displayed

Figure: Viewing reference files

  3. In the Task properties window select Related Item tab
  4. Reference documents and sketches will be available under the group Refer
  5. Select the document and right-click
  6. In the right-click menu select View

The reference file is opened.

  11. I have started a set of deliverables and their status is work in progress. Now i need to change assigned resources for each deliverable. How do i do this in Wrench?

WBS (Work break down Structure) which is the list of deliverables for your project can be accessed by clicking the “WBS Icon on the left panel of Wrench desktop.

To open WBS

  1. In the Wrench desktop navigation bar, select WBS.
  2. The list of WBS is displayed.

  1. Select your WBS and double-click
  2. The deliverable list is displayed.

You can group your deliverable list based on location and discipline from whom the deliverable originated. To group your deliverables select the Group View.

To select Group View

  1. In the WBS tool bar select OptionsàViewsàGroup View

Figure: Selecting a group

To create a view

Now you need to create a view in which deliverables are grouped based on Location and discipline

  1. In the WBS drag a column header to the location indicated by the black arrow as shown in the following figure.

Figure: Dragging Columns

  2. Drag the column headers Forecasted Start Date and Actual Start Date. The WBS is grouped based on these columns.

Figure: Grouped deliverable list

The next step is to save the view since it will be required frequently.

To save the view

  1. In the WBS toolbar select View tab and then select Save View.
  2. In the ensuing menu select Create New View

  2. Save View window is displayed
  3. Enter a name for the view.
  4. Select the view type. If you select Visible to everyone the view will be available for all the resources. If Visible only to me selected, the saved view can be viewed only by the administrator and creator of the view.

  1. Now you have created a view and saved it under the name Deliverable Date view. This view will be available among the list of views. Select the saved view and the view you created is displayed.
  1. Now expand the location and discipline and select the deliverable for which you need to change assigned resources and double click on the deliverable.
  2. Task properties window for the selected deliverable is displayed
  3. In the task properties window select Reassign User

Figure: Selecting Reassign User option

  3. Reassign Resource window is displayed

Figure: Reassign Resource window

Here you can view the workflow and the stage of the workflow where the deliverable is currently available. In addition, when you click on a workflow stage, the resources assigned to that particular stage is displayed.

  1. In the Reassign Resource window, select the stage for which you need to reassign the resources
  2. Click the ellipse button next to New Resources to assign new users to the selected stage.
  3. On clicking the ellipse button, “User List” window is displayed.

Figure: User List window

  4. Once the users are selected, click OK to confirm the selection. Reassign Resources window is displayed with the selected resources.
  5. Click Reassign button to confirm the reassigning of resources

Figure: Reassigning Resources

  12. I am the document controller in XYZ organization. The Planning Coordinator provided me with a list of deliverables. The list contains thousands of deliverables. Now I need to transfer the deliverables in bulk to Wrench. Is it possible to import the master deliverable list in bulk to Wrench [image].

Yes it is possible to import the deliverable list in bulk to Wrench. In many organizations, it is a common practice to prepare the task list outside Wrench. Wrench uses MS Excel as a common medium through which task can be imported. This means, whatever is the initial Project planning system used, if the schedule can be exported to an MS Excel, it can be imported into Wrench. You can follow these steps

STEP 1: Generate an MS Excel Template

STEP 2: Create a task list in the MS Excel template generated

STEP 3: Import the task list to Wrench

Now we will take up these steps one after the other.

Generating an MS Excel template

An option is provided in the WBS to generate an MS Excel template.

To generate an excel template

  1. In the WBS tool bar select Import / Export.
  2. Select Generate Excel Template for Creating New Tasks.

Figure: Import WBS group – Generate Template

  3. Select Generate Excel Template for Creating New Tasks
  4. Generate Template dialog box is displayed

Figure: Generate Template dialog box

  5. Here you can select between Basic and Advanced options.

If basic option is selected only mandatory fields required to import tasks to WBS will be available in the excel template. If advanced option is selected, a template is generated with all the task and document properties.

  6. Select Use Advanced Template
  7. Save As dialog box is displayed
  8. Here you can enter the name of the template and a location

Figure: Save As box

  9. Click Save to store the file in your system

Once a template is generated "Copy Complete" dialog box is displayed

Figure: Copy Complete dialog box

  1. Click Open to open the WBS import file which is displayed in the following figure.

Figure: Generated MS Excel Sheet

  2. You can enter values for the fields mentioned in the following table.


Sending operations

Frequently Asked Questions

  1. I am a current stage user but unable to send the task to next stage user. When I send message in the outbox is .."External Agency Transmittal Number /Receipt Date is not yet populated for some of the documents in the task . Please update the same from " Update Receipt Details " Option."

Solution:

The current stage is receipt stage. So the current stage user will have to update the receipt details then only it can be send to next stage user.

The receipt details can be updated by double clicking the object icon Outbox>>Task Properties >>Document Detail

Procedure

  1. Double click the object in outbox.
  2. The task properties window is displayed.
  3. In the related item tab select the document and double-click
  4. The document detail window will appear .
  5. Update the receipt details by selecting the option Update receipt details from advanced options.
  6. Send the task again by selecting the option Send Selected.

  2. I am a current stage user but unable to send the task to next stage user and the message in outbox is.." Failed to Send Object. Release Transmittal then Send" ?

Solution:

The stage is transmittal stage. So the current stage user will have to release the transmittal .

Procedure

1. From the wrench desktop navigation bar select Utilities.

2. From the options listed under Utilities select Transmittal, Document Transmittal window is displayed.

3. Release the transmittal.

4. After releasing the transmittal, go to Inbox and select "Send Selected".

  3. I am current stage user but unable to send the task to next stage user and the message in outbox is...." Update Approval Status Code" ?

Solution:

In release stage, the current stage user will have to update the approval status code.

For Task

Procedure

1. By double clicking the task in the outbox, task properties window is displayed.

2.Click Update Approval Status Code and update the details.

  4. I am a current stage user but unable to send the task to next stage user and the message in outbox is..." Failed to send object. You do not have the release permission on this document genealogy to approve the document .Please contact your administrator " ?

Solution

The current stage user do not have release permission in the genealogy. Only after getting releasing rights for the genealogy , user will be able to release the document. ADMIN user can give rights to the user.

  5. I am current stage user but unable to send the task to next stage user and the message in outbox is......"Failed to Send Object. Document task cannot be completed without document". ?

Solution:

The documented task can not be completed without document.

For completion of documented task ,attachment of document is must .

Procedure

1. Go to WBS.

2. Select the task.

3. Right click over the selected task and schedule the task.

4. Go to task properties window and add terms into related item tab.

5. Send the task again.

  6. I am current stage user but unable to send the task to next stage user and the message in outbox is..." Transmittal needed, so you cannot release from here" ?

Solution:

In the approval stage, release of transmittal is required as per the setting of workflow stage.

So, for approval release of a transmittal ( final release) is required.

Procedure

1. From the wrench desktop navigation bar select Utilities.

2. From the options listed under Utilities select Transmittal, Document Transmittal window is displayed.

3. Release the transmittal.

4. After releasing the transmittal, go to Inbox and select "Send Selected"

  7. I am current stage user but unable to send the task to next stage user and the message in outbox is..." Document is Checked out " ?

Solution

Some document related to the task is still checked out. Without checking in the document task can not be send to next stage.

Procedure

1. Right click over the object in outbox and clear it. Then it will go to Inbox again.

2. Then check in the document and send it again.

  8. I am unable to regret the task assigned to me?

Solution

Here the user (ADMIN) is the single user in this stage. So user can not regret the task.

If the current stage user is the single user of that stage then user can not regret the task.

  9. How can I bulk send ?

Solution

It is possible to send more than one Task and Document provided they belong to one Project and have the same work flow. Only Documents that has been send through a work flow can be Bulk Send.

Procedure

  1. Select Multiple Tasks or Documents in your workspace.
  2. Select the "Send All" option to avail the "Send" window.

  10. How do I Send deliverables to Squad Check Stage ?

The deliverable send for squad check will be available in the workspace of the Project Administrator or the DCC.

STEP 1: Opening the workspace

  1. In the Wrench Desktop from the navigation bar, select Workspace

  2. Workspace is displayed.
  3. Select the deliverable and from the right-click menu choose Show Details

  4. Task properties window is displayed
  5. In the Task properties window choose the drawing and form the right-click menu select Squad Check Comments
  6. Document Details window is displayed with the Attachments tab selected by default.
  7. In the grid choose Squad Check Comments and from the right-click menu select Add
  8. Add Document window is displayed

  9. Click the browse button to select the Squad Check Comment file.
  10. A file selection window is displayed. Here you can select the squad check comment document. Click Open to confirm selection.

  11. Now in the Add Document window select Ok

You have successfully added the squad check comments


Custom Reports

Frequently Asked Questions

  1. How can I configure the report?

Solution:

Configuring a new report is process of saving a report view with defined report input parameters. This saved configuration can be reused by the user at any point of time. In this scenario some report parameters (If checked as Is single) will remain static, while some will change from time to time.

Procedure :

1. Select Custom Reports available in the Utilities section.

2. Click "Configure New" to avail the Report Properties window.

NOTE: User needs to be assigned appropriate ‘Create’ rights in the report module so as to configure/create a new report.

For Example: Consider a monthly Project status report. Here the user is looking for a status report of all Work In Progress Projects for a month’s period.

In this case,

  1. Enter all the basic details of the report to be configured in Basic Details tab.

Figure: Report Properties - Basic Details

  2. Click Next to continue configuring the report.
  3. Choose the type of report as Wrench Reporting Services, in the Type of Report tab.
  4. Select the Report category as Project Based Report. Now click Next to continue configuring report.
  5. In Filters tab, the three report parameters to be configured for generating a Monthly Project Status Report are Project Status as Work In Progress, Project Start date and Project End date. Here the project status is a report filter parameter whose value is always “Work In Progress”. But in the case of other two parameters you may require to specify the time period when the report is to be generated.

Figure: Report Properties - Filters

You can configure the above report by defining Project Start Date and End Date as variables. i.e., if the user have not checked the Is Single column against the Input report parameters then while viewing the report you can provide the values for Project Start Date and Project End Date.

Figure: Report Properties - Input Parameters

  1. Click Next to continue to define the output format of the report to be configured.

  2. Choose the medium as Wrench Screen, on which the output of this report is to be viewed.
  3. Click Finish to save the configured report.

  2. Where can I define output fields for my custom reports?

Solution

While creating report template, user can define the output fields .This can be done in Output Formats tab of the Report Properties window.

Procedure :

  1. After entering the basic values, type of report, filters and parameters for the specific report, select the Output Formats tab.

Figure: Report Properties - Output Format

  2. Choose Excel as medium of report output format. And then by clicking the report template ellipse button user can get list of available templates or user can create new report template .

  3. By clicking New in List of available template window, the user will get Custom Report Template Mapping window.
  4. Here the user can create new template in which user can specify the output fields by selecting from given list.

  3. How can I create my report in PDF format?

Solution:

This can be done in Report Properties window. At the time of configuring new report you can select the output medium on which the report is to be viewed.

Procedure

  1. After entering the basic values, type of report, filters and parameters for the specific report, select the Output Formats tab.
  2. Choose the output medium on which the report is to be viewed as PDF.
  3. Saved report can be seen from the list of available reports by double clicking over the report icon .
  4. The report will be opened in PDF format.

  4. How can I make any report Variable ?

Solution

Saved report configuration can be reused by the user at any point of time. In this scenario some report parameters (If checked as Is Single) will remain static, while some will change from time to time. By making the parameter variable the same report can be used for different values of variable parameters .

Procedure

  1. User can enter the basic details and select the required category of report from the "Report Properties" window.
  2. Select the Input Parameters tab.

  3. By not selecting the checkboxes in 'Is Single' column against the report parameter, that parameter can be made as a variable.
  4. Now enter the output format details and click Finish to save the report .
  5. After saving, the report will be available in the display pane of the Custom Reports window grouped under each report category.

  6. The user may open the report in the saved format.
  7. Then the Variable Parameters dialog box with defined variables would be displayed.

Figure: Variable Parameters dialog box

  8. After entering all the variable parameters, click "Next".
  9. The ‘Selected Report Criteria’ dialog box with the report parameters as well as their corresponding values along would be subsequently displayed.

  10. Click "View Report" to see the report in saved output format.
  11. Each time this report can be seen for different values of the variable parameters.


Utilities

Frequently Asked Questions

  1. How can I raise a print request for my documents ?

Solution

Print request can be raised for the selected documents.

Procedure

1. From the wrench desktop navigation bar select search.

2. Search the document for which print request is to be raised ,by specifying the criteria in document search window.

3. Select the documents from the list .

4. Right click over the document and select the option " Print Request"

5. Print request window is displayed. Fill the required fields and click OK.

6. Print request is raised.

  2. How do I check the status of print request?

Solution

Status of raised print request can be checked in the print manager module.

Procedure

  1. In the navigation bar under Utilities select "Print Manager"
  2. Print Manager window is displayed

User can search and retrieve documents for which a print request is raised.

  3. Provide values for the fields displayed in the Print Manager window.
  4. In the toolbar click "Search"
  5. The documents for which a print request is raised are displayed in the grid , details can be seen from here.

  3. How can I raise a scan request for my documents?

Solution

Scan request can be raised for the selected documents

Procedure

  1. From the wrench desktop navigation bar select Search.
  2. Search the document for which Scan request is to be raised ,by specifying the criteria in document search window.
  3. Select the documents from the list .
  4. Right click over the document and select the option " Scan request"

  5. Scan request window is displayed. Enter values for the required fields and click OK.
  6. Scan request is raised.

  4. How can I send a notification about the addition of any document?

Solution :

Notification mails can be send to selected users after addition of document.

Procedure

  1. Go to Add document window .
  2. Select the Notification option.

Notification UI is displayed.

  4. Select the users to whom the notification mail is to be sent .
  5. Fill the mandatory fields.

A notification mail will be sent to the selected users after addition of documents.

  5. How can I attach documents to a mail?

Solution

Wrench provides the user with a facility to add attachments to a mail.

Procedure

  1. In the left navigation bar select Utilities>> Mail.
  2. Select New mail option. New mail window is displayed.

  3. Right-click in the attachments area to add attachments
  4. Select "Insert Attachment"
  5. User can select between two options

a) Existing in Wrench: Insert files saved in Wrench

b) File from Disk : Insert files that are external to Wrench

  6. How can I configure mail related to task ?

Solution

Task related mail notification can be configured from the WBS module in task options. Here notification mail can be set for start of task, completion of the task, delay of the task.

Procedure

  1. Go to WBS module and select the task.
  2. From the Task tab, select Subscribe for Notification housed under Options group.

Notification mail configuration UI is displayed. Users can be notified from here.

  4. By checking the boxes under the task related event in for a particular row the notification mail can be set for that particular user.

NOTE : If you have Edit permission in the WBS, you may subscribe notification only for others while the WBS in EDIT mode. While WBS is not in Edit mode, you may subscribe notification only for you .


Server Settings

Performance

This set of FAQ's addresses performance related issues while using Wrench

  1. While logging into Wrench, client login is taking more time. We have configured the File Transport Mode as 3. Is this a performance issue and how do we rectify this problem?

Reason: This low performance is caused since Wrench client is unable to connect to SQL server directly. Connection to SQL server is established through Web Service. This will cause a delay in login.

Solution:

Enable the following protocols in SQL Server configuration

  1. Shared Memory
  2. Named Pipes
  3. TCP/IP

You can set the protocol setting as shown in the following figure and ensure client login is taking place quickly.